#include "tree_sitter/parser.h"

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 2928
#define LARGE_STATE_COUNT 1059
#define SYMBOL_COUNT 347
#define ALIAS_COUNT 1
#define TOKEN_COUNT 150
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 43
#define MAX_ALIAS_SEQUENCE_LENGTH 11
#define PRODUCTION_ID_COUNT 228

enum ts_symbol_identifiers {
  sym_identifier = 1,
  sym_decimal_integer_literal = 2,
  sym_hex_integer_literal = 3,
  sym_octal_integer_literal = 4,
  sym_binary_integer_literal = 5,
  sym_decimal_floating_point_literal = 6,
  sym_hex_floating_point_literal = 7,
  sym_true = 8,
  sym_false = 9,
  sym_character_literal = 10,
  anon_sym_DQUOTE = 11,
  anon_sym_SQUOTE_SQUOTE_SQUOTE = 12,
  anon_sym_DQUOTE_DQUOTE_DQUOTE = 13,
  sym_string_fragment = 14,
  anon_sym_BSLASH_LBRACE = 15,
  anon_sym_RBRACE = 16,
  aux_sym__escape_sequence_token1 = 17,
  sym_escape_sequence = 18,
  sym_null_literal = 19,
  anon_sym_LPAREN = 20,
  anon_sym_RPAREN = 21,
  anon_sym_AMP = 22,
  anon_sym_EQ = 23,
  anon_sym_PLUS_EQ = 24,
  anon_sym_DASH_EQ = 25,
  anon_sym_STAR_EQ = 26,
  anon_sym_SLASH_EQ = 27,
  anon_sym_AMP_EQ = 28,
  anon_sym_PIPE_EQ = 29,
  anon_sym_CARET_EQ = 30,
  anon_sym_PERCENT_EQ = 31,
  anon_sym_LT_LT_EQ = 32,
  anon_sym_GT_GT_EQ = 33,
  anon_sym_GT_GT_GT_EQ = 34,
  anon_sym_GT = 35,
  anon_sym_LT = 36,
  anon_sym_GT_EQ = 37,
  anon_sym_LT_EQ = 38,
  anon_sym_EQ_EQ = 39,
  anon_sym_BANG_EQ = 40,
  anon_sym_AMP_AMP = 41,
  anon_sym_PIPE_PIPE = 42,
  anon_sym_PLUS = 43,
  anon_sym_DASH = 44,
  anon_sym_STAR = 45,
  anon_sym_SLASH = 46,
  anon_sym_PIPE = 47,
  anon_sym_CARET = 48,
  anon_sym_PERCENT = 49,
  anon_sym_LT_LT = 50,
  anon_sym_GT_GT = 51,
  anon_sym_GT_GT_GT = 52,
  anon_sym_in = 53,
  anon_sym_STAR_STAR = 54,
  anon_sym_instanceof = 55,
  anon_sym_final = 56,
  anon_sym_DASH_GT = 57,
  anon_sym_COMMA = 58,
  anon_sym_QMARK = 59,
  anon_sym_COLON = 60,
  anon_sym_BANG = 61,
  anon_sym_TILDE = 62,
  anon_sym_PLUS_PLUS = 63,
  anon_sym_DASH_DASH = 64,
  anon_sym_new = 65,
  anon_sym_LBRACK = 66,
  anon_sym_RBRACK = 67,
  anon_sym_DOT = 68,
  anon_sym_class = 69,
  anon_sym_COLON_COLON = 70,
  anon_sym_extends = 71,
  anon_sym_switch = 72,
  anon_sym_LBRACE = 73,
  anon_sym_case = 74,
  anon_sym_default = 75,
  sym_underscore_pattern = 76,
  anon_sym_when = 77,
  anon_sym_SEMI = 78,
  aux_sym_expression_statement_token1 = 79,
  anon_sym_NULL = 80,
  anon_sym_assert = 81,
  anon_sym_do = 82,
  anon_sym_while = 83,
  anon_sym_break = 84,
  anon_sym_continue = 85,
  anon_sym_return = 86,
  anon_sym_yield = 87,
  anon_sym_synchronized = 88,
  anon_sym_throw = 89,
  anon_sym_try = 90,
  anon_sym_catch = 91,
  anon_sym_finally = 92,
  anon_sym_if = 93,
  anon_sym_else = 94,
  anon_sym_for = 95,
  anon_sym_AT = 96,
  anon_sym_open = 97,
  anon_sym_module = 98,
  anon_sym_requires = 99,
  anon_sym_transitive = 100,
  anon_sym_static = 101,
  anon_sym_exports = 102,
  anon_sym_to = 103,
  anon_sym_opens = 104,
  anon_sym_uses = 105,
  anon_sym_provides = 106,
  anon_sym_with = 107,
  anon_sym_package = 108,
  anon_sym_import = 109,
  anon_sym_as = 110,
  anon_sym_enum = 111,
  anon_sym_public = 112,
  anon_sym_protected = 113,
  anon_sym_private = 114,
  anon_sym_abstract = 115,
  anon_sym_strictfp = 116,
  anon_sym_native = 117,
  anon_sym_transient = 118,
  anon_sym_volatile = 119,
  anon_sym_sealed = 120,
  anon_sym_non_DASHsealed = 121,
  anon_sym_implements = 122,
  anon_sym_permits = 123,
  anon_sym_record = 124,
  anon_sym_ATinterface = 125,
  anon_sym_interface = 126,
  anon_sym_byte = 127,
  anon_sym_short = 128,
  anon_sym_int = 129,
  anon_sym_long = 130,
  anon_sym_char = 131,
  anon_sym_float = 132,
  anon_sym_double = 133,
  sym_boolean_type = 134,
  sym_void_type = 135,
  anon_sym_DOT_DOT_DOT = 136,
  anon_sym_throws = 137,
  anon_sym_def = 138,
  anon_sym_LF = 139,
  sym_this = 140,
  sym_super = 141,
  sym_line_comment = 142,
  sym_block_comment = 143,
  sym_shebang = 144,
  anon_sym_DOT_DOT = 145,
  aux_sym__multiline_string_fragment_double_token1 = 146,
  aux_sym__multiline_string_fragment_double_token2 = 147,
  aux_sym__multiline_string_fragment_single_token1 = 148,
  aux_sym__multiline_string_fragment_single_token2 = 149,
  sym_program = 150,
  sym__toplevel_statement = 151,
  sym__literal = 152,
  sym_string_literal = 153,
  sym__string_literal = 154,
  sym__multiline_string_literal = 155,
  sym_string_interpolation = 156,
  sym__escape_sequence = 157,
  sym_expression = 158,
  sym_cast_expression = 159,
  sym_assignment_expression = 160,
  sym_binary_expression = 161,
  sym_instanceof_expression = 162,
  sym_lambda_expression = 163,
  sym_inferred_parameters = 164,
  sym_ternary_expression = 165,
  sym_unary_expression = 166,
  sym_update_expression = 167,
  sym_primary_expression = 168,
  sym_array_creation_expression = 169,
  sym_dimensions_expr = 170,
  sym_parenthesized_expression = 171,
  sym_class_literal = 172,
  sym_object_creation_expression = 173,
  sym__unqualified_object_creation_expression = 174,
  sym_field_access = 175,
  sym_template_expression = 176,
  sym_array_access = 177,
  sym_method_invocation = 178,
  sym_argument_list = 179,
  sym_method_reference = 180,
  sym_type_arguments = 181,
  sym_wildcard = 182,
  sym__wildcard_bounds = 183,
  sym_dimensions = 184,
  sym_switch_expression = 185,
  sym_switch_block = 186,
  sym_switch_block_statement_group = 187,
  sym_switch_rule = 188,
  sym_switch_label = 189,
  sym_pattern = 190,
  sym_type_pattern = 191,
  sym_record_pattern = 192,
  sym_record_pattern_body = 193,
  sym_record_pattern_component = 194,
  sym_guard = 195,
  sym_statement = 196,
  sym_block = 197,
  sym_expression_statement = 198,
  sym_labeled_statement = 199,
  sym_assert_statement = 200,
  sym_do_statement = 201,
  sym_break_statement = 202,
  sym_continue_statement = 203,
  sym_return_statement = 204,
  sym_yield_statement = 205,
  sym_synchronized_statement = 206,
  sym_throw_statement = 207,
  sym_try_statement = 208,
  sym_catch_clause = 209,
  sym_catch_formal_parameter = 210,
  sym_catch_type = 211,
  sym_finally_clause = 212,
  sym_try_with_resources_statement = 213,
  sym_resource_specification = 214,
  sym_resource = 215,
  sym_if_statement = 216,
  sym_while_statement = 217,
  sym_for_statement = 218,
  sym_enhanced_for_statement = 219,
  sym__annotation = 220,
  sym_marker_annotation = 221,
  sym_annotation = 222,
  sym_annotation_argument_list = 223,
  sym_element_value_pair = 224,
  sym__element_value = 225,
  sym_element_value_array_initializer = 226,
  sym_declaration = 227,
  sym_module_declaration = 228,
  sym_module_body = 229,
  sym_module_directive = 230,
  sym_requires_module_directive = 231,
  sym_requires_modifier = 232,
  sym_exports_module_directive = 233,
  sym_opens_module_directive = 234,
  sym_uses_module_directive = 235,
  sym_provides_module_directive = 236,
  sym_package_declaration = 237,
  sym_import_declaration = 238,
  sym_asterisk = 239,
  sym_enum_declaration = 240,
  sym_enum_body = 241,
  sym_enum_body_declarations = 242,
  sym_enum_constant = 243,
  sym_class_declaration = 244,
  sym_modifiers = 245,
  sym_type_parameters = 246,
  sym_type_parameter = 247,
  sym_type_bound = 248,
  sym_superclass = 249,
  sym_super_interfaces = 250,
  sym_type_list = 251,
  sym_permits = 252,
  sym_class_body = 253,
  sym_static_initializer = 254,
  sym_constructor_declaration = 255,
  sym__constructor_declarator = 256,
  sym_constructor_body = 257,
  sym_explicit_constructor_invocation = 258,
  sym_scoped_identifier = 259,
  sym_field_declaration = 260,
  sym_record_declaration = 261,
  sym_annotation_type_declaration = 262,
  sym_annotation_type_body = 263,
  sym_annotation_type_element_declaration = 264,
  sym__default_value = 265,
  sym_interface_declaration = 266,
  sym_extends_interfaces = 267,
  sym_interface_body = 268,
  sym_constant_declaration = 269,
  sym__variable_declarator_list = 270,
  sym_variable_declarator = 271,
  sym__variable_declarator_id = 272,
  sym_array_initializer = 273,
  sym__type = 274,
  sym__unannotated_type = 275,
  sym_annotated_type = 276,
  sym_scoped_type_identifier = 277,
  sym_generic_type = 278,
  sym_array_type = 279,
  sym_integral_type = 280,
  sym_floating_point_type = 281,
  sym__method_header = 282,
  sym__method_declarator = 283,
  sym_formal_parameters = 284,
  sym_formal_parameter = 285,
  sym_receiver_parameter = 286,
  sym_spread_parameter = 287,
  sym_throws = 288,
  sym_local_variable_declaration = 289,
  sym_method_declaration = 290,
  sym_compact_constructor_declaration = 291,
  sym__reserved_identifier = 292,
  sym_function_definition = 293,
  sym_juxt_function_call = 294,
  sym__juxt_function_name = 295,
  sym__juxt_argument_list = 296,
  sym_map_item = 297,
  sym_closure = 298,
  sym_range_expression = 299,
  sym_array_literal = 300,
  sym_map_literal = 301,
  sym__multiline_string_fragment_double = 302,
  sym__multiline_string_fragment_single = 303,
  aux_sym_program_repeat1 = 304,
  aux_sym__string_literal_repeat1 = 305,
  aux_sym__multiline_string_literal_repeat1 = 306,
  aux_sym__multiline_string_literal_repeat2 = 307,
  aux_sym_cast_expression_repeat1 = 308,
  aux_sym_inferred_parameters_repeat1 = 309,
  aux_sym_array_creation_expression_repeat1 = 310,
  aux_sym_array_creation_expression_repeat2 = 311,
  aux_sym_argument_list_repeat1 = 312,
  aux_sym_type_arguments_repeat1 = 313,
  aux_sym_dimensions_repeat1 = 314,
  aux_sym_switch_block_repeat1 = 315,
  aux_sym_switch_block_repeat2 = 316,
  aux_sym_switch_block_statement_group_repeat1 = 317,
  aux_sym_switch_block_statement_group_repeat2 = 318,
  aux_sym_switch_label_repeat1 = 319,
  aux_sym_record_pattern_body_repeat1 = 320,
  aux_sym_try_statement_repeat1 = 321,
  aux_sym_catch_type_repeat1 = 322,
  aux_sym_resource_specification_repeat1 = 323,
  aux_sym_for_statement_repeat1 = 324,
  aux_sym_for_statement_repeat2 = 325,
  aux_sym_annotation_argument_list_repeat1 = 326,
  aux_sym_element_value_array_initializer_repeat1 = 327,
  aux_sym_module_body_repeat1 = 328,
  aux_sym_requires_module_directive_repeat1 = 329,
  aux_sym_exports_module_directive_repeat1 = 330,
  aux_sym_provides_module_directive_repeat1 = 331,
  aux_sym_enum_body_repeat1 = 332,
  aux_sym_enum_body_declarations_repeat1 = 333,
  aux_sym_modifiers_repeat1 = 334,
  aux_sym_type_parameters_repeat1 = 335,
  aux_sym_type_bound_repeat1 = 336,
  aux_sym_type_list_repeat1 = 337,
  aux_sym_annotation_type_body_repeat1 = 338,
  aux_sym_interface_body_repeat1 = 339,
  aux_sym__variable_declarator_list_repeat1 = 340,
  aux_sym_array_initializer_repeat1 = 341,
  aux_sym_formal_parameters_repeat1 = 342,
  aux_sym_receiver_parameter_repeat1 = 343,
  aux_sym__juxt_argument_list_repeat1 = 344,
  aux_sym_closure_repeat1 = 345,
  aux_sym_map_literal_repeat1 = 346,
  alias_sym_type_identifier = 347,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [sym_decimal_integer_literal] = "decimal_integer_literal",
  [sym_hex_integer_literal] = "hex_integer_literal",
  [sym_octal_integer_literal] = "octal_integer_literal",
  [sym_binary_integer_literal] = "binary_integer_literal",
  [sym_decimal_floating_point_literal] = "decimal_floating_point_literal",
  [sym_hex_floating_point_literal] = "hex_floating_point_literal",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_character_literal] = "character_literal",
  [anon_sym_DQUOTE] = "\"",
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = "'''",
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = "\"\"\"",
  [sym_string_fragment] = "string_fragment",
  [anon_sym_BSLASH_LBRACE] = "\\{",
  [anon_sym_RBRACE] = "}",
  [aux_sym__escape_sequence_token1] = "_escape_sequence_token1",
  [sym_escape_sequence] = "escape_sequence",
  [sym_null_literal] = "null_literal",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_AMP] = "&",
  [anon_sym_EQ] = "=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_GT_GT_GT_EQ] = ">>>=",
  [anon_sym_GT] = ">",
  [anon_sym_LT] = "<",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PIPE] = "|",
  [anon_sym_CARET] = "^",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_GT_GT_GT] = ">>>",
  [anon_sym_in] = "in",
  [anon_sym_STAR_STAR] = "**",
  [anon_sym_instanceof] = "instanceof",
  [anon_sym_final] = "final",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_COMMA] = ",",
  [anon_sym_QMARK] = "\?",
  [anon_sym_COLON] = ":",
  [anon_sym_BANG] = "!",
  [anon_sym_TILDE] = "~",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_DASH_DASH] = "--",
  [anon_sym_new] = "new",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DOT] = ".",
  [anon_sym_class] = "class",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_extends] = "extends",
  [anon_sym_switch] = "switch",
  [anon_sym_LBRACE] = "{",
  [anon_sym_case] = "case",
  [anon_sym_default] = "default",
  [sym_underscore_pattern] = "underscore_pattern",
  [anon_sym_when] = "when",
  [anon_sym_SEMI] = ";",
  [aux_sym_expression_statement_token1] = "expression_statement_token1",
  [anon_sym_NULL] = "\0",
  [anon_sym_assert] = "assert",
  [anon_sym_do] = "do",
  [anon_sym_while] = "while",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_return] = "return",
  [anon_sym_yield] = "yield",
  [anon_sym_synchronized] = "synchronized",
  [anon_sym_throw] = "throw",
  [anon_sym_try] = "try",
  [anon_sym_catch] = "catch",
  [anon_sym_finally] = "finally",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_for] = "for",
  [anon_sym_AT] = "@",
  [anon_sym_open] = "open",
  [anon_sym_module] = "module",
  [anon_sym_requires] = "requires",
  [anon_sym_transitive] = "transitive",
  [anon_sym_static] = "static",
  [anon_sym_exports] = "exports",
  [anon_sym_to] = "to",
  [anon_sym_opens] = "opens",
  [anon_sym_uses] = "uses",
  [anon_sym_provides] = "provides",
  [anon_sym_with] = "with",
  [anon_sym_package] = "package",
  [anon_sym_import] = "import",
  [anon_sym_as] = "as",
  [anon_sym_enum] = "enum",
  [anon_sym_public] = "public",
  [anon_sym_protected] = "protected",
  [anon_sym_private] = "private",
  [anon_sym_abstract] = "abstract",
  [anon_sym_strictfp] = "strictfp",
  [anon_sym_native] = "native",
  [anon_sym_transient] = "transient",
  [anon_sym_volatile] = "volatile",
  [anon_sym_sealed] = "sealed",
  [anon_sym_non_DASHsealed] = "non-sealed",
  [anon_sym_implements] = "implements",
  [anon_sym_permits] = "permits",
  [anon_sym_record] = "record",
  [anon_sym_ATinterface] = "@interface",
  [anon_sym_interface] = "interface",
  [anon_sym_byte] = "byte",
  [anon_sym_short] = "short",
  [anon_sym_int] = "int",
  [anon_sym_long] = "long",
  [anon_sym_char] = "char",
  [anon_sym_float] = "float",
  [anon_sym_double] = "double",
  [sym_boolean_type] = "boolean_type",
  [sym_void_type] = "void_type",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_throws] = "throws",
  [anon_sym_def] = "def",
  [anon_sym_LF] = "\n",
  [sym_this] = "this",
  [sym_super] = "super",
  [sym_line_comment] = "line_comment",
  [sym_block_comment] = "block_comment",
  [sym_shebang] = "shebang",
  [anon_sym_DOT_DOT] = "..",
  [aux_sym__multiline_string_fragment_double_token1] = "_multiline_string_fragment_double_token1",
  [aux_sym__multiline_string_fragment_double_token2] = "_multiline_string_fragment_double_token2",
  [aux_sym__multiline_string_fragment_single_token1] = "_multiline_string_fragment_single_token1",
  [aux_sym__multiline_string_fragment_single_token2] = "_multiline_string_fragment_single_token2",
  [sym_program] = "program",
  [sym__toplevel_statement] = "_toplevel_statement",
  [sym__literal] = "_literal",
  [sym_string_literal] = "string_literal",
  [sym__string_literal] = "_string_literal",
  [sym__multiline_string_literal] = "_multiline_string_literal",
  [sym_string_interpolation] = "string_interpolation",
  [sym__escape_sequence] = "_escape_sequence",
  [sym_expression] = "expression",
  [sym_cast_expression] = "cast_expression",
  [sym_assignment_expression] = "assignment_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_instanceof_expression] = "instanceof_expression",
  [sym_lambda_expression] = "lambda_expression",
  [sym_inferred_parameters] = "inferred_parameters",
  [sym_ternary_expression] = "ternary_expression",
  [sym_unary_expression] = "unary_expression",
  [sym_update_expression] = "update_expression",
  [sym_primary_expression] = "primary_expression",
  [sym_array_creation_expression] = "array_creation_expression",
  [sym_dimensions_expr] = "dimensions_expr",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_class_literal] = "class_literal",
  [sym_object_creation_expression] = "object_creation_expression",
  [sym__unqualified_object_creation_expression] = "_unqualified_object_creation_expression",
  [sym_field_access] = "field_access",
  [sym_template_expression] = "template_expression",
  [sym_array_access] = "array_access",
  [sym_method_invocation] = "method_invocation",
  [sym_argument_list] = "argument_list",
  [sym_method_reference] = "method_reference",
  [sym_type_arguments] = "type_arguments",
  [sym_wildcard] = "wildcard",
  [sym__wildcard_bounds] = "_wildcard_bounds",
  [sym_dimensions] = "dimensions",
  [sym_switch_expression] = "switch_expression",
  [sym_switch_block] = "switch_block",
  [sym_switch_block_statement_group] = "switch_block_statement_group",
  [sym_switch_rule] = "switch_rule",
  [sym_switch_label] = "switch_label",
  [sym_pattern] = "pattern",
  [sym_type_pattern] = "type_pattern",
  [sym_record_pattern] = "record_pattern",
  [sym_record_pattern_body] = "record_pattern_body",
  [sym_record_pattern_component] = "record_pattern_component",
  [sym_guard] = "guard",
  [sym_statement] = "statement",
  [sym_block] = "block",
  [sym_expression_statement] = "expression_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_assert_statement] = "assert_statement",
  [sym_do_statement] = "do_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_return_statement] = "return_statement",
  [sym_yield_statement] = "yield_statement",
  [sym_synchronized_statement] = "synchronized_statement",
  [sym_throw_statement] = "throw_statement",
  [sym_try_statement] = "try_statement",
  [sym_catch_clause] = "catch_clause",
  [sym_catch_formal_parameter] = "catch_formal_parameter",
  [sym_catch_type] = "catch_type",
  [sym_finally_clause] = "finally_clause",
  [sym_try_with_resources_statement] = "try_with_resources_statement",
  [sym_resource_specification] = "resource_specification",
  [sym_resource] = "resource",
  [sym_if_statement] = "if_statement",
  [sym_while_statement] = "while_statement",
  [sym_for_statement] = "for_statement",
  [sym_enhanced_for_statement] = "enhanced_for_statement",
  [sym__annotation] = "_annotation",
  [sym_marker_annotation] = "marker_annotation",
  [sym_annotation] = "annotation",
  [sym_annotation_argument_list] = "annotation_argument_list",
  [sym_element_value_pair] = "element_value_pair",
  [sym__element_value] = "_element_value",
  [sym_element_value_array_initializer] = "element_value_array_initializer",
  [sym_declaration] = "declaration",
  [sym_module_declaration] = "module_declaration",
  [sym_module_body] = "module_body",
  [sym_module_directive] = "module_directive",
  [sym_requires_module_directive] = "requires_module_directive",
  [sym_requires_modifier] = "requires_modifier",
  [sym_exports_module_directive] = "exports_module_directive",
  [sym_opens_module_directive] = "opens_module_directive",
  [sym_uses_module_directive] = "uses_module_directive",
  [sym_provides_module_directive] = "provides_module_directive",
  [sym_package_declaration] = "package_declaration",
  [sym_import_declaration] = "import_declaration",
  [sym_asterisk] = "asterisk",
  [sym_enum_declaration] = "enum_declaration",
  [sym_enum_body] = "enum_body",
  [sym_enum_body_declarations] = "enum_body_declarations",
  [sym_enum_constant] = "enum_constant",
  [sym_class_declaration] = "class_declaration",
  [sym_modifiers] = "modifiers",
  [sym_type_parameters] = "type_parameters",
  [sym_type_parameter] = "type_parameter",
  [sym_type_bound] = "type_bound",
  [sym_superclass] = "superclass",
  [sym_super_interfaces] = "super_interfaces",
  [sym_type_list] = "type_list",
  [sym_permits] = "permits",
  [sym_class_body] = "class_body",
  [sym_static_initializer] = "static_initializer",
  [sym_constructor_declaration] = "constructor_declaration",
  [sym__constructor_declarator] = "_constructor_declarator",
  [sym_constructor_body] = "constructor_body",
  [sym_explicit_constructor_invocation] = "explicit_constructor_invocation",
  [sym_scoped_identifier] = "scoped_identifier",
  [sym_field_declaration] = "field_declaration",
  [sym_record_declaration] = "record_declaration",
  [sym_annotation_type_declaration] = "annotation_type_declaration",
  [sym_annotation_type_body] = "annotation_type_body",
  [sym_annotation_type_element_declaration] = "annotation_type_element_declaration",
  [sym__default_value] = "_default_value",
  [sym_interface_declaration] = "interface_declaration",
  [sym_extends_interfaces] = "extends_interfaces",
  [sym_interface_body] = "interface_body",
  [sym_constant_declaration] = "constant_declaration",
  [sym__variable_declarator_list] = "_variable_declarator_list",
  [sym_variable_declarator] = "variable_declarator",
  [sym__variable_declarator_id] = "_variable_declarator_id",
  [sym_array_initializer] = "array_initializer",
  [sym__type] = "_type",
  [sym__unannotated_type] = "_unannotated_type",
  [sym_annotated_type] = "annotated_type",
  [sym_scoped_type_identifier] = "scoped_type_identifier",
  [sym_generic_type] = "generic_type",
  [sym_array_type] = "array_type",
  [sym_integral_type] = "integral_type",
  [sym_floating_point_type] = "floating_point_type",
  [sym__method_header] = "_method_header",
  [sym__method_declarator] = "_method_declarator",
  [sym_formal_parameters] = "formal_parameters",
  [sym_formal_parameter] = "formal_parameter",
  [sym_receiver_parameter] = "receiver_parameter",
  [sym_spread_parameter] = "spread_parameter",
  [sym_throws] = "throws",
  [sym_local_variable_declaration] = "local_variable_declaration",
  [sym_method_declaration] = "method_declaration",
  [sym_compact_constructor_declaration] = "compact_constructor_declaration",
  [sym__reserved_identifier] = "_reserved_identifier",
  [sym_function_definition] = "function_definition",
  [sym_juxt_function_call] = "juxt_function_call",
  [sym__juxt_function_name] = "_juxt_function_name",
  [sym__juxt_argument_list] = "argument_list",
  [sym_map_item] = "map_item",
  [sym_closure] = "closure",
  [sym_range_expression] = "range_expression",
  [sym_array_literal] = "array_literal",
  [sym_map_literal] = "map_literal",
  [sym__multiline_string_fragment_double] = "multiline_string_fragment",
  [sym__multiline_string_fragment_single] = "multiline_string_fragment",
  [aux_sym_program_repeat1] = "program_repeat1",
  [aux_sym__string_literal_repeat1] = "_string_literal_repeat1",
  [aux_sym__multiline_string_literal_repeat1] = "_multiline_string_literal_repeat1",
  [aux_sym__multiline_string_literal_repeat2] = "_multiline_string_literal_repeat2",
  [aux_sym_cast_expression_repeat1] = "cast_expression_repeat1",
  [aux_sym_inferred_parameters_repeat1] = "inferred_parameters_repeat1",
  [aux_sym_array_creation_expression_repeat1] = "array_creation_expression_repeat1",
  [aux_sym_array_creation_expression_repeat2] = "array_creation_expression_repeat2",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_dimensions_repeat1] = "dimensions_repeat1",
  [aux_sym_switch_block_repeat1] = "switch_block_repeat1",
  [aux_sym_switch_block_repeat2] = "switch_block_repeat2",
  [aux_sym_switch_block_statement_group_repeat1] = "switch_block_statement_group_repeat1",
  [aux_sym_switch_block_statement_group_repeat2] = "switch_block_statement_group_repeat2",
  [aux_sym_switch_label_repeat1] = "switch_label_repeat1",
  [aux_sym_record_pattern_body_repeat1] = "record_pattern_body_repeat1",
  [aux_sym_try_statement_repeat1] = "try_statement_repeat1",
  [aux_sym_catch_type_repeat1] = "catch_type_repeat1",
  [aux_sym_resource_specification_repeat1] = "resource_specification_repeat1",
  [aux_sym_for_statement_repeat1] = "for_statement_repeat1",
  [aux_sym_for_statement_repeat2] = "for_statement_repeat2",
  [aux_sym_annotation_argument_list_repeat1] = "annotation_argument_list_repeat1",
  [aux_sym_element_value_array_initializer_repeat1] = "element_value_array_initializer_repeat1",
  [aux_sym_module_body_repeat1] = "module_body_repeat1",
  [aux_sym_requires_module_directive_repeat1] = "requires_module_directive_repeat1",
  [aux_sym_exports_module_directive_repeat1] = "exports_module_directive_repeat1",
  [aux_sym_provides_module_directive_repeat1] = "provides_module_directive_repeat1",
  [aux_sym_enum_body_repeat1] = "enum_body_repeat1",
  [aux_sym_enum_body_declarations_repeat1] = "enum_body_declarations_repeat1",
  [aux_sym_modifiers_repeat1] = "modifiers_repeat1",
  [aux_sym_type_parameters_repeat1] = "type_parameters_repeat1",
  [aux_sym_type_bound_repeat1] = "type_bound_repeat1",
  [aux_sym_type_list_repeat1] = "type_list_repeat1",
  [aux_sym_annotation_type_body_repeat1] = "annotation_type_body_repeat1",
  [aux_sym_interface_body_repeat1] = "interface_body_repeat1",
  [aux_sym__variable_declarator_list_repeat1] = "_variable_declarator_list_repeat1",
  [aux_sym_array_initializer_repeat1] = "array_initializer_repeat1",
  [aux_sym_formal_parameters_repeat1] = "formal_parameters_repeat1",
  [aux_sym_receiver_parameter_repeat1] = "receiver_parameter_repeat1",
  [aux_sym__juxt_argument_list_repeat1] = "_juxt_argument_list_repeat1",
  [aux_sym_closure_repeat1] = "closure_repeat1",
  [aux_sym_map_literal_repeat1] = "map_literal_repeat1",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [sym_decimal_integer_literal] = sym_decimal_integer_literal,
  [sym_hex_integer_literal] = sym_hex_integer_literal,
  [sym_octal_integer_literal] = sym_octal_integer_literal,
  [sym_binary_integer_literal] = sym_binary_integer_literal,
  [sym_decimal_floating_point_literal] = sym_decimal_floating_point_literal,
  [sym_hex_floating_point_literal] = sym_hex_floating_point_literal,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_character_literal] = sym_character_literal,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = anon_sym_SQUOTE_SQUOTE_SQUOTE,
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = anon_sym_DQUOTE_DQUOTE_DQUOTE,
  [sym_string_fragment] = sym_string_fragment,
  [anon_sym_BSLASH_LBRACE] = anon_sym_BSLASH_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [aux_sym__escape_sequence_token1] = aux_sym__escape_sequence_token1,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_null_literal] = sym_null_literal,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_GT_GT_GT_EQ] = anon_sym_GT_GT_GT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_GT_GT_GT] = anon_sym_GT_GT_GT,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_STAR_STAR] = anon_sym_STAR_STAR,
  [anon_sym_instanceof] = anon_sym_instanceof,
  [anon_sym_final] = anon_sym_final,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_DASH_DASH] = anon_sym_DASH_DASH,
  [anon_sym_new] = anon_sym_new,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_class] = anon_sym_class,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_extends] = anon_sym_extends,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_default] = anon_sym_default,
  [sym_underscore_pattern] = sym_underscore_pattern,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [aux_sym_expression_statement_token1] = aux_sym_expression_statement_token1,
  [anon_sym_NULL] = anon_sym_NULL,
  [anon_sym_assert] = anon_sym_assert,
  [anon_sym_do] = anon_sym_do,
  [anon_sym_while] = anon_sym_while,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_yield] = anon_sym_yield,
  [anon_sym_synchronized] = anon_sym_synchronized,
  [anon_sym_throw] = anon_sym_throw,
  [anon_sym_try] = anon_sym_try,
  [anon_sym_catch] = anon_sym_catch,
  [anon_sym_finally] = anon_sym_finally,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_open] = anon_sym_open,
  [anon_sym_module] = anon_sym_module,
  [anon_sym_requires] = anon_sym_requires,
  [anon_sym_transitive] = anon_sym_transitive,
  [anon_sym_static] = anon_sym_static,
  [anon_sym_exports] = anon_sym_exports,
  [anon_sym_to] = anon_sym_to,
  [anon_sym_opens] = anon_sym_opens,
  [anon_sym_uses] = anon_sym_uses,
  [anon_sym_provides] = anon_sym_provides,
  [anon_sym_with] = anon_sym_with,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_as] = anon_sym_as,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_public] = anon_sym_public,
  [anon_sym_protected] = anon_sym_protected,
  [anon_sym_private] = anon_sym_private,
  [anon_sym_abstract] = anon_sym_abstract,
  [anon_sym_strictfp] = anon_sym_strictfp,
  [anon_sym_native] = anon_sym_native,
  [anon_sym_transient] = anon_sym_transient,
  [anon_sym_volatile] = anon_sym_volatile,
  [anon_sym_sealed] = anon_sym_sealed,
  [anon_sym_non_DASHsealed] = anon_sym_non_DASHsealed,
  [anon_sym_implements] = anon_sym_implements,
  [anon_sym_permits] = anon_sym_permits,
  [anon_sym_record] = anon_sym_record,
  [anon_sym_ATinterface] = anon_sym_ATinterface,
  [anon_sym_interface] = anon_sym_interface,
  [anon_sym_byte] = anon_sym_byte,
  [anon_sym_short] = anon_sym_short,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_long] = anon_sym_long,
  [anon_sym_char] = anon_sym_char,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_double] = anon_sym_double,
  [sym_boolean_type] = sym_boolean_type,
  [sym_void_type] = sym_void_type,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_throws] = anon_sym_throws,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_LF] = anon_sym_LF,
  [sym_this] = sym_this,
  [sym_super] = sym_super,
  [sym_line_comment] = sym_line_comment,
  [sym_block_comment] = sym_block_comment,
  [sym_shebang] = sym_shebang,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [aux_sym__multiline_string_fragment_double_token1] = aux_sym__multiline_string_fragment_double_token1,
  [aux_sym__multiline_string_fragment_double_token2] = aux_sym__multiline_string_fragment_double_token2,
  [aux_sym__multiline_string_fragment_single_token1] = aux_sym__multiline_string_fragment_single_token1,
  [aux_sym__multiline_string_fragment_single_token2] = aux_sym__multiline_string_fragment_single_token2,
  [sym_program] = sym_program,
  [sym__toplevel_statement] = sym__toplevel_statement,
  [sym__literal] = sym__literal,
  [sym_string_literal] = sym_string_literal,
  [sym__string_literal] = sym__string_literal,
  [sym__multiline_string_literal] = sym__multiline_string_literal,
  [sym_string_interpolation] = sym_string_interpolation,
  [sym__escape_sequence] = sym__escape_sequence,
  [sym_expression] = sym_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_assignment_expression] = sym_assignment_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_instanceof_expression] = sym_instanceof_expression,
  [sym_lambda_expression] = sym_lambda_expression,
  [sym_inferred_parameters] = sym_inferred_parameters,
  [sym_ternary_expression] = sym_ternary_expression,
  [sym_unary_expression] = sym_unary_expression,
  [sym_update_expression] = sym_update_expression,
  [sym_primary_expression] = sym_primary_expression,
  [sym_array_creation_expression] = sym_array_creation_expression,
  [sym_dimensions_expr] = sym_dimensions_expr,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_class_literal] = sym_class_literal,
  [sym_object_creation_expression] = sym_object_creation_expression,
  [sym__unqualified_object_creation_expression] = sym__unqualified_object_creation_expression,
  [sym_field_access] = sym_field_access,
  [sym_template_expression] = sym_template_expression,
  [sym_array_access] = sym_array_access,
  [sym_method_invocation] = sym_method_invocation,
  [sym_argument_list] = sym_argument_list,
  [sym_method_reference] = sym_method_reference,
  [sym_type_arguments] = sym_type_arguments,
  [sym_wildcard] = sym_wildcard,
  [sym__wildcard_bounds] = sym__wildcard_bounds,
  [sym_dimensions] = sym_dimensions,
  [sym_switch_expression] = sym_switch_expression,
  [sym_switch_block] = sym_switch_block,
  [sym_switch_block_statement_group] = sym_switch_block_statement_group,
  [sym_switch_rule] = sym_switch_rule,
  [sym_switch_label] = sym_switch_label,
  [sym_pattern] = sym_pattern,
  [sym_type_pattern] = sym_type_pattern,
  [sym_record_pattern] = sym_record_pattern,
  [sym_record_pattern_body] = sym_record_pattern_body,
  [sym_record_pattern_component] = sym_record_pattern_component,
  [sym_guard] = sym_guard,
  [sym_statement] = sym_statement,
  [sym_block] = sym_block,
  [sym_expression_statement] = sym_expression_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_assert_statement] = sym_assert_statement,
  [sym_do_statement] = sym_do_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_yield_statement] = sym_yield_statement,
  [sym_synchronized_statement] = sym_synchronized_statement,
  [sym_throw_statement] = sym_throw_statement,
  [sym_try_statement] = sym_try_statement,
  [sym_catch_clause] = sym_catch_clause,
  [sym_catch_formal_parameter] = sym_catch_formal_parameter,
  [sym_catch_type] = sym_catch_type,
  [sym_finally_clause] = sym_finally_clause,
  [sym_try_with_resources_statement] = sym_try_with_resources_statement,
  [sym_resource_specification] = sym_resource_specification,
  [sym_resource] = sym_resource,
  [sym_if_statement] = sym_if_statement,
  [sym_while_statement] = sym_while_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_enhanced_for_statement] = sym_enhanced_for_statement,
  [sym__annotation] = sym__annotation,
  [sym_marker_annotation] = sym_marker_annotation,
  [sym_annotation] = sym_annotation,
  [sym_annotation_argument_list] = sym_annotation_argument_list,
  [sym_element_value_pair] = sym_element_value_pair,
  [sym__element_value] = sym__element_value,
  [sym_element_value_array_initializer] = sym_element_value_array_initializer,
  [sym_declaration] = sym_declaration,
  [sym_module_declaration] = sym_module_declaration,
  [sym_module_body] = sym_module_body,
  [sym_module_directive] = sym_module_directive,
  [sym_requires_module_directive] = sym_requires_module_directive,
  [sym_requires_modifier] = sym_requires_modifier,
  [sym_exports_module_directive] = sym_exports_module_directive,
  [sym_opens_module_directive] = sym_opens_module_directive,
  [sym_uses_module_directive] = sym_uses_module_directive,
  [sym_provides_module_directive] = sym_provides_module_directive,
  [sym_package_declaration] = sym_package_declaration,
  [sym_import_declaration] = sym_import_declaration,
  [sym_asterisk] = sym_asterisk,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_enum_body] = sym_enum_body,
  [sym_enum_body_declarations] = sym_enum_body_declarations,
  [sym_enum_constant] = sym_enum_constant,
  [sym_class_declaration] = sym_class_declaration,
  [sym_modifiers] = sym_modifiers,
  [sym_type_parameters] = sym_type_parameters,
  [sym_type_parameter] = sym_type_parameter,
  [sym_type_bound] = sym_type_bound,
  [sym_superclass] = sym_superclass,
  [sym_super_interfaces] = sym_super_interfaces,
  [sym_type_list] = sym_type_list,
  [sym_permits] = sym_permits,
  [sym_class_body] = sym_class_body,
  [sym_static_initializer] = sym_static_initializer,
  [sym_constructor_declaration] = sym_constructor_declaration,
  [sym__constructor_declarator] = sym__constructor_declarator,
  [sym_constructor_body] = sym_constructor_body,
  [sym_explicit_constructor_invocation] = sym_explicit_constructor_invocation,
  [sym_scoped_identifier] = sym_scoped_identifier,
  [sym_field_declaration] = sym_field_declaration,
  [sym_record_declaration] = sym_record_declaration,
  [sym_annotation_type_declaration] = sym_annotation_type_declaration,
  [sym_annotation_type_body] = sym_annotation_type_body,
  [sym_annotation_type_element_declaration] = sym_annotation_type_element_declaration,
  [sym__default_value] = sym__default_value,
  [sym_interface_declaration] = sym_interface_declaration,
  [sym_extends_interfaces] = sym_extends_interfaces,
  [sym_interface_body] = sym_interface_body,
  [sym_constant_declaration] = sym_constant_declaration,
  [sym__variable_declarator_list] = sym__variable_declarator_list,
  [sym_variable_declarator] = sym_variable_declarator,
  [sym__variable_declarator_id] = sym__variable_declarator_id,
  [sym_array_initializer] = sym_array_initializer,
  [sym__type] = sym__type,
  [sym__unannotated_type] = sym__unannotated_type,
  [sym_annotated_type] = sym_annotated_type,
  [sym_scoped_type_identifier] = sym_scoped_type_identifier,
  [sym_generic_type] = sym_generic_type,
  [sym_array_type] = sym_array_type,
  [sym_integral_type] = sym_integral_type,
  [sym_floating_point_type] = sym_floating_point_type,
  [sym__method_header] = sym__method_header,
  [sym__method_declarator] = sym__method_declarator,
  [sym_formal_parameters] = sym_formal_parameters,
  [sym_formal_parameter] = sym_formal_parameter,
  [sym_receiver_parameter] = sym_receiver_parameter,
  [sym_spread_parameter] = sym_spread_parameter,
  [sym_throws] = sym_throws,
  [sym_local_variable_declaration] = sym_local_variable_declaration,
  [sym_method_declaration] = sym_method_declaration,
  [sym_compact_constructor_declaration] = sym_compact_constructor_declaration,
  [sym__reserved_identifier] = sym__reserved_identifier,
  [sym_function_definition] = sym_function_definition,
  [sym_juxt_function_call] = sym_juxt_function_call,
  [sym__juxt_function_name] = sym__juxt_function_name,
  [sym__juxt_argument_list] = sym_argument_list,
  [sym_map_item] = sym_map_item,
  [sym_closure] = sym_closure,
  [sym_range_expression] = sym_range_expression,
  [sym_array_literal] = sym_array_literal,
  [sym_map_literal] = sym_map_literal,
  [sym__multiline_string_fragment_double] = sym__multiline_string_fragment_double,
  [sym__multiline_string_fragment_single] = sym__multiline_string_fragment_double,
  [aux_sym_program_repeat1] = aux_sym_program_repeat1,
  [aux_sym__string_literal_repeat1] = aux_sym__string_literal_repeat1,
  [aux_sym__multiline_string_literal_repeat1] = aux_sym__multiline_string_literal_repeat1,
  [aux_sym__multiline_string_literal_repeat2] = aux_sym__multiline_string_literal_repeat2,
  [aux_sym_cast_expression_repeat1] = aux_sym_cast_expression_repeat1,
  [aux_sym_inferred_parameters_repeat1] = aux_sym_inferred_parameters_repeat1,
  [aux_sym_array_creation_expression_repeat1] = aux_sym_array_creation_expression_repeat1,
  [aux_sym_array_creation_expression_repeat2] = aux_sym_array_creation_expression_repeat2,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_dimensions_repeat1] = aux_sym_dimensions_repeat1,
  [aux_sym_switch_block_repeat1] = aux_sym_switch_block_repeat1,
  [aux_sym_switch_block_repeat2] = aux_sym_switch_block_repeat2,
  [aux_sym_switch_block_statement_group_repeat1] = aux_sym_switch_block_statement_group_repeat1,
  [aux_sym_switch_block_statement_group_repeat2] = aux_sym_switch_block_statement_group_repeat2,
  [aux_sym_switch_label_repeat1] = aux_sym_switch_label_repeat1,
  [aux_sym_record_pattern_body_repeat1] = aux_sym_record_pattern_body_repeat1,
  [aux_sym_try_statement_repeat1] = aux_sym_try_statement_repeat1,
  [aux_sym_catch_type_repeat1] = aux_sym_catch_type_repeat1,
  [aux_sym_resource_specification_repeat1] = aux_sym_resource_specification_repeat1,
  [aux_sym_for_statement_repeat1] = aux_sym_for_statement_repeat1,
  [aux_sym_for_statement_repeat2] = aux_sym_for_statement_repeat2,
  [aux_sym_annotation_argument_list_repeat1] = aux_sym_annotation_argument_list_repeat1,
  [aux_sym_element_value_array_initializer_repeat1] = aux_sym_element_value_array_initializer_repeat1,
  [aux_sym_module_body_repeat1] = aux_sym_module_body_repeat1,
  [aux_sym_requires_module_directive_repeat1] = aux_sym_requires_module_directive_repeat1,
  [aux_sym_exports_module_directive_repeat1] = aux_sym_exports_module_directive_repeat1,
  [aux_sym_provides_module_directive_repeat1] = aux_sym_provides_module_directive_repeat1,
  [aux_sym_enum_body_repeat1] = aux_sym_enum_body_repeat1,
  [aux_sym_enum_body_declarations_repeat1] = aux_sym_enum_body_declarations_repeat1,
  [aux_sym_modifiers_repeat1] = aux_sym_modifiers_repeat1,
  [aux_sym_type_parameters_repeat1] = aux_sym_type_parameters_repeat1,
  [aux_sym_type_bound_repeat1] = aux_sym_type_bound_repeat1,
  [aux_sym_type_list_repeat1] = aux_sym_type_list_repeat1,
  [aux_sym_annotation_type_body_repeat1] = aux_sym_annotation_type_body_repeat1,
  [aux_sym_interface_body_repeat1] = aux_sym_interface_body_repeat1,
  [aux_sym__variable_declarator_list_repeat1] = aux_sym__variable_declarator_list_repeat1,
  [aux_sym_array_initializer_repeat1] = aux_sym_array_initializer_repeat1,
  [aux_sym_formal_parameters_repeat1] = aux_sym_formal_parameters_repeat1,
  [aux_sym_receiver_parameter_repeat1] = aux_sym_receiver_parameter_repeat1,
  [aux_sym__juxt_argument_list_repeat1] = aux_sym__juxt_argument_list_repeat1,
  [aux_sym_closure_repeat1] = aux_sym_closure_repeat1,
  [aux_sym_map_literal_repeat1] = aux_sym_map_literal_repeat1,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_octal_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_integer_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_decimal_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_hex_floating_point_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_character_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SQUOTE_SQUOTE_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE_DQUOTE_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym_string_fragment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_BSLASH_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__escape_sequence_token1] = {
    .visible = false,
    .named = false,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_null_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_instanceof] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_final] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_class] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_extends] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [sym_underscore_pattern] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_expression_statement_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_NULL] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_assert] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_do] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_while] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_yield] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_synchronized] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throw] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_try] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_catch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_finally] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_open] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_module] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_requires] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transitive] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_static] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_exports] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_to] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_opens] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_uses] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_provides] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_with] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_as] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_public] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_protected] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_private] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_abstract] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_strictfp] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_native] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transient] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_volatile] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_sealed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_non_DASHsealed] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_implements] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_permits] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_record] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_ATinterface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_interface] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_byte] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_short] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_long] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_char] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_double] = {
    .visible = true,
    .named = false,
  },
  [sym_boolean_type] = {
    .visible = true,
    .named = true,
  },
  [sym_void_type] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_throws] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [sym_this] = {
    .visible = true,
    .named = true,
  },
  [sym_super] = {
    .visible = true,
    .named = true,
  },
  [sym_line_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_block_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_shebang] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym__multiline_string_fragment_double_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__multiline_string_fragment_double_token2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__multiline_string_fragment_single_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__multiline_string_fragment_single_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_program] = {
    .visible = true,
    .named = true,
  },
  [sym__toplevel_statement] = {
    .visible = false,
    .named = true,
  },
  [sym__literal] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym__multiline_string_literal] = {
    .visible = false,
    .named = true,
  },
  [sym_string_interpolation] = {
    .visible = true,
    .named = true,
  },
  [sym__escape_sequence] = {
    .visible = false,
    .named = true,
  },
  [sym_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_assignment_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_instanceof_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_lambda_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_inferred_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_ternary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_update_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_primary_expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_array_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_dimensions_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_class_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_object_creation_expression] = {
    .visible = true,
    .named = true,
  },
  [sym__unqualified_object_creation_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_field_access] = {
    .visible = true,
    .named = true,
  },
  [sym_template_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_access] = {
    .visible = true,
    .named = true,
  },
  [sym_method_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_method_reference] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_wildcard] = {
    .visible = true,
    .named = true,
  },
  [sym__wildcard_bounds] = {
    .visible = false,
    .named = true,
  },
  [sym_dimensions] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_block_statement_group] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_rule] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_label] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_type_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern_body] = {
    .visible = true,
    .named = true,
  },
  [sym_record_pattern_component] = {
    .visible = true,
    .named = true,
  },
  [sym_guard] = {
    .visible = true,
    .named = true,
  },
  [sym_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_assert_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_do_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_yield_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_synchronized_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_throw_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_try_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_formal_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_catch_type] = {
    .visible = true,
    .named = true,
  },
  [sym_finally_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_try_with_resources_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_resource_specification] = {
    .visible = true,
    .named = true,
  },
  [sym_resource] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_while_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_enhanced_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__annotation] = {
    .visible = false,
    .named = true,
  },
  [sym_marker_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_element_value_pair] = {
    .visible = true,
    .named = true,
  },
  [sym__element_value] = {
    .visible = false,
    .named = true,
  },
  [sym_element_value_array_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_declaration] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_module_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_module_body] = {
    .visible = true,
    .named = true,
  },
  [sym_module_directive] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_requires_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_requires_modifier] = {
    .visible = true,
    .named = true,
  },
  [sym_exports_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_opens_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_uses_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_provides_module_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_package_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_asterisk] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_body_declarations] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_constant] = {
    .visible = true,
    .named = true,
  },
  [sym_class_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_modifiers] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_type_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_type_bound] = {
    .visible = true,
    .named = true,
  },
  [sym_superclass] = {
    .visible = true,
    .named = true,
  },
  [sym_super_interfaces] = {
    .visible = true,
    .named = true,
  },
  [sym_type_list] = {
    .visible = true,
    .named = true,
  },
  [sym_permits] = {
    .visible = true,
    .named = true,
  },
  [sym_class_body] = {
    .visible = true,
    .named = true,
  },
  [sym_static_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__constructor_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_constructor_body] = {
    .visible = true,
    .named = true,
  },
  [sym_explicit_constructor_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_record_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_type_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_type_body] = {
    .visible = true,
    .named = true,
  },
  [sym_annotation_type_element_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__default_value] = {
    .visible = false,
    .named = true,
  },
  [sym_interface_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_extends_interfaces] = {
    .visible = true,
    .named = true,
  },
  [sym_interface_body] = {
    .visible = true,
    .named = true,
  },
  [sym_constant_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_declarator_list] = {
    .visible = false,
    .named = true,
  },
  [sym_variable_declarator] = {
    .visible = true,
    .named = true,
  },
  [sym__variable_declarator_id] = {
    .visible = false,
    .named = true,
  },
  [sym_array_initializer] = {
    .visible = true,
    .named = true,
  },
  [sym__type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__unannotated_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_annotated_type] = {
    .visible = true,
    .named = true,
  },
  [sym_scoped_type_identifier] = {
    .visible = true,
    .named = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_integral_type] = {
    .visible = true,
    .named = true,
  },
  [sym_floating_point_type] = {
    .visible = true,
    .named = true,
  },
  [sym__method_header] = {
    .visible = false,
    .named = true,
  },
  [sym__method_declarator] = {
    .visible = false,
    .named = true,
  },
  [sym_formal_parameters] = {
    .visible = true,
    .named = true,
  },
  [sym_formal_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_receiver_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_spread_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_throws] = {
    .visible = true,
    .named = true,
  },
  [sym_local_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_method_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_compact_constructor_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym__reserved_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_juxt_function_call] = {
    .visible = true,
    .named = true,
  },
  [sym__juxt_function_name] = {
    .visible = false,
    .named = true,
  },
  [sym__juxt_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_map_item] = {
    .visible = true,
    .named = true,
  },
  [sym_closure] = {
    .visible = true,
    .named = true,
  },
  [sym_range_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_array_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_map_literal] = {
    .visible = true,
    .named = true,
  },
  [sym__multiline_string_fragment_double] = {
    .visible = true,
    .named = true,
  },
  [sym__multiline_string_fragment_single] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_program_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__multiline_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__multiline_string_literal_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_cast_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_inferred_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_creation_expression_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_dimensions_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_statement_group_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_block_statement_group_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_label_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_record_pattern_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_try_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_catch_type_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_resource_specification_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_for_statement_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_annotation_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_element_value_array_initializer_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_module_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_requires_module_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_exports_module_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_provides_module_directive_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_body_declarations_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_modifiers_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_bound_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_annotation_type_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interface_body_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__variable_declarator_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_initializer_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_formal_parameters_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_receiver_parameter_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__juxt_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_closure_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_map_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum ts_field_identifiers {
  field_alternative = 1,
  field_args = 2,
  field_arguments = 3,
  field_array = 4,
  field_body = 5,
  field_condition = 6,
  field_consequence = 7,
  field_constructor = 8,
  field_declarator = 9,
  field_dimensions = 10,
  field_element = 11,
  field_end = 12,
  field_field = 13,
  field_index = 14,
  field_init = 15,
  field_interfaces = 16,
  field_key = 17,
  field_left = 18,
  field_modifiers = 19,
  field_module = 20,
  field_modules = 21,
  field_name = 22,
  field_object = 23,
  field_operand = 24,
  field_operator = 25,
  field_package = 26,
  field_parameters = 27,
  field_pattern = 28,
  field_permits = 29,
  field_provided = 30,
  field_provider = 31,
  field_resources = 32,
  field_right = 33,
  field_scope = 34,
  field_start = 35,
  field_superclass = 36,
  field_template_argument = 37,
  field_template_processor = 38,
  field_type = 39,
  field_type_arguments = 40,
  field_type_parameters = 41,
  field_update = 42,
  field_value = 43,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_args] = "args",
  [field_arguments] = "arguments",
  [field_array] = "array",
  [field_body] = "body",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_constructor] = "constructor",
  [field_declarator] = "declarator",
  [field_dimensions] = "dimensions",
  [field_element] = "element",
  [field_end] = "end",
  [field_field] = "field",
  [field_index] = "index",
  [field_init] = "init",
  [field_interfaces] = "interfaces",
  [field_key] = "key",
  [field_left] = "left",
  [field_modifiers] = "modifiers",
  [field_module] = "module",
  [field_modules] = "modules",
  [field_name] = "name",
  [field_object] = "object",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_package] = "package",
  [field_parameters] = "parameters",
  [field_pattern] = "pattern",
  [field_permits] = "permits",
  [field_provided] = "provided",
  [field_provider] = "provider",
  [field_resources] = "resources",
  [field_right] = "right",
  [field_scope] = "scope",
  [field_start] = "start",
  [field_superclass] = "superclass",
  [field_template_argument] = "template_argument",
  [field_template_processor] = "template_processor",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_type_parameters] = "type_parameters",
  [field_update] = "update",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 3},
  [5] = {.index = 4, .length = 1},
  [6] = {.index = 5, .length = 2},
  [7] = {.index = 7, .length = 2},
  [8] = {.index = 9, .length = 1},
  [9] = {.index = 10, .length = 2},
  [10] = {.index = 12, .length = 1},
  [11] = {.index = 13, .length = 2},
  [12] = {.index = 15, .length = 2},
  [13] = {.index = 17, .length = 1},
  [14] = {.index = 18, .length = 2},
  [15] = {.index = 20, .length = 2},
  [16] = {.index = 22, .length = 4},
  [17] = {.index = 26, .length = 5},
  [18] = {.index = 31, .length = 6},
  [19] = {.index = 37, .length = 2},
  [20] = {.index = 39, .length = 3},
  [22] = {.index = 42, .length = 2},
  [23] = {.index = 44, .length = 2},
  [24] = {.index = 42, .length = 2},
  [25] = {.index = 44, .length = 2},
  [26] = {.index = 46, .length = 2},
  [27] = {.index = 48, .length = 2},
  [28] = {.index = 50, .length = 1},
  [29] = {.index = 51, .length = 2},
  [30] = {.index = 53, .length = 2},
  [31] = {.index = 55, .length = 2},
  [32] = {.index = 57, .length = 1},
  [33] = {.index = 58, .length = 2},
  [34] = {.index = 60, .length = 3},
  [35] = {.index = 63, .length = 2},
  [37] = {.index = 65, .length = 3},
  [38] = {.index = 68, .length = 2},
  [39] = {.index = 70, .length = 2},
  [40] = {.index = 72, .length = 2},
  [41] = {.index = 74, .length = 2},
  [42] = {.index = 76, .length = 3},
  [43] = {.index = 79, .length = 5},
  [44] = {.index = 84, .length = 6},
  [45] = {.index = 90, .length = 5},
  [46] = {.index = 95, .length = 1},
  [47] = {.index = 96, .length = 2},
  [48] = {.index = 98, .length = 3},
  [49] = {.index = 101, .length = 2},
  [50] = {.index = 103, .length = 2},
  [52] = {.index = 105, .length = 3},
  [53] = {.index = 108, .length = 2},
  [54] = {.index = 110, .length = 1},
  [55] = {.index = 111, .length = 2},
  [56] = {.index = 113, .length = 3},
  [57] = {.index = 116, .length = 3},
  [58] = {.index = 113, .length = 3},
  [59] = {.index = 116, .length = 3},
  [60] = {.index = 119, .length = 3},
  [61] = {.index = 119, .length = 3},
  [62] = {.index = 122, .length = 2},
  [63] = {.index = 124, .length = 2},
  [64] = {.index = 122, .length = 2},
  [65] = {.index = 124, .length = 2},
  [66] = {.index = 126, .length = 2},
  [67] = {.index = 128, .length = 3},
  [68] = {.index = 131, .length = 3},
  [69] = {.index = 134, .length = 3},
  [70] = {.index = 137, .length = 3},
  [71] = {.index = 140, .length = 2},
  [72] = {.index = 142, .length = 2},
  [73] = {.index = 144, .length = 3},
  [74] = {.index = 147, .length = 2},
  [75] = {.index = 149, .length = 3},
  [76] = {.index = 152, .length = 3},
  [78] = {.index = 155, .length = 2},
  [79] = {.index = 157, .length = 2},
  [80] = {.index = 159, .length = 3},
  [81] = {.index = 162, .length = 2},
  [82] = {.index = 164, .length = 1},
  [83] = {.index = 165, .length = 2},
  [84] = {.index = 167, .length = 5},
  [85] = {.index = 172, .length = 3},
  [86] = {.index = 175, .length = 4},
  [88] = {.index = 179, .length = 3},
  [89] = {.index = 182, .length = 3},
  [90] = {.index = 182, .length = 3},
  [91] = {.index = 185, .length = 3},
  [92] = {.index = 188, .length = 3},
  [93] = {.index = 185, .length = 3},
  [94] = {.index = 188, .length = 3},
  [95] = {.index = 191, .length = 3},
  [96] = {.index = 191, .length = 3},
  [97] = {.index = 194, .length = 4},
  [98] = {.index = 198, .length = 4},
  [99] = {.index = 202, .length = 4},
  [100] = {.index = 206, .length = 4},
  [101] = {.index = 210, .length = 4},
  [102] = {.index = 214, .length = 4},
  [103] = {.index = 218, .length = 4},
  [104] = {.index = 222, .length = 2},
  [105] = {.index = 224, .length = 3},
  [106] = {.index = 227, .length = 1},
  [107] = {.index = 228, .length = 2},
  [108] = {.index = 230, .length = 1},
  [109] = {.index = 231, .length = 4},
  [110] = {.index = 235, .length = 4},
  [111] = {.index = 239, .length = 3},
  [112] = {.index = 242, .length = 3},
  [113] = {.index = 245, .length = 2},
  [114] = {.index = 247, .length = 4},
  [115] = {.index = 251, .length = 4},
  [116] = {.index = 255, .length = 4},
  [117] = {.index = 259, .length = 3},
  [118] = {.index = 262, .length = 3},
  [119] = {.index = 265, .length = 3},
  [120] = {.index = 268, .length = 3},
  [121] = {.index = 271, .length = 3},
  [122] = {.index = 274, .length = 3},
  [123] = {.index = 277, .length = 3},
  [124] = {.index = 280, .length = 2},
  [125] = {.index = 282, .length = 4},
  [126] = {.index = 286, .length = 2},
  [127] = {.index = 288, .length = 3},
  [128] = {.index = 288, .length = 3},
  [129] = {.index = 291, .length = 4},
  [130] = {.index = 295, .length = 4},
  [131] = {.index = 299, .length = 3},
  [132] = {.index = 302, .length = 4},
  [133] = {.index = 306, .length = 5},
  [134] = {.index = 311, .length = 5},
  [135] = {.index = 316, .length = 5},
  [136] = {.index = 321, .length = 5},
  [137] = {.index = 326, .length = 4},
  [138] = {.index = 330, .length = 2},
  [139] = {.index = 332, .length = 1},
  [140] = {.index = 333, .length = 2},
  [141] = {.index = 335, .length = 1},
  [142] = {.index = 336, .length = 2},
  [143] = {.index = 338, .length = 1},
  [144] = {.index = 339, .length = 5},
  [145] = {.index = 344, .length = 4},
  [146] = {.index = 348, .length = 3},
  [147] = {.index = 351, .length = 3},
  [148] = {.index = 354, .length = 5},
  [149] = {.index = 359, .length = 4},
  [150] = {.index = 363, .length = 4},
  [151] = {.index = 367, .length = 4},
  [152] = {.index = 371, .length = 4},
  [153] = {.index = 375, .length = 4},
  [154] = {.index = 379, .length = 4},
  [155] = {.index = 383, .length = 4},
  [156] = {.index = 387, .length = 4},
  [157] = {.index = 391, .length = 3},
  [158] = {.index = 394, .length = 3},
  [159] = {.index = 397, .length = 3},
  [160] = {.index = 400, .length = 4},
  [161] = {.index = 404, .length = 4},
  [162] = {.index = 408, .length = 6},
  [163] = {.index = 414, .length = 4},
  [164] = {.index = 418, .length = 1},
  [165] = {.index = 419, .length = 2},
  [166] = {.index = 421, .length = 2},
  [167] = {.index = 423, .length = 1},
  [168] = {.index = 424, .length = 2},
  [169] = {.index = 426, .length = 2},
  [170] = {.index = 428, .length = 2},
  [171] = {.index = 430, .length = 4},
  [172] = {.index = 434, .length = 3},
  [173] = {.index = 437, .length = 3},
  [174] = {.index = 440, .length = 2},
  [175] = {.index = 442, .length = 3},
  [176] = {.index = 445, .length = 4},
  [177] = {.index = 449, .length = 4},
  [178] = {.index = 453, .length = 4},
  [179] = {.index = 457, .length = 5},
  [180] = {.index = 462, .length = 5},
  [181] = {.index = 467, .length = 5},
  [182] = {.index = 472, .length = 5},
  [183] = {.index = 477, .length = 5},
  [184] = {.index = 482, .length = 4},
  [185] = {.index = 486, .length = 2},
  [186] = {.index = 488, .length = 3},
  [187] = {.index = 491, .length = 3},
  [188] = {.index = 494, .length = 3},
  [189] = {.index = 497, .length = 3},
  [190] = {.index = 500, .length = 3},
  [191] = {.index = 503, .length = 4},
  [192] = {.index = 507, .length = 5},
  [193] = {.index = 512, .length = 4},
  [194] = {.index = 516, .length = 4},
  [195] = {.index = 520, .length = 2},
  [196] = {.index = 522, .length = 1},
  [197] = {.index = 523, .length = 2},
  [198] = {.index = 525, .length = 5},
  [199] = {.index = 530, .length = 6},
  [200] = {.index = 536, .length = 3},
  [201] = {.index = 539, .length = 4},
  [202] = {.index = 543, .length = 4},
  [203] = {.index = 547, .length = 4},
  [204] = {.index = 551, .length = 4},
  [205] = {.index = 555, .length = 4},
  [206] = {.index = 559, .length = 5},
  [207] = {.index = 564, .length = 5},
  [208] = {.index = 569, .length = 1},
  [209] = {.index = 570, .length = 3},
  [210] = {.index = 573, .length = 2},
  [211] = {.index = 575, .length = 1},
  [212] = {.index = 576, .length = 2},
  [213] = {.index = 578, .length = 2},
  [214] = {.index = 580, .length = 2},
  [215] = {.index = 582, .length = 1},
  [216] = {.index = 583, .length = 3},
  [217] = {.index = 586, .length = 3},
  [218] = {.index = 589, .length = 3},
  [219] = {.index = 592, .length = 5},
  [220] = {.index = 597, .length = 5},
  [221] = {.index = 602, .length = 5},
  [222] = {.index = 607, .length = 3},
  [223] = {.index = 610, .length = 3},
  [224] = {.index = 613, .length = 4},
  [225] = {.index = 617, .length = 4},
  [226] = {.index = 621, .length = 6},
  [227] = {.index = 627, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_name, 0},
  [1] =
    {field_arguments, 0, .inherited = true},
    {field_type, 0, .inherited = true},
    {field_type_arguments, 0, .inherited = true},
  [4] =
    {field_declarator, 0},
  [5] =
    {field_dimensions, 0, .inherited = true},
    {field_name, 0, .inherited = true},
  [7] =
    {field_operand, 1},
    {field_operator, 0},
  [9] =
    {field_body, 1},
  [10] =
    {field_dimensions, 1},
    {field_name, 0},
  [12] =
    {field_name, 1},
  [13] =
    {field_arguments, 1},
    {field_name, 0},
  [15] =
    {field_body, 1},
    {field_name, 0},
  [17] =
    {field_declarator, 0, .inherited = true},
  [18] =
    {field_declarator, 0},
    {field_declarator, 1, .inherited = true},
  [20] =
    {field_dimensions, 1},
    {field_element, 0},
  [22] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 0},
  [26] =
    {field_dimensions, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [31] =
    {field_body, 1},
    {field_dimensions, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_type, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [37] =
    {field_args, 1},
    {field_name, 0},
  [39] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 0},
  [42] =
    {field_arguments, 2},
    {field_type, 1},
  [44] =
    {field_dimensions, 2},
    {field_type, 1},
  [46] =
    {field_body, 2},
    {field_name, 1},
  [48] =
    {field_body, 2},
    {field_condition, 1},
  [50] =
    {field_body, 2},
  [51] =
    {field_body, 2},
    {field_resources, 1},
  [53] =
    {field_condition, 1},
    {field_consequence, 2},
  [55] =
    {field_arguments, 2},
    {field_name, 1},
  [57] =
    {field_declarator, 1, .inherited = true},
  [58] =
    {field_field, 2},
    {field_object, 0},
  [60] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [63] =
    {field_body, 2},
    {field_parameters, 0},
  [65] =
    {field_arguments, 1},
    {field_body, 2},
    {field_name, 0},
  [68] =
    {field_left, 0},
    {field_pattern, 2},
  [70] =
    {field_left, 0},
    {field_right, 2},
  [72] =
    {field_end, 2},
    {field_start, 0},
  [74] =
    {field_template_argument, 2},
    {field_template_processor, 0},
  [76] =
    {field_arguments, 2, .inherited = true},
    {field_type, 2, .inherited = true},
    {field_type_arguments, 2, .inherited = true},
  [79] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [84] =
    {field_body, 2},
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [90] =
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_parameters, 2, .inherited = true},
    {field_type, 1},
    {field_type_parameters, 0},
  [95] =
    {field_declarator, 1},
  [96] =
    {field_declarator, 0, .inherited = true},
    {field_declarator, 1, .inherited = true},
  [98] =
    {field_dimensions, 0, .inherited = true},
    {field_name, 0, .inherited = true},
    {field_value, 2},
  [101] =
    {field_name, 0},
    {field_parameters, 1},
  [103] =
    {field_declarator, 1, .inherited = true},
    {field_type, 0},
  [105] =
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type, 1},
  [108] =
    {field_type, 1},
    {field_value, 3},
  [110] =
    {field_type, 1},
  [111] =
    {field_type, 0, .inherited = true},
    {field_type, 1, .inherited = true},
  [113] =
    {field_dimensions, 2},
    {field_type, 1},
    {field_value, 3},
  [116] =
    {field_dimensions, 2},
    {field_dimensions, 3},
    {field_type, 1},
  [119] =
    {field_arguments, 3},
    {field_type, 2},
    {field_type_arguments, 1},
  [122] =
    {field_arguments, 3},
    {field_type, 2},
  [124] =
    {field_dimensions, 3},
    {field_type, 2},
  [126] =
    {field_key, 0},
    {field_value, 2},
  [128] =
    {field_body, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [131] =
    {field_body, 3},
    {field_name, 1},
    {field_superclass, 2},
  [134] =
    {field_body, 3},
    {field_interfaces, 2},
    {field_name, 1},
  [137] =
    {field_body, 3},
    {field_name, 1},
    {field_permits, 2},
  [140] =
    {field_name, 2},
    {field_scope, 0},
  [142] =
    {field_body, 3},
    {field_name, 2},
  [144] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
  [147] =
    {field_body, 3},
    {field_name, 1},
  [149] =
    {field_arguments, 3},
    {field_name, 2},
    {field_object, 0},
  [152] =
    {field_body, 3},
    {field_name, 2},
    {field_object, 0},
  [155] =
    {field_left, 0},
    {field_pattern, 3},
  [157] =
    {field_left, 0},
    {field_right, 3},
  [159] =
    {field_left, 0},
    {field_name, 3},
    {field_right, 2},
  [162] =
    {field_array, 0},
    {field_index, 2},
  [164] =
    {field_declarator, 2, .inherited = true},
  [165] =
    {field_declarator, 2, .inherited = true},
    {field_type, 1},
  [167] =
    {field_dimensions, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_parameters, 3, .inherited = true},
    {field_type, 2},
    {field_type_parameters, 0},
  [172] =
    {field_dimensions, 2},
    {field_name, 0},
    {field_parameters, 1},
  [175] =
    {field_body, 3},
    {field_name, 1},
    {field_parameters, 2},
    {field_type, 0},
  [179] =
    {field_type, 1},
    {field_type, 2, .inherited = true},
    {field_value, 4},
  [182] =
    {field_arguments, 4},
    {field_type, 3},
    {field_type_arguments, 1},
  [185] =
    {field_dimensions, 3},
    {field_type, 2},
    {field_value, 4},
  [188] =
    {field_dimensions, 3},
    {field_dimensions, 4},
    {field_type, 2},
  [191] =
    {field_arguments, 4},
    {field_type, 3},
    {field_type_arguments, 2},
  [194] =
    {field_body, 1},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [198] =
    {field_body, 4},
    {field_name, 1},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [202] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 1},
    {field_type_parameters, 2},
  [206] =
    {field_body, 4},
    {field_name, 1},
    {field_permits, 3},
    {field_type_parameters, 2},
  [210] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 1},
    {field_superclass, 2},
  [214] =
    {field_body, 4},
    {field_name, 1},
    {field_permits, 3},
    {field_superclass, 2},
  [218] =
    {field_body, 4},
    {field_interfaces, 2},
    {field_name, 1},
    {field_permits, 3},
  [222] =
    {field_body, 1},
    {field_condition, 3},
  [224] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [227] =
    {field_init, 1},
  [228] =
    {field_init, 0, .inherited = true},
    {field_init, 1, .inherited = true},
  [230] =
    {field_modifiers, 0},
  [231] =
    {field_body, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [235] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 1},
    {field_parameters, 2},
  [239] =
    {field_body, 4},
    {field_name, 1},
    {field_type_parameters, 2},
  [242] =
    {field_body, 4},
    {field_name, 1},
    {field_permits, 3},
  [245] =
    {field_field, 4},
    {field_object, 0},
  [247] =
    {field_arguments, 3},
    {field_body, 4},
    {field_name, 2},
    {field_object, 0},
  [251] =
    {field_arguments, 4},
    {field_name, 3},
    {field_object, 0},
    {field_type_arguments, 2},
  [255] =
    {field_body, 4},
    {field_name, 3},
    {field_object, 0},
    {field_type_arguments, 2},
  [259] =
    {field_left, 0},
    {field_name, 4},
    {field_right, 3},
  [262] =
    {field_alternative, 4},
    {field_condition, 0},
    {field_consequence, 2},
  [265] =
    {field_body, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [268] =
    {field_body, 4},
    {field_name, 2},
    {field_superclass, 3},
  [271] =
    {field_body, 4},
    {field_interfaces, 3},
    {field_name, 2},
  [274] =
    {field_body, 4},
    {field_name, 2},
    {field_permits, 3},
  [277] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
  [280] =
    {field_body, 4},
    {field_name, 2},
  [282] =
    {field_body, 4},
    {field_name, 2},
    {field_parameters, 3},
    {field_type, 1},
  [286] =
    {field_body, 4},
    {field_name, 3},
  [288] =
    {field_arguments, 5},
    {field_type, 4},
    {field_type_arguments, 2},
  [291] =
    {field_key, 0},
    {field_key, 1},
    {field_key, 2},
    {field_value, 4},
  [295] =
    {field_body, 2},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [299] =
    {field_name, 1},
    {field_parameters, 2},
    {field_type_parameters, 0},
  [302] =
    {field_body, 2},
    {field_name, 0, .inherited = true},
    {field_parameters, 0, .inherited = true},
    {field_type_parameters, 0, .inherited = true},
  [306] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 1},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [311] =
    {field_body, 5},
    {field_name, 1},
    {field_permits, 4},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [316] =
    {field_body, 5},
    {field_interfaces, 3},
    {field_name, 1},
    {field_permits, 4},
    {field_type_parameters, 2},
  [321] =
    {field_body, 5},
    {field_interfaces, 3},
    {field_name, 1},
    {field_permits, 4},
    {field_superclass, 2},
  [326] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
    {field_type, 0},
    {field_value, 3},
  [330] =
    {field_dimensions, 1, .inherited = true},
    {field_name, 1, .inherited = true},
  [332] =
    {field_body, 5},
  [333] =
    {field_body, 5},
    {field_init, 2},
  [335] =
    {field_module, 1},
  [336] =
    {field_modifiers, 0, .inherited = true},
    {field_modifiers, 1, .inherited = true},
  [338] =
    {field_package, 1},
  [339] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 1},
    {field_parameters, 3},
    {field_type_parameters, 2},
  [344] =
    {field_body, 5},
    {field_name, 1},
    {field_permits, 4},
    {field_type_parameters, 2},
  [348] =
    {field_arguments, 5},
    {field_name, 4},
    {field_object, 0},
  [351] =
    {field_body, 5},
    {field_name, 4},
    {field_object, 0},
  [354] =
    {field_arguments, 4},
    {field_body, 5},
    {field_name, 3},
    {field_object, 0},
    {field_type_arguments, 2},
  [359] =
    {field_body, 5},
    {field_name, 2},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [363] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 2},
    {field_type_parameters, 3},
  [367] =
    {field_body, 5},
    {field_name, 2},
    {field_permits, 4},
    {field_type_parameters, 3},
  [371] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 2},
    {field_superclass, 3},
  [375] =
    {field_body, 5},
    {field_name, 2},
    {field_permits, 4},
    {field_superclass, 3},
  [379] =
    {field_body, 5},
    {field_interfaces, 3},
    {field_name, 2},
    {field_permits, 4},
  [383] =
    {field_body, 5},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [387] =
    {field_body, 5},
    {field_interfaces, 4},
    {field_name, 2},
    {field_parameters, 3},
  [391] =
    {field_body, 5},
    {field_name, 2},
    {field_type_parameters, 3},
  [394] =
    {field_body, 5},
    {field_name, 2},
    {field_permits, 4},
  [397] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
  [400] =
    {field_body, 5},
    {field_name, 3},
    {field_parameters, 4},
    {field_type, 2},
  [404] =
    {field_body, 3},
    {field_name, 1, .inherited = true},
    {field_parameters, 1, .inherited = true},
    {field_type_parameters, 1, .inherited = true},
  [408] =
    {field_body, 6},
    {field_interfaces, 4},
    {field_name, 1},
    {field_permits, 5},
    {field_superclass, 3},
    {field_type_parameters, 2},
  [414] =
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_type, 1},
    {field_value, 4},
  [418] =
    {field_body, 4},
  [419] =
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
  [421] =
    {field_body, 6},
    {field_update, 4},
  [423] =
    {field_update, 1},
  [424] =
    {field_update, 0, .inherited = true},
    {field_update, 1, .inherited = true},
  [426] =
    {field_body, 6},
    {field_condition, 3},
  [428] =
    {field_body, 6},
    {field_init, 2},
  [430] =
    {field_body, 6},
    {field_dimensions, 2, .inherited = true},
    {field_name, 2, .inherited = true},
    {field_value, 4},
  [434] =
    {field_body, 6},
    {field_init, 2},
    {field_update, 4},
  [437] =
    {field_body, 6},
    {field_condition, 3},
    {field_init, 2},
  [440] =
    {field_modifiers, 1, .inherited = true},
    {field_module, 2},
  [442] =
    {field_arguments, 2},
    {field_body, 3},
    {field_name, 1},
  [445] =
    {field_arguments, 5},
    {field_body, 6},
    {field_name, 4},
    {field_object, 0},
  [449] =
    {field_arguments, 6},
    {field_name, 5},
    {field_object, 0},
    {field_type_arguments, 4},
  [453] =
    {field_body, 6},
    {field_name, 5},
    {field_object, 0},
    {field_type_arguments, 4},
  [457] =
    {field_body, 6},
    {field_interfaces, 5},
    {field_name, 2},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [462] =
    {field_body, 6},
    {field_name, 2},
    {field_permits, 5},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [467] =
    {field_body, 6},
    {field_interfaces, 4},
    {field_name, 2},
    {field_permits, 5},
    {field_type_parameters, 3},
  [472] =
    {field_body, 6},
    {field_interfaces, 4},
    {field_name, 2},
    {field_permits, 5},
    {field_superclass, 3},
  [477] =
    {field_body, 6},
    {field_interfaces, 5},
    {field_name, 2},
    {field_parameters, 4},
    {field_type_parameters, 3},
  [482] =
    {field_body, 6},
    {field_name, 2},
    {field_permits, 5},
    {field_type_parameters, 3},
  [486] =
    {field_arguments, 1},
    {field_constructor, 0},
  [488] =
    {field_body, 7},
    {field_update, 4},
    {field_update, 5, .inherited = true},
  [491] =
    {field_body, 7},
    {field_condition, 3},
    {field_update, 5},
  [494] =
    {field_body, 7},
    {field_init, 2},
    {field_update, 5},
  [497] =
    {field_body, 7},
    {field_condition, 4},
    {field_init, 2},
  [500] =
    {field_body, 7},
    {field_init, 2},
    {field_init, 3, .inherited = true},
  [503] =
    {field_body, 7},
    {field_dimensions, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_value, 5},
  [507] =
    {field_body, 7},
    {field_dimensions, 3, .inherited = true},
    {field_name, 3, .inherited = true},
    {field_type, 2},
    {field_value, 5},
  [512] =
    {field_body, 7},
    {field_init, 2},
    {field_update, 4},
    {field_update, 5, .inherited = true},
  [516] =
    {field_body, 7},
    {field_condition, 3},
    {field_init, 2},
    {field_update, 5},
  [520] =
    {field_modules, 3},
    {field_package, 1},
  [522] =
    {field_provided, 1},
  [523] =
    {field_name, 1},
    {field_type, 0},
  [525] =
    {field_arguments, 6},
    {field_body, 7},
    {field_name, 5},
    {field_object, 0},
    {field_type_arguments, 4},
  [530] =
    {field_body, 7},
    {field_interfaces, 5},
    {field_name, 2},
    {field_permits, 6},
    {field_superclass, 4},
    {field_type_parameters, 3},
  [536] =
    {field_arguments, 2},
    {field_constructor, 1},
    {field_type_arguments, 0},
  [539] =
    {field_body, 8},
    {field_condition, 3},
    {field_update, 5},
    {field_update, 6, .inherited = true},
  [543] =
    {field_body, 8},
    {field_init, 2},
    {field_update, 5},
    {field_update, 6, .inherited = true},
  [547] =
    {field_body, 8},
    {field_condition, 4},
    {field_init, 2},
    {field_update, 6},
  [551] =
    {field_body, 8},
    {field_init, 2},
    {field_init, 3, .inherited = true},
    {field_update, 6},
  [555] =
    {field_body, 8},
    {field_condition, 5},
    {field_init, 2},
    {field_init, 3, .inherited = true},
  [559] =
    {field_body, 8},
    {field_dimensions, 4, .inherited = true},
    {field_name, 4, .inherited = true},
    {field_type, 3},
    {field_value, 6},
  [564] =
    {field_body, 8},
    {field_condition, 3},
    {field_init, 2},
    {field_update, 5},
    {field_update, 6, .inherited = true},
  [569] =
    {field_modules, 1},
  [570] =
    {field_modules, 3},
    {field_modules, 4, .inherited = true},
    {field_package, 1},
  [573] =
    {field_modules, 0, .inherited = true},
    {field_modules, 1, .inherited = true},
  [575] =
    {field_provider, 1},
  [576] =
    {field_provided, 1},
    {field_provider, 4, .inherited = true},
  [578] =
    {field_provider, 0, .inherited = true},
    {field_provider, 1, .inherited = true},
  [580] =
    {field_name, 2},
    {field_type, 1},
  [582] =
    {field_value, 1},
  [583] =
    {field_dimensions, 4},
    {field_name, 1},
    {field_type, 0},
  [586] =
    {field_name, 1},
    {field_type, 0},
    {field_value, 4, .inherited = true},
  [589] =
    {field_arguments, 3},
    {field_constructor, 2},
    {field_object, 0},
  [592] =
    {field_body, 9},
    {field_condition, 4},
    {field_init, 2},
    {field_update, 6},
    {field_update, 7, .inherited = true},
  [597] =
    {field_body, 9},
    {field_init, 2},
    {field_init, 3, .inherited = true},
    {field_update, 6},
    {field_update, 7, .inherited = true},
  [602] =
    {field_body, 9},
    {field_condition, 5},
    {field_init, 2},
    {field_init, 3, .inherited = true},
    {field_update, 7},
  [607] =
    {field_dimensions, 5},
    {field_name, 2},
    {field_type, 1},
  [610] =
    {field_name, 2},
    {field_type, 1},
    {field_value, 5, .inherited = true},
  [613] =
    {field_dimensions, 4},
    {field_name, 1},
    {field_type, 0},
    {field_value, 5, .inherited = true},
  [617] =
    {field_arguments, 4},
    {field_constructor, 3},
    {field_object, 0},
    {field_type_arguments, 2},
  [621] =
    {field_body, 10},
    {field_condition, 5},
    {field_init, 2},
    {field_init, 3, .inherited = true},
    {field_update, 7},
    {field_update, 8, .inherited = true},
  [627] =
    {field_dimensions, 5},
    {field_name, 2},
    {field_type, 1},
    {field_value, 6, .inherited = true},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [2] = {
    [0] = sym_identifier,
  },
  [3] = {
    [0] = alias_sym_type_identifier,
  },
  [21] = {
    [1] = alias_sym_type_identifier,
  },
  [24] = {
    [1] = alias_sym_type_identifier,
  },
  [25] = {
    [1] = alias_sym_type_identifier,
  },
  [36] = {
    [0] = alias_sym_type_identifier,
    [2] = alias_sym_type_identifier,
  },
  [51] = {
    [2] = alias_sym_type_identifier,
  },
  [58] = {
    [1] = alias_sym_type_identifier,
  },
  [59] = {
    [1] = alias_sym_type_identifier,
  },
  [61] = {
    [2] = alias_sym_type_identifier,
  },
  [64] = {
    [2] = alias_sym_type_identifier,
  },
  [65] = {
    [2] = alias_sym_type_identifier,
  },
  [77] = {
    [0] = alias_sym_type_identifier,
    [3] = alias_sym_type_identifier,
  },
  [87] = {
    [3] = alias_sym_type_identifier,
  },
  [90] = {
    [3] = alias_sym_type_identifier,
  },
  [93] = {
    [2] = alias_sym_type_identifier,
  },
  [94] = {
    [2] = alias_sym_type_identifier,
  },
  [96] = {
    [3] = alias_sym_type_identifier,
  },
  [128] = {
    [4] = alias_sym_type_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 10,
  [11] = 10,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 14,
  [16] = 14,
  [17] = 14,
  [18] = 14,
  [19] = 14,
  [20] = 14,
  [21] = 14,
  [22] = 14,
  [23] = 14,
  [24] = 24,
  [25] = 25,
  [26] = 25,
  [27] = 24,
  [28] = 25,
  [29] = 29,
  [30] = 25,
  [31] = 24,
  [32] = 24,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 35,
  [38] = 35,
  [39] = 36,
  [40] = 35,
  [41] = 35,
  [42] = 42,
  [43] = 43,
  [44] = 36,
  [45] = 45,
  [46] = 36,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 61,
  [63] = 63,
  [64] = 64,
  [65] = 65,
  [66] = 61,
  [67] = 65,
  [68] = 68,
  [69] = 69,
  [70] = 63,
  [71] = 64,
  [72] = 72,
  [73] = 73,
  [74] = 74,
  [75] = 75,
  [76] = 76,
  [77] = 77,
  [78] = 78,
  [79] = 79,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 85,
  [86] = 86,
  [87] = 87,
  [88] = 84,
  [89] = 48,
  [90] = 49,
  [91] = 50,
  [92] = 51,
  [93] = 52,
  [94] = 53,
  [95] = 54,
  [96] = 55,
  [97] = 56,
  [98] = 57,
  [99] = 58,
  [100] = 59,
  [101] = 60,
  [102] = 69,
  [103] = 72,
  [104] = 73,
  [105] = 74,
  [106] = 47,
  [107] = 75,
  [108] = 65,
  [109] = 69,
  [110] = 63,
  [111] = 64,
  [112] = 72,
  [113] = 73,
  [114] = 74,
  [115] = 75,
  [116] = 76,
  [117] = 77,
  [118] = 78,
  [119] = 79,
  [120] = 80,
  [121] = 81,
  [122] = 82,
  [123] = 83,
  [124] = 124,
  [125] = 85,
  [126] = 86,
  [127] = 87,
  [128] = 84,
  [129] = 48,
  [130] = 49,
  [131] = 50,
  [132] = 51,
  [133] = 52,
  [134] = 53,
  [135] = 54,
  [136] = 55,
  [137] = 56,
  [138] = 57,
  [139] = 58,
  [140] = 59,
  [141] = 60,
  [142] = 76,
  [143] = 77,
  [144] = 78,
  [145] = 47,
  [146] = 79,
  [147] = 80,
  [148] = 81,
  [149] = 82,
  [150] = 83,
  [151] = 124,
  [152] = 85,
  [153] = 86,
  [154] = 87,
  [155] = 124,
  [156] = 6,
  [157] = 157,
  [158] = 157,
  [159] = 159,
  [160] = 160,
  [161] = 161,
  [162] = 162,
  [163] = 163,
  [164] = 164,
  [165] = 165,
  [166] = 166,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 161,
  [174] = 162,
  [175] = 163,
  [176] = 164,
  [177] = 166,
  [178] = 169,
  [179] = 171,
  [180] = 172,
  [181] = 170,
  [182] = 182,
  [183] = 183,
  [184] = 184,
  [185] = 185,
  [186] = 186,
  [187] = 187,
  [188] = 188,
  [189] = 184,
  [190] = 183,
  [191] = 185,
  [192] = 182,
  [193] = 193,
  [194] = 193,
  [195] = 195,
  [196] = 196,
  [197] = 193,
  [198] = 186,
  [199] = 199,
  [200] = 187,
  [201] = 188,
  [202] = 202,
  [203] = 163,
  [204] = 164,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 211,
  [212] = 212,
  [213] = 213,
  [214] = 214,
  [215] = 196,
  [216] = 195,
  [217] = 205,
  [218] = 218,
  [219] = 219,
  [220] = 220,
  [221] = 221,
  [222] = 205,
  [223] = 223,
  [224] = 224,
  [225] = 225,
  [226] = 226,
  [227] = 227,
  [228] = 205,
  [229] = 229,
  [230] = 230,
  [231] = 214,
  [232] = 214,
  [233] = 214,
  [234] = 214,
  [235] = 214,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 239,
  [240] = 240,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 244,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 250,
  [251] = 199,
  [252] = 252,
  [253] = 253,
  [254] = 254,
  [255] = 255,
  [256] = 256,
  [257] = 257,
  [258] = 258,
  [259] = 259,
  [260] = 260,
  [261] = 170,
  [262] = 169,
  [263] = 171,
  [264] = 166,
  [265] = 265,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 269,
  [270] = 270,
  [271] = 271,
  [272] = 272,
  [273] = 273,
  [274] = 274,
  [275] = 275,
  [276] = 276,
  [277] = 277,
  [278] = 278,
  [279] = 279,
  [280] = 280,
  [281] = 281,
  [282] = 282,
  [283] = 283,
  [284] = 284,
  [285] = 285,
  [286] = 286,
  [287] = 287,
  [288] = 288,
  [289] = 289,
  [290] = 290,
  [291] = 291,
  [292] = 292,
  [293] = 293,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 202,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 163,
  [326] = 164,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 249,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 254,
  [336] = 336,
  [337] = 337,
  [338] = 229,
  [339] = 230,
  [340] = 206,
  [341] = 211,
  [342] = 342,
  [343] = 218,
  [344] = 253,
  [345] = 207,
  [346] = 208,
  [347] = 209,
  [348] = 210,
  [349] = 212,
  [350] = 350,
  [351] = 305,
  [352] = 221,
  [353] = 353,
  [354] = 354,
  [355] = 219,
  [356] = 220,
  [357] = 309,
  [358] = 358,
  [359] = 252,
  [360] = 312,
  [361] = 313,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 237,
  [369] = 369,
  [370] = 238,
  [371] = 239,
  [372] = 227,
  [373] = 243,
  [374] = 244,
  [375] = 375,
  [376] = 376,
  [377] = 377,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 381,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 387,
  [388] = 388,
  [389] = 389,
  [390] = 390,
  [391] = 391,
  [392] = 392,
  [393] = 393,
  [394] = 247,
  [395] = 248,
  [396] = 396,
  [397] = 397,
  [398] = 398,
  [399] = 399,
  [400] = 400,
  [401] = 223,
  [402] = 224,
  [403] = 225,
  [404] = 226,
  [405] = 405,
  [406] = 406,
  [407] = 242,
  [408] = 288,
  [409] = 300,
  [410] = 245,
  [411] = 302,
  [412] = 303,
  [413] = 246,
  [414] = 250,
  [415] = 270,
  [416] = 416,
  [417] = 342,
  [418] = 256,
  [419] = 306,
  [420] = 259,
  [421] = 307,
  [422] = 258,
  [423] = 170,
  [424] = 308,
  [425] = 169,
  [426] = 171,
  [427] = 310,
  [428] = 311,
  [429] = 265,
  [430] = 166,
  [431] = 315,
  [432] = 314,
  [433] = 362,
  [434] = 342,
  [435] = 273,
  [436] = 260,
  [437] = 240,
  [438] = 274,
  [439] = 267,
  [440] = 268,
  [441] = 271,
  [442] = 416,
  [443] = 292,
  [444] = 241,
  [445] = 255,
  [446] = 257,
  [447] = 296,
  [448] = 298,
  [449] = 297,
  [450] = 236,
  [451] = 272,
  [452] = 277,
  [453] = 276,
  [454] = 279,
  [455] = 289,
  [456] = 290,
  [457] = 291,
  [458] = 299,
  [459] = 278,
  [460] = 294,
  [461] = 280,
  [462] = 281,
  [463] = 301,
  [464] = 304,
  [465] = 282,
  [466] = 283,
  [467] = 284,
  [468] = 285,
  [469] = 286,
  [470] = 287,
  [471] = 295,
  [472] = 269,
  [473] = 473,
  [474] = 266,
  [475] = 293,
  [476] = 275,
  [477] = 317,
  [478] = 318,
  [479] = 329,
  [480] = 480,
  [481] = 324,
  [482] = 323,
  [483] = 320,
  [484] = 328,
  [485] = 416,
  [486] = 332,
  [487] = 334,
  [488] = 473,
  [489] = 416,
  [490] = 327,
  [491] = 316,
  [492] = 416,
  [493] = 321,
  [494] = 494,
  [495] = 400,
  [496] = 399,
  [497] = 497,
  [498] = 393,
  [499] = 331,
  [500] = 337,
  [501] = 366,
  [502] = 378,
  [503] = 379,
  [504] = 380,
  [505] = 381,
  [506] = 382,
  [507] = 383,
  [508] = 384,
  [509] = 385,
  [510] = 386,
  [511] = 387,
  [512] = 388,
  [513] = 389,
  [514] = 358,
  [515] = 390,
  [516] = 350,
  [517] = 406,
  [518] = 322,
  [519] = 391,
  [520] = 392,
  [521] = 336,
  [522] = 353,
  [523] = 354,
  [524] = 364,
  [525] = 365,
  [526] = 396,
  [527] = 375,
  [528] = 376,
  [529] = 342,
  [530] = 530,
  [531] = 377,
  [532] = 405,
  [533] = 397,
  [534] = 369,
  [535] = 363,
  [536] = 333,
  [537] = 398,
  [538] = 367,
  [539] = 167,
  [540] = 540,
  [541] = 540,
  [542] = 542,
  [543] = 543,
  [544] = 543,
  [545] = 543,
  [546] = 546,
  [547] = 547,
  [548] = 547,
  [549] = 549,
  [550] = 550,
  [551] = 546,
  [552] = 547,
  [553] = 553,
  [554] = 547,
  [555] = 555,
  [556] = 556,
  [557] = 553,
  [558] = 553,
  [559] = 546,
  [560] = 546,
  [561] = 553,
  [562] = 550,
  [563] = 563,
  [564] = 563,
  [565] = 565,
  [566] = 566,
  [567] = 566,
  [568] = 568,
  [569] = 568,
  [570] = 570,
  [571] = 571,
  [572] = 565,
  [573] = 568,
  [574] = 574,
  [575] = 565,
  [576] = 566,
  [577] = 565,
  [578] = 566,
  [579] = 579,
  [580] = 563,
  [581] = 568,
  [582] = 563,
  [583] = 583,
  [584] = 584,
  [585] = 585,
  [586] = 586,
  [587] = 587,
  [588] = 588,
  [589] = 589,
  [590] = 589,
  [591] = 591,
  [592] = 592,
  [593] = 593,
  [594] = 594,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 598,
  [599] = 589,
  [600] = 584,
  [601] = 584,
  [602] = 589,
  [603] = 594,
  [604] = 584,
  [605] = 597,
  [606] = 598,
  [607] = 607,
  [608] = 608,
  [609] = 609,
  [610] = 610,
  [611] = 589,
  [612] = 584,
  [613] = 597,
  [614] = 598,
  [615] = 607,
  [616] = 608,
  [617] = 607,
  [618] = 608,
  [619] = 583,
  [620] = 620,
  [621] = 621,
  [622] = 597,
  [623] = 587,
  [624] = 607,
  [625] = 608,
  [626] = 597,
  [627] = 607,
  [628] = 584,
  [629] = 589,
  [630] = 597,
  [631] = 607,
  [632] = 621,
  [633] = 585,
  [634] = 586,
  [635] = 588,
  [636] = 591,
  [637] = 592,
  [638] = 595,
  [639] = 597,
  [640] = 607,
  [641] = 583,
  [642] = 621,
  [643] = 585,
  [644] = 586,
  [645] = 588,
  [646] = 591,
  [647] = 592,
  [648] = 595,
  [649] = 597,
  [650] = 607,
  [651] = 609,
  [652] = 610,
  [653] = 620,
  [654] = 587,
  [655] = 609,
  [656] = 610,
  [657] = 620,
  [658] = 598,
  [659] = 659,
  [660] = 660,
  [661] = 661,
  [662] = 662,
  [663] = 663,
  [664] = 664,
  [665] = 665,
  [666] = 666,
  [667] = 667,
  [668] = 668,
  [669] = 669,
  [670] = 670,
  [671] = 671,
  [672] = 672,
  [673] = 673,
  [674] = 674,
  [675] = 675,
  [676] = 676,
  [677] = 677,
  [678] = 678,
  [679] = 679,
  [680] = 660,
  [681] = 681,
  [682] = 661,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 662,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 691,
  [692] = 692,
  [693] = 664,
  [694] = 665,
  [695] = 666,
  [696] = 669,
  [697] = 671,
  [698] = 672,
  [699] = 676,
  [700] = 677,
  [701] = 678,
  [702] = 679,
  [703] = 660,
  [704] = 661,
  [705] = 662,
  [706] = 690,
  [707] = 659,
  [708] = 684,
  [709] = 709,
  [710] = 692,
  [711] = 664,
  [712] = 665,
  [713] = 666,
  [714] = 669,
  [715] = 671,
  [716] = 672,
  [717] = 676,
  [718] = 677,
  [719] = 678,
  [720] = 679,
  [721] = 660,
  [722] = 661,
  [723] = 662,
  [724] = 724,
  [725] = 684,
  [726] = 690,
  [727] = 688,
  [728] = 673,
  [729] = 687,
  [730] = 689,
  [731] = 663,
  [732] = 667,
  [733] = 733,
  [734] = 692,
  [735] = 664,
  [736] = 666,
  [737] = 669,
  [738] = 671,
  [739] = 672,
  [740] = 676,
  [741] = 677,
  [742] = 678,
  [743] = 679,
  [744] = 660,
  [745] = 661,
  [746] = 662,
  [747] = 690,
  [748] = 659,
  [749] = 749,
  [750] = 750,
  [751] = 724,
  [752] = 673,
  [753] = 690,
  [754] = 663,
  [755] = 659,
  [756] = 756,
  [757] = 757,
  [758] = 758,
  [759] = 759,
  [760] = 673,
  [761] = 684,
  [762] = 663,
  [763] = 684,
  [764] = 764,
  [765] = 659,
  [766] = 691,
  [767] = 724,
  [768] = 692,
  [769] = 769,
  [770] = 664,
  [771] = 665,
  [772] = 666,
  [773] = 669,
  [774] = 671,
  [775] = 672,
  [776] = 676,
  [777] = 677,
  [778] = 678,
  [779] = 679,
  [780] = 660,
  [781] = 681,
  [782] = 661,
  [783] = 683,
  [784] = 662,
  [785] = 785,
  [786] = 786,
  [787] = 684,
  [788] = 692,
  [789] = 789,
  [790] = 659,
  [791] = 691,
  [792] = 681,
  [793] = 683,
  [794] = 692,
  [795] = 681,
  [796] = 683,
  [797] = 664,
  [798] = 665,
  [799] = 681,
  [800] = 683,
  [801] = 683,
  [802] = 690,
  [803] = 666,
  [804] = 669,
  [805] = 671,
  [806] = 757,
  [807] = 758,
  [808] = 672,
  [809] = 764,
  [810] = 769,
  [811] = 785,
  [812] = 786,
  [813] = 674,
  [814] = 675,
  [815] = 676,
  [816] = 677,
  [817] = 678,
  [818] = 757,
  [819] = 758,
  [820] = 679,
  [821] = 764,
  [822] = 769,
  [823] = 785,
  [824] = 786,
  [825] = 674,
  [826] = 675,
  [827] = 681,
  [828] = 685,
  [829] = 665,
  [830] = 830,
  [831] = 831,
  [832] = 832,
  [833] = 833,
  [834] = 362,
  [835] = 835,
  [836] = 836,
  [837] = 837,
  [838] = 838,
  [839] = 839,
  [840] = 840,
  [841] = 841,
  [842] = 842,
  [843] = 843,
  [844] = 844,
  [845] = 845,
  [846] = 846,
  [847] = 847,
  [848] = 848,
  [849] = 849,
  [850] = 850,
  [851] = 851,
  [852] = 852,
  [853] = 853,
  [854] = 854,
  [855] = 855,
  [856] = 835,
  [857] = 857,
  [858] = 858,
  [859] = 859,
  [860] = 860,
  [861] = 861,
  [862] = 862,
  [863] = 863,
  [864] = 864,
  [865] = 865,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 875,
  [876] = 876,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 880,
  [881] = 881,
  [882] = 882,
  [883] = 883,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 916,
  [917] = 917,
  [918] = 918,
  [919] = 919,
  [920] = 167,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 931,
  [932] = 932,
  [933] = 933,
  [934] = 934,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 842,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 949,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 954,
  [955] = 955,
  [956] = 956,
  [957] = 957,
  [958] = 958,
  [959] = 959,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 964,
  [965] = 965,
  [966] = 966,
  [967] = 967,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 990,
  [991] = 991,
  [992] = 992,
  [993] = 993,
  [994] = 994,
  [995] = 995,
  [996] = 996,
  [997] = 997,
  [998] = 998,
  [999] = 999,
  [1000] = 1000,
  [1001] = 1001,
  [1002] = 1002,
  [1003] = 1003,
  [1004] = 1004,
  [1005] = 1005,
  [1006] = 1006,
  [1007] = 1007,
  [1008] = 1008,
  [1009] = 1009,
  [1010] = 842,
  [1011] = 1011,
  [1012] = 1012,
  [1013] = 1013,
  [1014] = 1014,
  [1015] = 1015,
  [1016] = 1016,
  [1017] = 1017,
  [1018] = 1015,
  [1019] = 1019,
  [1020] = 1020,
  [1021] = 1021,
  [1022] = 1022,
  [1023] = 1023,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 1026,
  [1027] = 1027,
  [1028] = 1028,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 167,
  [1033] = 1033,
  [1034] = 1034,
  [1035] = 160,
  [1036] = 159,
  [1037] = 159,
  [1038] = 1038,
  [1039] = 1038,
  [1040] = 1038,
  [1041] = 1038,
  [1042] = 1038,
  [1043] = 157,
  [1044] = 1038,
  [1045] = 166,
  [1046] = 157,
  [1047] = 157,
  [1048] = 1048,
  [1049] = 165,
  [1050] = 157,
  [1051] = 168,
  [1052] = 188,
  [1053] = 187,
  [1054] = 163,
  [1055] = 164,
  [1056] = 171,
  [1057] = 170,
  [1058] = 169,
  [1059] = 172,
  [1060] = 1060,
  [1061] = 1060,
  [1062] = 1062,
  [1063] = 1063,
  [1064] = 1063,
  [1065] = 1063,
  [1066] = 1066,
  [1067] = 1066,
  [1068] = 184,
  [1069] = 1066,
  [1070] = 182,
  [1071] = 185,
  [1072] = 1072,
  [1073] = 183,
  [1074] = 1074,
  [1075] = 1066,
  [1076] = 1063,
  [1077] = 159,
  [1078] = 1078,
  [1079] = 245,
  [1080] = 1078,
  [1081] = 250,
  [1082] = 1082,
  [1083] = 159,
  [1084] = 186,
  [1085] = 159,
  [1086] = 161,
  [1087] = 166,
  [1088] = 1088,
  [1089] = 1089,
  [1090] = 1090,
  [1091] = 163,
  [1092] = 208,
  [1093] = 161,
  [1094] = 161,
  [1095] = 164,
  [1096] = 206,
  [1097] = 210,
  [1098] = 219,
  [1099] = 223,
  [1100] = 224,
  [1101] = 227,
  [1102] = 207,
  [1103] = 212,
  [1104] = 226,
  [1105] = 229,
  [1106] = 225,
  [1107] = 230,
  [1108] = 209,
  [1109] = 162,
  [1110] = 220,
  [1111] = 211,
  [1112] = 218,
  [1113] = 297,
  [1114] = 163,
  [1115] = 271,
  [1116] = 164,
  [1117] = 275,
  [1118] = 299,
  [1119] = 1119,
  [1120] = 267,
  [1121] = 277,
  [1122] = 269,
  [1123] = 294,
  [1124] = 301,
  [1125] = 274,
  [1126] = 304,
  [1127] = 276,
  [1128] = 278,
  [1129] = 280,
  [1130] = 270,
  [1131] = 281,
  [1132] = 249,
  [1133] = 254,
  [1134] = 283,
  [1135] = 284,
  [1136] = 285,
  [1137] = 286,
  [1138] = 287,
  [1139] = 288,
  [1140] = 258,
  [1141] = 247,
  [1142] = 248,
  [1143] = 293,
  [1144] = 309,
  [1145] = 265,
  [1146] = 305,
  [1147] = 295,
  [1148] = 296,
  [1149] = 300,
  [1150] = 302,
  [1151] = 303,
  [1152] = 306,
  [1153] = 307,
  [1154] = 308,
  [1155] = 310,
  [1156] = 311,
  [1157] = 291,
  [1158] = 252,
  [1159] = 253,
  [1160] = 312,
  [1161] = 313,
  [1162] = 161,
  [1163] = 238,
  [1164] = 239,
  [1165] = 240,
  [1166] = 273,
  [1167] = 260,
  [1168] = 268,
  [1169] = 237,
  [1170] = 292,
  [1171] = 241,
  [1172] = 255,
  [1173] = 257,
  [1174] = 242,
  [1175] = 243,
  [1176] = 244,
  [1177] = 315,
  [1178] = 236,
  [1179] = 272,
  [1180] = 162,
  [1181] = 279,
  [1182] = 289,
  [1183] = 290,
  [1184] = 162,
  [1185] = 314,
  [1186] = 188,
  [1187] = 1187,
  [1188] = 1187,
  [1189] = 187,
  [1190] = 1187,
  [1191] = 171,
  [1192] = 195,
  [1193] = 1193,
  [1194] = 1194,
  [1195] = 1195,
  [1196] = 1196,
  [1197] = 1197,
  [1198] = 162,
  [1199] = 170,
  [1200] = 1200,
  [1201] = 1201,
  [1202] = 169,
  [1203] = 196,
  [1204] = 195,
  [1205] = 172,
  [1206] = 196,
  [1207] = 221,
  [1208] = 221,
  [1209] = 1209,
  [1210] = 182,
  [1211] = 1209,
  [1212] = 184,
  [1213] = 185,
  [1214] = 183,
  [1215] = 246,
  [1216] = 172,
  [1217] = 904,
  [1218] = 246,
  [1219] = 256,
  [1220] = 893,
  [1221] = 897,
  [1222] = 886,
  [1223] = 894,
  [1224] = 896,
  [1225] = 317,
  [1226] = 318,
  [1227] = 899,
  [1228] = 901,
  [1229] = 902,
  [1230] = 900,
  [1231] = 903,
  [1232] = 906,
  [1233] = 316,
  [1234] = 320,
  [1235] = 245,
  [1236] = 250,
  [1237] = 172,
  [1238] = 1238,
  [1239] = 966,
  [1240] = 976,
  [1241] = 979,
  [1242] = 1002,
  [1243] = 1003,
  [1244] = 1006,
  [1245] = 259,
  [1246] = 332,
  [1247] = 317,
  [1248] = 318,
  [1249] = 259,
  [1250] = 329,
  [1251] = 321,
  [1252] = 323,
  [1253] = 328,
  [1254] = 324,
  [1255] = 186,
  [1256] = 316,
  [1257] = 256,
  [1258] = 332,
  [1259] = 320,
  [1260] = 336,
  [1261] = 353,
  [1262] = 350,
  [1263] = 323,
  [1264] = 324,
  [1265] = 199,
  [1266] = 328,
  [1267] = 321,
  [1268] = 354,
  [1269] = 1269,
  [1270] = 329,
  [1271] = 353,
  [1272] = 354,
  [1273] = 350,
  [1274] = 327,
  [1275] = 334,
  [1276] = 336,
  [1277] = 164,
  [1278] = 1278,
  [1279] = 163,
  [1280] = 1280,
  [1281] = 1280,
  [1282] = 327,
  [1283] = 1283,
  [1284] = 199,
  [1285] = 199,
  [1286] = 393,
  [1287] = 334,
  [1288] = 202,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 393,
  [1292] = 1292,
  [1293] = 1293,
  [1294] = 163,
  [1295] = 164,
  [1296] = 1296,
  [1297] = 212,
  [1298] = 219,
  [1299] = 223,
  [1300] = 224,
  [1301] = 225,
  [1302] = 226,
  [1303] = 220,
  [1304] = 202,
  [1305] = 1305,
  [1306] = 227,
  [1307] = 218,
  [1308] = 1308,
  [1309] = 199,
  [1310] = 230,
  [1311] = 206,
  [1312] = 229,
  [1313] = 166,
  [1314] = 166,
  [1315] = 1315,
  [1316] = 1315,
  [1317] = 207,
  [1318] = 211,
  [1319] = 202,
  [1320] = 208,
  [1321] = 209,
  [1322] = 210,
  [1323] = 267,
  [1324] = 297,
  [1325] = 275,
  [1326] = 277,
  [1327] = 299,
  [1328] = 271,
  [1329] = 1329,
  [1330] = 362,
  [1331] = 1331,
  [1332] = 1305,
  [1333] = 240,
  [1334] = 272,
  [1335] = 236,
  [1336] = 287,
  [1337] = 288,
  [1338] = 294,
  [1339] = 301,
  [1340] = 304,
  [1341] = 237,
  [1342] = 1329,
  [1343] = 265,
  [1344] = 247,
  [1345] = 248,
  [1346] = 1269,
  [1347] = 293,
  [1348] = 295,
  [1349] = 296,
  [1350] = 242,
  [1351] = 243,
  [1352] = 244,
  [1353] = 315,
  [1354] = 305,
  [1355] = 269,
  [1356] = 270,
  [1357] = 309,
  [1358] = 258,
  [1359] = 202,
  [1360] = 278,
  [1361] = 298,
  [1362] = 274,
  [1363] = 280,
  [1364] = 279,
  [1365] = 300,
  [1366] = 302,
  [1367] = 170,
  [1368] = 289,
  [1369] = 303,
  [1370] = 238,
  [1371] = 286,
  [1372] = 306,
  [1373] = 171,
  [1374] = 281,
  [1375] = 307,
  [1376] = 308,
  [1377] = 310,
  [1378] = 311,
  [1379] = 314,
  [1380] = 239,
  [1381] = 312,
  [1382] = 290,
  [1383] = 313,
  [1384] = 249,
  [1385] = 252,
  [1386] = 253,
  [1387] = 276,
  [1388] = 273,
  [1389] = 282,
  [1390] = 260,
  [1391] = 266,
  [1392] = 268,
  [1393] = 254,
  [1394] = 292,
  [1395] = 241,
  [1396] = 255,
  [1397] = 283,
  [1398] = 257,
  [1399] = 284,
  [1400] = 291,
  [1401] = 285,
  [1402] = 169,
  [1403] = 298,
  [1404] = 170,
  [1405] = 282,
  [1406] = 1238,
  [1407] = 169,
  [1408] = 171,
  [1409] = 266,
  [1410] = 1278,
  [1411] = 1283,
  [1412] = 1278,
  [1413] = 1413,
  [1414] = 166,
  [1415] = 1290,
  [1416] = 400,
  [1417] = 377,
  [1418] = 332,
  [1419] = 358,
  [1420] = 331,
  [1421] = 1293,
  [1422] = 318,
  [1423] = 397,
  [1424] = 1424,
  [1425] = 1425,
  [1426] = 1426,
  [1427] = 1427,
  [1428] = 1428,
  [1429] = 1429,
  [1430] = 1430,
  [1431] = 342,
  [1432] = 317,
  [1433] = 1433,
  [1434] = 365,
  [1435] = 396,
  [1436] = 389,
  [1437] = 366,
  [1438] = 398,
  [1439] = 399,
  [1440] = 369,
  [1441] = 342,
  [1442] = 322,
  [1443] = 406,
  [1444] = 1292,
  [1445] = 1445,
  [1446] = 1296,
  [1447] = 1447,
  [1448] = 1448,
  [1449] = 333,
  [1450] = 337,
  [1451] = 1451,
  [1452] = 392,
  [1453] = 1453,
  [1454] = 1454,
  [1455] = 389,
  [1456] = 367,
  [1457] = 342,
  [1458] = 375,
  [1459] = 331,
  [1460] = 376,
  [1461] = 405,
  [1462] = 358,
  [1463] = 378,
  [1464] = 379,
  [1465] = 380,
  [1466] = 381,
  [1467] = 382,
  [1468] = 383,
  [1469] = 384,
  [1470] = 385,
  [1471] = 386,
  [1472] = 387,
  [1473] = 388,
  [1474] = 369,
  [1475] = 397,
  [1476] = 398,
  [1477] = 399,
  [1478] = 400,
  [1479] = 365,
  [1480] = 396,
  [1481] = 406,
  [1482] = 390,
  [1483] = 1483,
  [1484] = 377,
  [1485] = 1485,
  [1486] = 392,
  [1487] = 391,
  [1488] = 322,
  [1489] = 1489,
  [1490] = 337,
  [1491] = 1491,
  [1492] = 366,
  [1493] = 362,
  [1494] = 1494,
  [1495] = 363,
  [1496] = 364,
  [1497] = 1497,
  [1498] = 333,
  [1499] = 1499,
  [1500] = 1499,
  [1501] = 1501,
  [1502] = 1502,
  [1503] = 1499,
  [1504] = 1499,
  [1505] = 1505,
  [1506] = 1329,
  [1507] = 1507,
  [1508] = 1507,
  [1509] = 1453,
  [1510] = 1507,
  [1511] = 381,
  [1512] = 1512,
  [1513] = 1513,
  [1514] = 391,
  [1515] = 1515,
  [1516] = 1516,
  [1517] = 378,
  [1518] = 379,
  [1519] = 1519,
  [1520] = 380,
  [1521] = 381,
  [1522] = 1522,
  [1523] = 1512,
  [1524] = 382,
  [1525] = 386,
  [1526] = 1512,
  [1527] = 1527,
  [1528] = 375,
  [1529] = 375,
  [1530] = 376,
  [1531] = 378,
  [1532] = 379,
  [1533] = 380,
  [1534] = 1534,
  [1535] = 382,
  [1536] = 383,
  [1537] = 384,
  [1538] = 385,
  [1539] = 405,
  [1540] = 387,
  [1541] = 388,
  [1542] = 390,
  [1543] = 391,
  [1544] = 390,
  [1545] = 416,
  [1546] = 376,
  [1547] = 1547,
  [1548] = 1516,
  [1549] = 405,
  [1550] = 363,
  [1551] = 1551,
  [1552] = 383,
  [1553] = 364,
  [1554] = 1512,
  [1555] = 384,
  [1556] = 1556,
  [1557] = 388,
  [1558] = 473,
  [1559] = 416,
  [1560] = 387,
  [1561] = 1561,
  [1562] = 363,
  [1563] = 1505,
  [1564] = 364,
  [1565] = 367,
  [1566] = 385,
  [1567] = 367,
  [1568] = 386,
  [1569] = 1569,
  [1570] = 188,
  [1571] = 375,
  [1572] = 376,
  [1573] = 378,
  [1574] = 379,
  [1575] = 380,
  [1576] = 381,
  [1577] = 382,
  [1578] = 383,
  [1579] = 363,
  [1580] = 364,
  [1581] = 367,
  [1582] = 384,
  [1583] = 1583,
  [1584] = 1516,
  [1585] = 385,
  [1586] = 386,
  [1587] = 387,
  [1588] = 388,
  [1589] = 1589,
  [1590] = 1590,
  [1591] = 1591,
  [1592] = 1592,
  [1593] = 391,
  [1594] = 405,
  [1595] = 1583,
  [1596] = 1516,
  [1597] = 1590,
  [1598] = 1591,
  [1599] = 1599,
  [1600] = 1600,
  [1601] = 1590,
  [1602] = 1589,
  [1603] = 1569,
  [1604] = 1278,
  [1605] = 1583,
  [1606] = 187,
  [1607] = 1515,
  [1608] = 1591,
  [1609] = 1583,
  [1610] = 1590,
  [1611] = 1591,
  [1612] = 390,
  [1613] = 1613,
  [1614] = 1614,
  [1615] = 1615,
  [1616] = 1599,
  [1617] = 1617,
  [1618] = 1615,
  [1619] = 1619,
  [1620] = 1620,
  [1621] = 1621,
  [1622] = 1615,
  [1623] = 1623,
  [1624] = 1624,
  [1625] = 1625,
  [1626] = 1615,
  [1627] = 1621,
  [1628] = 1628,
  [1629] = 497,
  [1630] = 1329,
  [1631] = 1623,
  [1632] = 530,
  [1633] = 1633,
  [1634] = 1621,
  [1635] = 1623,
  [1636] = 1624,
  [1637] = 1619,
  [1638] = 1620,
  [1639] = 1625,
  [1640] = 1640,
  [1641] = 1641,
  [1642] = 1633,
  [1643] = 1643,
  [1644] = 1621,
  [1645] = 1624,
  [1646] = 1619,
  [1647] = 1620,
  [1648] = 1625,
  [1649] = 1640,
  [1650] = 1641,
  [1651] = 1633,
  [1652] = 1614,
  [1653] = 1643,
  [1654] = 1623,
  [1655] = 1640,
  [1656] = 1641,
  [1657] = 1614,
  [1658] = 1643,
  [1659] = 1659,
  [1660] = 1660,
  [1661] = 1661,
  [1662] = 1662,
  [1663] = 1663,
  [1664] = 1664,
  [1665] = 1665,
  [1666] = 1666,
  [1667] = 1667,
  [1668] = 1661,
  [1669] = 1669,
  [1670] = 1670,
  [1671] = 1671,
  [1672] = 1661,
  [1673] = 1673,
  [1674] = 1674,
  [1675] = 1675,
  [1676] = 1676,
  [1677] = 1677,
  [1678] = 1673,
  [1679] = 1679,
  [1680] = 1677,
  [1681] = 1681,
  [1682] = 1682,
  [1683] = 1683,
  [1684] = 1684,
  [1685] = 1685,
  [1686] = 1679,
  [1687] = 1674,
  [1688] = 1673,
  [1689] = 1681,
  [1690] = 1690,
  [1691] = 1691,
  [1692] = 1692,
  [1693] = 1693,
  [1694] = 1693,
  [1695] = 1677,
  [1696] = 1674,
  [1697] = 1697,
  [1698] = 1698,
  [1699] = 1699,
  [1700] = 1683,
  [1701] = 1684,
  [1702] = 1685,
  [1703] = 1682,
  [1704] = 1673,
  [1705] = 1690,
  [1706] = 1679,
  [1707] = 1690,
  [1708] = 1691,
  [1709] = 1692,
  [1710] = 1693,
  [1711] = 1673,
  [1712] = 1677,
  [1713] = 1713,
  [1714] = 1697,
  [1715] = 1698,
  [1716] = 1673,
  [1717] = 1673,
  [1718] = 1673,
  [1719] = 1682,
  [1720] = 1720,
  [1721] = 1681,
  [1722] = 1722,
  [1723] = 1684,
  [1724] = 1679,
  [1725] = 1685,
  [1726] = 1679,
  [1727] = 1727,
  [1728] = 1722,
  [1729] = 1683,
  [1730] = 1676,
  [1731] = 1720,
  [1732] = 1699,
  [1733] = 1733,
  [1734] = 1722,
  [1735] = 1681,
  [1736] = 1676,
  [1737] = 1720,
  [1738] = 1699,
  [1739] = 1683,
  [1740] = 1691,
  [1741] = 1727,
  [1742] = 1697,
  [1743] = 1692,
  [1744] = 1698,
  [1745] = 1664,
  [1746] = 1679,
  [1747] = 1674,
  [1748] = 1748,
  [1749] = 1749,
  [1750] = 1750,
  [1751] = 1750,
  [1752] = 1750,
  [1753] = 1753,
  [1754] = 1750,
  [1755] = 1750,
  [1756] = 1750,
  [1757] = 1757,
  [1758] = 250,
  [1759] = 1759,
  [1760] = 1760,
  [1761] = 1761,
  [1762] = 1762,
  [1763] = 1763,
  [1764] = 245,
  [1765] = 1765,
  [1766] = 1766,
  [1767] = 256,
  [1768] = 328,
  [1769] = 1769,
  [1770] = 1757,
  [1771] = 1771,
  [1772] = 329,
  [1773] = 1766,
  [1774] = 1766,
  [1775] = 1771,
  [1776] = 1776,
  [1777] = 1777,
  [1778] = 1771,
  [1779] = 1766,
  [1780] = 321,
  [1781] = 1781,
  [1782] = 1782,
  [1783] = 323,
  [1784] = 259,
  [1785] = 1771,
  [1786] = 1786,
  [1787] = 1787,
  [1788] = 353,
  [1789] = 1789,
  [1790] = 1790,
  [1791] = 1787,
  [1792] = 316,
  [1793] = 1793,
  [1794] = 1794,
  [1795] = 1269,
  [1796] = 336,
  [1797] = 1797,
  [1798] = 1798,
  [1799] = 1799,
  [1800] = 1786,
  [1801] = 1801,
  [1802] = 320,
  [1803] = 1238,
  [1804] = 1804,
  [1805] = 1805,
  [1806] = 1806,
  [1807] = 1807,
  [1808] = 1804,
  [1809] = 350,
  [1810] = 1806,
  [1811] = 354,
  [1812] = 324,
  [1813] = 166,
  [1814] = 1804,
  [1815] = 1815,
  [1816] = 1816,
  [1817] = 1817,
  [1818] = 1818,
  [1819] = 1819,
  [1820] = 1820,
  [1821] = 1821,
  [1822] = 1822,
  [1823] = 1757,
  [1824] = 1819,
  [1825] = 1825,
  [1826] = 1818,
  [1827] = 1827,
  [1828] = 1822,
  [1829] = 1829,
  [1830] = 1830,
  [1831] = 1817,
  [1832] = 1822,
  [1833] = 1817,
  [1834] = 1818,
  [1835] = 1819,
  [1836] = 1825,
  [1837] = 1822,
  [1838] = 1838,
  [1839] = 1817,
  [1840] = 1818,
  [1841] = 1819,
  [1842] = 1825,
  [1843] = 1817,
  [1844] = 1818,
  [1845] = 1819,
  [1846] = 1825,
  [1847] = 1847,
  [1848] = 1848,
  [1849] = 1822,
  [1850] = 1822,
  [1851] = 1825,
  [1852] = 1852,
  [1853] = 1290,
  [1854] = 1854,
  [1855] = 1855,
  [1856] = 1856,
  [1857] = 1855,
  [1858] = 1855,
  [1859] = 1855,
  [1860] = 1855,
  [1861] = 1292,
  [1862] = 1862,
  [1863] = 1491,
  [1864] = 1864,
  [1865] = 1855,
  [1866] = 1854,
  [1867] = 1867,
  [1868] = 1855,
  [1869] = 1869,
  [1870] = 1855,
  [1871] = 1296,
  [1872] = 1872,
  [1873] = 1855,
  [1874] = 1874,
  [1875] = 1855,
  [1876] = 1293,
  [1877] = 1854,
  [1878] = 1878,
  [1879] = 1879,
  [1880] = 1880,
  [1881] = 1879,
  [1882] = 1882,
  [1883] = 1882,
  [1884] = 1880,
  [1885] = 1878,
  [1886] = 1882,
  [1887] = 1880,
  [1888] = 1879,
  [1889] = 1879,
  [1890] = 1878,
  [1891] = 1880,
  [1892] = 1879,
  [1893] = 1893,
  [1894] = 1882,
  [1895] = 1882,
  [1896] = 1878,
  [1897] = 1878,
  [1898] = 1898,
  [1899] = 1880,
  [1900] = 1900,
  [1901] = 1901,
  [1902] = 1902,
  [1903] = 259,
  [1904] = 1904,
  [1905] = 1905,
  [1906] = 1906,
  [1907] = 1907,
  [1908] = 1908,
  [1909] = 1909,
  [1910] = 1910,
  [1911] = 1911,
  [1912] = 196,
  [1913] = 1913,
  [1914] = 324,
  [1915] = 1915,
  [1916] = 1916,
  [1917] = 1917,
  [1918] = 1918,
  [1919] = 195,
  [1920] = 1920,
  [1921] = 1921,
  [1922] = 1922,
  [1923] = 1923,
  [1924] = 1924,
  [1925] = 1925,
  [1926] = 1926,
  [1927] = 1920,
  [1928] = 1921,
  [1929] = 1929,
  [1930] = 1920,
  [1931] = 1921,
  [1932] = 1932,
  [1933] = 1933,
  [1934] = 1925,
  [1935] = 1926,
  [1936] = 1925,
  [1937] = 1926,
  [1938] = 1938,
  [1939] = 1920,
  [1940] = 1921,
  [1941] = 1920,
  [1942] = 1921,
  [1943] = 1925,
  [1944] = 1926,
  [1945] = 1925,
  [1946] = 1926,
  [1947] = 187,
  [1948] = 1948,
  [1949] = 221,
  [1950] = 188,
  [1951] = 1951,
  [1952] = 1952,
  [1953] = 1953,
  [1954] = 1954,
  [1955] = 1955,
  [1956] = 1956,
  [1957] = 1957,
  [1958] = 1958,
  [1959] = 1956,
  [1960] = 1958,
  [1961] = 1923,
  [1962] = 246,
  [1963] = 1958,
  [1964] = 1958,
  [1965] = 1956,
  [1966] = 188,
  [1967] = 187,
  [1968] = 1968,
  [1969] = 1956,
  [1970] = 195,
  [1971] = 1956,
  [1972] = 1932,
  [1973] = 1958,
  [1974] = 196,
  [1975] = 1975,
  [1976] = 1976,
  [1977] = 1977,
  [1978] = 1977,
  [1979] = 1979,
  [1980] = 1980,
  [1981] = 1981,
  [1982] = 1977,
  [1983] = 1983,
  [1984] = 1977,
  [1985] = 1985,
  [1986] = 1986,
  [1987] = 1985,
  [1988] = 182,
  [1989] = 1981,
  [1990] = 1977,
  [1991] = 1977,
  [1992] = 1977,
  [1993] = 1932,
  [1994] = 1977,
  [1995] = 1985,
  [1996] = 184,
  [1997] = 1980,
  [1998] = 1980,
  [1999] = 246,
  [2000] = 1980,
  [2001] = 183,
  [2002] = 1985,
  [2003] = 185,
  [2004] = 1985,
  [2005] = 1980,
  [2006] = 2006,
  [2007] = 2007,
  [2008] = 2006,
  [2009] = 1977,
  [2010] = 2010,
  [2011] = 2011,
  [2012] = 2012,
  [2013] = 2013,
  [2014] = 2011,
  [2015] = 2011,
  [2016] = 2011,
  [2017] = 2017,
  [2018] = 2012,
  [2019] = 2019,
  [2020] = 2011,
  [2021] = 2011,
  [2022] = 2022,
  [2023] = 2023,
  [2024] = 2011,
  [2025] = 2011,
  [2026] = 2011,
  [2027] = 2027,
  [2028] = 2028,
  [2029] = 256,
  [2030] = 2030,
  [2031] = 2031,
  [2032] = 2032,
  [2033] = 2033,
  [2034] = 2032,
  [2035] = 2035,
  [2036] = 2028,
  [2037] = 2037,
  [2038] = 2030,
  [2039] = 2031,
  [2040] = 2030,
  [2041] = 2031,
  [2042] = 2033,
  [2043] = 2033,
  [2044] = 2032,
  [2045] = 259,
  [2046] = 2046,
  [2047] = 2032,
  [2048] = 2033,
  [2049] = 2049,
  [2050] = 2050,
  [2051] = 2051,
  [2052] = 2052,
  [2053] = 2053,
  [2054] = 2031,
  [2055] = 2028,
  [2056] = 2030,
  [2057] = 2028,
  [2058] = 2058,
  [2059] = 2059,
  [2060] = 2060,
  [2061] = 2061,
  [2062] = 2062,
  [2063] = 2063,
  [2064] = 2064,
  [2065] = 2064,
  [2066] = 329,
  [2067] = 250,
  [2068] = 2068,
  [2069] = 2069,
  [2070] = 2070,
  [2071] = 2071,
  [2072] = 328,
  [2073] = 2073,
  [2074] = 166,
  [2075] = 2075,
  [2076] = 2076,
  [2077] = 245,
  [2078] = 2078,
  [2079] = 2079,
  [2080] = 2076,
  [2081] = 2076,
  [2082] = 2082,
  [2083] = 2064,
  [2084] = 2076,
  [2085] = 2085,
  [2086] = 2086,
  [2087] = 2087,
  [2088] = 321,
  [2089] = 2064,
  [2090] = 2090,
  [2091] = 2091,
  [2092] = 323,
  [2093] = 2076,
  [2094] = 320,
  [2095] = 324,
  [2096] = 2096,
  [2097] = 2097,
  [2098] = 316,
  [2099] = 2099,
  [2100] = 2100,
  [2101] = 393,
  [2102] = 2102,
  [2103] = 317,
  [2104] = 2104,
  [2105] = 2102,
  [2106] = 2102,
  [2107] = 2107,
  [2108] = 2097,
  [2109] = 2109,
  [2110] = 332,
  [2111] = 2097,
  [2112] = 245,
  [2113] = 318,
  [2114] = 250,
  [2115] = 2102,
  [2116] = 2097,
  [2117] = 2117,
  [2118] = 2118,
  [2119] = 2119,
  [2120] = 2120,
  [2121] = 350,
  [2122] = 2119,
  [2123] = 2123,
  [2124] = 2124,
  [2125] = 2125,
  [2126] = 2119,
  [2127] = 2127,
  [2128] = 2128,
  [2129] = 2129,
  [2130] = 830,
  [2131] = 831,
  [2132] = 2132,
  [2133] = 2129,
  [2134] = 2119,
  [2135] = 2117,
  [2136] = 2136,
  [2137] = 2137,
  [2138] = 2138,
  [2139] = 2139,
  [2140] = 336,
  [2141] = 353,
  [2142] = 354,
  [2143] = 2143,
  [2144] = 2144,
  [2145] = 2124,
  [2146] = 2117,
  [2147] = 2136,
  [2148] = 2129,
  [2149] = 2124,
  [2150] = 2136,
  [2151] = 832,
  [2152] = 2152,
  [2153] = 2153,
  [2154] = 2154,
  [2155] = 2155,
  [2156] = 2156,
  [2157] = 2157,
  [2158] = 2158,
  [2159] = 2159,
  [2160] = 2160,
  [2161] = 2161,
  [2162] = 2162,
  [2163] = 2163,
  [2164] = 2164,
  [2165] = 2163,
  [2166] = 2152,
  [2167] = 2167,
  [2168] = 2168,
  [2169] = 2169,
  [2170] = 2170,
  [2171] = 2171,
  [2172] = 2157,
  [2173] = 2158,
  [2174] = 2174,
  [2175] = 2161,
  [2176] = 2160,
  [2177] = 2161,
  [2178] = 2178,
  [2179] = 2164,
  [2180] = 2163,
  [2181] = 2158,
  [2182] = 2182,
  [2183] = 2183,
  [2184] = 2184,
  [2185] = 2160,
  [2186] = 2161,
  [2187] = 2164,
  [2188] = 2163,
  [2189] = 2160,
  [2190] = 2161,
  [2191] = 2164,
  [2192] = 2163,
  [2193] = 2193,
  [2194] = 2194,
  [2195] = 2195,
  [2196] = 2196,
  [2197] = 2197,
  [2198] = 2198,
  [2199] = 2164,
  [2200] = 2200,
  [2201] = 2153,
  [2202] = 2202,
  [2203] = 2203,
  [2204] = 2152,
  [2205] = 2164,
  [2206] = 2206,
  [2207] = 2152,
  [2208] = 2168,
  [2209] = 2209,
  [2210] = 1491,
  [2211] = 2211,
  [2212] = 2198,
  [2213] = 2213,
  [2214] = 2153,
  [2215] = 2215,
  [2216] = 2183,
  [2217] = 2168,
  [2218] = 2160,
  [2219] = 2219,
  [2220] = 2157,
  [2221] = 2198,
  [2222] = 2222,
  [2223] = 2223,
  [2224] = 2198,
  [2225] = 2157,
  [2226] = 2153,
  [2227] = 2163,
  [2228] = 2228,
  [2229] = 2168,
  [2230] = 2158,
  [2231] = 2198,
  [2232] = 2153,
  [2233] = 2198,
  [2234] = 2198,
  [2235] = 2153,
  [2236] = 2153,
  [2237] = 2160,
  [2238] = 2161,
  [2239] = 1491,
  [2240] = 2153,
  [2241] = 2241,
  [2242] = 833,
  [2243] = 2243,
  [2244] = 2244,
  [2245] = 2245,
  [2246] = 2246,
  [2247] = 2247,
  [2248] = 2248,
  [2249] = 2249,
  [2250] = 2250,
  [2251] = 2247,
  [2252] = 2248,
  [2253] = 2253,
  [2254] = 2248,
  [2255] = 393,
  [2256] = 2256,
  [2257] = 2253,
  [2258] = 2258,
  [2259] = 2259,
  [2260] = 2260,
  [2261] = 2244,
  [2262] = 2262,
  [2263] = 2245,
  [2264] = 2264,
  [2265] = 2265,
  [2266] = 2258,
  [2267] = 2245,
  [2268] = 2246,
  [2269] = 2269,
  [2270] = 2270,
  [2271] = 2246,
  [2272] = 2249,
  [2273] = 2250,
  [2274] = 2247,
  [2275] = 2248,
  [2276] = 2253,
  [2277] = 2258,
  [2278] = 2259,
  [2279] = 2260,
  [2280] = 2280,
  [2281] = 2262,
  [2282] = 2282,
  [2283] = 219,
  [2284] = 2284,
  [2285] = 2245,
  [2286] = 2246,
  [2287] = 220,
  [2288] = 2288,
  [2289] = 2289,
  [2290] = 223,
  [2291] = 2249,
  [2292] = 209,
  [2293] = 2247,
  [2294] = 2248,
  [2295] = 224,
  [2296] = 2269,
  [2297] = 2253,
  [2298] = 2298,
  [2299] = 2299,
  [2300] = 2253,
  [2301] = 2258,
  [2302] = 2259,
  [2303] = 2260,
  [2304] = 2258,
  [2305] = 2244,
  [2306] = 2262,
  [2307] = 2307,
  [2308] = 2249,
  [2309] = 1238,
  [2310] = 2259,
  [2311] = 2311,
  [2312] = 225,
  [2313] = 2313,
  [2314] = 2314,
  [2315] = 2260,
  [2316] = 2250,
  [2317] = 226,
  [2318] = 229,
  [2319] = 2247,
  [2320] = 230,
  [2321] = 206,
  [2322] = 2244,
  [2323] = 2262,
  [2324] = 2259,
  [2325] = 2260,
  [2326] = 2265,
  [2327] = 211,
  [2328] = 2328,
  [2329] = 2244,
  [2330] = 2330,
  [2331] = 208,
  [2332] = 2167,
  [2333] = 2249,
  [2334] = 2250,
  [2335] = 2262,
  [2336] = 2245,
  [2337] = 2337,
  [2338] = 2246,
  [2339] = 2250,
  [2340] = 2340,
  [2341] = 2341,
  [2342] = 2342,
  [2343] = 2343,
  [2344] = 2137,
  [2345] = 2345,
  [2346] = 2346,
  [2347] = 2347,
  [2348] = 2348,
  [2349] = 2125,
  [2350] = 2350,
  [2351] = 2350,
  [2352] = 2352,
  [2353] = 2353,
  [2354] = 2128,
  [2355] = 2355,
  [2356] = 2356,
  [2357] = 2209,
  [2358] = 2358,
  [2359] = 2359,
  [2360] = 2360,
  [2361] = 2361,
  [2362] = 2362,
  [2363] = 2363,
  [2364] = 2364,
  [2365] = 2132,
  [2366] = 2366,
  [2367] = 2367,
  [2368] = 2368,
  [2369] = 2369,
  [2370] = 2370,
  [2371] = 2371,
  [2372] = 2372,
  [2373] = 2373,
  [2374] = 2374,
  [2375] = 2375,
  [2376] = 2376,
  [2377] = 2377,
  [2378] = 2270,
  [2379] = 2379,
  [2380] = 2380,
  [2381] = 2362,
  [2382] = 2376,
  [2383] = 2183,
  [2384] = 2362,
  [2385] = 2385,
  [2386] = 2352,
  [2387] = 2387,
  [2388] = 2376,
  [2389] = 2389,
  [2390] = 2390,
  [2391] = 2138,
  [2392] = 2392,
  [2393] = 2120,
  [2394] = 2394,
  [2395] = 2395,
  [2396] = 2347,
  [2397] = 2350,
  [2398] = 2398,
  [2399] = 2399,
  [2400] = 2376,
  [2401] = 2401,
  [2402] = 2402,
  [2403] = 2403,
  [2404] = 2347,
  [2405] = 2405,
  [2406] = 2406,
  [2407] = 2376,
  [2408] = 2350,
  [2409] = 2409,
  [2410] = 2410,
  [2411] = 2362,
  [2412] = 2412,
  [2413] = 2376,
  [2414] = 2414,
  [2415] = 2415,
  [2416] = 2347,
  [2417] = 2417,
  [2418] = 2418,
  [2419] = 2419,
  [2420] = 2420,
  [2421] = 2421,
  [2422] = 2422,
  [2423] = 2423,
  [2424] = 2424,
  [2425] = 2425,
  [2426] = 2426,
  [2427] = 2427,
  [2428] = 2428,
  [2429] = 2429,
  [2430] = 2430,
  [2431] = 2431,
  [2432] = 2432,
  [2433] = 2433,
  [2434] = 2434,
  [2435] = 2435,
  [2436] = 2264,
  [2437] = 2437,
  [2438] = 2438,
  [2439] = 2439,
  [2440] = 2440,
  [2441] = 2441,
  [2442] = 2442,
  [2443] = 2443,
  [2444] = 2420,
  [2445] = 2445,
  [2446] = 2423,
  [2447] = 2447,
  [2448] = 2445,
  [2449] = 2426,
  [2450] = 2423,
  [2451] = 2451,
  [2452] = 2452,
  [2453] = 2453,
  [2454] = 2433,
  [2455] = 2426,
  [2456] = 2456,
  [2457] = 2439,
  [2458] = 2453,
  [2459] = 2459,
  [2460] = 2439,
  [2461] = 2461,
  [2462] = 2461,
  [2463] = 2463,
  [2464] = 2464,
  [2465] = 2431,
  [2466] = 2466,
  [2467] = 2467,
  [2468] = 2468,
  [2469] = 2469,
  [2470] = 2432,
  [2471] = 2471,
  [2472] = 2472,
  [2473] = 2445,
  [2474] = 2453,
  [2475] = 2475,
  [2476] = 2440,
  [2477] = 2441,
  [2478] = 2478,
  [2479] = 2479,
  [2480] = 2443,
  [2481] = 2481,
  [2482] = 2482,
  [2483] = 2483,
  [2484] = 2434,
  [2485] = 2451,
  [2486] = 2434,
  [2487] = 2433,
  [2488] = 2431,
  [2489] = 2489,
  [2490] = 2426,
  [2491] = 2491,
  [2492] = 2439,
  [2493] = 2431,
  [2494] = 2469,
  [2495] = 2495,
  [2496] = 2496,
  [2497] = 2311,
  [2498] = 2443,
  [2499] = 2441,
  [2500] = 2461,
  [2501] = 2451,
  [2502] = 2502,
  [2503] = 2503,
  [2504] = 2467,
  [2505] = 2440,
  [2506] = 2441,
  [2507] = 2507,
  [2508] = 2508,
  [2509] = 2509,
  [2510] = 2510,
  [2511] = 2511,
  [2512] = 2467,
  [2513] = 2513,
  [2514] = 2514,
  [2515] = 2443,
  [2516] = 2481,
  [2517] = 2517,
  [2518] = 2420,
  [2519] = 2519,
  [2520] = 2423,
  [2521] = 2521,
  [2522] = 2522,
  [2523] = 2523,
  [2524] = 2154,
  [2525] = 2525,
  [2526] = 2526,
  [2527] = 2445,
  [2528] = 2472,
  [2529] = 2469,
  [2530] = 2530,
  [2531] = 2531,
  [2532] = 2440,
  [2533] = 2280,
  [2534] = 2534,
  [2535] = 2422,
  [2536] = 2536,
  [2537] = 2503,
  [2538] = 2418,
  [2539] = 2456,
  [2540] = 2475,
  [2541] = 2541,
  [2542] = 2542,
  [2543] = 2432,
  [2544] = 2544,
  [2545] = 2451,
  [2546] = 2546,
  [2547] = 2491,
  [2548] = 2548,
  [2549] = 2549,
  [2550] = 2526,
  [2551] = 2551,
  [2552] = 2552,
  [2553] = 2553,
  [2554] = 2451,
  [2555] = 2433,
  [2556] = 2556,
  [2557] = 2557,
  [2558] = 2558,
  [2559] = 2420,
  [2560] = 2426,
  [2561] = 2561,
  [2562] = 2478,
  [2563] = 2546,
  [2564] = 2422,
  [2565] = 2469,
  [2566] = 2447,
  [2567] = 2567,
  [2568] = 2456,
  [2569] = 2541,
  [2570] = 2542,
  [2571] = 2447,
  [2572] = 2546,
  [2573] = 2491,
  [2574] = 2548,
  [2575] = 2575,
  [2576] = 2526,
  [2577] = 2577,
  [2578] = 2578,
  [2579] = 2579,
  [2580] = 2453,
  [2581] = 2581,
  [2582] = 2439,
  [2583] = 2461,
  [2584] = 2584,
  [2585] = 2433,
  [2586] = 2558,
  [2587] = 2464,
  [2588] = 2588,
  [2589] = 2589,
  [2590] = 2472,
  [2591] = 2514,
  [2592] = 2431,
  [2593] = 2451,
  [2594] = 2548,
  [2595] = 2503,
  [2596] = 2467,
  [2597] = 2597,
  [2598] = 2598,
  [2599] = 2434,
  [2600] = 2600,
  [2601] = 2440,
  [2602] = 2469,
  [2603] = 2432,
  [2604] = 2299,
  [2605] = 2605,
  [2606] = 2441,
  [2607] = 2553,
  [2608] = 2608,
  [2609] = 2609,
  [2610] = 2610,
  [2611] = 2482,
  [2612] = 2541,
  [2613] = 2542,
  [2614] = 2429,
  [2615] = 2472,
  [2616] = 2440,
  [2617] = 2608,
  [2618] = 2441,
  [2619] = 2557,
  [2620] = 2620,
  [2621] = 2621,
  [2622] = 2557,
  [2623] = 2162,
  [2624] = 2443,
  [2625] = 2358,
  [2626] = 2626,
  [2627] = 2627,
  [2628] = 2628,
  [2629] = 2629,
  [2630] = 2630,
  [2631] = 2631,
  [2632] = 2632,
  [2633] = 2633,
  [2634] = 2634,
  [2635] = 2635,
  [2636] = 2636,
  [2637] = 2637,
  [2638] = 2630,
  [2639] = 2639,
  [2640] = 2640,
  [2641] = 2641,
  [2642] = 2642,
  [2643] = 2643,
  [2644] = 2630,
  [2645] = 2645,
  [2646] = 2646,
  [2647] = 2631,
  [2648] = 2648,
  [2649] = 2649,
  [2650] = 2650,
  [2651] = 2651,
  [2652] = 2627,
  [2653] = 2653,
  [2654] = 2654,
  [2655] = 2655,
  [2656] = 2656,
  [2657] = 2657,
  [2658] = 2658,
  [2659] = 2648,
  [2660] = 2660,
  [2661] = 2661,
  [2662] = 2653,
  [2663] = 2663,
  [2664] = 2664,
  [2665] = 2665,
  [2666] = 2666,
  [2667] = 2667,
  [2668] = 2668,
  [2669] = 2669,
  [2670] = 2670,
  [2671] = 2671,
  [2672] = 2672,
  [2673] = 2673,
  [2674] = 2627,
  [2675] = 2675,
  [2676] = 2676,
  [2677] = 2677,
  [2678] = 2678,
  [2679] = 2679,
  [2680] = 2680,
  [2681] = 2681,
  [2682] = 2373,
  [2683] = 2683,
  [2684] = 2656,
  [2685] = 2643,
  [2686] = 2686,
  [2687] = 2687,
  [2688] = 2688,
  [2689] = 2672,
  [2690] = 2690,
  [2691] = 2691,
  [2692] = 2692,
  [2693] = 2693,
  [2694] = 2694,
  [2695] = 2649,
  [2696] = 2696,
  [2697] = 2697,
  [2698] = 2630,
  [2699] = 2699,
  [2700] = 2626,
  [2701] = 2701,
  [2702] = 2702,
  [2703] = 2642,
  [2704] = 2643,
  [2705] = 2630,
  [2706] = 2651,
  [2707] = 2707,
  [2708] = 2708,
  [2709] = 2635,
  [2710] = 2636,
  [2711] = 2711,
  [2712] = 2712,
  [2713] = 2640,
  [2714] = 2679,
  [2715] = 2626,
  [2716] = 2716,
  [2717] = 2717,
  [2718] = 2630,
  [2719] = 2648,
  [2720] = 2636,
  [2721] = 1015,
  [2722] = 2722,
  [2723] = 2649,
  [2724] = 2724,
  [2725] = 2642,
  [2726] = 2726,
  [2727] = 2727,
  [2728] = 2728,
  [2729] = 2729,
  [2730] = 2730,
  [2731] = 2640,
  [2732] = 2672,
  [2733] = 2733,
  [2734] = 2734,
  [2735] = 2735,
  [2736] = 2651,
  [2737] = 2650,
  [2738] = 2640,
  [2739] = 2739,
  [2740] = 2740,
  [2741] = 2635,
  [2742] = 2742,
  [2743] = 2656,
  [2744] = 2627,
  [2745] = 2745,
  [2746] = 2746,
  [2747] = 2747,
  [2748] = 2748,
  [2749] = 2637,
  [2750] = 2750,
  [2751] = 2630,
  [2752] = 2640,
  [2753] = 2753,
  [2754] = 2653,
  [2755] = 2755,
  [2756] = 2756,
  [2757] = 2672,
  [2758] = 2650,
  [2759] = 2759,
  [2760] = 2655,
  [2761] = 2761,
  [2762] = 2627,
  [2763] = 2679,
  [2764] = 2764,
  [2765] = 2626,
  [2766] = 2672,
  [2767] = 2767,
  [2768] = 2648,
  [2769] = 2769,
  [2770] = 2770,
  [2771] = 2626,
  [2772] = 2772,
  [2773] = 2653,
  [2774] = 2774,
  [2775] = 2651,
  [2776] = 2776,
  [2777] = 2777,
  [2778] = 2778,
  [2779] = 2635,
  [2780] = 2780,
  [2781] = 2781,
  [2782] = 2782,
  [2783] = 2630,
  [2784] = 2784,
  [2785] = 2656,
  [2786] = 2661,
  [2787] = 2637,
  [2788] = 2649,
  [2789] = 2789,
  [2790] = 2790,
  [2791] = 2791,
  [2792] = 2792,
  [2793] = 2793,
  [2794] = 2650,
  [2795] = 2642,
  [2796] = 2645,
  [2797] = 2797,
  [2798] = 2643,
  [2799] = 2651,
  [2800] = 2800,
  [2801] = 2630,
  [2802] = 2679,
  [2803] = 2693,
  [2804] = 2804,
  [2805] = 2650,
  [2806] = 2806,
  [2807] = 2807,
  [2808] = 2808,
  [2809] = 2809,
  [2810] = 2810,
  [2811] = 2811,
  [2812] = 2808,
  [2813] = 2813,
  [2814] = 2813,
  [2815] = 2811,
  [2816] = 2816,
  [2817] = 2817,
  [2818] = 2818,
  [2819] = 2819,
  [2820] = 2813,
  [2821] = 2821,
  [2822] = 2822,
  [2823] = 2823,
  [2824] = 2824,
  [2825] = 2825,
  [2826] = 2819,
  [2827] = 2827,
  [2828] = 2828,
  [2829] = 2829,
  [2830] = 2830,
  [2831] = 2806,
  [2832] = 2832,
  [2833] = 2822,
  [2834] = 2834,
  [2835] = 2808,
  [2836] = 2836,
  [2837] = 2830,
  [2838] = 2838,
  [2839] = 2839,
  [2840] = 2807,
  [2841] = 2813,
  [2842] = 2842,
  [2843] = 2819,
  [2844] = 2844,
  [2845] = 2811,
  [2846] = 2822,
  [2847] = 2811,
  [2848] = 2816,
  [2849] = 2830,
  [2850] = 2850,
  [2851] = 2822,
  [2852] = 2824,
  [2853] = 2853,
  [2854] = 2816,
  [2855] = 2855,
  [2856] = 2806,
  [2857] = 2808,
  [2858] = 2830,
  [2859] = 2859,
  [2860] = 2860,
  [2861] = 2861,
  [2862] = 2862,
  [2863] = 2863,
  [2864] = 2813,
  [2865] = 2865,
  [2866] = 2816,
  [2867] = 2867,
  [2868] = 2868,
  [2869] = 2811,
  [2870] = 2824,
  [2871] = 2871,
  [2872] = 2872,
  [2873] = 2873,
  [2874] = 2874,
  [2875] = 2875,
  [2876] = 2876,
  [2877] = 2877,
  [2878] = 2878,
  [2879] = 2879,
  [2880] = 2880,
  [2881] = 2881,
  [2882] = 2882,
  [2883] = 2883,
  [2884] = 2884,
  [2885] = 2885,
  [2886] = 2811,
  [2887] = 2887,
  [2888] = 2888,
  [2889] = 2806,
  [2890] = 2806,
  [2891] = 2806,
  [2892] = 2839,
  [2893] = 2893,
  [2894] = 2894,
  [2895] = 2895,
  [2896] = 2896,
  [2897] = 2897,
  [2898] = 2839,
  [2899] = 2813,
  [2900] = 2811,
  [2901] = 2901,
  [2902] = 2902,
  [2903] = 2876,
  [2904] = 2811,
  [2905] = 2905,
  [2906] = 2906,
  [2907] = 2811,
  [2908] = 2819,
  [2909] = 2909,
  [2910] = 2830,
  [2911] = 2824,
  [2912] = 2876,
  [2913] = 2839,
  [2914] = 2914,
  [2915] = 2830,
  [2916] = 2916,
  [2917] = 2884,
  [2918] = 2887,
  [2919] = 2919,
  [2920] = 2806,
  [2921] = 2921,
  [2922] = 2922,
  [2923] = 2884,
  [2924] = 2924,
  [2925] = 2925,
  [2926] = 2813,
  [2927] = 2906,
};

static TSCharacterRange sym_identifier_character_set_1[] = {
  {'$', '$'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xaa, 0xaa}, {0xb5, 0xb5}, {0xba, 0xba}, {0xc0, 0xd6},
  {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec}, {0x2ee, 0x2ee}, {0x370, 0x374}, {0x376, 0x377},
  {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x386}, {0x388, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1}, {0x3a3, 0x3f5}, {0x3f7, 0x481},
  {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x620, 0x64a}, {0x66e, 0x66f},
  {0x671, 0x6d3}, {0x6d5, 0x6d5}, {0x6e5, 0x6e6}, {0x6ee, 0x6ef}, {0x6fa, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x710}, {0x712, 0x72f},
  {0x74d, 0x7a5}, {0x7b1, 0x7b1}, {0x7ca, 0x7ea}, {0x7f4, 0x7f5}, {0x7fa, 0x7fa}, {0x800, 0x815}, {0x81a, 0x81a}, {0x824, 0x824},
  {0x828, 0x828}, {0x840, 0x858}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x8a0, 0x8c9}, {0x904, 0x939}, {0x93d, 0x93d},
  {0x950, 0x950}, {0x958, 0x961}, {0x971, 0x980}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bd, 0x9bd}, {0x9ce, 0x9ce}, {0x9dc, 0x9dd}, {0x9df, 0x9e1}, {0x9f0, 0x9f1}, {0x9fc, 0x9fc}, {0xa05, 0xa0a},
  {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33}, {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa59, 0xa5c}, {0xa5e, 0xa5e},
  {0xa72, 0xa74}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3}, {0xab5, 0xab9}, {0xabd, 0xabd},
  {0xad0, 0xad0}, {0xae0, 0xae1}, {0xaf9, 0xaf9}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33},
  {0xb35, 0xb39}, {0xb3d, 0xb3d}, {0xb5c, 0xb5d}, {0xb5f, 0xb61}, {0xb71, 0xb71}, {0xb83, 0xb83}, {0xb85, 0xb8a}, {0xb8e, 0xb90},
  {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa}, {0xbae, 0xbb9}, {0xbd0, 0xbd0},
  {0xc05, 0xc0c}, {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3d, 0xc3d}, {0xc58, 0xc5a}, {0xc5d, 0xc5d}, {0xc60, 0xc61},
  {0xc80, 0xc80}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3}, {0xcb5, 0xcb9}, {0xcbd, 0xcbd}, {0xcdd, 0xcde},
  {0xce0, 0xce1}, {0xcf1, 0xcf2}, {0xd04, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd3a}, {0xd3d, 0xd3d}, {0xd4e, 0xd4e}, {0xd54, 0xd56},
  {0xd5f, 0xd61}, {0xd7a, 0xd7f}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6}, {0xe01, 0xe30},
  {0xe32, 0xe32}, {0xe40, 0xe46}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xeb0},
  {0xeb2, 0xeb2}, {0xebd, 0xebd}, {0xec0, 0xec4}, {0xec6, 0xec6}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf40, 0xf47}, {0xf49, 0xf6c},
  {0xf88, 0xf8c}, {0x1000, 0x102a}, {0x103f, 0x103f}, {0x1050, 0x1055}, {0x105a, 0x105d}, {0x1061, 0x1061}, {0x1065, 0x1066}, {0x106e, 0x1070},
  {0x1075, 0x1081}, {0x108e, 0x108e}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x1380, 0x138f}, {0x13a0, 0x13f5},
  {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8}, {0x1700, 0x1711}, {0x171f, 0x1731},
  {0x1740, 0x1751}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1780, 0x17b3}, {0x17d7, 0x17d7}, {0x17dc, 0x17dc}, {0x1820, 0x1878}, {0x1880, 0x18a8},
  {0x18aa, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e}, {0x1950, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x1a00, 0x1a16},
  {0x1a20, 0x1a54}, {0x1aa7, 0x1aa7}, {0x1b05, 0x1b33}, {0x1b45, 0x1b4c}, {0x1b83, 0x1ba0}, {0x1bae, 0x1baf}, {0x1bba, 0x1be5}, {0x1c00, 0x1c23},
  {0x1c4d, 0x1c4f}, {0x1c5a, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba}, {0x1cbd, 0x1cbf}, {0x1ce9, 0x1cec}, {0x1cee, 0x1cf3}, {0x1cf5, 0x1cf6},
  {0x1cfa, 0x1cfa}, {0x1d00, 0x1dbf}, {0x1e00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57}, {0x1f59, 0x1f59},
  {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4}, {0x1fc6, 0x1fcc},
  {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c},
  {0x2102, 0x2102}, {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128},
  {0x212a, 0x2139}, {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cee}, {0x2cf2, 0x2cf3},
  {0x2d00, 0x2d25}, {0x2d27, 0x2d27}, {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d80, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae},
  {0x2db0, 0x2db6}, {0x2db8, 0x2dbe}, {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x3005, 0x3007}, {0x3021, 0x3029},
  {0x3031, 0x3035}, {0x3038, 0x303c}, {0x3041, 0x3096}, {0x309d, 0x309f}, {0x30a1, 0x30fa}, {0x30fc, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e},
  {0x31a0, 0x31bf}, {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa61f}, {0xa62a, 0xa62b},
  {0xa640, 0xa66e}, {0xa67f, 0xa69d}, {0xa6a0, 0xa6ef}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3},
  {0xa7d5, 0xa7d9}, {0xa7f2, 0xa801}, {0xa803, 0xa805}, {0xa807, 0xa80a}, {0xa80c, 0xa822}, {0xa840, 0xa873}, {0xa882, 0xa8b3}, {0xa8f2, 0xa8f7},
  {0xa8fb, 0xa8fb}, {0xa8fd, 0xa8fe}, {0xa90a, 0xa925}, {0xa930, 0xa946}, {0xa960, 0xa97c}, {0xa984, 0xa9b2}, {0xa9cf, 0xa9cf}, {0xa9e0, 0xa9e4},
  {0xa9e6, 0xa9ef}, {0xa9fa, 0xa9fe}, {0xaa00, 0xaa28}, {0xaa40, 0xaa42}, {0xaa44, 0xaa4b}, {0xaa60, 0xaa76}, {0xaa7a, 0xaa7a}, {0xaa7e, 0xaaaf},
  {0xaab1, 0xaab1}, {0xaab5, 0xaab6}, {0xaab9, 0xaabd}, {0xaac0, 0xaac0}, {0xaac2, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaea}, {0xaaf2, 0xaaf4},
  {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26}, {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabe2},
  {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6}, {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb1d},
  {0xfb1f, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c}, {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d},
  {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7}, {0xfdf0, 0xfdf9}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77}, {0xfe79, 0xfe79},
  {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff21, 0xff3a}, {0xff41, 0xff5a}, {0xff66, 0xff9d}, {0xffa0, 0xffbe}, {0xffc2, 0xffc7},
  {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a}, {0x1003c, 0x1003d}, {0x1003f, 0x1004d},
  {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x10280, 0x1029c}, {0x102a0, 0x102d0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x10375},
  {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5}, {0x10400, 0x1049d}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527},
  {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a}, {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9},
  {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755}, {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805},
  {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838}, {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2},
  {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939}, {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a00}, {0x10a10, 0x10a13}, {0x10a15, 0x10a17},
  {0x10a19, 0x10a35}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae4}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d23}, {0x10e80, 0x10ea9}, {0x10eb0, 0x10eb1}, {0x10f00, 0x10f1c},
  {0x10f27, 0x10f27}, {0x10f30, 0x10f45}, {0x10f70, 0x10f81}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11003, 0x11037}, {0x11071, 0x11072}, {0x11075, 0x11075},
  {0x11083, 0x110af}, {0x110d0, 0x110e8}, {0x11103, 0x11126}, {0x11144, 0x11144}, {0x11147, 0x11147}, {0x11150, 0x11172}, {0x11176, 0x11176}, {0x11183, 0x111b2},
  {0x111c1, 0x111c4}, {0x111da, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x1122b}, {0x1123f, 0x11240}, {0x11280, 0x11286}, {0x11288, 0x11288},
  {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112de}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330},
  {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133d, 0x1133d}, {0x11350, 0x11350}, {0x1135d, 0x11361}, {0x11400, 0x11434}, {0x11447, 0x1144a}, {0x1145f, 0x11461},
  {0x11480, 0x114af}, {0x114c4, 0x114c5}, {0x114c7, 0x114c7}, {0x11580, 0x115ae}, {0x115d8, 0x115db}, {0x11600, 0x1162f}, {0x11644, 0x11644}, {0x11680, 0x116aa},
  {0x116b8, 0x116b8}, {0x11700, 0x1171a}, {0x11740, 0x11746}, {0x11800, 0x1182b}, {0x118a0, 0x118df}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913},
  {0x11915, 0x11916}, {0x11918, 0x1192f}, {0x1193f, 0x1193f}, {0x11941, 0x11941}, {0x119a0, 0x119a7}, {0x119aa, 0x119d0}, {0x119e1, 0x119e1}, {0x119e3, 0x119e3},
  {0x11a00, 0x11a00}, {0x11a0b, 0x11a32}, {0x11a3a, 0x11a3a}, {0x11a50, 0x11a50}, {0x11a5c, 0x11a89}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08},
  {0x11c0a, 0x11c2e}, {0x11c40, 0x11c40}, {0x11c72, 0x11c8f}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d30}, {0x11d46, 0x11d46}, {0x11d60, 0x11d65},
  {0x11d67, 0x11d68}, {0x11d6a, 0x11d89}, {0x11d98, 0x11d98}, {0x11ee0, 0x11ef2}, {0x11f02, 0x11f02}, {0x11f04, 0x11f10}, {0x11f12, 0x11f33}, {0x11fb0, 0x11fb0},
  {0x12000, 0x12399}, {0x12400, 0x1246e}, {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13441, 0x13446}, {0x14400, 0x14646}, {0x16800, 0x16a38},
  {0x16a40, 0x16a5e}, {0x16a70, 0x16abe}, {0x16ad0, 0x16aed}, {0x16b00, 0x16b2f}, {0x16b40, 0x16b43}, {0x16b63, 0x16b77}, {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f},
  {0x16f00, 0x16f4a}, {0x16f50, 0x16f50}, {0x16f93, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe3}, {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08},
  {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132}, {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167},
  {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f},
  {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9}, {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a},
  {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e}, {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5},
  {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714}, {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788},
  {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a}, {0x1e030, 0x1e06d}, {0x1e100, 0x1e12c}, {0x1e137, 0x1e13d},
  {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ad}, {0x1e2c0, 0x1e2eb}, {0x1e4d0, 0x1e4eb}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb}, {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe},
  {0x1e800, 0x1e8c4}, {0x1e900, 0x1e943}, {0x1e94b, 0x1e94b}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f}, {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27},
  {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42}, {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b},
  {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59}, {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f},
  {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77}, {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89},
  {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1},
  {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a}, {0x31350, 0x323af},
};

static TSCharacterRange sym_identifier_character_set_2[] = {
  {'$', '$'}, {'0', '9'}, {'A', 'Z'}, {'_', '_'}, {'a', 'z'}, {0xa2, 0xa2}, {0xaa, 0xaa}, {0xb5, 0xb5},
  {0xb7, 0xb7}, {0xba, 0xba}, {0xc0, 0xd6}, {0xd8, 0xf6}, {0xf8, 0x2c1}, {0x2c6, 0x2d1}, {0x2e0, 0x2e4}, {0x2ec, 0x2ec},
  {0x2ee, 0x2ee}, {0x300, 0x374}, {0x376, 0x377}, {0x37b, 0x37d}, {0x37f, 0x37f}, {0x386, 0x38a}, {0x38c, 0x38c}, {0x38e, 0x3a1},
  {0x3a3, 0x3f5}, {0x3f7, 0x481}, {0x483, 0x487}, {0x48a, 0x52f}, {0x531, 0x556}, {0x559, 0x559}, {0x560, 0x588}, {0x591, 0x5bd},
  {0x5bf, 0x5bf}, {0x5c1, 0x5c2}, {0x5c4, 0x5c5}, {0x5c7, 0x5c7}, {0x5d0, 0x5ea}, {0x5ef, 0x5f2}, {0x610, 0x61a}, {0x620, 0x669},
  {0x66e, 0x6d3}, {0x6d5, 0x6dc}, {0x6df, 0x6e8}, {0x6ea, 0x6fc}, {0x6ff, 0x6ff}, {0x710, 0x74a}, {0x74d, 0x7b1}, {0x7c0, 0x7f5},
  {0x7fa, 0x7fa}, {0x7fd, 0x7fd}, {0x800, 0x82d}, {0x840, 0x85b}, {0x860, 0x86a}, {0x870, 0x887}, {0x889, 0x88e}, {0x898, 0x8e1},
  {0x8e3, 0x963}, {0x966, 0x96f}, {0x971, 0x983}, {0x985, 0x98c}, {0x98f, 0x990}, {0x993, 0x9a8}, {0x9aa, 0x9b0}, {0x9b2, 0x9b2},
  {0x9b6, 0x9b9}, {0x9bc, 0x9c4}, {0x9c7, 0x9c8}, {0x9cb, 0x9ce}, {0x9d7, 0x9d7}, {0x9dc, 0x9dd}, {0x9df, 0x9e3}, {0x9e6, 0x9f1},
  {0x9fc, 0x9fc}, {0x9fe, 0x9fe}, {0xa01, 0xa03}, {0xa05, 0xa0a}, {0xa0f, 0xa10}, {0xa13, 0xa28}, {0xa2a, 0xa30}, {0xa32, 0xa33},
  {0xa35, 0xa36}, {0xa38, 0xa39}, {0xa3c, 0xa3c}, {0xa3e, 0xa42}, {0xa47, 0xa48}, {0xa4b, 0xa4d}, {0xa51, 0xa51}, {0xa59, 0xa5c},
  {0xa5e, 0xa5e}, {0xa66, 0xa75}, {0xa81, 0xa83}, {0xa85, 0xa8d}, {0xa8f, 0xa91}, {0xa93, 0xaa8}, {0xaaa, 0xab0}, {0xab2, 0xab3},
  {0xab5, 0xab9}, {0xabc, 0xac5}, {0xac7, 0xac9}, {0xacb, 0xacd}, {0xad0, 0xad0}, {0xae0, 0xae3}, {0xae6, 0xaef}, {0xaf9, 0xaff},
  {0xb01, 0xb03}, {0xb05, 0xb0c}, {0xb0f, 0xb10}, {0xb13, 0xb28}, {0xb2a, 0xb30}, {0xb32, 0xb33}, {0xb35, 0xb39}, {0xb3c, 0xb44},
  {0xb47, 0xb48}, {0xb4b, 0xb4d}, {0xb55, 0xb57}, {0xb5c, 0xb5d}, {0xb5f, 0xb63}, {0xb66, 0xb6f}, {0xb71, 0xb71}, {0xb82, 0xb83},
  {0xb85, 0xb8a}, {0xb8e, 0xb90}, {0xb92, 0xb95}, {0xb99, 0xb9a}, {0xb9c, 0xb9c}, {0xb9e, 0xb9f}, {0xba3, 0xba4}, {0xba8, 0xbaa},
  {0xbae, 0xbb9}, {0xbbe, 0xbc2}, {0xbc6, 0xbc8}, {0xbca, 0xbcd}, {0xbd0, 0xbd0}, {0xbd7, 0xbd7}, {0xbe6, 0xbef}, {0xc00, 0xc0c},
  {0xc0e, 0xc10}, {0xc12, 0xc28}, {0xc2a, 0xc39}, {0xc3c, 0xc44}, {0xc46, 0xc48}, {0xc4a, 0xc4d}, {0xc55, 0xc56}, {0xc58, 0xc5a},
  {0xc5d, 0xc5d}, {0xc60, 0xc63}, {0xc66, 0xc6f}, {0xc80, 0xc83}, {0xc85, 0xc8c}, {0xc8e, 0xc90}, {0xc92, 0xca8}, {0xcaa, 0xcb3},
  {0xcb5, 0xcb9}, {0xcbc, 0xcc4}, {0xcc6, 0xcc8}, {0xcca, 0xccd}, {0xcd5, 0xcd6}, {0xcdd, 0xcde}, {0xce0, 0xce3}, {0xce6, 0xcef},
  {0xcf1, 0xcf3}, {0xd00, 0xd0c}, {0xd0e, 0xd10}, {0xd12, 0xd44}, {0xd46, 0xd48}, {0xd4a, 0xd4e}, {0xd54, 0xd57}, {0xd5f, 0xd63},
  {0xd66, 0xd6f}, {0xd7a, 0xd7f}, {0xd81, 0xd83}, {0xd85, 0xd96}, {0xd9a, 0xdb1}, {0xdb3, 0xdbb}, {0xdbd, 0xdbd}, {0xdc0, 0xdc6},
  {0xdca, 0xdca}, {0xdcf, 0xdd4}, {0xdd6, 0xdd6}, {0xdd8, 0xddf}, {0xde6, 0xdef}, {0xdf2, 0xdf3}, {0xe01, 0xe3a}, {0xe40, 0xe4e},
  {0xe50, 0xe59}, {0xe81, 0xe82}, {0xe84, 0xe84}, {0xe86, 0xe8a}, {0xe8c, 0xea3}, {0xea5, 0xea5}, {0xea7, 0xebd}, {0xec0, 0xec4},
  {0xec6, 0xec6}, {0xec8, 0xece}, {0xed0, 0xed9}, {0xedc, 0xedf}, {0xf00, 0xf00}, {0xf18, 0xf19}, {0xf20, 0xf29}, {0xf35, 0xf35},
  {0xf37, 0xf37}, {0xf39, 0xf39}, {0xf3e, 0xf47}, {0xf49, 0xf6c}, {0xf71, 0xf84}, {0xf86, 0xf97}, {0xf99, 0xfbc}, {0xfc6, 0xfc6},
  {0x1000, 0x1049}, {0x1050, 0x109d}, {0x10a0, 0x10c5}, {0x10c7, 0x10c7}, {0x10cd, 0x10cd}, {0x10d0, 0x10fa}, {0x10fc, 0x1248}, {0x124a, 0x124d},
  {0x1250, 0x1256}, {0x1258, 0x1258}, {0x125a, 0x125d}, {0x1260, 0x1288}, {0x128a, 0x128d}, {0x1290, 0x12b0}, {0x12b2, 0x12b5}, {0x12b8, 0x12be},
  {0x12c0, 0x12c0}, {0x12c2, 0x12c5}, {0x12c8, 0x12d6}, {0x12d8, 0x1310}, {0x1312, 0x1315}, {0x1318, 0x135a}, {0x135d, 0x135f}, {0x1369, 0x1371},
  {0x1380, 0x138f}, {0x13a0, 0x13f5}, {0x13f8, 0x13fd}, {0x1401, 0x166c}, {0x166f, 0x167f}, {0x1681, 0x169a}, {0x16a0, 0x16ea}, {0x16ee, 0x16f8},
  {0x1700, 0x1715}, {0x171f, 0x1734}, {0x1740, 0x1753}, {0x1760, 0x176c}, {0x176e, 0x1770}, {0x1772, 0x1773}, {0x1780, 0x17d3}, {0x17d7, 0x17d7},
  {0x17dc, 0x17dd}, {0x17e0, 0x17e9}, {0x180b, 0x180d}, {0x180f, 0x1819}, {0x1820, 0x1878}, {0x1880, 0x18aa}, {0x18b0, 0x18f5}, {0x1900, 0x191e},
  {0x1920, 0x192b}, {0x1930, 0x193b}, {0x1946, 0x196d}, {0x1970, 0x1974}, {0x1980, 0x19ab}, {0x19b0, 0x19c9}, {0x19d0, 0x19da}, {0x1a00, 0x1a1b},
  {0x1a20, 0x1a5e}, {0x1a60, 0x1a7c}, {0x1a7f, 0x1a89}, {0x1a90, 0x1a99}, {0x1aa7, 0x1aa7}, {0x1ab0, 0x1abd}, {0x1abf, 0x1ace}, {0x1b00, 0x1b4c},
  {0x1b50, 0x1b59}, {0x1b6b, 0x1b73}, {0x1b80, 0x1bf3}, {0x1c00, 0x1c37}, {0x1c40, 0x1c49}, {0x1c4d, 0x1c7d}, {0x1c80, 0x1c88}, {0x1c90, 0x1cba},
  {0x1cbd, 0x1cbf}, {0x1cd0, 0x1cd2}, {0x1cd4, 0x1cfa}, {0x1d00, 0x1f15}, {0x1f18, 0x1f1d}, {0x1f20, 0x1f45}, {0x1f48, 0x1f4d}, {0x1f50, 0x1f57},
  {0x1f59, 0x1f59}, {0x1f5b, 0x1f5b}, {0x1f5d, 0x1f5d}, {0x1f5f, 0x1f7d}, {0x1f80, 0x1fb4}, {0x1fb6, 0x1fbc}, {0x1fbe, 0x1fbe}, {0x1fc2, 0x1fc4},
  {0x1fc6, 0x1fcc}, {0x1fd0, 0x1fd3}, {0x1fd6, 0x1fdb}, {0x1fe0, 0x1fec}, {0x1ff2, 0x1ff4}, {0x1ff6, 0x1ffc}, {0x200c, 0x200d}, {0x203f, 0x2040},
  {0x2054, 0x2054}, {0x2071, 0x2071}, {0x207f, 0x207f}, {0x2090, 0x209c}, {0x20d0, 0x20dc}, {0x20e1, 0x20e1}, {0x20e5, 0x20f0}, {0x2102, 0x2102},
  {0x2107, 0x2107}, {0x210a, 0x2113}, {0x2115, 0x2115}, {0x2118, 0x211d}, {0x2124, 0x2124}, {0x2126, 0x2126}, {0x2128, 0x2128}, {0x212a, 0x2139},
  {0x213c, 0x213f}, {0x2145, 0x2149}, {0x214e, 0x214e}, {0x2160, 0x2188}, {0x2c00, 0x2ce4}, {0x2ceb, 0x2cf3}, {0x2d00, 0x2d25}, {0x2d27, 0x2d27},
  {0x2d2d, 0x2d2d}, {0x2d30, 0x2d67}, {0x2d6f, 0x2d6f}, {0x2d7f, 0x2d96}, {0x2da0, 0x2da6}, {0x2da8, 0x2dae}, {0x2db0, 0x2db6}, {0x2db8, 0x2dbe},
  {0x2dc0, 0x2dc6}, {0x2dc8, 0x2dce}, {0x2dd0, 0x2dd6}, {0x2dd8, 0x2dde}, {0x2de0, 0x2dff}, {0x3005, 0x3007}, {0x3021, 0x302f}, {0x3031, 0x3035},
  {0x3038, 0x303c}, {0x3041, 0x3096}, {0x3099, 0x309a}, {0x309d, 0x309f}, {0x30a1, 0x30ff}, {0x3105, 0x312f}, {0x3131, 0x318e}, {0x31a0, 0x31bf},
  {0x31f0, 0x31ff}, {0x3400, 0x4dbf}, {0x4e00, 0xa48c}, {0xa4d0, 0xa4fd}, {0xa500, 0xa60c}, {0xa610, 0xa62b}, {0xa640, 0xa66f}, {0xa674, 0xa67d},
  {0xa67f, 0xa6f1}, {0xa717, 0xa71f}, {0xa722, 0xa788}, {0xa78b, 0xa7ca}, {0xa7d0, 0xa7d1}, {0xa7d3, 0xa7d3}, {0xa7d5, 0xa7d9}, {0xa7f2, 0xa827},
  {0xa82c, 0xa82c}, {0xa840, 0xa873}, {0xa880, 0xa8c5}, {0xa8d0, 0xa8d9}, {0xa8e0, 0xa8f7}, {0xa8fb, 0xa8fb}, {0xa8fd, 0xa92d}, {0xa930, 0xa953},
  {0xa960, 0xa97c}, {0xa980, 0xa9c0}, {0xa9cf, 0xa9d9}, {0xa9e0, 0xa9fe}, {0xaa00, 0xaa36}, {0xaa40, 0xaa4d}, {0xaa50, 0xaa59}, {0xaa60, 0xaa76},
  {0xaa7a, 0xaac2}, {0xaadb, 0xaadd}, {0xaae0, 0xaaef}, {0xaaf2, 0xaaf6}, {0xab01, 0xab06}, {0xab09, 0xab0e}, {0xab11, 0xab16}, {0xab20, 0xab26},
  {0xab28, 0xab2e}, {0xab30, 0xab5a}, {0xab5c, 0xab69}, {0xab70, 0xabea}, {0xabec, 0xabed}, {0xabf0, 0xabf9}, {0xac00, 0xd7a3}, {0xd7b0, 0xd7c6},
  {0xd7cb, 0xd7fb}, {0xf900, 0xfa6d}, {0xfa70, 0xfad9}, {0xfb00, 0xfb06}, {0xfb13, 0xfb17}, {0xfb1d, 0xfb28}, {0xfb2a, 0xfb36}, {0xfb38, 0xfb3c},
  {0xfb3e, 0xfb3e}, {0xfb40, 0xfb41}, {0xfb43, 0xfb44}, {0xfb46, 0xfbb1}, {0xfbd3, 0xfc5d}, {0xfc64, 0xfd3d}, {0xfd50, 0xfd8f}, {0xfd92, 0xfdc7},
  {0xfdf0, 0xfdf9}, {0xfe00, 0xfe0f}, {0xfe20, 0xfe2f}, {0xfe33, 0xfe34}, {0xfe4d, 0xfe4f}, {0xfe71, 0xfe71}, {0xfe73, 0xfe73}, {0xfe77, 0xfe77},
  {0xfe79, 0xfe79}, {0xfe7b, 0xfe7b}, {0xfe7d, 0xfe7d}, {0xfe7f, 0xfefc}, {0xff10, 0xff19}, {0xff21, 0xff3a}, {0xff3f, 0xff3f}, {0xff41, 0xff5a},
  {0xff65, 0xffbe}, {0xffc2, 0xffc7}, {0xffca, 0xffcf}, {0xffd2, 0xffd7}, {0xffda, 0xffdc}, {0x10000, 0x1000b}, {0x1000d, 0x10026}, {0x10028, 0x1003a},
  {0x1003c, 0x1003d}, {0x1003f, 0x1004d}, {0x10050, 0x1005d}, {0x10080, 0x100fa}, {0x10140, 0x10174}, {0x101fd, 0x101fd}, {0x10280, 0x1029c}, {0x102a0, 0x102d0},
  {0x102e0, 0x102e0}, {0x10300, 0x1031f}, {0x1032d, 0x1034a}, {0x10350, 0x1037a}, {0x10380, 0x1039d}, {0x103a0, 0x103c3}, {0x103c8, 0x103cf}, {0x103d1, 0x103d5},
  {0x10400, 0x1049d}, {0x104a0, 0x104a9}, {0x104b0, 0x104d3}, {0x104d8, 0x104fb}, {0x10500, 0x10527}, {0x10530, 0x10563}, {0x10570, 0x1057a}, {0x1057c, 0x1058a},
  {0x1058c, 0x10592}, {0x10594, 0x10595}, {0x10597, 0x105a1}, {0x105a3, 0x105b1}, {0x105b3, 0x105b9}, {0x105bb, 0x105bc}, {0x10600, 0x10736}, {0x10740, 0x10755},
  {0x10760, 0x10767}, {0x10780, 0x10785}, {0x10787, 0x107b0}, {0x107b2, 0x107ba}, {0x10800, 0x10805}, {0x10808, 0x10808}, {0x1080a, 0x10835}, {0x10837, 0x10838},
  {0x1083c, 0x1083c}, {0x1083f, 0x10855}, {0x10860, 0x10876}, {0x10880, 0x1089e}, {0x108e0, 0x108f2}, {0x108f4, 0x108f5}, {0x10900, 0x10915}, {0x10920, 0x10939},
  {0x10980, 0x109b7}, {0x109be, 0x109bf}, {0x10a00, 0x10a03}, {0x10a05, 0x10a06}, {0x10a0c, 0x10a13}, {0x10a15, 0x10a17}, {0x10a19, 0x10a35}, {0x10a38, 0x10a3a},
  {0x10a3f, 0x10a3f}, {0x10a60, 0x10a7c}, {0x10a80, 0x10a9c}, {0x10ac0, 0x10ac7}, {0x10ac9, 0x10ae6}, {0x10b00, 0x10b35}, {0x10b40, 0x10b55}, {0x10b60, 0x10b72},
  {0x10b80, 0x10b91}, {0x10c00, 0x10c48}, {0x10c80, 0x10cb2}, {0x10cc0, 0x10cf2}, {0x10d00, 0x10d27}, {0x10d30, 0x10d39}, {0x10e80, 0x10ea9}, {0x10eab, 0x10eac},
  {0x10eb0, 0x10eb1}, {0x10efd, 0x10f1c}, {0x10f27, 0x10f27}, {0x10f30, 0x10f50}, {0x10f70, 0x10f85}, {0x10fb0, 0x10fc4}, {0x10fe0, 0x10ff6}, {0x11000, 0x11046},
  {0x11066, 0x11075}, {0x1107f, 0x110ba}, {0x110c2, 0x110c2}, {0x110d0, 0x110e8}, {0x110f0, 0x110f9}, {0x11100, 0x11134}, {0x11136, 0x1113f}, {0x11144, 0x11147},
  {0x11150, 0x11173}, {0x11176, 0x11176}, {0x11180, 0x111c4}, {0x111c9, 0x111cc}, {0x111ce, 0x111da}, {0x111dc, 0x111dc}, {0x11200, 0x11211}, {0x11213, 0x11237},
  {0x1123e, 0x11241}, {0x11280, 0x11286}, {0x11288, 0x11288}, {0x1128a, 0x1128d}, {0x1128f, 0x1129d}, {0x1129f, 0x112a8}, {0x112b0, 0x112ea}, {0x112f0, 0x112f9},
  {0x11300, 0x11303}, {0x11305, 0x1130c}, {0x1130f, 0x11310}, {0x11313, 0x11328}, {0x1132a, 0x11330}, {0x11332, 0x11333}, {0x11335, 0x11339}, {0x1133b, 0x11344},
  {0x11347, 0x11348}, {0x1134b, 0x1134d}, {0x11350, 0x11350}, {0x11357, 0x11357}, {0x1135d, 0x11363}, {0x11366, 0x1136c}, {0x11370, 0x11374}, {0x11400, 0x1144a},
  {0x11450, 0x11459}, {0x1145e, 0x11461}, {0x11480, 0x114c5}, {0x114c7, 0x114c7}, {0x114d0, 0x114d9}, {0x11580, 0x115b5}, {0x115b8, 0x115c0}, {0x115d8, 0x115dd},
  {0x11600, 0x11640}, {0x11644, 0x11644}, {0x11650, 0x11659}, {0x11680, 0x116b8}, {0x116c0, 0x116c9}, {0x11700, 0x1171a}, {0x1171d, 0x1172b}, {0x11730, 0x11739},
  {0x11740, 0x11746}, {0x11800, 0x1183a}, {0x118a0, 0x118e9}, {0x118ff, 0x11906}, {0x11909, 0x11909}, {0x1190c, 0x11913}, {0x11915, 0x11916}, {0x11918, 0x11935},
  {0x11937, 0x11938}, {0x1193b, 0x11943}, {0x11950, 0x11959}, {0x119a0, 0x119a7}, {0x119aa, 0x119d7}, {0x119da, 0x119e1}, {0x119e3, 0x119e4}, {0x11a00, 0x11a3e},
  {0x11a47, 0x11a47}, {0x11a50, 0x11a99}, {0x11a9d, 0x11a9d}, {0x11ab0, 0x11af8}, {0x11c00, 0x11c08}, {0x11c0a, 0x11c36}, {0x11c38, 0x11c40}, {0x11c50, 0x11c59},
  {0x11c72, 0x11c8f}, {0x11c92, 0x11ca7}, {0x11ca9, 0x11cb6}, {0x11d00, 0x11d06}, {0x11d08, 0x11d09}, {0x11d0b, 0x11d36}, {0x11d3a, 0x11d3a}, {0x11d3c, 0x11d3d},
  {0x11d3f, 0x11d47}, {0x11d50, 0x11d59}, {0x11d60, 0x11d65}, {0x11d67, 0x11d68}, {0x11d6a, 0x11d8e}, {0x11d90, 0x11d91}, {0x11d93, 0x11d98}, {0x11da0, 0x11da9},
  {0x11ee0, 0x11ef6}, {0x11f00, 0x11f10}, {0x11f12, 0x11f3a}, {0x11f3e, 0x11f42}, {0x11f50, 0x11f59}, {0x11fb0, 0x11fb0}, {0x12000, 0x12399}, {0x12400, 0x1246e},
  {0x12480, 0x12543}, {0x12f90, 0x12ff0}, {0x13000, 0x1342f}, {0x13440, 0x13455}, {0x14400, 0x14646}, {0x16800, 0x16a38}, {0x16a40, 0x16a5e}, {0x16a60, 0x16a69},
  {0x16a70, 0x16abe}, {0x16ac0, 0x16ac9}, {0x16ad0, 0x16aed}, {0x16af0, 0x16af4}, {0x16b00, 0x16b36}, {0x16b40, 0x16b43}, {0x16b50, 0x16b59}, {0x16b63, 0x16b77},
  {0x16b7d, 0x16b8f}, {0x16e40, 0x16e7f}, {0x16f00, 0x16f4a}, {0x16f4f, 0x16f87}, {0x16f8f, 0x16f9f}, {0x16fe0, 0x16fe1}, {0x16fe3, 0x16fe4}, {0x16ff0, 0x16ff1},
  {0x17000, 0x187f7}, {0x18800, 0x18cd5}, {0x18d00, 0x18d08}, {0x1aff0, 0x1aff3}, {0x1aff5, 0x1affb}, {0x1affd, 0x1affe}, {0x1b000, 0x1b122}, {0x1b132, 0x1b132},
  {0x1b150, 0x1b152}, {0x1b155, 0x1b155}, {0x1b164, 0x1b167}, {0x1b170, 0x1b2fb}, {0x1bc00, 0x1bc6a}, {0x1bc70, 0x1bc7c}, {0x1bc80, 0x1bc88}, {0x1bc90, 0x1bc99},
  {0x1bc9d, 0x1bc9e}, {0x1cf00, 0x1cf2d}, {0x1cf30, 0x1cf46}, {0x1d165, 0x1d169}, {0x1d16d, 0x1d172}, {0x1d17b, 0x1d182}, {0x1d185, 0x1d18b}, {0x1d1aa, 0x1d1ad},
  {0x1d242, 0x1d244}, {0x1d400, 0x1d454}, {0x1d456, 0x1d49c}, {0x1d49e, 0x1d49f}, {0x1d4a2, 0x1d4a2}, {0x1d4a5, 0x1d4a6}, {0x1d4a9, 0x1d4ac}, {0x1d4ae, 0x1d4b9},
  {0x1d4bb, 0x1d4bb}, {0x1d4bd, 0x1d4c3}, {0x1d4c5, 0x1d505}, {0x1d507, 0x1d50a}, {0x1d50d, 0x1d514}, {0x1d516, 0x1d51c}, {0x1d51e, 0x1d539}, {0x1d53b, 0x1d53e},
  {0x1d540, 0x1d544}, {0x1d546, 0x1d546}, {0x1d54a, 0x1d550}, {0x1d552, 0x1d6a5}, {0x1d6a8, 0x1d6c0}, {0x1d6c2, 0x1d6da}, {0x1d6dc, 0x1d6fa}, {0x1d6fc, 0x1d714},
  {0x1d716, 0x1d734}, {0x1d736, 0x1d74e}, {0x1d750, 0x1d76e}, {0x1d770, 0x1d788}, {0x1d78a, 0x1d7a8}, {0x1d7aa, 0x1d7c2}, {0x1d7c4, 0x1d7cb}, {0x1d7ce, 0x1d7ff},
  {0x1da00, 0x1da36}, {0x1da3b, 0x1da6c}, {0x1da75, 0x1da75}, {0x1da84, 0x1da84}, {0x1da9b, 0x1da9f}, {0x1daa1, 0x1daaf}, {0x1df00, 0x1df1e}, {0x1df25, 0x1df2a},
  {0x1e000, 0x1e006}, {0x1e008, 0x1e018}, {0x1e01b, 0x1e021}, {0x1e023, 0x1e024}, {0x1e026, 0x1e02a}, {0x1e030, 0x1e06d}, {0x1e08f, 0x1e08f}, {0x1e100, 0x1e12c},
  {0x1e130, 0x1e13d}, {0x1e140, 0x1e149}, {0x1e14e, 0x1e14e}, {0x1e290, 0x1e2ae}, {0x1e2c0, 0x1e2f9}, {0x1e4d0, 0x1e4f9}, {0x1e7e0, 0x1e7e6}, {0x1e7e8, 0x1e7eb},
  {0x1e7ed, 0x1e7ee}, {0x1e7f0, 0x1e7fe}, {0x1e800, 0x1e8c4}, {0x1e8d0, 0x1e8d6}, {0x1e900, 0x1e94b}, {0x1e950, 0x1e959}, {0x1ee00, 0x1ee03}, {0x1ee05, 0x1ee1f},
  {0x1ee21, 0x1ee22}, {0x1ee24, 0x1ee24}, {0x1ee27, 0x1ee27}, {0x1ee29, 0x1ee32}, {0x1ee34, 0x1ee37}, {0x1ee39, 0x1ee39}, {0x1ee3b, 0x1ee3b}, {0x1ee42, 0x1ee42},
  {0x1ee47, 0x1ee47}, {0x1ee49, 0x1ee49}, {0x1ee4b, 0x1ee4b}, {0x1ee4d, 0x1ee4f}, {0x1ee51, 0x1ee52}, {0x1ee54, 0x1ee54}, {0x1ee57, 0x1ee57}, {0x1ee59, 0x1ee59},
  {0x1ee5b, 0x1ee5b}, {0x1ee5d, 0x1ee5d}, {0x1ee5f, 0x1ee5f}, {0x1ee61, 0x1ee62}, {0x1ee64, 0x1ee64}, {0x1ee67, 0x1ee6a}, {0x1ee6c, 0x1ee72}, {0x1ee74, 0x1ee77},
  {0x1ee79, 0x1ee7c}, {0x1ee7e, 0x1ee7e}, {0x1ee80, 0x1ee89}, {0x1ee8b, 0x1ee9b}, {0x1eea1, 0x1eea3}, {0x1eea5, 0x1eea9}, {0x1eeab, 0x1eebb}, {0x1fbf0, 0x1fbf9},
  {0x20000, 0x2a6df}, {0x2a700, 0x2b739}, {0x2b740, 0x2b81d}, {0x2b820, 0x2cea1}, {0x2ceb0, 0x2ebe0}, {0x2ebf0, 0x2ee5d}, {0x2f800, 0x2fa1d}, {0x30000, 0x3134a},
  {0x31350, 0x323af}, {0xe0100, 0xe01ef},
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(81);
      ADVANCE_MAP(
        0, 202,
        '!', 187,
        '"', 113,
        '#', 8,
        '%', 175,
        '&', 135,
        '\'', 234,
        '(', 131,
        ')', 132,
        '*', 166,
        '+', 162,
        ',', 184,
        '-', 163,
        '.', 194,
        '/', 168,
        '0', 84,
        ':', 186,
        ';', 200,
        '<', 153,
        '=', 137,
        '>', 150,
        '?', 185,
        '@', 204,
        '[', 191,
        '\\', 53,
        ']', 192,
        '^', 173,
        'n', 211,
        '{', 199,
        '|', 170,
        '}', 123,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(78);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(85);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(212);
      END_STATE();
    case 1:
      ADVANCE_MAP(
        0, 202,
        '\n', 201,
        '!', 187,
        '"', 113,
        '%', 175,
        '&', 135,
        '\'', 18,
        '(', 131,
        '*', 166,
        '+', 162,
        ',', 184,
        '-', 163,
        '.', 196,
        '/', 168,
        '0', 84,
        ':', 186,
        ';', 200,
        '<', 153,
        '=', 137,
        '>', 150,
        '?', 185,
        '@', 203,
        '[', 191,
        '^', 173,
        '{', 199,
        '|', 170,
        '}', 123,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(1);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(85);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(212);
      END_STATE();
    case 2:
      ADVANCE_MAP(
        0, 202,
        '\n', 201,
        '!', 31,
        '"', 113,
        '%', 174,
        '&', 134,
        '\'', 18,
        '(', 131,
        '*', 165,
        '+', 161,
        ',', 184,
        '-', 164,
        '.', 196,
        '/', 167,
        '0', 84,
        ':', 30,
        ';', 200,
        '<', 154,
        '=', 137,
        '>', 151,
        '?', 185,
        '@', 203,
        '[', 191,
        '^', 172,
        '{', 199,
        '|', 171,
        '}', 123,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(2);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(85);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(212);
      END_STATE();
    case 3:
      ADVANCE_MAP(
        0, 202,
        '\n', 201,
        '!', 31,
        '%', 175,
        '&', 135,
        '(', 131,
        '*', 166,
        '+', 162,
        ',', 184,
        '-', 163,
        '.', 195,
        '/', 168,
        ':', 186,
        ';', 200,
        '<', 153,
        '=', 137,
        '>', 150,
        '?', 185,
        '@', 203,
        '[', 191,
        '^', 173,
        'n', 211,
        '{', 199,
        '|', 170,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(3);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(212);
      END_STATE();
    case 4:
      ADVANCE_MAP(
        0, 202,
        '\n', 208,
        ',', 184,
        '.', 193,
        '/', 22,
        ';', 200,
        '<', 152,
        '@', 203,
        '[', 191,
        '{', 199,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(4);
      END_STATE();
    case 5:
      ADVANCE_MAP(
        0, 202,
        '\n', 208,
        ',', 184,
        '/', 22,
        ';', 200,
        '@', 203,
        '[', 191,
        '{', 199,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(5);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(212);
      END_STATE();
    case 6:
      ADVANCE_MAP(
        '!', 187,
        '"', 113,
        '%', 175,
        '&', 135,
        '\'', 18,
        '(', 131,
        ')', 132,
        '*', 166,
        '+', 162,
        ',', 184,
        '-', 163,
        '.', 194,
        '/', 168,
        '0', 84,
        ':', 186,
        ';', 200,
        '<', 153,
        '=', 137,
        '>', 150,
        '?', 185,
        '@', 203,
        '[', 191,
        ']', 192,
        '^', 173,
        '{', 199,
        '|', 170,
        '}', 123,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(6);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(85);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(212);
      END_STATE();
    case 7:
      ADVANCE_MAP(
        '!', 187,
        '"', 113,
        '%', 175,
        '&', 135,
        '\'', 18,
        '(', 131,
        ')', 132,
        '*', 166,
        '+', 162,
        ',', 184,
        '-', 163,
        '.', 196,
        '/', 168,
        '0', 84,
        ':', 30,
        ';', 200,
        '<', 153,
        '=', 137,
        '>', 150,
        '?', 185,
        '@', 203,
        '[', 191,
        '^', 173,
        'n', 211,
        '{', 199,
        '|', 170,
        '}', 123,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(7);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(85);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(212);
      END_STATE();
    case 8:
      if (lookahead == '!') ADVANCE(219);
      END_STATE();
    case 9:
      ADVANCE_MAP(
        '!', 31,
        '%', 175,
        '&', 135,
        '(', 131,
        ')', 132,
        '*', 166,
        '+', 162,
        ',', 184,
        '-', 163,
        '.', 195,
        '/', 168,
        ':', 186,
        ';', 200,
        '<', 153,
        '=', 137,
        '>', 150,
        '?', 185,
        '@', 203,
        '[', 191,
        ']', 192,
        '^', 173,
        '{', 199,
        '|', 170,
        '}', 123,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(9);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(212);
      END_STATE();
    case 10:
      ADVANCE_MAP(
        '!', 31,
        '%', 174,
        '&', 134,
        '(', 131,
        ')', 132,
        '*', 165,
        '+', 161,
        ',', 184,
        '-', 164,
        '.', 195,
        '/', 167,
        ':', 186,
        ';', 200,
        '<', 154,
        '=', 32,
        '>', 151,
        '?', 185,
        '@', 203,
        '[', 191,
        ']', 192,
        '^', 172,
        '{', 199,
        '|', 171,
        '}', 123,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(10);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(212);
      END_STATE();
    case 11:
      if (lookahead == '"') ADVANCE(115);
      END_STATE();
    case 12:
      if (lookahead == '"') ADVANCE(227);
      if (lookahead == '/') ADVANCE(222);
      if (lookahead == '\\') ADVANCE(53);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(225);
      if (lookahead != 0) ADVANCE(226);
      END_STATE();
    case 13:
      if (lookahead == '"') ADVANCE(228);
      END_STATE();
    case 14:
      if (lookahead == '"') ADVANCE(112);
      if (lookahead == '/') ADVANCE(117);
      if (lookahead == '\\') ADVANCE(54);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(120);
      if (lookahead != 0) ADVANCE(121);
      END_STATE();
    case 15:
      ADVANCE_MAP(
        '&', 133,
        '(', 131,
        ')', 132,
        ',', 184,
        '.', 197,
        '/', 22,
        ':', 30,
        ';', 200,
        '<', 152,
        '=', 136,
        '>', 149,
        '?', 185,
        '@', 203,
        '[', 191,
        '{', 199,
        '|', 169,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(15);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(212);
      END_STATE();
    case 16:
      ADVANCE_MAP(
        '&', 133,
        ')', 132,
        ',', 184,
        '/', 22,
        ':', 30,
        '<', 152,
        '>', 149,
        '@', 47,
        '{', 199,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(16);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(212);
      END_STATE();
    case 17:
      if (lookahead == '\'') ADVANCE(234);
      if (lookahead == '/') ADVANCE(229);
      if (lookahead == '\\') ADVANCE(53);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(232);
      if (lookahead != 0) ADVANCE(233);
      END_STATE();
    case 18:
      if (lookahead == '\'') ADVANCE(20);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(21);
      END_STATE();
    case 19:
      if (lookahead == '\'') ADVANCE(235);
      END_STATE();
    case 20:
      if (lookahead == '\'') ADVANCE(114);
      END_STATE();
    case 21:
      if (lookahead == '\'') ADVANCE(111);
      if (lookahead == '\\') ADVANCE(75);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(21);
      END_STATE();
    case 22:
      if (lookahead == '*') ADVANCE(24);
      if (lookahead == '/') ADVANCE(215);
      END_STATE();
    case 23:
      if (lookahead == '*') ADVANCE(23);
      if (lookahead == '/') ADVANCE(216);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 24:
      if (lookahead == '*') ADVANCE(23);
      if (lookahead != 0) ADVANCE(24);
      END_STATE();
    case 25:
      if (lookahead == '.') ADVANCE(62);
      if (lookahead == '_') ADVANCE(63);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(25);
      END_STATE();
    case 26:
      if (lookahead == '.') ADVANCE(207);
      END_STATE();
    case 27:
      if (lookahead == '.') ADVANCE(71);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      END_STATE();
    case 28:
      if (lookahead == '0') ADVANCE(110);
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(29);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(108);
      END_STATE();
    case 29:
      if (lookahead == '0') ADVANCE(110);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(108);
      END_STATE();
    case 30:
      if (lookahead == ':') ADVANCE(198);
      END_STATE();
    case 31:
      if (lookahead == '=') ADVANCE(158);
      END_STATE();
    case 32:
      if (lookahead == '=') ADVANCE(157);
      END_STATE();
    case 33:
      if (lookahead == '_') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(86);
      END_STATE();
    case 34:
      if (lookahead == '_') ADVANCE(33);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(83);
      END_STATE();
    case 35:
      if (lookahead == '_') ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(90);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      END_STATE();
    case 36:
      if (lookahead == '_') ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 37:
      if (lookahead == '_') ADVANCE(36);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(106);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 38:
      if (lookahead == 'a') ADVANCE(48);
      END_STATE();
    case 39:
      if (lookahead == 'a') ADVANCE(40);
      END_STATE();
    case 40:
      if (lookahead == 'c') ADVANCE(45);
      END_STATE();
    case 41:
      if (lookahead == 'd') ADVANCE(205);
      END_STATE();
    case 42:
      if (lookahead == 'e') ADVANCE(50);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(38);
      END_STATE();
    case 44:
      if (lookahead == 'e') ADVANCE(41);
      END_STATE();
    case 45:
      if (lookahead == 'e') ADVANCE(206);
      END_STATE();
    case 46:
      if (lookahead == 'f') ADVANCE(39);
      END_STATE();
    case 47:
      if (lookahead == 'i') ADVANCE(49);
      END_STATE();
    case 48:
      if (lookahead == 'l') ADVANCE(44);
      END_STATE();
    case 49:
      if (lookahead == 'n') ADVANCE(52);
      END_STATE();
    case 50:
      if (lookahead == 'r') ADVANCE(46);
      END_STATE();
    case 51:
      if (lookahead == 's') ADVANCE(43);
      END_STATE();
    case 52:
      if (lookahead == 't') ADVANCE(42);
      END_STATE();
    case 53:
      if (lookahead == 'u') ADVANCE(125);
      if (lookahead == 'x') ADVANCE(127);
      if (lookahead == '{') ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(126);
      if (lookahead == '"' ||
          lookahead == '\'' ||
          lookahead == '\\' ||
          lookahead == 'b' ||
          lookahead == 'f' ||
          lookahead == 'n' ||
          ('r' <= lookahead && lookahead <= 't')) ADVANCE(128);
      if (lookahead != 0) ADVANCE(124);
      END_STATE();
    case 54:
      if (lookahead == 'u') ADVANCE(56);
      if (lookahead == 'x') ADVANCE(73);
      if (lookahead == '{') ADVANCE(122);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(130);
      if (lookahead != 0) ADVANCE(128);
      END_STATE();
    case 55:
      if (lookahead == '{') ADVANCE(122);
      END_STATE();
    case 56:
      if (lookahead == '{') ADVANCE(72);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(74);
      END_STATE();
    case 57:
      if (lookahead == '}') ADVANCE(128);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(57);
      END_STATE();
    case 58:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(64);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 59:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(97);
      END_STATE();
    case 60:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(94);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(95);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(99);
      END_STATE();
    case 63:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(25);
      END_STATE();
    case 64:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 65:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(83);
      END_STATE();
    case 66:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(90);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      END_STATE();
    case 67:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 68:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(106);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 69:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(128);
      END_STATE();
    case 70:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      END_STATE();
    case 71:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 72:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(57);
      END_STATE();
    case 73:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(69);
      END_STATE();
    case 74:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(73);
      END_STATE();
    case 75:
      if (lookahead != 0) ADVANCE(21);
      END_STATE();
    case 76:
      if (eof) ADVANCE(81);
      ADVANCE_MAP(
        0, 202,
        '\n', 201,
        '!', 187,
        '"', 113,
        '%', 175,
        '&', 135,
        '\'', 18,
        '(', 131,
        '*', 166,
        '+', 162,
        ',', 184,
        '-', 163,
        '.', 196,
        '/', 168,
        '0', 84,
        ':', 186,
        ';', 200,
        '<', 153,
        '=', 137,
        '>', 150,
        '?', 185,
        '@', 204,
        '[', 191,
        '^', 173,
        'n', 211,
        '{', 199,
        '|', 170,
        '}', 123,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(76);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(85);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(212);
      END_STATE();
    case 77:
      if (eof) ADVANCE(81);
      ADVANCE_MAP(
        0, 202,
        '\n', 201,
        '!', 187,
        '"', 113,
        '%', 174,
        '&', 134,
        '\'', 18,
        '(', 131,
        '*', 165,
        '+', 161,
        ',', 184,
        '-', 164,
        '.', 196,
        '/', 167,
        '0', 84,
        ':', 30,
        ';', 200,
        '<', 154,
        '=', 32,
        '>', 151,
        '?', 185,
        '@', 204,
        '[', 191,
        '^', 172,
        'n', 211,
        '{', 199,
        '|', 171,
        '}', 123,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(77);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(85);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(212);
      END_STATE();
    case 78:
      if (eof) ADVANCE(81);
      ADVANCE_MAP(
        0, 202,
        '!', 187,
        '"', 113,
        '#', 8,
        '%', 175,
        '&', 135,
        '\'', 234,
        '(', 131,
        ')', 132,
        '*', 166,
        '+', 162,
        ',', 184,
        '-', 163,
        '.', 194,
        '/', 168,
        '0', 84,
        ':', 186,
        ';', 200,
        '<', 153,
        '=', 137,
        '>', 150,
        '?', 185,
        '@', 204,
        '[', 191,
        '\\', 55,
        ']', 192,
        '^', 173,
        'n', 211,
        '{', 199,
        '|', 170,
        '}', 123,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(78);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(85);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(212);
      END_STATE();
    case 79:
      if (eof) ADVANCE(81);
      ADVANCE_MAP(
        '!', 187,
        '"', 113,
        '#', 8,
        '%', 175,
        '&', 135,
        '\'', 18,
        '(', 131,
        '*', 166,
        '+', 162,
        ',', 184,
        '-', 163,
        '.', 196,
        '/', 168,
        '0', 84,
        ':', 186,
        ';', 200,
        '<', 153,
        '=', 137,
        '>', 150,
        '?', 185,
        '@', 204,
        '[', 191,
        '^', 173,
        'n', 211,
        '{', 199,
        '|', 170,
        '}', 123,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(79);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(85);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(212);
      END_STATE();
    case 80:
      if (eof) ADVANCE(81);
      ADVANCE_MAP(
        '!', 187,
        '"', 113,
        '%', 174,
        '&', 134,
        '\'', 18,
        '(', 131,
        '*', 165,
        '+', 161,
        ',', 184,
        '-', 164,
        '.', 196,
        '/', 167,
        '0', 84,
        ':', 186,
        ';', 200,
        '<', 154,
        '=', 32,
        '>', 151,
        '?', 185,
        '@', 204,
        '[', 191,
        '^', 172,
        'n', 211,
        '{', 199,
        '|', 171,
        '}', 123,
        '~', 188,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(80);
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(85);
      if (set_contains(sym_identifier_character_set_1, 669, lookahead)) ADVANCE(212);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 62,
        '_', 34,
        'E', 58,
        'e', 58,
        'L', 82,
        'l', 82,
        'P', 58,
        'p', 58,
        'D', 98,
        'F', 98,
        'd', 98,
        'f', 98,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(83);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 62,
        '_', 63,
        'B', 59,
        'b', 59,
        'E', 58,
        'e', 58,
        'L', 82,
        'l', 82,
        'O', 61,
        'o', 61,
        'P', 58,
        'p', 58,
        'X', 27,
        'x', 27,
        '8', 25,
        '9', 25,
        'D', 98,
        'F', 98,
        'd', 98,
        'f', 98,
      );
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(94);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '.', 62,
        '_', 65,
        'E', 58,
        'e', 58,
        'L', 82,
        'l', 82,
        'P', 58,
        'p', 58,
        'D', 98,
        'F', 98,
        'd', 98,
        'f', 98,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(83);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_decimal_integer_literal);
      ADVANCE_MAP(
        '_', 33,
        'E', 58,
        'e', 58,
        'L', 82,
        'l', 82,
        'P', 58,
        'p', 58,
        'D', 98,
        'F', 98,
        'd', 98,
        'f', 98,
      );
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(86);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      ADVANCE_MAP(
        '.', 109,
        '0', 91,
        '_', 70,
        '+', 29,
        '-', 29,
        'E', 88,
        'e', 88,
        'L', 87,
        'l', 87,
        'P', 28,
        'p', 28,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(89);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      ADVANCE_MAP(
        '.', 109,
        '_', 66,
        'E', 88,
        'e', 88,
        'L', 87,
        'l', 87,
        'P', 28,
        'p', 28,
        'D', 92,
        'F', 92,
        'd', 92,
        'f', 92,
      );
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(90);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      ADVANCE_MAP(
        '.', 109,
        '_', 35,
        'E', 88,
        'e', 88,
        'L', 87,
        'l', 87,
        'P', 28,
        'p', 28,
        'D', 92,
        'F', 92,
        'd', 92,
        'f', 92,
      );
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(92);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(90);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      ADVANCE_MAP(
        '.', 109,
        '_', 70,
        'E', 88,
        'e', 88,
        'L', 87,
        'l', 87,
        'P', 28,
        'p', 28,
        'D', 92,
        'F', 92,
        'd', 92,
        'f', 92,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(92);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_hex_integer_literal);
      ADVANCE_MAP(
        '.', 109,
        '_', 70,
        'E', 88,
        'e', 88,
        'L', 87,
        'l', 87,
        'P', 28,
        'p', 28,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(92);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_octal_integer_literal);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_octal_integer_literal);
      if (lookahead == '.') ADVANCE(62);
      if (lookahead == '_') ADVANCE(60);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(93);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(25);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(94);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_octal_integer_literal);
      if (lookahead == '_') ADVANCE(61);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(93);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(95);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_binary_integer_literal);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_binary_integer_literal);
      if (lookahead == '_') ADVANCE(59);
      if (lookahead == 'L' ||
          lookahead == 'l') ADVANCE(96);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(97);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == '_') ADVANCE(62);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(58);
      if (('D' <= lookahead && lookahead <= 'F') ||
          ('d' <= lookahead && lookahead <= 'f')) ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(99);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_decimal_floating_point_literal);
      if (lookahead == '_') ADVANCE(64);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(98);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(100);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      ADVANCE_MAP(
        '0', 103,
        '_', 71,
        '+', 29,
        '-', 29,
        'E', 102,
        'e', 102,
        'P', 28,
        'p', 28,
      );
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(105);
      if (('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      ADVANCE_MAP(
        '_', 71,
        'E', 102,
        'e', 102,
        'P', 28,
        'p', 28,
        'D', 104,
        'F', 104,
        'd', 104,
        'f', 104,
      );
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(104);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_') ADVANCE(71);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(102);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(28);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      ADVANCE_MAP(
        '_', 68,
        'E', 102,
        'e', 102,
        'P', 28,
        'p', 28,
        'D', 104,
        'F', 104,
        'd', 104,
        'f', 104,
      );
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(104);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(106);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      ADVANCE_MAP(
        '_', 37,
        'E', 102,
        'e', 102,
        'P', 28,
        'p', 28,
        'D', 104,
        'F', 104,
        'd', 104,
        'f', 104,
      );
      if (('A' <= lookahead && lookahead <= 'C') ||
          ('a' <= lookahead && lookahead <= 'c')) ADVANCE(104);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(106);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_') ADVANCE(36);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == '_') ADVANCE(67);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(101);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(107);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(102);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(28);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(104);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(sym_hex_floating_point_literal);
      if (lookahead == 'D' ||
          lookahead == 'F' ||
          lookahead == 'd' ||
          lookahead == 'f') ADVANCE(101);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(sym_character_literal);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      if (lookahead == '"') ADVANCE(11);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_SQUOTE_SQUOTE_SQUOTE);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_DQUOTE_DQUOTE_DQUOTE);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '\n') ADVANCE(121);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(116);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '*') ADVANCE(119);
      if (lookahead == '/') ADVANCE(116);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(121);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '*') ADVANCE(118);
      if (lookahead == '/') ADVANCE(121);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(119);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '*') ADVANCE(118);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(119);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead == '/') ADVANCE(117);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(120);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(121);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(sym_string_fragment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(121);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_BSLASH_LBRACE);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (lookahead == '{') ADVANCE(72);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(74);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(129);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(aux_sym__escape_sequence_token1);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(69);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(128);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(129);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(159);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(159);
      if (lookahead == '=') ADVANCE(142);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(157);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT_EQ);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_GT);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(155);
      if (lookahead == '>') ADVANCE(178);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(155);
      if (lookahead == '>') ADVANCE(179);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_LT);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(177);
      if (lookahead == '=') ADVANCE(156);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(176);
      if (lookahead == '=') ADVANCE(156);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(189);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(189);
      if (lookahead == '=') ADVANCE(138);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(190);
      if (lookahead == '=') ADVANCE(139);
      if (lookahead == '>') ADVANCE(183);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(190);
      if (lookahead == '>') ADVANCE(183);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(182);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '*') ADVANCE(182);
      if (lookahead == '=') ADVANCE(140);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(24);
      if (lookahead == '/') ADVANCE(215);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(24);
      if (lookahead == '/') ADVANCE(215);
      if (lookahead == '=') ADVANCE(141);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(143);
      if (lookahead == '|') ADVANCE(160);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(160);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(144);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(145);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(146);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(147);
      if (lookahead == '>') ADVANCE(181);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '>') ADVANCE(180);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_GT_GT_GT);
      if (lookahead == '=') ADVANCE(148);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_STAR_STAR);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(198);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(158);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_DASH_DASH);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(221);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(99);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(220);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(220);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(99);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(26);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(aux_sym_expression_statement_token1);
      if (lookahead == '\n') ADVANCE(201);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(anon_sym_NULL);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(anon_sym_AT);
      if (lookahead == 'i') ADVANCE(49);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(anon_sym_non_DASHsealed);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(anon_sym_ATinterface);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(208);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(51);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(212);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(209);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(212);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(210);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(212);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_identifier);
      if (set_contains(sym_identifier_character_set_2, 778, lookahead)) ADVANCE(212);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_line_comment);
      if (lookahead == '\n') ADVANCE(233);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(215);
      if (lookahead != 0) ADVANCE(213);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_line_comment);
      if (lookahead == '\n') ADVANCE(226);
      if (lookahead == '"' ||
          lookahead == '\\') ADVANCE(215);
      if (lookahead != 0) ADVANCE(214);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_line_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(215);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_block_comment);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_block_comment);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(226);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_block_comment);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(233);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_shebang);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(219);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(207);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_double_token1);
      if (lookahead == '*') ADVANCE(224);
      if (lookahead == '/') ADVANCE(214);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(226);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_double_token1);
      if (lookahead == '*') ADVANCE(223);
      if (lookahead == '/') ADVANCE(217);
      if (lookahead == '"' ||
          lookahead == '\\') ADVANCE(24);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_double_token1);
      if (lookahead == '*') ADVANCE(223);
      if (lookahead == '"' ||
          lookahead == '\\') ADVANCE(24);
      if (lookahead != 0) ADVANCE(224);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_double_token1);
      if (lookahead == '/') ADVANCE(222);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(225);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(226);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_double_token1);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(226);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_double_token2);
      if (lookahead == '"') ADVANCE(11);
      if (lookahead == '\\') ADVANCE(13);
      if (lookahead != 0) ADVANCE(228);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_double_token2);
      if (lookahead == '\\') ADVANCE(13);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(228);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_single_token1);
      if (lookahead == '*') ADVANCE(231);
      if (lookahead == '/') ADVANCE(213);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(233);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_single_token1);
      if (lookahead == '*') ADVANCE(230);
      if (lookahead == '/') ADVANCE(218);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(24);
      if (lookahead != 0) ADVANCE(231);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_single_token1);
      if (lookahead == '*') ADVANCE(230);
      if (lookahead == '\'' ||
          lookahead == '\\') ADVANCE(24);
      if (lookahead != 0) ADVANCE(231);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_single_token1);
      if (lookahead == '/') ADVANCE(229);
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') ADVANCE(232);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(233);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_single_token1);
      if (lookahead != 0 &&
          lookahead != '\'' &&
          lookahead != '\\') ADVANCE(233);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_single_token2);
      if (lookahead == '\'') ADVANCE(20);
      if (lookahead == '\\') ADVANCE(19);
      if (lookahead != 0) ADVANCE(235);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(aux_sym__multiline_string_fragment_single_token2);
      if (lookahead == '\\') ADVANCE(19);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(235);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      ADVANCE_MAP(
        '_', 1,
        'a', 2,
        'b', 3,
        'c', 4,
        'd', 5,
        'e', 6,
        'f', 7,
        'i', 8,
        'l', 9,
        'm', 10,
        'n', 11,
        'o', 12,
        'p', 13,
        'r', 14,
        's', 15,
        't', 16,
        'u', 17,
        'v', 18,
        'w', 19,
        'y', 20,
      );
      if (('\t' <= lookahead && lookahead <= '\r') ||
          lookahead == ' ') SKIP(0);
      END_STATE();
    case 1:
      ACCEPT_TOKEN(sym_underscore_pattern);
      END_STATE();
    case 2:
      if (lookahead == 'b') ADVANCE(21);
      if (lookahead == 's') ADVANCE(22);
      END_STATE();
    case 3:
      if (lookahead == 'o') ADVANCE(23);
      if (lookahead == 'r') ADVANCE(24);
      if (lookahead == 'y') ADVANCE(25);
      END_STATE();
    case 4:
      if (lookahead == 'a') ADVANCE(26);
      if (lookahead == 'h') ADVANCE(27);
      if (lookahead == 'l') ADVANCE(28);
      if (lookahead == 'o') ADVANCE(29);
      END_STATE();
    case 5:
      if (lookahead == 'e') ADVANCE(30);
      if (lookahead == 'o') ADVANCE(31);
      END_STATE();
    case 6:
      if (lookahead == 'l') ADVANCE(32);
      if (lookahead == 'n') ADVANCE(33);
      if (lookahead == 'x') ADVANCE(34);
      END_STATE();
    case 7:
      if (lookahead == 'a') ADVANCE(35);
      if (lookahead == 'i') ADVANCE(36);
      if (lookahead == 'l') ADVANCE(37);
      if (lookahead == 'o') ADVANCE(38);
      END_STATE();
    case 8:
      if (lookahead == 'f') ADVANCE(39);
      if (lookahead == 'm') ADVANCE(40);
      if (lookahead == 'n') ADVANCE(41);
      END_STATE();
    case 9:
      if (lookahead == 'o') ADVANCE(42);
      END_STATE();
    case 10:
      if (lookahead == 'o') ADVANCE(43);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(44);
      if (lookahead == 'e') ADVANCE(45);
      if (lookahead == 'u') ADVANCE(46);
      END_STATE();
    case 12:
      if (lookahead == 'p') ADVANCE(47);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(48);
      if (lookahead == 'e') ADVANCE(49);
      if (lookahead == 'r') ADVANCE(50);
      if (lookahead == 'u') ADVANCE(51);
      END_STATE();
    case 14:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 15:
      if (lookahead == 'e') ADVANCE(53);
      if (lookahead == 'h') ADVANCE(54);
      if (lookahead == 't') ADVANCE(55);
      if (lookahead == 'u') ADVANCE(56);
      if (lookahead == 'w') ADVANCE(57);
      if (lookahead == 'y') ADVANCE(58);
      END_STATE();
    case 16:
      if (lookahead == 'h') ADVANCE(59);
      if (lookahead == 'o') ADVANCE(60);
      if (lookahead == 'r') ADVANCE(61);
      END_STATE();
    case 17:
      if (lookahead == 's') ADVANCE(62);
      END_STATE();
    case 18:
      if (lookahead == 'o') ADVANCE(63);
      END_STATE();
    case 19:
      if (lookahead == 'h') ADVANCE(64);
      if (lookahead == 'i') ADVANCE(65);
      END_STATE();
    case 20:
      if (lookahead == 'i') ADVANCE(66);
      END_STATE();
    case 21:
      if (lookahead == 's') ADVANCE(67);
      END_STATE();
    case 22:
      ACCEPT_TOKEN(anon_sym_as);
      if (lookahead == 's') ADVANCE(68);
      END_STATE();
    case 23:
      if (lookahead == 'o') ADVANCE(69);
      END_STATE();
    case 24:
      if (lookahead == 'e') ADVANCE(70);
      END_STATE();
    case 25:
      if (lookahead == 't') ADVANCE(71);
      END_STATE();
    case 26:
      if (lookahead == 's') ADVANCE(72);
      if (lookahead == 't') ADVANCE(73);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(74);
      END_STATE();
    case 28:
      if (lookahead == 'a') ADVANCE(75);
      END_STATE();
    case 29:
      if (lookahead == 'n') ADVANCE(76);
      END_STATE();
    case 30:
      if (lookahead == 'f') ADVANCE(77);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_do);
      if (lookahead == 'u') ADVANCE(78);
      END_STATE();
    case 32:
      if (lookahead == 's') ADVANCE(79);
      END_STATE();
    case 33:
      if (lookahead == 'u') ADVANCE(80);
      END_STATE();
    case 34:
      if (lookahead == 'p') ADVANCE(81);
      if (lookahead == 't') ADVANCE(82);
      END_STATE();
    case 35:
      if (lookahead == 'l') ADVANCE(83);
      END_STATE();
    case 36:
      if (lookahead == 'n') ADVANCE(84);
      END_STATE();
    case 37:
      if (lookahead == 'o') ADVANCE(85);
      END_STATE();
    case 38:
      if (lookahead == 'r') ADVANCE(86);
      END_STATE();
    case 39:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 40:
      if (lookahead == 'p') ADVANCE(87);
      END_STATE();
    case 41:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == 's') ADVANCE(88);
      if (lookahead == 't') ADVANCE(89);
      END_STATE();
    case 42:
      if (lookahead == 'n') ADVANCE(90);
      END_STATE();
    case 43:
      if (lookahead == 'd') ADVANCE(91);
      END_STATE();
    case 44:
      if (lookahead == 't') ADVANCE(92);
      END_STATE();
    case 45:
      if (lookahead == 'w') ADVANCE(93);
      END_STATE();
    case 46:
      if (lookahead == 'l') ADVANCE(94);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(95);
      END_STATE();
    case 48:
      if (lookahead == 'c') ADVANCE(96);
      END_STATE();
    case 49:
      if (lookahead == 'r') ADVANCE(97);
      END_STATE();
    case 50:
      if (lookahead == 'i') ADVANCE(98);
      if (lookahead == 'o') ADVANCE(99);
      END_STATE();
    case 51:
      if (lookahead == 'b') ADVANCE(100);
      END_STATE();
    case 52:
      if (lookahead == 'c') ADVANCE(101);
      if (lookahead == 'q') ADVANCE(102);
      if (lookahead == 't') ADVANCE(103);
      END_STATE();
    case 53:
      if (lookahead == 'a') ADVANCE(104);
      END_STATE();
    case 54:
      if (lookahead == 'o') ADVANCE(105);
      END_STATE();
    case 55:
      if (lookahead == 'a') ADVANCE(106);
      if (lookahead == 'r') ADVANCE(107);
      END_STATE();
    case 56:
      if (lookahead == 'p') ADVANCE(108);
      END_STATE();
    case 57:
      if (lookahead == 'i') ADVANCE(109);
      END_STATE();
    case 58:
      if (lookahead == 'n') ADVANCE(110);
      END_STATE();
    case 59:
      if (lookahead == 'i') ADVANCE(111);
      if (lookahead == 'r') ADVANCE(112);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_to);
      END_STATE();
    case 61:
      if (lookahead == 'a') ADVANCE(113);
      if (lookahead == 'u') ADVANCE(114);
      if (lookahead == 'y') ADVANCE(115);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(116);
      END_STATE();
    case 63:
      if (lookahead == 'i') ADVANCE(117);
      if (lookahead == 'l') ADVANCE(118);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(119);
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 65:
      if (lookahead == 't') ADVANCE(121);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(122);
      END_STATE();
    case 67:
      if (lookahead == 't') ADVANCE(123);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(124);
      END_STATE();
    case 69:
      if (lookahead == 'l') ADVANCE(125);
      END_STATE();
    case 70:
      if (lookahead == 'a') ADVANCE(126);
      END_STATE();
    case 71:
      if (lookahead == 'e') ADVANCE(127);
      END_STATE();
    case 72:
      if (lookahead == 'e') ADVANCE(128);
      END_STATE();
    case 73:
      if (lookahead == 'c') ADVANCE(129);
      END_STATE();
    case 74:
      if (lookahead == 'r') ADVANCE(130);
      END_STATE();
    case 75:
      if (lookahead == 's') ADVANCE(131);
      END_STATE();
    case 76:
      if (lookahead == 't') ADVANCE(132);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(anon_sym_def);
      if (lookahead == 'a') ADVANCE(133);
      END_STATE();
    case 78:
      if (lookahead == 'b') ADVANCE(134);
      END_STATE();
    case 79:
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 80:
      if (lookahead == 'm') ADVANCE(136);
      END_STATE();
    case 81:
      if (lookahead == 'o') ADVANCE(137);
      END_STATE();
    case 82:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 83:
      if (lookahead == 's') ADVANCE(139);
      END_STATE();
    case 84:
      if (lookahead == 'a') ADVANCE(140);
      END_STATE();
    case 85:
      if (lookahead == 'a') ADVANCE(141);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_for);
      END_STATE();
    case 87:
      if (lookahead == 'l') ADVANCE(142);
      if (lookahead == 'o') ADVANCE(143);
      END_STATE();
    case 88:
      if (lookahead == 't') ADVANCE(144);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_int);
      if (lookahead == 'e') ADVANCE(145);
      END_STATE();
    case 90:
      if (lookahead == 'g') ADVANCE(146);
      END_STATE();
    case 91:
      if (lookahead == 'u') ADVANCE(147);
      END_STATE();
    case 92:
      if (lookahead == 'i') ADVANCE(148);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 94:
      if (lookahead == 'l') ADVANCE(149);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(150);
      END_STATE();
    case 96:
      if (lookahead == 'k') ADVANCE(151);
      END_STATE();
    case 97:
      if (lookahead == 'm') ADVANCE(152);
      END_STATE();
    case 98:
      if (lookahead == 'v') ADVANCE(153);
      END_STATE();
    case 99:
      if (lookahead == 't') ADVANCE(154);
      if (lookahead == 'v') ADVANCE(155);
      END_STATE();
    case 100:
      if (lookahead == 'l') ADVANCE(156);
      END_STATE();
    case 101:
      if (lookahead == 'o') ADVANCE(157);
      END_STATE();
    case 102:
      if (lookahead == 'u') ADVANCE(158);
      END_STATE();
    case 103:
      if (lookahead == 'u') ADVANCE(159);
      END_STATE();
    case 104:
      if (lookahead == 'l') ADVANCE(160);
      END_STATE();
    case 105:
      if (lookahead == 'r') ADVANCE(161);
      END_STATE();
    case 106:
      if (lookahead == 't') ADVANCE(162);
      END_STATE();
    case 107:
      if (lookahead == 'i') ADVANCE(163);
      END_STATE();
    case 108:
      if (lookahead == 'e') ADVANCE(164);
      END_STATE();
    case 109:
      if (lookahead == 't') ADVANCE(165);
      END_STATE();
    case 110:
      if (lookahead == 'c') ADVANCE(166);
      END_STATE();
    case 111:
      if (lookahead == 's') ADVANCE(167);
      END_STATE();
    case 112:
      if (lookahead == 'o') ADVANCE(168);
      END_STATE();
    case 113:
      if (lookahead == 'n') ADVANCE(169);
      END_STATE();
    case 114:
      if (lookahead == 'e') ADVANCE(170);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_try);
      END_STATE();
    case 116:
      if (lookahead == 's') ADVANCE(171);
      END_STATE();
    case 117:
      if (lookahead == 'd') ADVANCE(172);
      END_STATE();
    case 118:
      if (lookahead == 'a') ADVANCE(173);
      END_STATE();
    case 119:
      if (lookahead == 'n') ADVANCE(174);
      END_STATE();
    case 120:
      if (lookahead == 'l') ADVANCE(175);
      END_STATE();
    case 121:
      if (lookahead == 'h') ADVANCE(176);
      END_STATE();
    case 122:
      if (lookahead == 'l') ADVANCE(177);
      END_STATE();
    case 123:
      if (lookahead == 'r') ADVANCE(178);
      END_STATE();
    case 124:
      if (lookahead == 'r') ADVANCE(179);
      END_STATE();
    case 125:
      if (lookahead == 'e') ADVANCE(180);
      END_STATE();
    case 126:
      if (lookahead == 'k') ADVANCE(181);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_byte);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 129:
      if (lookahead == 'h') ADVANCE(182);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_char);
      END_STATE();
    case 131:
      if (lookahead == 's') ADVANCE(183);
      END_STATE();
    case 132:
      if (lookahead == 'i') ADVANCE(184);
      END_STATE();
    case 133:
      if (lookahead == 'u') ADVANCE(185);
      END_STATE();
    case 134:
      if (lookahead == 'l') ADVANCE(186);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 137:
      if (lookahead == 'r') ADVANCE(187);
      END_STATE();
    case 138:
      if (lookahead == 'n') ADVANCE(188);
      END_STATE();
    case 139:
      if (lookahead == 'e') ADVANCE(189);
      END_STATE();
    case 140:
      if (lookahead == 'l') ADVANCE(190);
      END_STATE();
    case 141:
      if (lookahead == 't') ADVANCE(191);
      END_STATE();
    case 142:
      if (lookahead == 'e') ADVANCE(192);
      END_STATE();
    case 143:
      if (lookahead == 'r') ADVANCE(193);
      END_STATE();
    case 144:
      if (lookahead == 'a') ADVANCE(194);
      END_STATE();
    case 145:
      if (lookahead == 'r') ADVANCE(195);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_long);
      END_STATE();
    case 147:
      if (lookahead == 'l') ADVANCE(196);
      END_STATE();
    case 148:
      if (lookahead == 'v') ADVANCE(197);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(sym_null_literal);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_open);
      if (lookahead == 's') ADVANCE(198);
      END_STATE();
    case 151:
      if (lookahead == 'a') ADVANCE(199);
      END_STATE();
    case 152:
      if (lookahead == 'i') ADVANCE(200);
      END_STATE();
    case 153:
      if (lookahead == 'a') ADVANCE(201);
      END_STATE();
    case 154:
      if (lookahead == 'e') ADVANCE(202);
      END_STATE();
    case 155:
      if (lookahead == 'i') ADVANCE(203);
      END_STATE();
    case 156:
      if (lookahead == 'i') ADVANCE(204);
      END_STATE();
    case 157:
      if (lookahead == 'r') ADVANCE(205);
      END_STATE();
    case 158:
      if (lookahead == 'i') ADVANCE(206);
      END_STATE();
    case 159:
      if (lookahead == 'r') ADVANCE(207);
      END_STATE();
    case 160:
      if (lookahead == 'e') ADVANCE(208);
      END_STATE();
    case 161:
      if (lookahead == 't') ADVANCE(209);
      END_STATE();
    case 162:
      if (lookahead == 'i') ADVANCE(210);
      END_STATE();
    case 163:
      if (lookahead == 'c') ADVANCE(211);
      END_STATE();
    case 164:
      if (lookahead == 'r') ADVANCE(212);
      END_STATE();
    case 165:
      if (lookahead == 'c') ADVANCE(213);
      END_STATE();
    case 166:
      if (lookahead == 'h') ADVANCE(214);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_this);
      END_STATE();
    case 168:
      if (lookahead == 'w') ADVANCE(215);
      END_STATE();
    case 169:
      if (lookahead == 's') ADVANCE(216);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(anon_sym_uses);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_void_type);
      END_STATE();
    case 173:
      if (lookahead == 't') ADVANCE(217);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 175:
      if (lookahead == 'e') ADVANCE(218);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_with);
      END_STATE();
    case 177:
      if (lookahead == 'd') ADVANCE(219);
      END_STATE();
    case 178:
      if (lookahead == 'a') ADVANCE(220);
      END_STATE();
    case 179:
      if (lookahead == 't') ADVANCE(221);
      END_STATE();
    case 180:
      if (lookahead == 'a') ADVANCE(222);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_catch);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_class);
      END_STATE();
    case 184:
      if (lookahead == 'n') ADVANCE(223);
      END_STATE();
    case 185:
      if (lookahead == 'l') ADVANCE(224);
      END_STATE();
    case 186:
      if (lookahead == 'e') ADVANCE(225);
      END_STATE();
    case 187:
      if (lookahead == 't') ADVANCE(226);
      END_STATE();
    case 188:
      if (lookahead == 'd') ADVANCE(227);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_final);
      if (lookahead == 'l') ADVANCE(228);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 192:
      if (lookahead == 'm') ADVANCE(229);
      END_STATE();
    case 193:
      if (lookahead == 't') ADVANCE(230);
      END_STATE();
    case 194:
      if (lookahead == 'n') ADVANCE(231);
      END_STATE();
    case 195:
      if (lookahead == 'f') ADVANCE(232);
      END_STATE();
    case 196:
      if (lookahead == 'e') ADVANCE(233);
      END_STATE();
    case 197:
      if (lookahead == 'e') ADVANCE(234);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(anon_sym_opens);
      END_STATE();
    case 199:
      if (lookahead == 'g') ADVANCE(235);
      END_STATE();
    case 200:
      if (lookahead == 't') ADVANCE(236);
      END_STATE();
    case 201:
      if (lookahead == 't') ADVANCE(237);
      END_STATE();
    case 202:
      if (lookahead == 'c') ADVANCE(238);
      END_STATE();
    case 203:
      if (lookahead == 'd') ADVANCE(239);
      END_STATE();
    case 204:
      if (lookahead == 'c') ADVANCE(240);
      END_STATE();
    case 205:
      if (lookahead == 'd') ADVANCE(241);
      END_STATE();
    case 206:
      if (lookahead == 'r') ADVANCE(242);
      END_STATE();
    case 207:
      if (lookahead == 'n') ADVANCE(243);
      END_STATE();
    case 208:
      if (lookahead == 'd') ADVANCE(244);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(anon_sym_short);
      END_STATE();
    case 210:
      if (lookahead == 'c') ADVANCE(245);
      END_STATE();
    case 211:
      if (lookahead == 't') ADVANCE(246);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_super);
      END_STATE();
    case 213:
      if (lookahead == 'h') ADVANCE(247);
      END_STATE();
    case 214:
      if (lookahead == 'r') ADVANCE(248);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(anon_sym_throw);
      if (lookahead == 's') ADVANCE(249);
      END_STATE();
    case 216:
      if (lookahead == 'i') ADVANCE(250);
      END_STATE();
    case 217:
      if (lookahead == 'i') ADVANCE(251);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(anon_sym_while);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(anon_sym_yield);
      END_STATE();
    case 220:
      if (lookahead == 'c') ADVANCE(252);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(anon_sym_assert);
      END_STATE();
    case 222:
      if (lookahead == 'n') ADVANCE(253);
      END_STATE();
    case 223:
      if (lookahead == 'u') ADVANCE(254);
      END_STATE();
    case 224:
      if (lookahead == 't') ADVANCE(255);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(anon_sym_double);
      END_STATE();
    case 226:
      if (lookahead == 's') ADVANCE(256);
      END_STATE();
    case 227:
      if (lookahead == 's') ADVANCE(257);
      END_STATE();
    case 228:
      if (lookahead == 'y') ADVANCE(258);
      END_STATE();
    case 229:
      if (lookahead == 'e') ADVANCE(259);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 231:
      if (lookahead == 'c') ADVANCE(260);
      END_STATE();
    case 232:
      if (lookahead == 'a') ADVANCE(261);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(anon_sym_module);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(anon_sym_native);
      END_STATE();
    case 235:
      if (lookahead == 'e') ADVANCE(262);
      END_STATE();
    case 236:
      if (lookahead == 's') ADVANCE(263);
      END_STATE();
    case 237:
      if (lookahead == 'e') ADVANCE(264);
      END_STATE();
    case 238:
      if (lookahead == 't') ADVANCE(265);
      END_STATE();
    case 239:
      if (lookahead == 'e') ADVANCE(266);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(anon_sym_public);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(anon_sym_record);
      END_STATE();
    case 242:
      if (lookahead == 'e') ADVANCE(267);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(anon_sym_sealed);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(anon_sym_static);
      END_STATE();
    case 246:
      if (lookahead == 'f') ADVANCE(268);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 248:
      if (lookahead == 'o') ADVANCE(269);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(anon_sym_throws);
      END_STATE();
    case 250:
      if (lookahead == 'e') ADVANCE(270);
      if (lookahead == 't') ADVANCE(271);
      END_STATE();
    case 251:
      if (lookahead == 'l') ADVANCE(272);
      END_STATE();
    case 252:
      if (lookahead == 't') ADVANCE(273);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_boolean_type);
      END_STATE();
    case 254:
      if (lookahead == 'e') ADVANCE(274);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(anon_sym_exports);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(anon_sym_extends);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(anon_sym_finally);
      END_STATE();
    case 259:
      if (lookahead == 'n') ADVANCE(275);
      END_STATE();
    case 260:
      if (lookahead == 'e') ADVANCE(276);
      END_STATE();
    case 261:
      if (lookahead == 'c') ADVANCE(277);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(anon_sym_permits);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(anon_sym_private);
      END_STATE();
    case 265:
      if (lookahead == 'e') ADVANCE(278);
      END_STATE();
    case 266:
      if (lookahead == 's') ADVANCE(279);
      END_STATE();
    case 267:
      if (lookahead == 's') ADVANCE(280);
      END_STATE();
    case 268:
      if (lookahead == 'p') ADVANCE(281);
      END_STATE();
    case 269:
      if (lookahead == 'n') ADVANCE(282);
      END_STATE();
    case 270:
      if (lookahead == 'n') ADVANCE(283);
      END_STATE();
    case 271:
      if (lookahead == 'i') ADVANCE(284);
      END_STATE();
    case 272:
      if (lookahead == 'e') ADVANCE(285);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_abstract);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 275:
      if (lookahead == 't') ADVANCE(286);
      END_STATE();
    case 276:
      if (lookahead == 'o') ADVANCE(287);
      END_STATE();
    case 277:
      if (lookahead == 'e') ADVANCE(288);
      END_STATE();
    case 278:
      if (lookahead == 'd') ADVANCE(289);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(anon_sym_provides);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(anon_sym_requires);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(anon_sym_strictfp);
      END_STATE();
    case 282:
      if (lookahead == 'i') ADVANCE(290);
      END_STATE();
    case 283:
      if (lookahead == 't') ADVANCE(291);
      END_STATE();
    case 284:
      if (lookahead == 'v') ADVANCE(292);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(anon_sym_volatile);
      END_STATE();
    case 286:
      if (lookahead == 's') ADVANCE(293);
      END_STATE();
    case 287:
      if (lookahead == 'f') ADVANCE(294);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_interface);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(anon_sym_protected);
      END_STATE();
    case 290:
      if (lookahead == 'z') ADVANCE(295);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(anon_sym_transient);
      END_STATE();
    case 292:
      if (lookahead == 'e') ADVANCE(296);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(anon_sym_implements);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(anon_sym_instanceof);
      END_STATE();
    case 295:
      if (lookahead == 'e') ADVANCE(297);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(anon_sym_transitive);
      END_STATE();
    case 297:
      if (lookahead == 'd') ADVANCE(298);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_synchronized);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 79},
  [2] = {.lex_state = 79},
  [3] = {.lex_state = 79},
  [4] = {.lex_state = 79},
  [5] = {.lex_state = 79},
  [6] = {.lex_state = 76},
  [7] = {.lex_state = 79},
  [8] = {.lex_state = 79},
  [9] = {.lex_state = 79},
  [10] = {.lex_state = 79},
  [11] = {.lex_state = 79},
  [12] = {.lex_state = 79},
  [13] = {.lex_state = 79},
  [14] = {.lex_state = 79},
  [15] = {.lex_state = 79},
  [16] = {.lex_state = 79},
  [17] = {.lex_state = 79},
  [18] = {.lex_state = 79},
  [19] = {.lex_state = 79},
  [20] = {.lex_state = 79},
  [21] = {.lex_state = 79},
  [22] = {.lex_state = 79},
  [23] = {.lex_state = 79},
  [24] = {.lex_state = 79},
  [25] = {.lex_state = 79},
  [26] = {.lex_state = 79},
  [27] = {.lex_state = 79},
  [28] = {.lex_state = 79},
  [29] = {.lex_state = 79},
  [30] = {.lex_state = 79},
  [31] = {.lex_state = 79},
  [32] = {.lex_state = 79},
  [33] = {.lex_state = 79},
  [34] = {.lex_state = 79},
  [35] = {.lex_state = 79},
  [36] = {.lex_state = 79},
  [37] = {.lex_state = 79},
  [38] = {.lex_state = 79},
  [39] = {.lex_state = 79},
  [40] = {.lex_state = 79},
  [41] = {.lex_state = 79},
  [42] = {.lex_state = 79},
  [43] = {.lex_state = 79},
  [44] = {.lex_state = 79},
  [45] = {.lex_state = 79},
  [46] = {.lex_state = 79},
  [47] = {.lex_state = 79},
  [48] = {.lex_state = 79},
  [49] = {.lex_state = 79},
  [50] = {.lex_state = 79},
  [51] = {.lex_state = 79},
  [52] = {.lex_state = 79},
  [53] = {.lex_state = 79},
  [54] = {.lex_state = 79},
  [55] = {.lex_state = 79},
  [56] = {.lex_state = 79},
  [57] = {.lex_state = 79},
  [58] = {.lex_state = 79},
  [59] = {.lex_state = 79},
  [60] = {.lex_state = 79},
  [61] = {.lex_state = 79},
  [62] = {.lex_state = 79},
  [63] = {.lex_state = 79},
  [64] = {.lex_state = 79},
  [65] = {.lex_state = 79},
  [66] = {.lex_state = 79},
  [67] = {.lex_state = 79},
  [68] = {.lex_state = 79},
  [69] = {.lex_state = 79},
  [70] = {.lex_state = 79},
  [71] = {.lex_state = 79},
  [72] = {.lex_state = 79},
  [73] = {.lex_state = 79},
  [74] = {.lex_state = 79},
  [75] = {.lex_state = 79},
  [76] = {.lex_state = 79},
  [77] = {.lex_state = 79},
  [78] = {.lex_state = 79},
  [79] = {.lex_state = 79},
  [80] = {.lex_state = 79},
  [81] = {.lex_state = 79},
  [82] = {.lex_state = 79},
  [83] = {.lex_state = 79},
  [84] = {.lex_state = 79},
  [85] = {.lex_state = 79},
  [86] = {.lex_state = 79},
  [87] = {.lex_state = 79},
  [88] = {.lex_state = 79},
  [89] = {.lex_state = 79},
  [90] = {.lex_state = 79},
  [91] = {.lex_state = 79},
  [92] = {.lex_state = 79},
  [93] = {.lex_state = 79},
  [94] = {.lex_state = 79},
  [95] = {.lex_state = 79},
  [96] = {.lex_state = 79},
  [97] = {.lex_state = 79},
  [98] = {.lex_state = 79},
  [99] = {.lex_state = 79},
  [100] = {.lex_state = 79},
  [101] = {.lex_state = 79},
  [102] = {.lex_state = 79},
  [103] = {.lex_state = 79},
  [104] = {.lex_state = 79},
  [105] = {.lex_state = 79},
  [106] = {.lex_state = 79},
  [107] = {.lex_state = 79},
  [108] = {.lex_state = 79},
  [109] = {.lex_state = 79},
  [110] = {.lex_state = 79},
  [111] = {.lex_state = 79},
  [112] = {.lex_state = 79},
  [113] = {.lex_state = 79},
  [114] = {.lex_state = 79},
  [115] = {.lex_state = 79},
  [116] = {.lex_state = 79},
  [117] = {.lex_state = 79},
  [118] = {.lex_state = 79},
  [119] = {.lex_state = 79},
  [120] = {.lex_state = 79},
  [121] = {.lex_state = 79},
  [122] = {.lex_state = 79},
  [123] = {.lex_state = 79},
  [124] = {.lex_state = 79},
  [125] = {.lex_state = 79},
  [126] = {.lex_state = 79},
  [127] = {.lex_state = 79},
  [128] = {.lex_state = 79},
  [129] = {.lex_state = 79},
  [130] = {.lex_state = 79},
  [131] = {.lex_state = 79},
  [132] = {.lex_state = 79},
  [133] = {.lex_state = 79},
  [134] = {.lex_state = 79},
  [135] = {.lex_state = 79},
  [136] = {.lex_state = 79},
  [137] = {.lex_state = 79},
  [138] = {.lex_state = 79},
  [139] = {.lex_state = 79},
  [140] = {.lex_state = 79},
  [141] = {.lex_state = 79},
  [142] = {.lex_state = 79},
  [143] = {.lex_state = 79},
  [144] = {.lex_state = 79},
  [145] = {.lex_state = 79},
  [146] = {.lex_state = 79},
  [147] = {.lex_state = 79},
  [148] = {.lex_state = 79},
  [149] = {.lex_state = 79},
  [150] = {.lex_state = 79},
  [151] = {.lex_state = 79},
  [152] = {.lex_state = 79},
  [153] = {.lex_state = 79},
  [154] = {.lex_state = 79},
  [155] = {.lex_state = 79},
  [156] = {.lex_state = 1},
  [157] = {.lex_state = 76},
  [158] = {.lex_state = 76},
  [159] = {.lex_state = 76},
  [160] = {.lex_state = 76},
  [161] = {.lex_state = 76},
  [162] = {.lex_state = 76},
  [163] = {.lex_state = 76},
  [164] = {.lex_state = 76},
  [165] = {.lex_state = 76},
  [166] = {.lex_state = 76},
  [167] = {.lex_state = 76},
  [168] = {.lex_state = 76},
  [169] = {.lex_state = 76},
  [170] = {.lex_state = 76},
  [171] = {.lex_state = 76},
  [172] = {.lex_state = 76},
  [173] = {.lex_state = 79},
  [174] = {.lex_state = 79},
  [175] = {.lex_state = 79},
  [176] = {.lex_state = 79},
  [177] = {.lex_state = 79},
  [178] = {.lex_state = 79},
  [179] = {.lex_state = 79},
  [180] = {.lex_state = 79},
  [181] = {.lex_state = 79},
  [182] = {.lex_state = 77},
  [183] = {.lex_state = 77},
  [184] = {.lex_state = 77},
  [185] = {.lex_state = 77},
  [186] = {.lex_state = 77},
  [187] = {.lex_state = 77},
  [188] = {.lex_state = 77},
  [189] = {.lex_state = 80},
  [190] = {.lex_state = 80},
  [191] = {.lex_state = 80},
  [192] = {.lex_state = 80},
  [193] = {.lex_state = 7},
  [194] = {.lex_state = 7},
  [195] = {.lex_state = 77},
  [196] = {.lex_state = 77},
  [197] = {.lex_state = 7},
  [198] = {.lex_state = 80},
  [199] = {.lex_state = 77},
  [200] = {.lex_state = 80},
  [201] = {.lex_state = 80},
  [202] = {.lex_state = 77},
  [203] = {.lex_state = 77},
  [204] = {.lex_state = 77},
  [205] = {.lex_state = 7},
  [206] = {.lex_state = 77},
  [207] = {.lex_state = 77},
  [208] = {.lex_state = 77},
  [209] = {.lex_state = 77},
  [210] = {.lex_state = 77},
  [211] = {.lex_state = 77},
  [212] = {.lex_state = 77},
  [213] = {.lex_state = 7},
  [214] = {.lex_state = 7},
  [215] = {.lex_state = 80},
  [216] = {.lex_state = 80},
  [217] = {.lex_state = 7},
  [218] = {.lex_state = 77},
  [219] = {.lex_state = 77},
  [220] = {.lex_state = 77},
  [221] = {.lex_state = 77},
  [222] = {.lex_state = 7},
  [223] = {.lex_state = 77},
  [224] = {.lex_state = 77},
  [225] = {.lex_state = 77},
  [226] = {.lex_state = 77},
  [227] = {.lex_state = 77},
  [228] = {.lex_state = 7},
  [229] = {.lex_state = 77},
  [230] = {.lex_state = 77},
  [231] = {.lex_state = 7},
  [232] = {.lex_state = 7},
  [233] = {.lex_state = 7},
  [234] = {.lex_state = 7},
  [235] = {.lex_state = 7},
  [236] = {.lex_state = 77},
  [237] = {.lex_state = 77},
  [238] = {.lex_state = 77},
  [239] = {.lex_state = 77},
  [240] = {.lex_state = 77},
  [241] = {.lex_state = 77},
  [242] = {.lex_state = 77},
  [243] = {.lex_state = 77},
  [244] = {.lex_state = 77},
  [245] = {.lex_state = 77},
  [246] = {.lex_state = 77},
  [247] = {.lex_state = 77},
  [248] = {.lex_state = 77},
  [249] = {.lex_state = 77},
  [250] = {.lex_state = 77},
  [251] = {.lex_state = 80},
  [252] = {.lex_state = 77},
  [253] = {.lex_state = 77},
  [254] = {.lex_state = 77},
  [255] = {.lex_state = 77},
  [256] = {.lex_state = 77},
  [257] = {.lex_state = 77},
  [258] = {.lex_state = 77},
  [259] = {.lex_state = 77},
  [260] = {.lex_state = 77},
  [261] = {.lex_state = 77},
  [262] = {.lex_state = 77},
  [263] = {.lex_state = 77},
  [264] = {.lex_state = 77},
  [265] = {.lex_state = 77},
  [266] = {.lex_state = 77},
  [267] = {.lex_state = 77},
  [268] = {.lex_state = 77},
  [269] = {.lex_state = 77},
  [270] = {.lex_state = 77},
  [271] = {.lex_state = 77},
  [272] = {.lex_state = 77},
  [273] = {.lex_state = 77},
  [274] = {.lex_state = 77},
  [275] = {.lex_state = 77},
  [276] = {.lex_state = 77},
  [277] = {.lex_state = 77},
  [278] = {.lex_state = 77},
  [279] = {.lex_state = 77},
  [280] = {.lex_state = 77},
  [281] = {.lex_state = 77},
  [282] = {.lex_state = 77},
  [283] = {.lex_state = 77},
  [284] = {.lex_state = 77},
  [285] = {.lex_state = 77},
  [286] = {.lex_state = 77},
  [287] = {.lex_state = 77},
  [288] = {.lex_state = 77},
  [289] = {.lex_state = 77},
  [290] = {.lex_state = 77},
  [291] = {.lex_state = 77},
  [292] = {.lex_state = 77},
  [293] = {.lex_state = 77},
  [294] = {.lex_state = 77},
  [295] = {.lex_state = 77},
  [296] = {.lex_state = 77},
  [297] = {.lex_state = 77},
  [298] = {.lex_state = 77},
  [299] = {.lex_state = 77},
  [300] = {.lex_state = 77},
  [301] = {.lex_state = 77},
  [302] = {.lex_state = 77},
  [303] = {.lex_state = 77},
  [304] = {.lex_state = 77},
  [305] = {.lex_state = 77},
  [306] = {.lex_state = 77},
  [307] = {.lex_state = 77},
  [308] = {.lex_state = 77},
  [309] = {.lex_state = 77},
  [310] = {.lex_state = 77},
  [311] = {.lex_state = 77},
  [312] = {.lex_state = 77},
  [313] = {.lex_state = 77},
  [314] = {.lex_state = 77},
  [315] = {.lex_state = 77},
  [316] = {.lex_state = 77},
  [317] = {.lex_state = 77},
  [318] = {.lex_state = 77},
  [319] = {.lex_state = 80},
  [320] = {.lex_state = 77},
  [321] = {.lex_state = 77},
  [322] = {.lex_state = 77},
  [323] = {.lex_state = 77},
  [324] = {.lex_state = 77},
  [325] = {.lex_state = 80},
  [326] = {.lex_state = 80},
  [327] = {.lex_state = 77},
  [328] = {.lex_state = 77},
  [329] = {.lex_state = 77},
  [330] = {.lex_state = 80},
  [331] = {.lex_state = 77},
  [332] = {.lex_state = 77},
  [333] = {.lex_state = 77},
  [334] = {.lex_state = 77},
  [335] = {.lex_state = 80},
  [336] = {.lex_state = 77},
  [337] = {.lex_state = 77},
  [338] = {.lex_state = 80},
  [339] = {.lex_state = 80},
  [340] = {.lex_state = 80},
  [341] = {.lex_state = 80},
  [342] = {.lex_state = 77},
  [343] = {.lex_state = 80},
  [344] = {.lex_state = 80},
  [345] = {.lex_state = 80},
  [346] = {.lex_state = 80},
  [347] = {.lex_state = 80},
  [348] = {.lex_state = 80},
  [349] = {.lex_state = 80},
  [350] = {.lex_state = 77},
  [351] = {.lex_state = 80},
  [352] = {.lex_state = 80},
  [353] = {.lex_state = 77},
  [354] = {.lex_state = 77},
  [355] = {.lex_state = 80},
  [356] = {.lex_state = 80},
  [357] = {.lex_state = 80},
  [358] = {.lex_state = 77},
  [359] = {.lex_state = 80},
  [360] = {.lex_state = 80},
  [361] = {.lex_state = 80},
  [362] = {.lex_state = 77},
  [363] = {.lex_state = 77},
  [364] = {.lex_state = 77},
  [365] = {.lex_state = 77},
  [366] = {.lex_state = 77},
  [367] = {.lex_state = 77},
  [368] = {.lex_state = 80},
  [369] = {.lex_state = 77},
  [370] = {.lex_state = 80},
  [371] = {.lex_state = 80},
  [372] = {.lex_state = 80},
  [373] = {.lex_state = 80},
  [374] = {.lex_state = 80},
  [375] = {.lex_state = 77},
  [376] = {.lex_state = 77},
  [377] = {.lex_state = 77},
  [378] = {.lex_state = 77},
  [379] = {.lex_state = 77},
  [380] = {.lex_state = 77},
  [381] = {.lex_state = 77},
  [382] = {.lex_state = 77},
  [383] = {.lex_state = 77},
  [384] = {.lex_state = 77},
  [385] = {.lex_state = 77},
  [386] = {.lex_state = 77},
  [387] = {.lex_state = 77},
  [388] = {.lex_state = 77},
  [389] = {.lex_state = 77},
  [390] = {.lex_state = 77},
  [391] = {.lex_state = 77},
  [392] = {.lex_state = 77},
  [393] = {.lex_state = 77},
  [394] = {.lex_state = 80},
  [395] = {.lex_state = 80},
  [396] = {.lex_state = 77},
  [397] = {.lex_state = 77},
  [398] = {.lex_state = 77},
  [399] = {.lex_state = 77},
  [400] = {.lex_state = 77},
  [401] = {.lex_state = 80},
  [402] = {.lex_state = 80},
  [403] = {.lex_state = 80},
  [404] = {.lex_state = 80},
  [405] = {.lex_state = 77},
  [406] = {.lex_state = 77},
  [407] = {.lex_state = 80},
  [408] = {.lex_state = 80},
  [409] = {.lex_state = 80},
  [410] = {.lex_state = 80},
  [411] = {.lex_state = 80},
  [412] = {.lex_state = 80},
  [413] = {.lex_state = 80},
  [414] = {.lex_state = 80},
  [415] = {.lex_state = 80},
  [416] = {.lex_state = 77},
  [417] = {.lex_state = 77},
  [418] = {.lex_state = 80},
  [419] = {.lex_state = 80},
  [420] = {.lex_state = 80},
  [421] = {.lex_state = 80},
  [422] = {.lex_state = 80},
  [423] = {.lex_state = 80},
  [424] = {.lex_state = 80},
  [425] = {.lex_state = 80},
  [426] = {.lex_state = 80},
  [427] = {.lex_state = 80},
  [428] = {.lex_state = 80},
  [429] = {.lex_state = 80},
  [430] = {.lex_state = 80},
  [431] = {.lex_state = 80},
  [432] = {.lex_state = 80},
  [433] = {.lex_state = 80},
  [434] = {.lex_state = 77},
  [435] = {.lex_state = 80},
  [436] = {.lex_state = 80},
  [437] = {.lex_state = 80},
  [438] = {.lex_state = 80},
  [439] = {.lex_state = 80},
  [440] = {.lex_state = 80},
  [441] = {.lex_state = 80},
  [442] = {.lex_state = 77},
  [443] = {.lex_state = 80},
  [444] = {.lex_state = 80},
  [445] = {.lex_state = 80},
  [446] = {.lex_state = 80},
  [447] = {.lex_state = 80},
  [448] = {.lex_state = 80},
  [449] = {.lex_state = 80},
  [450] = {.lex_state = 80},
  [451] = {.lex_state = 80},
  [452] = {.lex_state = 80},
  [453] = {.lex_state = 80},
  [454] = {.lex_state = 80},
  [455] = {.lex_state = 80},
  [456] = {.lex_state = 80},
  [457] = {.lex_state = 80},
  [458] = {.lex_state = 80},
  [459] = {.lex_state = 80},
  [460] = {.lex_state = 80},
  [461] = {.lex_state = 80},
  [462] = {.lex_state = 80},
  [463] = {.lex_state = 80},
  [464] = {.lex_state = 80},
  [465] = {.lex_state = 80},
  [466] = {.lex_state = 80},
  [467] = {.lex_state = 80},
  [468] = {.lex_state = 80},
  [469] = {.lex_state = 80},
  [470] = {.lex_state = 80},
  [471] = {.lex_state = 80},
  [472] = {.lex_state = 80},
  [473] = {.lex_state = 77},
  [474] = {.lex_state = 80},
  [475] = {.lex_state = 80},
  [476] = {.lex_state = 80},
  [477] = {.lex_state = 80},
  [478] = {.lex_state = 80},
  [479] = {.lex_state = 80},
  [480] = {.lex_state = 77},
  [481] = {.lex_state = 80},
  [482] = {.lex_state = 80},
  [483] = {.lex_state = 80},
  [484] = {.lex_state = 80},
  [485] = {.lex_state = 77},
  [486] = {.lex_state = 80},
  [487] = {.lex_state = 80},
  [488] = {.lex_state = 77},
  [489] = {.lex_state = 77},
  [490] = {.lex_state = 80},
  [491] = {.lex_state = 80},
  [492] = {.lex_state = 77},
  [493] = {.lex_state = 80},
  [494] = {.lex_state = 77},
  [495] = {.lex_state = 80},
  [496] = {.lex_state = 80},
  [497] = {.lex_state = 80},
  [498] = {.lex_state = 80},
  [499] = {.lex_state = 80},
  [500] = {.lex_state = 80},
  [501] = {.lex_state = 80},
  [502] = {.lex_state = 80},
  [503] = {.lex_state = 80},
  [504] = {.lex_state = 80},
  [505] = {.lex_state = 80},
  [506] = {.lex_state = 80},
  [507] = {.lex_state = 80},
  [508] = {.lex_state = 80},
  [509] = {.lex_state = 80},
  [510] = {.lex_state = 80},
  [511] = {.lex_state = 80},
  [512] = {.lex_state = 80},
  [513] = {.lex_state = 80},
  [514] = {.lex_state = 80},
  [515] = {.lex_state = 80},
  [516] = {.lex_state = 80},
  [517] = {.lex_state = 80},
  [518] = {.lex_state = 80},
  [519] = {.lex_state = 80},
  [520] = {.lex_state = 80},
  [521] = {.lex_state = 80},
  [522] = {.lex_state = 80},
  [523] = {.lex_state = 80},
  [524] = {.lex_state = 80},
  [525] = {.lex_state = 80},
  [526] = {.lex_state = 80},
  [527] = {.lex_state = 80},
  [528] = {.lex_state = 80},
  [529] = {.lex_state = 80},
  [530] = {.lex_state = 80},
  [531] = {.lex_state = 80},
  [532] = {.lex_state = 80},
  [533] = {.lex_state = 80},
  [534] = {.lex_state = 80},
  [535] = {.lex_state = 80},
  [536] = {.lex_state = 80},
  [537] = {.lex_state = 80},
  [538] = {.lex_state = 80},
  [539] = {.lex_state = 76},
  [540] = {.lex_state = 6},
  [541] = {.lex_state = 6},
  [542] = {.lex_state = 6},
  [543] = {.lex_state = 6},
  [544] = {.lex_state = 6},
  [545] = {.lex_state = 6},
  [546] = {.lex_state = 6},
  [547] = {.lex_state = 6},
  [548] = {.lex_state = 6},
  [549] = {.lex_state = 6},
  [550] = {.lex_state = 6},
  [551] = {.lex_state = 6},
  [552] = {.lex_state = 6},
  [553] = {.lex_state = 6},
  [554] = {.lex_state = 6},
  [555] = {.lex_state = 6},
  [556] = {.lex_state = 1},
  [557] = {.lex_state = 6},
  [558] = {.lex_state = 6},
  [559] = {.lex_state = 6},
  [560] = {.lex_state = 6},
  [561] = {.lex_state = 6},
  [562] = {.lex_state = 6},
  [563] = {.lex_state = 6},
  [564] = {.lex_state = 6},
  [565] = {.lex_state = 6},
  [566] = {.lex_state = 6},
  [567] = {.lex_state = 6},
  [568] = {.lex_state = 6},
  [569] = {.lex_state = 6},
  [570] = {.lex_state = 6},
  [571] = {.lex_state = 6},
  [572] = {.lex_state = 6},
  [573] = {.lex_state = 6},
  [574] = {.lex_state = 6},
  [575] = {.lex_state = 6},
  [576] = {.lex_state = 6},
  [577] = {.lex_state = 6},
  [578] = {.lex_state = 6},
  [579] = {.lex_state = 6},
  [580] = {.lex_state = 6},
  [581] = {.lex_state = 6},
  [582] = {.lex_state = 6},
  [583] = {.lex_state = 6},
  [584] = {.lex_state = 6},
  [585] = {.lex_state = 6},
  [586] = {.lex_state = 6},
  [587] = {.lex_state = 6},
  [588] = {.lex_state = 6},
  [589] = {.lex_state = 6},
  [590] = {.lex_state = 6},
  [591] = {.lex_state = 6},
  [592] = {.lex_state = 6},
  [593] = {.lex_state = 6},
  [594] = {.lex_state = 6},
  [595] = {.lex_state = 6},
  [596] = {.lex_state = 6},
  [597] = {.lex_state = 6},
  [598] = {.lex_state = 6},
  [599] = {.lex_state = 6},
  [600] = {.lex_state = 6},
  [601] = {.lex_state = 6},
  [602] = {.lex_state = 6},
  [603] = {.lex_state = 6},
  [604] = {.lex_state = 6},
  [605] = {.lex_state = 6},
  [606] = {.lex_state = 6},
  [607] = {.lex_state = 6},
  [608] = {.lex_state = 6},
  [609] = {.lex_state = 6},
  [610] = {.lex_state = 6},
  [611] = {.lex_state = 6},
  [612] = {.lex_state = 6},
  [613] = {.lex_state = 6},
  [614] = {.lex_state = 6},
  [615] = {.lex_state = 6},
  [616] = {.lex_state = 6},
  [617] = {.lex_state = 6},
  [618] = {.lex_state = 6},
  [619] = {.lex_state = 6},
  [620] = {.lex_state = 6},
  [621] = {.lex_state = 6},
  [622] = {.lex_state = 6},
  [623] = {.lex_state = 6},
  [624] = {.lex_state = 6},
  [625] = {.lex_state = 6},
  [626] = {.lex_state = 6},
  [627] = {.lex_state = 6},
  [628] = {.lex_state = 6},
  [629] = {.lex_state = 6},
  [630] = {.lex_state = 6},
  [631] = {.lex_state = 6},
  [632] = {.lex_state = 6},
  [633] = {.lex_state = 6},
  [634] = {.lex_state = 6},
  [635] = {.lex_state = 6},
  [636] = {.lex_state = 6},
  [637] = {.lex_state = 6},
  [638] = {.lex_state = 6},
  [639] = {.lex_state = 6},
  [640] = {.lex_state = 6},
  [641] = {.lex_state = 6},
  [642] = {.lex_state = 6},
  [643] = {.lex_state = 6},
  [644] = {.lex_state = 6},
  [645] = {.lex_state = 6},
  [646] = {.lex_state = 6},
  [647] = {.lex_state = 6},
  [648] = {.lex_state = 6},
  [649] = {.lex_state = 6},
  [650] = {.lex_state = 6},
  [651] = {.lex_state = 6},
  [652] = {.lex_state = 6},
  [653] = {.lex_state = 6},
  [654] = {.lex_state = 6},
  [655] = {.lex_state = 6},
  [656] = {.lex_state = 6},
  [657] = {.lex_state = 6},
  [658] = {.lex_state = 6},
  [659] = {.lex_state = 6},
  [660] = {.lex_state = 6},
  [661] = {.lex_state = 6},
  [662] = {.lex_state = 6},
  [663] = {.lex_state = 6},
  [664] = {.lex_state = 6},
  [665] = {.lex_state = 6},
  [666] = {.lex_state = 6},
  [667] = {.lex_state = 6},
  [668] = {.lex_state = 6},
  [669] = {.lex_state = 6},
  [670] = {.lex_state = 6},
  [671] = {.lex_state = 6},
  [672] = {.lex_state = 6},
  [673] = {.lex_state = 6},
  [674] = {.lex_state = 6},
  [675] = {.lex_state = 6},
  [676] = {.lex_state = 6},
  [677] = {.lex_state = 6},
  [678] = {.lex_state = 6},
  [679] = {.lex_state = 6},
  [680] = {.lex_state = 6},
  [681] = {.lex_state = 6},
  [682] = {.lex_state = 6},
  [683] = {.lex_state = 6},
  [684] = {.lex_state = 6},
  [685] = {.lex_state = 6},
  [686] = {.lex_state = 6},
  [687] = {.lex_state = 6},
  [688] = {.lex_state = 6},
  [689] = {.lex_state = 6},
  [690] = {.lex_state = 6},
  [691] = {.lex_state = 6},
  [692] = {.lex_state = 6},
  [693] = {.lex_state = 6},
  [694] = {.lex_state = 6},
  [695] = {.lex_state = 6},
  [696] = {.lex_state = 6},
  [697] = {.lex_state = 6},
  [698] = {.lex_state = 6},
  [699] = {.lex_state = 6},
  [700] = {.lex_state = 6},
  [701] = {.lex_state = 6},
  [702] = {.lex_state = 6},
  [703] = {.lex_state = 6},
  [704] = {.lex_state = 6},
  [705] = {.lex_state = 6},
  [706] = {.lex_state = 6},
  [707] = {.lex_state = 6},
  [708] = {.lex_state = 6},
  [709] = {.lex_state = 6},
  [710] = {.lex_state = 6},
  [711] = {.lex_state = 6},
  [712] = {.lex_state = 6},
  [713] = {.lex_state = 6},
  [714] = {.lex_state = 6},
  [715] = {.lex_state = 6},
  [716] = {.lex_state = 6},
  [717] = {.lex_state = 6},
  [718] = {.lex_state = 6},
  [719] = {.lex_state = 6},
  [720] = {.lex_state = 6},
  [721] = {.lex_state = 6},
  [722] = {.lex_state = 6},
  [723] = {.lex_state = 6},
  [724] = {.lex_state = 6},
  [725] = {.lex_state = 6},
  [726] = {.lex_state = 6},
  [727] = {.lex_state = 6},
  [728] = {.lex_state = 6},
  [729] = {.lex_state = 6},
  [730] = {.lex_state = 6},
  [731] = {.lex_state = 6},
  [732] = {.lex_state = 6},
  [733] = {.lex_state = 6},
  [734] = {.lex_state = 6},
  [735] = {.lex_state = 6},
  [736] = {.lex_state = 6},
  [737] = {.lex_state = 6},
  [738] = {.lex_state = 6},
  [739] = {.lex_state = 6},
  [740] = {.lex_state = 6},
  [741] = {.lex_state = 6},
  [742] = {.lex_state = 6},
  [743] = {.lex_state = 6},
  [744] = {.lex_state = 6},
  [745] = {.lex_state = 6},
  [746] = {.lex_state = 6},
  [747] = {.lex_state = 6},
  [748] = {.lex_state = 6},
  [749] = {.lex_state = 6},
  [750] = {.lex_state = 6},
  [751] = {.lex_state = 6},
  [752] = {.lex_state = 6},
  [753] = {.lex_state = 6},
  [754] = {.lex_state = 6},
  [755] = {.lex_state = 6},
  [756] = {.lex_state = 6},
  [757] = {.lex_state = 6},
  [758] = {.lex_state = 6},
  [759] = {.lex_state = 6},
  [760] = {.lex_state = 6},
  [761] = {.lex_state = 6},
  [762] = {.lex_state = 6},
  [763] = {.lex_state = 6},
  [764] = {.lex_state = 6},
  [765] = {.lex_state = 6},
  [766] = {.lex_state = 6},
  [767] = {.lex_state = 6},
  [768] = {.lex_state = 6},
  [769] = {.lex_state = 6},
  [770] = {.lex_state = 6},
  [771] = {.lex_state = 6},
  [772] = {.lex_state = 6},
  [773] = {.lex_state = 6},
  [774] = {.lex_state = 6},
  [775] = {.lex_state = 6},
  [776] = {.lex_state = 6},
  [777] = {.lex_state = 6},
  [778] = {.lex_state = 6},
  [779] = {.lex_state = 6},
  [780] = {.lex_state = 6},
  [781] = {.lex_state = 6},
  [782] = {.lex_state = 6},
  [783] = {.lex_state = 6},
  [784] = {.lex_state = 6},
  [785] = {.lex_state = 6},
  [786] = {.lex_state = 6},
  [787] = {.lex_state = 6},
  [788] = {.lex_state = 6},
  [789] = {.lex_state = 6},
  [790] = {.lex_state = 6},
  [791] = {.lex_state = 6},
  [792] = {.lex_state = 6},
  [793] = {.lex_state = 6},
  [794] = {.lex_state = 6},
  [795] = {.lex_state = 6},
  [796] = {.lex_state = 6},
  [797] = {.lex_state = 6},
  [798] = {.lex_state = 6},
  [799] = {.lex_state = 6},
  [800] = {.lex_state = 6},
  [801] = {.lex_state = 6},
  [802] = {.lex_state = 6},
  [803] = {.lex_state = 6},
  [804] = {.lex_state = 6},
  [805] = {.lex_state = 6},
  [806] = {.lex_state = 6},
  [807] = {.lex_state = 6},
  [808] = {.lex_state = 6},
  [809] = {.lex_state = 6},
  [810] = {.lex_state = 6},
  [811] = {.lex_state = 6},
  [812] = {.lex_state = 6},
  [813] = {.lex_state = 6},
  [814] = {.lex_state = 6},
  [815] = {.lex_state = 6},
  [816] = {.lex_state = 6},
  [817] = {.lex_state = 6},
  [818] = {.lex_state = 6},
  [819] = {.lex_state = 6},
  [820] = {.lex_state = 6},
  [821] = {.lex_state = 6},
  [822] = {.lex_state = 6},
  [823] = {.lex_state = 6},
  [824] = {.lex_state = 6},
  [825] = {.lex_state = 6},
  [826] = {.lex_state = 6},
  [827] = {.lex_state = 6},
  [828] = {.lex_state = 6},
  [829] = {.lex_state = 6},
  [830] = {.lex_state = 79},
  [831] = {.lex_state = 79},
  [832] = {.lex_state = 79},
  [833] = {.lex_state = 79},
  [834] = {.lex_state = 79},
  [835] = {.lex_state = 79},
  [836] = {.lex_state = 79},
  [837] = {.lex_state = 7},
  [838] = {.lex_state = 7},
  [839] = {.lex_state = 79},
  [840] = {.lex_state = 79},
  [841] = {.lex_state = 79},
  [842] = {.lex_state = 1},
  [843] = {.lex_state = 79},
  [844] = {.lex_state = 79},
  [845] = {.lex_state = 79},
  [846] = {.lex_state = 79},
  [847] = {.lex_state = 79},
  [848] = {.lex_state = 79},
  [849] = {.lex_state = 7},
  [850] = {.lex_state = 79},
  [851] = {.lex_state = 79},
  [852] = {.lex_state = 79},
  [853] = {.lex_state = 79},
  [854] = {.lex_state = 79},
  [855] = {.lex_state = 79},
  [856] = {.lex_state = 79},
  [857] = {.lex_state = 79},
  [858] = {.lex_state = 79},
  [859] = {.lex_state = 79},
  [860] = {.lex_state = 79},
  [861] = {.lex_state = 79},
  [862] = {.lex_state = 79},
  [863] = {.lex_state = 79},
  [864] = {.lex_state = 79},
  [865] = {.lex_state = 79},
  [866] = {.lex_state = 79},
  [867] = {.lex_state = 79},
  [868] = {.lex_state = 79},
  [869] = {.lex_state = 79},
  [870] = {.lex_state = 79},
  [871] = {.lex_state = 79},
  [872] = {.lex_state = 79},
  [873] = {.lex_state = 79},
  [874] = {.lex_state = 79},
  [875] = {.lex_state = 79},
  [876] = {.lex_state = 79},
  [877] = {.lex_state = 79},
  [878] = {.lex_state = 79},
  [879] = {.lex_state = 79},
  [880] = {.lex_state = 79},
  [881] = {.lex_state = 79},
  [882] = {.lex_state = 79},
  [883] = {.lex_state = 79},
  [884] = {.lex_state = 79},
  [885] = {.lex_state = 79},
  [886] = {.lex_state = 79},
  [887] = {.lex_state = 79},
  [888] = {.lex_state = 79},
  [889] = {.lex_state = 79},
  [890] = {.lex_state = 79},
  [891] = {.lex_state = 79},
  [892] = {.lex_state = 79},
  [893] = {.lex_state = 79},
  [894] = {.lex_state = 79},
  [895] = {.lex_state = 79},
  [896] = {.lex_state = 79},
  [897] = {.lex_state = 79},
  [898] = {.lex_state = 79},
  [899] = {.lex_state = 79},
  [900] = {.lex_state = 79},
  [901] = {.lex_state = 79},
  [902] = {.lex_state = 79},
  [903] = {.lex_state = 79},
  [904] = {.lex_state = 79},
  [905] = {.lex_state = 79},
  [906] = {.lex_state = 79},
  [907] = {.lex_state = 79},
  [908] = {.lex_state = 79},
  [909] = {.lex_state = 79},
  [910] = {.lex_state = 79},
  [911] = {.lex_state = 79},
  [912] = {.lex_state = 79},
  [913] = {.lex_state = 79},
  [914] = {.lex_state = 79},
  [915] = {.lex_state = 79},
  [916] = {.lex_state = 79},
  [917] = {.lex_state = 79},
  [918] = {.lex_state = 79},
  [919] = {.lex_state = 79},
  [920] = {.lex_state = 3},
  [921] = {.lex_state = 79},
  [922] = {.lex_state = 79},
  [923] = {.lex_state = 79},
  [924] = {.lex_state = 79},
  [925] = {.lex_state = 79},
  [926] = {.lex_state = 79},
  [927] = {.lex_state = 79},
  [928] = {.lex_state = 79},
  [929] = {.lex_state = 79},
  [930] = {.lex_state = 79},
  [931] = {.lex_state = 79},
  [932] = {.lex_state = 79},
  [933] = {.lex_state = 79},
  [934] = {.lex_state = 79},
  [935] = {.lex_state = 79},
  [936] = {.lex_state = 79},
  [937] = {.lex_state = 79},
  [938] = {.lex_state = 79},
  [939] = {.lex_state = 79},
  [940] = {.lex_state = 79},
  [941] = {.lex_state = 79},
  [942] = {.lex_state = 79},
  [943] = {.lex_state = 1},
  [944] = {.lex_state = 79},
  [945] = {.lex_state = 79},
  [946] = {.lex_state = 79},
  [947] = {.lex_state = 79},
  [948] = {.lex_state = 79},
  [949] = {.lex_state = 79},
  [950] = {.lex_state = 79},
  [951] = {.lex_state = 79},
  [952] = {.lex_state = 79},
  [953] = {.lex_state = 79},
  [954] = {.lex_state = 79},
  [955] = {.lex_state = 79},
  [956] = {.lex_state = 79},
  [957] = {.lex_state = 79},
  [958] = {.lex_state = 79},
  [959] = {.lex_state = 79},
  [960] = {.lex_state = 79},
  [961] = {.lex_state = 79},
  [962] = {.lex_state = 79},
  [963] = {.lex_state = 79},
  [964] = {.lex_state = 79},
  [965] = {.lex_state = 79},
  [966] = {.lex_state = 79},
  [967] = {.lex_state = 79},
  [968] = {.lex_state = 79},
  [969] = {.lex_state = 79},
  [970] = {.lex_state = 79},
  [971] = {.lex_state = 79},
  [972] = {.lex_state = 79},
  [973] = {.lex_state = 79},
  [974] = {.lex_state = 79},
  [975] = {.lex_state = 79},
  [976] = {.lex_state = 79},
  [977] = {.lex_state = 79},
  [978] = {.lex_state = 79},
  [979] = {.lex_state = 79},
  [980] = {.lex_state = 79},
  [981] = {.lex_state = 79},
  [982] = {.lex_state = 79},
  [983] = {.lex_state = 79},
  [984] = {.lex_state = 79},
  [985] = {.lex_state = 79},
  [986] = {.lex_state = 79},
  [987] = {.lex_state = 79},
  [988] = {.lex_state = 79},
  [989] = {.lex_state = 79},
  [990] = {.lex_state = 79},
  [991] = {.lex_state = 7},
  [992] = {.lex_state = 79},
  [993] = {.lex_state = 79},
  [994] = {.lex_state = 79},
  [995] = {.lex_state = 79},
  [996] = {.lex_state = 79},
  [997] = {.lex_state = 79},
  [998] = {.lex_state = 79},
  [999] = {.lex_state = 79},
  [1000] = {.lex_state = 79},
  [1001] = {.lex_state = 79},
  [1002] = {.lex_state = 79},
  [1003] = {.lex_state = 79},
  [1004] = {.lex_state = 79},
  [1005] = {.lex_state = 79},
  [1006] = {.lex_state = 79},
  [1007] = {.lex_state = 79},
  [1008] = {.lex_state = 79},
  [1009] = {.lex_state = 79},
  [1010] = {.lex_state = 1},
  [1011] = {.lex_state = 79},
  [1012] = {.lex_state = 79},
  [1013] = {.lex_state = 79},
  [1014] = {.lex_state = 79},
  [1015] = {.lex_state = 79},
  [1016] = {.lex_state = 79},
  [1017] = {.lex_state = 79},
  [1018] = {.lex_state = 79},
  [1019] = {.lex_state = 79},
  [1020] = {.lex_state = 79},
  [1021] = {.lex_state = 79},
  [1022] = {.lex_state = 79},
  [1023] = {.lex_state = 79},
  [1024] = {.lex_state = 79},
  [1025] = {.lex_state = 79},
  [1026] = {.lex_state = 79},
  [1027] = {.lex_state = 79},
  [1028] = {.lex_state = 79},
  [1029] = {.lex_state = 79},
  [1030] = {.lex_state = 79},
  [1031] = {.lex_state = 79},
  [1032] = {.lex_state = 7},
  [1033] = {.lex_state = 79},
  [1034] = {.lex_state = 79},
  [1035] = {.lex_state = 1},
  [1036] = {.lex_state = 1},
  [1037] = {.lex_state = 1},
  [1038] = {.lex_state = 6},
  [1039] = {.lex_state = 6},
  [1040] = {.lex_state = 6},
  [1041] = {.lex_state = 6},
  [1042] = {.lex_state = 6},
  [1043] = {.lex_state = 1},
  [1044] = {.lex_state = 6},
  [1045] = {.lex_state = 1},
  [1046] = {.lex_state = 1},
  [1047] = {.lex_state = 1},
  [1048] = {.lex_state = 1},
  [1049] = {.lex_state = 1},
  [1050] = {.lex_state = 1},
  [1051] = {.lex_state = 1},
  [1052] = {.lex_state = 2},
  [1053] = {.lex_state = 2},
  [1054] = {.lex_state = 1},
  [1055] = {.lex_state = 1},
  [1056] = {.lex_state = 1},
  [1057] = {.lex_state = 1},
  [1058] = {.lex_state = 1},
  [1059] = {.lex_state = 1},
  [1060] = {.lex_state = 6},
  [1061] = {.lex_state = 6},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 2},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 2},
  [1071] = {.lex_state = 2},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 2},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 1},
  [1078] = {.lex_state = 9},
  [1079] = {.lex_state = 2},
  [1080] = {.lex_state = 9},
  [1081] = {.lex_state = 2},
  [1082] = {.lex_state = 9},
  [1083] = {.lex_state = 1},
  [1084] = {.lex_state = 2},
  [1085] = {.lex_state = 1},
  [1086] = {.lex_state = 9},
  [1087] = {.lex_state = 9},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 9},
  [1092] = {.lex_state = 2},
  [1093] = {.lex_state = 1},
  [1094] = {.lex_state = 1},
  [1095] = {.lex_state = 9},
  [1096] = {.lex_state = 2},
  [1097] = {.lex_state = 2},
  [1098] = {.lex_state = 2},
  [1099] = {.lex_state = 2},
  [1100] = {.lex_state = 2},
  [1101] = {.lex_state = 2},
  [1102] = {.lex_state = 2},
  [1103] = {.lex_state = 2},
  [1104] = {.lex_state = 2},
  [1105] = {.lex_state = 2},
  [1106] = {.lex_state = 2},
  [1107] = {.lex_state = 2},
  [1108] = {.lex_state = 2},
  [1109] = {.lex_state = 9},
  [1110] = {.lex_state = 2},
  [1111] = {.lex_state = 2},
  [1112] = {.lex_state = 2},
  [1113] = {.lex_state = 2},
  [1114] = {.lex_state = 1},
  [1115] = {.lex_state = 2},
  [1116] = {.lex_state = 1},
  [1117] = {.lex_state = 2},
  [1118] = {.lex_state = 2},
  [1119] = {.lex_state = 9},
  [1120] = {.lex_state = 2},
  [1121] = {.lex_state = 2},
  [1122] = {.lex_state = 2},
  [1123] = {.lex_state = 2},
  [1124] = {.lex_state = 2},
  [1125] = {.lex_state = 2},
  [1126] = {.lex_state = 2},
  [1127] = {.lex_state = 2},
  [1128] = {.lex_state = 2},
  [1129] = {.lex_state = 2},
  [1130] = {.lex_state = 2},
  [1131] = {.lex_state = 2},
  [1132] = {.lex_state = 2},
  [1133] = {.lex_state = 2},
  [1134] = {.lex_state = 2},
  [1135] = {.lex_state = 2},
  [1136] = {.lex_state = 2},
  [1137] = {.lex_state = 2},
  [1138] = {.lex_state = 2},
  [1139] = {.lex_state = 2},
  [1140] = {.lex_state = 2},
  [1141] = {.lex_state = 2},
  [1142] = {.lex_state = 2},
  [1143] = {.lex_state = 2},
  [1144] = {.lex_state = 2},
  [1145] = {.lex_state = 2},
  [1146] = {.lex_state = 2},
  [1147] = {.lex_state = 2},
  [1148] = {.lex_state = 2},
  [1149] = {.lex_state = 2},
  [1150] = {.lex_state = 2},
  [1151] = {.lex_state = 2},
  [1152] = {.lex_state = 2},
  [1153] = {.lex_state = 2},
  [1154] = {.lex_state = 2},
  [1155] = {.lex_state = 2},
  [1156] = {.lex_state = 2},
  [1157] = {.lex_state = 2},
  [1158] = {.lex_state = 2},
  [1159] = {.lex_state = 2},
  [1160] = {.lex_state = 2},
  [1161] = {.lex_state = 2},
  [1162] = {.lex_state = 9},
  [1163] = {.lex_state = 2},
  [1164] = {.lex_state = 2},
  [1165] = {.lex_state = 2},
  [1166] = {.lex_state = 2},
  [1167] = {.lex_state = 2},
  [1168] = {.lex_state = 2},
  [1169] = {.lex_state = 2},
  [1170] = {.lex_state = 2},
  [1171] = {.lex_state = 2},
  [1172] = {.lex_state = 2},
  [1173] = {.lex_state = 2},
  [1174] = {.lex_state = 2},
  [1175] = {.lex_state = 2},
  [1176] = {.lex_state = 2},
  [1177] = {.lex_state = 2},
  [1178] = {.lex_state = 2},
  [1179] = {.lex_state = 2},
  [1180] = {.lex_state = 1},
  [1181] = {.lex_state = 2},
  [1182] = {.lex_state = 2},
  [1183] = {.lex_state = 2},
  [1184] = {.lex_state = 1},
  [1185] = {.lex_state = 2},
  [1186] = {.lex_state = 10},
  [1187] = {.lex_state = 9},
  [1188] = {.lex_state = 9},
  [1189] = {.lex_state = 10},
  [1190] = {.lex_state = 9},
  [1191] = {.lex_state = 9},
  [1192] = {.lex_state = 10},
  [1193] = {.lex_state = 0},
  [1194] = {.lex_state = 2},
  [1195] = {.lex_state = 9},
  [1196] = {.lex_state = 2},
  [1197] = {.lex_state = 0},
  [1198] = {.lex_state = 9},
  [1199] = {.lex_state = 9},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 9},
  [1202] = {.lex_state = 9},
  [1203] = {.lex_state = 10},
  [1204] = {.lex_state = 2},
  [1205] = {.lex_state = 9},
  [1206] = {.lex_state = 2},
  [1207] = {.lex_state = 10},
  [1208] = {.lex_state = 2},
  [1209] = {.lex_state = 7},
  [1210] = {.lex_state = 10},
  [1211] = {.lex_state = 7},
  [1212] = {.lex_state = 10},
  [1213] = {.lex_state = 10},
  [1214] = {.lex_state = 10},
  [1215] = {.lex_state = 10},
  [1216] = {.lex_state = 1},
  [1217] = {.lex_state = 6},
  [1218] = {.lex_state = 2},
  [1219] = {.lex_state = 10},
  [1220] = {.lex_state = 6},
  [1221] = {.lex_state = 6},
  [1222] = {.lex_state = 6},
  [1223] = {.lex_state = 6},
  [1224] = {.lex_state = 6},
  [1225] = {.lex_state = 10},
  [1226] = {.lex_state = 10},
  [1227] = {.lex_state = 6},
  [1228] = {.lex_state = 6},
  [1229] = {.lex_state = 6},
  [1230] = {.lex_state = 6},
  [1231] = {.lex_state = 6},
  [1232] = {.lex_state = 6},
  [1233] = {.lex_state = 10},
  [1234] = {.lex_state = 10},
  [1235] = {.lex_state = 10},
  [1236] = {.lex_state = 10},
  [1237] = {.lex_state = 9},
  [1238] = {.lex_state = 0},
  [1239] = {.lex_state = 6},
  [1240] = {.lex_state = 6},
  [1241] = {.lex_state = 6},
  [1242] = {.lex_state = 6},
  [1243] = {.lex_state = 6},
  [1244] = {.lex_state = 6},
  [1245] = {.lex_state = 10},
  [1246] = {.lex_state = 10},
  [1247] = {.lex_state = 2},
  [1248] = {.lex_state = 2},
  [1249] = {.lex_state = 2},
  [1250] = {.lex_state = 10},
  [1251] = {.lex_state = 10},
  [1252] = {.lex_state = 10},
  [1253] = {.lex_state = 10},
  [1254] = {.lex_state = 10},
  [1255] = {.lex_state = 10},
  [1256] = {.lex_state = 2},
  [1257] = {.lex_state = 2},
  [1258] = {.lex_state = 2},
  [1259] = {.lex_state = 2},
  [1260] = {.lex_state = 10},
  [1261] = {.lex_state = 10},
  [1262] = {.lex_state = 10},
  [1263] = {.lex_state = 2},
  [1264] = {.lex_state = 2},
  [1265] = {.lex_state = 10},
  [1266] = {.lex_state = 2},
  [1267] = {.lex_state = 2},
  [1268] = {.lex_state = 10},
  [1269] = {.lex_state = 0},
  [1270] = {.lex_state = 2},
  [1271] = {.lex_state = 2},
  [1272] = {.lex_state = 2},
  [1273] = {.lex_state = 2},
  [1274] = {.lex_state = 10},
  [1275] = {.lex_state = 10},
  [1276] = {.lex_state = 2},
  [1277] = {.lex_state = 10},
  [1278] = {.lex_state = 0},
  [1279] = {.lex_state = 10},
  [1280] = {.lex_state = 7},
  [1281] = {.lex_state = 7},
  [1282] = {.lex_state = 2},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 2},
  [1285] = {.lex_state = 2},
  [1286] = {.lex_state = 10},
  [1287] = {.lex_state = 2},
  [1288] = {.lex_state = 10},
  [1289] = {.lex_state = 7},
  [1290] = {.lex_state = 0},
  [1291] = {.lex_state = 2},
  [1292] = {.lex_state = 0},
  [1293] = {.lex_state = 0},
  [1294] = {.lex_state = 2},
  [1295] = {.lex_state = 2},
  [1296] = {.lex_state = 0},
  [1297] = {.lex_state = 10},
  [1298] = {.lex_state = 10},
  [1299] = {.lex_state = 10},
  [1300] = {.lex_state = 10},
  [1301] = {.lex_state = 10},
  [1302] = {.lex_state = 10},
  [1303] = {.lex_state = 10},
  [1304] = {.lex_state = 2},
  [1305] = {.lex_state = 0},
  [1306] = {.lex_state = 10},
  [1307] = {.lex_state = 10},
  [1308] = {.lex_state = 0},
  [1309] = {.lex_state = 10},
  [1310] = {.lex_state = 10},
  [1311] = {.lex_state = 10},
  [1312] = {.lex_state = 10},
  [1313] = {.lex_state = 2},
  [1314] = {.lex_state = 10},
  [1315] = {.lex_state = 7},
  [1316] = {.lex_state = 7},
  [1317] = {.lex_state = 10},
  [1318] = {.lex_state = 10},
  [1319] = {.lex_state = 2},
  [1320] = {.lex_state = 10},
  [1321] = {.lex_state = 10},
  [1322] = {.lex_state = 10},
  [1323] = {.lex_state = 10},
  [1324] = {.lex_state = 10},
  [1325] = {.lex_state = 10},
  [1326] = {.lex_state = 10},
  [1327] = {.lex_state = 10},
  [1328] = {.lex_state = 10},
  [1329] = {.lex_state = 0},
  [1330] = {.lex_state = 10},
  [1331] = {.lex_state = 7},
  [1332] = {.lex_state = 0},
  [1333] = {.lex_state = 10},
  [1334] = {.lex_state = 10},
  [1335] = {.lex_state = 10},
  [1336] = {.lex_state = 10},
  [1337] = {.lex_state = 10},
  [1338] = {.lex_state = 10},
  [1339] = {.lex_state = 10},
  [1340] = {.lex_state = 10},
  [1341] = {.lex_state = 10},
  [1342] = {.lex_state = 0},
  [1343] = {.lex_state = 10},
  [1344] = {.lex_state = 10},
  [1345] = {.lex_state = 10},
  [1346] = {.lex_state = 7},
  [1347] = {.lex_state = 10},
  [1348] = {.lex_state = 10},
  [1349] = {.lex_state = 10},
  [1350] = {.lex_state = 10},
  [1351] = {.lex_state = 10},
  [1352] = {.lex_state = 10},
  [1353] = {.lex_state = 10},
  [1354] = {.lex_state = 10},
  [1355] = {.lex_state = 10},
  [1356] = {.lex_state = 10},
  [1357] = {.lex_state = 10},
  [1358] = {.lex_state = 10},
  [1359] = {.lex_state = 10},
  [1360] = {.lex_state = 10},
  [1361] = {.lex_state = 10},
  [1362] = {.lex_state = 10},
  [1363] = {.lex_state = 10},
  [1364] = {.lex_state = 10},
  [1365] = {.lex_state = 10},
  [1366] = {.lex_state = 10},
  [1367] = {.lex_state = 10},
  [1368] = {.lex_state = 10},
  [1369] = {.lex_state = 10},
  [1370] = {.lex_state = 10},
  [1371] = {.lex_state = 10},
  [1372] = {.lex_state = 10},
  [1373] = {.lex_state = 10},
  [1374] = {.lex_state = 10},
  [1375] = {.lex_state = 10},
  [1376] = {.lex_state = 10},
  [1377] = {.lex_state = 10},
  [1378] = {.lex_state = 10},
  [1379] = {.lex_state = 10},
  [1380] = {.lex_state = 10},
  [1381] = {.lex_state = 10},
  [1382] = {.lex_state = 10},
  [1383] = {.lex_state = 10},
  [1384] = {.lex_state = 10},
  [1385] = {.lex_state = 10},
  [1386] = {.lex_state = 10},
  [1387] = {.lex_state = 10},
  [1388] = {.lex_state = 10},
  [1389] = {.lex_state = 10},
  [1390] = {.lex_state = 10},
  [1391] = {.lex_state = 10},
  [1392] = {.lex_state = 10},
  [1393] = {.lex_state = 10},
  [1394] = {.lex_state = 10},
  [1395] = {.lex_state = 10},
  [1396] = {.lex_state = 10},
  [1397] = {.lex_state = 10},
  [1398] = {.lex_state = 10},
  [1399] = {.lex_state = 10},
  [1400] = {.lex_state = 10},
  [1401] = {.lex_state = 10},
  [1402] = {.lex_state = 10},
  [1403] = {.lex_state = 2},
  [1404] = {.lex_state = 2},
  [1405] = {.lex_state = 2},
  [1406] = {.lex_state = 7},
  [1407] = {.lex_state = 2},
  [1408] = {.lex_state = 2},
  [1409] = {.lex_state = 2},
  [1410] = {.lex_state = 7},
  [1411] = {.lex_state = 7},
  [1412] = {.lex_state = 0},
  [1413] = {.lex_state = 16},
  [1414] = {.lex_state = 7},
  [1415] = {.lex_state = 7},
  [1416] = {.lex_state = 10},
  [1417] = {.lex_state = 10},
  [1418] = {.lex_state = 15},
  [1419] = {.lex_state = 10},
  [1420] = {.lex_state = 10},
  [1421] = {.lex_state = 7},
  [1422] = {.lex_state = 15},
  [1423] = {.lex_state = 10},
  [1424] = {.lex_state = 0},
  [1425] = {.lex_state = 0},
  [1426] = {.lex_state = 0},
  [1427] = {.lex_state = 0},
  [1428] = {.lex_state = 0},
  [1429] = {.lex_state = 2},
  [1430] = {.lex_state = 0},
  [1431] = {.lex_state = 2},
  [1432] = {.lex_state = 15},
  [1433] = {.lex_state = 0},
  [1434] = {.lex_state = 10},
  [1435] = {.lex_state = 10},
  [1436] = {.lex_state = 10},
  [1437] = {.lex_state = 10},
  [1438] = {.lex_state = 10},
  [1439] = {.lex_state = 10},
  [1440] = {.lex_state = 10},
  [1441] = {.lex_state = 10},
  [1442] = {.lex_state = 10},
  [1443] = {.lex_state = 10},
  [1444] = {.lex_state = 7},
  [1445] = {.lex_state = 0},
  [1446] = {.lex_state = 7},
  [1447] = {.lex_state = 0},
  [1448] = {.lex_state = 0},
  [1449] = {.lex_state = 10},
  [1450] = {.lex_state = 10},
  [1451] = {.lex_state = 0},
  [1452] = {.lex_state = 10},
  [1453] = {.lex_state = 10},
  [1454] = {.lex_state = 0},
  [1455] = {.lex_state = 2},
  [1456] = {.lex_state = 10},
  [1457] = {.lex_state = 2},
  [1458] = {.lex_state = 10},
  [1459] = {.lex_state = 2},
  [1460] = {.lex_state = 10},
  [1461] = {.lex_state = 10},
  [1462] = {.lex_state = 2},
  [1463] = {.lex_state = 10},
  [1464] = {.lex_state = 10},
  [1465] = {.lex_state = 10},
  [1466] = {.lex_state = 10},
  [1467] = {.lex_state = 10},
  [1468] = {.lex_state = 10},
  [1469] = {.lex_state = 10},
  [1470] = {.lex_state = 10},
  [1471] = {.lex_state = 10},
  [1472] = {.lex_state = 10},
  [1473] = {.lex_state = 10},
  [1474] = {.lex_state = 2},
  [1475] = {.lex_state = 2},
  [1476] = {.lex_state = 2},
  [1477] = {.lex_state = 2},
  [1478] = {.lex_state = 2},
  [1479] = {.lex_state = 2},
  [1480] = {.lex_state = 2},
  [1481] = {.lex_state = 2},
  [1482] = {.lex_state = 10},
  [1483] = {.lex_state = 10},
  [1484] = {.lex_state = 2},
  [1485] = {.lex_state = 0},
  [1486] = {.lex_state = 2},
  [1487] = {.lex_state = 10},
  [1488] = {.lex_state = 2},
  [1489] = {.lex_state = 0},
  [1490] = {.lex_state = 2},
  [1491] = {.lex_state = 7},
  [1492] = {.lex_state = 2},
  [1493] = {.lex_state = 2},
  [1494] = {.lex_state = 10},
  [1495] = {.lex_state = 10},
  [1496] = {.lex_state = 10},
  [1497] = {.lex_state = 0},
  [1498] = {.lex_state = 2},
  [1499] = {.lex_state = 6},
  [1500] = {.lex_state = 6},
  [1501] = {.lex_state = 16},
  [1502] = {.lex_state = 2},
  [1503] = {.lex_state = 6},
  [1504] = {.lex_state = 6},
  [1505] = {.lex_state = 10},
  [1506] = {.lex_state = 7},
  [1507] = {.lex_state = 2},
  [1508] = {.lex_state = 2},
  [1509] = {.lex_state = 10},
  [1510] = {.lex_state = 2},
  [1511] = {.lex_state = 2},
  [1512] = {.lex_state = 6},
  [1513] = {.lex_state = 0},
  [1514] = {.lex_state = 2},
  [1515] = {.lex_state = 2},
  [1516] = {.lex_state = 2},
  [1517] = {.lex_state = 2},
  [1518] = {.lex_state = 2},
  [1519] = {.lex_state = 0},
  [1520] = {.lex_state = 2},
  [1521] = {.lex_state = 2},
  [1522] = {.lex_state = 0},
  [1523] = {.lex_state = 6},
  [1524] = {.lex_state = 2},
  [1525] = {.lex_state = 2},
  [1526] = {.lex_state = 6},
  [1527] = {.lex_state = 0},
  [1528] = {.lex_state = 2},
  [1529] = {.lex_state = 2},
  [1530] = {.lex_state = 2},
  [1531] = {.lex_state = 2},
  [1532] = {.lex_state = 2},
  [1533] = {.lex_state = 2},
  [1534] = {.lex_state = 0},
  [1535] = {.lex_state = 2},
  [1536] = {.lex_state = 2},
  [1537] = {.lex_state = 2},
  [1538] = {.lex_state = 2},
  [1539] = {.lex_state = 2},
  [1540] = {.lex_state = 2},
  [1541] = {.lex_state = 2},
  [1542] = {.lex_state = 2},
  [1543] = {.lex_state = 2},
  [1544] = {.lex_state = 2},
  [1545] = {.lex_state = 2},
  [1546] = {.lex_state = 2},
  [1547] = {.lex_state = 0},
  [1548] = {.lex_state = 2},
  [1549] = {.lex_state = 2},
  [1550] = {.lex_state = 2},
  [1551] = {.lex_state = 0},
  [1552] = {.lex_state = 2},
  [1553] = {.lex_state = 2},
  [1554] = {.lex_state = 6},
  [1555] = {.lex_state = 2},
  [1556] = {.lex_state = 0},
  [1557] = {.lex_state = 2},
  [1558] = {.lex_state = 2},
  [1559] = {.lex_state = 2},
  [1560] = {.lex_state = 2},
  [1561] = {.lex_state = 2},
  [1562] = {.lex_state = 2},
  [1563] = {.lex_state = 10},
  [1564] = {.lex_state = 2},
  [1565] = {.lex_state = 2},
  [1566] = {.lex_state = 2},
  [1567] = {.lex_state = 2},
  [1568] = {.lex_state = 2},
  [1569] = {.lex_state = 2},
  [1570] = {.lex_state = 15},
  [1571] = {.lex_state = 10},
  [1572] = {.lex_state = 10},
  [1573] = {.lex_state = 10},
  [1574] = {.lex_state = 10},
  [1575] = {.lex_state = 10},
  [1576] = {.lex_state = 10},
  [1577] = {.lex_state = 10},
  [1578] = {.lex_state = 10},
  [1579] = {.lex_state = 10},
  [1580] = {.lex_state = 10},
  [1581] = {.lex_state = 10},
  [1582] = {.lex_state = 10},
  [1583] = {.lex_state = 2},
  [1584] = {.lex_state = 2},
  [1585] = {.lex_state = 10},
  [1586] = {.lex_state = 10},
  [1587] = {.lex_state = 10},
  [1588] = {.lex_state = 10},
  [1589] = {.lex_state = 10},
  [1590] = {.lex_state = 2},
  [1591] = {.lex_state = 2},
  [1592] = {.lex_state = 10},
  [1593] = {.lex_state = 10},
  [1594] = {.lex_state = 10},
  [1595] = {.lex_state = 2},
  [1596] = {.lex_state = 2},
  [1597] = {.lex_state = 2},
  [1598] = {.lex_state = 2},
  [1599] = {.lex_state = 2},
  [1600] = {.lex_state = 10},
  [1601] = {.lex_state = 2},
  [1602] = {.lex_state = 10},
  [1603] = {.lex_state = 10},
  [1604] = {.lex_state = 7},
  [1605] = {.lex_state = 2},
  [1606] = {.lex_state = 15},
  [1607] = {.lex_state = 10},
  [1608] = {.lex_state = 2},
  [1609] = {.lex_state = 2},
  [1610] = {.lex_state = 2},
  [1611] = {.lex_state = 2},
  [1612] = {.lex_state = 10},
  [1613] = {.lex_state = 2},
  [1614] = {.lex_state = 10},
  [1615] = {.lex_state = 10},
  [1616] = {.lex_state = 10},
  [1617] = {.lex_state = 2},
  [1618] = {.lex_state = 10},
  [1619] = {.lex_state = 10},
  [1620] = {.lex_state = 10},
  [1621] = {.lex_state = 10},
  [1622] = {.lex_state = 10},
  [1623] = {.lex_state = 10},
  [1624] = {.lex_state = 10},
  [1625] = {.lex_state = 10},
  [1626] = {.lex_state = 10},
  [1627] = {.lex_state = 10},
  [1628] = {.lex_state = 2},
  [1629] = {.lex_state = 10},
  [1630] = {.lex_state = 7},
  [1631] = {.lex_state = 10},
  [1632] = {.lex_state = 10},
  [1633] = {.lex_state = 10},
  [1634] = {.lex_state = 10},
  [1635] = {.lex_state = 10},
  [1636] = {.lex_state = 10},
  [1637] = {.lex_state = 10},
  [1638] = {.lex_state = 10},
  [1639] = {.lex_state = 10},
  [1640] = {.lex_state = 10},
  [1641] = {.lex_state = 10},
  [1642] = {.lex_state = 10},
  [1643] = {.lex_state = 10},
  [1644] = {.lex_state = 10},
  [1645] = {.lex_state = 10},
  [1646] = {.lex_state = 10},
  [1647] = {.lex_state = 10},
  [1648] = {.lex_state = 10},
  [1649] = {.lex_state = 10},
  [1650] = {.lex_state = 10},
  [1651] = {.lex_state = 10},
  [1652] = {.lex_state = 10},
  [1653] = {.lex_state = 10},
  [1654] = {.lex_state = 10},
  [1655] = {.lex_state = 10},
  [1656] = {.lex_state = 10},
  [1657] = {.lex_state = 10},
  [1658] = {.lex_state = 10},
  [1659] = {.lex_state = 10},
  [1660] = {.lex_state = 10},
  [1661] = {.lex_state = 6},
  [1662] = {.lex_state = 10},
  [1663] = {.lex_state = 10},
  [1664] = {.lex_state = 10},
  [1665] = {.lex_state = 10},
  [1666] = {.lex_state = 10},
  [1667] = {.lex_state = 10},
  [1668] = {.lex_state = 6},
  [1669] = {.lex_state = 10},
  [1670] = {.lex_state = 10},
  [1671] = {.lex_state = 10},
  [1672] = {.lex_state = 6},
  [1673] = {.lex_state = 10},
  [1674] = {.lex_state = 10},
  [1675] = {.lex_state = 10},
  [1676] = {.lex_state = 10},
  [1677] = {.lex_state = 6},
  [1678] = {.lex_state = 10},
  [1679] = {.lex_state = 10},
  [1680] = {.lex_state = 6},
  [1681] = {.lex_state = 10},
  [1682] = {.lex_state = 10},
  [1683] = {.lex_state = 10},
  [1684] = {.lex_state = 10},
  [1685] = {.lex_state = 10},
  [1686] = {.lex_state = 10},
  [1687] = {.lex_state = 10},
  [1688] = {.lex_state = 10},
  [1689] = {.lex_state = 10},
  [1690] = {.lex_state = 10},
  [1691] = {.lex_state = 10},
  [1692] = {.lex_state = 10},
  [1693] = {.lex_state = 10},
  [1694] = {.lex_state = 10},
  [1695] = {.lex_state = 6},
  [1696] = {.lex_state = 10},
  [1697] = {.lex_state = 10},
  [1698] = {.lex_state = 10},
  [1699] = {.lex_state = 10},
  [1700] = {.lex_state = 10},
  [1701] = {.lex_state = 10},
  [1702] = {.lex_state = 10},
  [1703] = {.lex_state = 10},
  [1704] = {.lex_state = 10},
  [1705] = {.lex_state = 10},
  [1706] = {.lex_state = 10},
  [1707] = {.lex_state = 10},
  [1708] = {.lex_state = 10},
  [1709] = {.lex_state = 10},
  [1710] = {.lex_state = 10},
  [1711] = {.lex_state = 10},
  [1712] = {.lex_state = 6},
  [1713] = {.lex_state = 10},
  [1714] = {.lex_state = 10},
  [1715] = {.lex_state = 10},
  [1716] = {.lex_state = 10},
  [1717] = {.lex_state = 10},
  [1718] = {.lex_state = 10},
  [1719] = {.lex_state = 10},
  [1720] = {.lex_state = 10},
  [1721] = {.lex_state = 10},
  [1722] = {.lex_state = 10},
  [1723] = {.lex_state = 10},
  [1724] = {.lex_state = 10},
  [1725] = {.lex_state = 10},
  [1726] = {.lex_state = 10},
  [1727] = {.lex_state = 10},
  [1728] = {.lex_state = 10},
  [1729] = {.lex_state = 10},
  [1730] = {.lex_state = 10},
  [1731] = {.lex_state = 10},
  [1732] = {.lex_state = 10},
  [1733] = {.lex_state = 10},
  [1734] = {.lex_state = 10},
  [1735] = {.lex_state = 10},
  [1736] = {.lex_state = 10},
  [1737] = {.lex_state = 10},
  [1738] = {.lex_state = 10},
  [1739] = {.lex_state = 10},
  [1740] = {.lex_state = 10},
  [1741] = {.lex_state = 10},
  [1742] = {.lex_state = 10},
  [1743] = {.lex_state = 10},
  [1744] = {.lex_state = 10},
  [1745] = {.lex_state = 10},
  [1746] = {.lex_state = 10},
  [1747] = {.lex_state = 10},
  [1748] = {.lex_state = 6},
  [1749] = {.lex_state = 7},
  [1750] = {.lex_state = 15},
  [1751] = {.lex_state = 15},
  [1752] = {.lex_state = 15},
  [1753] = {.lex_state = 6},
  [1754] = {.lex_state = 15},
  [1755] = {.lex_state = 15},
  [1756] = {.lex_state = 15},
  [1757] = {.lex_state = 1},
  [1758] = {.lex_state = 15},
  [1759] = {.lex_state = 7},
  [1760] = {.lex_state = 6},
  [1761] = {.lex_state = 16},
  [1762] = {.lex_state = 7},
  [1763] = {.lex_state = 6},
  [1764] = {.lex_state = 15},
  [1765] = {.lex_state = 6},
  [1766] = {.lex_state = 6},
  [1767] = {.lex_state = 15},
  [1768] = {.lex_state = 15},
  [1769] = {.lex_state = 6},
  [1770] = {.lex_state = 1},
  [1771] = {.lex_state = 6},
  [1772] = {.lex_state = 15},
  [1773] = {.lex_state = 6},
  [1774] = {.lex_state = 6},
  [1775] = {.lex_state = 6},
  [1776] = {.lex_state = 6},
  [1777] = {.lex_state = 6},
  [1778] = {.lex_state = 6},
  [1779] = {.lex_state = 6},
  [1780] = {.lex_state = 15},
  [1781] = {.lex_state = 6},
  [1782] = {.lex_state = 16},
  [1783] = {.lex_state = 15},
  [1784] = {.lex_state = 15},
  [1785] = {.lex_state = 6},
  [1786] = {.lex_state = 6},
  [1787] = {.lex_state = 6},
  [1788] = {.lex_state = 15},
  [1789] = {.lex_state = 6},
  [1790] = {.lex_state = 6},
  [1791] = {.lex_state = 6},
  [1792] = {.lex_state = 15},
  [1793] = {.lex_state = 6},
  [1794] = {.lex_state = 6},
  [1795] = {.lex_state = 6},
  [1796] = {.lex_state = 15},
  [1797] = {.lex_state = 6},
  [1798] = {.lex_state = 6},
  [1799] = {.lex_state = 6},
  [1800] = {.lex_state = 6},
  [1801] = {.lex_state = 6},
  [1802] = {.lex_state = 15},
  [1803] = {.lex_state = 6},
  [1804] = {.lex_state = 6},
  [1805] = {.lex_state = 6},
  [1806] = {.lex_state = 6},
  [1807] = {.lex_state = 7},
  [1808] = {.lex_state = 6},
  [1809] = {.lex_state = 15},
  [1810] = {.lex_state = 6},
  [1811] = {.lex_state = 15},
  [1812] = {.lex_state = 15},
  [1813] = {.lex_state = 6},
  [1814] = {.lex_state = 6},
  [1815] = {.lex_state = 6},
  [1816] = {.lex_state = 6},
  [1817] = {.lex_state = 6},
  [1818] = {.lex_state = 6},
  [1819] = {.lex_state = 6},
  [1820] = {.lex_state = 6},
  [1821] = {.lex_state = 6},
  [1822] = {.lex_state = 6},
  [1823] = {.lex_state = 6},
  [1824] = {.lex_state = 6},
  [1825] = {.lex_state = 6},
  [1826] = {.lex_state = 6},
  [1827] = {.lex_state = 6},
  [1828] = {.lex_state = 6},
  [1829] = {.lex_state = 6},
  [1830] = {.lex_state = 6},
  [1831] = {.lex_state = 6},
  [1832] = {.lex_state = 6},
  [1833] = {.lex_state = 6},
  [1834] = {.lex_state = 6},
  [1835] = {.lex_state = 6},
  [1836] = {.lex_state = 6},
  [1837] = {.lex_state = 6},
  [1838] = {.lex_state = 6},
  [1839] = {.lex_state = 6},
  [1840] = {.lex_state = 6},
  [1841] = {.lex_state = 6},
  [1842] = {.lex_state = 6},
  [1843] = {.lex_state = 6},
  [1844] = {.lex_state = 6},
  [1845] = {.lex_state = 6},
  [1846] = {.lex_state = 6},
  [1847] = {.lex_state = 6},
  [1848] = {.lex_state = 6},
  [1849] = {.lex_state = 6},
  [1850] = {.lex_state = 6},
  [1851] = {.lex_state = 6},
  [1852] = {.lex_state = 6},
  [1853] = {.lex_state = 6},
  [1854] = {.lex_state = 6},
  [1855] = {.lex_state = 6},
  [1856] = {.lex_state = 6},
  [1857] = {.lex_state = 6},
  [1858] = {.lex_state = 6},
  [1859] = {.lex_state = 6},
  [1860] = {.lex_state = 6},
  [1861] = {.lex_state = 6},
  [1862] = {.lex_state = 6},
  [1863] = {.lex_state = 6},
  [1864] = {.lex_state = 6},
  [1865] = {.lex_state = 6},
  [1866] = {.lex_state = 6},
  [1867] = {.lex_state = 6},
  [1868] = {.lex_state = 6},
  [1869] = {.lex_state = 6},
  [1870] = {.lex_state = 6},
  [1871] = {.lex_state = 6},
  [1872] = {.lex_state = 6},
  [1873] = {.lex_state = 6},
  [1874] = {.lex_state = 16},
  [1875] = {.lex_state = 6},
  [1876] = {.lex_state = 6},
  [1877] = {.lex_state = 6},
  [1878] = {.lex_state = 6},
  [1879] = {.lex_state = 6},
  [1880] = {.lex_state = 6},
  [1881] = {.lex_state = 6},
  [1882] = {.lex_state = 6},
  [1883] = {.lex_state = 6},
  [1884] = {.lex_state = 6},
  [1885] = {.lex_state = 6},
  [1886] = {.lex_state = 6},
  [1887] = {.lex_state = 6},
  [1888] = {.lex_state = 6},
  [1889] = {.lex_state = 6},
  [1890] = {.lex_state = 6},
  [1891] = {.lex_state = 6},
  [1892] = {.lex_state = 6},
  [1893] = {.lex_state = 6},
  [1894] = {.lex_state = 6},
  [1895] = {.lex_state = 6},
  [1896] = {.lex_state = 6},
  [1897] = {.lex_state = 6},
  [1898] = {.lex_state = 6},
  [1899] = {.lex_state = 6},
  [1900] = {.lex_state = 6},
  [1901] = {.lex_state = 6},
  [1902] = {.lex_state = 6},
  [1903] = {.lex_state = 6},
  [1904] = {.lex_state = 6},
  [1905] = {.lex_state = 6},
  [1906] = {.lex_state = 6},
  [1907] = {.lex_state = 6},
  [1908] = {.lex_state = 6},
  [1909] = {.lex_state = 6},
  [1910] = {.lex_state = 6},
  [1911] = {.lex_state = 6},
  [1912] = {.lex_state = 15},
  [1913] = {.lex_state = 6},
  [1914] = {.lex_state = 6},
  [1915] = {.lex_state = 6},
  [1916] = {.lex_state = 6},
  [1917] = {.lex_state = 6},
  [1918] = {.lex_state = 6},
  [1919] = {.lex_state = 15},
  [1920] = {.lex_state = 7},
  [1921] = {.lex_state = 7},
  [1922] = {.lex_state = 1},
  [1923] = {.lex_state = 1},
  [1924] = {.lex_state = 6},
  [1925] = {.lex_state = 7},
  [1926] = {.lex_state = 7},
  [1927] = {.lex_state = 7},
  [1928] = {.lex_state = 7},
  [1929] = {.lex_state = 1},
  [1930] = {.lex_state = 7},
  [1931] = {.lex_state = 7},
  [1932] = {.lex_state = 1},
  [1933] = {.lex_state = 1},
  [1934] = {.lex_state = 7},
  [1935] = {.lex_state = 7},
  [1936] = {.lex_state = 7},
  [1937] = {.lex_state = 7},
  [1938] = {.lex_state = 1},
  [1939] = {.lex_state = 7},
  [1940] = {.lex_state = 7},
  [1941] = {.lex_state = 7},
  [1942] = {.lex_state = 7},
  [1943] = {.lex_state = 7},
  [1944] = {.lex_state = 7},
  [1945] = {.lex_state = 7},
  [1946] = {.lex_state = 7},
  [1947] = {.lex_state = 1},
  [1948] = {.lex_state = 6},
  [1949] = {.lex_state = 6},
  [1950] = {.lex_state = 1},
  [1951] = {.lex_state = 6},
  [1952] = {.lex_state = 5},
  [1953] = {.lex_state = 5},
  [1954] = {.lex_state = 6},
  [1955] = {.lex_state = 5},
  [1956] = {.lex_state = 7},
  [1957] = {.lex_state = 6},
  [1958] = {.lex_state = 7},
  [1959] = {.lex_state = 7},
  [1960] = {.lex_state = 7},
  [1961] = {.lex_state = 7},
  [1962] = {.lex_state = 6},
  [1963] = {.lex_state = 7},
  [1964] = {.lex_state = 7},
  [1965] = {.lex_state = 7},
  [1966] = {.lex_state = 5},
  [1967] = {.lex_state = 5},
  [1968] = {.lex_state = 6},
  [1969] = {.lex_state = 7},
  [1970] = {.lex_state = 4},
  [1971] = {.lex_state = 7},
  [1972] = {.lex_state = 1},
  [1973] = {.lex_state = 7},
  [1974] = {.lex_state = 4},
  [1975] = {.lex_state = 6},
  [1976] = {.lex_state = 6},
  [1977] = {.lex_state = 6},
  [1978] = {.lex_state = 6},
  [1979] = {.lex_state = 7},
  [1980] = {.lex_state = 7},
  [1981] = {.lex_state = 6},
  [1982] = {.lex_state = 6},
  [1983] = {.lex_state = 7},
  [1984] = {.lex_state = 6},
  [1985] = {.lex_state = 7},
  [1986] = {.lex_state = 6},
  [1987] = {.lex_state = 7},
  [1988] = {.lex_state = 7},
  [1989] = {.lex_state = 6},
  [1990] = {.lex_state = 6},
  [1991] = {.lex_state = 6},
  [1992] = {.lex_state = 6},
  [1993] = {.lex_state = 7},
  [1994] = {.lex_state = 6},
  [1995] = {.lex_state = 7},
  [1996] = {.lex_state = 7},
  [1997] = {.lex_state = 7},
  [1998] = {.lex_state = 7},
  [1999] = {.lex_state = 6},
  [2000] = {.lex_state = 7},
  [2001] = {.lex_state = 7},
  [2002] = {.lex_state = 7},
  [2003] = {.lex_state = 7},
  [2004] = {.lex_state = 7},
  [2005] = {.lex_state = 7},
  [2006] = {.lex_state = 6},
  [2007] = {.lex_state = 6},
  [2008] = {.lex_state = 6},
  [2009] = {.lex_state = 6},
  [2010] = {.lex_state = 7},
  [2011] = {.lex_state = 6},
  [2012] = {.lex_state = 6},
  [2013] = {.lex_state = 6},
  [2014] = {.lex_state = 6},
  [2015] = {.lex_state = 6},
  [2016] = {.lex_state = 6},
  [2017] = {.lex_state = 6},
  [2018] = {.lex_state = 6},
  [2019] = {.lex_state = 6},
  [2020] = {.lex_state = 6},
  [2021] = {.lex_state = 6},
  [2022] = {.lex_state = 6},
  [2023] = {.lex_state = 6},
  [2024] = {.lex_state = 6},
  [2025] = {.lex_state = 6},
  [2026] = {.lex_state = 6},
  [2027] = {.lex_state = 6},
  [2028] = {.lex_state = 7},
  [2029] = {.lex_state = 4},
  [2030] = {.lex_state = 17},
  [2031] = {.lex_state = 12},
  [2032] = {.lex_state = 12},
  [2033] = {.lex_state = 17},
  [2034] = {.lex_state = 12},
  [2035] = {.lex_state = 12},
  [2036] = {.lex_state = 7},
  [2037] = {.lex_state = 6},
  [2038] = {.lex_state = 17},
  [2039] = {.lex_state = 12},
  [2040] = {.lex_state = 17},
  [2041] = {.lex_state = 12},
  [2042] = {.lex_state = 17},
  [2043] = {.lex_state = 17},
  [2044] = {.lex_state = 12},
  [2045] = {.lex_state = 4},
  [2046] = {.lex_state = 6},
  [2047] = {.lex_state = 12},
  [2048] = {.lex_state = 17},
  [2049] = {.lex_state = 17},
  [2050] = {.lex_state = 6},
  [2051] = {.lex_state = 6},
  [2052] = {.lex_state = 6},
  [2053] = {.lex_state = 6},
  [2054] = {.lex_state = 12},
  [2055] = {.lex_state = 7},
  [2056] = {.lex_state = 17},
  [2057] = {.lex_state = 7},
  [2058] = {.lex_state = 6},
  [2059] = {.lex_state = 6},
  [2060] = {.lex_state = 6},
  [2061] = {.lex_state = 6},
  [2062] = {.lex_state = 6},
  [2063] = {.lex_state = 6},
  [2064] = {.lex_state = 6},
  [2065] = {.lex_state = 6},
  [2066] = {.lex_state = 4},
  [2067] = {.lex_state = 1},
  [2068] = {.lex_state = 6},
  [2069] = {.lex_state = 6},
  [2070] = {.lex_state = 6},
  [2071] = {.lex_state = 6},
  [2072] = {.lex_state = 4},
  [2073] = {.lex_state = 6},
  [2074] = {.lex_state = 1},
  [2075] = {.lex_state = 6},
  [2076] = {.lex_state = 6},
  [2077] = {.lex_state = 1},
  [2078] = {.lex_state = 6},
  [2079] = {.lex_state = 6},
  [2080] = {.lex_state = 6},
  [2081] = {.lex_state = 6},
  [2082] = {.lex_state = 6},
  [2083] = {.lex_state = 6},
  [2084] = {.lex_state = 6},
  [2085] = {.lex_state = 6},
  [2086] = {.lex_state = 6},
  [2087] = {.lex_state = 6},
  [2088] = {.lex_state = 4},
  [2089] = {.lex_state = 6},
  [2090] = {.lex_state = 6},
  [2091] = {.lex_state = 6},
  [2092] = {.lex_state = 4},
  [2093] = {.lex_state = 6},
  [2094] = {.lex_state = 4},
  [2095] = {.lex_state = 4},
  [2096] = {.lex_state = 6},
  [2097] = {.lex_state = 6},
  [2098] = {.lex_state = 4},
  [2099] = {.lex_state = 6},
  [2100] = {.lex_state = 6},
  [2101] = {.lex_state = 16},
  [2102] = {.lex_state = 6},
  [2103] = {.lex_state = 4},
  [2104] = {.lex_state = 6},
  [2105] = {.lex_state = 6},
  [2106] = {.lex_state = 6},
  [2107] = {.lex_state = 6},
  [2108] = {.lex_state = 6},
  [2109] = {.lex_state = 1},
  [2110] = {.lex_state = 4},
  [2111] = {.lex_state = 6},
  [2112] = {.lex_state = 5},
  [2113] = {.lex_state = 4},
  [2114] = {.lex_state = 5},
  [2115] = {.lex_state = 6},
  [2116] = {.lex_state = 6},
  [2117] = {.lex_state = 1},
  [2118] = {.lex_state = 6},
  [2119] = {.lex_state = 6},
  [2120] = {.lex_state = 5},
  [2121] = {.lex_state = 4},
  [2122] = {.lex_state = 6},
  [2123] = {.lex_state = 6},
  [2124] = {.lex_state = 1},
  [2125] = {.lex_state = 5},
  [2126] = {.lex_state = 6},
  [2127] = {.lex_state = 6},
  [2128] = {.lex_state = 5},
  [2129] = {.lex_state = 1},
  [2130] = {.lex_state = 6},
  [2131] = {.lex_state = 6},
  [2132] = {.lex_state = 5},
  [2133] = {.lex_state = 1},
  [2134] = {.lex_state = 6},
  [2135] = {.lex_state = 1},
  [2136] = {.lex_state = 1},
  [2137] = {.lex_state = 5},
  [2138] = {.lex_state = 1},
  [2139] = {.lex_state = 0},
  [2140] = {.lex_state = 4},
  [2141] = {.lex_state = 4},
  [2142] = {.lex_state = 4},
  [2143] = {.lex_state = 0},
  [2144] = {.lex_state = 0},
  [2145] = {.lex_state = 1},
  [2146] = {.lex_state = 1},
  [2147] = {.lex_state = 1},
  [2148] = {.lex_state = 1},
  [2149] = {.lex_state = 1},
  [2150] = {.lex_state = 1},
  [2151] = {.lex_state = 6},
  [2152] = {.lex_state = 6},
  [2153] = {.lex_state = 7},
  [2154] = {.lex_state = 4},
  [2155] = {.lex_state = 6},
  [2156] = {.lex_state = 6},
  [2157] = {.lex_state = 14},
  [2158] = {.lex_state = 14},
  [2159] = {.lex_state = 5},
  [2160] = {.lex_state = 6},
  [2161] = {.lex_state = 6},
  [2162] = {.lex_state = 4},
  [2163] = {.lex_state = 6},
  [2164] = {.lex_state = 6},
  [2165] = {.lex_state = 6},
  [2166] = {.lex_state = 6},
  [2167] = {.lex_state = 6},
  [2168] = {.lex_state = 7},
  [2169] = {.lex_state = 6},
  [2170] = {.lex_state = 6},
  [2171] = {.lex_state = 6},
  [2172] = {.lex_state = 14},
  [2173] = {.lex_state = 14},
  [2174] = {.lex_state = 5},
  [2175] = {.lex_state = 6},
  [2176] = {.lex_state = 6},
  [2177] = {.lex_state = 6},
  [2178] = {.lex_state = 6},
  [2179] = {.lex_state = 6},
  [2180] = {.lex_state = 6},
  [2181] = {.lex_state = 14},
  [2182] = {.lex_state = 17},
  [2183] = {.lex_state = 12},
  [2184] = {.lex_state = 6},
  [2185] = {.lex_state = 6},
  [2186] = {.lex_state = 6},
  [2187] = {.lex_state = 6},
  [2188] = {.lex_state = 6},
  [2189] = {.lex_state = 6},
  [2190] = {.lex_state = 6},
  [2191] = {.lex_state = 6},
  [2192] = {.lex_state = 6},
  [2193] = {.lex_state = 6},
  [2194] = {.lex_state = 6},
  [2195] = {.lex_state = 6},
  [2196] = {.lex_state = 14},
  [2197] = {.lex_state = 6},
  [2198] = {.lex_state = 7},
  [2199] = {.lex_state = 6},
  [2200] = {.lex_state = 12},
  [2201] = {.lex_state = 7},
  [2202] = {.lex_state = 6},
  [2203] = {.lex_state = 6},
  [2204] = {.lex_state = 6},
  [2205] = {.lex_state = 6},
  [2206] = {.lex_state = 6},
  [2207] = {.lex_state = 6},
  [2208] = {.lex_state = 7},
  [2209] = {.lex_state = 4},
  [2210] = {.lex_state = 6},
  [2211] = {.lex_state = 6},
  [2212] = {.lex_state = 7},
  [2213] = {.lex_state = 6},
  [2214] = {.lex_state = 7},
  [2215] = {.lex_state = 6},
  [2216] = {.lex_state = 17},
  [2217] = {.lex_state = 7},
  [2218] = {.lex_state = 6},
  [2219] = {.lex_state = 6},
  [2220] = {.lex_state = 14},
  [2221] = {.lex_state = 7},
  [2222] = {.lex_state = 5},
  [2223] = {.lex_state = 6},
  [2224] = {.lex_state = 7},
  [2225] = {.lex_state = 14},
  [2226] = {.lex_state = 7},
  [2227] = {.lex_state = 6},
  [2228] = {.lex_state = 6},
  [2229] = {.lex_state = 7},
  [2230] = {.lex_state = 14},
  [2231] = {.lex_state = 7},
  [2232] = {.lex_state = 7},
  [2233] = {.lex_state = 7},
  [2234] = {.lex_state = 7},
  [2235] = {.lex_state = 7},
  [2236] = {.lex_state = 7},
  [2237] = {.lex_state = 6},
  [2238] = {.lex_state = 6},
  [2239] = {.lex_state = 7},
  [2240] = {.lex_state = 7},
  [2241] = {.lex_state = 6},
  [2242] = {.lex_state = 6},
  [2243] = {.lex_state = 6},
  [2244] = {.lex_state = 0},
  [2245] = {.lex_state = 0},
  [2246] = {.lex_state = 0},
  [2247] = {.lex_state = 0},
  [2248] = {.lex_state = 0},
  [2249] = {.lex_state = 0},
  [2250] = {.lex_state = 0},
  [2251] = {.lex_state = 0},
  [2252] = {.lex_state = 0},
  [2253] = {.lex_state = 0},
  [2254] = {.lex_state = 0},
  [2255] = {.lex_state = 4},
  [2256] = {.lex_state = 1},
  [2257] = {.lex_state = 0},
  [2258] = {.lex_state = 0},
  [2259] = {.lex_state = 0},
  [2260] = {.lex_state = 0},
  [2261] = {.lex_state = 0},
  [2262] = {.lex_state = 0},
  [2263] = {.lex_state = 0},
  [2264] = {.lex_state = 76},
  [2265] = {.lex_state = 6},
  [2266] = {.lex_state = 0},
  [2267] = {.lex_state = 0},
  [2268] = {.lex_state = 0},
  [2269] = {.lex_state = 6},
  [2270] = {.lex_state = 76},
  [2271] = {.lex_state = 0},
  [2272] = {.lex_state = 0},
  [2273] = {.lex_state = 0},
  [2274] = {.lex_state = 0},
  [2275] = {.lex_state = 0},
  [2276] = {.lex_state = 0},
  [2277] = {.lex_state = 0},
  [2278] = {.lex_state = 0},
  [2279] = {.lex_state = 0},
  [2280] = {.lex_state = 76},
  [2281] = {.lex_state = 0},
  [2282] = {.lex_state = 4},
  [2283] = {.lex_state = 0},
  [2284] = {.lex_state = 5},
  [2285] = {.lex_state = 0},
  [2286] = {.lex_state = 0},
  [2287] = {.lex_state = 0},
  [2288] = {.lex_state = 0},
  [2289] = {.lex_state = 4},
  [2290] = {.lex_state = 0},
  [2291] = {.lex_state = 0},
  [2292] = {.lex_state = 0},
  [2293] = {.lex_state = 0},
  [2294] = {.lex_state = 0},
  [2295] = {.lex_state = 0},
  [2296] = {.lex_state = 6},
  [2297] = {.lex_state = 0},
  [2298] = {.lex_state = 1},
  [2299] = {.lex_state = 4},
  [2300] = {.lex_state = 0},
  [2301] = {.lex_state = 0},
  [2302] = {.lex_state = 0},
  [2303] = {.lex_state = 0},
  [2304] = {.lex_state = 0},
  [2305] = {.lex_state = 0},
  [2306] = {.lex_state = 0},
  [2307] = {.lex_state = 16},
  [2308] = {.lex_state = 0},
  [2309] = {.lex_state = 1},
  [2310] = {.lex_state = 0},
  [2311] = {.lex_state = 76},
  [2312] = {.lex_state = 0},
  [2313] = {.lex_state = 0},
  [2314] = {.lex_state = 0},
  [2315] = {.lex_state = 0},
  [2316] = {.lex_state = 0},
  [2317] = {.lex_state = 0},
  [2318] = {.lex_state = 0},
  [2319] = {.lex_state = 0},
  [2320] = {.lex_state = 0},
  [2321] = {.lex_state = 0},
  [2322] = {.lex_state = 0},
  [2323] = {.lex_state = 0},
  [2324] = {.lex_state = 0},
  [2325] = {.lex_state = 0},
  [2326] = {.lex_state = 6},
  [2327] = {.lex_state = 0},
  [2328] = {.lex_state = 0},
  [2329] = {.lex_state = 0},
  [2330] = {.lex_state = 0},
  [2331] = {.lex_state = 0},
  [2332] = {.lex_state = 6},
  [2333] = {.lex_state = 0},
  [2334] = {.lex_state = 0},
  [2335] = {.lex_state = 0},
  [2336] = {.lex_state = 0},
  [2337] = {.lex_state = 16},
  [2338] = {.lex_state = 0},
  [2339] = {.lex_state = 0},
  [2340] = {.lex_state = 0},
  [2341] = {.lex_state = 6},
  [2342] = {.lex_state = 6},
  [2343] = {.lex_state = 0},
  [2344] = {.lex_state = 6},
  [2345] = {.lex_state = 0},
  [2346] = {.lex_state = 16},
  [2347] = {.lex_state = 0},
  [2348] = {.lex_state = 4},
  [2349] = {.lex_state = 6},
  [2350] = {.lex_state = 6},
  [2351] = {.lex_state = 6},
  [2352] = {.lex_state = 0},
  [2353] = {.lex_state = 16},
  [2354] = {.lex_state = 6},
  [2355] = {.lex_state = 6},
  [2356] = {.lex_state = 6},
  [2357] = {.lex_state = 6},
  [2358] = {.lex_state = 6},
  [2359] = {.lex_state = 0},
  [2360] = {.lex_state = 0},
  [2361] = {.lex_state = 6},
  [2362] = {.lex_state = 0},
  [2363] = {.lex_state = 1},
  [2364] = {.lex_state = 6},
  [2365] = {.lex_state = 6},
  [2366] = {.lex_state = 0},
  [2367] = {.lex_state = 4},
  [2368] = {.lex_state = 0},
  [2369] = {.lex_state = 6},
  [2370] = {.lex_state = 16},
  [2371] = {.lex_state = 6},
  [2372] = {.lex_state = 6},
  [2373] = {.lex_state = 76},
  [2374] = {.lex_state = 6},
  [2375] = {.lex_state = 6},
  [2376] = {.lex_state = 0},
  [2377] = {.lex_state = 6},
  [2378] = {.lex_state = 0},
  [2379] = {.lex_state = 16},
  [2380] = {.lex_state = 4},
  [2381] = {.lex_state = 0},
  [2382] = {.lex_state = 0},
  [2383] = {.lex_state = 14},
  [2384] = {.lex_state = 0},
  [2385] = {.lex_state = 1},
  [2386] = {.lex_state = 0},
  [2387] = {.lex_state = 1},
  [2388] = {.lex_state = 0},
  [2389] = {.lex_state = 6},
  [2390] = {.lex_state = 6},
  [2391] = {.lex_state = 0},
  [2392] = {.lex_state = 0},
  [2393] = {.lex_state = 6},
  [2394] = {.lex_state = 1},
  [2395] = {.lex_state = 6},
  [2396] = {.lex_state = 0},
  [2397] = {.lex_state = 6},
  [2398] = {.lex_state = 76},
  [2399] = {.lex_state = 76},
  [2400] = {.lex_state = 0},
  [2401] = {.lex_state = 0},
  [2402] = {.lex_state = 1},
  [2403] = {.lex_state = 16},
  [2404] = {.lex_state = 0},
  [2405] = {.lex_state = 6},
  [2406] = {.lex_state = 6},
  [2407] = {.lex_state = 0},
  [2408] = {.lex_state = 6},
  [2409] = {.lex_state = 6},
  [2410] = {.lex_state = 6},
  [2411] = {.lex_state = 0},
  [2412] = {.lex_state = 0},
  [2413] = {.lex_state = 0},
  [2414] = {.lex_state = 6},
  [2415] = {.lex_state = 6},
  [2416] = {.lex_state = 0},
  [2417] = {.lex_state = 6},
  [2418] = {.lex_state = 76},
  [2419] = {.lex_state = 0},
  [2420] = {.lex_state = 0},
  [2421] = {.lex_state = 0},
  [2422] = {.lex_state = 0},
  [2423] = {.lex_state = 0},
  [2424] = {.lex_state = 76},
  [2425] = {.lex_state = 0},
  [2426] = {.lex_state = 0},
  [2427] = {.lex_state = 0},
  [2428] = {.lex_state = 0},
  [2429] = {.lex_state = 76},
  [2430] = {.lex_state = 76},
  [2431] = {.lex_state = 0},
  [2432] = {.lex_state = 0},
  [2433] = {.lex_state = 0},
  [2434] = {.lex_state = 0},
  [2435] = {.lex_state = 0},
  [2436] = {.lex_state = 0},
  [2437] = {.lex_state = 0},
  [2438] = {.lex_state = 16},
  [2439] = {.lex_state = 0},
  [2440] = {.lex_state = 0},
  [2441] = {.lex_state = 16},
  [2442] = {.lex_state = 6},
  [2443] = {.lex_state = 0},
  [2444] = {.lex_state = 0},
  [2445] = {.lex_state = 0},
  [2446] = {.lex_state = 0},
  [2447] = {.lex_state = 0},
  [2448] = {.lex_state = 0},
  [2449] = {.lex_state = 0},
  [2450] = {.lex_state = 0},
  [2451] = {.lex_state = 16},
  [2452] = {.lex_state = 0},
  [2453] = {.lex_state = 0},
  [2454] = {.lex_state = 0},
  [2455] = {.lex_state = 0},
  [2456] = {.lex_state = 0},
  [2457] = {.lex_state = 0},
  [2458] = {.lex_state = 0},
  [2459] = {.lex_state = 6},
  [2460] = {.lex_state = 0},
  [2461] = {.lex_state = 0},
  [2462] = {.lex_state = 0},
  [2463] = {.lex_state = 6},
  [2464] = {.lex_state = 0},
  [2465] = {.lex_state = 0},
  [2466] = {.lex_state = 6},
  [2467] = {.lex_state = 0},
  [2468] = {.lex_state = 16},
  [2469] = {.lex_state = 0},
  [2470] = {.lex_state = 0},
  [2471] = {.lex_state = 0},
  [2472] = {.lex_state = 0},
  [2473] = {.lex_state = 0},
  [2474] = {.lex_state = 0},
  [2475] = {.lex_state = 76},
  [2476] = {.lex_state = 0},
  [2477] = {.lex_state = 16},
  [2478] = {.lex_state = 76},
  [2479] = {.lex_state = 0},
  [2480] = {.lex_state = 0},
  [2481] = {.lex_state = 0},
  [2482] = {.lex_state = 76},
  [2483] = {.lex_state = 6},
  [2484] = {.lex_state = 0},
  [2485] = {.lex_state = 16},
  [2486] = {.lex_state = 0},
  [2487] = {.lex_state = 0},
  [2488] = {.lex_state = 0},
  [2489] = {.lex_state = 0},
  [2490] = {.lex_state = 0},
  [2491] = {.lex_state = 0},
  [2492] = {.lex_state = 0},
  [2493] = {.lex_state = 0},
  [2494] = {.lex_state = 0},
  [2495] = {.lex_state = 0},
  [2496] = {.lex_state = 0},
  [2497] = {.lex_state = 0},
  [2498] = {.lex_state = 0},
  [2499] = {.lex_state = 16},
  [2500] = {.lex_state = 0},
  [2501] = {.lex_state = 16},
  [2502] = {.lex_state = 6},
  [2503] = {.lex_state = 0},
  [2504] = {.lex_state = 0},
  [2505] = {.lex_state = 0},
  [2506] = {.lex_state = 16},
  [2507] = {.lex_state = 0},
  [2508] = {.lex_state = 76},
  [2509] = {.lex_state = 0},
  [2510] = {.lex_state = 0},
  [2511] = {.lex_state = 0},
  [2512] = {.lex_state = 0},
  [2513] = {.lex_state = 0},
  [2514] = {.lex_state = 0},
  [2515] = {.lex_state = 0},
  [2516] = {.lex_state = 0},
  [2517] = {.lex_state = 0},
  [2518] = {.lex_state = 0},
  [2519] = {.lex_state = 16},
  [2520] = {.lex_state = 0},
  [2521] = {.lex_state = 0},
  [2522] = {.lex_state = 0},
  [2523] = {.lex_state = 0},
  [2524] = {.lex_state = 0},
  [2525] = {.lex_state = 0},
  [2526] = {.lex_state = 0},
  [2527] = {.lex_state = 0},
  [2528] = {.lex_state = 0},
  [2529] = {.lex_state = 0},
  [2530] = {.lex_state = 0},
  [2531] = {.lex_state = 76},
  [2532] = {.lex_state = 0},
  [2533] = {.lex_state = 0},
  [2534] = {.lex_state = 76},
  [2535] = {.lex_state = 0},
  [2536] = {.lex_state = 0},
  [2537] = {.lex_state = 0},
  [2538] = {.lex_state = 0},
  [2539] = {.lex_state = 0},
  [2540] = {.lex_state = 76},
  [2541] = {.lex_state = 0},
  [2542] = {.lex_state = 0},
  [2543] = {.lex_state = 0},
  [2544] = {.lex_state = 6},
  [2545] = {.lex_state = 16},
  [2546] = {.lex_state = 0},
  [2547] = {.lex_state = 0},
  [2548] = {.lex_state = 0},
  [2549] = {.lex_state = 0},
  [2550] = {.lex_state = 0},
  [2551] = {.lex_state = 6},
  [2552] = {.lex_state = 16},
  [2553] = {.lex_state = 76},
  [2554] = {.lex_state = 16},
  [2555] = {.lex_state = 0},
  [2556] = {.lex_state = 0},
  [2557] = {.lex_state = 0},
  [2558] = {.lex_state = 76},
  [2559] = {.lex_state = 0},
  [2560] = {.lex_state = 0},
  [2561] = {.lex_state = 0},
  [2562] = {.lex_state = 76},
  [2563] = {.lex_state = 0},
  [2564] = {.lex_state = 0},
  [2565] = {.lex_state = 0},
  [2566] = {.lex_state = 0},
  [2567] = {.lex_state = 76},
  [2568] = {.lex_state = 0},
  [2569] = {.lex_state = 0},
  [2570] = {.lex_state = 0},
  [2571] = {.lex_state = 0},
  [2572] = {.lex_state = 0},
  [2573] = {.lex_state = 0},
  [2574] = {.lex_state = 0},
  [2575] = {.lex_state = 0},
  [2576] = {.lex_state = 0},
  [2577] = {.lex_state = 0},
  [2578] = {.lex_state = 0},
  [2579] = {.lex_state = 0},
  [2580] = {.lex_state = 0},
  [2581] = {.lex_state = 0},
  [2582] = {.lex_state = 0},
  [2583] = {.lex_state = 0},
  [2584] = {.lex_state = 6},
  [2585] = {.lex_state = 0},
  [2586] = {.lex_state = 76},
  [2587] = {.lex_state = 0},
  [2588] = {.lex_state = 6},
  [2589] = {.lex_state = 6},
  [2590] = {.lex_state = 0},
  [2591] = {.lex_state = 0},
  [2592] = {.lex_state = 0},
  [2593] = {.lex_state = 16},
  [2594] = {.lex_state = 0},
  [2595] = {.lex_state = 0},
  [2596] = {.lex_state = 0},
  [2597] = {.lex_state = 76},
  [2598] = {.lex_state = 0},
  [2599] = {.lex_state = 0},
  [2600] = {.lex_state = 0},
  [2601] = {.lex_state = 0},
  [2602] = {.lex_state = 0},
  [2603] = {.lex_state = 0},
  [2604] = {.lex_state = 6},
  [2605] = {.lex_state = 0},
  [2606] = {.lex_state = 16},
  [2607] = {.lex_state = 76},
  [2608] = {.lex_state = 0},
  [2609] = {.lex_state = 16},
  [2610] = {.lex_state = 0},
  [2611] = {.lex_state = 76},
  [2612] = {.lex_state = 0},
  [2613] = {.lex_state = 0},
  [2614] = {.lex_state = 76},
  [2615] = {.lex_state = 0},
  [2616] = {.lex_state = 0},
  [2617] = {.lex_state = 0},
  [2618] = {.lex_state = 16},
  [2619] = {.lex_state = 0},
  [2620] = {.lex_state = 6},
  [2621] = {.lex_state = 6},
  [2622] = {.lex_state = 0},
  [2623] = {.lex_state = 0},
  [2624] = {.lex_state = 0},
  [2625] = {.lex_state = 6},
  [2626] = {.lex_state = 0},
  [2627] = {.lex_state = 0},
  [2628] = {.lex_state = 0},
  [2629] = {.lex_state = 0},
  [2630] = {.lex_state = 0},
  [2631] = {.lex_state = 0},
  [2632] = {.lex_state = 0},
  [2633] = {.lex_state = 0},
  [2634] = {.lex_state = 0},
  [2635] = {.lex_state = 0},
  [2636] = {.lex_state = 0},
  [2637] = {.lex_state = 0},
  [2638] = {.lex_state = 0},
  [2639] = {.lex_state = 0},
  [2640] = {.lex_state = 0},
  [2641] = {.lex_state = 0},
  [2642] = {.lex_state = 0},
  [2643] = {.lex_state = 0},
  [2644] = {.lex_state = 0},
  [2645] = {.lex_state = 0},
  [2646] = {.lex_state = 6},
  [2647] = {.lex_state = 0},
  [2648] = {.lex_state = 0},
  [2649] = {.lex_state = 0},
  [2650] = {.lex_state = 0},
  [2651] = {.lex_state = 0},
  [2652] = {.lex_state = 0},
  [2653] = {.lex_state = 0},
  [2654] = {.lex_state = 0},
  [2655] = {.lex_state = 0},
  [2656] = {.lex_state = 0},
  [2657] = {.lex_state = 0},
  [2658] = {.lex_state = 0},
  [2659] = {.lex_state = 0},
  [2660] = {.lex_state = 0},
  [2661] = {.lex_state = 0},
  [2662] = {.lex_state = 0},
  [2663] = {.lex_state = 0},
  [2664] = {.lex_state = 0},
  [2665] = {.lex_state = 0},
  [2666] = {.lex_state = 0},
  [2667] = {.lex_state = 16},
  [2668] = {.lex_state = 0},
  [2669] = {.lex_state = 0},
  [2670] = {.lex_state = 0},
  [2671] = {.lex_state = 0},
  [2672] = {.lex_state = 0},
  [2673] = {.lex_state = 0},
  [2674] = {.lex_state = 0},
  [2675] = {.lex_state = 0},
  [2676] = {.lex_state = 6},
  [2677] = {.lex_state = 0},
  [2678] = {.lex_state = 0},
  [2679] = {.lex_state = 6},
  [2680] = {.lex_state = 0},
  [2681] = {.lex_state = 0},
  [2682] = {.lex_state = 0},
  [2683] = {.lex_state = 0},
  [2684] = {.lex_state = 0},
  [2685] = {.lex_state = 0},
  [2686] = {.lex_state = 0},
  [2687] = {.lex_state = 0},
  [2688] = {.lex_state = 0},
  [2689] = {.lex_state = 0},
  [2690] = {.lex_state = 0},
  [2691] = {.lex_state = 6},
  [2692] = {.lex_state = 16},
  [2693] = {.lex_state = 0},
  [2694] = {.lex_state = 0},
  [2695] = {.lex_state = 0},
  [2696] = {.lex_state = 0},
  [2697] = {.lex_state = 0},
  [2698] = {.lex_state = 0},
  [2699] = {.lex_state = 0},
  [2700] = {.lex_state = 0},
  [2701] = {.lex_state = 0},
  [2702] = {.lex_state = 0},
  [2703] = {.lex_state = 0},
  [2704] = {.lex_state = 0},
  [2705] = {.lex_state = 0},
  [2706] = {.lex_state = 0},
  [2707] = {.lex_state = 0},
  [2708] = {.lex_state = 0},
  [2709] = {.lex_state = 0},
  [2710] = {.lex_state = 0},
  [2711] = {.lex_state = 0},
  [2712] = {.lex_state = 0},
  [2713] = {.lex_state = 0},
  [2714] = {.lex_state = 6},
  [2715] = {.lex_state = 0},
  [2716] = {.lex_state = 0},
  [2717] = {.lex_state = 0},
  [2718] = {.lex_state = 0},
  [2719] = {.lex_state = 0},
  [2720] = {.lex_state = 0},
  [2721] = {.lex_state = 6},
  [2722] = {.lex_state = 6},
  [2723] = {.lex_state = 0},
  [2724] = {.lex_state = 0},
  [2725] = {.lex_state = 0},
  [2726] = {.lex_state = 0},
  [2727] = {.lex_state = 6},
  [2728] = {.lex_state = 0},
  [2729] = {.lex_state = 0},
  [2730] = {.lex_state = 0},
  [2731] = {.lex_state = 0},
  [2732] = {.lex_state = 0},
  [2733] = {.lex_state = 0},
  [2734] = {.lex_state = 0},
  [2735] = {.lex_state = 0},
  [2736] = {.lex_state = 0},
  [2737] = {.lex_state = 0},
  [2738] = {.lex_state = 0},
  [2739] = {.lex_state = 0},
  [2740] = {.lex_state = 0},
  [2741] = {.lex_state = 0},
  [2742] = {.lex_state = 0},
  [2743] = {.lex_state = 0},
  [2744] = {.lex_state = 0},
  [2745] = {.lex_state = 0},
  [2746] = {.lex_state = 0},
  [2747] = {.lex_state = 0},
  [2748] = {.lex_state = 0},
  [2749] = {.lex_state = 0},
  [2750] = {.lex_state = 0},
  [2751] = {.lex_state = 0},
  [2752] = {.lex_state = 0},
  [2753] = {.lex_state = 0},
  [2754] = {.lex_state = 0},
  [2755] = {.lex_state = 0},
  [2756] = {.lex_state = 6},
  [2757] = {.lex_state = 0},
  [2758] = {.lex_state = 0},
  [2759] = {.lex_state = 0},
  [2760] = {.lex_state = 0},
  [2761] = {.lex_state = 0},
  [2762] = {.lex_state = 0},
  [2763] = {.lex_state = 6},
  [2764] = {.lex_state = 16},
  [2765] = {.lex_state = 0},
  [2766] = {.lex_state = 0},
  [2767] = {.lex_state = 0},
  [2768] = {.lex_state = 0},
  [2769] = {.lex_state = 0},
  [2770] = {.lex_state = 0},
  [2771] = {.lex_state = 0},
  [2772] = {.lex_state = 16},
  [2773] = {.lex_state = 0},
  [2774] = {.lex_state = 16},
  [2775] = {.lex_state = 0},
  [2776] = {.lex_state = 0},
  [2777] = {.lex_state = 0},
  [2778] = {.lex_state = 0},
  [2779] = {.lex_state = 0},
  [2780] = {.lex_state = 0},
  [2781] = {.lex_state = 6},
  [2782] = {.lex_state = 16},
  [2783] = {.lex_state = 0},
  [2784] = {.lex_state = 0},
  [2785] = {.lex_state = 0},
  [2786] = {.lex_state = 0},
  [2787] = {.lex_state = 0},
  [2788] = {.lex_state = 0},
  [2789] = {.lex_state = 0},
  [2790] = {.lex_state = 0},
  [2791] = {.lex_state = 0},
  [2792] = {.lex_state = 0},
  [2793] = {.lex_state = 0},
  [2794] = {.lex_state = 0},
  [2795] = {.lex_state = 0},
  [2796] = {.lex_state = 0},
  [2797] = {.lex_state = 6},
  [2798] = {.lex_state = 0},
  [2799] = {.lex_state = 0},
  [2800] = {.lex_state = 0},
  [2801] = {.lex_state = 0},
  [2802] = {.lex_state = 6},
  [2803] = {.lex_state = 0},
  [2804] = {.lex_state = 16},
  [2805] = {.lex_state = 0},
  [2806] = {.lex_state = 0},
  [2807] = {.lex_state = 0},
  [2808] = {.lex_state = 0},
  [2809] = {.lex_state = 0},
  [2810] = {.lex_state = 0},
  [2811] = {.lex_state = 0},
  [2812] = {.lex_state = 0},
  [2813] = {.lex_state = 0},
  [2814] = {.lex_state = 0},
  [2815] = {.lex_state = 0},
  [2816] = {.lex_state = 0},
  [2817] = {.lex_state = 0},
  [2818] = {.lex_state = 0},
  [2819] = {.lex_state = 6},
  [2820] = {.lex_state = 0},
  [2821] = {.lex_state = 0},
  [2822] = {.lex_state = 0},
  [2823] = {.lex_state = 0},
  [2824] = {.lex_state = 0},
  [2825] = {.lex_state = 6},
  [2826] = {.lex_state = 6},
  [2827] = {.lex_state = 0},
  [2828] = {.lex_state = 6},
  [2829] = {.lex_state = 0},
  [2830] = {.lex_state = 0},
  [2831] = {.lex_state = 0},
  [2832] = {.lex_state = 0},
  [2833] = {.lex_state = 0},
  [2834] = {.lex_state = 0},
  [2835] = {.lex_state = 0},
  [2836] = {.lex_state = 0},
  [2837] = {.lex_state = 0},
  [2838] = {.lex_state = 6},
  [2839] = {.lex_state = 6},
  [2840] = {.lex_state = 0},
  [2841] = {.lex_state = 0},
  [2842] = {.lex_state = 6},
  [2843] = {.lex_state = 6},
  [2844] = {.lex_state = 6},
  [2845] = {.lex_state = 0},
  [2846] = {.lex_state = 0},
  [2847] = {.lex_state = 0},
  [2848] = {.lex_state = 0},
  [2849] = {.lex_state = 0},
  [2850] = {.lex_state = 0},
  [2851] = {.lex_state = 0},
  [2852] = {.lex_state = 0},
  [2853] = {.lex_state = 0},
  [2854] = {.lex_state = 0},
  [2855] = {.lex_state = 0},
  [2856] = {.lex_state = 0},
  [2857] = {.lex_state = 0},
  [2858] = {.lex_state = 0},
  [2859] = {.lex_state = 6},
  [2860] = {.lex_state = 0},
  [2861] = {.lex_state = 0},
  [2862] = {.lex_state = 0},
  [2863] = {.lex_state = 0},
  [2864] = {.lex_state = 0},
  [2865] = {.lex_state = 0},
  [2866] = {.lex_state = 0},
  [2867] = {.lex_state = 0},
  [2868] = {.lex_state = 6},
  [2869] = {.lex_state = 0},
  [2870] = {.lex_state = 0},
  [2871] = {.lex_state = 0},
  [2872] = {.lex_state = 0},
  [2873] = {.lex_state = 6},
  [2874] = {.lex_state = 6},
  [2875] = {.lex_state = 0},
  [2876] = {.lex_state = 0},
  [2877] = {.lex_state = 0},
  [2878] = {.lex_state = 6},
  [2879] = {.lex_state = 6},
  [2880] = {.lex_state = 0},
  [2881] = {.lex_state = 6},
  [2882] = {.lex_state = 6},
  [2883] = {.lex_state = 0},
  [2884] = {.lex_state = 0},
  [2885] = {.lex_state = 0},
  [2886] = {.lex_state = 0},
  [2887] = {.lex_state = 0},
  [2888] = {.lex_state = 6},
  [2889] = {.lex_state = 0},
  [2890] = {.lex_state = 0},
  [2891] = {.lex_state = 0},
  [2892] = {.lex_state = 6},
  [2893] = {.lex_state = 0},
  [2894] = {.lex_state = 6},
  [2895] = {.lex_state = 6},
  [2896] = {.lex_state = 0},
  [2897] = {.lex_state = 0},
  [2898] = {.lex_state = 6},
  [2899] = {.lex_state = 0},
  [2900] = {.lex_state = 0},
  [2901] = {.lex_state = 6},
  [2902] = {.lex_state = 0},
  [2903] = {.lex_state = 0},
  [2904] = {.lex_state = 0},
  [2905] = {.lex_state = 0},
  [2906] = {.lex_state = 0},
  [2907] = {.lex_state = 0},
  [2908] = {.lex_state = 6},
  [2909] = {.lex_state = 0},
  [2910] = {.lex_state = 0},
  [2911] = {.lex_state = 0},
  [2912] = {.lex_state = 0},
  [2913] = {.lex_state = 6},
  [2914] = {.lex_state = 6},
  [2915] = {.lex_state = 0},
  [2916] = {.lex_state = 0},
  [2917] = {.lex_state = 0},
  [2918] = {.lex_state = 0},
  [2919] = {.lex_state = 0},
  [2920] = {.lex_state = 0},
  [2921] = {.lex_state = 6},
  [2922] = {.lex_state = 0},
  [2923] = {.lex_state = 0},
  [2924] = {.lex_state = 0},
  [2925] = {.lex_state = 0},
  [2926] = {.lex_state = 0},
  [2927] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [sym_decimal_integer_literal] = ACTIONS(1),
    [sym_hex_integer_literal] = ACTIONS(1),
    [sym_octal_integer_literal] = ACTIONS(1),
    [sym_binary_integer_literal] = ACTIONS(1),
    [sym_decimal_floating_point_literal] = ACTIONS(1),
    [sym_hex_floating_point_literal] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1),
    [anon_sym_BSLASH_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [aux_sym__escape_sequence_token1] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_null_literal] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_GT_GT_GT] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_STAR_STAR] = ACTIONS(1),
    [anon_sym_instanceof] = ACTIONS(1),
    [anon_sym_final] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_DASH_DASH] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_class] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_extends] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [sym_underscore_pattern] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_NULL] = ACTIONS(1),
    [anon_sym_assert] = ACTIONS(1),
    [anon_sym_do] = ACTIONS(1),
    [anon_sym_while] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_yield] = ACTIONS(1),
    [anon_sym_synchronized] = ACTIONS(1),
    [anon_sym_throw] = ACTIONS(1),
    [anon_sym_try] = ACTIONS(1),
    [anon_sym_catch] = ACTIONS(1),
    [anon_sym_finally] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_open] = ACTIONS(1),
    [anon_sym_module] = ACTIONS(1),
    [anon_sym_requires] = ACTIONS(1),
    [anon_sym_transitive] = ACTIONS(1),
    [anon_sym_static] = ACTIONS(1),
    [anon_sym_exports] = ACTIONS(1),
    [anon_sym_to] = ACTIONS(1),
    [anon_sym_opens] = ACTIONS(1),
    [anon_sym_uses] = ACTIONS(1),
    [anon_sym_provides] = ACTIONS(1),
    [anon_sym_with] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_as] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_public] = ACTIONS(1),
    [anon_sym_protected] = ACTIONS(1),
    [anon_sym_private] = ACTIONS(1),
    [anon_sym_abstract] = ACTIONS(1),
    [anon_sym_strictfp] = ACTIONS(1),
    [anon_sym_native] = ACTIONS(1),
    [anon_sym_transient] = ACTIONS(1),
    [anon_sym_volatile] = ACTIONS(1),
    [anon_sym_sealed] = ACTIONS(1),
    [anon_sym_non_DASHsealed] = ACTIONS(1),
    [anon_sym_implements] = ACTIONS(1),
    [anon_sym_permits] = ACTIONS(1),
    [anon_sym_record] = ACTIONS(1),
    [anon_sym_ATinterface] = ACTIONS(1),
    [anon_sym_interface] = ACTIONS(1),
    [anon_sym_byte] = ACTIONS(1),
    [anon_sym_short] = ACTIONS(1),
    [anon_sym_int] = ACTIONS(1),
    [anon_sym_long] = ACTIONS(1),
    [anon_sym_char] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_double] = ACTIONS(1),
    [sym_boolean_type] = ACTIONS(1),
    [sym_void_type] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOT] = ACTIONS(1),
    [anon_sym_throws] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [sym_this] = ACTIONS(1),
    [sym_super] = ACTIONS(1),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym_shebang] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [aux_sym__multiline_string_fragment_single_token2] = ACTIONS(1),
  },
  [1] = {
    [sym_program] = STATE(2860),
    [sym__toplevel_statement] = STATE(2),
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(2),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1329),
    [sym_marker_annotation] = STATE(1329),
    [sym_annotation] = STATE(1329),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1413),
    [sym_type_parameters] = STATE(1838),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1801),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym__method_header] = STATE(2289),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym_method_declaration] = STATE(2),
    [sym__reserved_identifier] = STATE(1037),
    [sym_function_definition] = STATE(2),
    [sym_juxt_function_call] = STATE(2),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_program_repeat1] = STATE(2),
    [aux_sym_array_creation_expression_repeat1] = STATE(1289),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LT] = ACTIONS(21),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(85),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(101),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [sym_shebang] = ACTIONS(107),
  },
  [2] = {
    [sym__toplevel_statement] = STATE(5),
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(5),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1329),
    [sym_marker_annotation] = STATE(1329),
    [sym_annotation] = STATE(1329),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1413),
    [sym_type_parameters] = STATE(1838),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1801),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym__method_header] = STATE(2289),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym_method_declaration] = STATE(5),
    [sym__reserved_identifier] = STATE(1037),
    [sym_function_definition] = STATE(5),
    [sym_juxt_function_call] = STATE(5),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_program_repeat1] = STATE(5),
    [aux_sym_array_creation_expression_repeat1] = STATE(1289),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [ts_builtin_sym_end] = ACTIONS(109),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LT] = ACTIONS(21),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(85),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(101),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [3] = {
    [sym__toplevel_statement] = STATE(4),
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(4),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1329),
    [sym_marker_annotation] = STATE(1329),
    [sym_annotation] = STATE(1329),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1413),
    [sym_type_parameters] = STATE(1838),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1801),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym__method_header] = STATE(2289),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym_method_declaration] = STATE(4),
    [sym__reserved_identifier] = STATE(1037),
    [sym_function_definition] = STATE(4),
    [sym_juxt_function_call] = STATE(4),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_program_repeat1] = STATE(4),
    [aux_sym_array_creation_expression_repeat1] = STATE(1289),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [ts_builtin_sym_end] = ACTIONS(109),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LT] = ACTIONS(21),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(85),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(101),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__toplevel_statement] = STATE(5),
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(5),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1329),
    [sym_marker_annotation] = STATE(1329),
    [sym_annotation] = STATE(1329),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1413),
    [sym_type_parameters] = STATE(1838),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1801),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym__method_header] = STATE(2289),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym_method_declaration] = STATE(5),
    [sym__reserved_identifier] = STATE(1037),
    [sym_function_definition] = STATE(5),
    [sym_juxt_function_call] = STATE(5),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_program_repeat1] = STATE(5),
    [aux_sym_array_creation_expression_repeat1] = STATE(1289),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [ts_builtin_sym_end] = ACTIONS(111),
    [sym_identifier] = ACTIONS(7),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LT] = ACTIONS(21),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(85),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(101),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__toplevel_statement] = STATE(5),
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(5),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1329),
    [sym_marker_annotation] = STATE(1329),
    [sym_annotation] = STATE(1329),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1413),
    [sym_type_parameters] = STATE(1838),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1801),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym__method_header] = STATE(2289),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym_method_declaration] = STATE(5),
    [sym__reserved_identifier] = STATE(1037),
    [sym_function_definition] = STATE(5),
    [sym_juxt_function_call] = STATE(5),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_program_repeat1] = STATE(5),
    [aux_sym_array_creation_expression_repeat1] = STATE(1289),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [ts_builtin_sym_end] = ACTIONS(113),
    [sym_identifier] = ACTIONS(115),
    [sym_decimal_integer_literal] = ACTIONS(118),
    [sym_hex_integer_literal] = ACTIONS(118),
    [sym_octal_integer_literal] = ACTIONS(118),
    [sym_binary_integer_literal] = ACTIONS(121),
    [sym_decimal_floating_point_literal] = ACTIONS(121),
    [sym_hex_floating_point_literal] = ACTIONS(118),
    [sym_true] = ACTIONS(118),
    [sym_false] = ACTIONS(118),
    [sym_character_literal] = ACTIONS(121),
    [anon_sym_DQUOTE] = ACTIONS(124),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(127),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(130),
    [sym_null_literal] = ACTIONS(118),
    [anon_sym_LPAREN] = ACTIONS(133),
    [anon_sym_LT] = ACTIONS(136),
    [anon_sym_PLUS] = ACTIONS(139),
    [anon_sym_DASH] = ACTIONS(139),
    [anon_sym_final] = ACTIONS(142),
    [anon_sym_DASH_GT] = ACTIONS(145),
    [anon_sym_BANG] = ACTIONS(148),
    [anon_sym_TILDE] = ACTIONS(148),
    [anon_sym_PLUS_PLUS] = ACTIONS(151),
    [anon_sym_DASH_DASH] = ACTIONS(151),
    [anon_sym_new] = ACTIONS(154),
    [anon_sym_LBRACK] = ACTIONS(157),
    [anon_sym_class] = ACTIONS(160),
    [anon_sym_switch] = ACTIONS(163),
    [anon_sym_LBRACE] = ACTIONS(166),
    [anon_sym_default] = ACTIONS(142),
    [sym_underscore_pattern] = ACTIONS(169),
    [anon_sym_SEMI] = ACTIONS(172),
    [anon_sym_assert] = ACTIONS(175),
    [anon_sym_do] = ACTIONS(178),
    [anon_sym_while] = ACTIONS(181),
    [anon_sym_break] = ACTIONS(184),
    [anon_sym_continue] = ACTIONS(187),
    [anon_sym_return] = ACTIONS(190),
    [anon_sym_yield] = ACTIONS(193),
    [anon_sym_synchronized] = ACTIONS(196),
    [anon_sym_throw] = ACTIONS(199),
    [anon_sym_try] = ACTIONS(202),
    [anon_sym_if] = ACTIONS(205),
    [anon_sym_for] = ACTIONS(208),
    [anon_sym_AT] = ACTIONS(211),
    [anon_sym_open] = ACTIONS(214),
    [anon_sym_module] = ACTIONS(217),
    [anon_sym_static] = ACTIONS(142),
    [anon_sym_with] = ACTIONS(220),
    [anon_sym_package] = ACTIONS(223),
    [anon_sym_import] = ACTIONS(226),
    [anon_sym_enum] = ACTIONS(229),
    [anon_sym_public] = ACTIONS(142),
    [anon_sym_protected] = ACTIONS(142),
    [anon_sym_private] = ACTIONS(142),
    [anon_sym_abstract] = ACTIONS(142),
    [anon_sym_strictfp] = ACTIONS(142),
    [anon_sym_native] = ACTIONS(142),
    [anon_sym_transient] = ACTIONS(142),
    [anon_sym_volatile] = ACTIONS(142),
    [anon_sym_sealed] = ACTIONS(232),
    [anon_sym_non_DASHsealed] = ACTIONS(235),
    [anon_sym_record] = ACTIONS(238),
    [anon_sym_ATinterface] = ACTIONS(241),
    [anon_sym_interface] = ACTIONS(244),
    [anon_sym_byte] = ACTIONS(247),
    [anon_sym_short] = ACTIONS(247),
    [anon_sym_int] = ACTIONS(247),
    [anon_sym_long] = ACTIONS(247),
    [anon_sym_char] = ACTIONS(247),
    [anon_sym_float] = ACTIONS(250),
    [anon_sym_double] = ACTIONS(250),
    [sym_boolean_type] = ACTIONS(253),
    [sym_void_type] = ACTIONS(253),
    [anon_sym_def] = ACTIONS(256),
    [sym_this] = ACTIONS(259),
    [sym_super] = ACTIONS(262),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1613),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [ts_builtin_sym_end] = ACTIONS(265),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(9),
    [sym_decimal_floating_point_literal] = ACTIONS(9),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(9),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(269),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(271),
    [anon_sym_RBRACE] = ACTIONS(273),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(273),
    [anon_sym_PLUS_EQ] = ACTIONS(273),
    [anon_sym_DASH_EQ] = ACTIONS(273),
    [anon_sym_STAR_EQ] = ACTIONS(273),
    [anon_sym_SLASH_EQ] = ACTIONS(273),
    [anon_sym_AMP_EQ] = ACTIONS(273),
    [anon_sym_PIPE_EQ] = ACTIONS(273),
    [anon_sym_CARET_EQ] = ACTIONS(273),
    [anon_sym_PERCENT_EQ] = ACTIONS(273),
    [anon_sym_LT_LT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_AMP_AMP] = ACTIONS(273),
    [anon_sym_PIPE_PIPE] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_GT_GT_GT] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_instanceof] = ACTIONS(273),
    [anon_sym_final] = ACTIONS(273),
    [anon_sym_DASH_GT] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_QMARK] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_class] = ACTIONS(273),
    [anon_sym_COLON_COLON] = ACTIONS(273),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_case] = ACTIONS(273),
    [anon_sym_default] = ACTIONS(273),
    [sym_underscore_pattern] = ACTIONS(273),
    [anon_sym_SEMI] = ACTIONS(273),
    [aux_sym_expression_statement_token1] = ACTIONS(265),
    [anon_sym_NULL] = ACTIONS(273),
    [anon_sym_assert] = ACTIONS(273),
    [anon_sym_do] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(273),
    [anon_sym_continue] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_synchronized] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(273),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_else] = ACTIONS(273),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_static] = ACTIONS(273),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(273),
    [anon_sym_enum] = ACTIONS(273),
    [anon_sym_public] = ACTIONS(273),
    [anon_sym_protected] = ACTIONS(273),
    [anon_sym_private] = ACTIONS(273),
    [anon_sym_abstract] = ACTIONS(273),
    [anon_sym_strictfp] = ACTIONS(273),
    [anon_sym_native] = ACTIONS(273),
    [anon_sym_transient] = ACTIONS(273),
    [anon_sym_volatile] = ACTIONS(273),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_non_DASHsealed] = ACTIONS(273),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_ATinterface] = ACTIONS(273),
    [anon_sym_interface] = ACTIONS(273),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(273),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(273),
  },
  [7] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1561),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1548),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(1029),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1308),
    [sym_marker_annotation] = STATE(1308),
    [sym_annotation] = STATE(1308),
    [sym__element_value] = STATE(2530),
    [sym_element_value_array_initializer] = STATE(2530),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1036),
    [sym_juxt_function_call] = STATE(28),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(35),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(28),
    [sym_identifier] = ACTIONS(293),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(295),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1561),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1516),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(26),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1308),
    [sym_marker_annotation] = STATE(1308),
    [sym_annotation] = STATE(1308),
    [sym__element_value] = STATE(2530),
    [sym_element_value_array_initializer] = STATE(2530),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1036),
    [sym_juxt_function_call] = STATE(26),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(26),
    [sym_identifier] = ACTIONS(293),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(311),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(297),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(299),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1508),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1548),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(1029),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym_array_initializer] = STATE(2462),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1036),
    [sym_juxt_function_call] = STATE(28),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(35),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(28),
    [sym_identifier] = ACTIONS(293),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(313),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1507),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1548),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(28),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym_array_initializer] = STATE(2500),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1036),
    [sym_juxt_function_call] = STATE(28),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(28),
    [sym_identifier] = ACTIONS(293),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(319),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1510),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1516),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(26),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym_array_initializer] = STATE(2462),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1036),
    [sym_juxt_function_call] = STATE(26),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(26),
    [sym_identifier] = ACTIONS(293),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(323),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(317),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_switch_label] = STATE(2832),
    [sym_statement] = STATE(34),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat1] = STATE(1009),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(34),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(327),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_case] = ACTIONS(331),
    [anon_sym_default] = ACTIONS(331),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1502),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_type_arguments] = STATE(2756),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(42),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_explicit_constructor_invocation] = STATE(45),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(42),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(333),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_LT] = ACTIONS(335),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(337),
    [sym_super] = ACTIONS(339),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1605),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1548),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(1029),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1037),
    [sym_juxt_function_call] = STATE(28),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(38),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(28),
    [sym_identifier] = ACTIONS(341),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(343),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1605),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1548),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(1029),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1037),
    [sym_juxt_function_call] = STATE(28),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(35),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(28),
    [sym_identifier] = ACTIONS(341),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(343),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [16] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1609),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1516),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(1029),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1037),
    [sym_juxt_function_call] = STATE(26),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(37),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(26),
    [sym_identifier] = ACTIONS(341),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(345),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [17] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1605),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1548),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(1029),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1037),
    [sym_juxt_function_call] = STATE(28),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(35),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(28),
    [sym_identifier] = ACTIONS(341),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(347),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [18] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1605),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1548),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(1029),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1037),
    [sym_juxt_function_call] = STATE(28),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(35),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(28),
    [sym_identifier] = ACTIONS(341),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(349),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [19] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1583),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1584),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(1029),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1037),
    [sym_juxt_function_call] = STATE(25),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(35),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(25),
    [sym_identifier] = ACTIONS(341),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(351),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [20] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1605),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1548),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(1029),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1037),
    [sym_juxt_function_call] = STATE(28),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(35),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(28),
    [sym_identifier] = ACTIONS(341),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(353),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [21] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1583),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1584),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(1029),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1037),
    [sym_juxt_function_call] = STATE(25),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(40),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(25),
    [sym_identifier] = ACTIONS(341),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(351),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [22] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1605),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1548),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(1029),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1037),
    [sym_juxt_function_call] = STATE(28),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(38),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(28),
    [sym_identifier] = ACTIONS(341),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(353),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [23] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1595),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1596),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(1029),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1037),
    [sym_juxt_function_call] = STATE(30),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(35),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(30),
    [sym_identifier] = ACTIONS(341),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(355),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [24] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1595),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1596),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(30),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1037),
    [sym_juxt_function_call] = STATE(30),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(30),
    [sym_identifier] = ACTIONS(341),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(357),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [25] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1590),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1591),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(29),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1037),
    [sym_juxt_function_call] = STATE(29),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(29),
    [sym_identifier] = ACTIONS(341),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(359),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [26] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1610),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1611),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(29),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1037),
    [sym_juxt_function_call] = STATE(29),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(29),
    [sym_identifier] = ACTIONS(341),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(361),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [27] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1583),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1584),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(25),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1037),
    [sym_juxt_function_call] = STATE(25),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(25),
    [sym_identifier] = ACTIONS(341),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(363),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [28] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1601),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1608),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(29),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1037),
    [sym_juxt_function_call] = STATE(29),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(29),
    [sym_identifier] = ACTIONS(341),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(365),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [29] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(29),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1037),
    [sym_juxt_function_call] = STATE(29),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(29),
    [sym_identifier] = ACTIONS(367),
    [sym_decimal_integer_literal] = ACTIONS(370),
    [sym_hex_integer_literal] = ACTIONS(370),
    [sym_octal_integer_literal] = ACTIONS(370),
    [sym_binary_integer_literal] = ACTIONS(373),
    [sym_decimal_floating_point_literal] = ACTIONS(373),
    [sym_hex_floating_point_literal] = ACTIONS(370),
    [sym_true] = ACTIONS(370),
    [sym_false] = ACTIONS(370),
    [sym_character_literal] = ACTIONS(373),
    [anon_sym_DQUOTE] = ACTIONS(376),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(382),
    [anon_sym_RBRACE] = ACTIONS(385),
    [sym_null_literal] = ACTIONS(370),
    [anon_sym_LPAREN] = ACTIONS(387),
    [anon_sym_PLUS] = ACTIONS(390),
    [anon_sym_DASH] = ACTIONS(390),
    [anon_sym_final] = ACTIONS(393),
    [anon_sym_DASH_GT] = ACTIONS(396),
    [anon_sym_BANG] = ACTIONS(399),
    [anon_sym_TILDE] = ACTIONS(399),
    [anon_sym_PLUS_PLUS] = ACTIONS(402),
    [anon_sym_DASH_DASH] = ACTIONS(402),
    [anon_sym_new] = ACTIONS(405),
    [anon_sym_LBRACK] = ACTIONS(408),
    [anon_sym_class] = ACTIONS(411),
    [anon_sym_switch] = ACTIONS(414),
    [anon_sym_LBRACE] = ACTIONS(417),
    [anon_sym_default] = ACTIONS(393),
    [sym_underscore_pattern] = ACTIONS(420),
    [anon_sym_SEMI] = ACTIONS(423),
    [anon_sym_assert] = ACTIONS(426),
    [anon_sym_do] = ACTIONS(429),
    [anon_sym_while] = ACTIONS(432),
    [anon_sym_break] = ACTIONS(435),
    [anon_sym_continue] = ACTIONS(438),
    [anon_sym_return] = ACTIONS(441),
    [anon_sym_yield] = ACTIONS(444),
    [anon_sym_synchronized] = ACTIONS(447),
    [anon_sym_throw] = ACTIONS(450),
    [anon_sym_try] = ACTIONS(453),
    [anon_sym_if] = ACTIONS(456),
    [anon_sym_for] = ACTIONS(459),
    [anon_sym_AT] = ACTIONS(462),
    [anon_sym_open] = ACTIONS(465),
    [anon_sym_module] = ACTIONS(468),
    [anon_sym_static] = ACTIONS(393),
    [anon_sym_with] = ACTIONS(471),
    [anon_sym_package] = ACTIONS(474),
    [anon_sym_import] = ACTIONS(477),
    [anon_sym_enum] = ACTIONS(480),
    [anon_sym_public] = ACTIONS(393),
    [anon_sym_protected] = ACTIONS(393),
    [anon_sym_private] = ACTIONS(393),
    [anon_sym_abstract] = ACTIONS(393),
    [anon_sym_strictfp] = ACTIONS(393),
    [anon_sym_native] = ACTIONS(393),
    [anon_sym_transient] = ACTIONS(393),
    [anon_sym_volatile] = ACTIONS(393),
    [anon_sym_sealed] = ACTIONS(483),
    [anon_sym_non_DASHsealed] = ACTIONS(486),
    [anon_sym_record] = ACTIONS(489),
    [anon_sym_ATinterface] = ACTIONS(492),
    [anon_sym_interface] = ACTIONS(495),
    [anon_sym_byte] = ACTIONS(498),
    [anon_sym_short] = ACTIONS(498),
    [anon_sym_int] = ACTIONS(498),
    [anon_sym_long] = ACTIONS(498),
    [anon_sym_char] = ACTIONS(498),
    [anon_sym_float] = ACTIONS(501),
    [anon_sym_double] = ACTIONS(501),
    [sym_boolean_type] = ACTIONS(504),
    [sym_void_type] = ACTIONS(504),
    [anon_sym_def] = ACTIONS(507),
    [sym_this] = ACTIONS(510),
    [sym_super] = ACTIONS(513),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [30] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1597),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1598),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(29),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1037),
    [sym_juxt_function_call] = STATE(29),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(29),
    [sym_identifier] = ACTIONS(341),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(516),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [31] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1609),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1516),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(26),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1037),
    [sym_juxt_function_call] = STATE(26),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(26),
    [sym_identifier] = ACTIONS(341),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(518),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [32] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1196),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1605),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1548),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1194),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(492),
    [sym_statement] = STATE(28),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1037),
    [sym_juxt_function_call] = STATE(28),
    [sym__juxt_function_name] = STATE(1765),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [aux_sym_closure_repeat1] = STATE(28),
    [sym_identifier] = ACTIONS(341),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(520),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(105),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [33] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(33),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(33),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(522),
    [sym_decimal_integer_literal] = ACTIONS(525),
    [sym_hex_integer_literal] = ACTIONS(525),
    [sym_octal_integer_literal] = ACTIONS(525),
    [sym_binary_integer_literal] = ACTIONS(528),
    [sym_decimal_floating_point_literal] = ACTIONS(528),
    [sym_hex_floating_point_literal] = ACTIONS(525),
    [sym_true] = ACTIONS(525),
    [sym_false] = ACTIONS(525),
    [sym_character_literal] = ACTIONS(528),
    [anon_sym_DQUOTE] = ACTIONS(531),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(534),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(537),
    [anon_sym_RBRACE] = ACTIONS(540),
    [sym_null_literal] = ACTIONS(525),
    [anon_sym_LPAREN] = ACTIONS(542),
    [anon_sym_PLUS] = ACTIONS(545),
    [anon_sym_DASH] = ACTIONS(545),
    [anon_sym_final] = ACTIONS(548),
    [anon_sym_DASH_GT] = ACTIONS(551),
    [anon_sym_BANG] = ACTIONS(554),
    [anon_sym_TILDE] = ACTIONS(554),
    [anon_sym_PLUS_PLUS] = ACTIONS(557),
    [anon_sym_DASH_DASH] = ACTIONS(557),
    [anon_sym_new] = ACTIONS(560),
    [anon_sym_LBRACK] = ACTIONS(563),
    [anon_sym_class] = ACTIONS(566),
    [anon_sym_switch] = ACTIONS(569),
    [anon_sym_LBRACE] = ACTIONS(572),
    [anon_sym_case] = ACTIONS(575),
    [anon_sym_default] = ACTIONS(548),
    [sym_underscore_pattern] = ACTIONS(577),
    [anon_sym_SEMI] = ACTIONS(580),
    [anon_sym_assert] = ACTIONS(583),
    [anon_sym_do] = ACTIONS(586),
    [anon_sym_while] = ACTIONS(589),
    [anon_sym_break] = ACTIONS(592),
    [anon_sym_continue] = ACTIONS(595),
    [anon_sym_return] = ACTIONS(598),
    [anon_sym_yield] = ACTIONS(601),
    [anon_sym_synchronized] = ACTIONS(604),
    [anon_sym_throw] = ACTIONS(607),
    [anon_sym_try] = ACTIONS(610),
    [anon_sym_if] = ACTIONS(613),
    [anon_sym_for] = ACTIONS(616),
    [anon_sym_AT] = ACTIONS(619),
    [anon_sym_open] = ACTIONS(622),
    [anon_sym_module] = ACTIONS(625),
    [anon_sym_static] = ACTIONS(548),
    [anon_sym_with] = ACTIONS(628),
    [anon_sym_package] = ACTIONS(631),
    [anon_sym_import] = ACTIONS(634),
    [anon_sym_enum] = ACTIONS(637),
    [anon_sym_public] = ACTIONS(548),
    [anon_sym_protected] = ACTIONS(548),
    [anon_sym_private] = ACTIONS(548),
    [anon_sym_abstract] = ACTIONS(548),
    [anon_sym_strictfp] = ACTIONS(548),
    [anon_sym_native] = ACTIONS(548),
    [anon_sym_transient] = ACTIONS(548),
    [anon_sym_volatile] = ACTIONS(548),
    [anon_sym_sealed] = ACTIONS(640),
    [anon_sym_non_DASHsealed] = ACTIONS(643),
    [anon_sym_record] = ACTIONS(646),
    [anon_sym_ATinterface] = ACTIONS(649),
    [anon_sym_interface] = ACTIONS(652),
    [anon_sym_byte] = ACTIONS(655),
    [anon_sym_short] = ACTIONS(655),
    [anon_sym_int] = ACTIONS(655),
    [anon_sym_long] = ACTIONS(655),
    [anon_sym_char] = ACTIONS(655),
    [anon_sym_float] = ACTIONS(658),
    [anon_sym_double] = ACTIONS(658),
    [sym_boolean_type] = ACTIONS(661),
    [sym_void_type] = ACTIONS(661),
    [anon_sym_def] = ACTIONS(664),
    [sym_this] = ACTIONS(667),
    [sym_super] = ACTIONS(670),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [34] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(33),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(33),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(673),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_case] = ACTIONS(675),
    [anon_sym_default] = ACTIONS(675),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [35] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(33),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(33),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(677),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [36] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(35),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(35),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(679),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [37] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(33),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(33),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(681),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [38] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(33),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(33),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(683),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [39] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(35),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(35),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(685),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [40] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(33),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(33),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(687),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [41] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(33),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(33),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(689),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [42] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(33),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(33),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(691),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [43] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(33),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(33),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(693),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [44] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(37),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(37),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(685),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [45] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(43),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(43),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(691),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [46] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(41),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_switch_block_statement_group_repeat2] = STATE(41),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [anon_sym_RBRACE] = ACTIONS(685),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [47] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(844),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [48] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(963),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [49] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(978),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [50] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(980),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [51] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(981),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [52] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(983),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [53] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(985),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [54] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(989),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [55] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(998),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [56] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(999),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [57] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(1001),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [58] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(1004),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [59] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(1005),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [60] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(871),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [61] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1558),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2849),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1216),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1216),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1559),
    [sym_statement] = STATE(2721),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1077),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(697),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [62] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(488),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(358),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(266),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(489),
    [sym_statement] = STATE(1018),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(1810),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(159),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(721),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(749),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(751),
    [anon_sym_module] = ACTIONS(753),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(757),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [63] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(992),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [64] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(841),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [65] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(898),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [66] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(473),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(358),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(266),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(416),
    [sym_statement] = STATE(1015),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(1810),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(159),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(763),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(747),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(749),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(751),
    [anon_sym_module] = ACTIONS(753),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(757),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [67] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(898),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [68] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(2842),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [69] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(930),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [70] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(992),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [71] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(841),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [72] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(890),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [73] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(892),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [74] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(895),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [75] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(909),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [76] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(910),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [77] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(919),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [78] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(922),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [79] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(950),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [80] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(951),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [81] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(952),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [82] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(953),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [83] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(954),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [84] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(962),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [85] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(956),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [86] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(959),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [87] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(960),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [88] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(962),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [89] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(963),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [90] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(978),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [91] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(980),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [92] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(981),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [93] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(983),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [94] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(985),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [95] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(989),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [96] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(998),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [97] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(999),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [98] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(1001),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [99] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(1004),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [100] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(1005),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [101] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(871),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [102] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(930),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [103] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(890),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [104] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(892),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [105] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(895),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [106] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(844),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [107] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(909),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [108] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(898),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [109] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(930),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [110] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(992),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [111] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(841),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [112] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(890),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [113] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(892),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [114] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(895),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [115] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(909),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [116] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(910),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [117] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(919),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [118] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(922),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [119] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(950),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [120] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(951),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [121] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(952),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [122] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(953),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [123] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(954),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [124] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(955),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [125] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(956),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [126] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(959),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [127] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(960),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [128] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(962),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [129] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(963),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [130] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(978),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [131] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(980),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [132] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(981),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [133] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(983),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [134] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(985),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [135] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(989),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [136] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(998),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [137] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(999),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [138] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(1001),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [139] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(1004),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [140] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(1005),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [141] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1545),
    [sym_statement] = STATE(871),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(765),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(767),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(711),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(713),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(715),
    [anon_sym_if] = ACTIONS(717),
    [anon_sym_for] = ACTIONS(719),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [142] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(910),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [143] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(919),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [144] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(922),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [145] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(844),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [146] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(950),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [147] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(951),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [148] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(952),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [149] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(953),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [150] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(954),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [151] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(955),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [152] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(956),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [153] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(959),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [154] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(485),
    [sym_statement] = STATE(960),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(695),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(51),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(67),
    [anon_sym_for] = ACTIONS(69),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [155] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(442),
    [sym_statement] = STATE(955),
    [sym_block] = STATE(939),
    [sym_expression_statement] = STATE(939),
    [sym_labeled_statement] = STATE(939),
    [sym_assert_statement] = STATE(939),
    [sym_do_statement] = STATE(939),
    [sym_break_statement] = STATE(939),
    [sym_continue_statement] = STATE(939),
    [sym_return_statement] = STATE(939),
    [sym_yield_statement] = STATE(939),
    [sym_synchronized_statement] = STATE(939),
    [sym_throw_statement] = STATE(939),
    [sym_try_statement] = STATE(939),
    [sym_try_with_resources_statement] = STATE(939),
    [sym_if_statement] = STATE(939),
    [sym_while_statement] = STATE(939),
    [sym_for_statement] = STATE(939),
    [sym_enhanced_for_statement] = STATE(939),
    [sym__annotation] = STATE(1342),
    [sym_marker_annotation] = STATE(1342),
    [sym_annotation] = STATE(1342),
    [sym_declaration] = STATE(939),
    [sym_module_declaration] = STATE(848),
    [sym_package_declaration] = STATE(887),
    [sym_import_declaration] = STATE(848),
    [sym_enum_declaration] = STATE(848),
    [sym_class_declaration] = STATE(848),
    [sym_modifiers] = STATE(1501),
    [sym_record_declaration] = STATE(848),
    [sym_annotation_type_declaration] = STATE(848),
    [sym_interface_declaration] = STATE(848),
    [sym__variable_declarator_list] = STATE(2558),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2270),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(1806),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym_local_variable_declaration] = STATE(939),
    [sym__reserved_identifier] = STATE(1085),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1781),
    [aux_sym_modifiers_repeat1] = STATE(1278),
    [sym_identifier] = ACTIONS(325),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_final] = ACTIONS(25),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_class] = ACTIONS(37),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(329),
    [anon_sym_default] = ACTIONS(25),
    [sym_underscore_pattern] = ACTIONS(43),
    [anon_sym_SEMI] = ACTIONS(45),
    [anon_sym_assert] = ACTIONS(47),
    [anon_sym_do] = ACTIONS(49),
    [anon_sym_while] = ACTIONS(301),
    [anon_sym_break] = ACTIONS(53),
    [anon_sym_continue] = ACTIONS(55),
    [anon_sym_return] = ACTIONS(57),
    [anon_sym_yield] = ACTIONS(59),
    [anon_sym_synchronized] = ACTIONS(61),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_try] = ACTIONS(65),
    [anon_sym_if] = ACTIONS(303),
    [anon_sym_for] = ACTIONS(305),
    [anon_sym_AT] = ACTIONS(71),
    [anon_sym_open] = ACTIONS(73),
    [anon_sym_module] = ACTIONS(75),
    [anon_sym_static] = ACTIONS(25),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_package] = ACTIONS(79),
    [anon_sym_import] = ACTIONS(81),
    [anon_sym_enum] = ACTIONS(83),
    [anon_sym_public] = ACTIONS(25),
    [anon_sym_protected] = ACTIONS(25),
    [anon_sym_private] = ACTIONS(25),
    [anon_sym_abstract] = ACTIONS(25),
    [anon_sym_strictfp] = ACTIONS(25),
    [anon_sym_native] = ACTIONS(25),
    [anon_sym_transient] = ACTIONS(25),
    [anon_sym_volatile] = ACTIONS(25),
    [anon_sym_sealed] = ACTIONS(307),
    [anon_sym_non_DASHsealed] = ACTIONS(87),
    [anon_sym_record] = ACTIONS(89),
    [anon_sym_ATinterface] = ACTIONS(91),
    [anon_sym_interface] = ACTIONS(93),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(309),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [156] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1613),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(9),
    [sym_decimal_floating_point_literal] = ACTIONS(9),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(9),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(269),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(271),
    [anon_sym_RBRACE] = ACTIONS(273),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(273),
    [anon_sym_PLUS_EQ] = ACTIONS(273),
    [anon_sym_DASH_EQ] = ACTIONS(273),
    [anon_sym_STAR_EQ] = ACTIONS(273),
    [anon_sym_SLASH_EQ] = ACTIONS(273),
    [anon_sym_AMP_EQ] = ACTIONS(273),
    [anon_sym_PIPE_EQ] = ACTIONS(273),
    [anon_sym_CARET_EQ] = ACTIONS(273),
    [anon_sym_PERCENT_EQ] = ACTIONS(273),
    [anon_sym_LT_LT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_AMP_AMP] = ACTIONS(273),
    [anon_sym_PIPE_PIPE] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_STAR] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_GT_GT_GT] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_instanceof] = ACTIONS(273),
    [anon_sym_DASH_GT] = ACTIONS(277),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_QMARK] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_COLON_COLON] = ACTIONS(273),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_SEMI] = ACTIONS(273),
    [aux_sym_expression_statement_token1] = ACTIONS(265),
    [anon_sym_NULL] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(273),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_else] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(273),
  },
  [157] = {
    [sym_argument_list] = STATE(218),
    [sym_type_arguments] = STATE(1792),
    [sym_dimensions] = STATE(2138),
    [sym__annotation] = STATE(2221),
    [sym_marker_annotation] = STATE(2221),
    [sym_annotation] = STATE(2221),
    [sym_closure] = STATE(269),
    [aux_sym_array_creation_expression_repeat1] = STATE(2221),
    [aux_sym_dimensions_repeat1] = STATE(1053),
    [sym_identifier] = ACTIONS(769),
    [sym_decimal_integer_literal] = ACTIONS(772),
    [sym_hex_integer_literal] = ACTIONS(772),
    [sym_octal_integer_literal] = ACTIONS(772),
    [sym_binary_integer_literal] = ACTIONS(772),
    [sym_decimal_floating_point_literal] = ACTIONS(772),
    [sym_hex_floating_point_literal] = ACTIONS(772),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_character_literal] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(772),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(772),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(772),
    [anon_sym_RBRACE] = ACTIONS(772),
    [sym_null_literal] = ACTIONS(772),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_EQ] = ACTIONS(777),
    [anon_sym_PLUS_EQ] = ACTIONS(777),
    [anon_sym_DASH_EQ] = ACTIONS(777),
    [anon_sym_STAR_EQ] = ACTIONS(777),
    [anon_sym_SLASH_EQ] = ACTIONS(777),
    [anon_sym_AMP_EQ] = ACTIONS(777),
    [anon_sym_PIPE_EQ] = ACTIONS(777),
    [anon_sym_CARET_EQ] = ACTIONS(777),
    [anon_sym_PERCENT_EQ] = ACTIONS(777),
    [anon_sym_LT_LT_EQ] = ACTIONS(777),
    [anon_sym_GT_GT_EQ] = ACTIONS(777),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(777),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(772),
    [anon_sym_EQ_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_AMP_AMP] = ACTIONS(772),
    [anon_sym_PIPE_PIPE] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(772),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_final] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(782),
    [anon_sym_COMMA] = ACTIONS(785),
    [anon_sym_QMARK] = ACTIONS(772),
    [anon_sym_COLON] = ACTIONS(787),
    [anon_sym_BANG] = ACTIONS(772),
    [anon_sym_TILDE] = ACTIONS(772),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_new] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(789),
    [anon_sym_DOT] = ACTIONS(793),
    [anon_sym_class] = ACTIONS(772),
    [anon_sym_COLON_COLON] = ACTIONS(769),
    [anon_sym_switch] = ACTIONS(772),
    [anon_sym_LBRACE] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(772),
    [anon_sym_default] = ACTIONS(772),
    [sym_underscore_pattern] = ACTIONS(769),
    [anon_sym_SEMI] = ACTIONS(800),
    [aux_sym_expression_statement_token1] = ACTIONS(803),
    [anon_sym_NULL] = ACTIONS(800),
    [anon_sym_assert] = ACTIONS(772),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_while] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(772),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(769),
    [anon_sym_synchronized] = ACTIONS(772),
    [anon_sym_throw] = ACTIONS(772),
    [anon_sym_try] = ACTIONS(772),
    [anon_sym_if] = ACTIONS(772),
    [anon_sym_else] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(806),
    [anon_sym_open] = ACTIONS(769),
    [anon_sym_module] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(769),
    [anon_sym_package] = ACTIONS(772),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_enum] = ACTIONS(772),
    [anon_sym_public] = ACTIONS(772),
    [anon_sym_protected] = ACTIONS(772),
    [anon_sym_private] = ACTIONS(772),
    [anon_sym_abstract] = ACTIONS(772),
    [anon_sym_strictfp] = ACTIONS(772),
    [anon_sym_native] = ACTIONS(772),
    [anon_sym_transient] = ACTIONS(772),
    [anon_sym_volatile] = ACTIONS(772),
    [anon_sym_sealed] = ACTIONS(769),
    [anon_sym_non_DASHsealed] = ACTIONS(772),
    [anon_sym_record] = ACTIONS(769),
    [anon_sym_ATinterface] = ACTIONS(772),
    [anon_sym_interface] = ACTIONS(772),
    [anon_sym_byte] = ACTIONS(772),
    [anon_sym_short] = ACTIONS(772),
    [anon_sym_int] = ACTIONS(772),
    [anon_sym_long] = ACTIONS(772),
    [anon_sym_char] = ACTIONS(772),
    [anon_sym_float] = ACTIONS(772),
    [anon_sym_double] = ACTIONS(772),
    [sym_boolean_type] = ACTIONS(772),
    [sym_void_type] = ACTIONS(772),
    [anon_sym_def] = ACTIONS(772),
    [sym_this] = ACTIONS(772),
    [sym_super] = ACTIONS(772),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [158] = {
    [sym_argument_list] = STATE(218),
    [sym_type_arguments] = STATE(1792),
    [sym_dimensions] = STATE(2138),
    [sym__annotation] = STATE(2221),
    [sym_marker_annotation] = STATE(2221),
    [sym_annotation] = STATE(2221),
    [sym_closure] = STATE(269),
    [aux_sym_array_creation_expression_repeat1] = STATE(2221),
    [aux_sym_dimensions_repeat1] = STATE(1053),
    [ts_builtin_sym_end] = ACTIONS(810),
    [sym_identifier] = ACTIONS(769),
    [sym_decimal_integer_literal] = ACTIONS(772),
    [sym_hex_integer_literal] = ACTIONS(772),
    [sym_octal_integer_literal] = ACTIONS(772),
    [sym_binary_integer_literal] = ACTIONS(772),
    [sym_decimal_floating_point_literal] = ACTIONS(772),
    [sym_hex_floating_point_literal] = ACTIONS(772),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_character_literal] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(772),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(772),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(772),
    [sym_null_literal] = ACTIONS(772),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_EQ] = ACTIONS(777),
    [anon_sym_PLUS_EQ] = ACTIONS(777),
    [anon_sym_DASH_EQ] = ACTIONS(777),
    [anon_sym_STAR_EQ] = ACTIONS(777),
    [anon_sym_SLASH_EQ] = ACTIONS(777),
    [anon_sym_AMP_EQ] = ACTIONS(777),
    [anon_sym_PIPE_EQ] = ACTIONS(777),
    [anon_sym_CARET_EQ] = ACTIONS(777),
    [anon_sym_PERCENT_EQ] = ACTIONS(777),
    [anon_sym_LT_LT_EQ] = ACTIONS(777),
    [anon_sym_GT_GT_EQ] = ACTIONS(777),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(777),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(772),
    [anon_sym_EQ_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_AMP_AMP] = ACTIONS(772),
    [anon_sym_PIPE_PIPE] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(772),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_final] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(782),
    [anon_sym_COMMA] = ACTIONS(785),
    [anon_sym_QMARK] = ACTIONS(772),
    [anon_sym_COLON] = ACTIONS(812),
    [anon_sym_BANG] = ACTIONS(772),
    [anon_sym_TILDE] = ACTIONS(772),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_new] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(789),
    [anon_sym_DOT] = ACTIONS(793),
    [anon_sym_class] = ACTIONS(772),
    [anon_sym_COLON_COLON] = ACTIONS(769),
    [anon_sym_switch] = ACTIONS(772),
    [anon_sym_LBRACE] = ACTIONS(797),
    [anon_sym_default] = ACTIONS(772),
    [sym_underscore_pattern] = ACTIONS(769),
    [anon_sym_SEMI] = ACTIONS(800),
    [aux_sym_expression_statement_token1] = ACTIONS(803),
    [anon_sym_NULL] = ACTIONS(800),
    [anon_sym_assert] = ACTIONS(772),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_while] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(772),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(769),
    [anon_sym_synchronized] = ACTIONS(772),
    [anon_sym_throw] = ACTIONS(772),
    [anon_sym_try] = ACTIONS(772),
    [anon_sym_if] = ACTIONS(772),
    [anon_sym_else] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(806),
    [anon_sym_open] = ACTIONS(769),
    [anon_sym_module] = ACTIONS(769),
    [anon_sym_static] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(769),
    [anon_sym_package] = ACTIONS(772),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_enum] = ACTIONS(772),
    [anon_sym_public] = ACTIONS(772),
    [anon_sym_protected] = ACTIONS(772),
    [anon_sym_private] = ACTIONS(772),
    [anon_sym_abstract] = ACTIONS(772),
    [anon_sym_strictfp] = ACTIONS(772),
    [anon_sym_native] = ACTIONS(772),
    [anon_sym_transient] = ACTIONS(772),
    [anon_sym_volatile] = ACTIONS(772),
    [anon_sym_sealed] = ACTIONS(769),
    [anon_sym_non_DASHsealed] = ACTIONS(772),
    [anon_sym_record] = ACTIONS(769),
    [anon_sym_ATinterface] = ACTIONS(772),
    [anon_sym_interface] = ACTIONS(772),
    [anon_sym_byte] = ACTIONS(772),
    [anon_sym_short] = ACTIONS(772),
    [anon_sym_int] = ACTIONS(772),
    [anon_sym_long] = ACTIONS(772),
    [anon_sym_char] = ACTIONS(772),
    [anon_sym_float] = ACTIONS(772),
    [anon_sym_double] = ACTIONS(772),
    [sym_boolean_type] = ACTIONS(772),
    [sym_void_type] = ACTIONS(772),
    [anon_sym_def] = ACTIONS(772),
    [sym_this] = ACTIONS(772),
    [sym_super] = ACTIONS(772),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [159] = {
    [sym_argument_list] = STATE(218),
    [sym_dimensions] = STATE(2138),
    [sym__annotation] = STATE(2221),
    [sym_marker_annotation] = STATE(2221),
    [sym_annotation] = STATE(2221),
    [sym_closure] = STATE(269),
    [aux_sym_array_creation_expression_repeat1] = STATE(2221),
    [aux_sym_dimensions_repeat1] = STATE(1053),
    [ts_builtin_sym_end] = ACTIONS(810),
    [sym_identifier] = ACTIONS(772),
    [sym_decimal_integer_literal] = ACTIONS(772),
    [sym_hex_integer_literal] = ACTIONS(772),
    [sym_octal_integer_literal] = ACTIONS(772),
    [sym_binary_integer_literal] = ACTIONS(772),
    [sym_decimal_floating_point_literal] = ACTIONS(772),
    [sym_hex_floating_point_literal] = ACTIONS(772),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_character_literal] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(772),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(772),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(772),
    [anon_sym_RBRACE] = ACTIONS(772),
    [sym_null_literal] = ACTIONS(772),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_EQ] = ACTIONS(777),
    [anon_sym_PLUS_EQ] = ACTIONS(777),
    [anon_sym_DASH_EQ] = ACTIONS(777),
    [anon_sym_STAR_EQ] = ACTIONS(777),
    [anon_sym_SLASH_EQ] = ACTIONS(777),
    [anon_sym_AMP_EQ] = ACTIONS(777),
    [anon_sym_PIPE_EQ] = ACTIONS(777),
    [anon_sym_CARET_EQ] = ACTIONS(777),
    [anon_sym_PERCENT_EQ] = ACTIONS(777),
    [anon_sym_LT_LT_EQ] = ACTIONS(777),
    [anon_sym_GT_GT_EQ] = ACTIONS(777),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(777),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(772),
    [anon_sym_GT_EQ] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(772),
    [anon_sym_EQ_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_AMP_AMP] = ACTIONS(772),
    [anon_sym_PIPE_PIPE] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(772),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_final] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(782),
    [anon_sym_COMMA] = ACTIONS(785),
    [anon_sym_QMARK] = ACTIONS(772),
    [anon_sym_BANG] = ACTIONS(772),
    [anon_sym_TILDE] = ACTIONS(772),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_new] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(772),
    [anon_sym_class] = ACTIONS(772),
    [anon_sym_COLON_COLON] = ACTIONS(772),
    [anon_sym_switch] = ACTIONS(772),
    [anon_sym_LBRACE] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(772),
    [anon_sym_default] = ACTIONS(772),
    [sym_underscore_pattern] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(800),
    [aux_sym_expression_statement_token1] = ACTIONS(803),
    [anon_sym_NULL] = ACTIONS(800),
    [anon_sym_assert] = ACTIONS(772),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_while] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(772),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(772),
    [anon_sym_synchronized] = ACTIONS(772),
    [anon_sym_throw] = ACTIONS(772),
    [anon_sym_try] = ACTIONS(772),
    [anon_sym_if] = ACTIONS(772),
    [anon_sym_else] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(817),
    [anon_sym_open] = ACTIONS(772),
    [anon_sym_module] = ACTIONS(772),
    [anon_sym_static] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(772),
    [anon_sym_package] = ACTIONS(772),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_enum] = ACTIONS(772),
    [anon_sym_public] = ACTIONS(772),
    [anon_sym_protected] = ACTIONS(772),
    [anon_sym_private] = ACTIONS(772),
    [anon_sym_abstract] = ACTIONS(772),
    [anon_sym_strictfp] = ACTIONS(772),
    [anon_sym_native] = ACTIONS(772),
    [anon_sym_transient] = ACTIONS(772),
    [anon_sym_volatile] = ACTIONS(772),
    [anon_sym_sealed] = ACTIONS(772),
    [anon_sym_non_DASHsealed] = ACTIONS(772),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_ATinterface] = ACTIONS(772),
    [anon_sym_interface] = ACTIONS(772),
    [anon_sym_byte] = ACTIONS(772),
    [anon_sym_short] = ACTIONS(772),
    [anon_sym_int] = ACTIONS(772),
    [anon_sym_long] = ACTIONS(772),
    [anon_sym_char] = ACTIONS(772),
    [anon_sym_float] = ACTIONS(772),
    [anon_sym_double] = ACTIONS(772),
    [sym_boolean_type] = ACTIONS(772),
    [sym_void_type] = ACTIONS(772),
    [anon_sym_def] = ACTIONS(772),
    [sym_this] = ACTIONS(772),
    [sym_super] = ACTIONS(772),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [160] = {
    [sym_scoped_identifier] = STATE(2525),
    [sym__reserved_identifier] = STATE(2525),
    [ts_builtin_sym_end] = ACTIONS(265),
    [sym_identifier] = ACTIONS(820),
    [sym_decimal_integer_literal] = ACTIONS(273),
    [sym_hex_integer_literal] = ACTIONS(273),
    [sym_octal_integer_literal] = ACTIONS(273),
    [sym_binary_integer_literal] = ACTIONS(273),
    [sym_decimal_floating_point_literal] = ACTIONS(273),
    [sym_hex_floating_point_literal] = ACTIONS(273),
    [sym_true] = ACTIONS(273),
    [sym_false] = ACTIONS(273),
    [sym_character_literal] = ACTIONS(273),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(273),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(273),
    [anon_sym_RBRACE] = ACTIONS(273),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(273),
    [anon_sym_PLUS_EQ] = ACTIONS(273),
    [anon_sym_DASH_EQ] = ACTIONS(273),
    [anon_sym_STAR_EQ] = ACTIONS(273),
    [anon_sym_SLASH_EQ] = ACTIONS(273),
    [anon_sym_AMP_EQ] = ACTIONS(273),
    [anon_sym_PIPE_EQ] = ACTIONS(273),
    [anon_sym_CARET_EQ] = ACTIONS(273),
    [anon_sym_PERCENT_EQ] = ACTIONS(273),
    [anon_sym_LT_LT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_AMP_AMP] = ACTIONS(273),
    [anon_sym_PIPE_PIPE] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_GT_GT_GT] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_instanceof] = ACTIONS(273),
    [anon_sym_final] = ACTIONS(273),
    [anon_sym_DASH_GT] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_QMARK] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(273),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_PLUS_PLUS] = ACTIONS(273),
    [anon_sym_DASH_DASH] = ACTIONS(273),
    [anon_sym_new] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_class] = ACTIONS(273),
    [anon_sym_COLON_COLON] = ACTIONS(273),
    [anon_sym_switch] = ACTIONS(273),
    [anon_sym_LBRACE] = ACTIONS(273),
    [anon_sym_case] = ACTIONS(273),
    [anon_sym_default] = ACTIONS(273),
    [sym_underscore_pattern] = ACTIONS(273),
    [anon_sym_SEMI] = ACTIONS(273),
    [aux_sym_expression_statement_token1] = ACTIONS(265),
    [anon_sym_NULL] = ACTIONS(273),
    [anon_sym_assert] = ACTIONS(273),
    [anon_sym_do] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(273),
    [anon_sym_continue] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_synchronized] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(273),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_else] = ACTIONS(273),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_static] = ACTIONS(273),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_package] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(273),
    [anon_sym_enum] = ACTIONS(273),
    [anon_sym_public] = ACTIONS(273),
    [anon_sym_protected] = ACTIONS(273),
    [anon_sym_private] = ACTIONS(273),
    [anon_sym_abstract] = ACTIONS(273),
    [anon_sym_strictfp] = ACTIONS(273),
    [anon_sym_native] = ACTIONS(273),
    [anon_sym_transient] = ACTIONS(273),
    [anon_sym_volatile] = ACTIONS(273),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_non_DASHsealed] = ACTIONS(273),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_ATinterface] = ACTIONS(273),
    [anon_sym_interface] = ACTIONS(273),
    [anon_sym_byte] = ACTIONS(273),
    [anon_sym_short] = ACTIONS(273),
    [anon_sym_int] = ACTIONS(273),
    [anon_sym_long] = ACTIONS(273),
    [anon_sym_char] = ACTIONS(273),
    [anon_sym_float] = ACTIONS(273),
    [anon_sym_double] = ACTIONS(273),
    [sym_boolean_type] = ACTIONS(273),
    [sym_void_type] = ACTIONS(273),
    [anon_sym_def] = ACTIONS(273),
    [sym_this] = ACTIONS(273),
    [sym_super] = ACTIONS(273),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(273),
  },
  [161] = {
    [sym_argument_list] = STATE(218),
    [sym_type_arguments] = STATE(1792),
    [sym_closure] = STATE(269),
    [ts_builtin_sym_end] = ACTIONS(810),
    [sym_identifier] = ACTIONS(772),
    [sym_decimal_integer_literal] = ACTIONS(772),
    [sym_hex_integer_literal] = ACTIONS(772),
    [sym_octal_integer_literal] = ACTIONS(772),
    [sym_binary_integer_literal] = ACTIONS(772),
    [sym_decimal_floating_point_literal] = ACTIONS(772),
    [sym_hex_floating_point_literal] = ACTIONS(772),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_character_literal] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(772),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(772),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(772),
    [anon_sym_RBRACE] = ACTIONS(772),
    [sym_null_literal] = ACTIONS(772),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_EQ] = ACTIONS(777),
    [anon_sym_PLUS_EQ] = ACTIONS(777),
    [anon_sym_DASH_EQ] = ACTIONS(777),
    [anon_sym_STAR_EQ] = ACTIONS(777),
    [anon_sym_SLASH_EQ] = ACTIONS(777),
    [anon_sym_AMP_EQ] = ACTIONS(777),
    [anon_sym_PIPE_EQ] = ACTIONS(777),
    [anon_sym_CARET_EQ] = ACTIONS(777),
    [anon_sym_PERCENT_EQ] = ACTIONS(777),
    [anon_sym_LT_LT_EQ] = ACTIONS(777),
    [anon_sym_GT_GT_EQ] = ACTIONS(777),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(777),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(772),
    [anon_sym_EQ_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_AMP_AMP] = ACTIONS(772),
    [anon_sym_PIPE_PIPE] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(772),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_final] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(782),
    [anon_sym_QMARK] = ACTIONS(772),
    [anon_sym_BANG] = ACTIONS(772),
    [anon_sym_TILDE] = ACTIONS(772),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_new] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_DOT] = ACTIONS(793),
    [anon_sym_class] = ACTIONS(772),
    [anon_sym_COLON_COLON] = ACTIONS(769),
    [anon_sym_switch] = ACTIONS(772),
    [anon_sym_LBRACE] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(772),
    [anon_sym_default] = ACTIONS(772),
    [sym_underscore_pattern] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(772),
    [aux_sym_expression_statement_token1] = ACTIONS(810),
    [anon_sym_NULL] = ACTIONS(772),
    [anon_sym_assert] = ACTIONS(772),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_while] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(772),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(772),
    [anon_sym_synchronized] = ACTIONS(772),
    [anon_sym_throw] = ACTIONS(772),
    [anon_sym_try] = ACTIONS(772),
    [anon_sym_if] = ACTIONS(772),
    [anon_sym_else] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_open] = ACTIONS(772),
    [anon_sym_module] = ACTIONS(772),
    [anon_sym_static] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(772),
    [anon_sym_package] = ACTIONS(772),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_enum] = ACTIONS(772),
    [anon_sym_public] = ACTIONS(772),
    [anon_sym_protected] = ACTIONS(772),
    [anon_sym_private] = ACTIONS(772),
    [anon_sym_abstract] = ACTIONS(772),
    [anon_sym_strictfp] = ACTIONS(772),
    [anon_sym_native] = ACTIONS(772),
    [anon_sym_transient] = ACTIONS(772),
    [anon_sym_volatile] = ACTIONS(772),
    [anon_sym_sealed] = ACTIONS(772),
    [anon_sym_non_DASHsealed] = ACTIONS(772),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_ATinterface] = ACTIONS(772),
    [anon_sym_interface] = ACTIONS(772),
    [anon_sym_byte] = ACTIONS(772),
    [anon_sym_short] = ACTIONS(772),
    [anon_sym_int] = ACTIONS(772),
    [anon_sym_long] = ACTIONS(772),
    [anon_sym_char] = ACTIONS(772),
    [anon_sym_float] = ACTIONS(772),
    [anon_sym_double] = ACTIONS(772),
    [sym_boolean_type] = ACTIONS(772),
    [sym_void_type] = ACTIONS(772),
    [anon_sym_def] = ACTIONS(772),
    [sym_this] = ACTIONS(772),
    [sym_super] = ACTIONS(772),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [162] = {
    [sym_argument_list] = STATE(218),
    [sym_closure] = STATE(269),
    [ts_builtin_sym_end] = ACTIONS(810),
    [sym_identifier] = ACTIONS(772),
    [sym_decimal_integer_literal] = ACTIONS(772),
    [sym_hex_integer_literal] = ACTIONS(772),
    [sym_octal_integer_literal] = ACTIONS(772),
    [sym_binary_integer_literal] = ACTIONS(772),
    [sym_decimal_floating_point_literal] = ACTIONS(772),
    [sym_hex_floating_point_literal] = ACTIONS(772),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_character_literal] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(772),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(772),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(772),
    [anon_sym_RBRACE] = ACTIONS(772),
    [sym_null_literal] = ACTIONS(772),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_EQ] = ACTIONS(777),
    [anon_sym_PLUS_EQ] = ACTIONS(777),
    [anon_sym_DASH_EQ] = ACTIONS(777),
    [anon_sym_STAR_EQ] = ACTIONS(777),
    [anon_sym_SLASH_EQ] = ACTIONS(777),
    [anon_sym_AMP_EQ] = ACTIONS(777),
    [anon_sym_PIPE_EQ] = ACTIONS(777),
    [anon_sym_CARET_EQ] = ACTIONS(777),
    [anon_sym_PERCENT_EQ] = ACTIONS(777),
    [anon_sym_LT_LT_EQ] = ACTIONS(777),
    [anon_sym_GT_GT_EQ] = ACTIONS(777),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(777),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(772),
    [anon_sym_GT_EQ] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(772),
    [anon_sym_EQ_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_AMP_AMP] = ACTIONS(772),
    [anon_sym_PIPE_PIPE] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(772),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_final] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(782),
    [anon_sym_QMARK] = ACTIONS(772),
    [anon_sym_BANG] = ACTIONS(772),
    [anon_sym_TILDE] = ACTIONS(772),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_new] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_DOT] = ACTIONS(772),
    [anon_sym_class] = ACTIONS(772),
    [anon_sym_COLON_COLON] = ACTIONS(772),
    [anon_sym_switch] = ACTIONS(772),
    [anon_sym_LBRACE] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(772),
    [anon_sym_default] = ACTIONS(772),
    [sym_underscore_pattern] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(772),
    [aux_sym_expression_statement_token1] = ACTIONS(810),
    [anon_sym_NULL] = ACTIONS(772),
    [anon_sym_assert] = ACTIONS(772),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_while] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(772),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(772),
    [anon_sym_synchronized] = ACTIONS(772),
    [anon_sym_throw] = ACTIONS(772),
    [anon_sym_try] = ACTIONS(772),
    [anon_sym_if] = ACTIONS(772),
    [anon_sym_else] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(772),
    [anon_sym_open] = ACTIONS(772),
    [anon_sym_module] = ACTIONS(772),
    [anon_sym_static] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(772),
    [anon_sym_package] = ACTIONS(772),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_enum] = ACTIONS(772),
    [anon_sym_public] = ACTIONS(772),
    [anon_sym_protected] = ACTIONS(772),
    [anon_sym_private] = ACTIONS(772),
    [anon_sym_abstract] = ACTIONS(772),
    [anon_sym_strictfp] = ACTIONS(772),
    [anon_sym_native] = ACTIONS(772),
    [anon_sym_transient] = ACTIONS(772),
    [anon_sym_volatile] = ACTIONS(772),
    [anon_sym_sealed] = ACTIONS(772),
    [anon_sym_non_DASHsealed] = ACTIONS(772),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_ATinterface] = ACTIONS(772),
    [anon_sym_interface] = ACTIONS(772),
    [anon_sym_byte] = ACTIONS(772),
    [anon_sym_short] = ACTIONS(772),
    [anon_sym_int] = ACTIONS(772),
    [anon_sym_long] = ACTIONS(772),
    [anon_sym_char] = ACTIONS(772),
    [anon_sym_float] = ACTIONS(772),
    [anon_sym_double] = ACTIONS(772),
    [sym_boolean_type] = ACTIONS(772),
    [sym_void_type] = ACTIONS(772),
    [anon_sym_def] = ACTIONS(772),
    [sym_this] = ACTIONS(772),
    [sym_super] = ACTIONS(772),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [163] = {
    [sym_argument_list] = STATE(227),
    [sym_closure] = STATE(295),
    [ts_builtin_sym_end] = ACTIONS(824),
    [sym_identifier] = ACTIONS(826),
    [sym_decimal_integer_literal] = ACTIONS(826),
    [sym_hex_integer_literal] = ACTIONS(826),
    [sym_octal_integer_literal] = ACTIONS(826),
    [sym_binary_integer_literal] = ACTIONS(826),
    [sym_decimal_floating_point_literal] = ACTIONS(826),
    [sym_hex_floating_point_literal] = ACTIONS(826),
    [sym_true] = ACTIONS(826),
    [sym_false] = ACTIONS(826),
    [sym_character_literal] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(826),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(826),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(826),
    [anon_sym_RBRACE] = ACTIONS(826),
    [sym_null_literal] = ACTIONS(826),
    [anon_sym_LPAREN] = ACTIONS(828),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(826),
    [anon_sym_PLUS_EQ] = ACTIONS(826),
    [anon_sym_DASH_EQ] = ACTIONS(826),
    [anon_sym_STAR_EQ] = ACTIONS(826),
    [anon_sym_SLASH_EQ] = ACTIONS(826),
    [anon_sym_AMP_EQ] = ACTIONS(826),
    [anon_sym_PIPE_EQ] = ACTIONS(826),
    [anon_sym_CARET_EQ] = ACTIONS(826),
    [anon_sym_PERCENT_EQ] = ACTIONS(826),
    [anon_sym_LT_LT_EQ] = ACTIONS(826),
    [anon_sym_GT_GT_EQ] = ACTIONS(826),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT_EQ] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_final] = ACTIONS(826),
    [anon_sym_DASH_GT] = ACTIONS(826),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_BANG] = ACTIONS(826),
    [anon_sym_TILDE] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(826),
    [anon_sym_DASH_DASH] = ACTIONS(826),
    [anon_sym_new] = ACTIONS(826),
    [anon_sym_LBRACK] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_class] = ACTIONS(826),
    [anon_sym_COLON_COLON] = ACTIONS(826),
    [anon_sym_switch] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(831),
    [anon_sym_case] = ACTIONS(826),
    [anon_sym_default] = ACTIONS(826),
    [sym_underscore_pattern] = ACTIONS(826),
    [anon_sym_SEMI] = ACTIONS(826),
    [aux_sym_expression_statement_token1] = ACTIONS(824),
    [anon_sym_NULL] = ACTIONS(826),
    [anon_sym_assert] = ACTIONS(826),
    [anon_sym_do] = ACTIONS(826),
    [anon_sym_while] = ACTIONS(826),
    [anon_sym_break] = ACTIONS(826),
    [anon_sym_continue] = ACTIONS(826),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_yield] = ACTIONS(826),
    [anon_sym_synchronized] = ACTIONS(826),
    [anon_sym_throw] = ACTIONS(826),
    [anon_sym_try] = ACTIONS(826),
    [anon_sym_if] = ACTIONS(826),
    [anon_sym_else] = ACTIONS(826),
    [anon_sym_for] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_open] = ACTIONS(826),
    [anon_sym_module] = ACTIONS(826),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_with] = ACTIONS(826),
    [anon_sym_package] = ACTIONS(826),
    [anon_sym_import] = ACTIONS(826),
    [anon_sym_enum] = ACTIONS(826),
    [anon_sym_public] = ACTIONS(826),
    [anon_sym_protected] = ACTIONS(826),
    [anon_sym_private] = ACTIONS(826),
    [anon_sym_abstract] = ACTIONS(826),
    [anon_sym_strictfp] = ACTIONS(826),
    [anon_sym_native] = ACTIONS(826),
    [anon_sym_transient] = ACTIONS(826),
    [anon_sym_volatile] = ACTIONS(826),
    [anon_sym_sealed] = ACTIONS(826),
    [anon_sym_non_DASHsealed] = ACTIONS(826),
    [anon_sym_record] = ACTIONS(826),
    [anon_sym_ATinterface] = ACTIONS(826),
    [anon_sym_interface] = ACTIONS(826),
    [anon_sym_byte] = ACTIONS(826),
    [anon_sym_short] = ACTIONS(826),
    [anon_sym_int] = ACTIONS(826),
    [anon_sym_long] = ACTIONS(826),
    [anon_sym_char] = ACTIONS(826),
    [anon_sym_float] = ACTIONS(826),
    [anon_sym_double] = ACTIONS(826),
    [sym_boolean_type] = ACTIONS(826),
    [sym_void_type] = ACTIONS(826),
    [anon_sym_def] = ACTIONS(826),
    [sym_this] = ACTIONS(826),
    [sym_super] = ACTIONS(826),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(826),
  },
  [164] = {
    [sym_argument_list] = STATE(210),
    [sym_closure] = STATE(236),
    [ts_builtin_sym_end] = ACTIONS(834),
    [sym_identifier] = ACTIONS(836),
    [sym_decimal_integer_literal] = ACTIONS(836),
    [sym_hex_integer_literal] = ACTIONS(836),
    [sym_octal_integer_literal] = ACTIONS(836),
    [sym_binary_integer_literal] = ACTIONS(836),
    [sym_decimal_floating_point_literal] = ACTIONS(836),
    [sym_hex_floating_point_literal] = ACTIONS(836),
    [sym_true] = ACTIONS(836),
    [sym_false] = ACTIONS(836),
    [sym_character_literal] = ACTIONS(836),
    [anon_sym_DQUOTE] = ACTIONS(836),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(836),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(836),
    [sym_null_literal] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(838),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_PLUS_EQ] = ACTIONS(836),
    [anon_sym_DASH_EQ] = ACTIONS(836),
    [anon_sym_STAR_EQ] = ACTIONS(836),
    [anon_sym_SLASH_EQ] = ACTIONS(836),
    [anon_sym_AMP_EQ] = ACTIONS(836),
    [anon_sym_PIPE_EQ] = ACTIONS(836),
    [anon_sym_CARET_EQ] = ACTIONS(836),
    [anon_sym_PERCENT_EQ] = ACTIONS(836),
    [anon_sym_LT_LT_EQ] = ACTIONS(836),
    [anon_sym_GT_GT_EQ] = ACTIONS(836),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(836),
    [anon_sym_LT_EQ] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(836),
    [anon_sym_BANG_EQ] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_STAR_STAR] = ACTIONS(836),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_final] = ACTIONS(836),
    [anon_sym_DASH_GT] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_PLUS_PLUS] = ACTIONS(836),
    [anon_sym_DASH_DASH] = ACTIONS(836),
    [anon_sym_new] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_class] = ACTIONS(836),
    [anon_sym_COLON_COLON] = ACTIONS(836),
    [anon_sym_switch] = ACTIONS(836),
    [anon_sym_LBRACE] = ACTIONS(841),
    [anon_sym_case] = ACTIONS(836),
    [anon_sym_default] = ACTIONS(836),
    [sym_underscore_pattern] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(836),
    [aux_sym_expression_statement_token1] = ACTIONS(834),
    [anon_sym_NULL] = ACTIONS(836),
    [anon_sym_assert] = ACTIONS(836),
    [anon_sym_do] = ACTIONS(836),
    [anon_sym_while] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_return] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(836),
    [anon_sym_synchronized] = ACTIONS(836),
    [anon_sym_throw] = ACTIONS(836),
    [anon_sym_try] = ACTIONS(836),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_else] = ACTIONS(836),
    [anon_sym_for] = ACTIONS(836),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_open] = ACTIONS(836),
    [anon_sym_module] = ACTIONS(836),
    [anon_sym_static] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(836),
    [anon_sym_package] = ACTIONS(836),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_enum] = ACTIONS(836),
    [anon_sym_public] = ACTIONS(836),
    [anon_sym_protected] = ACTIONS(836),
    [anon_sym_private] = ACTIONS(836),
    [anon_sym_abstract] = ACTIONS(836),
    [anon_sym_strictfp] = ACTIONS(836),
    [anon_sym_native] = ACTIONS(836),
    [anon_sym_transient] = ACTIONS(836),
    [anon_sym_volatile] = ACTIONS(836),
    [anon_sym_sealed] = ACTIONS(836),
    [anon_sym_non_DASHsealed] = ACTIONS(836),
    [anon_sym_record] = ACTIONS(836),
    [anon_sym_ATinterface] = ACTIONS(836),
    [anon_sym_interface] = ACTIONS(836),
    [anon_sym_byte] = ACTIONS(836),
    [anon_sym_short] = ACTIONS(836),
    [anon_sym_int] = ACTIONS(836),
    [anon_sym_long] = ACTIONS(836),
    [anon_sym_char] = ACTIONS(836),
    [anon_sym_float] = ACTIONS(836),
    [anon_sym_double] = ACTIONS(836),
    [sym_boolean_type] = ACTIONS(836),
    [sym_void_type] = ACTIONS(836),
    [anon_sym_def] = ACTIONS(836),
    [sym_this] = ACTIONS(836),
    [sym_super] = ACTIONS(836),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(836),
  },
  [165] = {
    [ts_builtin_sym_end] = ACTIONS(265),
    [sym_identifier] = ACTIONS(273),
    [sym_decimal_integer_literal] = ACTIONS(273),
    [sym_hex_integer_literal] = ACTIONS(273),
    [sym_octal_integer_literal] = ACTIONS(273),
    [sym_binary_integer_literal] = ACTIONS(273),
    [sym_decimal_floating_point_literal] = ACTIONS(273),
    [sym_hex_floating_point_literal] = ACTIONS(273),
    [sym_true] = ACTIONS(273),
    [sym_false] = ACTIONS(273),
    [sym_character_literal] = ACTIONS(273),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(273),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(273),
    [anon_sym_RBRACE] = ACTIONS(273),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(273),
    [anon_sym_PLUS_EQ] = ACTIONS(273),
    [anon_sym_DASH_EQ] = ACTIONS(273),
    [anon_sym_STAR_EQ] = ACTIONS(273),
    [anon_sym_SLASH_EQ] = ACTIONS(273),
    [anon_sym_AMP_EQ] = ACTIONS(273),
    [anon_sym_PIPE_EQ] = ACTIONS(273),
    [anon_sym_CARET_EQ] = ACTIONS(273),
    [anon_sym_PERCENT_EQ] = ACTIONS(273),
    [anon_sym_LT_LT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_AMP_AMP] = ACTIONS(273),
    [anon_sym_PIPE_PIPE] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_GT_GT_GT] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_instanceof] = ACTIONS(273),
    [anon_sym_final] = ACTIONS(273),
    [anon_sym_DASH_GT] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_QMARK] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(273),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_PLUS_PLUS] = ACTIONS(273),
    [anon_sym_DASH_DASH] = ACTIONS(273),
    [anon_sym_new] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_class] = ACTIONS(273),
    [anon_sym_COLON_COLON] = ACTIONS(273),
    [anon_sym_switch] = ACTIONS(273),
    [anon_sym_LBRACE] = ACTIONS(273),
    [anon_sym_case] = ACTIONS(273),
    [anon_sym_default] = ACTIONS(273),
    [sym_underscore_pattern] = ACTIONS(273),
    [anon_sym_SEMI] = ACTIONS(273),
    [aux_sym_expression_statement_token1] = ACTIONS(265),
    [anon_sym_NULL] = ACTIONS(273),
    [anon_sym_assert] = ACTIONS(273),
    [anon_sym_do] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(273),
    [anon_sym_continue] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_yield] = ACTIONS(273),
    [anon_sym_synchronized] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(273),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_else] = ACTIONS(273),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_open] = ACTIONS(273),
    [anon_sym_module] = ACTIONS(844),
    [anon_sym_static] = ACTIONS(273),
    [anon_sym_with] = ACTIONS(273),
    [anon_sym_package] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(273),
    [anon_sym_enum] = ACTIONS(273),
    [anon_sym_public] = ACTIONS(273),
    [anon_sym_protected] = ACTIONS(273),
    [anon_sym_private] = ACTIONS(273),
    [anon_sym_abstract] = ACTIONS(273),
    [anon_sym_strictfp] = ACTIONS(273),
    [anon_sym_native] = ACTIONS(273),
    [anon_sym_transient] = ACTIONS(273),
    [anon_sym_volatile] = ACTIONS(273),
    [anon_sym_sealed] = ACTIONS(273),
    [anon_sym_non_DASHsealed] = ACTIONS(273),
    [anon_sym_record] = ACTIONS(273),
    [anon_sym_ATinterface] = ACTIONS(273),
    [anon_sym_interface] = ACTIONS(273),
    [anon_sym_byte] = ACTIONS(273),
    [anon_sym_short] = ACTIONS(273),
    [anon_sym_int] = ACTIONS(273),
    [anon_sym_long] = ACTIONS(273),
    [anon_sym_char] = ACTIONS(273),
    [anon_sym_float] = ACTIONS(273),
    [anon_sym_double] = ACTIONS(273),
    [sym_boolean_type] = ACTIONS(273),
    [sym_void_type] = ACTIONS(273),
    [anon_sym_def] = ACTIONS(273),
    [sym_this] = ACTIONS(273),
    [sym_super] = ACTIONS(273),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(273),
  },
  [166] = {
    [ts_builtin_sym_end] = ACTIONS(265),
    [sym_identifier] = ACTIONS(273),
    [sym_decimal_integer_literal] = ACTIONS(273),
    [sym_hex_integer_literal] = ACTIONS(273),
    [sym_octal_integer_literal] = ACTIONS(273),
    [sym_binary_integer_literal] = ACTIONS(273),
    [sym_decimal_floating_point_literal] = ACTIONS(273),
    [sym_hex_floating_point_literal] = ACTIONS(273),
    [sym_true] = ACTIONS(273),
    [sym_false] = ACTIONS(273),
    [sym_character_literal] = ACTIONS(273),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(273),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(273),
    [anon_sym_RBRACE] = ACTIONS(273),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(273),
    [anon_sym_PLUS_EQ] = ACTIONS(273),
    [anon_sym_DASH_EQ] = ACTIONS(273),
    [anon_sym_STAR_EQ] = ACTIONS(273),
    [anon_sym_SLASH_EQ] = ACTIONS(273),
    [anon_sym_AMP_EQ] = ACTIONS(273),
    [anon_sym_PIPE_EQ] = ACTIONS(273),
    [anon_sym_CARET_EQ] = ACTIONS(273),
    [anon_sym_PERCENT_EQ] = ACTIONS(273),
    [anon_sym_LT_LT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_AMP_AMP] = ACTIONS(273),
    [anon_sym_PIPE_PIPE] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_GT_GT_GT] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_instanceof] = ACTIONS(273),
    [anon_sym_final] = ACTIONS(273),
    [anon_sym_DASH_GT] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_QMARK] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(273),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_PLUS_PLUS] = ACTIONS(273),
    [anon_sym_DASH_DASH] = ACTIONS(273),
    [anon_sym_new] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_class] = ACTIONS(273),
    [anon_sym_COLON_COLON] = ACTIONS(273),
    [anon_sym_switch] = ACTIONS(273),
    [anon_sym_LBRACE] = ACTIONS(273),
    [anon_sym_case] = ACTIONS(273),
    [anon_sym_default] = ACTIONS(273),
    [sym_underscore_pattern] = ACTIONS(273),
    [anon_sym_SEMI] = ACTIONS(273),
    [aux_sym_expression_statement_token1] = ACTIONS(265),
    [anon_sym_NULL] = ACTIONS(273),
    [anon_sym_assert] = ACTIONS(273),
    [anon_sym_do] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(273),
    [anon_sym_continue] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_yield] = ACTIONS(273),
    [anon_sym_synchronized] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(273),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_else] = ACTIONS(273),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_open] = ACTIONS(273),
    [anon_sym_module] = ACTIONS(273),
    [anon_sym_static] = ACTIONS(273),
    [anon_sym_with] = ACTIONS(273),
    [anon_sym_package] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(273),
    [anon_sym_enum] = ACTIONS(273),
    [anon_sym_public] = ACTIONS(273),
    [anon_sym_protected] = ACTIONS(273),
    [anon_sym_private] = ACTIONS(273),
    [anon_sym_abstract] = ACTIONS(273),
    [anon_sym_strictfp] = ACTIONS(273),
    [anon_sym_native] = ACTIONS(273),
    [anon_sym_transient] = ACTIONS(273),
    [anon_sym_volatile] = ACTIONS(273),
    [anon_sym_sealed] = ACTIONS(273),
    [anon_sym_non_DASHsealed] = ACTIONS(273),
    [anon_sym_record] = ACTIONS(273),
    [anon_sym_ATinterface] = ACTIONS(273),
    [anon_sym_interface] = ACTIONS(273),
    [anon_sym_byte] = ACTIONS(273),
    [anon_sym_short] = ACTIONS(273),
    [anon_sym_int] = ACTIONS(273),
    [anon_sym_long] = ACTIONS(273),
    [anon_sym_char] = ACTIONS(273),
    [anon_sym_float] = ACTIONS(273),
    [anon_sym_double] = ACTIONS(273),
    [sym_boolean_type] = ACTIONS(273),
    [sym_void_type] = ACTIONS(273),
    [anon_sym_def] = ACTIONS(273),
    [sym_this] = ACTIONS(273),
    [sym_super] = ACTIONS(273),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(273),
  },
  [167] = {
    [ts_builtin_sym_end] = ACTIONS(265),
    [sym_identifier] = ACTIONS(846),
    [sym_decimal_integer_literal] = ACTIONS(273),
    [sym_hex_integer_literal] = ACTIONS(273),
    [sym_octal_integer_literal] = ACTIONS(273),
    [sym_binary_integer_literal] = ACTIONS(273),
    [sym_decimal_floating_point_literal] = ACTIONS(273),
    [sym_hex_floating_point_literal] = ACTIONS(273),
    [sym_true] = ACTIONS(273),
    [sym_false] = ACTIONS(273),
    [sym_character_literal] = ACTIONS(273),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(273),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(273),
    [anon_sym_RBRACE] = ACTIONS(273),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(273),
    [anon_sym_PLUS_EQ] = ACTIONS(273),
    [anon_sym_DASH_EQ] = ACTIONS(273),
    [anon_sym_STAR_EQ] = ACTIONS(273),
    [anon_sym_SLASH_EQ] = ACTIONS(273),
    [anon_sym_AMP_EQ] = ACTIONS(273),
    [anon_sym_PIPE_EQ] = ACTIONS(273),
    [anon_sym_CARET_EQ] = ACTIONS(273),
    [anon_sym_PERCENT_EQ] = ACTIONS(273),
    [anon_sym_LT_LT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_AMP_AMP] = ACTIONS(273),
    [anon_sym_PIPE_PIPE] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_GT_GT_GT] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_instanceof] = ACTIONS(273),
    [anon_sym_final] = ACTIONS(846),
    [anon_sym_DASH_GT] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_QMARK] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(273),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_PLUS_PLUS] = ACTIONS(273),
    [anon_sym_DASH_DASH] = ACTIONS(273),
    [anon_sym_new] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_class] = ACTIONS(846),
    [anon_sym_COLON_COLON] = ACTIONS(273),
    [anon_sym_switch] = ACTIONS(273),
    [anon_sym_LBRACE] = ACTIONS(273),
    [anon_sym_case] = ACTIONS(273),
    [anon_sym_default] = ACTIONS(846),
    [sym_underscore_pattern] = ACTIONS(846),
    [anon_sym_SEMI] = ACTIONS(273),
    [aux_sym_expression_statement_token1] = ACTIONS(265),
    [anon_sym_NULL] = ACTIONS(273),
    [anon_sym_assert] = ACTIONS(273),
    [anon_sym_do] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(273),
    [anon_sym_continue] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_yield] = ACTIONS(846),
    [anon_sym_synchronized] = ACTIONS(846),
    [anon_sym_throw] = ACTIONS(273),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_else] = ACTIONS(273),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(846),
    [anon_sym_open] = ACTIONS(846),
    [anon_sym_module] = ACTIONS(846),
    [anon_sym_static] = ACTIONS(846),
    [anon_sym_with] = ACTIONS(846),
    [anon_sym_package] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(273),
    [anon_sym_enum] = ACTIONS(846),
    [anon_sym_public] = ACTIONS(846),
    [anon_sym_protected] = ACTIONS(846),
    [anon_sym_private] = ACTIONS(846),
    [anon_sym_abstract] = ACTIONS(846),
    [anon_sym_strictfp] = ACTIONS(846),
    [anon_sym_native] = ACTIONS(846),
    [anon_sym_transient] = ACTIONS(846),
    [anon_sym_volatile] = ACTIONS(846),
    [anon_sym_sealed] = ACTIONS(846),
    [anon_sym_non_DASHsealed] = ACTIONS(846),
    [anon_sym_record] = ACTIONS(846),
    [anon_sym_ATinterface] = ACTIONS(846),
    [anon_sym_interface] = ACTIONS(846),
    [anon_sym_byte] = ACTIONS(846),
    [anon_sym_short] = ACTIONS(846),
    [anon_sym_int] = ACTIONS(846),
    [anon_sym_long] = ACTIONS(846),
    [anon_sym_char] = ACTIONS(846),
    [anon_sym_float] = ACTIONS(846),
    [anon_sym_double] = ACTIONS(846),
    [sym_boolean_type] = ACTIONS(846),
    [sym_void_type] = ACTIONS(846),
    [anon_sym_def] = ACTIONS(846),
    [sym_this] = ACTIONS(273),
    [sym_super] = ACTIONS(273),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(273),
  },
  [168] = {
    [ts_builtin_sym_end] = ACTIONS(265),
    [sym_identifier] = ACTIONS(848),
    [sym_decimal_integer_literal] = ACTIONS(273),
    [sym_hex_integer_literal] = ACTIONS(273),
    [sym_octal_integer_literal] = ACTIONS(273),
    [sym_binary_integer_literal] = ACTIONS(273),
    [sym_decimal_floating_point_literal] = ACTIONS(273),
    [sym_hex_floating_point_literal] = ACTIONS(273),
    [sym_true] = ACTIONS(273),
    [sym_false] = ACTIONS(273),
    [sym_character_literal] = ACTIONS(273),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(273),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(273),
    [anon_sym_RBRACE] = ACTIONS(273),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(273),
    [anon_sym_PLUS_EQ] = ACTIONS(273),
    [anon_sym_DASH_EQ] = ACTIONS(273),
    [anon_sym_STAR_EQ] = ACTIONS(273),
    [anon_sym_SLASH_EQ] = ACTIONS(273),
    [anon_sym_AMP_EQ] = ACTIONS(273),
    [anon_sym_PIPE_EQ] = ACTIONS(273),
    [anon_sym_CARET_EQ] = ACTIONS(273),
    [anon_sym_PERCENT_EQ] = ACTIONS(273),
    [anon_sym_LT_LT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_AMP_AMP] = ACTIONS(273),
    [anon_sym_PIPE_PIPE] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_GT_GT_GT] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_instanceof] = ACTIONS(273),
    [anon_sym_final] = ACTIONS(273),
    [anon_sym_DASH_GT] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_QMARK] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(273),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_PLUS_PLUS] = ACTIONS(273),
    [anon_sym_DASH_DASH] = ACTIONS(273),
    [anon_sym_new] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_class] = ACTIONS(273),
    [anon_sym_COLON_COLON] = ACTIONS(273),
    [anon_sym_switch] = ACTIONS(273),
    [anon_sym_LBRACE] = ACTIONS(273),
    [anon_sym_case] = ACTIONS(273),
    [anon_sym_default] = ACTIONS(273),
    [sym_underscore_pattern] = ACTIONS(273),
    [anon_sym_SEMI] = ACTIONS(273),
    [aux_sym_expression_statement_token1] = ACTIONS(265),
    [anon_sym_NULL] = ACTIONS(273),
    [anon_sym_assert] = ACTIONS(273),
    [anon_sym_do] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(273),
    [anon_sym_continue] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_yield] = ACTIONS(273),
    [anon_sym_synchronized] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(273),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_else] = ACTIONS(273),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_open] = ACTIONS(273),
    [anon_sym_module] = ACTIONS(273),
    [anon_sym_static] = ACTIONS(273),
    [anon_sym_with] = ACTIONS(273),
    [anon_sym_package] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(273),
    [anon_sym_enum] = ACTIONS(273),
    [anon_sym_public] = ACTIONS(273),
    [anon_sym_protected] = ACTIONS(273),
    [anon_sym_private] = ACTIONS(273),
    [anon_sym_abstract] = ACTIONS(273),
    [anon_sym_strictfp] = ACTIONS(273),
    [anon_sym_native] = ACTIONS(273),
    [anon_sym_transient] = ACTIONS(273),
    [anon_sym_volatile] = ACTIONS(273),
    [anon_sym_sealed] = ACTIONS(273),
    [anon_sym_non_DASHsealed] = ACTIONS(273),
    [anon_sym_record] = ACTIONS(273),
    [anon_sym_ATinterface] = ACTIONS(273),
    [anon_sym_interface] = ACTIONS(273),
    [anon_sym_byte] = ACTIONS(273),
    [anon_sym_short] = ACTIONS(273),
    [anon_sym_int] = ACTIONS(273),
    [anon_sym_long] = ACTIONS(273),
    [anon_sym_char] = ACTIONS(273),
    [anon_sym_float] = ACTIONS(273),
    [anon_sym_double] = ACTIONS(273),
    [sym_boolean_type] = ACTIONS(273),
    [sym_void_type] = ACTIONS(273),
    [anon_sym_def] = ACTIONS(273),
    [sym_this] = ACTIONS(273),
    [sym_super] = ACTIONS(273),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(273),
  },
  [169] = {
    [ts_builtin_sym_end] = ACTIONS(850),
    [sym_identifier] = ACTIONS(852),
    [sym_decimal_integer_literal] = ACTIONS(852),
    [sym_hex_integer_literal] = ACTIONS(852),
    [sym_octal_integer_literal] = ACTIONS(852),
    [sym_binary_integer_literal] = ACTIONS(852),
    [sym_decimal_floating_point_literal] = ACTIONS(852),
    [sym_hex_floating_point_literal] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_character_literal] = ACTIONS(852),
    [anon_sym_DQUOTE] = ACTIONS(852),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(852),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(852),
    [anon_sym_RBRACE] = ACTIONS(852),
    [sym_null_literal] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_PLUS_EQ] = ACTIONS(852),
    [anon_sym_DASH_EQ] = ACTIONS(852),
    [anon_sym_STAR_EQ] = ACTIONS(852),
    [anon_sym_SLASH_EQ] = ACTIONS(852),
    [anon_sym_AMP_EQ] = ACTIONS(852),
    [anon_sym_PIPE_EQ] = ACTIONS(852),
    [anon_sym_CARET_EQ] = ACTIONS(852),
    [anon_sym_PERCENT_EQ] = ACTIONS(852),
    [anon_sym_LT_LT_EQ] = ACTIONS(852),
    [anon_sym_GT_GT_EQ] = ACTIONS(852),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(852),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(852),
    [anon_sym_BANG_EQ] = ACTIONS(852),
    [anon_sym_AMP_AMP] = ACTIONS(852),
    [anon_sym_PIPE_PIPE] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_STAR_STAR] = ACTIONS(852),
    [anon_sym_instanceof] = ACTIONS(852),
    [anon_sym_final] = ACTIONS(852),
    [anon_sym_DASH_GT] = ACTIONS(852),
    [anon_sym_QMARK] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(852),
    [anon_sym_DASH_DASH] = ACTIONS(852),
    [anon_sym_new] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_class] = ACTIONS(852),
    [anon_sym_COLON_COLON] = ACTIONS(852),
    [anon_sym_switch] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(852),
    [anon_sym_case] = ACTIONS(852),
    [anon_sym_default] = ACTIONS(852),
    [sym_underscore_pattern] = ACTIONS(852),
    [anon_sym_SEMI] = ACTIONS(852),
    [aux_sym_expression_statement_token1] = ACTIONS(850),
    [anon_sym_NULL] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_yield] = ACTIONS(852),
    [anon_sym_synchronized] = ACTIONS(852),
    [anon_sym_throw] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_else] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [anon_sym_open] = ACTIONS(852),
    [anon_sym_module] = ACTIONS(852),
    [anon_sym_static] = ACTIONS(852),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_package] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_enum] = ACTIONS(852),
    [anon_sym_public] = ACTIONS(852),
    [anon_sym_protected] = ACTIONS(852),
    [anon_sym_private] = ACTIONS(852),
    [anon_sym_abstract] = ACTIONS(852),
    [anon_sym_strictfp] = ACTIONS(852),
    [anon_sym_native] = ACTIONS(852),
    [anon_sym_transient] = ACTIONS(852),
    [anon_sym_volatile] = ACTIONS(852),
    [anon_sym_sealed] = ACTIONS(852),
    [anon_sym_non_DASHsealed] = ACTIONS(852),
    [anon_sym_record] = ACTIONS(852),
    [anon_sym_ATinterface] = ACTIONS(852),
    [anon_sym_interface] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_short] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_long] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_float] = ACTIONS(852),
    [anon_sym_double] = ACTIONS(852),
    [sym_boolean_type] = ACTIONS(852),
    [sym_void_type] = ACTIONS(852),
    [anon_sym_def] = ACTIONS(852),
    [sym_this] = ACTIONS(852),
    [sym_super] = ACTIONS(852),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(852),
  },
  [170] = {
    [ts_builtin_sym_end] = ACTIONS(824),
    [sym_identifier] = ACTIONS(826),
    [sym_decimal_integer_literal] = ACTIONS(826),
    [sym_hex_integer_literal] = ACTIONS(826),
    [sym_octal_integer_literal] = ACTIONS(826),
    [sym_binary_integer_literal] = ACTIONS(826),
    [sym_decimal_floating_point_literal] = ACTIONS(826),
    [sym_hex_floating_point_literal] = ACTIONS(826),
    [sym_true] = ACTIONS(826),
    [sym_false] = ACTIONS(826),
    [sym_character_literal] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(826),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(826),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(826),
    [anon_sym_RBRACE] = ACTIONS(826),
    [sym_null_literal] = ACTIONS(826),
    [anon_sym_LPAREN] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(826),
    [anon_sym_PLUS_EQ] = ACTIONS(826),
    [anon_sym_DASH_EQ] = ACTIONS(826),
    [anon_sym_STAR_EQ] = ACTIONS(826),
    [anon_sym_SLASH_EQ] = ACTIONS(826),
    [anon_sym_AMP_EQ] = ACTIONS(826),
    [anon_sym_PIPE_EQ] = ACTIONS(826),
    [anon_sym_CARET_EQ] = ACTIONS(826),
    [anon_sym_PERCENT_EQ] = ACTIONS(826),
    [anon_sym_LT_LT_EQ] = ACTIONS(826),
    [anon_sym_GT_GT_EQ] = ACTIONS(826),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT_EQ] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_final] = ACTIONS(826),
    [anon_sym_DASH_GT] = ACTIONS(826),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_BANG] = ACTIONS(826),
    [anon_sym_TILDE] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(826),
    [anon_sym_DASH_DASH] = ACTIONS(826),
    [anon_sym_new] = ACTIONS(826),
    [anon_sym_LBRACK] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_class] = ACTIONS(826),
    [anon_sym_COLON_COLON] = ACTIONS(826),
    [anon_sym_switch] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(826),
    [anon_sym_case] = ACTIONS(826),
    [anon_sym_default] = ACTIONS(826),
    [sym_underscore_pattern] = ACTIONS(826),
    [anon_sym_SEMI] = ACTIONS(826),
    [aux_sym_expression_statement_token1] = ACTIONS(824),
    [anon_sym_NULL] = ACTIONS(826),
    [anon_sym_assert] = ACTIONS(826),
    [anon_sym_do] = ACTIONS(826),
    [anon_sym_while] = ACTIONS(826),
    [anon_sym_break] = ACTIONS(826),
    [anon_sym_continue] = ACTIONS(826),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_yield] = ACTIONS(826),
    [anon_sym_synchronized] = ACTIONS(826),
    [anon_sym_throw] = ACTIONS(826),
    [anon_sym_try] = ACTIONS(826),
    [anon_sym_if] = ACTIONS(826),
    [anon_sym_else] = ACTIONS(826),
    [anon_sym_for] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_open] = ACTIONS(826),
    [anon_sym_module] = ACTIONS(826),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_with] = ACTIONS(826),
    [anon_sym_package] = ACTIONS(826),
    [anon_sym_import] = ACTIONS(826),
    [anon_sym_enum] = ACTIONS(826),
    [anon_sym_public] = ACTIONS(826),
    [anon_sym_protected] = ACTIONS(826),
    [anon_sym_private] = ACTIONS(826),
    [anon_sym_abstract] = ACTIONS(826),
    [anon_sym_strictfp] = ACTIONS(826),
    [anon_sym_native] = ACTIONS(826),
    [anon_sym_transient] = ACTIONS(826),
    [anon_sym_volatile] = ACTIONS(826),
    [anon_sym_sealed] = ACTIONS(826),
    [anon_sym_non_DASHsealed] = ACTIONS(826),
    [anon_sym_record] = ACTIONS(826),
    [anon_sym_ATinterface] = ACTIONS(826),
    [anon_sym_interface] = ACTIONS(826),
    [anon_sym_byte] = ACTIONS(826),
    [anon_sym_short] = ACTIONS(826),
    [anon_sym_int] = ACTIONS(826),
    [anon_sym_long] = ACTIONS(826),
    [anon_sym_char] = ACTIONS(826),
    [anon_sym_float] = ACTIONS(826),
    [anon_sym_double] = ACTIONS(826),
    [sym_boolean_type] = ACTIONS(826),
    [sym_void_type] = ACTIONS(826),
    [anon_sym_def] = ACTIONS(826),
    [sym_this] = ACTIONS(826),
    [sym_super] = ACTIONS(826),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(826),
  },
  [171] = {
    [ts_builtin_sym_end] = ACTIONS(834),
    [sym_identifier] = ACTIONS(836),
    [sym_decimal_integer_literal] = ACTIONS(836),
    [sym_hex_integer_literal] = ACTIONS(836),
    [sym_octal_integer_literal] = ACTIONS(836),
    [sym_binary_integer_literal] = ACTIONS(836),
    [sym_decimal_floating_point_literal] = ACTIONS(836),
    [sym_hex_floating_point_literal] = ACTIONS(836),
    [sym_true] = ACTIONS(836),
    [sym_false] = ACTIONS(836),
    [sym_character_literal] = ACTIONS(836),
    [anon_sym_DQUOTE] = ACTIONS(836),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(836),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(836),
    [sym_null_literal] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(836),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_PLUS_EQ] = ACTIONS(836),
    [anon_sym_DASH_EQ] = ACTIONS(836),
    [anon_sym_STAR_EQ] = ACTIONS(836),
    [anon_sym_SLASH_EQ] = ACTIONS(836),
    [anon_sym_AMP_EQ] = ACTIONS(836),
    [anon_sym_PIPE_EQ] = ACTIONS(836),
    [anon_sym_CARET_EQ] = ACTIONS(836),
    [anon_sym_PERCENT_EQ] = ACTIONS(836),
    [anon_sym_LT_LT_EQ] = ACTIONS(836),
    [anon_sym_GT_GT_EQ] = ACTIONS(836),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(836),
    [anon_sym_LT_EQ] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(836),
    [anon_sym_BANG_EQ] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_STAR_STAR] = ACTIONS(836),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_final] = ACTIONS(836),
    [anon_sym_DASH_GT] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_PLUS_PLUS] = ACTIONS(836),
    [anon_sym_DASH_DASH] = ACTIONS(836),
    [anon_sym_new] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_class] = ACTIONS(836),
    [anon_sym_COLON_COLON] = ACTIONS(836),
    [anon_sym_switch] = ACTIONS(836),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_case] = ACTIONS(836),
    [anon_sym_default] = ACTIONS(836),
    [sym_underscore_pattern] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(836),
    [aux_sym_expression_statement_token1] = ACTIONS(834),
    [anon_sym_NULL] = ACTIONS(836),
    [anon_sym_assert] = ACTIONS(836),
    [anon_sym_do] = ACTIONS(836),
    [anon_sym_while] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_return] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(836),
    [anon_sym_synchronized] = ACTIONS(836),
    [anon_sym_throw] = ACTIONS(836),
    [anon_sym_try] = ACTIONS(836),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_else] = ACTIONS(836),
    [anon_sym_for] = ACTIONS(836),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_open] = ACTIONS(836),
    [anon_sym_module] = ACTIONS(836),
    [anon_sym_static] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(836),
    [anon_sym_package] = ACTIONS(836),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_enum] = ACTIONS(836),
    [anon_sym_public] = ACTIONS(836),
    [anon_sym_protected] = ACTIONS(836),
    [anon_sym_private] = ACTIONS(836),
    [anon_sym_abstract] = ACTIONS(836),
    [anon_sym_strictfp] = ACTIONS(836),
    [anon_sym_native] = ACTIONS(836),
    [anon_sym_transient] = ACTIONS(836),
    [anon_sym_volatile] = ACTIONS(836),
    [anon_sym_sealed] = ACTIONS(836),
    [anon_sym_non_DASHsealed] = ACTIONS(836),
    [anon_sym_record] = ACTIONS(836),
    [anon_sym_ATinterface] = ACTIONS(836),
    [anon_sym_interface] = ACTIONS(836),
    [anon_sym_byte] = ACTIONS(836),
    [anon_sym_short] = ACTIONS(836),
    [anon_sym_int] = ACTIONS(836),
    [anon_sym_long] = ACTIONS(836),
    [anon_sym_char] = ACTIONS(836),
    [anon_sym_float] = ACTIONS(836),
    [anon_sym_double] = ACTIONS(836),
    [sym_boolean_type] = ACTIONS(836),
    [sym_void_type] = ACTIONS(836),
    [anon_sym_def] = ACTIONS(836),
    [sym_this] = ACTIONS(836),
    [sym_super] = ACTIONS(836),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(836),
  },
  [172] = {
    [ts_builtin_sym_end] = ACTIONS(810),
    [sym_identifier] = ACTIONS(772),
    [sym_decimal_integer_literal] = ACTIONS(772),
    [sym_hex_integer_literal] = ACTIONS(772),
    [sym_octal_integer_literal] = ACTIONS(772),
    [sym_binary_integer_literal] = ACTIONS(772),
    [sym_decimal_floating_point_literal] = ACTIONS(772),
    [sym_hex_floating_point_literal] = ACTIONS(772),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_character_literal] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(772),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(772),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(772),
    [anon_sym_RBRACE] = ACTIONS(772),
    [sym_null_literal] = ACTIONS(772),
    [anon_sym_LPAREN] = ACTIONS(772),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_EQ] = ACTIONS(777),
    [anon_sym_PLUS_EQ] = ACTIONS(777),
    [anon_sym_DASH_EQ] = ACTIONS(777),
    [anon_sym_STAR_EQ] = ACTIONS(777),
    [anon_sym_SLASH_EQ] = ACTIONS(777),
    [anon_sym_AMP_EQ] = ACTIONS(777),
    [anon_sym_PIPE_EQ] = ACTIONS(777),
    [anon_sym_CARET_EQ] = ACTIONS(777),
    [anon_sym_PERCENT_EQ] = ACTIONS(777),
    [anon_sym_LT_LT_EQ] = ACTIONS(777),
    [anon_sym_GT_GT_EQ] = ACTIONS(777),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(777),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(772),
    [anon_sym_GT_EQ] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(772),
    [anon_sym_EQ_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_AMP_AMP] = ACTIONS(772),
    [anon_sym_PIPE_PIPE] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(772),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_final] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(772),
    [anon_sym_QMARK] = ACTIONS(772),
    [anon_sym_BANG] = ACTIONS(772),
    [anon_sym_TILDE] = ACTIONS(772),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_new] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_DOT] = ACTIONS(772),
    [anon_sym_class] = ACTIONS(772),
    [anon_sym_COLON_COLON] = ACTIONS(772),
    [anon_sym_switch] = ACTIONS(772),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_case] = ACTIONS(772),
    [anon_sym_default] = ACTIONS(772),
    [sym_underscore_pattern] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(772),
    [aux_sym_expression_statement_token1] = ACTIONS(810),
    [anon_sym_NULL] = ACTIONS(772),
    [anon_sym_assert] = ACTIONS(772),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_while] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(772),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(772),
    [anon_sym_synchronized] = ACTIONS(772),
    [anon_sym_throw] = ACTIONS(772),
    [anon_sym_try] = ACTIONS(772),
    [anon_sym_if] = ACTIONS(772),
    [anon_sym_else] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(772),
    [anon_sym_open] = ACTIONS(772),
    [anon_sym_module] = ACTIONS(772),
    [anon_sym_static] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(772),
    [anon_sym_package] = ACTIONS(772),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_enum] = ACTIONS(772),
    [anon_sym_public] = ACTIONS(772),
    [anon_sym_protected] = ACTIONS(772),
    [anon_sym_private] = ACTIONS(772),
    [anon_sym_abstract] = ACTIONS(772),
    [anon_sym_strictfp] = ACTIONS(772),
    [anon_sym_native] = ACTIONS(772),
    [anon_sym_transient] = ACTIONS(772),
    [anon_sym_volatile] = ACTIONS(772),
    [anon_sym_sealed] = ACTIONS(772),
    [anon_sym_non_DASHsealed] = ACTIONS(772),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_ATinterface] = ACTIONS(772),
    [anon_sym_interface] = ACTIONS(772),
    [anon_sym_byte] = ACTIONS(772),
    [anon_sym_short] = ACTIONS(772),
    [anon_sym_int] = ACTIONS(772),
    [anon_sym_long] = ACTIONS(772),
    [anon_sym_char] = ACTIONS(772),
    [anon_sym_float] = ACTIONS(772),
    [anon_sym_double] = ACTIONS(772),
    [sym_boolean_type] = ACTIONS(772),
    [sym_void_type] = ACTIONS(772),
    [anon_sym_def] = ACTIONS(772),
    [sym_this] = ACTIONS(772),
    [sym_super] = ACTIONS(772),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [173] = {
    [sym_argument_list] = STATE(343),
    [sym_type_arguments] = STATE(1792),
    [sym_closure] = STATE(472),
    [ts_builtin_sym_end] = ACTIONS(810),
    [sym_identifier] = ACTIONS(772),
    [sym_decimal_integer_literal] = ACTIONS(772),
    [sym_hex_integer_literal] = ACTIONS(772),
    [sym_octal_integer_literal] = ACTIONS(772),
    [sym_binary_integer_literal] = ACTIONS(810),
    [sym_decimal_floating_point_literal] = ACTIONS(810),
    [sym_hex_floating_point_literal] = ACTIONS(772),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_character_literal] = ACTIONS(810),
    [anon_sym_DQUOTE] = ACTIONS(772),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(810),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(810),
    [anon_sym_RBRACE] = ACTIONS(810),
    [sym_null_literal] = ACTIONS(772),
    [anon_sym_LPAREN] = ACTIONS(854),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_PLUS_EQ] = ACTIONS(859),
    [anon_sym_DASH_EQ] = ACTIONS(859),
    [anon_sym_STAR_EQ] = ACTIONS(859),
    [anon_sym_SLASH_EQ] = ACTIONS(859),
    [anon_sym_AMP_EQ] = ACTIONS(859),
    [anon_sym_PIPE_EQ] = ACTIONS(859),
    [anon_sym_CARET_EQ] = ACTIONS(859),
    [anon_sym_PERCENT_EQ] = ACTIONS(859),
    [anon_sym_LT_LT_EQ] = ACTIONS(859),
    [anon_sym_GT_GT_EQ] = ACTIONS(859),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(859),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(810),
    [anon_sym_LT_EQ] = ACTIONS(810),
    [anon_sym_EQ_EQ] = ACTIONS(810),
    [anon_sym_BANG_EQ] = ACTIONS(810),
    [anon_sym_AMP_AMP] = ACTIONS(810),
    [anon_sym_PIPE_PIPE] = ACTIONS(810),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(810),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_final] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(861),
    [anon_sym_COMMA] = ACTIONS(810),
    [anon_sym_QMARK] = ACTIONS(810),
    [anon_sym_BANG] = ACTIONS(772),
    [anon_sym_TILDE] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(810),
    [anon_sym_DASH_DASH] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_DOT] = ACTIONS(793),
    [anon_sym_class] = ACTIONS(772),
    [anon_sym_COLON_COLON] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(772),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_default] = ACTIONS(772),
    [sym_underscore_pattern] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(810),
    [anon_sym_assert] = ACTIONS(772),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_while] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(772),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(772),
    [anon_sym_synchronized] = ACTIONS(772),
    [anon_sym_throw] = ACTIONS(772),
    [anon_sym_try] = ACTIONS(772),
    [anon_sym_if] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_open] = ACTIONS(772),
    [anon_sym_module] = ACTIONS(772),
    [anon_sym_static] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(772),
    [anon_sym_package] = ACTIONS(772),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_enum] = ACTIONS(772),
    [anon_sym_public] = ACTIONS(772),
    [anon_sym_protected] = ACTIONS(772),
    [anon_sym_private] = ACTIONS(772),
    [anon_sym_abstract] = ACTIONS(772),
    [anon_sym_strictfp] = ACTIONS(772),
    [anon_sym_native] = ACTIONS(772),
    [anon_sym_transient] = ACTIONS(772),
    [anon_sym_volatile] = ACTIONS(772),
    [anon_sym_sealed] = ACTIONS(772),
    [anon_sym_non_DASHsealed] = ACTIONS(810),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_ATinterface] = ACTIONS(810),
    [anon_sym_interface] = ACTIONS(772),
    [anon_sym_byte] = ACTIONS(772),
    [anon_sym_short] = ACTIONS(772),
    [anon_sym_int] = ACTIONS(772),
    [anon_sym_long] = ACTIONS(772),
    [anon_sym_char] = ACTIONS(772),
    [anon_sym_float] = ACTIONS(772),
    [anon_sym_double] = ACTIONS(772),
    [sym_boolean_type] = ACTIONS(772),
    [sym_void_type] = ACTIONS(772),
    [anon_sym_def] = ACTIONS(772),
    [sym_this] = ACTIONS(772),
    [sym_super] = ACTIONS(772),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(810),
  },
  [174] = {
    [sym_argument_list] = STATE(343),
    [sym_closure] = STATE(472),
    [ts_builtin_sym_end] = ACTIONS(810),
    [sym_identifier] = ACTIONS(772),
    [sym_decimal_integer_literal] = ACTIONS(772),
    [sym_hex_integer_literal] = ACTIONS(772),
    [sym_octal_integer_literal] = ACTIONS(772),
    [sym_binary_integer_literal] = ACTIONS(810),
    [sym_decimal_floating_point_literal] = ACTIONS(810),
    [sym_hex_floating_point_literal] = ACTIONS(772),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_character_literal] = ACTIONS(810),
    [anon_sym_DQUOTE] = ACTIONS(772),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(810),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(810),
    [anon_sym_RBRACE] = ACTIONS(810),
    [sym_null_literal] = ACTIONS(772),
    [anon_sym_LPAREN] = ACTIONS(854),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_PLUS_EQ] = ACTIONS(859),
    [anon_sym_DASH_EQ] = ACTIONS(859),
    [anon_sym_STAR_EQ] = ACTIONS(859),
    [anon_sym_SLASH_EQ] = ACTIONS(859),
    [anon_sym_AMP_EQ] = ACTIONS(859),
    [anon_sym_PIPE_EQ] = ACTIONS(859),
    [anon_sym_CARET_EQ] = ACTIONS(859),
    [anon_sym_PERCENT_EQ] = ACTIONS(859),
    [anon_sym_LT_LT_EQ] = ACTIONS(859),
    [anon_sym_GT_GT_EQ] = ACTIONS(859),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(859),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(772),
    [anon_sym_GT_EQ] = ACTIONS(810),
    [anon_sym_LT_EQ] = ACTIONS(810),
    [anon_sym_EQ_EQ] = ACTIONS(810),
    [anon_sym_BANG_EQ] = ACTIONS(810),
    [anon_sym_AMP_AMP] = ACTIONS(810),
    [anon_sym_PIPE_PIPE] = ACTIONS(810),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(810),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_final] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(861),
    [anon_sym_COMMA] = ACTIONS(810),
    [anon_sym_QMARK] = ACTIONS(810),
    [anon_sym_BANG] = ACTIONS(772),
    [anon_sym_TILDE] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(810),
    [anon_sym_DASH_DASH] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_DOT] = ACTIONS(772),
    [anon_sym_class] = ACTIONS(772),
    [anon_sym_COLON_COLON] = ACTIONS(810),
    [anon_sym_switch] = ACTIONS(772),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_default] = ACTIONS(772),
    [sym_underscore_pattern] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(810),
    [anon_sym_assert] = ACTIONS(772),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_while] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(772),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(772),
    [anon_sym_synchronized] = ACTIONS(772),
    [anon_sym_throw] = ACTIONS(772),
    [anon_sym_try] = ACTIONS(772),
    [anon_sym_if] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(772),
    [anon_sym_open] = ACTIONS(772),
    [anon_sym_module] = ACTIONS(772),
    [anon_sym_static] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(772),
    [anon_sym_package] = ACTIONS(772),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_enum] = ACTIONS(772),
    [anon_sym_public] = ACTIONS(772),
    [anon_sym_protected] = ACTIONS(772),
    [anon_sym_private] = ACTIONS(772),
    [anon_sym_abstract] = ACTIONS(772),
    [anon_sym_strictfp] = ACTIONS(772),
    [anon_sym_native] = ACTIONS(772),
    [anon_sym_transient] = ACTIONS(772),
    [anon_sym_volatile] = ACTIONS(772),
    [anon_sym_sealed] = ACTIONS(772),
    [anon_sym_non_DASHsealed] = ACTIONS(810),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_ATinterface] = ACTIONS(810),
    [anon_sym_interface] = ACTIONS(772),
    [anon_sym_byte] = ACTIONS(772),
    [anon_sym_short] = ACTIONS(772),
    [anon_sym_int] = ACTIONS(772),
    [anon_sym_long] = ACTIONS(772),
    [anon_sym_char] = ACTIONS(772),
    [anon_sym_float] = ACTIONS(772),
    [anon_sym_double] = ACTIONS(772),
    [sym_boolean_type] = ACTIONS(772),
    [sym_void_type] = ACTIONS(772),
    [anon_sym_def] = ACTIONS(772),
    [sym_this] = ACTIONS(772),
    [sym_super] = ACTIONS(772),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(810),
  },
  [175] = {
    [sym_argument_list] = STATE(372),
    [sym_closure] = STATE(471),
    [ts_builtin_sym_end] = ACTIONS(824),
    [sym_identifier] = ACTIONS(826),
    [sym_decimal_integer_literal] = ACTIONS(826),
    [sym_hex_integer_literal] = ACTIONS(826),
    [sym_octal_integer_literal] = ACTIONS(826),
    [sym_binary_integer_literal] = ACTIONS(824),
    [sym_decimal_floating_point_literal] = ACTIONS(824),
    [sym_hex_floating_point_literal] = ACTIONS(826),
    [sym_true] = ACTIONS(826),
    [sym_false] = ACTIONS(826),
    [sym_character_literal] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(826),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(824),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [sym_null_literal] = ACTIONS(826),
    [anon_sym_LPAREN] = ACTIONS(870),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(826),
    [anon_sym_PLUS_EQ] = ACTIONS(824),
    [anon_sym_DASH_EQ] = ACTIONS(824),
    [anon_sym_STAR_EQ] = ACTIONS(824),
    [anon_sym_SLASH_EQ] = ACTIONS(824),
    [anon_sym_AMP_EQ] = ACTIONS(824),
    [anon_sym_PIPE_EQ] = ACTIONS(824),
    [anon_sym_CARET_EQ] = ACTIONS(824),
    [anon_sym_PERCENT_EQ] = ACTIONS(824),
    [anon_sym_LT_LT_EQ] = ACTIONS(824),
    [anon_sym_GT_GT_EQ] = ACTIONS(824),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(824),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_EQ_EQ] = ACTIONS(824),
    [anon_sym_BANG_EQ] = ACTIONS(824),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(824),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_final] = ACTIONS(826),
    [anon_sym_DASH_GT] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_QMARK] = ACTIONS(824),
    [anon_sym_BANG] = ACTIONS(826),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_new] = ACTIONS(826),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_class] = ACTIONS(826),
    [anon_sym_COLON_COLON] = ACTIONS(824),
    [anon_sym_switch] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_default] = ACTIONS(826),
    [sym_underscore_pattern] = ACTIONS(826),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_assert] = ACTIONS(826),
    [anon_sym_do] = ACTIONS(826),
    [anon_sym_while] = ACTIONS(826),
    [anon_sym_break] = ACTIONS(826),
    [anon_sym_continue] = ACTIONS(826),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_yield] = ACTIONS(826),
    [anon_sym_synchronized] = ACTIONS(826),
    [anon_sym_throw] = ACTIONS(826),
    [anon_sym_try] = ACTIONS(826),
    [anon_sym_if] = ACTIONS(826),
    [anon_sym_for] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_open] = ACTIONS(826),
    [anon_sym_module] = ACTIONS(826),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_with] = ACTIONS(826),
    [anon_sym_package] = ACTIONS(826),
    [anon_sym_import] = ACTIONS(826),
    [anon_sym_enum] = ACTIONS(826),
    [anon_sym_public] = ACTIONS(826),
    [anon_sym_protected] = ACTIONS(826),
    [anon_sym_private] = ACTIONS(826),
    [anon_sym_abstract] = ACTIONS(826),
    [anon_sym_strictfp] = ACTIONS(826),
    [anon_sym_native] = ACTIONS(826),
    [anon_sym_transient] = ACTIONS(826),
    [anon_sym_volatile] = ACTIONS(826),
    [anon_sym_sealed] = ACTIONS(826),
    [anon_sym_non_DASHsealed] = ACTIONS(824),
    [anon_sym_record] = ACTIONS(826),
    [anon_sym_ATinterface] = ACTIONS(824),
    [anon_sym_interface] = ACTIONS(826),
    [anon_sym_byte] = ACTIONS(826),
    [anon_sym_short] = ACTIONS(826),
    [anon_sym_int] = ACTIONS(826),
    [anon_sym_long] = ACTIONS(826),
    [anon_sym_char] = ACTIONS(826),
    [anon_sym_float] = ACTIONS(826),
    [anon_sym_double] = ACTIONS(826),
    [sym_boolean_type] = ACTIONS(826),
    [sym_void_type] = ACTIONS(826),
    [anon_sym_def] = ACTIONS(826),
    [sym_this] = ACTIONS(826),
    [sym_super] = ACTIONS(826),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(824),
  },
  [176] = {
    [sym_argument_list] = STATE(348),
    [sym_closure] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(834),
    [sym_identifier] = ACTIONS(836),
    [sym_decimal_integer_literal] = ACTIONS(836),
    [sym_hex_integer_literal] = ACTIONS(836),
    [sym_octal_integer_literal] = ACTIONS(836),
    [sym_binary_integer_literal] = ACTIONS(834),
    [sym_decimal_floating_point_literal] = ACTIONS(834),
    [sym_hex_floating_point_literal] = ACTIONS(836),
    [sym_true] = ACTIONS(836),
    [sym_false] = ACTIONS(836),
    [sym_character_literal] = ACTIONS(834),
    [anon_sym_DQUOTE] = ACTIONS(836),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(834),
    [anon_sym_RBRACE] = ACTIONS(834),
    [sym_null_literal] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_PLUS_EQ] = ACTIONS(834),
    [anon_sym_DASH_EQ] = ACTIONS(834),
    [anon_sym_STAR_EQ] = ACTIONS(834),
    [anon_sym_SLASH_EQ] = ACTIONS(834),
    [anon_sym_AMP_EQ] = ACTIONS(834),
    [anon_sym_PIPE_EQ] = ACTIONS(834),
    [anon_sym_CARET_EQ] = ACTIONS(834),
    [anon_sym_PERCENT_EQ] = ACTIONS(834),
    [anon_sym_LT_LT_EQ] = ACTIONS(834),
    [anon_sym_GT_GT_EQ] = ACTIONS(834),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(834),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(834),
    [anon_sym_LT_EQ] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(834),
    [anon_sym_BANG_EQ] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_STAR_STAR] = ACTIONS(834),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_final] = ACTIONS(836),
    [anon_sym_DASH_GT] = ACTIONS(834),
    [anon_sym_COMMA] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_PLUS_PLUS] = ACTIONS(834),
    [anon_sym_DASH_DASH] = ACTIONS(834),
    [anon_sym_new] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_class] = ACTIONS(836),
    [anon_sym_COLON_COLON] = ACTIONS(834),
    [anon_sym_switch] = ACTIONS(836),
    [anon_sym_LBRACE] = ACTIONS(879),
    [anon_sym_default] = ACTIONS(836),
    [sym_underscore_pattern] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(834),
    [anon_sym_assert] = ACTIONS(836),
    [anon_sym_do] = ACTIONS(836),
    [anon_sym_while] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_return] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(836),
    [anon_sym_synchronized] = ACTIONS(836),
    [anon_sym_throw] = ACTIONS(836),
    [anon_sym_try] = ACTIONS(836),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_for] = ACTIONS(836),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_open] = ACTIONS(836),
    [anon_sym_module] = ACTIONS(836),
    [anon_sym_static] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(836),
    [anon_sym_package] = ACTIONS(836),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_enum] = ACTIONS(836),
    [anon_sym_public] = ACTIONS(836),
    [anon_sym_protected] = ACTIONS(836),
    [anon_sym_private] = ACTIONS(836),
    [anon_sym_abstract] = ACTIONS(836),
    [anon_sym_strictfp] = ACTIONS(836),
    [anon_sym_native] = ACTIONS(836),
    [anon_sym_transient] = ACTIONS(836),
    [anon_sym_volatile] = ACTIONS(836),
    [anon_sym_sealed] = ACTIONS(836),
    [anon_sym_non_DASHsealed] = ACTIONS(834),
    [anon_sym_record] = ACTIONS(836),
    [anon_sym_ATinterface] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(836),
    [anon_sym_byte] = ACTIONS(836),
    [anon_sym_short] = ACTIONS(836),
    [anon_sym_int] = ACTIONS(836),
    [anon_sym_long] = ACTIONS(836),
    [anon_sym_char] = ACTIONS(836),
    [anon_sym_float] = ACTIONS(836),
    [anon_sym_double] = ACTIONS(836),
    [sym_boolean_type] = ACTIONS(836),
    [sym_void_type] = ACTIONS(836),
    [anon_sym_def] = ACTIONS(836),
    [sym_this] = ACTIONS(836),
    [sym_super] = ACTIONS(836),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(834),
  },
  [177] = {
    [ts_builtin_sym_end] = ACTIONS(265),
    [sym_identifier] = ACTIONS(273),
    [sym_decimal_integer_literal] = ACTIONS(273),
    [sym_hex_integer_literal] = ACTIONS(273),
    [sym_octal_integer_literal] = ACTIONS(273),
    [sym_binary_integer_literal] = ACTIONS(265),
    [sym_decimal_floating_point_literal] = ACTIONS(265),
    [sym_hex_floating_point_literal] = ACTIONS(273),
    [sym_true] = ACTIONS(273),
    [sym_false] = ACTIONS(273),
    [sym_character_literal] = ACTIONS(265),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(265),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(265),
    [anon_sym_RBRACE] = ACTIONS(265),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(273),
    [anon_sym_PLUS_EQ] = ACTIONS(265),
    [anon_sym_DASH_EQ] = ACTIONS(265),
    [anon_sym_STAR_EQ] = ACTIONS(265),
    [anon_sym_SLASH_EQ] = ACTIONS(265),
    [anon_sym_AMP_EQ] = ACTIONS(265),
    [anon_sym_PIPE_EQ] = ACTIONS(265),
    [anon_sym_CARET_EQ] = ACTIONS(265),
    [anon_sym_PERCENT_EQ] = ACTIONS(265),
    [anon_sym_LT_LT_EQ] = ACTIONS(265),
    [anon_sym_GT_GT_EQ] = ACTIONS(265),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_AMP_AMP] = ACTIONS(265),
    [anon_sym_PIPE_PIPE] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_GT_GT_GT] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_instanceof] = ACTIONS(273),
    [anon_sym_final] = ACTIONS(273),
    [anon_sym_DASH_GT] = ACTIONS(265),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_QMARK] = ACTIONS(265),
    [anon_sym_BANG] = ACTIONS(273),
    [anon_sym_TILDE] = ACTIONS(265),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [anon_sym_new] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(265),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_class] = ACTIONS(273),
    [anon_sym_COLON_COLON] = ACTIONS(265),
    [anon_sym_switch] = ACTIONS(273),
    [anon_sym_LBRACE] = ACTIONS(265),
    [anon_sym_default] = ACTIONS(273),
    [sym_underscore_pattern] = ACTIONS(273),
    [anon_sym_SEMI] = ACTIONS(265),
    [anon_sym_assert] = ACTIONS(273),
    [anon_sym_do] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(273),
    [anon_sym_continue] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_yield] = ACTIONS(273),
    [anon_sym_synchronized] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(273),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_open] = ACTIONS(273),
    [anon_sym_module] = ACTIONS(273),
    [anon_sym_static] = ACTIONS(273),
    [anon_sym_with] = ACTIONS(273),
    [anon_sym_package] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(273),
    [anon_sym_enum] = ACTIONS(273),
    [anon_sym_public] = ACTIONS(273),
    [anon_sym_protected] = ACTIONS(273),
    [anon_sym_private] = ACTIONS(273),
    [anon_sym_abstract] = ACTIONS(273),
    [anon_sym_strictfp] = ACTIONS(273),
    [anon_sym_native] = ACTIONS(273),
    [anon_sym_transient] = ACTIONS(273),
    [anon_sym_volatile] = ACTIONS(273),
    [anon_sym_sealed] = ACTIONS(273),
    [anon_sym_non_DASHsealed] = ACTIONS(265),
    [anon_sym_record] = ACTIONS(273),
    [anon_sym_ATinterface] = ACTIONS(265),
    [anon_sym_interface] = ACTIONS(273),
    [anon_sym_byte] = ACTIONS(273),
    [anon_sym_short] = ACTIONS(273),
    [anon_sym_int] = ACTIONS(273),
    [anon_sym_long] = ACTIONS(273),
    [anon_sym_char] = ACTIONS(273),
    [anon_sym_float] = ACTIONS(273),
    [anon_sym_double] = ACTIONS(273),
    [sym_boolean_type] = ACTIONS(273),
    [sym_void_type] = ACTIONS(273),
    [anon_sym_def] = ACTIONS(273),
    [sym_this] = ACTIONS(273),
    [sym_super] = ACTIONS(273),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(265),
  },
  [178] = {
    [ts_builtin_sym_end] = ACTIONS(850),
    [sym_identifier] = ACTIONS(852),
    [sym_decimal_integer_literal] = ACTIONS(852),
    [sym_hex_integer_literal] = ACTIONS(852),
    [sym_octal_integer_literal] = ACTIONS(852),
    [sym_binary_integer_literal] = ACTIONS(850),
    [sym_decimal_floating_point_literal] = ACTIONS(850),
    [sym_hex_floating_point_literal] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_character_literal] = ACTIONS(850),
    [anon_sym_DQUOTE] = ACTIONS(852),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(850),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(850),
    [sym_null_literal] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_PLUS_EQ] = ACTIONS(850),
    [anon_sym_DASH_EQ] = ACTIONS(850),
    [anon_sym_STAR_EQ] = ACTIONS(850),
    [anon_sym_SLASH_EQ] = ACTIONS(850),
    [anon_sym_AMP_EQ] = ACTIONS(850),
    [anon_sym_PIPE_EQ] = ACTIONS(850),
    [anon_sym_CARET_EQ] = ACTIONS(850),
    [anon_sym_PERCENT_EQ] = ACTIONS(850),
    [anon_sym_LT_LT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_STAR_STAR] = ACTIONS(850),
    [anon_sym_instanceof] = ACTIONS(852),
    [anon_sym_final] = ACTIONS(852),
    [anon_sym_DASH_GT] = ACTIONS(850),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_QMARK] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_PLUS_PLUS] = ACTIONS(850),
    [anon_sym_DASH_DASH] = ACTIONS(850),
    [anon_sym_new] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_class] = ACTIONS(852),
    [anon_sym_COLON_COLON] = ACTIONS(850),
    [anon_sym_switch] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_default] = ACTIONS(852),
    [sym_underscore_pattern] = ACTIONS(852),
    [anon_sym_SEMI] = ACTIONS(850),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_yield] = ACTIONS(852),
    [anon_sym_synchronized] = ACTIONS(852),
    [anon_sym_throw] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [anon_sym_open] = ACTIONS(852),
    [anon_sym_module] = ACTIONS(852),
    [anon_sym_static] = ACTIONS(852),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_package] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_enum] = ACTIONS(852),
    [anon_sym_public] = ACTIONS(852),
    [anon_sym_protected] = ACTIONS(852),
    [anon_sym_private] = ACTIONS(852),
    [anon_sym_abstract] = ACTIONS(852),
    [anon_sym_strictfp] = ACTIONS(852),
    [anon_sym_native] = ACTIONS(852),
    [anon_sym_transient] = ACTIONS(852),
    [anon_sym_volatile] = ACTIONS(852),
    [anon_sym_sealed] = ACTIONS(852),
    [anon_sym_non_DASHsealed] = ACTIONS(850),
    [anon_sym_record] = ACTIONS(852),
    [anon_sym_ATinterface] = ACTIONS(850),
    [anon_sym_interface] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_short] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_long] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_float] = ACTIONS(852),
    [anon_sym_double] = ACTIONS(852),
    [sym_boolean_type] = ACTIONS(852),
    [sym_void_type] = ACTIONS(852),
    [anon_sym_def] = ACTIONS(852),
    [sym_this] = ACTIONS(852),
    [sym_super] = ACTIONS(852),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(850),
  },
  [179] = {
    [ts_builtin_sym_end] = ACTIONS(834),
    [sym_identifier] = ACTIONS(836),
    [sym_decimal_integer_literal] = ACTIONS(836),
    [sym_hex_integer_literal] = ACTIONS(836),
    [sym_octal_integer_literal] = ACTIONS(836),
    [sym_binary_integer_literal] = ACTIONS(834),
    [sym_decimal_floating_point_literal] = ACTIONS(834),
    [sym_hex_floating_point_literal] = ACTIONS(836),
    [sym_true] = ACTIONS(836),
    [sym_false] = ACTIONS(836),
    [sym_character_literal] = ACTIONS(834),
    [anon_sym_DQUOTE] = ACTIONS(836),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(834),
    [anon_sym_RBRACE] = ACTIONS(834),
    [sym_null_literal] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_PLUS_EQ] = ACTIONS(834),
    [anon_sym_DASH_EQ] = ACTIONS(834),
    [anon_sym_STAR_EQ] = ACTIONS(834),
    [anon_sym_SLASH_EQ] = ACTIONS(834),
    [anon_sym_AMP_EQ] = ACTIONS(834),
    [anon_sym_PIPE_EQ] = ACTIONS(834),
    [anon_sym_CARET_EQ] = ACTIONS(834),
    [anon_sym_PERCENT_EQ] = ACTIONS(834),
    [anon_sym_LT_LT_EQ] = ACTIONS(834),
    [anon_sym_GT_GT_EQ] = ACTIONS(834),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(834),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(834),
    [anon_sym_LT_EQ] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(834),
    [anon_sym_BANG_EQ] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_STAR_STAR] = ACTIONS(834),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_final] = ACTIONS(836),
    [anon_sym_DASH_GT] = ACTIONS(834),
    [anon_sym_COMMA] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_PLUS_PLUS] = ACTIONS(834),
    [anon_sym_DASH_DASH] = ACTIONS(834),
    [anon_sym_new] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_class] = ACTIONS(836),
    [anon_sym_COLON_COLON] = ACTIONS(834),
    [anon_sym_switch] = ACTIONS(836),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_default] = ACTIONS(836),
    [sym_underscore_pattern] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(834),
    [anon_sym_assert] = ACTIONS(836),
    [anon_sym_do] = ACTIONS(836),
    [anon_sym_while] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_return] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(836),
    [anon_sym_synchronized] = ACTIONS(836),
    [anon_sym_throw] = ACTIONS(836),
    [anon_sym_try] = ACTIONS(836),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_for] = ACTIONS(836),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_open] = ACTIONS(836),
    [anon_sym_module] = ACTIONS(836),
    [anon_sym_static] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(836),
    [anon_sym_package] = ACTIONS(836),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_enum] = ACTIONS(836),
    [anon_sym_public] = ACTIONS(836),
    [anon_sym_protected] = ACTIONS(836),
    [anon_sym_private] = ACTIONS(836),
    [anon_sym_abstract] = ACTIONS(836),
    [anon_sym_strictfp] = ACTIONS(836),
    [anon_sym_native] = ACTIONS(836),
    [anon_sym_transient] = ACTIONS(836),
    [anon_sym_volatile] = ACTIONS(836),
    [anon_sym_sealed] = ACTIONS(836),
    [anon_sym_non_DASHsealed] = ACTIONS(834),
    [anon_sym_record] = ACTIONS(836),
    [anon_sym_ATinterface] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(836),
    [anon_sym_byte] = ACTIONS(836),
    [anon_sym_short] = ACTIONS(836),
    [anon_sym_int] = ACTIONS(836),
    [anon_sym_long] = ACTIONS(836),
    [anon_sym_char] = ACTIONS(836),
    [anon_sym_float] = ACTIONS(836),
    [anon_sym_double] = ACTIONS(836),
    [sym_boolean_type] = ACTIONS(836),
    [sym_void_type] = ACTIONS(836),
    [anon_sym_def] = ACTIONS(836),
    [sym_this] = ACTIONS(836),
    [sym_super] = ACTIONS(836),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(834),
  },
  [180] = {
    [ts_builtin_sym_end] = ACTIONS(810),
    [sym_identifier] = ACTIONS(772),
    [sym_decimal_integer_literal] = ACTIONS(772),
    [sym_hex_integer_literal] = ACTIONS(772),
    [sym_octal_integer_literal] = ACTIONS(772),
    [sym_binary_integer_literal] = ACTIONS(810),
    [sym_decimal_floating_point_literal] = ACTIONS(810),
    [sym_hex_floating_point_literal] = ACTIONS(772),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_character_literal] = ACTIONS(810),
    [anon_sym_DQUOTE] = ACTIONS(772),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(810),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(810),
    [anon_sym_RBRACE] = ACTIONS(810),
    [sym_null_literal] = ACTIONS(772),
    [anon_sym_LPAREN] = ACTIONS(810),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_EQ] = ACTIONS(857),
    [anon_sym_PLUS_EQ] = ACTIONS(859),
    [anon_sym_DASH_EQ] = ACTIONS(859),
    [anon_sym_STAR_EQ] = ACTIONS(859),
    [anon_sym_SLASH_EQ] = ACTIONS(859),
    [anon_sym_AMP_EQ] = ACTIONS(859),
    [anon_sym_PIPE_EQ] = ACTIONS(859),
    [anon_sym_CARET_EQ] = ACTIONS(859),
    [anon_sym_PERCENT_EQ] = ACTIONS(859),
    [anon_sym_LT_LT_EQ] = ACTIONS(859),
    [anon_sym_GT_GT_EQ] = ACTIONS(859),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(859),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(772),
    [anon_sym_GT_EQ] = ACTIONS(810),
    [anon_sym_LT_EQ] = ACTIONS(810),
    [anon_sym_EQ_EQ] = ACTIONS(810),
    [anon_sym_BANG_EQ] = ACTIONS(810),
    [anon_sym_AMP_AMP] = ACTIONS(810),
    [anon_sym_PIPE_PIPE] = ACTIONS(810),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(810),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_final] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(810),
    [anon_sym_COMMA] = ACTIONS(810),
    [anon_sym_QMARK] = ACTIONS(810),
    [anon_sym_BANG] = ACTIONS(772),
    [anon_sym_TILDE] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(810),
    [anon_sym_DASH_DASH] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_DOT] = ACTIONS(772),
    [anon_sym_class] = ACTIONS(772),
    [anon_sym_COLON_COLON] = ACTIONS(810),
    [anon_sym_switch] = ACTIONS(772),
    [anon_sym_LBRACE] = ACTIONS(810),
    [anon_sym_default] = ACTIONS(772),
    [sym_underscore_pattern] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(810),
    [anon_sym_assert] = ACTIONS(772),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_while] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(772),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(772),
    [anon_sym_synchronized] = ACTIONS(772),
    [anon_sym_throw] = ACTIONS(772),
    [anon_sym_try] = ACTIONS(772),
    [anon_sym_if] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(772),
    [anon_sym_open] = ACTIONS(772),
    [anon_sym_module] = ACTIONS(772),
    [anon_sym_static] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(772),
    [anon_sym_package] = ACTIONS(772),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_enum] = ACTIONS(772),
    [anon_sym_public] = ACTIONS(772),
    [anon_sym_protected] = ACTIONS(772),
    [anon_sym_private] = ACTIONS(772),
    [anon_sym_abstract] = ACTIONS(772),
    [anon_sym_strictfp] = ACTIONS(772),
    [anon_sym_native] = ACTIONS(772),
    [anon_sym_transient] = ACTIONS(772),
    [anon_sym_volatile] = ACTIONS(772),
    [anon_sym_sealed] = ACTIONS(772),
    [anon_sym_non_DASHsealed] = ACTIONS(810),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_ATinterface] = ACTIONS(810),
    [anon_sym_interface] = ACTIONS(772),
    [anon_sym_byte] = ACTIONS(772),
    [anon_sym_short] = ACTIONS(772),
    [anon_sym_int] = ACTIONS(772),
    [anon_sym_long] = ACTIONS(772),
    [anon_sym_char] = ACTIONS(772),
    [anon_sym_float] = ACTIONS(772),
    [anon_sym_double] = ACTIONS(772),
    [sym_boolean_type] = ACTIONS(772),
    [sym_void_type] = ACTIONS(772),
    [anon_sym_def] = ACTIONS(772),
    [sym_this] = ACTIONS(772),
    [sym_super] = ACTIONS(772),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(810),
  },
  [181] = {
    [ts_builtin_sym_end] = ACTIONS(824),
    [sym_identifier] = ACTIONS(826),
    [sym_decimal_integer_literal] = ACTIONS(826),
    [sym_hex_integer_literal] = ACTIONS(826),
    [sym_octal_integer_literal] = ACTIONS(826),
    [sym_binary_integer_literal] = ACTIONS(824),
    [sym_decimal_floating_point_literal] = ACTIONS(824),
    [sym_hex_floating_point_literal] = ACTIONS(826),
    [sym_true] = ACTIONS(826),
    [sym_false] = ACTIONS(826),
    [sym_character_literal] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(826),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(824),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [sym_null_literal] = ACTIONS(826),
    [anon_sym_LPAREN] = ACTIONS(824),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(826),
    [anon_sym_PLUS_EQ] = ACTIONS(824),
    [anon_sym_DASH_EQ] = ACTIONS(824),
    [anon_sym_STAR_EQ] = ACTIONS(824),
    [anon_sym_SLASH_EQ] = ACTIONS(824),
    [anon_sym_AMP_EQ] = ACTIONS(824),
    [anon_sym_PIPE_EQ] = ACTIONS(824),
    [anon_sym_CARET_EQ] = ACTIONS(824),
    [anon_sym_PERCENT_EQ] = ACTIONS(824),
    [anon_sym_LT_LT_EQ] = ACTIONS(824),
    [anon_sym_GT_GT_EQ] = ACTIONS(824),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(824),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_EQ_EQ] = ACTIONS(824),
    [anon_sym_BANG_EQ] = ACTIONS(824),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(824),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_final] = ACTIONS(826),
    [anon_sym_DASH_GT] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_QMARK] = ACTIONS(824),
    [anon_sym_BANG] = ACTIONS(826),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_new] = ACTIONS(826),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_class] = ACTIONS(826),
    [anon_sym_COLON_COLON] = ACTIONS(824),
    [anon_sym_switch] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(824),
    [anon_sym_default] = ACTIONS(826),
    [sym_underscore_pattern] = ACTIONS(826),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_assert] = ACTIONS(826),
    [anon_sym_do] = ACTIONS(826),
    [anon_sym_while] = ACTIONS(826),
    [anon_sym_break] = ACTIONS(826),
    [anon_sym_continue] = ACTIONS(826),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_yield] = ACTIONS(826),
    [anon_sym_synchronized] = ACTIONS(826),
    [anon_sym_throw] = ACTIONS(826),
    [anon_sym_try] = ACTIONS(826),
    [anon_sym_if] = ACTIONS(826),
    [anon_sym_for] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_open] = ACTIONS(826),
    [anon_sym_module] = ACTIONS(826),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_with] = ACTIONS(826),
    [anon_sym_package] = ACTIONS(826),
    [anon_sym_import] = ACTIONS(826),
    [anon_sym_enum] = ACTIONS(826),
    [anon_sym_public] = ACTIONS(826),
    [anon_sym_protected] = ACTIONS(826),
    [anon_sym_private] = ACTIONS(826),
    [anon_sym_abstract] = ACTIONS(826),
    [anon_sym_strictfp] = ACTIONS(826),
    [anon_sym_native] = ACTIONS(826),
    [anon_sym_transient] = ACTIONS(826),
    [anon_sym_volatile] = ACTIONS(826),
    [anon_sym_sealed] = ACTIONS(826),
    [anon_sym_non_DASHsealed] = ACTIONS(824),
    [anon_sym_record] = ACTIONS(826),
    [anon_sym_ATinterface] = ACTIONS(824),
    [anon_sym_interface] = ACTIONS(826),
    [anon_sym_byte] = ACTIONS(826),
    [anon_sym_short] = ACTIONS(826),
    [anon_sym_int] = ACTIONS(826),
    [anon_sym_long] = ACTIONS(826),
    [anon_sym_char] = ACTIONS(826),
    [anon_sym_float] = ACTIONS(826),
    [anon_sym_double] = ACTIONS(826),
    [sym_boolean_type] = ACTIONS(826),
    [sym_void_type] = ACTIONS(826),
    [anon_sym_def] = ACTIONS(826),
    [sym_this] = ACTIONS(826),
    [sym_super] = ACTIONS(826),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(824),
  },
  [182] = {
    [sym_dimensions_expr] = STATE(186),
    [sym_dimensions] = STATE(285),
    [sym__annotation] = STATE(2226),
    [sym_marker_annotation] = STATE(2226),
    [sym_annotation] = STATE(2226),
    [aux_sym_array_creation_expression_repeat1] = STATE(2226),
    [aux_sym_array_creation_expression_repeat2] = STATE(186),
    [aux_sym_dimensions_repeat1] = STATE(187),
    [ts_builtin_sym_end] = ACTIONS(882),
    [sym_identifier] = ACTIONS(884),
    [sym_decimal_integer_literal] = ACTIONS(884),
    [sym_hex_integer_literal] = ACTIONS(884),
    [sym_octal_integer_literal] = ACTIONS(884),
    [sym_binary_integer_literal] = ACTIONS(884),
    [sym_decimal_floating_point_literal] = ACTIONS(884),
    [sym_hex_floating_point_literal] = ACTIONS(884),
    [sym_true] = ACTIONS(884),
    [sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(884),
    [anon_sym_DQUOTE] = ACTIONS(884),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(884),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(884),
    [anon_sym_RBRACE] = ACTIONS(884),
    [sym_null_literal] = ACTIONS(884),
    [anon_sym_LPAREN] = ACTIONS(884),
    [anon_sym_AMP] = ACTIONS(884),
    [anon_sym_GT] = ACTIONS(884),
    [anon_sym_LT] = ACTIONS(884),
    [anon_sym_GT_EQ] = ACTIONS(884),
    [anon_sym_LT_EQ] = ACTIONS(884),
    [anon_sym_EQ_EQ] = ACTIONS(884),
    [anon_sym_BANG_EQ] = ACTIONS(884),
    [anon_sym_AMP_AMP] = ACTIONS(884),
    [anon_sym_PIPE_PIPE] = ACTIONS(884),
    [anon_sym_PLUS] = ACTIONS(884),
    [anon_sym_DASH] = ACTIONS(884),
    [anon_sym_STAR] = ACTIONS(884),
    [anon_sym_SLASH] = ACTIONS(884),
    [anon_sym_PIPE] = ACTIONS(884),
    [anon_sym_CARET] = ACTIONS(884),
    [anon_sym_PERCENT] = ACTIONS(884),
    [anon_sym_LT_LT] = ACTIONS(884),
    [anon_sym_GT_GT] = ACTIONS(884),
    [anon_sym_GT_GT_GT] = ACTIONS(884),
    [anon_sym_in] = ACTIONS(884),
    [anon_sym_STAR_STAR] = ACTIONS(884),
    [anon_sym_instanceof] = ACTIONS(884),
    [anon_sym_final] = ACTIONS(884),
    [anon_sym_DASH_GT] = ACTIONS(884),
    [anon_sym_QMARK] = ACTIONS(884),
    [anon_sym_BANG] = ACTIONS(884),
    [anon_sym_TILDE] = ACTIONS(884),
    [anon_sym_PLUS_PLUS] = ACTIONS(884),
    [anon_sym_DASH_DASH] = ACTIONS(884),
    [anon_sym_new] = ACTIONS(884),
    [anon_sym_LBRACK] = ACTIONS(886),
    [anon_sym_DOT] = ACTIONS(884),
    [anon_sym_class] = ACTIONS(884),
    [anon_sym_COLON_COLON] = ACTIONS(884),
    [anon_sym_switch] = ACTIONS(884),
    [anon_sym_LBRACE] = ACTIONS(884),
    [anon_sym_case] = ACTIONS(884),
    [anon_sym_default] = ACTIONS(884),
    [sym_underscore_pattern] = ACTIONS(884),
    [anon_sym_SEMI] = ACTIONS(884),
    [aux_sym_expression_statement_token1] = ACTIONS(882),
    [anon_sym_NULL] = ACTIONS(884),
    [anon_sym_assert] = ACTIONS(884),
    [anon_sym_do] = ACTIONS(884),
    [anon_sym_while] = ACTIONS(884),
    [anon_sym_break] = ACTIONS(884),
    [anon_sym_continue] = ACTIONS(884),
    [anon_sym_return] = ACTIONS(884),
    [anon_sym_yield] = ACTIONS(884),
    [anon_sym_synchronized] = ACTIONS(884),
    [anon_sym_throw] = ACTIONS(884),
    [anon_sym_try] = ACTIONS(884),
    [anon_sym_if] = ACTIONS(884),
    [anon_sym_else] = ACTIONS(884),
    [anon_sym_for] = ACTIONS(884),
    [anon_sym_AT] = ACTIONS(888),
    [anon_sym_open] = ACTIONS(884),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_static] = ACTIONS(884),
    [anon_sym_with] = ACTIONS(884),
    [anon_sym_package] = ACTIONS(884),
    [anon_sym_import] = ACTIONS(884),
    [anon_sym_enum] = ACTIONS(884),
    [anon_sym_public] = ACTIONS(884),
    [anon_sym_protected] = ACTIONS(884),
    [anon_sym_private] = ACTIONS(884),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_strictfp] = ACTIONS(884),
    [anon_sym_native] = ACTIONS(884),
    [anon_sym_transient] = ACTIONS(884),
    [anon_sym_volatile] = ACTIONS(884),
    [anon_sym_sealed] = ACTIONS(884),
    [anon_sym_non_DASHsealed] = ACTIONS(884),
    [anon_sym_record] = ACTIONS(884),
    [anon_sym_ATinterface] = ACTIONS(884),
    [anon_sym_interface] = ACTIONS(884),
    [anon_sym_byte] = ACTIONS(884),
    [anon_sym_short] = ACTIONS(884),
    [anon_sym_int] = ACTIONS(884),
    [anon_sym_long] = ACTIONS(884),
    [anon_sym_char] = ACTIONS(884),
    [anon_sym_float] = ACTIONS(884),
    [anon_sym_double] = ACTIONS(884),
    [sym_boolean_type] = ACTIONS(884),
    [sym_void_type] = ACTIONS(884),
    [anon_sym_def] = ACTIONS(884),
    [sym_this] = ACTIONS(884),
    [sym_super] = ACTIONS(884),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(884),
  },
  [183] = {
    [sym_dimensions_expr] = STATE(186),
    [sym_dimensions] = STATE(308),
    [sym__annotation] = STATE(2226),
    [sym_marker_annotation] = STATE(2226),
    [sym_annotation] = STATE(2226),
    [aux_sym_array_creation_expression_repeat1] = STATE(2226),
    [aux_sym_array_creation_expression_repeat2] = STATE(186),
    [aux_sym_dimensions_repeat1] = STATE(187),
    [ts_builtin_sym_end] = ACTIONS(890),
    [sym_identifier] = ACTIONS(892),
    [sym_decimal_integer_literal] = ACTIONS(892),
    [sym_hex_integer_literal] = ACTIONS(892),
    [sym_octal_integer_literal] = ACTIONS(892),
    [sym_binary_integer_literal] = ACTIONS(892),
    [sym_decimal_floating_point_literal] = ACTIONS(892),
    [sym_hex_floating_point_literal] = ACTIONS(892),
    [sym_true] = ACTIONS(892),
    [sym_false] = ACTIONS(892),
    [sym_character_literal] = ACTIONS(892),
    [anon_sym_DQUOTE] = ACTIONS(892),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(892),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(892),
    [anon_sym_RBRACE] = ACTIONS(892),
    [sym_null_literal] = ACTIONS(892),
    [anon_sym_LPAREN] = ACTIONS(892),
    [anon_sym_AMP] = ACTIONS(892),
    [anon_sym_GT] = ACTIONS(892),
    [anon_sym_LT] = ACTIONS(892),
    [anon_sym_GT_EQ] = ACTIONS(892),
    [anon_sym_LT_EQ] = ACTIONS(892),
    [anon_sym_EQ_EQ] = ACTIONS(892),
    [anon_sym_BANG_EQ] = ACTIONS(892),
    [anon_sym_AMP_AMP] = ACTIONS(892),
    [anon_sym_PIPE_PIPE] = ACTIONS(892),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_STAR] = ACTIONS(892),
    [anon_sym_SLASH] = ACTIONS(892),
    [anon_sym_PIPE] = ACTIONS(892),
    [anon_sym_CARET] = ACTIONS(892),
    [anon_sym_PERCENT] = ACTIONS(892),
    [anon_sym_LT_LT] = ACTIONS(892),
    [anon_sym_GT_GT] = ACTIONS(892),
    [anon_sym_GT_GT_GT] = ACTIONS(892),
    [anon_sym_in] = ACTIONS(892),
    [anon_sym_STAR_STAR] = ACTIONS(892),
    [anon_sym_instanceof] = ACTIONS(892),
    [anon_sym_final] = ACTIONS(892),
    [anon_sym_DASH_GT] = ACTIONS(892),
    [anon_sym_QMARK] = ACTIONS(892),
    [anon_sym_BANG] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(892),
    [anon_sym_PLUS_PLUS] = ACTIONS(892),
    [anon_sym_DASH_DASH] = ACTIONS(892),
    [anon_sym_new] = ACTIONS(892),
    [anon_sym_LBRACK] = ACTIONS(886),
    [anon_sym_DOT] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(892),
    [anon_sym_COLON_COLON] = ACTIONS(892),
    [anon_sym_switch] = ACTIONS(892),
    [anon_sym_LBRACE] = ACTIONS(892),
    [anon_sym_case] = ACTIONS(892),
    [anon_sym_default] = ACTIONS(892),
    [sym_underscore_pattern] = ACTIONS(892),
    [anon_sym_SEMI] = ACTIONS(892),
    [aux_sym_expression_statement_token1] = ACTIONS(890),
    [anon_sym_NULL] = ACTIONS(892),
    [anon_sym_assert] = ACTIONS(892),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_while] = ACTIONS(892),
    [anon_sym_break] = ACTIONS(892),
    [anon_sym_continue] = ACTIONS(892),
    [anon_sym_return] = ACTIONS(892),
    [anon_sym_yield] = ACTIONS(892),
    [anon_sym_synchronized] = ACTIONS(892),
    [anon_sym_throw] = ACTIONS(892),
    [anon_sym_try] = ACTIONS(892),
    [anon_sym_if] = ACTIONS(892),
    [anon_sym_else] = ACTIONS(892),
    [anon_sym_for] = ACTIONS(892),
    [anon_sym_AT] = ACTIONS(888),
    [anon_sym_open] = ACTIONS(892),
    [anon_sym_module] = ACTIONS(892),
    [anon_sym_static] = ACTIONS(892),
    [anon_sym_with] = ACTIONS(892),
    [anon_sym_package] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(892),
    [anon_sym_enum] = ACTIONS(892),
    [anon_sym_public] = ACTIONS(892),
    [anon_sym_protected] = ACTIONS(892),
    [anon_sym_private] = ACTIONS(892),
    [anon_sym_abstract] = ACTIONS(892),
    [anon_sym_strictfp] = ACTIONS(892),
    [anon_sym_native] = ACTIONS(892),
    [anon_sym_transient] = ACTIONS(892),
    [anon_sym_volatile] = ACTIONS(892),
    [anon_sym_sealed] = ACTIONS(892),
    [anon_sym_non_DASHsealed] = ACTIONS(892),
    [anon_sym_record] = ACTIONS(892),
    [anon_sym_ATinterface] = ACTIONS(892),
    [anon_sym_interface] = ACTIONS(892),
    [anon_sym_byte] = ACTIONS(892),
    [anon_sym_short] = ACTIONS(892),
    [anon_sym_int] = ACTIONS(892),
    [anon_sym_long] = ACTIONS(892),
    [anon_sym_char] = ACTIONS(892),
    [anon_sym_float] = ACTIONS(892),
    [anon_sym_double] = ACTIONS(892),
    [sym_boolean_type] = ACTIONS(892),
    [sym_void_type] = ACTIONS(892),
    [anon_sym_def] = ACTIONS(892),
    [sym_this] = ACTIONS(892),
    [sym_super] = ACTIONS(892),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(892),
  },
  [184] = {
    [sym_dimensions_expr] = STATE(186),
    [sym_dimensions] = STATE(288),
    [sym__annotation] = STATE(2226),
    [sym_marker_annotation] = STATE(2226),
    [sym_annotation] = STATE(2226),
    [aux_sym_array_creation_expression_repeat1] = STATE(2226),
    [aux_sym_array_creation_expression_repeat2] = STATE(186),
    [aux_sym_dimensions_repeat1] = STATE(187),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym_identifier] = ACTIONS(896),
    [sym_decimal_integer_literal] = ACTIONS(896),
    [sym_hex_integer_literal] = ACTIONS(896),
    [sym_octal_integer_literal] = ACTIONS(896),
    [sym_binary_integer_literal] = ACTIONS(896),
    [sym_decimal_floating_point_literal] = ACTIONS(896),
    [sym_hex_floating_point_literal] = ACTIONS(896),
    [sym_true] = ACTIONS(896),
    [sym_false] = ACTIONS(896),
    [sym_character_literal] = ACTIONS(896),
    [anon_sym_DQUOTE] = ACTIONS(896),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(896),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(896),
    [anon_sym_RBRACE] = ACTIONS(896),
    [sym_null_literal] = ACTIONS(896),
    [anon_sym_LPAREN] = ACTIONS(896),
    [anon_sym_AMP] = ACTIONS(896),
    [anon_sym_GT] = ACTIONS(896),
    [anon_sym_LT] = ACTIONS(896),
    [anon_sym_GT_EQ] = ACTIONS(896),
    [anon_sym_LT_EQ] = ACTIONS(896),
    [anon_sym_EQ_EQ] = ACTIONS(896),
    [anon_sym_BANG_EQ] = ACTIONS(896),
    [anon_sym_AMP_AMP] = ACTIONS(896),
    [anon_sym_PIPE_PIPE] = ACTIONS(896),
    [anon_sym_PLUS] = ACTIONS(896),
    [anon_sym_DASH] = ACTIONS(896),
    [anon_sym_STAR] = ACTIONS(896),
    [anon_sym_SLASH] = ACTIONS(896),
    [anon_sym_PIPE] = ACTIONS(896),
    [anon_sym_CARET] = ACTIONS(896),
    [anon_sym_PERCENT] = ACTIONS(896),
    [anon_sym_LT_LT] = ACTIONS(896),
    [anon_sym_GT_GT] = ACTIONS(896),
    [anon_sym_GT_GT_GT] = ACTIONS(896),
    [anon_sym_in] = ACTIONS(896),
    [anon_sym_STAR_STAR] = ACTIONS(896),
    [anon_sym_instanceof] = ACTIONS(896),
    [anon_sym_final] = ACTIONS(896),
    [anon_sym_DASH_GT] = ACTIONS(896),
    [anon_sym_QMARK] = ACTIONS(896),
    [anon_sym_BANG] = ACTIONS(896),
    [anon_sym_TILDE] = ACTIONS(896),
    [anon_sym_PLUS_PLUS] = ACTIONS(896),
    [anon_sym_DASH_DASH] = ACTIONS(896),
    [anon_sym_new] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(886),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_class] = ACTIONS(896),
    [anon_sym_COLON_COLON] = ACTIONS(896),
    [anon_sym_switch] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(896),
    [anon_sym_case] = ACTIONS(896),
    [anon_sym_default] = ACTIONS(896),
    [sym_underscore_pattern] = ACTIONS(896),
    [anon_sym_SEMI] = ACTIONS(896),
    [aux_sym_expression_statement_token1] = ACTIONS(894),
    [anon_sym_NULL] = ACTIONS(896),
    [anon_sym_assert] = ACTIONS(896),
    [anon_sym_do] = ACTIONS(896),
    [anon_sym_while] = ACTIONS(896),
    [anon_sym_break] = ACTIONS(896),
    [anon_sym_continue] = ACTIONS(896),
    [anon_sym_return] = ACTIONS(896),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_synchronized] = ACTIONS(896),
    [anon_sym_throw] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(896),
    [anon_sym_if] = ACTIONS(896),
    [anon_sym_else] = ACTIONS(896),
    [anon_sym_for] = ACTIONS(896),
    [anon_sym_AT] = ACTIONS(888),
    [anon_sym_open] = ACTIONS(896),
    [anon_sym_module] = ACTIONS(896),
    [anon_sym_static] = ACTIONS(896),
    [anon_sym_with] = ACTIONS(896),
    [anon_sym_package] = ACTIONS(896),
    [anon_sym_import] = ACTIONS(896),
    [anon_sym_enum] = ACTIONS(896),
    [anon_sym_public] = ACTIONS(896),
    [anon_sym_protected] = ACTIONS(896),
    [anon_sym_private] = ACTIONS(896),
    [anon_sym_abstract] = ACTIONS(896),
    [anon_sym_strictfp] = ACTIONS(896),
    [anon_sym_native] = ACTIONS(896),
    [anon_sym_transient] = ACTIONS(896),
    [anon_sym_volatile] = ACTIONS(896),
    [anon_sym_sealed] = ACTIONS(896),
    [anon_sym_non_DASHsealed] = ACTIONS(896),
    [anon_sym_record] = ACTIONS(896),
    [anon_sym_ATinterface] = ACTIONS(896),
    [anon_sym_interface] = ACTIONS(896),
    [anon_sym_byte] = ACTIONS(896),
    [anon_sym_short] = ACTIONS(896),
    [anon_sym_int] = ACTIONS(896),
    [anon_sym_long] = ACTIONS(896),
    [anon_sym_char] = ACTIONS(896),
    [anon_sym_float] = ACTIONS(896),
    [anon_sym_double] = ACTIONS(896),
    [sym_boolean_type] = ACTIONS(896),
    [sym_void_type] = ACTIONS(896),
    [anon_sym_def] = ACTIONS(896),
    [sym_this] = ACTIONS(896),
    [sym_super] = ACTIONS(896),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(896),
  },
  [185] = {
    [sym_dimensions_expr] = STATE(186),
    [sym_dimensions] = STATE(314),
    [sym__annotation] = STATE(2226),
    [sym_marker_annotation] = STATE(2226),
    [sym_annotation] = STATE(2226),
    [aux_sym_array_creation_expression_repeat1] = STATE(2226),
    [aux_sym_array_creation_expression_repeat2] = STATE(186),
    [aux_sym_dimensions_repeat1] = STATE(187),
    [ts_builtin_sym_end] = ACTIONS(898),
    [sym_identifier] = ACTIONS(900),
    [sym_decimal_integer_literal] = ACTIONS(900),
    [sym_hex_integer_literal] = ACTIONS(900),
    [sym_octal_integer_literal] = ACTIONS(900),
    [sym_binary_integer_literal] = ACTIONS(900),
    [sym_decimal_floating_point_literal] = ACTIONS(900),
    [sym_hex_floating_point_literal] = ACTIONS(900),
    [sym_true] = ACTIONS(900),
    [sym_false] = ACTIONS(900),
    [sym_character_literal] = ACTIONS(900),
    [anon_sym_DQUOTE] = ACTIONS(900),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(900),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(900),
    [anon_sym_RBRACE] = ACTIONS(900),
    [sym_null_literal] = ACTIONS(900),
    [anon_sym_LPAREN] = ACTIONS(900),
    [anon_sym_AMP] = ACTIONS(900),
    [anon_sym_GT] = ACTIONS(900),
    [anon_sym_LT] = ACTIONS(900),
    [anon_sym_GT_EQ] = ACTIONS(900),
    [anon_sym_LT_EQ] = ACTIONS(900),
    [anon_sym_EQ_EQ] = ACTIONS(900),
    [anon_sym_BANG_EQ] = ACTIONS(900),
    [anon_sym_AMP_AMP] = ACTIONS(900),
    [anon_sym_PIPE_PIPE] = ACTIONS(900),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_STAR] = ACTIONS(900),
    [anon_sym_SLASH] = ACTIONS(900),
    [anon_sym_PIPE] = ACTIONS(900),
    [anon_sym_CARET] = ACTIONS(900),
    [anon_sym_PERCENT] = ACTIONS(900),
    [anon_sym_LT_LT] = ACTIONS(900),
    [anon_sym_GT_GT] = ACTIONS(900),
    [anon_sym_GT_GT_GT] = ACTIONS(900),
    [anon_sym_in] = ACTIONS(900),
    [anon_sym_STAR_STAR] = ACTIONS(900),
    [anon_sym_instanceof] = ACTIONS(900),
    [anon_sym_final] = ACTIONS(900),
    [anon_sym_DASH_GT] = ACTIONS(900),
    [anon_sym_QMARK] = ACTIONS(900),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(900),
    [anon_sym_PLUS_PLUS] = ACTIONS(900),
    [anon_sym_DASH_DASH] = ACTIONS(900),
    [anon_sym_new] = ACTIONS(900),
    [anon_sym_LBRACK] = ACTIONS(886),
    [anon_sym_DOT] = ACTIONS(900),
    [anon_sym_class] = ACTIONS(900),
    [anon_sym_COLON_COLON] = ACTIONS(900),
    [anon_sym_switch] = ACTIONS(900),
    [anon_sym_LBRACE] = ACTIONS(900),
    [anon_sym_case] = ACTIONS(900),
    [anon_sym_default] = ACTIONS(900),
    [sym_underscore_pattern] = ACTIONS(900),
    [anon_sym_SEMI] = ACTIONS(900),
    [aux_sym_expression_statement_token1] = ACTIONS(898),
    [anon_sym_NULL] = ACTIONS(900),
    [anon_sym_assert] = ACTIONS(900),
    [anon_sym_do] = ACTIONS(900),
    [anon_sym_while] = ACTIONS(900),
    [anon_sym_break] = ACTIONS(900),
    [anon_sym_continue] = ACTIONS(900),
    [anon_sym_return] = ACTIONS(900),
    [anon_sym_yield] = ACTIONS(900),
    [anon_sym_synchronized] = ACTIONS(900),
    [anon_sym_throw] = ACTIONS(900),
    [anon_sym_try] = ACTIONS(900),
    [anon_sym_if] = ACTIONS(900),
    [anon_sym_else] = ACTIONS(900),
    [anon_sym_for] = ACTIONS(900),
    [anon_sym_AT] = ACTIONS(888),
    [anon_sym_open] = ACTIONS(900),
    [anon_sym_module] = ACTIONS(900),
    [anon_sym_static] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(900),
    [anon_sym_package] = ACTIONS(900),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_enum] = ACTIONS(900),
    [anon_sym_public] = ACTIONS(900),
    [anon_sym_protected] = ACTIONS(900),
    [anon_sym_private] = ACTIONS(900),
    [anon_sym_abstract] = ACTIONS(900),
    [anon_sym_strictfp] = ACTIONS(900),
    [anon_sym_native] = ACTIONS(900),
    [anon_sym_transient] = ACTIONS(900),
    [anon_sym_volatile] = ACTIONS(900),
    [anon_sym_sealed] = ACTIONS(900),
    [anon_sym_non_DASHsealed] = ACTIONS(900),
    [anon_sym_record] = ACTIONS(900),
    [anon_sym_ATinterface] = ACTIONS(900),
    [anon_sym_interface] = ACTIONS(900),
    [anon_sym_byte] = ACTIONS(900),
    [anon_sym_short] = ACTIONS(900),
    [anon_sym_int] = ACTIONS(900),
    [anon_sym_long] = ACTIONS(900),
    [anon_sym_char] = ACTIONS(900),
    [anon_sym_float] = ACTIONS(900),
    [anon_sym_double] = ACTIONS(900),
    [sym_boolean_type] = ACTIONS(900),
    [sym_void_type] = ACTIONS(900),
    [anon_sym_def] = ACTIONS(900),
    [sym_this] = ACTIONS(900),
    [sym_super] = ACTIONS(900),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(900),
  },
  [186] = {
    [sym_dimensions_expr] = STATE(186),
    [sym__annotation] = STATE(2217),
    [sym_marker_annotation] = STATE(2217),
    [sym_annotation] = STATE(2217),
    [aux_sym_array_creation_expression_repeat1] = STATE(2217),
    [aux_sym_array_creation_expression_repeat2] = STATE(186),
    [ts_builtin_sym_end] = ACTIONS(902),
    [sym_identifier] = ACTIONS(904),
    [sym_decimal_integer_literal] = ACTIONS(904),
    [sym_hex_integer_literal] = ACTIONS(904),
    [sym_octal_integer_literal] = ACTIONS(904),
    [sym_binary_integer_literal] = ACTIONS(904),
    [sym_decimal_floating_point_literal] = ACTIONS(904),
    [sym_hex_floating_point_literal] = ACTIONS(904),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [sym_character_literal] = ACTIONS(904),
    [anon_sym_DQUOTE] = ACTIONS(904),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(904),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(904),
    [anon_sym_RBRACE] = ACTIONS(904),
    [sym_null_literal] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(904),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_LT] = ACTIONS(904),
    [anon_sym_GT_EQ] = ACTIONS(904),
    [anon_sym_LT_EQ] = ACTIONS(904),
    [anon_sym_EQ_EQ] = ACTIONS(904),
    [anon_sym_BANG_EQ] = ACTIONS(904),
    [anon_sym_AMP_AMP] = ACTIONS(904),
    [anon_sym_PIPE_PIPE] = ACTIONS(904),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(904),
    [anon_sym_PERCENT] = ACTIONS(904),
    [anon_sym_LT_LT] = ACTIONS(904),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(904),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(904),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_final] = ACTIONS(904),
    [anon_sym_DASH_GT] = ACTIONS(904),
    [anon_sym_QMARK] = ACTIONS(904),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_TILDE] = ACTIONS(904),
    [anon_sym_PLUS_PLUS] = ACTIONS(904),
    [anon_sym_DASH_DASH] = ACTIONS(904),
    [anon_sym_new] = ACTIONS(904),
    [anon_sym_LBRACK] = ACTIONS(906),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_class] = ACTIONS(904),
    [anon_sym_COLON_COLON] = ACTIONS(904),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(904),
    [anon_sym_case] = ACTIONS(904),
    [anon_sym_default] = ACTIONS(904),
    [sym_underscore_pattern] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(904),
    [aux_sym_expression_statement_token1] = ACTIONS(902),
    [anon_sym_NULL] = ACTIONS(904),
    [anon_sym_assert] = ACTIONS(904),
    [anon_sym_do] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(904),
    [anon_sym_break] = ACTIONS(904),
    [anon_sym_continue] = ACTIONS(904),
    [anon_sym_return] = ACTIONS(904),
    [anon_sym_yield] = ACTIONS(904),
    [anon_sym_synchronized] = ACTIONS(904),
    [anon_sym_throw] = ACTIONS(904),
    [anon_sym_try] = ACTIONS(904),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_else] = ACTIONS(904),
    [anon_sym_for] = ACTIONS(904),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_open] = ACTIONS(904),
    [anon_sym_module] = ACTIONS(904),
    [anon_sym_static] = ACTIONS(904),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_package] = ACTIONS(904),
    [anon_sym_import] = ACTIONS(904),
    [anon_sym_enum] = ACTIONS(904),
    [anon_sym_public] = ACTIONS(904),
    [anon_sym_protected] = ACTIONS(904),
    [anon_sym_private] = ACTIONS(904),
    [anon_sym_abstract] = ACTIONS(904),
    [anon_sym_strictfp] = ACTIONS(904),
    [anon_sym_native] = ACTIONS(904),
    [anon_sym_transient] = ACTIONS(904),
    [anon_sym_volatile] = ACTIONS(904),
    [anon_sym_sealed] = ACTIONS(904),
    [anon_sym_non_DASHsealed] = ACTIONS(904),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_ATinterface] = ACTIONS(904),
    [anon_sym_interface] = ACTIONS(904),
    [anon_sym_byte] = ACTIONS(904),
    [anon_sym_short] = ACTIONS(904),
    [anon_sym_int] = ACTIONS(904),
    [anon_sym_long] = ACTIONS(904),
    [anon_sym_char] = ACTIONS(904),
    [anon_sym_float] = ACTIONS(904),
    [anon_sym_double] = ACTIONS(904),
    [sym_boolean_type] = ACTIONS(904),
    [sym_void_type] = ACTIONS(904),
    [anon_sym_def] = ACTIONS(904),
    [sym_this] = ACTIONS(904),
    [sym_super] = ACTIONS(904),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(904),
  },
  [187] = {
    [sym__annotation] = STATE(2233),
    [sym_marker_annotation] = STATE(2233),
    [sym_annotation] = STATE(2233),
    [aux_sym_array_creation_expression_repeat1] = STATE(2233),
    [aux_sym_dimensions_repeat1] = STATE(188),
    [ts_builtin_sym_end] = ACTIONS(912),
    [sym_identifier] = ACTIONS(914),
    [sym_decimal_integer_literal] = ACTIONS(914),
    [sym_hex_integer_literal] = ACTIONS(914),
    [sym_octal_integer_literal] = ACTIONS(914),
    [sym_binary_integer_literal] = ACTIONS(914),
    [sym_decimal_floating_point_literal] = ACTIONS(914),
    [sym_hex_floating_point_literal] = ACTIONS(914),
    [sym_true] = ACTIONS(914),
    [sym_false] = ACTIONS(914),
    [sym_character_literal] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(914),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(914),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(914),
    [anon_sym_RBRACE] = ACTIONS(914),
    [sym_null_literal] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(914),
    [anon_sym_AMP] = ACTIONS(914),
    [anon_sym_GT] = ACTIONS(914),
    [anon_sym_LT] = ACTIONS(914),
    [anon_sym_GT_EQ] = ACTIONS(914),
    [anon_sym_LT_EQ] = ACTIONS(914),
    [anon_sym_EQ_EQ] = ACTIONS(914),
    [anon_sym_BANG_EQ] = ACTIONS(914),
    [anon_sym_AMP_AMP] = ACTIONS(914),
    [anon_sym_PIPE_PIPE] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(914),
    [anon_sym_DASH] = ACTIONS(914),
    [anon_sym_STAR] = ACTIONS(914),
    [anon_sym_SLASH] = ACTIONS(914),
    [anon_sym_PIPE] = ACTIONS(914),
    [anon_sym_CARET] = ACTIONS(914),
    [anon_sym_PERCENT] = ACTIONS(914),
    [anon_sym_LT_LT] = ACTIONS(914),
    [anon_sym_GT_GT] = ACTIONS(914),
    [anon_sym_GT_GT_GT] = ACTIONS(914),
    [anon_sym_in] = ACTIONS(914),
    [anon_sym_STAR_STAR] = ACTIONS(914),
    [anon_sym_instanceof] = ACTIONS(914),
    [anon_sym_final] = ACTIONS(914),
    [anon_sym_DASH_GT] = ACTIONS(914),
    [anon_sym_QMARK] = ACTIONS(914),
    [anon_sym_BANG] = ACTIONS(914),
    [anon_sym_TILDE] = ACTIONS(914),
    [anon_sym_PLUS_PLUS] = ACTIONS(914),
    [anon_sym_DASH_DASH] = ACTIONS(914),
    [anon_sym_new] = ACTIONS(914),
    [anon_sym_LBRACK] = ACTIONS(916),
    [anon_sym_DOT] = ACTIONS(914),
    [anon_sym_class] = ACTIONS(914),
    [anon_sym_COLON_COLON] = ACTIONS(914),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(914),
    [anon_sym_case] = ACTIONS(914),
    [anon_sym_default] = ACTIONS(914),
    [sym_underscore_pattern] = ACTIONS(914),
    [anon_sym_SEMI] = ACTIONS(914),
    [aux_sym_expression_statement_token1] = ACTIONS(912),
    [anon_sym_NULL] = ACTIONS(914),
    [anon_sym_assert] = ACTIONS(914),
    [anon_sym_do] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(914),
    [anon_sym_yield] = ACTIONS(914),
    [anon_sym_synchronized] = ACTIONS(914),
    [anon_sym_throw] = ACTIONS(914),
    [anon_sym_try] = ACTIONS(914),
    [anon_sym_if] = ACTIONS(914),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_AT] = ACTIONS(888),
    [anon_sym_open] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(914),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(914),
    [anon_sym_package] = ACTIONS(914),
    [anon_sym_import] = ACTIONS(914),
    [anon_sym_enum] = ACTIONS(914),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_abstract] = ACTIONS(914),
    [anon_sym_strictfp] = ACTIONS(914),
    [anon_sym_native] = ACTIONS(914),
    [anon_sym_transient] = ACTIONS(914),
    [anon_sym_volatile] = ACTIONS(914),
    [anon_sym_sealed] = ACTIONS(914),
    [anon_sym_non_DASHsealed] = ACTIONS(914),
    [anon_sym_record] = ACTIONS(914),
    [anon_sym_ATinterface] = ACTIONS(914),
    [anon_sym_interface] = ACTIONS(914),
    [anon_sym_byte] = ACTIONS(914),
    [anon_sym_short] = ACTIONS(914),
    [anon_sym_int] = ACTIONS(914),
    [anon_sym_long] = ACTIONS(914),
    [anon_sym_char] = ACTIONS(914),
    [anon_sym_float] = ACTIONS(914),
    [anon_sym_double] = ACTIONS(914),
    [sym_boolean_type] = ACTIONS(914),
    [sym_void_type] = ACTIONS(914),
    [anon_sym_def] = ACTIONS(914),
    [sym_this] = ACTIONS(914),
    [sym_super] = ACTIONS(914),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(914),
  },
  [188] = {
    [sym__annotation] = STATE(2233),
    [sym_marker_annotation] = STATE(2233),
    [sym_annotation] = STATE(2233),
    [aux_sym_array_creation_expression_repeat1] = STATE(2233),
    [aux_sym_dimensions_repeat1] = STATE(188),
    [ts_builtin_sym_end] = ACTIONS(918),
    [sym_identifier] = ACTIONS(920),
    [sym_decimal_integer_literal] = ACTIONS(920),
    [sym_hex_integer_literal] = ACTIONS(920),
    [sym_octal_integer_literal] = ACTIONS(920),
    [sym_binary_integer_literal] = ACTIONS(920),
    [sym_decimal_floating_point_literal] = ACTIONS(920),
    [sym_hex_floating_point_literal] = ACTIONS(920),
    [sym_true] = ACTIONS(920),
    [sym_false] = ACTIONS(920),
    [sym_character_literal] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(920),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(920),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(920),
    [anon_sym_RBRACE] = ACTIONS(920),
    [sym_null_literal] = ACTIONS(920),
    [anon_sym_LPAREN] = ACTIONS(920),
    [anon_sym_AMP] = ACTIONS(920),
    [anon_sym_GT] = ACTIONS(920),
    [anon_sym_LT] = ACTIONS(920),
    [anon_sym_GT_EQ] = ACTIONS(920),
    [anon_sym_LT_EQ] = ACTIONS(920),
    [anon_sym_EQ_EQ] = ACTIONS(920),
    [anon_sym_BANG_EQ] = ACTIONS(920),
    [anon_sym_AMP_AMP] = ACTIONS(920),
    [anon_sym_PIPE_PIPE] = ACTIONS(920),
    [anon_sym_PLUS] = ACTIONS(920),
    [anon_sym_DASH] = ACTIONS(920),
    [anon_sym_STAR] = ACTIONS(920),
    [anon_sym_SLASH] = ACTIONS(920),
    [anon_sym_PIPE] = ACTIONS(920),
    [anon_sym_CARET] = ACTIONS(920),
    [anon_sym_PERCENT] = ACTIONS(920),
    [anon_sym_LT_LT] = ACTIONS(920),
    [anon_sym_GT_GT] = ACTIONS(920),
    [anon_sym_GT_GT_GT] = ACTIONS(920),
    [anon_sym_in] = ACTIONS(920),
    [anon_sym_STAR_STAR] = ACTIONS(920),
    [anon_sym_instanceof] = ACTIONS(920),
    [anon_sym_final] = ACTIONS(920),
    [anon_sym_DASH_GT] = ACTIONS(920),
    [anon_sym_QMARK] = ACTIONS(920),
    [anon_sym_BANG] = ACTIONS(920),
    [anon_sym_TILDE] = ACTIONS(920),
    [anon_sym_PLUS_PLUS] = ACTIONS(920),
    [anon_sym_DASH_DASH] = ACTIONS(920),
    [anon_sym_new] = ACTIONS(920),
    [anon_sym_LBRACK] = ACTIONS(922),
    [anon_sym_DOT] = ACTIONS(920),
    [anon_sym_class] = ACTIONS(920),
    [anon_sym_COLON_COLON] = ACTIONS(920),
    [anon_sym_switch] = ACTIONS(920),
    [anon_sym_LBRACE] = ACTIONS(920),
    [anon_sym_case] = ACTIONS(920),
    [anon_sym_default] = ACTIONS(920),
    [sym_underscore_pattern] = ACTIONS(920),
    [anon_sym_SEMI] = ACTIONS(920),
    [aux_sym_expression_statement_token1] = ACTIONS(918),
    [anon_sym_NULL] = ACTIONS(920),
    [anon_sym_assert] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(920),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_return] = ACTIONS(920),
    [anon_sym_yield] = ACTIONS(920),
    [anon_sym_synchronized] = ACTIONS(920),
    [anon_sym_throw] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_else] = ACTIONS(920),
    [anon_sym_for] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(925),
    [anon_sym_open] = ACTIONS(920),
    [anon_sym_module] = ACTIONS(920),
    [anon_sym_static] = ACTIONS(920),
    [anon_sym_with] = ACTIONS(920),
    [anon_sym_package] = ACTIONS(920),
    [anon_sym_import] = ACTIONS(920),
    [anon_sym_enum] = ACTIONS(920),
    [anon_sym_public] = ACTIONS(920),
    [anon_sym_protected] = ACTIONS(920),
    [anon_sym_private] = ACTIONS(920),
    [anon_sym_abstract] = ACTIONS(920),
    [anon_sym_strictfp] = ACTIONS(920),
    [anon_sym_native] = ACTIONS(920),
    [anon_sym_transient] = ACTIONS(920),
    [anon_sym_volatile] = ACTIONS(920),
    [anon_sym_sealed] = ACTIONS(920),
    [anon_sym_non_DASHsealed] = ACTIONS(920),
    [anon_sym_record] = ACTIONS(920),
    [anon_sym_ATinterface] = ACTIONS(920),
    [anon_sym_interface] = ACTIONS(920),
    [anon_sym_byte] = ACTIONS(920),
    [anon_sym_short] = ACTIONS(920),
    [anon_sym_int] = ACTIONS(920),
    [anon_sym_long] = ACTIONS(920),
    [anon_sym_char] = ACTIONS(920),
    [anon_sym_float] = ACTIONS(920),
    [anon_sym_double] = ACTIONS(920),
    [sym_boolean_type] = ACTIONS(920),
    [sym_void_type] = ACTIONS(920),
    [anon_sym_def] = ACTIONS(920),
    [sym_this] = ACTIONS(920),
    [sym_super] = ACTIONS(920),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(920),
  },
  [189] = {
    [sym_dimensions_expr] = STATE(198),
    [sym_dimensions] = STATE(408),
    [sym__annotation] = STATE(2232),
    [sym_marker_annotation] = STATE(2232),
    [sym_annotation] = STATE(2232),
    [aux_sym_array_creation_expression_repeat1] = STATE(2232),
    [aux_sym_array_creation_expression_repeat2] = STATE(198),
    [aux_sym_dimensions_repeat1] = STATE(200),
    [ts_builtin_sym_end] = ACTIONS(894),
    [sym_identifier] = ACTIONS(896),
    [sym_decimal_integer_literal] = ACTIONS(896),
    [sym_hex_integer_literal] = ACTIONS(896),
    [sym_octal_integer_literal] = ACTIONS(896),
    [sym_binary_integer_literal] = ACTIONS(894),
    [sym_decimal_floating_point_literal] = ACTIONS(894),
    [sym_hex_floating_point_literal] = ACTIONS(896),
    [sym_true] = ACTIONS(896),
    [sym_false] = ACTIONS(896),
    [sym_character_literal] = ACTIONS(894),
    [anon_sym_DQUOTE] = ACTIONS(896),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(894),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(894),
    [anon_sym_RBRACE] = ACTIONS(894),
    [sym_null_literal] = ACTIONS(896),
    [anon_sym_LPAREN] = ACTIONS(894),
    [anon_sym_AMP] = ACTIONS(896),
    [anon_sym_GT] = ACTIONS(896),
    [anon_sym_LT] = ACTIONS(896),
    [anon_sym_GT_EQ] = ACTIONS(894),
    [anon_sym_LT_EQ] = ACTIONS(894),
    [anon_sym_EQ_EQ] = ACTIONS(894),
    [anon_sym_BANG_EQ] = ACTIONS(894),
    [anon_sym_AMP_AMP] = ACTIONS(894),
    [anon_sym_PIPE_PIPE] = ACTIONS(894),
    [anon_sym_PLUS] = ACTIONS(896),
    [anon_sym_DASH] = ACTIONS(896),
    [anon_sym_STAR] = ACTIONS(896),
    [anon_sym_SLASH] = ACTIONS(896),
    [anon_sym_PIPE] = ACTIONS(896),
    [anon_sym_CARET] = ACTIONS(894),
    [anon_sym_PERCENT] = ACTIONS(894),
    [anon_sym_LT_LT] = ACTIONS(894),
    [anon_sym_GT_GT] = ACTIONS(896),
    [anon_sym_GT_GT_GT] = ACTIONS(894),
    [anon_sym_in] = ACTIONS(896),
    [anon_sym_STAR_STAR] = ACTIONS(894),
    [anon_sym_instanceof] = ACTIONS(896),
    [anon_sym_final] = ACTIONS(896),
    [anon_sym_DASH_GT] = ACTIONS(894),
    [anon_sym_COMMA] = ACTIONS(894),
    [anon_sym_QMARK] = ACTIONS(894),
    [anon_sym_BANG] = ACTIONS(896),
    [anon_sym_TILDE] = ACTIONS(894),
    [anon_sym_PLUS_PLUS] = ACTIONS(894),
    [anon_sym_DASH_DASH] = ACTIONS(894),
    [anon_sym_new] = ACTIONS(896),
    [anon_sym_LBRACK] = ACTIONS(928),
    [anon_sym_DOT] = ACTIONS(896),
    [anon_sym_class] = ACTIONS(896),
    [anon_sym_COLON_COLON] = ACTIONS(894),
    [anon_sym_switch] = ACTIONS(896),
    [anon_sym_LBRACE] = ACTIONS(894),
    [anon_sym_default] = ACTIONS(896),
    [sym_underscore_pattern] = ACTIONS(896),
    [anon_sym_SEMI] = ACTIONS(894),
    [anon_sym_assert] = ACTIONS(896),
    [anon_sym_do] = ACTIONS(896),
    [anon_sym_while] = ACTIONS(896),
    [anon_sym_break] = ACTIONS(896),
    [anon_sym_continue] = ACTIONS(896),
    [anon_sym_return] = ACTIONS(896),
    [anon_sym_yield] = ACTIONS(896),
    [anon_sym_synchronized] = ACTIONS(896),
    [anon_sym_throw] = ACTIONS(896),
    [anon_sym_try] = ACTIONS(896),
    [anon_sym_if] = ACTIONS(896),
    [anon_sym_for] = ACTIONS(896),
    [anon_sym_AT] = ACTIONS(888),
    [anon_sym_open] = ACTIONS(896),
    [anon_sym_module] = ACTIONS(896),
    [anon_sym_static] = ACTIONS(896),
    [anon_sym_with] = ACTIONS(896),
    [anon_sym_package] = ACTIONS(896),
    [anon_sym_import] = ACTIONS(896),
    [anon_sym_enum] = ACTIONS(896),
    [anon_sym_public] = ACTIONS(896),
    [anon_sym_protected] = ACTIONS(896),
    [anon_sym_private] = ACTIONS(896),
    [anon_sym_abstract] = ACTIONS(896),
    [anon_sym_strictfp] = ACTIONS(896),
    [anon_sym_native] = ACTIONS(896),
    [anon_sym_transient] = ACTIONS(896),
    [anon_sym_volatile] = ACTIONS(896),
    [anon_sym_sealed] = ACTIONS(896),
    [anon_sym_non_DASHsealed] = ACTIONS(894),
    [anon_sym_record] = ACTIONS(896),
    [anon_sym_ATinterface] = ACTIONS(894),
    [anon_sym_interface] = ACTIONS(896),
    [anon_sym_byte] = ACTIONS(896),
    [anon_sym_short] = ACTIONS(896),
    [anon_sym_int] = ACTIONS(896),
    [anon_sym_long] = ACTIONS(896),
    [anon_sym_char] = ACTIONS(896),
    [anon_sym_float] = ACTIONS(896),
    [anon_sym_double] = ACTIONS(896),
    [sym_boolean_type] = ACTIONS(896),
    [sym_void_type] = ACTIONS(896),
    [anon_sym_def] = ACTIONS(896),
    [sym_this] = ACTIONS(896),
    [sym_super] = ACTIONS(896),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(894),
  },
  [190] = {
    [sym_dimensions_expr] = STATE(198),
    [sym_dimensions] = STATE(424),
    [sym__annotation] = STATE(2232),
    [sym_marker_annotation] = STATE(2232),
    [sym_annotation] = STATE(2232),
    [aux_sym_array_creation_expression_repeat1] = STATE(2232),
    [aux_sym_array_creation_expression_repeat2] = STATE(198),
    [aux_sym_dimensions_repeat1] = STATE(200),
    [ts_builtin_sym_end] = ACTIONS(890),
    [sym_identifier] = ACTIONS(892),
    [sym_decimal_integer_literal] = ACTIONS(892),
    [sym_hex_integer_literal] = ACTIONS(892),
    [sym_octal_integer_literal] = ACTIONS(892),
    [sym_binary_integer_literal] = ACTIONS(890),
    [sym_decimal_floating_point_literal] = ACTIONS(890),
    [sym_hex_floating_point_literal] = ACTIONS(892),
    [sym_true] = ACTIONS(892),
    [sym_false] = ACTIONS(892),
    [sym_character_literal] = ACTIONS(890),
    [anon_sym_DQUOTE] = ACTIONS(892),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(890),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(890),
    [anon_sym_RBRACE] = ACTIONS(890),
    [sym_null_literal] = ACTIONS(892),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_AMP] = ACTIONS(892),
    [anon_sym_GT] = ACTIONS(892),
    [anon_sym_LT] = ACTIONS(892),
    [anon_sym_GT_EQ] = ACTIONS(890),
    [anon_sym_LT_EQ] = ACTIONS(890),
    [anon_sym_EQ_EQ] = ACTIONS(890),
    [anon_sym_BANG_EQ] = ACTIONS(890),
    [anon_sym_AMP_AMP] = ACTIONS(890),
    [anon_sym_PIPE_PIPE] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(892),
    [anon_sym_DASH] = ACTIONS(892),
    [anon_sym_STAR] = ACTIONS(892),
    [anon_sym_SLASH] = ACTIONS(892),
    [anon_sym_PIPE] = ACTIONS(892),
    [anon_sym_CARET] = ACTIONS(890),
    [anon_sym_PERCENT] = ACTIONS(890),
    [anon_sym_LT_LT] = ACTIONS(890),
    [anon_sym_GT_GT] = ACTIONS(892),
    [anon_sym_GT_GT_GT] = ACTIONS(890),
    [anon_sym_in] = ACTIONS(892),
    [anon_sym_STAR_STAR] = ACTIONS(890),
    [anon_sym_instanceof] = ACTIONS(892),
    [anon_sym_final] = ACTIONS(892),
    [anon_sym_DASH_GT] = ACTIONS(890),
    [anon_sym_COMMA] = ACTIONS(890),
    [anon_sym_QMARK] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(892),
    [anon_sym_TILDE] = ACTIONS(890),
    [anon_sym_PLUS_PLUS] = ACTIONS(890),
    [anon_sym_DASH_DASH] = ACTIONS(890),
    [anon_sym_new] = ACTIONS(892),
    [anon_sym_LBRACK] = ACTIONS(928),
    [anon_sym_DOT] = ACTIONS(892),
    [anon_sym_class] = ACTIONS(892),
    [anon_sym_COLON_COLON] = ACTIONS(890),
    [anon_sym_switch] = ACTIONS(892),
    [anon_sym_LBRACE] = ACTIONS(890),
    [anon_sym_default] = ACTIONS(892),
    [sym_underscore_pattern] = ACTIONS(892),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym_assert] = ACTIONS(892),
    [anon_sym_do] = ACTIONS(892),
    [anon_sym_while] = ACTIONS(892),
    [anon_sym_break] = ACTIONS(892),
    [anon_sym_continue] = ACTIONS(892),
    [anon_sym_return] = ACTIONS(892),
    [anon_sym_yield] = ACTIONS(892),
    [anon_sym_synchronized] = ACTIONS(892),
    [anon_sym_throw] = ACTIONS(892),
    [anon_sym_try] = ACTIONS(892),
    [anon_sym_if] = ACTIONS(892),
    [anon_sym_for] = ACTIONS(892),
    [anon_sym_AT] = ACTIONS(888),
    [anon_sym_open] = ACTIONS(892),
    [anon_sym_module] = ACTIONS(892),
    [anon_sym_static] = ACTIONS(892),
    [anon_sym_with] = ACTIONS(892),
    [anon_sym_package] = ACTIONS(892),
    [anon_sym_import] = ACTIONS(892),
    [anon_sym_enum] = ACTIONS(892),
    [anon_sym_public] = ACTIONS(892),
    [anon_sym_protected] = ACTIONS(892),
    [anon_sym_private] = ACTIONS(892),
    [anon_sym_abstract] = ACTIONS(892),
    [anon_sym_strictfp] = ACTIONS(892),
    [anon_sym_native] = ACTIONS(892),
    [anon_sym_transient] = ACTIONS(892),
    [anon_sym_volatile] = ACTIONS(892),
    [anon_sym_sealed] = ACTIONS(892),
    [anon_sym_non_DASHsealed] = ACTIONS(890),
    [anon_sym_record] = ACTIONS(892),
    [anon_sym_ATinterface] = ACTIONS(890),
    [anon_sym_interface] = ACTIONS(892),
    [anon_sym_byte] = ACTIONS(892),
    [anon_sym_short] = ACTIONS(892),
    [anon_sym_int] = ACTIONS(892),
    [anon_sym_long] = ACTIONS(892),
    [anon_sym_char] = ACTIONS(892),
    [anon_sym_float] = ACTIONS(892),
    [anon_sym_double] = ACTIONS(892),
    [sym_boolean_type] = ACTIONS(892),
    [sym_void_type] = ACTIONS(892),
    [anon_sym_def] = ACTIONS(892),
    [sym_this] = ACTIONS(892),
    [sym_super] = ACTIONS(892),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(890),
  },
  [191] = {
    [sym_dimensions_expr] = STATE(198),
    [sym_dimensions] = STATE(432),
    [sym__annotation] = STATE(2232),
    [sym_marker_annotation] = STATE(2232),
    [sym_annotation] = STATE(2232),
    [aux_sym_array_creation_expression_repeat1] = STATE(2232),
    [aux_sym_array_creation_expression_repeat2] = STATE(198),
    [aux_sym_dimensions_repeat1] = STATE(200),
    [ts_builtin_sym_end] = ACTIONS(898),
    [sym_identifier] = ACTIONS(900),
    [sym_decimal_integer_literal] = ACTIONS(900),
    [sym_hex_integer_literal] = ACTIONS(900),
    [sym_octal_integer_literal] = ACTIONS(900),
    [sym_binary_integer_literal] = ACTIONS(898),
    [sym_decimal_floating_point_literal] = ACTIONS(898),
    [sym_hex_floating_point_literal] = ACTIONS(900),
    [sym_true] = ACTIONS(900),
    [sym_false] = ACTIONS(900),
    [sym_character_literal] = ACTIONS(898),
    [anon_sym_DQUOTE] = ACTIONS(900),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(898),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(898),
    [anon_sym_RBRACE] = ACTIONS(898),
    [sym_null_literal] = ACTIONS(900),
    [anon_sym_LPAREN] = ACTIONS(898),
    [anon_sym_AMP] = ACTIONS(900),
    [anon_sym_GT] = ACTIONS(900),
    [anon_sym_LT] = ACTIONS(900),
    [anon_sym_GT_EQ] = ACTIONS(898),
    [anon_sym_LT_EQ] = ACTIONS(898),
    [anon_sym_EQ_EQ] = ACTIONS(898),
    [anon_sym_BANG_EQ] = ACTIONS(898),
    [anon_sym_AMP_AMP] = ACTIONS(898),
    [anon_sym_PIPE_PIPE] = ACTIONS(898),
    [anon_sym_PLUS] = ACTIONS(900),
    [anon_sym_DASH] = ACTIONS(900),
    [anon_sym_STAR] = ACTIONS(900),
    [anon_sym_SLASH] = ACTIONS(900),
    [anon_sym_PIPE] = ACTIONS(900),
    [anon_sym_CARET] = ACTIONS(898),
    [anon_sym_PERCENT] = ACTIONS(898),
    [anon_sym_LT_LT] = ACTIONS(898),
    [anon_sym_GT_GT] = ACTIONS(900),
    [anon_sym_GT_GT_GT] = ACTIONS(898),
    [anon_sym_in] = ACTIONS(900),
    [anon_sym_STAR_STAR] = ACTIONS(898),
    [anon_sym_instanceof] = ACTIONS(900),
    [anon_sym_final] = ACTIONS(900),
    [anon_sym_DASH_GT] = ACTIONS(898),
    [anon_sym_COMMA] = ACTIONS(898),
    [anon_sym_QMARK] = ACTIONS(898),
    [anon_sym_BANG] = ACTIONS(900),
    [anon_sym_TILDE] = ACTIONS(898),
    [anon_sym_PLUS_PLUS] = ACTIONS(898),
    [anon_sym_DASH_DASH] = ACTIONS(898),
    [anon_sym_new] = ACTIONS(900),
    [anon_sym_LBRACK] = ACTIONS(928),
    [anon_sym_DOT] = ACTIONS(900),
    [anon_sym_class] = ACTIONS(900),
    [anon_sym_COLON_COLON] = ACTIONS(898),
    [anon_sym_switch] = ACTIONS(900),
    [anon_sym_LBRACE] = ACTIONS(898),
    [anon_sym_default] = ACTIONS(900),
    [sym_underscore_pattern] = ACTIONS(900),
    [anon_sym_SEMI] = ACTIONS(898),
    [anon_sym_assert] = ACTIONS(900),
    [anon_sym_do] = ACTIONS(900),
    [anon_sym_while] = ACTIONS(900),
    [anon_sym_break] = ACTIONS(900),
    [anon_sym_continue] = ACTIONS(900),
    [anon_sym_return] = ACTIONS(900),
    [anon_sym_yield] = ACTIONS(900),
    [anon_sym_synchronized] = ACTIONS(900),
    [anon_sym_throw] = ACTIONS(900),
    [anon_sym_try] = ACTIONS(900),
    [anon_sym_if] = ACTIONS(900),
    [anon_sym_for] = ACTIONS(900),
    [anon_sym_AT] = ACTIONS(888),
    [anon_sym_open] = ACTIONS(900),
    [anon_sym_module] = ACTIONS(900),
    [anon_sym_static] = ACTIONS(900),
    [anon_sym_with] = ACTIONS(900),
    [anon_sym_package] = ACTIONS(900),
    [anon_sym_import] = ACTIONS(900),
    [anon_sym_enum] = ACTIONS(900),
    [anon_sym_public] = ACTIONS(900),
    [anon_sym_protected] = ACTIONS(900),
    [anon_sym_private] = ACTIONS(900),
    [anon_sym_abstract] = ACTIONS(900),
    [anon_sym_strictfp] = ACTIONS(900),
    [anon_sym_native] = ACTIONS(900),
    [anon_sym_transient] = ACTIONS(900),
    [anon_sym_volatile] = ACTIONS(900),
    [anon_sym_sealed] = ACTIONS(900),
    [anon_sym_non_DASHsealed] = ACTIONS(898),
    [anon_sym_record] = ACTIONS(900),
    [anon_sym_ATinterface] = ACTIONS(898),
    [anon_sym_interface] = ACTIONS(900),
    [anon_sym_byte] = ACTIONS(900),
    [anon_sym_short] = ACTIONS(900),
    [anon_sym_int] = ACTIONS(900),
    [anon_sym_long] = ACTIONS(900),
    [anon_sym_char] = ACTIONS(900),
    [anon_sym_float] = ACTIONS(900),
    [anon_sym_double] = ACTIONS(900),
    [sym_boolean_type] = ACTIONS(900),
    [sym_void_type] = ACTIONS(900),
    [anon_sym_def] = ACTIONS(900),
    [sym_this] = ACTIONS(900),
    [sym_super] = ACTIONS(900),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(898),
  },
  [192] = {
    [sym_dimensions_expr] = STATE(198),
    [sym_dimensions] = STATE(468),
    [sym__annotation] = STATE(2232),
    [sym_marker_annotation] = STATE(2232),
    [sym_annotation] = STATE(2232),
    [aux_sym_array_creation_expression_repeat1] = STATE(2232),
    [aux_sym_array_creation_expression_repeat2] = STATE(198),
    [aux_sym_dimensions_repeat1] = STATE(200),
    [ts_builtin_sym_end] = ACTIONS(882),
    [sym_identifier] = ACTIONS(884),
    [sym_decimal_integer_literal] = ACTIONS(884),
    [sym_hex_integer_literal] = ACTIONS(884),
    [sym_octal_integer_literal] = ACTIONS(884),
    [sym_binary_integer_literal] = ACTIONS(882),
    [sym_decimal_floating_point_literal] = ACTIONS(882),
    [sym_hex_floating_point_literal] = ACTIONS(884),
    [sym_true] = ACTIONS(884),
    [sym_false] = ACTIONS(884),
    [sym_character_literal] = ACTIONS(882),
    [anon_sym_DQUOTE] = ACTIONS(884),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(882),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(882),
    [anon_sym_RBRACE] = ACTIONS(882),
    [sym_null_literal] = ACTIONS(884),
    [anon_sym_LPAREN] = ACTIONS(882),
    [anon_sym_AMP] = ACTIONS(884),
    [anon_sym_GT] = ACTIONS(884),
    [anon_sym_LT] = ACTIONS(884),
    [anon_sym_GT_EQ] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(882),
    [anon_sym_EQ_EQ] = ACTIONS(882),
    [anon_sym_BANG_EQ] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(882),
    [anon_sym_PIPE_PIPE] = ACTIONS(882),
    [anon_sym_PLUS] = ACTIONS(884),
    [anon_sym_DASH] = ACTIONS(884),
    [anon_sym_STAR] = ACTIONS(884),
    [anon_sym_SLASH] = ACTIONS(884),
    [anon_sym_PIPE] = ACTIONS(884),
    [anon_sym_CARET] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(882),
    [anon_sym_LT_LT] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(884),
    [anon_sym_GT_GT_GT] = ACTIONS(882),
    [anon_sym_in] = ACTIONS(884),
    [anon_sym_STAR_STAR] = ACTIONS(882),
    [anon_sym_instanceof] = ACTIONS(884),
    [anon_sym_final] = ACTIONS(884),
    [anon_sym_DASH_GT] = ACTIONS(882),
    [anon_sym_COMMA] = ACTIONS(882),
    [anon_sym_QMARK] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(884),
    [anon_sym_TILDE] = ACTIONS(882),
    [anon_sym_PLUS_PLUS] = ACTIONS(882),
    [anon_sym_DASH_DASH] = ACTIONS(882),
    [anon_sym_new] = ACTIONS(884),
    [anon_sym_LBRACK] = ACTIONS(928),
    [anon_sym_DOT] = ACTIONS(884),
    [anon_sym_class] = ACTIONS(884),
    [anon_sym_COLON_COLON] = ACTIONS(882),
    [anon_sym_switch] = ACTIONS(884),
    [anon_sym_LBRACE] = ACTIONS(882),
    [anon_sym_default] = ACTIONS(884),
    [sym_underscore_pattern] = ACTIONS(884),
    [anon_sym_SEMI] = ACTIONS(882),
    [anon_sym_assert] = ACTIONS(884),
    [anon_sym_do] = ACTIONS(884),
    [anon_sym_while] = ACTIONS(884),
    [anon_sym_break] = ACTIONS(884),
    [anon_sym_continue] = ACTIONS(884),
    [anon_sym_return] = ACTIONS(884),
    [anon_sym_yield] = ACTIONS(884),
    [anon_sym_synchronized] = ACTIONS(884),
    [anon_sym_throw] = ACTIONS(884),
    [anon_sym_try] = ACTIONS(884),
    [anon_sym_if] = ACTIONS(884),
    [anon_sym_for] = ACTIONS(884),
    [anon_sym_AT] = ACTIONS(888),
    [anon_sym_open] = ACTIONS(884),
    [anon_sym_module] = ACTIONS(884),
    [anon_sym_static] = ACTIONS(884),
    [anon_sym_with] = ACTIONS(884),
    [anon_sym_package] = ACTIONS(884),
    [anon_sym_import] = ACTIONS(884),
    [anon_sym_enum] = ACTIONS(884),
    [anon_sym_public] = ACTIONS(884),
    [anon_sym_protected] = ACTIONS(884),
    [anon_sym_private] = ACTIONS(884),
    [anon_sym_abstract] = ACTIONS(884),
    [anon_sym_strictfp] = ACTIONS(884),
    [anon_sym_native] = ACTIONS(884),
    [anon_sym_transient] = ACTIONS(884),
    [anon_sym_volatile] = ACTIONS(884),
    [anon_sym_sealed] = ACTIONS(884),
    [anon_sym_non_DASHsealed] = ACTIONS(882),
    [anon_sym_record] = ACTIONS(884),
    [anon_sym_ATinterface] = ACTIONS(882),
    [anon_sym_interface] = ACTIONS(884),
    [anon_sym_byte] = ACTIONS(884),
    [anon_sym_short] = ACTIONS(884),
    [anon_sym_int] = ACTIONS(884),
    [anon_sym_long] = ACTIONS(884),
    [anon_sym_char] = ACTIONS(884),
    [anon_sym_float] = ACTIONS(884),
    [anon_sym_double] = ACTIONS(884),
    [sym_boolean_type] = ACTIONS(884),
    [sym_void_type] = ACTIONS(884),
    [anon_sym_def] = ACTIONS(884),
    [sym_this] = ACTIONS(884),
    [sym_super] = ACTIONS(884),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(882),
  },
  [193] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1614),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1506),
    [sym_marker_annotation] = STATE(1506),
    [sym_annotation] = STATE(1506),
    [sym_modifiers] = STATE(1661),
    [sym__variable_declarator_list] = STATE(2586),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2149),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(1804),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym_local_variable_declaration] = STATE(656),
    [sym__reserved_identifier] = STATE(1083),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [aux_sym_modifiers_repeat1] = STATE(1410),
    [sym_identifier] = ACTIONS(930),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_final] = ACTIONS(946),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_default] = ACTIONS(946),
    [sym_underscore_pattern] = ACTIONS(962),
    [anon_sym_SEMI] = ACTIONS(964),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_synchronized] = ACTIONS(946),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_static] = ACTIONS(946),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_public] = ACTIONS(946),
    [anon_sym_protected] = ACTIONS(946),
    [anon_sym_private] = ACTIONS(946),
    [anon_sym_abstract] = ACTIONS(946),
    [anon_sym_strictfp] = ACTIONS(946),
    [anon_sym_native] = ACTIONS(946),
    [anon_sym_transient] = ACTIONS(946),
    [anon_sym_volatile] = ACTIONS(946),
    [anon_sym_sealed] = ACTIONS(968),
    [anon_sym_non_DASHsealed] = ACTIONS(970),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(972),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [194] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1652),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1506),
    [sym_marker_annotation] = STATE(1506),
    [sym_annotation] = STATE(1506),
    [sym_modifiers] = STATE(1668),
    [sym__variable_declarator_list] = STATE(2586),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2124),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(1808),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym_local_variable_declaration] = STATE(610),
    [sym__reserved_identifier] = STATE(1083),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [aux_sym_modifiers_repeat1] = STATE(1410),
    [sym_identifier] = ACTIONS(930),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_final] = ACTIONS(946),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_default] = ACTIONS(946),
    [sym_underscore_pattern] = ACTIONS(962),
    [anon_sym_SEMI] = ACTIONS(978),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_synchronized] = ACTIONS(946),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_static] = ACTIONS(946),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_public] = ACTIONS(946),
    [anon_sym_protected] = ACTIONS(946),
    [anon_sym_private] = ACTIONS(946),
    [anon_sym_abstract] = ACTIONS(946),
    [anon_sym_strictfp] = ACTIONS(946),
    [anon_sym_native] = ACTIONS(946),
    [anon_sym_transient] = ACTIONS(946),
    [anon_sym_volatile] = ACTIONS(946),
    [anon_sym_sealed] = ACTIONS(968),
    [anon_sym_non_DASHsealed] = ACTIONS(970),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(972),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_dimensions] = STATE(350),
    [sym__annotation] = STATE(2233),
    [sym_marker_annotation] = STATE(2233),
    [sym_annotation] = STATE(2233),
    [aux_sym_array_creation_expression_repeat1] = STATE(2233),
    [aux_sym_dimensions_repeat1] = STATE(187),
    [ts_builtin_sym_end] = ACTIONS(980),
    [sym_identifier] = ACTIONS(982),
    [sym_decimal_integer_literal] = ACTIONS(982),
    [sym_hex_integer_literal] = ACTIONS(982),
    [sym_octal_integer_literal] = ACTIONS(982),
    [sym_binary_integer_literal] = ACTIONS(982),
    [sym_decimal_floating_point_literal] = ACTIONS(982),
    [sym_hex_floating_point_literal] = ACTIONS(982),
    [sym_true] = ACTIONS(982),
    [sym_false] = ACTIONS(982),
    [sym_character_literal] = ACTIONS(982),
    [anon_sym_DQUOTE] = ACTIONS(982),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(982),
    [anon_sym_RBRACE] = ACTIONS(982),
    [sym_null_literal] = ACTIONS(982),
    [anon_sym_LPAREN] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(982),
    [anon_sym_GT] = ACTIONS(982),
    [anon_sym_LT] = ACTIONS(982),
    [anon_sym_GT_EQ] = ACTIONS(982),
    [anon_sym_LT_EQ] = ACTIONS(982),
    [anon_sym_EQ_EQ] = ACTIONS(982),
    [anon_sym_BANG_EQ] = ACTIONS(982),
    [anon_sym_AMP_AMP] = ACTIONS(982),
    [anon_sym_PIPE_PIPE] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(982),
    [anon_sym_DASH] = ACTIONS(982),
    [anon_sym_STAR] = ACTIONS(982),
    [anon_sym_SLASH] = ACTIONS(982),
    [anon_sym_PIPE] = ACTIONS(982),
    [anon_sym_CARET] = ACTIONS(982),
    [anon_sym_PERCENT] = ACTIONS(982),
    [anon_sym_LT_LT] = ACTIONS(982),
    [anon_sym_GT_GT] = ACTIONS(982),
    [anon_sym_GT_GT_GT] = ACTIONS(982),
    [anon_sym_in] = ACTIONS(982),
    [anon_sym_STAR_STAR] = ACTIONS(982),
    [anon_sym_instanceof] = ACTIONS(982),
    [anon_sym_final] = ACTIONS(982),
    [anon_sym_DASH_GT] = ACTIONS(982),
    [anon_sym_QMARK] = ACTIONS(982),
    [anon_sym_BANG] = ACTIONS(982),
    [anon_sym_TILDE] = ACTIONS(982),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(982),
    [anon_sym_new] = ACTIONS(982),
    [anon_sym_LBRACK] = ACTIONS(984),
    [anon_sym_class] = ACTIONS(982),
    [anon_sym_switch] = ACTIONS(982),
    [anon_sym_LBRACE] = ACTIONS(982),
    [anon_sym_case] = ACTIONS(982),
    [anon_sym_default] = ACTIONS(982),
    [sym_underscore_pattern] = ACTIONS(982),
    [anon_sym_SEMI] = ACTIONS(982),
    [aux_sym_expression_statement_token1] = ACTIONS(980),
    [anon_sym_NULL] = ACTIONS(982),
    [anon_sym_assert] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(982),
    [anon_sym_while] = ACTIONS(982),
    [anon_sym_break] = ACTIONS(982),
    [anon_sym_continue] = ACTIONS(982),
    [anon_sym_return] = ACTIONS(982),
    [anon_sym_yield] = ACTIONS(982),
    [anon_sym_synchronized] = ACTIONS(982),
    [anon_sym_throw] = ACTIONS(982),
    [anon_sym_try] = ACTIONS(982),
    [anon_sym_if] = ACTIONS(982),
    [anon_sym_else] = ACTIONS(982),
    [anon_sym_for] = ACTIONS(982),
    [anon_sym_AT] = ACTIONS(987),
    [anon_sym_open] = ACTIONS(982),
    [anon_sym_module] = ACTIONS(982),
    [anon_sym_static] = ACTIONS(982),
    [anon_sym_with] = ACTIONS(982),
    [anon_sym_package] = ACTIONS(982),
    [anon_sym_import] = ACTIONS(982),
    [anon_sym_enum] = ACTIONS(982),
    [anon_sym_public] = ACTIONS(982),
    [anon_sym_protected] = ACTIONS(982),
    [anon_sym_private] = ACTIONS(982),
    [anon_sym_abstract] = ACTIONS(982),
    [anon_sym_strictfp] = ACTIONS(982),
    [anon_sym_native] = ACTIONS(982),
    [anon_sym_transient] = ACTIONS(982),
    [anon_sym_volatile] = ACTIONS(982),
    [anon_sym_sealed] = ACTIONS(982),
    [anon_sym_non_DASHsealed] = ACTIONS(982),
    [anon_sym_record] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(982),
    [anon_sym_interface] = ACTIONS(982),
    [anon_sym_byte] = ACTIONS(982),
    [anon_sym_short] = ACTIONS(982),
    [anon_sym_int] = ACTIONS(982),
    [anon_sym_long] = ACTIONS(982),
    [anon_sym_char] = ACTIONS(982),
    [anon_sym_float] = ACTIONS(982),
    [anon_sym_double] = ACTIONS(982),
    [sym_boolean_type] = ACTIONS(982),
    [sym_void_type] = ACTIONS(982),
    [anon_sym_def] = ACTIONS(982),
    [sym_this] = ACTIONS(982),
    [sym_super] = ACTIONS(982),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(982),
  },
  [196] = {
    [sym_dimensions] = STATE(350),
    [sym__annotation] = STATE(2233),
    [sym_marker_annotation] = STATE(2233),
    [sym_annotation] = STATE(2233),
    [aux_sym_array_creation_expression_repeat1] = STATE(2233),
    [aux_sym_dimensions_repeat1] = STATE(187),
    [ts_builtin_sym_end] = ACTIONS(990),
    [sym_identifier] = ACTIONS(992),
    [sym_decimal_integer_literal] = ACTIONS(992),
    [sym_hex_integer_literal] = ACTIONS(992),
    [sym_octal_integer_literal] = ACTIONS(992),
    [sym_binary_integer_literal] = ACTIONS(992),
    [sym_decimal_floating_point_literal] = ACTIONS(992),
    [sym_hex_floating_point_literal] = ACTIONS(992),
    [sym_true] = ACTIONS(992),
    [sym_false] = ACTIONS(992),
    [sym_character_literal] = ACTIONS(992),
    [anon_sym_DQUOTE] = ACTIONS(992),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(992),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(992),
    [anon_sym_RBRACE] = ACTIONS(992),
    [sym_null_literal] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(992),
    [anon_sym_AMP] = ACTIONS(992),
    [anon_sym_GT] = ACTIONS(992),
    [anon_sym_LT] = ACTIONS(992),
    [anon_sym_GT_EQ] = ACTIONS(992),
    [anon_sym_LT_EQ] = ACTIONS(992),
    [anon_sym_EQ_EQ] = ACTIONS(992),
    [anon_sym_BANG_EQ] = ACTIONS(992),
    [anon_sym_AMP_AMP] = ACTIONS(992),
    [anon_sym_PIPE_PIPE] = ACTIONS(992),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_STAR] = ACTIONS(992),
    [anon_sym_SLASH] = ACTIONS(992),
    [anon_sym_PIPE] = ACTIONS(992),
    [anon_sym_CARET] = ACTIONS(992),
    [anon_sym_PERCENT] = ACTIONS(992),
    [anon_sym_LT_LT] = ACTIONS(992),
    [anon_sym_GT_GT] = ACTIONS(992),
    [anon_sym_GT_GT_GT] = ACTIONS(992),
    [anon_sym_in] = ACTIONS(992),
    [anon_sym_STAR_STAR] = ACTIONS(992),
    [anon_sym_instanceof] = ACTIONS(992),
    [anon_sym_final] = ACTIONS(992),
    [anon_sym_DASH_GT] = ACTIONS(992),
    [anon_sym_QMARK] = ACTIONS(992),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(992),
    [anon_sym_PLUS_PLUS] = ACTIONS(992),
    [anon_sym_DASH_DASH] = ACTIONS(992),
    [anon_sym_new] = ACTIONS(992),
    [anon_sym_LBRACK] = ACTIONS(994),
    [anon_sym_class] = ACTIONS(992),
    [anon_sym_switch] = ACTIONS(992),
    [anon_sym_LBRACE] = ACTIONS(992),
    [anon_sym_case] = ACTIONS(992),
    [anon_sym_default] = ACTIONS(992),
    [sym_underscore_pattern] = ACTIONS(992),
    [anon_sym_SEMI] = ACTIONS(992),
    [aux_sym_expression_statement_token1] = ACTIONS(990),
    [anon_sym_NULL] = ACTIONS(992),
    [anon_sym_assert] = ACTIONS(992),
    [anon_sym_do] = ACTIONS(992),
    [anon_sym_while] = ACTIONS(992),
    [anon_sym_break] = ACTIONS(992),
    [anon_sym_continue] = ACTIONS(992),
    [anon_sym_return] = ACTIONS(992),
    [anon_sym_yield] = ACTIONS(992),
    [anon_sym_synchronized] = ACTIONS(992),
    [anon_sym_throw] = ACTIONS(992),
    [anon_sym_try] = ACTIONS(992),
    [anon_sym_if] = ACTIONS(992),
    [anon_sym_else] = ACTIONS(992),
    [anon_sym_for] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(997),
    [anon_sym_open] = ACTIONS(992),
    [anon_sym_module] = ACTIONS(992),
    [anon_sym_static] = ACTIONS(992),
    [anon_sym_with] = ACTIONS(992),
    [anon_sym_package] = ACTIONS(992),
    [anon_sym_import] = ACTIONS(992),
    [anon_sym_enum] = ACTIONS(992),
    [anon_sym_public] = ACTIONS(992),
    [anon_sym_protected] = ACTIONS(992),
    [anon_sym_private] = ACTIONS(992),
    [anon_sym_abstract] = ACTIONS(992),
    [anon_sym_strictfp] = ACTIONS(992),
    [anon_sym_native] = ACTIONS(992),
    [anon_sym_transient] = ACTIONS(992),
    [anon_sym_volatile] = ACTIONS(992),
    [anon_sym_sealed] = ACTIONS(992),
    [anon_sym_non_DASHsealed] = ACTIONS(992),
    [anon_sym_record] = ACTIONS(992),
    [anon_sym_ATinterface] = ACTIONS(992),
    [anon_sym_interface] = ACTIONS(992),
    [anon_sym_byte] = ACTIONS(992),
    [anon_sym_short] = ACTIONS(992),
    [anon_sym_int] = ACTIONS(992),
    [anon_sym_long] = ACTIONS(992),
    [anon_sym_char] = ACTIONS(992),
    [anon_sym_float] = ACTIONS(992),
    [anon_sym_double] = ACTIONS(992),
    [sym_boolean_type] = ACTIONS(992),
    [sym_void_type] = ACTIONS(992),
    [anon_sym_def] = ACTIONS(992),
    [sym_this] = ACTIONS(992),
    [sym_super] = ACTIONS(992),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(992),
  },
  [197] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1657),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1506),
    [sym_marker_annotation] = STATE(1506),
    [sym_annotation] = STATE(1506),
    [sym_modifiers] = STATE(1672),
    [sym__variable_declarator_list] = STATE(2586),
    [sym_variable_declarator] = STATE(2264),
    [sym__variable_declarator_id] = STATE(2145),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(1814),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym_local_variable_declaration] = STATE(652),
    [sym__reserved_identifier] = STATE(1083),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [aux_sym_modifiers_repeat1] = STATE(1410),
    [sym_identifier] = ACTIONS(930),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_final] = ACTIONS(946),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_default] = ACTIONS(946),
    [sym_underscore_pattern] = ACTIONS(962),
    [anon_sym_SEMI] = ACTIONS(1000),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_synchronized] = ACTIONS(946),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_static] = ACTIONS(946),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_public] = ACTIONS(946),
    [anon_sym_protected] = ACTIONS(946),
    [anon_sym_private] = ACTIONS(946),
    [anon_sym_abstract] = ACTIONS(946),
    [anon_sym_strictfp] = ACTIONS(946),
    [anon_sym_native] = ACTIONS(946),
    [anon_sym_transient] = ACTIONS(946),
    [anon_sym_volatile] = ACTIONS(946),
    [anon_sym_sealed] = ACTIONS(968),
    [anon_sym_non_DASHsealed] = ACTIONS(970),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [anon_sym_def] = ACTIONS(972),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [198] = {
    [sym_dimensions_expr] = STATE(198),
    [sym__annotation] = STATE(2229),
    [sym_marker_annotation] = STATE(2229),
    [sym_annotation] = STATE(2229),
    [aux_sym_array_creation_expression_repeat1] = STATE(2229),
    [aux_sym_array_creation_expression_repeat2] = STATE(198),
    [ts_builtin_sym_end] = ACTIONS(902),
    [sym_identifier] = ACTIONS(904),
    [sym_decimal_integer_literal] = ACTIONS(904),
    [sym_hex_integer_literal] = ACTIONS(904),
    [sym_octal_integer_literal] = ACTIONS(904),
    [sym_binary_integer_literal] = ACTIONS(902),
    [sym_decimal_floating_point_literal] = ACTIONS(902),
    [sym_hex_floating_point_literal] = ACTIONS(904),
    [sym_true] = ACTIONS(904),
    [sym_false] = ACTIONS(904),
    [sym_character_literal] = ACTIONS(902),
    [anon_sym_DQUOTE] = ACTIONS(904),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(902),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(902),
    [anon_sym_RBRACE] = ACTIONS(902),
    [sym_null_literal] = ACTIONS(904),
    [anon_sym_LPAREN] = ACTIONS(902),
    [anon_sym_AMP] = ACTIONS(904),
    [anon_sym_GT] = ACTIONS(904),
    [anon_sym_LT] = ACTIONS(904),
    [anon_sym_GT_EQ] = ACTIONS(902),
    [anon_sym_LT_EQ] = ACTIONS(902),
    [anon_sym_EQ_EQ] = ACTIONS(902),
    [anon_sym_BANG_EQ] = ACTIONS(902),
    [anon_sym_AMP_AMP] = ACTIONS(902),
    [anon_sym_PIPE_PIPE] = ACTIONS(902),
    [anon_sym_PLUS] = ACTIONS(904),
    [anon_sym_DASH] = ACTIONS(904),
    [anon_sym_STAR] = ACTIONS(904),
    [anon_sym_SLASH] = ACTIONS(904),
    [anon_sym_PIPE] = ACTIONS(904),
    [anon_sym_CARET] = ACTIONS(902),
    [anon_sym_PERCENT] = ACTIONS(902),
    [anon_sym_LT_LT] = ACTIONS(902),
    [anon_sym_GT_GT] = ACTIONS(904),
    [anon_sym_GT_GT_GT] = ACTIONS(902),
    [anon_sym_in] = ACTIONS(904),
    [anon_sym_STAR_STAR] = ACTIONS(902),
    [anon_sym_instanceof] = ACTIONS(904),
    [anon_sym_final] = ACTIONS(904),
    [anon_sym_DASH_GT] = ACTIONS(902),
    [anon_sym_COMMA] = ACTIONS(902),
    [anon_sym_QMARK] = ACTIONS(902),
    [anon_sym_BANG] = ACTIONS(904),
    [anon_sym_TILDE] = ACTIONS(902),
    [anon_sym_PLUS_PLUS] = ACTIONS(902),
    [anon_sym_DASH_DASH] = ACTIONS(902),
    [anon_sym_new] = ACTIONS(904),
    [anon_sym_LBRACK] = ACTIONS(1002),
    [anon_sym_DOT] = ACTIONS(904),
    [anon_sym_class] = ACTIONS(904),
    [anon_sym_COLON_COLON] = ACTIONS(902),
    [anon_sym_switch] = ACTIONS(904),
    [anon_sym_LBRACE] = ACTIONS(902),
    [anon_sym_default] = ACTIONS(904),
    [sym_underscore_pattern] = ACTIONS(904),
    [anon_sym_SEMI] = ACTIONS(902),
    [anon_sym_assert] = ACTIONS(904),
    [anon_sym_do] = ACTIONS(904),
    [anon_sym_while] = ACTIONS(904),
    [anon_sym_break] = ACTIONS(904),
    [anon_sym_continue] = ACTIONS(904),
    [anon_sym_return] = ACTIONS(904),
    [anon_sym_yield] = ACTIONS(904),
    [anon_sym_synchronized] = ACTIONS(904),
    [anon_sym_throw] = ACTIONS(904),
    [anon_sym_try] = ACTIONS(904),
    [anon_sym_if] = ACTIONS(904),
    [anon_sym_for] = ACTIONS(904),
    [anon_sym_AT] = ACTIONS(909),
    [anon_sym_open] = ACTIONS(904),
    [anon_sym_module] = ACTIONS(904),
    [anon_sym_static] = ACTIONS(904),
    [anon_sym_with] = ACTIONS(904),
    [anon_sym_package] = ACTIONS(904),
    [anon_sym_import] = ACTIONS(904),
    [anon_sym_enum] = ACTIONS(904),
    [anon_sym_public] = ACTIONS(904),
    [anon_sym_protected] = ACTIONS(904),
    [anon_sym_private] = ACTIONS(904),
    [anon_sym_abstract] = ACTIONS(904),
    [anon_sym_strictfp] = ACTIONS(904),
    [anon_sym_native] = ACTIONS(904),
    [anon_sym_transient] = ACTIONS(904),
    [anon_sym_volatile] = ACTIONS(904),
    [anon_sym_sealed] = ACTIONS(904),
    [anon_sym_non_DASHsealed] = ACTIONS(902),
    [anon_sym_record] = ACTIONS(904),
    [anon_sym_ATinterface] = ACTIONS(902),
    [anon_sym_interface] = ACTIONS(904),
    [anon_sym_byte] = ACTIONS(904),
    [anon_sym_short] = ACTIONS(904),
    [anon_sym_int] = ACTIONS(904),
    [anon_sym_long] = ACTIONS(904),
    [anon_sym_char] = ACTIONS(904),
    [anon_sym_float] = ACTIONS(904),
    [anon_sym_double] = ACTIONS(904),
    [sym_boolean_type] = ACTIONS(904),
    [sym_void_type] = ACTIONS(904),
    [anon_sym_def] = ACTIONS(904),
    [sym_this] = ACTIONS(904),
    [sym_super] = ACTIONS(904),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(902),
  },
  [199] = {
    [sym_argument_list] = STATE(218),
    [sym_type_arguments] = STATE(1792),
    [sym_closure] = STATE(269),
    [ts_builtin_sym_end] = ACTIONS(810),
    [sym_identifier] = ACTIONS(772),
    [sym_decimal_integer_literal] = ACTIONS(772),
    [sym_hex_integer_literal] = ACTIONS(772),
    [sym_octal_integer_literal] = ACTIONS(772),
    [sym_binary_integer_literal] = ACTIONS(772),
    [sym_decimal_floating_point_literal] = ACTIONS(772),
    [sym_hex_floating_point_literal] = ACTIONS(772),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_character_literal] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(772),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(772),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(772),
    [anon_sym_RBRACE] = ACTIONS(772),
    [sym_null_literal] = ACTIONS(772),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(772),
    [anon_sym_EQ_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_AMP_AMP] = ACTIONS(772),
    [anon_sym_PIPE_PIPE] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(772),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_final] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(782),
    [anon_sym_QMARK] = ACTIONS(772),
    [anon_sym_BANG] = ACTIONS(772),
    [anon_sym_TILDE] = ACTIONS(772),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_new] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(769),
    [anon_sym_DOT] = ACTIONS(793),
    [anon_sym_class] = ACTIONS(772),
    [anon_sym_COLON_COLON] = ACTIONS(769),
    [anon_sym_switch] = ACTIONS(772),
    [anon_sym_LBRACE] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(772),
    [anon_sym_default] = ACTIONS(772),
    [sym_underscore_pattern] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(772),
    [aux_sym_expression_statement_token1] = ACTIONS(810),
    [anon_sym_NULL] = ACTIONS(772),
    [anon_sym_assert] = ACTIONS(772),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_while] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(772),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(772),
    [anon_sym_synchronized] = ACTIONS(772),
    [anon_sym_throw] = ACTIONS(772),
    [anon_sym_try] = ACTIONS(772),
    [anon_sym_if] = ACTIONS(772),
    [anon_sym_else] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_open] = ACTIONS(772),
    [anon_sym_module] = ACTIONS(772),
    [anon_sym_static] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(772),
    [anon_sym_package] = ACTIONS(772),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_enum] = ACTIONS(772),
    [anon_sym_public] = ACTIONS(772),
    [anon_sym_protected] = ACTIONS(772),
    [anon_sym_private] = ACTIONS(772),
    [anon_sym_abstract] = ACTIONS(772),
    [anon_sym_strictfp] = ACTIONS(772),
    [anon_sym_native] = ACTIONS(772),
    [anon_sym_transient] = ACTIONS(772),
    [anon_sym_volatile] = ACTIONS(772),
    [anon_sym_sealed] = ACTIONS(772),
    [anon_sym_non_DASHsealed] = ACTIONS(772),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_ATinterface] = ACTIONS(772),
    [anon_sym_interface] = ACTIONS(772),
    [anon_sym_byte] = ACTIONS(772),
    [anon_sym_short] = ACTIONS(772),
    [anon_sym_int] = ACTIONS(772),
    [anon_sym_long] = ACTIONS(772),
    [anon_sym_char] = ACTIONS(772),
    [anon_sym_float] = ACTIONS(772),
    [anon_sym_double] = ACTIONS(772),
    [sym_boolean_type] = ACTIONS(772),
    [sym_void_type] = ACTIONS(772),
    [anon_sym_def] = ACTIONS(772),
    [sym_this] = ACTIONS(772),
    [sym_super] = ACTIONS(772),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [200] = {
    [sym__annotation] = STATE(2234),
    [sym_marker_annotation] = STATE(2234),
    [sym_annotation] = STATE(2234),
    [aux_sym_array_creation_expression_repeat1] = STATE(2234),
    [aux_sym_dimensions_repeat1] = STATE(201),
    [ts_builtin_sym_end] = ACTIONS(912),
    [sym_identifier] = ACTIONS(914),
    [sym_decimal_integer_literal] = ACTIONS(914),
    [sym_hex_integer_literal] = ACTIONS(914),
    [sym_octal_integer_literal] = ACTIONS(914),
    [sym_binary_integer_literal] = ACTIONS(912),
    [sym_decimal_floating_point_literal] = ACTIONS(912),
    [sym_hex_floating_point_literal] = ACTIONS(914),
    [sym_true] = ACTIONS(914),
    [sym_false] = ACTIONS(914),
    [sym_character_literal] = ACTIONS(912),
    [anon_sym_DQUOTE] = ACTIONS(914),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(912),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(912),
    [anon_sym_RBRACE] = ACTIONS(912),
    [sym_null_literal] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(912),
    [anon_sym_AMP] = ACTIONS(914),
    [anon_sym_GT] = ACTIONS(914),
    [anon_sym_LT] = ACTIONS(914),
    [anon_sym_GT_EQ] = ACTIONS(912),
    [anon_sym_LT_EQ] = ACTIONS(912),
    [anon_sym_EQ_EQ] = ACTIONS(912),
    [anon_sym_BANG_EQ] = ACTIONS(912),
    [anon_sym_AMP_AMP] = ACTIONS(912),
    [anon_sym_PIPE_PIPE] = ACTIONS(912),
    [anon_sym_PLUS] = ACTIONS(914),
    [anon_sym_DASH] = ACTIONS(914),
    [anon_sym_STAR] = ACTIONS(914),
    [anon_sym_SLASH] = ACTIONS(914),
    [anon_sym_PIPE] = ACTIONS(914),
    [anon_sym_CARET] = ACTIONS(912),
    [anon_sym_PERCENT] = ACTIONS(912),
    [anon_sym_LT_LT] = ACTIONS(912),
    [anon_sym_GT_GT] = ACTIONS(914),
    [anon_sym_GT_GT_GT] = ACTIONS(912),
    [anon_sym_in] = ACTIONS(914),
    [anon_sym_STAR_STAR] = ACTIONS(912),
    [anon_sym_instanceof] = ACTIONS(914),
    [anon_sym_final] = ACTIONS(914),
    [anon_sym_DASH_GT] = ACTIONS(912),
    [anon_sym_COMMA] = ACTIONS(912),
    [anon_sym_QMARK] = ACTIONS(912),
    [anon_sym_BANG] = ACTIONS(914),
    [anon_sym_TILDE] = ACTIONS(912),
    [anon_sym_PLUS_PLUS] = ACTIONS(912),
    [anon_sym_DASH_DASH] = ACTIONS(912),
    [anon_sym_new] = ACTIONS(914),
    [anon_sym_LBRACK] = ACTIONS(1005),
    [anon_sym_DOT] = ACTIONS(914),
    [anon_sym_class] = ACTIONS(914),
    [anon_sym_COLON_COLON] = ACTIONS(912),
    [anon_sym_switch] = ACTIONS(914),
    [anon_sym_LBRACE] = ACTIONS(912),
    [anon_sym_default] = ACTIONS(914),
    [sym_underscore_pattern] = ACTIONS(914),
    [anon_sym_SEMI] = ACTIONS(912),
    [anon_sym_assert] = ACTIONS(914),
    [anon_sym_do] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(914),
    [anon_sym_break] = ACTIONS(914),
    [anon_sym_continue] = ACTIONS(914),
    [anon_sym_return] = ACTIONS(914),
    [anon_sym_yield] = ACTIONS(914),
    [anon_sym_synchronized] = ACTIONS(914),
    [anon_sym_throw] = ACTIONS(914),
    [anon_sym_try] = ACTIONS(914),
    [anon_sym_if] = ACTIONS(914),
    [anon_sym_for] = ACTIONS(914),
    [anon_sym_AT] = ACTIONS(888),
    [anon_sym_open] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(914),
    [anon_sym_static] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(914),
    [anon_sym_package] = ACTIONS(914),
    [anon_sym_import] = ACTIONS(914),
    [anon_sym_enum] = ACTIONS(914),
    [anon_sym_public] = ACTIONS(914),
    [anon_sym_protected] = ACTIONS(914),
    [anon_sym_private] = ACTIONS(914),
    [anon_sym_abstract] = ACTIONS(914),
    [anon_sym_strictfp] = ACTIONS(914),
    [anon_sym_native] = ACTIONS(914),
    [anon_sym_transient] = ACTIONS(914),
    [anon_sym_volatile] = ACTIONS(914),
    [anon_sym_sealed] = ACTIONS(914),
    [anon_sym_non_DASHsealed] = ACTIONS(912),
    [anon_sym_record] = ACTIONS(914),
    [anon_sym_ATinterface] = ACTIONS(912),
    [anon_sym_interface] = ACTIONS(914),
    [anon_sym_byte] = ACTIONS(914),
    [anon_sym_short] = ACTIONS(914),
    [anon_sym_int] = ACTIONS(914),
    [anon_sym_long] = ACTIONS(914),
    [anon_sym_char] = ACTIONS(914),
    [anon_sym_float] = ACTIONS(914),
    [anon_sym_double] = ACTIONS(914),
    [sym_boolean_type] = ACTIONS(914),
    [sym_void_type] = ACTIONS(914),
    [anon_sym_def] = ACTIONS(914),
    [sym_this] = ACTIONS(914),
    [sym_super] = ACTIONS(914),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(912),
  },
  [201] = {
    [sym__annotation] = STATE(2234),
    [sym_marker_annotation] = STATE(2234),
    [sym_annotation] = STATE(2234),
    [aux_sym_array_creation_expression_repeat1] = STATE(2234),
    [aux_sym_dimensions_repeat1] = STATE(201),
    [ts_builtin_sym_end] = ACTIONS(918),
    [sym_identifier] = ACTIONS(920),
    [sym_decimal_integer_literal] = ACTIONS(920),
    [sym_hex_integer_literal] = ACTIONS(920),
    [sym_octal_integer_literal] = ACTIONS(920),
    [sym_binary_integer_literal] = ACTIONS(918),
    [sym_decimal_floating_point_literal] = ACTIONS(918),
    [sym_hex_floating_point_literal] = ACTIONS(920),
    [sym_true] = ACTIONS(920),
    [sym_false] = ACTIONS(920),
    [sym_character_literal] = ACTIONS(918),
    [anon_sym_DQUOTE] = ACTIONS(920),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(918),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(918),
    [anon_sym_RBRACE] = ACTIONS(918),
    [sym_null_literal] = ACTIONS(920),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_AMP] = ACTIONS(920),
    [anon_sym_GT] = ACTIONS(920),
    [anon_sym_LT] = ACTIONS(920),
    [anon_sym_GT_EQ] = ACTIONS(918),
    [anon_sym_LT_EQ] = ACTIONS(918),
    [anon_sym_EQ_EQ] = ACTIONS(918),
    [anon_sym_BANG_EQ] = ACTIONS(918),
    [anon_sym_AMP_AMP] = ACTIONS(918),
    [anon_sym_PIPE_PIPE] = ACTIONS(918),
    [anon_sym_PLUS] = ACTIONS(920),
    [anon_sym_DASH] = ACTIONS(920),
    [anon_sym_STAR] = ACTIONS(920),
    [anon_sym_SLASH] = ACTIONS(920),
    [anon_sym_PIPE] = ACTIONS(920),
    [anon_sym_CARET] = ACTIONS(918),
    [anon_sym_PERCENT] = ACTIONS(918),
    [anon_sym_LT_LT] = ACTIONS(918),
    [anon_sym_GT_GT] = ACTIONS(920),
    [anon_sym_GT_GT_GT] = ACTIONS(918),
    [anon_sym_in] = ACTIONS(920),
    [anon_sym_STAR_STAR] = ACTIONS(918),
    [anon_sym_instanceof] = ACTIONS(920),
    [anon_sym_final] = ACTIONS(920),
    [anon_sym_DASH_GT] = ACTIONS(918),
    [anon_sym_COMMA] = ACTIONS(918),
    [anon_sym_QMARK] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(920),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(918),
    [anon_sym_DASH_DASH] = ACTIONS(918),
    [anon_sym_new] = ACTIONS(920),
    [anon_sym_LBRACK] = ACTIONS(1007),
    [anon_sym_DOT] = ACTIONS(920),
    [anon_sym_class] = ACTIONS(920),
    [anon_sym_COLON_COLON] = ACTIONS(918),
    [anon_sym_switch] = ACTIONS(920),
    [anon_sym_LBRACE] = ACTIONS(918),
    [anon_sym_default] = ACTIONS(920),
    [sym_underscore_pattern] = ACTIONS(920),
    [anon_sym_SEMI] = ACTIONS(918),
    [anon_sym_assert] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(920),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_return] = ACTIONS(920),
    [anon_sym_yield] = ACTIONS(920),
    [anon_sym_synchronized] = ACTIONS(920),
    [anon_sym_throw] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_for] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(925),
    [anon_sym_open] = ACTIONS(920),
    [anon_sym_module] = ACTIONS(920),
    [anon_sym_static] = ACTIONS(920),
    [anon_sym_with] = ACTIONS(920),
    [anon_sym_package] = ACTIONS(920),
    [anon_sym_import] = ACTIONS(920),
    [anon_sym_enum] = ACTIONS(920),
    [anon_sym_public] = ACTIONS(920),
    [anon_sym_protected] = ACTIONS(920),
    [anon_sym_private] = ACTIONS(920),
    [anon_sym_abstract] = ACTIONS(920),
    [anon_sym_strictfp] = ACTIONS(920),
    [anon_sym_native] = ACTIONS(920),
    [anon_sym_transient] = ACTIONS(920),
    [anon_sym_volatile] = ACTIONS(920),
    [anon_sym_sealed] = ACTIONS(920),
    [anon_sym_non_DASHsealed] = ACTIONS(918),
    [anon_sym_record] = ACTIONS(920),
    [anon_sym_ATinterface] = ACTIONS(918),
    [anon_sym_interface] = ACTIONS(920),
    [anon_sym_byte] = ACTIONS(920),
    [anon_sym_short] = ACTIONS(920),
    [anon_sym_int] = ACTIONS(920),
    [anon_sym_long] = ACTIONS(920),
    [anon_sym_char] = ACTIONS(920),
    [anon_sym_float] = ACTIONS(920),
    [anon_sym_double] = ACTIONS(920),
    [sym_boolean_type] = ACTIONS(920),
    [sym_void_type] = ACTIONS(920),
    [anon_sym_def] = ACTIONS(920),
    [sym_this] = ACTIONS(920),
    [sym_super] = ACTIONS(920),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(918),
  },
  [202] = {
    [sym_argument_list] = STATE(218),
    [sym_closure] = STATE(269),
    [ts_builtin_sym_end] = ACTIONS(810),
    [sym_identifier] = ACTIONS(772),
    [sym_decimal_integer_literal] = ACTIONS(772),
    [sym_hex_integer_literal] = ACTIONS(772),
    [sym_octal_integer_literal] = ACTIONS(772),
    [sym_binary_integer_literal] = ACTIONS(772),
    [sym_decimal_floating_point_literal] = ACTIONS(772),
    [sym_hex_floating_point_literal] = ACTIONS(772),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_character_literal] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(772),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(772),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(772),
    [anon_sym_RBRACE] = ACTIONS(772),
    [sym_null_literal] = ACTIONS(772),
    [anon_sym_LPAREN] = ACTIONS(774),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(772),
    [anon_sym_GT_EQ] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(772),
    [anon_sym_EQ_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_AMP_AMP] = ACTIONS(772),
    [anon_sym_PIPE_PIPE] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(772),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_final] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(782),
    [anon_sym_QMARK] = ACTIONS(772),
    [anon_sym_BANG] = ACTIONS(772),
    [anon_sym_TILDE] = ACTIONS(772),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_new] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_DOT] = ACTIONS(772),
    [anon_sym_class] = ACTIONS(772),
    [anon_sym_COLON_COLON] = ACTIONS(772),
    [anon_sym_switch] = ACTIONS(772),
    [anon_sym_LBRACE] = ACTIONS(797),
    [anon_sym_case] = ACTIONS(772),
    [anon_sym_default] = ACTIONS(772),
    [sym_underscore_pattern] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(772),
    [aux_sym_expression_statement_token1] = ACTIONS(810),
    [anon_sym_NULL] = ACTIONS(772),
    [anon_sym_assert] = ACTIONS(772),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_while] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(772),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(772),
    [anon_sym_synchronized] = ACTIONS(772),
    [anon_sym_throw] = ACTIONS(772),
    [anon_sym_try] = ACTIONS(772),
    [anon_sym_if] = ACTIONS(772),
    [anon_sym_else] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(772),
    [anon_sym_open] = ACTIONS(772),
    [anon_sym_module] = ACTIONS(772),
    [anon_sym_static] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(772),
    [anon_sym_package] = ACTIONS(772),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_enum] = ACTIONS(772),
    [anon_sym_public] = ACTIONS(772),
    [anon_sym_protected] = ACTIONS(772),
    [anon_sym_private] = ACTIONS(772),
    [anon_sym_abstract] = ACTIONS(772),
    [anon_sym_strictfp] = ACTIONS(772),
    [anon_sym_native] = ACTIONS(772),
    [anon_sym_transient] = ACTIONS(772),
    [anon_sym_volatile] = ACTIONS(772),
    [anon_sym_sealed] = ACTIONS(772),
    [anon_sym_non_DASHsealed] = ACTIONS(772),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_ATinterface] = ACTIONS(772),
    [anon_sym_interface] = ACTIONS(772),
    [anon_sym_byte] = ACTIONS(772),
    [anon_sym_short] = ACTIONS(772),
    [anon_sym_int] = ACTIONS(772),
    [anon_sym_long] = ACTIONS(772),
    [anon_sym_char] = ACTIONS(772),
    [anon_sym_float] = ACTIONS(772),
    [anon_sym_double] = ACTIONS(772),
    [sym_boolean_type] = ACTIONS(772),
    [sym_void_type] = ACTIONS(772),
    [anon_sym_def] = ACTIONS(772),
    [sym_this] = ACTIONS(772),
    [sym_super] = ACTIONS(772),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [203] = {
    [sym_argument_list] = STATE(227),
    [sym_closure] = STATE(295),
    [ts_builtin_sym_end] = ACTIONS(824),
    [sym_identifier] = ACTIONS(826),
    [sym_decimal_integer_literal] = ACTIONS(826),
    [sym_hex_integer_literal] = ACTIONS(826),
    [sym_octal_integer_literal] = ACTIONS(826),
    [sym_binary_integer_literal] = ACTIONS(826),
    [sym_decimal_floating_point_literal] = ACTIONS(826),
    [sym_hex_floating_point_literal] = ACTIONS(826),
    [sym_true] = ACTIONS(826),
    [sym_false] = ACTIONS(826),
    [sym_character_literal] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(826),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(826),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(826),
    [anon_sym_RBRACE] = ACTIONS(826),
    [sym_null_literal] = ACTIONS(826),
    [anon_sym_LPAREN] = ACTIONS(828),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT_EQ] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_final] = ACTIONS(826),
    [anon_sym_DASH_GT] = ACTIONS(826),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_BANG] = ACTIONS(826),
    [anon_sym_TILDE] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(826),
    [anon_sym_DASH_DASH] = ACTIONS(826),
    [anon_sym_new] = ACTIONS(826),
    [anon_sym_LBRACK] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_class] = ACTIONS(826),
    [anon_sym_COLON_COLON] = ACTIONS(826),
    [anon_sym_switch] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(831),
    [anon_sym_case] = ACTIONS(826),
    [anon_sym_default] = ACTIONS(826),
    [sym_underscore_pattern] = ACTIONS(826),
    [anon_sym_SEMI] = ACTIONS(826),
    [aux_sym_expression_statement_token1] = ACTIONS(824),
    [anon_sym_NULL] = ACTIONS(826),
    [anon_sym_assert] = ACTIONS(826),
    [anon_sym_do] = ACTIONS(826),
    [anon_sym_while] = ACTIONS(826),
    [anon_sym_break] = ACTIONS(826),
    [anon_sym_continue] = ACTIONS(826),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_yield] = ACTIONS(826),
    [anon_sym_synchronized] = ACTIONS(826),
    [anon_sym_throw] = ACTIONS(826),
    [anon_sym_try] = ACTIONS(826),
    [anon_sym_if] = ACTIONS(826),
    [anon_sym_else] = ACTIONS(826),
    [anon_sym_for] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_open] = ACTIONS(826),
    [anon_sym_module] = ACTIONS(826),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_with] = ACTIONS(826),
    [anon_sym_package] = ACTIONS(826),
    [anon_sym_import] = ACTIONS(826),
    [anon_sym_enum] = ACTIONS(826),
    [anon_sym_public] = ACTIONS(826),
    [anon_sym_protected] = ACTIONS(826),
    [anon_sym_private] = ACTIONS(826),
    [anon_sym_abstract] = ACTIONS(826),
    [anon_sym_strictfp] = ACTIONS(826),
    [anon_sym_native] = ACTIONS(826),
    [anon_sym_transient] = ACTIONS(826),
    [anon_sym_volatile] = ACTIONS(826),
    [anon_sym_sealed] = ACTIONS(826),
    [anon_sym_non_DASHsealed] = ACTIONS(826),
    [anon_sym_record] = ACTIONS(826),
    [anon_sym_ATinterface] = ACTIONS(826),
    [anon_sym_interface] = ACTIONS(826),
    [anon_sym_byte] = ACTIONS(826),
    [anon_sym_short] = ACTIONS(826),
    [anon_sym_int] = ACTIONS(826),
    [anon_sym_long] = ACTIONS(826),
    [anon_sym_char] = ACTIONS(826),
    [anon_sym_float] = ACTIONS(826),
    [anon_sym_double] = ACTIONS(826),
    [sym_boolean_type] = ACTIONS(826),
    [sym_void_type] = ACTIONS(826),
    [anon_sym_def] = ACTIONS(826),
    [sym_this] = ACTIONS(826),
    [sym_super] = ACTIONS(826),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(826),
  },
  [204] = {
    [sym_argument_list] = STATE(210),
    [sym_closure] = STATE(236),
    [ts_builtin_sym_end] = ACTIONS(834),
    [sym_identifier] = ACTIONS(836),
    [sym_decimal_integer_literal] = ACTIONS(836),
    [sym_hex_integer_literal] = ACTIONS(836),
    [sym_octal_integer_literal] = ACTIONS(836),
    [sym_binary_integer_literal] = ACTIONS(836),
    [sym_decimal_floating_point_literal] = ACTIONS(836),
    [sym_hex_floating_point_literal] = ACTIONS(836),
    [sym_true] = ACTIONS(836),
    [sym_false] = ACTIONS(836),
    [sym_character_literal] = ACTIONS(836),
    [anon_sym_DQUOTE] = ACTIONS(836),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(836),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(836),
    [sym_null_literal] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(838),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(836),
    [anon_sym_LT_EQ] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(836),
    [anon_sym_BANG_EQ] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_STAR_STAR] = ACTIONS(836),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_final] = ACTIONS(836),
    [anon_sym_DASH_GT] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_PLUS_PLUS] = ACTIONS(836),
    [anon_sym_DASH_DASH] = ACTIONS(836),
    [anon_sym_new] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_class] = ACTIONS(836),
    [anon_sym_COLON_COLON] = ACTIONS(836),
    [anon_sym_switch] = ACTIONS(836),
    [anon_sym_LBRACE] = ACTIONS(841),
    [anon_sym_case] = ACTIONS(836),
    [anon_sym_default] = ACTIONS(836),
    [sym_underscore_pattern] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(836),
    [aux_sym_expression_statement_token1] = ACTIONS(834),
    [anon_sym_NULL] = ACTIONS(836),
    [anon_sym_assert] = ACTIONS(836),
    [anon_sym_do] = ACTIONS(836),
    [anon_sym_while] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_return] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(836),
    [anon_sym_synchronized] = ACTIONS(836),
    [anon_sym_throw] = ACTIONS(836),
    [anon_sym_try] = ACTIONS(836),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_else] = ACTIONS(836),
    [anon_sym_for] = ACTIONS(836),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_open] = ACTIONS(836),
    [anon_sym_module] = ACTIONS(836),
    [anon_sym_static] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(836),
    [anon_sym_package] = ACTIONS(836),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_enum] = ACTIONS(836),
    [anon_sym_public] = ACTIONS(836),
    [anon_sym_protected] = ACTIONS(836),
    [anon_sym_private] = ACTIONS(836),
    [anon_sym_abstract] = ACTIONS(836),
    [anon_sym_strictfp] = ACTIONS(836),
    [anon_sym_native] = ACTIONS(836),
    [anon_sym_transient] = ACTIONS(836),
    [anon_sym_volatile] = ACTIONS(836),
    [anon_sym_sealed] = ACTIONS(836),
    [anon_sym_non_DASHsealed] = ACTIONS(836),
    [anon_sym_record] = ACTIONS(836),
    [anon_sym_ATinterface] = ACTIONS(836),
    [anon_sym_interface] = ACTIONS(836),
    [anon_sym_byte] = ACTIONS(836),
    [anon_sym_short] = ACTIONS(836),
    [anon_sym_int] = ACTIONS(836),
    [anon_sym_long] = ACTIONS(836),
    [anon_sym_char] = ACTIONS(836),
    [anon_sym_float] = ACTIONS(836),
    [anon_sym_double] = ACTIONS(836),
    [sym_boolean_type] = ACTIONS(836),
    [sym_void_type] = ACTIONS(836),
    [anon_sym_def] = ACTIONS(836),
    [sym_this] = ACTIONS(836),
    [sym_super] = ACTIONS(836),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(836),
  },
  [205] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1696),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1506),
    [sym_marker_annotation] = STATE(1506),
    [sym_annotation] = STATE(1506),
    [sym_modifiers] = STATE(1917),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(1760),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym_formal_parameter] = STATE(2514),
    [sym_receiver_parameter] = STATE(2655),
    [sym_spread_parameter] = STATE(2514),
    [sym__reserved_identifier] = STATE(1201),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1827),
    [aux_sym_modifiers_repeat1] = STATE(1604),
    [sym_identifier] = ACTIONS(1010),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_final] = ACTIONS(1014),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_default] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_synchronized] = ACTIONS(1014),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_abstract] = ACTIONS(1014),
    [anon_sym_strictfp] = ACTIONS(1014),
    [anon_sym_native] = ACTIONS(1014),
    [anon_sym_transient] = ACTIONS(1014),
    [anon_sym_volatile] = ACTIONS(1014),
    [anon_sym_sealed] = ACTIONS(1016),
    [anon_sym_non_DASHsealed] = ACTIONS(1018),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_class_body] = STATE(255),
    [ts_builtin_sym_end] = ACTIONS(1020),
    [sym_identifier] = ACTIONS(1022),
    [sym_decimal_integer_literal] = ACTIONS(1022),
    [sym_hex_integer_literal] = ACTIONS(1022),
    [sym_octal_integer_literal] = ACTIONS(1022),
    [sym_binary_integer_literal] = ACTIONS(1022),
    [sym_decimal_floating_point_literal] = ACTIONS(1022),
    [sym_hex_floating_point_literal] = ACTIONS(1022),
    [sym_true] = ACTIONS(1022),
    [sym_false] = ACTIONS(1022),
    [sym_character_literal] = ACTIONS(1022),
    [anon_sym_DQUOTE] = ACTIONS(1022),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1022),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1022),
    [anon_sym_RBRACE] = ACTIONS(1022),
    [sym_null_literal] = ACTIONS(1022),
    [anon_sym_LPAREN] = ACTIONS(1022),
    [anon_sym_AMP] = ACTIONS(1022),
    [anon_sym_GT] = ACTIONS(1022),
    [anon_sym_LT] = ACTIONS(1022),
    [anon_sym_GT_EQ] = ACTIONS(1022),
    [anon_sym_LT_EQ] = ACTIONS(1022),
    [anon_sym_EQ_EQ] = ACTIONS(1022),
    [anon_sym_BANG_EQ] = ACTIONS(1022),
    [anon_sym_AMP_AMP] = ACTIONS(1022),
    [anon_sym_PIPE_PIPE] = ACTIONS(1022),
    [anon_sym_PLUS] = ACTIONS(1022),
    [anon_sym_DASH] = ACTIONS(1022),
    [anon_sym_STAR] = ACTIONS(1022),
    [anon_sym_SLASH] = ACTIONS(1022),
    [anon_sym_PIPE] = ACTIONS(1022),
    [anon_sym_CARET] = ACTIONS(1022),
    [anon_sym_PERCENT] = ACTIONS(1022),
    [anon_sym_LT_LT] = ACTIONS(1022),
    [anon_sym_GT_GT] = ACTIONS(1022),
    [anon_sym_GT_GT_GT] = ACTIONS(1022),
    [anon_sym_in] = ACTIONS(1022),
    [anon_sym_STAR_STAR] = ACTIONS(1022),
    [anon_sym_instanceof] = ACTIONS(1022),
    [anon_sym_final] = ACTIONS(1022),
    [anon_sym_DASH_GT] = ACTIONS(1022),
    [anon_sym_QMARK] = ACTIONS(1022),
    [anon_sym_BANG] = ACTIONS(1022),
    [anon_sym_TILDE] = ACTIONS(1022),
    [anon_sym_PLUS_PLUS] = ACTIONS(1022),
    [anon_sym_DASH_DASH] = ACTIONS(1022),
    [anon_sym_new] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(1022),
    [anon_sym_DOT] = ACTIONS(1022),
    [anon_sym_class] = ACTIONS(1022),
    [anon_sym_COLON_COLON] = ACTIONS(1022),
    [anon_sym_switch] = ACTIONS(1022),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_case] = ACTIONS(1022),
    [anon_sym_default] = ACTIONS(1022),
    [sym_underscore_pattern] = ACTIONS(1022),
    [anon_sym_SEMI] = ACTIONS(1022),
    [aux_sym_expression_statement_token1] = ACTIONS(1020),
    [anon_sym_NULL] = ACTIONS(1022),
    [anon_sym_assert] = ACTIONS(1022),
    [anon_sym_do] = ACTIONS(1022),
    [anon_sym_while] = ACTIONS(1022),
    [anon_sym_break] = ACTIONS(1022),
    [anon_sym_continue] = ACTIONS(1022),
    [anon_sym_return] = ACTIONS(1022),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_synchronized] = ACTIONS(1022),
    [anon_sym_throw] = ACTIONS(1022),
    [anon_sym_try] = ACTIONS(1022),
    [anon_sym_if] = ACTIONS(1022),
    [anon_sym_else] = ACTIONS(1022),
    [anon_sym_for] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1022),
    [anon_sym_open] = ACTIONS(1022),
    [anon_sym_module] = ACTIONS(1022),
    [anon_sym_static] = ACTIONS(1022),
    [anon_sym_with] = ACTIONS(1022),
    [anon_sym_package] = ACTIONS(1022),
    [anon_sym_import] = ACTIONS(1022),
    [anon_sym_enum] = ACTIONS(1022),
    [anon_sym_public] = ACTIONS(1022),
    [anon_sym_protected] = ACTIONS(1022),
    [anon_sym_private] = ACTIONS(1022),
    [anon_sym_abstract] = ACTIONS(1022),
    [anon_sym_strictfp] = ACTIONS(1022),
    [anon_sym_native] = ACTIONS(1022),
    [anon_sym_transient] = ACTIONS(1022),
    [anon_sym_volatile] = ACTIONS(1022),
    [anon_sym_sealed] = ACTIONS(1022),
    [anon_sym_non_DASHsealed] = ACTIONS(1022),
    [anon_sym_record] = ACTIONS(1022),
    [anon_sym_ATinterface] = ACTIONS(1022),
    [anon_sym_interface] = ACTIONS(1022),
    [anon_sym_byte] = ACTIONS(1022),
    [anon_sym_short] = ACTIONS(1022),
    [anon_sym_int] = ACTIONS(1022),
    [anon_sym_long] = ACTIONS(1022),
    [anon_sym_char] = ACTIONS(1022),
    [anon_sym_float] = ACTIONS(1022),
    [anon_sym_double] = ACTIONS(1022),
    [sym_boolean_type] = ACTIONS(1022),
    [sym_void_type] = ACTIONS(1022),
    [anon_sym_def] = ACTIONS(1022),
    [sym_this] = ACTIONS(1022),
    [sym_super] = ACTIONS(1022),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1022),
  },
  [207] = {
    [sym_closure] = STATE(272),
    [ts_builtin_sym_end] = ACTIONS(1026),
    [sym_identifier] = ACTIONS(1028),
    [sym_decimal_integer_literal] = ACTIONS(1028),
    [sym_hex_integer_literal] = ACTIONS(1028),
    [sym_octal_integer_literal] = ACTIONS(1028),
    [sym_binary_integer_literal] = ACTIONS(1028),
    [sym_decimal_floating_point_literal] = ACTIONS(1028),
    [sym_hex_floating_point_literal] = ACTIONS(1028),
    [sym_true] = ACTIONS(1028),
    [sym_false] = ACTIONS(1028),
    [sym_character_literal] = ACTIONS(1028),
    [anon_sym_DQUOTE] = ACTIONS(1028),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1028),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1028),
    [anon_sym_RBRACE] = ACTIONS(1028),
    [sym_null_literal] = ACTIONS(1028),
    [anon_sym_LPAREN] = ACTIONS(1028),
    [anon_sym_AMP] = ACTIONS(1028),
    [anon_sym_GT] = ACTIONS(1028),
    [anon_sym_LT] = ACTIONS(1028),
    [anon_sym_GT_EQ] = ACTIONS(1028),
    [anon_sym_LT_EQ] = ACTIONS(1028),
    [anon_sym_EQ_EQ] = ACTIONS(1028),
    [anon_sym_BANG_EQ] = ACTIONS(1028),
    [anon_sym_AMP_AMP] = ACTIONS(1028),
    [anon_sym_PIPE_PIPE] = ACTIONS(1028),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_STAR] = ACTIONS(1028),
    [anon_sym_SLASH] = ACTIONS(1028),
    [anon_sym_PIPE] = ACTIONS(1028),
    [anon_sym_CARET] = ACTIONS(1028),
    [anon_sym_PERCENT] = ACTIONS(1028),
    [anon_sym_LT_LT] = ACTIONS(1028),
    [anon_sym_GT_GT] = ACTIONS(1028),
    [anon_sym_GT_GT_GT] = ACTIONS(1028),
    [anon_sym_in] = ACTIONS(1028),
    [anon_sym_STAR_STAR] = ACTIONS(1028),
    [anon_sym_instanceof] = ACTIONS(1028),
    [anon_sym_final] = ACTIONS(1028),
    [anon_sym_DASH_GT] = ACTIONS(1028),
    [anon_sym_QMARK] = ACTIONS(1028),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1028),
    [anon_sym_PLUS_PLUS] = ACTIONS(1028),
    [anon_sym_DASH_DASH] = ACTIONS(1028),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_LBRACK] = ACTIONS(1028),
    [anon_sym_DOT] = ACTIONS(1028),
    [anon_sym_class] = ACTIONS(1028),
    [anon_sym_COLON_COLON] = ACTIONS(1028),
    [anon_sym_switch] = ACTIONS(1028),
    [anon_sym_LBRACE] = ACTIONS(1030),
    [anon_sym_case] = ACTIONS(1028),
    [anon_sym_default] = ACTIONS(1028),
    [sym_underscore_pattern] = ACTIONS(1028),
    [anon_sym_SEMI] = ACTIONS(1028),
    [aux_sym_expression_statement_token1] = ACTIONS(1026),
    [anon_sym_NULL] = ACTIONS(1028),
    [anon_sym_assert] = ACTIONS(1028),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_while] = ACTIONS(1028),
    [anon_sym_break] = ACTIONS(1028),
    [anon_sym_continue] = ACTIONS(1028),
    [anon_sym_return] = ACTIONS(1028),
    [anon_sym_yield] = ACTIONS(1028),
    [anon_sym_synchronized] = ACTIONS(1028),
    [anon_sym_throw] = ACTIONS(1028),
    [anon_sym_try] = ACTIONS(1028),
    [anon_sym_if] = ACTIONS(1028),
    [anon_sym_else] = ACTIONS(1028),
    [anon_sym_for] = ACTIONS(1028),
    [anon_sym_AT] = ACTIONS(1028),
    [anon_sym_open] = ACTIONS(1028),
    [anon_sym_module] = ACTIONS(1028),
    [anon_sym_static] = ACTIONS(1028),
    [anon_sym_with] = ACTIONS(1028),
    [anon_sym_package] = ACTIONS(1028),
    [anon_sym_import] = ACTIONS(1028),
    [anon_sym_enum] = ACTIONS(1028),
    [anon_sym_public] = ACTIONS(1028),
    [anon_sym_protected] = ACTIONS(1028),
    [anon_sym_private] = ACTIONS(1028),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_strictfp] = ACTIONS(1028),
    [anon_sym_native] = ACTIONS(1028),
    [anon_sym_transient] = ACTIONS(1028),
    [anon_sym_volatile] = ACTIONS(1028),
    [anon_sym_sealed] = ACTIONS(1028),
    [anon_sym_non_DASHsealed] = ACTIONS(1028),
    [anon_sym_record] = ACTIONS(1028),
    [anon_sym_ATinterface] = ACTIONS(1028),
    [anon_sym_interface] = ACTIONS(1028),
    [anon_sym_byte] = ACTIONS(1028),
    [anon_sym_short] = ACTIONS(1028),
    [anon_sym_int] = ACTIONS(1028),
    [anon_sym_long] = ACTIONS(1028),
    [anon_sym_char] = ACTIONS(1028),
    [anon_sym_float] = ACTIONS(1028),
    [anon_sym_double] = ACTIONS(1028),
    [sym_boolean_type] = ACTIONS(1028),
    [sym_void_type] = ACTIONS(1028),
    [anon_sym_def] = ACTIONS(1028),
    [sym_this] = ACTIONS(1028),
    [sym_super] = ACTIONS(1028),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1028),
  },
  [208] = {
    [sym_class_body] = STATE(289),
    [ts_builtin_sym_end] = ACTIONS(1032),
    [sym_identifier] = ACTIONS(1034),
    [sym_decimal_integer_literal] = ACTIONS(1034),
    [sym_hex_integer_literal] = ACTIONS(1034),
    [sym_octal_integer_literal] = ACTIONS(1034),
    [sym_binary_integer_literal] = ACTIONS(1034),
    [sym_decimal_floating_point_literal] = ACTIONS(1034),
    [sym_hex_floating_point_literal] = ACTIONS(1034),
    [sym_true] = ACTIONS(1034),
    [sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1034),
    [anon_sym_DQUOTE] = ACTIONS(1034),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1034),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1034),
    [anon_sym_RBRACE] = ACTIONS(1034),
    [sym_null_literal] = ACTIONS(1034),
    [anon_sym_LPAREN] = ACTIONS(1034),
    [anon_sym_AMP] = ACTIONS(1034),
    [anon_sym_GT] = ACTIONS(1034),
    [anon_sym_LT] = ACTIONS(1034),
    [anon_sym_GT_EQ] = ACTIONS(1034),
    [anon_sym_LT_EQ] = ACTIONS(1034),
    [anon_sym_EQ_EQ] = ACTIONS(1034),
    [anon_sym_BANG_EQ] = ACTIONS(1034),
    [anon_sym_AMP_AMP] = ACTIONS(1034),
    [anon_sym_PIPE_PIPE] = ACTIONS(1034),
    [anon_sym_PLUS] = ACTIONS(1034),
    [anon_sym_DASH] = ACTIONS(1034),
    [anon_sym_STAR] = ACTIONS(1034),
    [anon_sym_SLASH] = ACTIONS(1034),
    [anon_sym_PIPE] = ACTIONS(1034),
    [anon_sym_CARET] = ACTIONS(1034),
    [anon_sym_PERCENT] = ACTIONS(1034),
    [anon_sym_LT_LT] = ACTIONS(1034),
    [anon_sym_GT_GT] = ACTIONS(1034),
    [anon_sym_GT_GT_GT] = ACTIONS(1034),
    [anon_sym_in] = ACTIONS(1034),
    [anon_sym_STAR_STAR] = ACTIONS(1034),
    [anon_sym_instanceof] = ACTIONS(1034),
    [anon_sym_final] = ACTIONS(1034),
    [anon_sym_DASH_GT] = ACTIONS(1034),
    [anon_sym_QMARK] = ACTIONS(1034),
    [anon_sym_BANG] = ACTIONS(1034),
    [anon_sym_TILDE] = ACTIONS(1034),
    [anon_sym_PLUS_PLUS] = ACTIONS(1034),
    [anon_sym_DASH_DASH] = ACTIONS(1034),
    [anon_sym_new] = ACTIONS(1034),
    [anon_sym_LBRACK] = ACTIONS(1034),
    [anon_sym_DOT] = ACTIONS(1034),
    [anon_sym_class] = ACTIONS(1034),
    [anon_sym_COLON_COLON] = ACTIONS(1034),
    [anon_sym_switch] = ACTIONS(1034),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_case] = ACTIONS(1034),
    [anon_sym_default] = ACTIONS(1034),
    [sym_underscore_pattern] = ACTIONS(1034),
    [anon_sym_SEMI] = ACTIONS(1034),
    [aux_sym_expression_statement_token1] = ACTIONS(1032),
    [anon_sym_NULL] = ACTIONS(1034),
    [anon_sym_assert] = ACTIONS(1034),
    [anon_sym_do] = ACTIONS(1034),
    [anon_sym_while] = ACTIONS(1034),
    [anon_sym_break] = ACTIONS(1034),
    [anon_sym_continue] = ACTIONS(1034),
    [anon_sym_return] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1034),
    [anon_sym_synchronized] = ACTIONS(1034),
    [anon_sym_throw] = ACTIONS(1034),
    [anon_sym_try] = ACTIONS(1034),
    [anon_sym_if] = ACTIONS(1034),
    [anon_sym_else] = ACTIONS(1034),
    [anon_sym_for] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(1034),
    [anon_sym_open] = ACTIONS(1034),
    [anon_sym_module] = ACTIONS(1034),
    [anon_sym_static] = ACTIONS(1034),
    [anon_sym_with] = ACTIONS(1034),
    [anon_sym_package] = ACTIONS(1034),
    [anon_sym_import] = ACTIONS(1034),
    [anon_sym_enum] = ACTIONS(1034),
    [anon_sym_public] = ACTIONS(1034),
    [anon_sym_protected] = ACTIONS(1034),
    [anon_sym_private] = ACTIONS(1034),
    [anon_sym_abstract] = ACTIONS(1034),
    [anon_sym_strictfp] = ACTIONS(1034),
    [anon_sym_native] = ACTIONS(1034),
    [anon_sym_transient] = ACTIONS(1034),
    [anon_sym_volatile] = ACTIONS(1034),
    [anon_sym_sealed] = ACTIONS(1034),
    [anon_sym_non_DASHsealed] = ACTIONS(1034),
    [anon_sym_record] = ACTIONS(1034),
    [anon_sym_ATinterface] = ACTIONS(1034),
    [anon_sym_interface] = ACTIONS(1034),
    [anon_sym_byte] = ACTIONS(1034),
    [anon_sym_short] = ACTIONS(1034),
    [anon_sym_int] = ACTIONS(1034),
    [anon_sym_long] = ACTIONS(1034),
    [anon_sym_char] = ACTIONS(1034),
    [anon_sym_float] = ACTIONS(1034),
    [anon_sym_double] = ACTIONS(1034),
    [sym_boolean_type] = ACTIONS(1034),
    [sym_void_type] = ACTIONS(1034),
    [anon_sym_def] = ACTIONS(1034),
    [sym_this] = ACTIONS(1034),
    [sym_super] = ACTIONS(1034),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1034),
  },
  [209] = {
    [sym_class_body] = STATE(290),
    [ts_builtin_sym_end] = ACTIONS(1036),
    [sym_identifier] = ACTIONS(1038),
    [sym_decimal_integer_literal] = ACTIONS(1038),
    [sym_hex_integer_literal] = ACTIONS(1038),
    [sym_octal_integer_literal] = ACTIONS(1038),
    [sym_binary_integer_literal] = ACTIONS(1038),
    [sym_decimal_floating_point_literal] = ACTIONS(1038),
    [sym_hex_floating_point_literal] = ACTIONS(1038),
    [sym_true] = ACTIONS(1038),
    [sym_false] = ACTIONS(1038),
    [sym_character_literal] = ACTIONS(1038),
    [anon_sym_DQUOTE] = ACTIONS(1038),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1038),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1038),
    [anon_sym_RBRACE] = ACTIONS(1038),
    [sym_null_literal] = ACTIONS(1038),
    [anon_sym_LPAREN] = ACTIONS(1038),
    [anon_sym_AMP] = ACTIONS(1038),
    [anon_sym_GT] = ACTIONS(1038),
    [anon_sym_LT] = ACTIONS(1038),
    [anon_sym_GT_EQ] = ACTIONS(1038),
    [anon_sym_LT_EQ] = ACTIONS(1038),
    [anon_sym_EQ_EQ] = ACTIONS(1038),
    [anon_sym_BANG_EQ] = ACTIONS(1038),
    [anon_sym_AMP_AMP] = ACTIONS(1038),
    [anon_sym_PIPE_PIPE] = ACTIONS(1038),
    [anon_sym_PLUS] = ACTIONS(1038),
    [anon_sym_DASH] = ACTIONS(1038),
    [anon_sym_STAR] = ACTIONS(1038),
    [anon_sym_SLASH] = ACTIONS(1038),
    [anon_sym_PIPE] = ACTIONS(1038),
    [anon_sym_CARET] = ACTIONS(1038),
    [anon_sym_PERCENT] = ACTIONS(1038),
    [anon_sym_LT_LT] = ACTIONS(1038),
    [anon_sym_GT_GT] = ACTIONS(1038),
    [anon_sym_GT_GT_GT] = ACTIONS(1038),
    [anon_sym_in] = ACTIONS(1038),
    [anon_sym_STAR_STAR] = ACTIONS(1038),
    [anon_sym_instanceof] = ACTIONS(1038),
    [anon_sym_final] = ACTIONS(1038),
    [anon_sym_DASH_GT] = ACTIONS(1038),
    [anon_sym_QMARK] = ACTIONS(1038),
    [anon_sym_BANG] = ACTIONS(1038),
    [anon_sym_TILDE] = ACTIONS(1038),
    [anon_sym_PLUS_PLUS] = ACTIONS(1038),
    [anon_sym_DASH_DASH] = ACTIONS(1038),
    [anon_sym_new] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1038),
    [anon_sym_DOT] = ACTIONS(1038),
    [anon_sym_class] = ACTIONS(1038),
    [anon_sym_COLON_COLON] = ACTIONS(1038),
    [anon_sym_switch] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_case] = ACTIONS(1038),
    [anon_sym_default] = ACTIONS(1038),
    [sym_underscore_pattern] = ACTIONS(1038),
    [anon_sym_SEMI] = ACTIONS(1038),
    [aux_sym_expression_statement_token1] = ACTIONS(1036),
    [anon_sym_NULL] = ACTIONS(1038),
    [anon_sym_assert] = ACTIONS(1038),
    [anon_sym_do] = ACTIONS(1038),
    [anon_sym_while] = ACTIONS(1038),
    [anon_sym_break] = ACTIONS(1038),
    [anon_sym_continue] = ACTIONS(1038),
    [anon_sym_return] = ACTIONS(1038),
    [anon_sym_yield] = ACTIONS(1038),
    [anon_sym_synchronized] = ACTIONS(1038),
    [anon_sym_throw] = ACTIONS(1038),
    [anon_sym_try] = ACTIONS(1038),
    [anon_sym_if] = ACTIONS(1038),
    [anon_sym_else] = ACTIONS(1038),
    [anon_sym_for] = ACTIONS(1038),
    [anon_sym_AT] = ACTIONS(1038),
    [anon_sym_open] = ACTIONS(1038),
    [anon_sym_module] = ACTIONS(1038),
    [anon_sym_static] = ACTIONS(1038),
    [anon_sym_with] = ACTIONS(1038),
    [anon_sym_package] = ACTIONS(1038),
    [anon_sym_import] = ACTIONS(1038),
    [anon_sym_enum] = ACTIONS(1038),
    [anon_sym_public] = ACTIONS(1038),
    [anon_sym_protected] = ACTIONS(1038),
    [anon_sym_private] = ACTIONS(1038),
    [anon_sym_abstract] = ACTIONS(1038),
    [anon_sym_strictfp] = ACTIONS(1038),
    [anon_sym_native] = ACTIONS(1038),
    [anon_sym_transient] = ACTIONS(1038),
    [anon_sym_volatile] = ACTIONS(1038),
    [anon_sym_sealed] = ACTIONS(1038),
    [anon_sym_non_DASHsealed] = ACTIONS(1038),
    [anon_sym_record] = ACTIONS(1038),
    [anon_sym_ATinterface] = ACTIONS(1038),
    [anon_sym_interface] = ACTIONS(1038),
    [anon_sym_byte] = ACTIONS(1038),
    [anon_sym_short] = ACTIONS(1038),
    [anon_sym_int] = ACTIONS(1038),
    [anon_sym_long] = ACTIONS(1038),
    [anon_sym_char] = ACTIONS(1038),
    [anon_sym_float] = ACTIONS(1038),
    [anon_sym_double] = ACTIONS(1038),
    [sym_boolean_type] = ACTIONS(1038),
    [sym_void_type] = ACTIONS(1038),
    [anon_sym_def] = ACTIONS(1038),
    [sym_this] = ACTIONS(1038),
    [sym_super] = ACTIONS(1038),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1038),
  },
  [210] = {
    [sym_closure] = STATE(291),
    [ts_builtin_sym_end] = ACTIONS(1040),
    [sym_identifier] = ACTIONS(1042),
    [sym_decimal_integer_literal] = ACTIONS(1042),
    [sym_hex_integer_literal] = ACTIONS(1042),
    [sym_octal_integer_literal] = ACTIONS(1042),
    [sym_binary_integer_literal] = ACTIONS(1042),
    [sym_decimal_floating_point_literal] = ACTIONS(1042),
    [sym_hex_floating_point_literal] = ACTIONS(1042),
    [sym_true] = ACTIONS(1042),
    [sym_false] = ACTIONS(1042),
    [sym_character_literal] = ACTIONS(1042),
    [anon_sym_DQUOTE] = ACTIONS(1042),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1042),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1042),
    [anon_sym_RBRACE] = ACTIONS(1042),
    [sym_null_literal] = ACTIONS(1042),
    [anon_sym_LPAREN] = ACTIONS(1042),
    [anon_sym_AMP] = ACTIONS(1042),
    [anon_sym_GT] = ACTIONS(1042),
    [anon_sym_LT] = ACTIONS(1042),
    [anon_sym_GT_EQ] = ACTIONS(1042),
    [anon_sym_LT_EQ] = ACTIONS(1042),
    [anon_sym_EQ_EQ] = ACTIONS(1042),
    [anon_sym_BANG_EQ] = ACTIONS(1042),
    [anon_sym_AMP_AMP] = ACTIONS(1042),
    [anon_sym_PIPE_PIPE] = ACTIONS(1042),
    [anon_sym_PLUS] = ACTIONS(1042),
    [anon_sym_DASH] = ACTIONS(1042),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_SLASH] = ACTIONS(1042),
    [anon_sym_PIPE] = ACTIONS(1042),
    [anon_sym_CARET] = ACTIONS(1042),
    [anon_sym_PERCENT] = ACTIONS(1042),
    [anon_sym_LT_LT] = ACTIONS(1042),
    [anon_sym_GT_GT] = ACTIONS(1042),
    [anon_sym_GT_GT_GT] = ACTIONS(1042),
    [anon_sym_in] = ACTIONS(1042),
    [anon_sym_STAR_STAR] = ACTIONS(1042),
    [anon_sym_instanceof] = ACTIONS(1042),
    [anon_sym_final] = ACTIONS(1042),
    [anon_sym_DASH_GT] = ACTIONS(1042),
    [anon_sym_QMARK] = ACTIONS(1042),
    [anon_sym_BANG] = ACTIONS(1042),
    [anon_sym_TILDE] = ACTIONS(1042),
    [anon_sym_PLUS_PLUS] = ACTIONS(1042),
    [anon_sym_DASH_DASH] = ACTIONS(1042),
    [anon_sym_new] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(1042),
    [anon_sym_DOT] = ACTIONS(1042),
    [anon_sym_class] = ACTIONS(1042),
    [anon_sym_COLON_COLON] = ACTIONS(1042),
    [anon_sym_switch] = ACTIONS(1042),
    [anon_sym_LBRACE] = ACTIONS(1030),
    [anon_sym_case] = ACTIONS(1042),
    [anon_sym_default] = ACTIONS(1042),
    [sym_underscore_pattern] = ACTIONS(1042),
    [anon_sym_SEMI] = ACTIONS(1042),
    [aux_sym_expression_statement_token1] = ACTIONS(1040),
    [anon_sym_NULL] = ACTIONS(1042),
    [anon_sym_assert] = ACTIONS(1042),
    [anon_sym_do] = ACTIONS(1042),
    [anon_sym_while] = ACTIONS(1042),
    [anon_sym_break] = ACTIONS(1042),
    [anon_sym_continue] = ACTIONS(1042),
    [anon_sym_return] = ACTIONS(1042),
    [anon_sym_yield] = ACTIONS(1042),
    [anon_sym_synchronized] = ACTIONS(1042),
    [anon_sym_throw] = ACTIONS(1042),
    [anon_sym_try] = ACTIONS(1042),
    [anon_sym_if] = ACTIONS(1042),
    [anon_sym_else] = ACTIONS(1042),
    [anon_sym_for] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(1042),
    [anon_sym_open] = ACTIONS(1042),
    [anon_sym_module] = ACTIONS(1042),
    [anon_sym_static] = ACTIONS(1042),
    [anon_sym_with] = ACTIONS(1042),
    [anon_sym_package] = ACTIONS(1042),
    [anon_sym_import] = ACTIONS(1042),
    [anon_sym_enum] = ACTIONS(1042),
    [anon_sym_public] = ACTIONS(1042),
    [anon_sym_protected] = ACTIONS(1042),
    [anon_sym_private] = ACTIONS(1042),
    [anon_sym_abstract] = ACTIONS(1042),
    [anon_sym_strictfp] = ACTIONS(1042),
    [anon_sym_native] = ACTIONS(1042),
    [anon_sym_transient] = ACTIONS(1042),
    [anon_sym_volatile] = ACTIONS(1042),
    [anon_sym_sealed] = ACTIONS(1042),
    [anon_sym_non_DASHsealed] = ACTIONS(1042),
    [anon_sym_record] = ACTIONS(1042),
    [anon_sym_ATinterface] = ACTIONS(1042),
    [anon_sym_interface] = ACTIONS(1042),
    [anon_sym_byte] = ACTIONS(1042),
    [anon_sym_short] = ACTIONS(1042),
    [anon_sym_int] = ACTIONS(1042),
    [anon_sym_long] = ACTIONS(1042),
    [anon_sym_char] = ACTIONS(1042),
    [anon_sym_float] = ACTIONS(1042),
    [anon_sym_double] = ACTIONS(1042),
    [sym_boolean_type] = ACTIONS(1042),
    [sym_void_type] = ACTIONS(1042),
    [anon_sym_def] = ACTIONS(1042),
    [sym_this] = ACTIONS(1042),
    [sym_super] = ACTIONS(1042),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1042),
  },
  [211] = {
    [sym_class_body] = STATE(257),
    [ts_builtin_sym_end] = ACTIONS(1044),
    [sym_identifier] = ACTIONS(1046),
    [sym_decimal_integer_literal] = ACTIONS(1046),
    [sym_hex_integer_literal] = ACTIONS(1046),
    [sym_octal_integer_literal] = ACTIONS(1046),
    [sym_binary_integer_literal] = ACTIONS(1046),
    [sym_decimal_floating_point_literal] = ACTIONS(1046),
    [sym_hex_floating_point_literal] = ACTIONS(1046),
    [sym_true] = ACTIONS(1046),
    [sym_false] = ACTIONS(1046),
    [sym_character_literal] = ACTIONS(1046),
    [anon_sym_DQUOTE] = ACTIONS(1046),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1046),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1046),
    [anon_sym_RBRACE] = ACTIONS(1046),
    [sym_null_literal] = ACTIONS(1046),
    [anon_sym_LPAREN] = ACTIONS(1046),
    [anon_sym_AMP] = ACTIONS(1046),
    [anon_sym_GT] = ACTIONS(1046),
    [anon_sym_LT] = ACTIONS(1046),
    [anon_sym_GT_EQ] = ACTIONS(1046),
    [anon_sym_LT_EQ] = ACTIONS(1046),
    [anon_sym_EQ_EQ] = ACTIONS(1046),
    [anon_sym_BANG_EQ] = ACTIONS(1046),
    [anon_sym_AMP_AMP] = ACTIONS(1046),
    [anon_sym_PIPE_PIPE] = ACTIONS(1046),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(1046),
    [anon_sym_SLASH] = ACTIONS(1046),
    [anon_sym_PIPE] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1046),
    [anon_sym_PERCENT] = ACTIONS(1046),
    [anon_sym_LT_LT] = ACTIONS(1046),
    [anon_sym_GT_GT] = ACTIONS(1046),
    [anon_sym_GT_GT_GT] = ACTIONS(1046),
    [anon_sym_in] = ACTIONS(1046),
    [anon_sym_STAR_STAR] = ACTIONS(1046),
    [anon_sym_instanceof] = ACTIONS(1046),
    [anon_sym_final] = ACTIONS(1046),
    [anon_sym_DASH_GT] = ACTIONS(1046),
    [anon_sym_QMARK] = ACTIONS(1046),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_TILDE] = ACTIONS(1046),
    [anon_sym_PLUS_PLUS] = ACTIONS(1046),
    [anon_sym_DASH_DASH] = ACTIONS(1046),
    [anon_sym_new] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1046),
    [anon_sym_DOT] = ACTIONS(1046),
    [anon_sym_class] = ACTIONS(1046),
    [anon_sym_COLON_COLON] = ACTIONS(1046),
    [anon_sym_switch] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_case] = ACTIONS(1046),
    [anon_sym_default] = ACTIONS(1046),
    [sym_underscore_pattern] = ACTIONS(1046),
    [anon_sym_SEMI] = ACTIONS(1046),
    [aux_sym_expression_statement_token1] = ACTIONS(1044),
    [anon_sym_NULL] = ACTIONS(1046),
    [anon_sym_assert] = ACTIONS(1046),
    [anon_sym_do] = ACTIONS(1046),
    [anon_sym_while] = ACTIONS(1046),
    [anon_sym_break] = ACTIONS(1046),
    [anon_sym_continue] = ACTIONS(1046),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_yield] = ACTIONS(1046),
    [anon_sym_synchronized] = ACTIONS(1046),
    [anon_sym_throw] = ACTIONS(1046),
    [anon_sym_try] = ACTIONS(1046),
    [anon_sym_if] = ACTIONS(1046),
    [anon_sym_else] = ACTIONS(1046),
    [anon_sym_for] = ACTIONS(1046),
    [anon_sym_AT] = ACTIONS(1046),
    [anon_sym_open] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_with] = ACTIONS(1046),
    [anon_sym_package] = ACTIONS(1046),
    [anon_sym_import] = ACTIONS(1046),
    [anon_sym_enum] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_abstract] = ACTIONS(1046),
    [anon_sym_strictfp] = ACTIONS(1046),
    [anon_sym_native] = ACTIONS(1046),
    [anon_sym_transient] = ACTIONS(1046),
    [anon_sym_volatile] = ACTIONS(1046),
    [anon_sym_sealed] = ACTIONS(1046),
    [anon_sym_non_DASHsealed] = ACTIONS(1046),
    [anon_sym_record] = ACTIONS(1046),
    [anon_sym_ATinterface] = ACTIONS(1046),
    [anon_sym_interface] = ACTIONS(1046),
    [anon_sym_byte] = ACTIONS(1046),
    [anon_sym_short] = ACTIONS(1046),
    [anon_sym_int] = ACTIONS(1046),
    [anon_sym_long] = ACTIONS(1046),
    [anon_sym_char] = ACTIONS(1046),
    [anon_sym_float] = ACTIONS(1046),
    [anon_sym_double] = ACTIONS(1046),
    [sym_boolean_type] = ACTIONS(1046),
    [sym_void_type] = ACTIONS(1046),
    [anon_sym_def] = ACTIONS(1046),
    [sym_this] = ACTIONS(1046),
    [sym_super] = ACTIONS(1046),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1046),
  },
  [212] = {
    [sym_closure] = STATE(304),
    [ts_builtin_sym_end] = ACTIONS(1048),
    [sym_identifier] = ACTIONS(1050),
    [sym_decimal_integer_literal] = ACTIONS(1050),
    [sym_hex_integer_literal] = ACTIONS(1050),
    [sym_octal_integer_literal] = ACTIONS(1050),
    [sym_binary_integer_literal] = ACTIONS(1050),
    [sym_decimal_floating_point_literal] = ACTIONS(1050),
    [sym_hex_floating_point_literal] = ACTIONS(1050),
    [sym_true] = ACTIONS(1050),
    [sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1050),
    [anon_sym_DQUOTE] = ACTIONS(1050),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1050),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1050),
    [anon_sym_RBRACE] = ACTIONS(1050),
    [sym_null_literal] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1050),
    [anon_sym_AMP] = ACTIONS(1050),
    [anon_sym_GT] = ACTIONS(1050),
    [anon_sym_LT] = ACTIONS(1050),
    [anon_sym_GT_EQ] = ACTIONS(1050),
    [anon_sym_LT_EQ] = ACTIONS(1050),
    [anon_sym_EQ_EQ] = ACTIONS(1050),
    [anon_sym_BANG_EQ] = ACTIONS(1050),
    [anon_sym_AMP_AMP] = ACTIONS(1050),
    [anon_sym_PIPE_PIPE] = ACTIONS(1050),
    [anon_sym_PLUS] = ACTIONS(1050),
    [anon_sym_DASH] = ACTIONS(1050),
    [anon_sym_STAR] = ACTIONS(1050),
    [anon_sym_SLASH] = ACTIONS(1050),
    [anon_sym_PIPE] = ACTIONS(1050),
    [anon_sym_CARET] = ACTIONS(1050),
    [anon_sym_PERCENT] = ACTIONS(1050),
    [anon_sym_LT_LT] = ACTIONS(1050),
    [anon_sym_GT_GT] = ACTIONS(1050),
    [anon_sym_GT_GT_GT] = ACTIONS(1050),
    [anon_sym_in] = ACTIONS(1050),
    [anon_sym_STAR_STAR] = ACTIONS(1050),
    [anon_sym_instanceof] = ACTIONS(1050),
    [anon_sym_final] = ACTIONS(1050),
    [anon_sym_DASH_GT] = ACTIONS(1050),
    [anon_sym_QMARK] = ACTIONS(1050),
    [anon_sym_BANG] = ACTIONS(1050),
    [anon_sym_TILDE] = ACTIONS(1050),
    [anon_sym_PLUS_PLUS] = ACTIONS(1050),
    [anon_sym_DASH_DASH] = ACTIONS(1050),
    [anon_sym_new] = ACTIONS(1050),
    [anon_sym_LBRACK] = ACTIONS(1050),
    [anon_sym_DOT] = ACTIONS(1050),
    [anon_sym_class] = ACTIONS(1050),
    [anon_sym_COLON_COLON] = ACTIONS(1050),
    [anon_sym_switch] = ACTIONS(1050),
    [anon_sym_LBRACE] = ACTIONS(1030),
    [anon_sym_case] = ACTIONS(1050),
    [anon_sym_default] = ACTIONS(1050),
    [sym_underscore_pattern] = ACTIONS(1050),
    [anon_sym_SEMI] = ACTIONS(1050),
    [aux_sym_expression_statement_token1] = ACTIONS(1048),
    [anon_sym_NULL] = ACTIONS(1050),
    [anon_sym_assert] = ACTIONS(1050),
    [anon_sym_do] = ACTIONS(1050),
    [anon_sym_while] = ACTIONS(1050),
    [anon_sym_break] = ACTIONS(1050),
    [anon_sym_continue] = ACTIONS(1050),
    [anon_sym_return] = ACTIONS(1050),
    [anon_sym_yield] = ACTIONS(1050),
    [anon_sym_synchronized] = ACTIONS(1050),
    [anon_sym_throw] = ACTIONS(1050),
    [anon_sym_try] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1050),
    [anon_sym_else] = ACTIONS(1050),
    [anon_sym_for] = ACTIONS(1050),
    [anon_sym_AT] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_module] = ACTIONS(1050),
    [anon_sym_static] = ACTIONS(1050),
    [anon_sym_with] = ACTIONS(1050),
    [anon_sym_package] = ACTIONS(1050),
    [anon_sym_import] = ACTIONS(1050),
    [anon_sym_enum] = ACTIONS(1050),
    [anon_sym_public] = ACTIONS(1050),
    [anon_sym_protected] = ACTIONS(1050),
    [anon_sym_private] = ACTIONS(1050),
    [anon_sym_abstract] = ACTIONS(1050),
    [anon_sym_strictfp] = ACTIONS(1050),
    [anon_sym_native] = ACTIONS(1050),
    [anon_sym_transient] = ACTIONS(1050),
    [anon_sym_volatile] = ACTIONS(1050),
    [anon_sym_sealed] = ACTIONS(1050),
    [anon_sym_non_DASHsealed] = ACTIONS(1050),
    [anon_sym_record] = ACTIONS(1050),
    [anon_sym_ATinterface] = ACTIONS(1050),
    [anon_sym_interface] = ACTIONS(1050),
    [anon_sym_byte] = ACTIONS(1050),
    [anon_sym_short] = ACTIONS(1050),
    [anon_sym_int] = ACTIONS(1050),
    [anon_sym_long] = ACTIONS(1050),
    [anon_sym_char] = ACTIONS(1050),
    [anon_sym_float] = ACTIONS(1050),
    [anon_sym_double] = ACTIONS(1050),
    [sym_boolean_type] = ACTIONS(1050),
    [sym_void_type] = ACTIONS(1050),
    [anon_sym_def] = ACTIONS(1050),
    [sym_this] = ACTIONS(1050),
    [sym_super] = ACTIONS(1050),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1050),
  },
  [213] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1675),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1506),
    [sym_marker_annotation] = STATE(1506),
    [sym_annotation] = STATE(1506),
    [sym_modifiers] = STATE(1917),
    [sym__type] = STATE(2382),
    [sym__unannotated_type] = STATE(1760),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym_formal_parameter] = STATE(2514),
    [sym_receiver_parameter] = STATE(2655),
    [sym_spread_parameter] = STATE(2514),
    [sym__reserved_identifier] = STATE(1201),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1827),
    [aux_sym_modifiers_repeat1] = STATE(1604),
    [sym_identifier] = ACTIONS(1052),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_final] = ACTIONS(1014),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_default] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_synchronized] = ACTIONS(1014),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_abstract] = ACTIONS(1014),
    [anon_sym_strictfp] = ACTIONS(1014),
    [anon_sym_native] = ACTIONS(1014),
    [anon_sym_transient] = ACTIONS(1014),
    [anon_sym_volatile] = ACTIONS(1014),
    [anon_sym_sealed] = ACTIONS(1016),
    [anon_sym_non_DASHsealed] = ACTIONS(1018),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [214] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1696),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1506),
    [sym_marker_annotation] = STATE(1506),
    [sym_annotation] = STATE(1506),
    [sym_modifiers] = STATE(1917),
    [sym__type] = STATE(2376),
    [sym__unannotated_type] = STATE(1760),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym_formal_parameter] = STATE(2514),
    [sym_receiver_parameter] = STATE(2655),
    [sym_spread_parameter] = STATE(2514),
    [sym__reserved_identifier] = STATE(1201),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1827),
    [aux_sym_modifiers_repeat1] = STATE(1604),
    [sym_identifier] = ACTIONS(1052),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_final] = ACTIONS(1014),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_default] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_synchronized] = ACTIONS(1014),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_abstract] = ACTIONS(1014),
    [anon_sym_strictfp] = ACTIONS(1014),
    [anon_sym_native] = ACTIONS(1014),
    [anon_sym_transient] = ACTIONS(1014),
    [anon_sym_volatile] = ACTIONS(1014),
    [anon_sym_sealed] = ACTIONS(1016),
    [anon_sym_non_DASHsealed] = ACTIONS(1018),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_dimensions] = STATE(516),
    [sym__annotation] = STATE(2234),
    [sym_marker_annotation] = STATE(2234),
    [sym_annotation] = STATE(2234),
    [aux_sym_array_creation_expression_repeat1] = STATE(2234),
    [aux_sym_dimensions_repeat1] = STATE(200),
    [ts_builtin_sym_end] = ACTIONS(990),
    [sym_identifier] = ACTIONS(992),
    [sym_decimal_integer_literal] = ACTIONS(992),
    [sym_hex_integer_literal] = ACTIONS(992),
    [sym_octal_integer_literal] = ACTIONS(992),
    [sym_binary_integer_literal] = ACTIONS(990),
    [sym_decimal_floating_point_literal] = ACTIONS(990),
    [sym_hex_floating_point_literal] = ACTIONS(992),
    [sym_true] = ACTIONS(992),
    [sym_false] = ACTIONS(992),
    [sym_character_literal] = ACTIONS(990),
    [anon_sym_DQUOTE] = ACTIONS(992),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(990),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(990),
    [anon_sym_RBRACE] = ACTIONS(990),
    [sym_null_literal] = ACTIONS(992),
    [anon_sym_LPAREN] = ACTIONS(990),
    [anon_sym_AMP] = ACTIONS(992),
    [anon_sym_GT] = ACTIONS(992),
    [anon_sym_LT] = ACTIONS(992),
    [anon_sym_GT_EQ] = ACTIONS(990),
    [anon_sym_LT_EQ] = ACTIONS(990),
    [anon_sym_EQ_EQ] = ACTIONS(990),
    [anon_sym_BANG_EQ] = ACTIONS(990),
    [anon_sym_AMP_AMP] = ACTIONS(990),
    [anon_sym_PIPE_PIPE] = ACTIONS(990),
    [anon_sym_PLUS] = ACTIONS(992),
    [anon_sym_DASH] = ACTIONS(992),
    [anon_sym_STAR] = ACTIONS(992),
    [anon_sym_SLASH] = ACTIONS(992),
    [anon_sym_PIPE] = ACTIONS(992),
    [anon_sym_CARET] = ACTIONS(990),
    [anon_sym_PERCENT] = ACTIONS(990),
    [anon_sym_LT_LT] = ACTIONS(990),
    [anon_sym_GT_GT] = ACTIONS(992),
    [anon_sym_GT_GT_GT] = ACTIONS(990),
    [anon_sym_in] = ACTIONS(992),
    [anon_sym_STAR_STAR] = ACTIONS(990),
    [anon_sym_instanceof] = ACTIONS(992),
    [anon_sym_final] = ACTIONS(992),
    [anon_sym_DASH_GT] = ACTIONS(990),
    [anon_sym_COMMA] = ACTIONS(990),
    [anon_sym_QMARK] = ACTIONS(990),
    [anon_sym_BANG] = ACTIONS(992),
    [anon_sym_TILDE] = ACTIONS(990),
    [anon_sym_PLUS_PLUS] = ACTIONS(990),
    [anon_sym_DASH_DASH] = ACTIONS(990),
    [anon_sym_new] = ACTIONS(992),
    [anon_sym_LBRACK] = ACTIONS(1054),
    [anon_sym_class] = ACTIONS(992),
    [anon_sym_switch] = ACTIONS(992),
    [anon_sym_LBRACE] = ACTIONS(990),
    [anon_sym_default] = ACTIONS(992),
    [sym_underscore_pattern] = ACTIONS(992),
    [anon_sym_SEMI] = ACTIONS(990),
    [anon_sym_assert] = ACTIONS(992),
    [anon_sym_do] = ACTIONS(992),
    [anon_sym_while] = ACTIONS(992),
    [anon_sym_break] = ACTIONS(992),
    [anon_sym_continue] = ACTIONS(992),
    [anon_sym_return] = ACTIONS(992),
    [anon_sym_yield] = ACTIONS(992),
    [anon_sym_synchronized] = ACTIONS(992),
    [anon_sym_throw] = ACTIONS(992),
    [anon_sym_try] = ACTIONS(992),
    [anon_sym_if] = ACTIONS(992),
    [anon_sym_for] = ACTIONS(992),
    [anon_sym_AT] = ACTIONS(997),
    [anon_sym_open] = ACTIONS(992),
    [anon_sym_module] = ACTIONS(992),
    [anon_sym_static] = ACTIONS(992),
    [anon_sym_with] = ACTIONS(992),
    [anon_sym_package] = ACTIONS(992),
    [anon_sym_import] = ACTIONS(992),
    [anon_sym_enum] = ACTIONS(992),
    [anon_sym_public] = ACTIONS(992),
    [anon_sym_protected] = ACTIONS(992),
    [anon_sym_private] = ACTIONS(992),
    [anon_sym_abstract] = ACTIONS(992),
    [anon_sym_strictfp] = ACTIONS(992),
    [anon_sym_native] = ACTIONS(992),
    [anon_sym_transient] = ACTIONS(992),
    [anon_sym_volatile] = ACTIONS(992),
    [anon_sym_sealed] = ACTIONS(992),
    [anon_sym_non_DASHsealed] = ACTIONS(990),
    [anon_sym_record] = ACTIONS(992),
    [anon_sym_ATinterface] = ACTIONS(990),
    [anon_sym_interface] = ACTIONS(992),
    [anon_sym_byte] = ACTIONS(992),
    [anon_sym_short] = ACTIONS(992),
    [anon_sym_int] = ACTIONS(992),
    [anon_sym_long] = ACTIONS(992),
    [anon_sym_char] = ACTIONS(992),
    [anon_sym_float] = ACTIONS(992),
    [anon_sym_double] = ACTIONS(992),
    [sym_boolean_type] = ACTIONS(992),
    [sym_void_type] = ACTIONS(992),
    [anon_sym_def] = ACTIONS(992),
    [sym_this] = ACTIONS(992),
    [sym_super] = ACTIONS(992),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(990),
  },
  [216] = {
    [sym_dimensions] = STATE(516),
    [sym__annotation] = STATE(2234),
    [sym_marker_annotation] = STATE(2234),
    [sym_annotation] = STATE(2234),
    [aux_sym_array_creation_expression_repeat1] = STATE(2234),
    [aux_sym_dimensions_repeat1] = STATE(200),
    [ts_builtin_sym_end] = ACTIONS(980),
    [sym_identifier] = ACTIONS(982),
    [sym_decimal_integer_literal] = ACTIONS(982),
    [sym_hex_integer_literal] = ACTIONS(982),
    [sym_octal_integer_literal] = ACTIONS(982),
    [sym_binary_integer_literal] = ACTIONS(980),
    [sym_decimal_floating_point_literal] = ACTIONS(980),
    [sym_hex_floating_point_literal] = ACTIONS(982),
    [sym_true] = ACTIONS(982),
    [sym_false] = ACTIONS(982),
    [sym_character_literal] = ACTIONS(980),
    [anon_sym_DQUOTE] = ACTIONS(982),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(980),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(980),
    [anon_sym_RBRACE] = ACTIONS(980),
    [sym_null_literal] = ACTIONS(982),
    [anon_sym_LPAREN] = ACTIONS(980),
    [anon_sym_AMP] = ACTIONS(982),
    [anon_sym_GT] = ACTIONS(982),
    [anon_sym_LT] = ACTIONS(982),
    [anon_sym_GT_EQ] = ACTIONS(980),
    [anon_sym_LT_EQ] = ACTIONS(980),
    [anon_sym_EQ_EQ] = ACTIONS(980),
    [anon_sym_BANG_EQ] = ACTIONS(980),
    [anon_sym_AMP_AMP] = ACTIONS(980),
    [anon_sym_PIPE_PIPE] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(982),
    [anon_sym_DASH] = ACTIONS(982),
    [anon_sym_STAR] = ACTIONS(982),
    [anon_sym_SLASH] = ACTIONS(982),
    [anon_sym_PIPE] = ACTIONS(982),
    [anon_sym_CARET] = ACTIONS(980),
    [anon_sym_PERCENT] = ACTIONS(980),
    [anon_sym_LT_LT] = ACTIONS(980),
    [anon_sym_GT_GT] = ACTIONS(982),
    [anon_sym_GT_GT_GT] = ACTIONS(980),
    [anon_sym_in] = ACTIONS(982),
    [anon_sym_STAR_STAR] = ACTIONS(980),
    [anon_sym_instanceof] = ACTIONS(982),
    [anon_sym_final] = ACTIONS(982),
    [anon_sym_DASH_GT] = ACTIONS(980),
    [anon_sym_COMMA] = ACTIONS(980),
    [anon_sym_QMARK] = ACTIONS(980),
    [anon_sym_BANG] = ACTIONS(982),
    [anon_sym_TILDE] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(980),
    [anon_sym_DASH_DASH] = ACTIONS(980),
    [anon_sym_new] = ACTIONS(982),
    [anon_sym_LBRACK] = ACTIONS(1057),
    [anon_sym_class] = ACTIONS(982),
    [anon_sym_switch] = ACTIONS(982),
    [anon_sym_LBRACE] = ACTIONS(980),
    [anon_sym_default] = ACTIONS(982),
    [sym_underscore_pattern] = ACTIONS(982),
    [anon_sym_SEMI] = ACTIONS(980),
    [anon_sym_assert] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(982),
    [anon_sym_while] = ACTIONS(982),
    [anon_sym_break] = ACTIONS(982),
    [anon_sym_continue] = ACTIONS(982),
    [anon_sym_return] = ACTIONS(982),
    [anon_sym_yield] = ACTIONS(982),
    [anon_sym_synchronized] = ACTIONS(982),
    [anon_sym_throw] = ACTIONS(982),
    [anon_sym_try] = ACTIONS(982),
    [anon_sym_if] = ACTIONS(982),
    [anon_sym_for] = ACTIONS(982),
    [anon_sym_AT] = ACTIONS(987),
    [anon_sym_open] = ACTIONS(982),
    [anon_sym_module] = ACTIONS(982),
    [anon_sym_static] = ACTIONS(982),
    [anon_sym_with] = ACTIONS(982),
    [anon_sym_package] = ACTIONS(982),
    [anon_sym_import] = ACTIONS(982),
    [anon_sym_enum] = ACTIONS(982),
    [anon_sym_public] = ACTIONS(982),
    [anon_sym_protected] = ACTIONS(982),
    [anon_sym_private] = ACTIONS(982),
    [anon_sym_abstract] = ACTIONS(982),
    [anon_sym_strictfp] = ACTIONS(982),
    [anon_sym_native] = ACTIONS(982),
    [anon_sym_transient] = ACTIONS(982),
    [anon_sym_volatile] = ACTIONS(982),
    [anon_sym_sealed] = ACTIONS(982),
    [anon_sym_non_DASHsealed] = ACTIONS(980),
    [anon_sym_record] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(980),
    [anon_sym_interface] = ACTIONS(982),
    [anon_sym_byte] = ACTIONS(982),
    [anon_sym_short] = ACTIONS(982),
    [anon_sym_int] = ACTIONS(982),
    [anon_sym_long] = ACTIONS(982),
    [anon_sym_char] = ACTIONS(982),
    [anon_sym_float] = ACTIONS(982),
    [anon_sym_double] = ACTIONS(982),
    [sym_boolean_type] = ACTIONS(982),
    [sym_void_type] = ACTIONS(982),
    [anon_sym_def] = ACTIONS(982),
    [sym_this] = ACTIONS(982),
    [sym_super] = ACTIONS(982),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(980),
  },
  [217] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1687),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1506),
    [sym_marker_annotation] = STATE(1506),
    [sym_annotation] = STATE(1506),
    [sym_modifiers] = STATE(1917),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(1760),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym_formal_parameter] = STATE(2514),
    [sym_receiver_parameter] = STATE(2655),
    [sym_spread_parameter] = STATE(2514),
    [sym__reserved_identifier] = STATE(1201),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1827),
    [aux_sym_modifiers_repeat1] = STATE(1604),
    [sym_identifier] = ACTIONS(1010),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_final] = ACTIONS(1014),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_default] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_synchronized] = ACTIONS(1014),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_abstract] = ACTIONS(1014),
    [anon_sym_strictfp] = ACTIONS(1014),
    [anon_sym_native] = ACTIONS(1014),
    [anon_sym_transient] = ACTIONS(1014),
    [anon_sym_volatile] = ACTIONS(1014),
    [anon_sym_sealed] = ACTIONS(1016),
    [anon_sym_non_DASHsealed] = ACTIONS(1018),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_closure] = STATE(276),
    [ts_builtin_sym_end] = ACTIONS(1060),
    [sym_identifier] = ACTIONS(1062),
    [sym_decimal_integer_literal] = ACTIONS(1062),
    [sym_hex_integer_literal] = ACTIONS(1062),
    [sym_octal_integer_literal] = ACTIONS(1062),
    [sym_binary_integer_literal] = ACTIONS(1062),
    [sym_decimal_floating_point_literal] = ACTIONS(1062),
    [sym_hex_floating_point_literal] = ACTIONS(1062),
    [sym_true] = ACTIONS(1062),
    [sym_false] = ACTIONS(1062),
    [sym_character_literal] = ACTIONS(1062),
    [anon_sym_DQUOTE] = ACTIONS(1062),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1062),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1062),
    [anon_sym_RBRACE] = ACTIONS(1062),
    [sym_null_literal] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(1062),
    [anon_sym_AMP] = ACTIONS(1062),
    [anon_sym_GT] = ACTIONS(1062),
    [anon_sym_LT] = ACTIONS(1062),
    [anon_sym_GT_EQ] = ACTIONS(1062),
    [anon_sym_LT_EQ] = ACTIONS(1062),
    [anon_sym_EQ_EQ] = ACTIONS(1062),
    [anon_sym_BANG_EQ] = ACTIONS(1062),
    [anon_sym_AMP_AMP] = ACTIONS(1062),
    [anon_sym_PIPE_PIPE] = ACTIONS(1062),
    [anon_sym_PLUS] = ACTIONS(1062),
    [anon_sym_DASH] = ACTIONS(1062),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_SLASH] = ACTIONS(1062),
    [anon_sym_PIPE] = ACTIONS(1062),
    [anon_sym_CARET] = ACTIONS(1062),
    [anon_sym_PERCENT] = ACTIONS(1062),
    [anon_sym_LT_LT] = ACTIONS(1062),
    [anon_sym_GT_GT] = ACTIONS(1062),
    [anon_sym_GT_GT_GT] = ACTIONS(1062),
    [anon_sym_in] = ACTIONS(1062),
    [anon_sym_STAR_STAR] = ACTIONS(1062),
    [anon_sym_instanceof] = ACTIONS(1062),
    [anon_sym_final] = ACTIONS(1062),
    [anon_sym_DASH_GT] = ACTIONS(1062),
    [anon_sym_QMARK] = ACTIONS(1062),
    [anon_sym_BANG] = ACTIONS(1062),
    [anon_sym_TILDE] = ACTIONS(1062),
    [anon_sym_PLUS_PLUS] = ACTIONS(1062),
    [anon_sym_DASH_DASH] = ACTIONS(1062),
    [anon_sym_new] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(1062),
    [anon_sym_DOT] = ACTIONS(1062),
    [anon_sym_class] = ACTIONS(1062),
    [anon_sym_COLON_COLON] = ACTIONS(1062),
    [anon_sym_switch] = ACTIONS(1062),
    [anon_sym_LBRACE] = ACTIONS(1030),
    [anon_sym_case] = ACTIONS(1062),
    [anon_sym_default] = ACTIONS(1062),
    [sym_underscore_pattern] = ACTIONS(1062),
    [anon_sym_SEMI] = ACTIONS(1062),
    [aux_sym_expression_statement_token1] = ACTIONS(1060),
    [anon_sym_NULL] = ACTIONS(1062),
    [anon_sym_assert] = ACTIONS(1062),
    [anon_sym_do] = ACTIONS(1062),
    [anon_sym_while] = ACTIONS(1062),
    [anon_sym_break] = ACTIONS(1062),
    [anon_sym_continue] = ACTIONS(1062),
    [anon_sym_return] = ACTIONS(1062),
    [anon_sym_yield] = ACTIONS(1062),
    [anon_sym_synchronized] = ACTIONS(1062),
    [anon_sym_throw] = ACTIONS(1062),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_else] = ACTIONS(1062),
    [anon_sym_for] = ACTIONS(1062),
    [anon_sym_AT] = ACTIONS(1062),
    [anon_sym_open] = ACTIONS(1062),
    [anon_sym_module] = ACTIONS(1062),
    [anon_sym_static] = ACTIONS(1062),
    [anon_sym_with] = ACTIONS(1062),
    [anon_sym_package] = ACTIONS(1062),
    [anon_sym_import] = ACTIONS(1062),
    [anon_sym_enum] = ACTIONS(1062),
    [anon_sym_public] = ACTIONS(1062),
    [anon_sym_protected] = ACTIONS(1062),
    [anon_sym_private] = ACTIONS(1062),
    [anon_sym_abstract] = ACTIONS(1062),
    [anon_sym_strictfp] = ACTIONS(1062),
    [anon_sym_native] = ACTIONS(1062),
    [anon_sym_transient] = ACTIONS(1062),
    [anon_sym_volatile] = ACTIONS(1062),
    [anon_sym_sealed] = ACTIONS(1062),
    [anon_sym_non_DASHsealed] = ACTIONS(1062),
    [anon_sym_record] = ACTIONS(1062),
    [anon_sym_ATinterface] = ACTIONS(1062),
    [anon_sym_interface] = ACTIONS(1062),
    [anon_sym_byte] = ACTIONS(1062),
    [anon_sym_short] = ACTIONS(1062),
    [anon_sym_int] = ACTIONS(1062),
    [anon_sym_long] = ACTIONS(1062),
    [anon_sym_char] = ACTIONS(1062),
    [anon_sym_float] = ACTIONS(1062),
    [anon_sym_double] = ACTIONS(1062),
    [sym_boolean_type] = ACTIONS(1062),
    [sym_void_type] = ACTIONS(1062),
    [anon_sym_def] = ACTIONS(1062),
    [sym_this] = ACTIONS(1062),
    [sym_super] = ACTIONS(1062),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1062),
  },
  [219] = {
    [sym_class_body] = STATE(283),
    [ts_builtin_sym_end] = ACTIONS(1064),
    [sym_identifier] = ACTIONS(1066),
    [sym_decimal_integer_literal] = ACTIONS(1066),
    [sym_hex_integer_literal] = ACTIONS(1066),
    [sym_octal_integer_literal] = ACTIONS(1066),
    [sym_binary_integer_literal] = ACTIONS(1066),
    [sym_decimal_floating_point_literal] = ACTIONS(1066),
    [sym_hex_floating_point_literal] = ACTIONS(1066),
    [sym_true] = ACTIONS(1066),
    [sym_false] = ACTIONS(1066),
    [sym_character_literal] = ACTIONS(1066),
    [anon_sym_DQUOTE] = ACTIONS(1066),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1066),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1066),
    [anon_sym_RBRACE] = ACTIONS(1066),
    [sym_null_literal] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1066),
    [anon_sym_AMP] = ACTIONS(1066),
    [anon_sym_GT] = ACTIONS(1066),
    [anon_sym_LT] = ACTIONS(1066),
    [anon_sym_GT_EQ] = ACTIONS(1066),
    [anon_sym_LT_EQ] = ACTIONS(1066),
    [anon_sym_EQ_EQ] = ACTIONS(1066),
    [anon_sym_BANG_EQ] = ACTIONS(1066),
    [anon_sym_AMP_AMP] = ACTIONS(1066),
    [anon_sym_PIPE_PIPE] = ACTIONS(1066),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_STAR] = ACTIONS(1066),
    [anon_sym_SLASH] = ACTIONS(1066),
    [anon_sym_PIPE] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1066),
    [anon_sym_PERCENT] = ACTIONS(1066),
    [anon_sym_LT_LT] = ACTIONS(1066),
    [anon_sym_GT_GT] = ACTIONS(1066),
    [anon_sym_GT_GT_GT] = ACTIONS(1066),
    [anon_sym_in] = ACTIONS(1066),
    [anon_sym_STAR_STAR] = ACTIONS(1066),
    [anon_sym_instanceof] = ACTIONS(1066),
    [anon_sym_final] = ACTIONS(1066),
    [anon_sym_DASH_GT] = ACTIONS(1066),
    [anon_sym_QMARK] = ACTIONS(1066),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1066),
    [anon_sym_PLUS_PLUS] = ACTIONS(1066),
    [anon_sym_DASH_DASH] = ACTIONS(1066),
    [anon_sym_new] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(1066),
    [anon_sym_DOT] = ACTIONS(1066),
    [anon_sym_class] = ACTIONS(1066),
    [anon_sym_COLON_COLON] = ACTIONS(1066),
    [anon_sym_switch] = ACTIONS(1066),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_case] = ACTIONS(1066),
    [anon_sym_default] = ACTIONS(1066),
    [sym_underscore_pattern] = ACTIONS(1066),
    [anon_sym_SEMI] = ACTIONS(1066),
    [aux_sym_expression_statement_token1] = ACTIONS(1064),
    [anon_sym_NULL] = ACTIONS(1066),
    [anon_sym_assert] = ACTIONS(1066),
    [anon_sym_do] = ACTIONS(1066),
    [anon_sym_while] = ACTIONS(1066),
    [anon_sym_break] = ACTIONS(1066),
    [anon_sym_continue] = ACTIONS(1066),
    [anon_sym_return] = ACTIONS(1066),
    [anon_sym_yield] = ACTIONS(1066),
    [anon_sym_synchronized] = ACTIONS(1066),
    [anon_sym_throw] = ACTIONS(1066),
    [anon_sym_try] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(1066),
    [anon_sym_else] = ACTIONS(1066),
    [anon_sym_for] = ACTIONS(1066),
    [anon_sym_AT] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_with] = ACTIONS(1066),
    [anon_sym_package] = ACTIONS(1066),
    [anon_sym_import] = ACTIONS(1066),
    [anon_sym_enum] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_abstract] = ACTIONS(1066),
    [anon_sym_strictfp] = ACTIONS(1066),
    [anon_sym_native] = ACTIONS(1066),
    [anon_sym_transient] = ACTIONS(1066),
    [anon_sym_volatile] = ACTIONS(1066),
    [anon_sym_sealed] = ACTIONS(1066),
    [anon_sym_non_DASHsealed] = ACTIONS(1066),
    [anon_sym_record] = ACTIONS(1066),
    [anon_sym_ATinterface] = ACTIONS(1066),
    [anon_sym_interface] = ACTIONS(1066),
    [anon_sym_byte] = ACTIONS(1066),
    [anon_sym_short] = ACTIONS(1066),
    [anon_sym_int] = ACTIONS(1066),
    [anon_sym_long] = ACTIONS(1066),
    [anon_sym_char] = ACTIONS(1066),
    [anon_sym_float] = ACTIONS(1066),
    [anon_sym_double] = ACTIONS(1066),
    [sym_boolean_type] = ACTIONS(1066),
    [sym_void_type] = ACTIONS(1066),
    [anon_sym_def] = ACTIONS(1066),
    [sym_this] = ACTIONS(1066),
    [sym_super] = ACTIONS(1066),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1066),
  },
  [220] = {
    [sym_class_body] = STATE(286),
    [ts_builtin_sym_end] = ACTIONS(1068),
    [sym_identifier] = ACTIONS(1070),
    [sym_decimal_integer_literal] = ACTIONS(1070),
    [sym_hex_integer_literal] = ACTIONS(1070),
    [sym_octal_integer_literal] = ACTIONS(1070),
    [sym_binary_integer_literal] = ACTIONS(1070),
    [sym_decimal_floating_point_literal] = ACTIONS(1070),
    [sym_hex_floating_point_literal] = ACTIONS(1070),
    [sym_true] = ACTIONS(1070),
    [sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1070),
    [anon_sym_DQUOTE] = ACTIONS(1070),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1070),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1070),
    [anon_sym_RBRACE] = ACTIONS(1070),
    [sym_null_literal] = ACTIONS(1070),
    [anon_sym_LPAREN] = ACTIONS(1070),
    [anon_sym_AMP] = ACTIONS(1070),
    [anon_sym_GT] = ACTIONS(1070),
    [anon_sym_LT] = ACTIONS(1070),
    [anon_sym_GT_EQ] = ACTIONS(1070),
    [anon_sym_LT_EQ] = ACTIONS(1070),
    [anon_sym_EQ_EQ] = ACTIONS(1070),
    [anon_sym_BANG_EQ] = ACTIONS(1070),
    [anon_sym_AMP_AMP] = ACTIONS(1070),
    [anon_sym_PIPE_PIPE] = ACTIONS(1070),
    [anon_sym_PLUS] = ACTIONS(1070),
    [anon_sym_DASH] = ACTIONS(1070),
    [anon_sym_STAR] = ACTIONS(1070),
    [anon_sym_SLASH] = ACTIONS(1070),
    [anon_sym_PIPE] = ACTIONS(1070),
    [anon_sym_CARET] = ACTIONS(1070),
    [anon_sym_PERCENT] = ACTIONS(1070),
    [anon_sym_LT_LT] = ACTIONS(1070),
    [anon_sym_GT_GT] = ACTIONS(1070),
    [anon_sym_GT_GT_GT] = ACTIONS(1070),
    [anon_sym_in] = ACTIONS(1070),
    [anon_sym_STAR_STAR] = ACTIONS(1070),
    [anon_sym_instanceof] = ACTIONS(1070),
    [anon_sym_final] = ACTIONS(1070),
    [anon_sym_DASH_GT] = ACTIONS(1070),
    [anon_sym_QMARK] = ACTIONS(1070),
    [anon_sym_BANG] = ACTIONS(1070),
    [anon_sym_TILDE] = ACTIONS(1070),
    [anon_sym_PLUS_PLUS] = ACTIONS(1070),
    [anon_sym_DASH_DASH] = ACTIONS(1070),
    [anon_sym_new] = ACTIONS(1070),
    [anon_sym_LBRACK] = ACTIONS(1070),
    [anon_sym_DOT] = ACTIONS(1070),
    [anon_sym_class] = ACTIONS(1070),
    [anon_sym_COLON_COLON] = ACTIONS(1070),
    [anon_sym_switch] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_case] = ACTIONS(1070),
    [anon_sym_default] = ACTIONS(1070),
    [sym_underscore_pattern] = ACTIONS(1070),
    [anon_sym_SEMI] = ACTIONS(1070),
    [aux_sym_expression_statement_token1] = ACTIONS(1068),
    [anon_sym_NULL] = ACTIONS(1070),
    [anon_sym_assert] = ACTIONS(1070),
    [anon_sym_do] = ACTIONS(1070),
    [anon_sym_while] = ACTIONS(1070),
    [anon_sym_break] = ACTIONS(1070),
    [anon_sym_continue] = ACTIONS(1070),
    [anon_sym_return] = ACTIONS(1070),
    [anon_sym_yield] = ACTIONS(1070),
    [anon_sym_synchronized] = ACTIONS(1070),
    [anon_sym_throw] = ACTIONS(1070),
    [anon_sym_try] = ACTIONS(1070),
    [anon_sym_if] = ACTIONS(1070),
    [anon_sym_else] = ACTIONS(1070),
    [anon_sym_for] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(1070),
    [anon_sym_open] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_with] = ACTIONS(1070),
    [anon_sym_package] = ACTIONS(1070),
    [anon_sym_import] = ACTIONS(1070),
    [anon_sym_enum] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_abstract] = ACTIONS(1070),
    [anon_sym_strictfp] = ACTIONS(1070),
    [anon_sym_native] = ACTIONS(1070),
    [anon_sym_transient] = ACTIONS(1070),
    [anon_sym_volatile] = ACTIONS(1070),
    [anon_sym_sealed] = ACTIONS(1070),
    [anon_sym_non_DASHsealed] = ACTIONS(1070),
    [anon_sym_record] = ACTIONS(1070),
    [anon_sym_ATinterface] = ACTIONS(1070),
    [anon_sym_interface] = ACTIONS(1070),
    [anon_sym_byte] = ACTIONS(1070),
    [anon_sym_short] = ACTIONS(1070),
    [anon_sym_int] = ACTIONS(1070),
    [anon_sym_long] = ACTIONS(1070),
    [anon_sym_char] = ACTIONS(1070),
    [anon_sym_float] = ACTIONS(1070),
    [anon_sym_double] = ACTIONS(1070),
    [sym_boolean_type] = ACTIONS(1070),
    [sym_void_type] = ACTIONS(1070),
    [anon_sym_def] = ACTIONS(1070),
    [sym_this] = ACTIONS(1070),
    [sym_super] = ACTIONS(1070),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1070),
  },
  [221] = {
    [sym_type_arguments] = STATE(316),
    [sym_record_pattern_body] = STATE(398),
    [ts_builtin_sym_end] = ACTIONS(1072),
    [sym_identifier] = ACTIONS(1074),
    [sym_decimal_integer_literal] = ACTIONS(1074),
    [sym_hex_integer_literal] = ACTIONS(1074),
    [sym_octal_integer_literal] = ACTIONS(1074),
    [sym_binary_integer_literal] = ACTIONS(1074),
    [sym_decimal_floating_point_literal] = ACTIONS(1074),
    [sym_hex_floating_point_literal] = ACTIONS(1074),
    [sym_true] = ACTIONS(1074),
    [sym_false] = ACTIONS(1074),
    [sym_character_literal] = ACTIONS(1074),
    [anon_sym_DQUOTE] = ACTIONS(1074),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1074),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1074),
    [anon_sym_RBRACE] = ACTIONS(1074),
    [sym_null_literal] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(1076),
    [anon_sym_AMP] = ACTIONS(1074),
    [anon_sym_GT] = ACTIONS(1074),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1074),
    [anon_sym_LT_EQ] = ACTIONS(1074),
    [anon_sym_EQ_EQ] = ACTIONS(1074),
    [anon_sym_BANG_EQ] = ACTIONS(1074),
    [anon_sym_AMP_AMP] = ACTIONS(1074),
    [anon_sym_PIPE_PIPE] = ACTIONS(1074),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_STAR] = ACTIONS(1074),
    [anon_sym_SLASH] = ACTIONS(1074),
    [anon_sym_PIPE] = ACTIONS(1074),
    [anon_sym_CARET] = ACTIONS(1074),
    [anon_sym_PERCENT] = ACTIONS(1074),
    [anon_sym_LT_LT] = ACTIONS(1074),
    [anon_sym_GT_GT] = ACTIONS(1074),
    [anon_sym_GT_GT_GT] = ACTIONS(1074),
    [anon_sym_in] = ACTIONS(1074),
    [anon_sym_STAR_STAR] = ACTIONS(1074),
    [anon_sym_instanceof] = ACTIONS(1074),
    [anon_sym_final] = ACTIONS(1074),
    [anon_sym_DASH_GT] = ACTIONS(1074),
    [anon_sym_QMARK] = ACTIONS(1074),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_PLUS_PLUS] = ACTIONS(1074),
    [anon_sym_DASH_DASH] = ACTIONS(1074),
    [anon_sym_new] = ACTIONS(1074),
    [anon_sym_LBRACK] = ACTIONS(1074),
    [anon_sym_DOT] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(1074),
    [anon_sym_switch] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1074),
    [anon_sym_case] = ACTIONS(1074),
    [anon_sym_default] = ACTIONS(1074),
    [sym_underscore_pattern] = ACTIONS(1074),
    [anon_sym_SEMI] = ACTIONS(1074),
    [aux_sym_expression_statement_token1] = ACTIONS(1072),
    [anon_sym_NULL] = ACTIONS(1074),
    [anon_sym_assert] = ACTIONS(1074),
    [anon_sym_do] = ACTIONS(1074),
    [anon_sym_while] = ACTIONS(1074),
    [anon_sym_break] = ACTIONS(1074),
    [anon_sym_continue] = ACTIONS(1074),
    [anon_sym_return] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(1074),
    [anon_sym_synchronized] = ACTIONS(1074),
    [anon_sym_throw] = ACTIONS(1074),
    [anon_sym_try] = ACTIONS(1074),
    [anon_sym_if] = ACTIONS(1074),
    [anon_sym_else] = ACTIONS(1074),
    [anon_sym_for] = ACTIONS(1074),
    [anon_sym_AT] = ACTIONS(1074),
    [anon_sym_open] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_with] = ACTIONS(1074),
    [anon_sym_package] = ACTIONS(1074),
    [anon_sym_import] = ACTIONS(1074),
    [anon_sym_enum] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_abstract] = ACTIONS(1074),
    [anon_sym_strictfp] = ACTIONS(1074),
    [anon_sym_native] = ACTIONS(1074),
    [anon_sym_transient] = ACTIONS(1074),
    [anon_sym_volatile] = ACTIONS(1074),
    [anon_sym_sealed] = ACTIONS(1074),
    [anon_sym_non_DASHsealed] = ACTIONS(1074),
    [anon_sym_record] = ACTIONS(1074),
    [anon_sym_ATinterface] = ACTIONS(1074),
    [anon_sym_interface] = ACTIONS(1074),
    [anon_sym_byte] = ACTIONS(1074),
    [anon_sym_short] = ACTIONS(1074),
    [anon_sym_int] = ACTIONS(1074),
    [anon_sym_long] = ACTIONS(1074),
    [anon_sym_char] = ACTIONS(1074),
    [anon_sym_float] = ACTIONS(1074),
    [anon_sym_double] = ACTIONS(1074),
    [sym_boolean_type] = ACTIONS(1074),
    [sym_void_type] = ACTIONS(1074),
    [anon_sym_def] = ACTIONS(1074),
    [sym_this] = ACTIONS(1074),
    [sym_super] = ACTIONS(1074),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1074),
  },
  [222] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1747),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1506),
    [sym_marker_annotation] = STATE(1506),
    [sym_annotation] = STATE(1506),
    [sym_modifiers] = STATE(1917),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(1760),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym_formal_parameter] = STATE(2514),
    [sym_receiver_parameter] = STATE(2655),
    [sym_spread_parameter] = STATE(2514),
    [sym__reserved_identifier] = STATE(1201),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1827),
    [aux_sym_modifiers_repeat1] = STATE(1604),
    [sym_identifier] = ACTIONS(1010),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_final] = ACTIONS(1014),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_default] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_synchronized] = ACTIONS(1014),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_abstract] = ACTIONS(1014),
    [anon_sym_strictfp] = ACTIONS(1014),
    [anon_sym_native] = ACTIONS(1014),
    [anon_sym_transient] = ACTIONS(1014),
    [anon_sym_volatile] = ACTIONS(1014),
    [anon_sym_sealed] = ACTIONS(1016),
    [anon_sym_non_DASHsealed] = ACTIONS(1018),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_class_body] = STATE(302),
    [ts_builtin_sym_end] = ACTIONS(1084),
    [sym_identifier] = ACTIONS(1086),
    [sym_decimal_integer_literal] = ACTIONS(1086),
    [sym_hex_integer_literal] = ACTIONS(1086),
    [sym_octal_integer_literal] = ACTIONS(1086),
    [sym_binary_integer_literal] = ACTIONS(1086),
    [sym_decimal_floating_point_literal] = ACTIONS(1086),
    [sym_hex_floating_point_literal] = ACTIONS(1086),
    [sym_true] = ACTIONS(1086),
    [sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1086),
    [anon_sym_DQUOTE] = ACTIONS(1086),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1086),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1086),
    [anon_sym_RBRACE] = ACTIONS(1086),
    [sym_null_literal] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1086),
    [anon_sym_AMP] = ACTIONS(1086),
    [anon_sym_GT] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1086),
    [anon_sym_GT_EQ] = ACTIONS(1086),
    [anon_sym_LT_EQ] = ACTIONS(1086),
    [anon_sym_EQ_EQ] = ACTIONS(1086),
    [anon_sym_BANG_EQ] = ACTIONS(1086),
    [anon_sym_AMP_AMP] = ACTIONS(1086),
    [anon_sym_PIPE_PIPE] = ACTIONS(1086),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_PIPE] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1086),
    [anon_sym_PERCENT] = ACTIONS(1086),
    [anon_sym_LT_LT] = ACTIONS(1086),
    [anon_sym_GT_GT] = ACTIONS(1086),
    [anon_sym_GT_GT_GT] = ACTIONS(1086),
    [anon_sym_in] = ACTIONS(1086),
    [anon_sym_STAR_STAR] = ACTIONS(1086),
    [anon_sym_instanceof] = ACTIONS(1086),
    [anon_sym_final] = ACTIONS(1086),
    [anon_sym_DASH_GT] = ACTIONS(1086),
    [anon_sym_QMARK] = ACTIONS(1086),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_TILDE] = ACTIONS(1086),
    [anon_sym_PLUS_PLUS] = ACTIONS(1086),
    [anon_sym_DASH_DASH] = ACTIONS(1086),
    [anon_sym_new] = ACTIONS(1086),
    [anon_sym_LBRACK] = ACTIONS(1086),
    [anon_sym_DOT] = ACTIONS(1086),
    [anon_sym_class] = ACTIONS(1086),
    [anon_sym_COLON_COLON] = ACTIONS(1086),
    [anon_sym_switch] = ACTIONS(1086),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_case] = ACTIONS(1086),
    [anon_sym_default] = ACTIONS(1086),
    [sym_underscore_pattern] = ACTIONS(1086),
    [anon_sym_SEMI] = ACTIONS(1086),
    [aux_sym_expression_statement_token1] = ACTIONS(1084),
    [anon_sym_NULL] = ACTIONS(1086),
    [anon_sym_assert] = ACTIONS(1086),
    [anon_sym_do] = ACTIONS(1086),
    [anon_sym_while] = ACTIONS(1086),
    [anon_sym_break] = ACTIONS(1086),
    [anon_sym_continue] = ACTIONS(1086),
    [anon_sym_return] = ACTIONS(1086),
    [anon_sym_yield] = ACTIONS(1086),
    [anon_sym_synchronized] = ACTIONS(1086),
    [anon_sym_throw] = ACTIONS(1086),
    [anon_sym_try] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1086),
    [anon_sym_else] = ACTIONS(1086),
    [anon_sym_for] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_module] = ACTIONS(1086),
    [anon_sym_static] = ACTIONS(1086),
    [anon_sym_with] = ACTIONS(1086),
    [anon_sym_package] = ACTIONS(1086),
    [anon_sym_import] = ACTIONS(1086),
    [anon_sym_enum] = ACTIONS(1086),
    [anon_sym_public] = ACTIONS(1086),
    [anon_sym_protected] = ACTIONS(1086),
    [anon_sym_private] = ACTIONS(1086),
    [anon_sym_abstract] = ACTIONS(1086),
    [anon_sym_strictfp] = ACTIONS(1086),
    [anon_sym_native] = ACTIONS(1086),
    [anon_sym_transient] = ACTIONS(1086),
    [anon_sym_volatile] = ACTIONS(1086),
    [anon_sym_sealed] = ACTIONS(1086),
    [anon_sym_non_DASHsealed] = ACTIONS(1086),
    [anon_sym_record] = ACTIONS(1086),
    [anon_sym_ATinterface] = ACTIONS(1086),
    [anon_sym_interface] = ACTIONS(1086),
    [anon_sym_byte] = ACTIONS(1086),
    [anon_sym_short] = ACTIONS(1086),
    [anon_sym_int] = ACTIONS(1086),
    [anon_sym_long] = ACTIONS(1086),
    [anon_sym_char] = ACTIONS(1086),
    [anon_sym_float] = ACTIONS(1086),
    [anon_sym_double] = ACTIONS(1086),
    [sym_boolean_type] = ACTIONS(1086),
    [sym_void_type] = ACTIONS(1086),
    [anon_sym_def] = ACTIONS(1086),
    [sym_this] = ACTIONS(1086),
    [sym_super] = ACTIONS(1086),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1086),
  },
  [224] = {
    [sym_class_body] = STATE(303),
    [ts_builtin_sym_end] = ACTIONS(1088),
    [sym_identifier] = ACTIONS(1090),
    [sym_decimal_integer_literal] = ACTIONS(1090),
    [sym_hex_integer_literal] = ACTIONS(1090),
    [sym_octal_integer_literal] = ACTIONS(1090),
    [sym_binary_integer_literal] = ACTIONS(1090),
    [sym_decimal_floating_point_literal] = ACTIONS(1090),
    [sym_hex_floating_point_literal] = ACTIONS(1090),
    [sym_true] = ACTIONS(1090),
    [sym_false] = ACTIONS(1090),
    [sym_character_literal] = ACTIONS(1090),
    [anon_sym_DQUOTE] = ACTIONS(1090),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1090),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1090),
    [anon_sym_RBRACE] = ACTIONS(1090),
    [sym_null_literal] = ACTIONS(1090),
    [anon_sym_LPAREN] = ACTIONS(1090),
    [anon_sym_AMP] = ACTIONS(1090),
    [anon_sym_GT] = ACTIONS(1090),
    [anon_sym_LT] = ACTIONS(1090),
    [anon_sym_GT_EQ] = ACTIONS(1090),
    [anon_sym_LT_EQ] = ACTIONS(1090),
    [anon_sym_EQ_EQ] = ACTIONS(1090),
    [anon_sym_BANG_EQ] = ACTIONS(1090),
    [anon_sym_AMP_AMP] = ACTIONS(1090),
    [anon_sym_PIPE_PIPE] = ACTIONS(1090),
    [anon_sym_PLUS] = ACTIONS(1090),
    [anon_sym_DASH] = ACTIONS(1090),
    [anon_sym_STAR] = ACTIONS(1090),
    [anon_sym_SLASH] = ACTIONS(1090),
    [anon_sym_PIPE] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1090),
    [anon_sym_PERCENT] = ACTIONS(1090),
    [anon_sym_LT_LT] = ACTIONS(1090),
    [anon_sym_GT_GT] = ACTIONS(1090),
    [anon_sym_GT_GT_GT] = ACTIONS(1090),
    [anon_sym_in] = ACTIONS(1090),
    [anon_sym_STAR_STAR] = ACTIONS(1090),
    [anon_sym_instanceof] = ACTIONS(1090),
    [anon_sym_final] = ACTIONS(1090),
    [anon_sym_DASH_GT] = ACTIONS(1090),
    [anon_sym_QMARK] = ACTIONS(1090),
    [anon_sym_BANG] = ACTIONS(1090),
    [anon_sym_TILDE] = ACTIONS(1090),
    [anon_sym_PLUS_PLUS] = ACTIONS(1090),
    [anon_sym_DASH_DASH] = ACTIONS(1090),
    [anon_sym_new] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1090),
    [anon_sym_DOT] = ACTIONS(1090),
    [anon_sym_class] = ACTIONS(1090),
    [anon_sym_COLON_COLON] = ACTIONS(1090),
    [anon_sym_switch] = ACTIONS(1090),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_case] = ACTIONS(1090),
    [anon_sym_default] = ACTIONS(1090),
    [sym_underscore_pattern] = ACTIONS(1090),
    [anon_sym_SEMI] = ACTIONS(1090),
    [aux_sym_expression_statement_token1] = ACTIONS(1088),
    [anon_sym_NULL] = ACTIONS(1090),
    [anon_sym_assert] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(1090),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_break] = ACTIONS(1090),
    [anon_sym_continue] = ACTIONS(1090),
    [anon_sym_return] = ACTIONS(1090),
    [anon_sym_yield] = ACTIONS(1090),
    [anon_sym_synchronized] = ACTIONS(1090),
    [anon_sym_throw] = ACTIONS(1090),
    [anon_sym_try] = ACTIONS(1090),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_else] = ACTIONS(1090),
    [anon_sym_for] = ACTIONS(1090),
    [anon_sym_AT] = ACTIONS(1090),
    [anon_sym_open] = ACTIONS(1090),
    [anon_sym_module] = ACTIONS(1090),
    [anon_sym_static] = ACTIONS(1090),
    [anon_sym_with] = ACTIONS(1090),
    [anon_sym_package] = ACTIONS(1090),
    [anon_sym_import] = ACTIONS(1090),
    [anon_sym_enum] = ACTIONS(1090),
    [anon_sym_public] = ACTIONS(1090),
    [anon_sym_protected] = ACTIONS(1090),
    [anon_sym_private] = ACTIONS(1090),
    [anon_sym_abstract] = ACTIONS(1090),
    [anon_sym_strictfp] = ACTIONS(1090),
    [anon_sym_native] = ACTIONS(1090),
    [anon_sym_transient] = ACTIONS(1090),
    [anon_sym_volatile] = ACTIONS(1090),
    [anon_sym_sealed] = ACTIONS(1090),
    [anon_sym_non_DASHsealed] = ACTIONS(1090),
    [anon_sym_record] = ACTIONS(1090),
    [anon_sym_ATinterface] = ACTIONS(1090),
    [anon_sym_interface] = ACTIONS(1090),
    [anon_sym_byte] = ACTIONS(1090),
    [anon_sym_short] = ACTIONS(1090),
    [anon_sym_int] = ACTIONS(1090),
    [anon_sym_long] = ACTIONS(1090),
    [anon_sym_char] = ACTIONS(1090),
    [anon_sym_float] = ACTIONS(1090),
    [anon_sym_double] = ACTIONS(1090),
    [sym_boolean_type] = ACTIONS(1090),
    [sym_void_type] = ACTIONS(1090),
    [anon_sym_def] = ACTIONS(1090),
    [sym_this] = ACTIONS(1090),
    [sym_super] = ACTIONS(1090),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1090),
  },
  [225] = {
    [sym_class_body] = STATE(306),
    [ts_builtin_sym_end] = ACTIONS(1092),
    [sym_identifier] = ACTIONS(1094),
    [sym_decimal_integer_literal] = ACTIONS(1094),
    [sym_hex_integer_literal] = ACTIONS(1094),
    [sym_octal_integer_literal] = ACTIONS(1094),
    [sym_binary_integer_literal] = ACTIONS(1094),
    [sym_decimal_floating_point_literal] = ACTIONS(1094),
    [sym_hex_floating_point_literal] = ACTIONS(1094),
    [sym_true] = ACTIONS(1094),
    [sym_false] = ACTIONS(1094),
    [sym_character_literal] = ACTIONS(1094),
    [anon_sym_DQUOTE] = ACTIONS(1094),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1094),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1094),
    [anon_sym_RBRACE] = ACTIONS(1094),
    [sym_null_literal] = ACTIONS(1094),
    [anon_sym_LPAREN] = ACTIONS(1094),
    [anon_sym_AMP] = ACTIONS(1094),
    [anon_sym_GT] = ACTIONS(1094),
    [anon_sym_LT] = ACTIONS(1094),
    [anon_sym_GT_EQ] = ACTIONS(1094),
    [anon_sym_LT_EQ] = ACTIONS(1094),
    [anon_sym_EQ_EQ] = ACTIONS(1094),
    [anon_sym_BANG_EQ] = ACTIONS(1094),
    [anon_sym_AMP_AMP] = ACTIONS(1094),
    [anon_sym_PIPE_PIPE] = ACTIONS(1094),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_STAR] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(1094),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_CARET] = ACTIONS(1094),
    [anon_sym_PERCENT] = ACTIONS(1094),
    [anon_sym_LT_LT] = ACTIONS(1094),
    [anon_sym_GT_GT] = ACTIONS(1094),
    [anon_sym_GT_GT_GT] = ACTIONS(1094),
    [anon_sym_in] = ACTIONS(1094),
    [anon_sym_STAR_STAR] = ACTIONS(1094),
    [anon_sym_instanceof] = ACTIONS(1094),
    [anon_sym_final] = ACTIONS(1094),
    [anon_sym_DASH_GT] = ACTIONS(1094),
    [anon_sym_QMARK] = ACTIONS(1094),
    [anon_sym_BANG] = ACTIONS(1094),
    [anon_sym_TILDE] = ACTIONS(1094),
    [anon_sym_PLUS_PLUS] = ACTIONS(1094),
    [anon_sym_DASH_DASH] = ACTIONS(1094),
    [anon_sym_new] = ACTIONS(1094),
    [anon_sym_LBRACK] = ACTIONS(1094),
    [anon_sym_DOT] = ACTIONS(1094),
    [anon_sym_class] = ACTIONS(1094),
    [anon_sym_COLON_COLON] = ACTIONS(1094),
    [anon_sym_switch] = ACTIONS(1094),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_case] = ACTIONS(1094),
    [anon_sym_default] = ACTIONS(1094),
    [sym_underscore_pattern] = ACTIONS(1094),
    [anon_sym_SEMI] = ACTIONS(1094),
    [aux_sym_expression_statement_token1] = ACTIONS(1092),
    [anon_sym_NULL] = ACTIONS(1094),
    [anon_sym_assert] = ACTIONS(1094),
    [anon_sym_do] = ACTIONS(1094),
    [anon_sym_while] = ACTIONS(1094),
    [anon_sym_break] = ACTIONS(1094),
    [anon_sym_continue] = ACTIONS(1094),
    [anon_sym_return] = ACTIONS(1094),
    [anon_sym_yield] = ACTIONS(1094),
    [anon_sym_synchronized] = ACTIONS(1094),
    [anon_sym_throw] = ACTIONS(1094),
    [anon_sym_try] = ACTIONS(1094),
    [anon_sym_if] = ACTIONS(1094),
    [anon_sym_else] = ACTIONS(1094),
    [anon_sym_for] = ACTIONS(1094),
    [anon_sym_AT] = ACTIONS(1094),
    [anon_sym_open] = ACTIONS(1094),
    [anon_sym_module] = ACTIONS(1094),
    [anon_sym_static] = ACTIONS(1094),
    [anon_sym_with] = ACTIONS(1094),
    [anon_sym_package] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(1094),
    [anon_sym_enum] = ACTIONS(1094),
    [anon_sym_public] = ACTIONS(1094),
    [anon_sym_protected] = ACTIONS(1094),
    [anon_sym_private] = ACTIONS(1094),
    [anon_sym_abstract] = ACTIONS(1094),
    [anon_sym_strictfp] = ACTIONS(1094),
    [anon_sym_native] = ACTIONS(1094),
    [anon_sym_transient] = ACTIONS(1094),
    [anon_sym_volatile] = ACTIONS(1094),
    [anon_sym_sealed] = ACTIONS(1094),
    [anon_sym_non_DASHsealed] = ACTIONS(1094),
    [anon_sym_record] = ACTIONS(1094),
    [anon_sym_ATinterface] = ACTIONS(1094),
    [anon_sym_interface] = ACTIONS(1094),
    [anon_sym_byte] = ACTIONS(1094),
    [anon_sym_short] = ACTIONS(1094),
    [anon_sym_int] = ACTIONS(1094),
    [anon_sym_long] = ACTIONS(1094),
    [anon_sym_char] = ACTIONS(1094),
    [anon_sym_float] = ACTIONS(1094),
    [anon_sym_double] = ACTIONS(1094),
    [sym_boolean_type] = ACTIONS(1094),
    [sym_void_type] = ACTIONS(1094),
    [anon_sym_def] = ACTIONS(1094),
    [sym_this] = ACTIONS(1094),
    [sym_super] = ACTIONS(1094),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1094),
  },
  [226] = {
    [sym_class_body] = STATE(310),
    [ts_builtin_sym_end] = ACTIONS(1096),
    [sym_identifier] = ACTIONS(1098),
    [sym_decimal_integer_literal] = ACTIONS(1098),
    [sym_hex_integer_literal] = ACTIONS(1098),
    [sym_octal_integer_literal] = ACTIONS(1098),
    [sym_binary_integer_literal] = ACTIONS(1098),
    [sym_decimal_floating_point_literal] = ACTIONS(1098),
    [sym_hex_floating_point_literal] = ACTIONS(1098),
    [sym_true] = ACTIONS(1098),
    [sym_false] = ACTIONS(1098),
    [sym_character_literal] = ACTIONS(1098),
    [anon_sym_DQUOTE] = ACTIONS(1098),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1098),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1098),
    [anon_sym_RBRACE] = ACTIONS(1098),
    [sym_null_literal] = ACTIONS(1098),
    [anon_sym_LPAREN] = ACTIONS(1098),
    [anon_sym_AMP] = ACTIONS(1098),
    [anon_sym_GT] = ACTIONS(1098),
    [anon_sym_LT] = ACTIONS(1098),
    [anon_sym_GT_EQ] = ACTIONS(1098),
    [anon_sym_LT_EQ] = ACTIONS(1098),
    [anon_sym_EQ_EQ] = ACTIONS(1098),
    [anon_sym_BANG_EQ] = ACTIONS(1098),
    [anon_sym_AMP_AMP] = ACTIONS(1098),
    [anon_sym_PIPE_PIPE] = ACTIONS(1098),
    [anon_sym_PLUS] = ACTIONS(1098),
    [anon_sym_DASH] = ACTIONS(1098),
    [anon_sym_STAR] = ACTIONS(1098),
    [anon_sym_SLASH] = ACTIONS(1098),
    [anon_sym_PIPE] = ACTIONS(1098),
    [anon_sym_CARET] = ACTIONS(1098),
    [anon_sym_PERCENT] = ACTIONS(1098),
    [anon_sym_LT_LT] = ACTIONS(1098),
    [anon_sym_GT_GT] = ACTIONS(1098),
    [anon_sym_GT_GT_GT] = ACTIONS(1098),
    [anon_sym_in] = ACTIONS(1098),
    [anon_sym_STAR_STAR] = ACTIONS(1098),
    [anon_sym_instanceof] = ACTIONS(1098),
    [anon_sym_final] = ACTIONS(1098),
    [anon_sym_DASH_GT] = ACTIONS(1098),
    [anon_sym_QMARK] = ACTIONS(1098),
    [anon_sym_BANG] = ACTIONS(1098),
    [anon_sym_TILDE] = ACTIONS(1098),
    [anon_sym_PLUS_PLUS] = ACTIONS(1098),
    [anon_sym_DASH_DASH] = ACTIONS(1098),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_LBRACK] = ACTIONS(1098),
    [anon_sym_DOT] = ACTIONS(1098),
    [anon_sym_class] = ACTIONS(1098),
    [anon_sym_COLON_COLON] = ACTIONS(1098),
    [anon_sym_switch] = ACTIONS(1098),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_case] = ACTIONS(1098),
    [anon_sym_default] = ACTIONS(1098),
    [sym_underscore_pattern] = ACTIONS(1098),
    [anon_sym_SEMI] = ACTIONS(1098),
    [aux_sym_expression_statement_token1] = ACTIONS(1096),
    [anon_sym_NULL] = ACTIONS(1098),
    [anon_sym_assert] = ACTIONS(1098),
    [anon_sym_do] = ACTIONS(1098),
    [anon_sym_while] = ACTIONS(1098),
    [anon_sym_break] = ACTIONS(1098),
    [anon_sym_continue] = ACTIONS(1098),
    [anon_sym_return] = ACTIONS(1098),
    [anon_sym_yield] = ACTIONS(1098),
    [anon_sym_synchronized] = ACTIONS(1098),
    [anon_sym_throw] = ACTIONS(1098),
    [anon_sym_try] = ACTIONS(1098),
    [anon_sym_if] = ACTIONS(1098),
    [anon_sym_else] = ACTIONS(1098),
    [anon_sym_for] = ACTIONS(1098),
    [anon_sym_AT] = ACTIONS(1098),
    [anon_sym_open] = ACTIONS(1098),
    [anon_sym_module] = ACTIONS(1098),
    [anon_sym_static] = ACTIONS(1098),
    [anon_sym_with] = ACTIONS(1098),
    [anon_sym_package] = ACTIONS(1098),
    [anon_sym_import] = ACTIONS(1098),
    [anon_sym_enum] = ACTIONS(1098),
    [anon_sym_public] = ACTIONS(1098),
    [anon_sym_protected] = ACTIONS(1098),
    [anon_sym_private] = ACTIONS(1098),
    [anon_sym_abstract] = ACTIONS(1098),
    [anon_sym_strictfp] = ACTIONS(1098),
    [anon_sym_native] = ACTIONS(1098),
    [anon_sym_transient] = ACTIONS(1098),
    [anon_sym_volatile] = ACTIONS(1098),
    [anon_sym_sealed] = ACTIONS(1098),
    [anon_sym_non_DASHsealed] = ACTIONS(1098),
    [anon_sym_record] = ACTIONS(1098),
    [anon_sym_ATinterface] = ACTIONS(1098),
    [anon_sym_interface] = ACTIONS(1098),
    [anon_sym_byte] = ACTIONS(1098),
    [anon_sym_short] = ACTIONS(1098),
    [anon_sym_int] = ACTIONS(1098),
    [anon_sym_long] = ACTIONS(1098),
    [anon_sym_char] = ACTIONS(1098),
    [anon_sym_float] = ACTIONS(1098),
    [anon_sym_double] = ACTIONS(1098),
    [sym_boolean_type] = ACTIONS(1098),
    [sym_void_type] = ACTIONS(1098),
    [anon_sym_def] = ACTIONS(1098),
    [sym_this] = ACTIONS(1098),
    [sym_super] = ACTIONS(1098),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1098),
  },
  [227] = {
    [sym_closure] = STATE(273),
    [ts_builtin_sym_end] = ACTIONS(1100),
    [sym_identifier] = ACTIONS(1102),
    [sym_decimal_integer_literal] = ACTIONS(1102),
    [sym_hex_integer_literal] = ACTIONS(1102),
    [sym_octal_integer_literal] = ACTIONS(1102),
    [sym_binary_integer_literal] = ACTIONS(1102),
    [sym_decimal_floating_point_literal] = ACTIONS(1102),
    [sym_hex_floating_point_literal] = ACTIONS(1102),
    [sym_true] = ACTIONS(1102),
    [sym_false] = ACTIONS(1102),
    [sym_character_literal] = ACTIONS(1102),
    [anon_sym_DQUOTE] = ACTIONS(1102),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1102),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1102),
    [anon_sym_RBRACE] = ACTIONS(1102),
    [sym_null_literal] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1102),
    [anon_sym_AMP] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1102),
    [anon_sym_GT_EQ] = ACTIONS(1102),
    [anon_sym_LT_EQ] = ACTIONS(1102),
    [anon_sym_EQ_EQ] = ACTIONS(1102),
    [anon_sym_BANG_EQ] = ACTIONS(1102),
    [anon_sym_AMP_AMP] = ACTIONS(1102),
    [anon_sym_PIPE_PIPE] = ACTIONS(1102),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_STAR] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1102),
    [anon_sym_PIPE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1102),
    [anon_sym_PERCENT] = ACTIONS(1102),
    [anon_sym_LT_LT] = ACTIONS(1102),
    [anon_sym_GT_GT] = ACTIONS(1102),
    [anon_sym_GT_GT_GT] = ACTIONS(1102),
    [anon_sym_in] = ACTIONS(1102),
    [anon_sym_STAR_STAR] = ACTIONS(1102),
    [anon_sym_instanceof] = ACTIONS(1102),
    [anon_sym_final] = ACTIONS(1102),
    [anon_sym_DASH_GT] = ACTIONS(1102),
    [anon_sym_QMARK] = ACTIONS(1102),
    [anon_sym_BANG] = ACTIONS(1102),
    [anon_sym_TILDE] = ACTIONS(1102),
    [anon_sym_PLUS_PLUS] = ACTIONS(1102),
    [anon_sym_DASH_DASH] = ACTIONS(1102),
    [anon_sym_new] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1102),
    [anon_sym_DOT] = ACTIONS(1102),
    [anon_sym_class] = ACTIONS(1102),
    [anon_sym_COLON_COLON] = ACTIONS(1102),
    [anon_sym_switch] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1030),
    [anon_sym_case] = ACTIONS(1102),
    [anon_sym_default] = ACTIONS(1102),
    [sym_underscore_pattern] = ACTIONS(1102),
    [anon_sym_SEMI] = ACTIONS(1102),
    [aux_sym_expression_statement_token1] = ACTIONS(1100),
    [anon_sym_NULL] = ACTIONS(1102),
    [anon_sym_assert] = ACTIONS(1102),
    [anon_sym_do] = ACTIONS(1102),
    [anon_sym_while] = ACTIONS(1102),
    [anon_sym_break] = ACTIONS(1102),
    [anon_sym_continue] = ACTIONS(1102),
    [anon_sym_return] = ACTIONS(1102),
    [anon_sym_yield] = ACTIONS(1102),
    [anon_sym_synchronized] = ACTIONS(1102),
    [anon_sym_throw] = ACTIONS(1102),
    [anon_sym_try] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1102),
    [anon_sym_else] = ACTIONS(1102),
    [anon_sym_for] = ACTIONS(1102),
    [anon_sym_AT] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_module] = ACTIONS(1102),
    [anon_sym_static] = ACTIONS(1102),
    [anon_sym_with] = ACTIONS(1102),
    [anon_sym_package] = ACTIONS(1102),
    [anon_sym_import] = ACTIONS(1102),
    [anon_sym_enum] = ACTIONS(1102),
    [anon_sym_public] = ACTIONS(1102),
    [anon_sym_protected] = ACTIONS(1102),
    [anon_sym_private] = ACTIONS(1102),
    [anon_sym_abstract] = ACTIONS(1102),
    [anon_sym_strictfp] = ACTIONS(1102),
    [anon_sym_native] = ACTIONS(1102),
    [anon_sym_transient] = ACTIONS(1102),
    [anon_sym_volatile] = ACTIONS(1102),
    [anon_sym_sealed] = ACTIONS(1102),
    [anon_sym_non_DASHsealed] = ACTIONS(1102),
    [anon_sym_record] = ACTIONS(1102),
    [anon_sym_ATinterface] = ACTIONS(1102),
    [anon_sym_interface] = ACTIONS(1102),
    [anon_sym_byte] = ACTIONS(1102),
    [anon_sym_short] = ACTIONS(1102),
    [anon_sym_int] = ACTIONS(1102),
    [anon_sym_long] = ACTIONS(1102),
    [anon_sym_char] = ACTIONS(1102),
    [anon_sym_float] = ACTIONS(1102),
    [anon_sym_double] = ACTIONS(1102),
    [sym_boolean_type] = ACTIONS(1102),
    [sym_void_type] = ACTIONS(1102),
    [anon_sym_def] = ACTIONS(1102),
    [sym_this] = ACTIONS(1102),
    [sym_super] = ACTIONS(1102),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1102),
  },
  [228] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1674),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1506),
    [sym_marker_annotation] = STATE(1506),
    [sym_annotation] = STATE(1506),
    [sym_modifiers] = STATE(1917),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(1760),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym_formal_parameter] = STATE(2514),
    [sym_receiver_parameter] = STATE(2655),
    [sym_spread_parameter] = STATE(2514),
    [sym__reserved_identifier] = STATE(1201),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1827),
    [aux_sym_modifiers_repeat1] = STATE(1604),
    [sym_identifier] = ACTIONS(1010),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_final] = ACTIONS(1014),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_default] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_synchronized] = ACTIONS(1014),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_abstract] = ACTIONS(1014),
    [anon_sym_strictfp] = ACTIONS(1014),
    [anon_sym_native] = ACTIONS(1014),
    [anon_sym_transient] = ACTIONS(1014),
    [anon_sym_volatile] = ACTIONS(1014),
    [anon_sym_sealed] = ACTIONS(1016),
    [anon_sym_non_DASHsealed] = ACTIONS(1018),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_class_body] = STATE(292),
    [ts_builtin_sym_end] = ACTIONS(1104),
    [sym_identifier] = ACTIONS(1106),
    [sym_decimal_integer_literal] = ACTIONS(1106),
    [sym_hex_integer_literal] = ACTIONS(1106),
    [sym_octal_integer_literal] = ACTIONS(1106),
    [sym_binary_integer_literal] = ACTIONS(1106),
    [sym_decimal_floating_point_literal] = ACTIONS(1106),
    [sym_hex_floating_point_literal] = ACTIONS(1106),
    [sym_true] = ACTIONS(1106),
    [sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1106),
    [anon_sym_DQUOTE] = ACTIONS(1106),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1106),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1106),
    [anon_sym_RBRACE] = ACTIONS(1106),
    [sym_null_literal] = ACTIONS(1106),
    [anon_sym_LPAREN] = ACTIONS(1106),
    [anon_sym_AMP] = ACTIONS(1106),
    [anon_sym_GT] = ACTIONS(1106),
    [anon_sym_LT] = ACTIONS(1106),
    [anon_sym_GT_EQ] = ACTIONS(1106),
    [anon_sym_LT_EQ] = ACTIONS(1106),
    [anon_sym_EQ_EQ] = ACTIONS(1106),
    [anon_sym_BANG_EQ] = ACTIONS(1106),
    [anon_sym_AMP_AMP] = ACTIONS(1106),
    [anon_sym_PIPE_PIPE] = ACTIONS(1106),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_DASH] = ACTIONS(1106),
    [anon_sym_STAR] = ACTIONS(1106),
    [anon_sym_SLASH] = ACTIONS(1106),
    [anon_sym_PIPE] = ACTIONS(1106),
    [anon_sym_CARET] = ACTIONS(1106),
    [anon_sym_PERCENT] = ACTIONS(1106),
    [anon_sym_LT_LT] = ACTIONS(1106),
    [anon_sym_GT_GT] = ACTIONS(1106),
    [anon_sym_GT_GT_GT] = ACTIONS(1106),
    [anon_sym_in] = ACTIONS(1106),
    [anon_sym_STAR_STAR] = ACTIONS(1106),
    [anon_sym_instanceof] = ACTIONS(1106),
    [anon_sym_final] = ACTIONS(1106),
    [anon_sym_DASH_GT] = ACTIONS(1106),
    [anon_sym_QMARK] = ACTIONS(1106),
    [anon_sym_BANG] = ACTIONS(1106),
    [anon_sym_TILDE] = ACTIONS(1106),
    [anon_sym_PLUS_PLUS] = ACTIONS(1106),
    [anon_sym_DASH_DASH] = ACTIONS(1106),
    [anon_sym_new] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(1106),
    [anon_sym_DOT] = ACTIONS(1106),
    [anon_sym_class] = ACTIONS(1106),
    [anon_sym_COLON_COLON] = ACTIONS(1106),
    [anon_sym_switch] = ACTIONS(1106),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_case] = ACTIONS(1106),
    [anon_sym_default] = ACTIONS(1106),
    [sym_underscore_pattern] = ACTIONS(1106),
    [anon_sym_SEMI] = ACTIONS(1106),
    [aux_sym_expression_statement_token1] = ACTIONS(1104),
    [anon_sym_NULL] = ACTIONS(1106),
    [anon_sym_assert] = ACTIONS(1106),
    [anon_sym_do] = ACTIONS(1106),
    [anon_sym_while] = ACTIONS(1106),
    [anon_sym_break] = ACTIONS(1106),
    [anon_sym_continue] = ACTIONS(1106),
    [anon_sym_return] = ACTIONS(1106),
    [anon_sym_yield] = ACTIONS(1106),
    [anon_sym_synchronized] = ACTIONS(1106),
    [anon_sym_throw] = ACTIONS(1106),
    [anon_sym_try] = ACTIONS(1106),
    [anon_sym_if] = ACTIONS(1106),
    [anon_sym_else] = ACTIONS(1106),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_AT] = ACTIONS(1106),
    [anon_sym_open] = ACTIONS(1106),
    [anon_sym_module] = ACTIONS(1106),
    [anon_sym_static] = ACTIONS(1106),
    [anon_sym_with] = ACTIONS(1106),
    [anon_sym_package] = ACTIONS(1106),
    [anon_sym_import] = ACTIONS(1106),
    [anon_sym_enum] = ACTIONS(1106),
    [anon_sym_public] = ACTIONS(1106),
    [anon_sym_protected] = ACTIONS(1106),
    [anon_sym_private] = ACTIONS(1106),
    [anon_sym_abstract] = ACTIONS(1106),
    [anon_sym_strictfp] = ACTIONS(1106),
    [anon_sym_native] = ACTIONS(1106),
    [anon_sym_transient] = ACTIONS(1106),
    [anon_sym_volatile] = ACTIONS(1106),
    [anon_sym_sealed] = ACTIONS(1106),
    [anon_sym_non_DASHsealed] = ACTIONS(1106),
    [anon_sym_record] = ACTIONS(1106),
    [anon_sym_ATinterface] = ACTIONS(1106),
    [anon_sym_interface] = ACTIONS(1106),
    [anon_sym_byte] = ACTIONS(1106),
    [anon_sym_short] = ACTIONS(1106),
    [anon_sym_int] = ACTIONS(1106),
    [anon_sym_long] = ACTIONS(1106),
    [anon_sym_char] = ACTIONS(1106),
    [anon_sym_float] = ACTIONS(1106),
    [anon_sym_double] = ACTIONS(1106),
    [sym_boolean_type] = ACTIONS(1106),
    [sym_void_type] = ACTIONS(1106),
    [anon_sym_def] = ACTIONS(1106),
    [sym_this] = ACTIONS(1106),
    [sym_super] = ACTIONS(1106),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1106),
  },
  [230] = {
    [sym_class_body] = STATE(241),
    [ts_builtin_sym_end] = ACTIONS(1108),
    [sym_identifier] = ACTIONS(1110),
    [sym_decimal_integer_literal] = ACTIONS(1110),
    [sym_hex_integer_literal] = ACTIONS(1110),
    [sym_octal_integer_literal] = ACTIONS(1110),
    [sym_binary_integer_literal] = ACTIONS(1110),
    [sym_decimal_floating_point_literal] = ACTIONS(1110),
    [sym_hex_floating_point_literal] = ACTIONS(1110),
    [sym_true] = ACTIONS(1110),
    [sym_false] = ACTIONS(1110),
    [sym_character_literal] = ACTIONS(1110),
    [anon_sym_DQUOTE] = ACTIONS(1110),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1110),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1110),
    [anon_sym_RBRACE] = ACTIONS(1110),
    [sym_null_literal] = ACTIONS(1110),
    [anon_sym_LPAREN] = ACTIONS(1110),
    [anon_sym_AMP] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT_EQ] = ACTIONS(1110),
    [anon_sym_LT_EQ] = ACTIONS(1110),
    [anon_sym_EQ_EQ] = ACTIONS(1110),
    [anon_sym_BANG_EQ] = ACTIONS(1110),
    [anon_sym_AMP_AMP] = ACTIONS(1110),
    [anon_sym_PIPE_PIPE] = ACTIONS(1110),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1110),
    [anon_sym_PIPE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1110),
    [anon_sym_PERCENT] = ACTIONS(1110),
    [anon_sym_LT_LT] = ACTIONS(1110),
    [anon_sym_GT_GT] = ACTIONS(1110),
    [anon_sym_GT_GT_GT] = ACTIONS(1110),
    [anon_sym_in] = ACTIONS(1110),
    [anon_sym_STAR_STAR] = ACTIONS(1110),
    [anon_sym_instanceof] = ACTIONS(1110),
    [anon_sym_final] = ACTIONS(1110),
    [anon_sym_DASH_GT] = ACTIONS(1110),
    [anon_sym_QMARK] = ACTIONS(1110),
    [anon_sym_BANG] = ACTIONS(1110),
    [anon_sym_TILDE] = ACTIONS(1110),
    [anon_sym_PLUS_PLUS] = ACTIONS(1110),
    [anon_sym_DASH_DASH] = ACTIONS(1110),
    [anon_sym_new] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1110),
    [anon_sym_DOT] = ACTIONS(1110),
    [anon_sym_class] = ACTIONS(1110),
    [anon_sym_COLON_COLON] = ACTIONS(1110),
    [anon_sym_switch] = ACTIONS(1110),
    [anon_sym_LBRACE] = ACTIONS(1024),
    [anon_sym_case] = ACTIONS(1110),
    [anon_sym_default] = ACTIONS(1110),
    [sym_underscore_pattern] = ACTIONS(1110),
    [anon_sym_SEMI] = ACTIONS(1110),
    [aux_sym_expression_statement_token1] = ACTIONS(1108),
    [anon_sym_NULL] = ACTIONS(1110),
    [anon_sym_assert] = ACTIONS(1110),
    [anon_sym_do] = ACTIONS(1110),
    [anon_sym_while] = ACTIONS(1110),
    [anon_sym_break] = ACTIONS(1110),
    [anon_sym_continue] = ACTIONS(1110),
    [anon_sym_return] = ACTIONS(1110),
    [anon_sym_yield] = ACTIONS(1110),
    [anon_sym_synchronized] = ACTIONS(1110),
    [anon_sym_throw] = ACTIONS(1110),
    [anon_sym_try] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1110),
    [anon_sym_else] = ACTIONS(1110),
    [anon_sym_for] = ACTIONS(1110),
    [anon_sym_AT] = ACTIONS(1110),
    [anon_sym_open] = ACTIONS(1110),
    [anon_sym_module] = ACTIONS(1110),
    [anon_sym_static] = ACTIONS(1110),
    [anon_sym_with] = ACTIONS(1110),
    [anon_sym_package] = ACTIONS(1110),
    [anon_sym_import] = ACTIONS(1110),
    [anon_sym_enum] = ACTIONS(1110),
    [anon_sym_public] = ACTIONS(1110),
    [anon_sym_protected] = ACTIONS(1110),
    [anon_sym_private] = ACTIONS(1110),
    [anon_sym_abstract] = ACTIONS(1110),
    [anon_sym_strictfp] = ACTIONS(1110),
    [anon_sym_native] = ACTIONS(1110),
    [anon_sym_transient] = ACTIONS(1110),
    [anon_sym_volatile] = ACTIONS(1110),
    [anon_sym_sealed] = ACTIONS(1110),
    [anon_sym_non_DASHsealed] = ACTIONS(1110),
    [anon_sym_record] = ACTIONS(1110),
    [anon_sym_ATinterface] = ACTIONS(1110),
    [anon_sym_interface] = ACTIONS(1110),
    [anon_sym_byte] = ACTIONS(1110),
    [anon_sym_short] = ACTIONS(1110),
    [anon_sym_int] = ACTIONS(1110),
    [anon_sym_long] = ACTIONS(1110),
    [anon_sym_char] = ACTIONS(1110),
    [anon_sym_float] = ACTIONS(1110),
    [anon_sym_double] = ACTIONS(1110),
    [sym_boolean_type] = ACTIONS(1110),
    [sym_void_type] = ACTIONS(1110),
    [anon_sym_def] = ACTIONS(1110),
    [sym_this] = ACTIONS(1110),
    [sym_super] = ACTIONS(1110),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1110),
  },
  [231] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1687),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1506),
    [sym_marker_annotation] = STATE(1506),
    [sym_annotation] = STATE(1506),
    [sym_modifiers] = STATE(1917),
    [sym__type] = STATE(2382),
    [sym__unannotated_type] = STATE(1760),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym_formal_parameter] = STATE(2514),
    [sym_receiver_parameter] = STATE(2655),
    [sym_spread_parameter] = STATE(2514),
    [sym__reserved_identifier] = STATE(1201),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1827),
    [aux_sym_modifiers_repeat1] = STATE(1604),
    [sym_identifier] = ACTIONS(1052),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_final] = ACTIONS(1014),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_default] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_synchronized] = ACTIONS(1014),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_abstract] = ACTIONS(1014),
    [anon_sym_strictfp] = ACTIONS(1014),
    [anon_sym_native] = ACTIONS(1014),
    [anon_sym_transient] = ACTIONS(1014),
    [anon_sym_volatile] = ACTIONS(1014),
    [anon_sym_sealed] = ACTIONS(1016),
    [anon_sym_non_DASHsealed] = ACTIONS(1018),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [232] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1747),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1506),
    [sym_marker_annotation] = STATE(1506),
    [sym_annotation] = STATE(1506),
    [sym_modifiers] = STATE(1917),
    [sym__type] = STATE(2407),
    [sym__unannotated_type] = STATE(1760),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym_formal_parameter] = STATE(2514),
    [sym_receiver_parameter] = STATE(2655),
    [sym_spread_parameter] = STATE(2514),
    [sym__reserved_identifier] = STATE(1201),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1827),
    [aux_sym_modifiers_repeat1] = STATE(1604),
    [sym_identifier] = ACTIONS(1052),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_final] = ACTIONS(1014),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_default] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_synchronized] = ACTIONS(1014),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_abstract] = ACTIONS(1014),
    [anon_sym_strictfp] = ACTIONS(1014),
    [anon_sym_native] = ACTIONS(1014),
    [anon_sym_transient] = ACTIONS(1014),
    [anon_sym_volatile] = ACTIONS(1014),
    [anon_sym_sealed] = ACTIONS(1016),
    [anon_sym_non_DASHsealed] = ACTIONS(1018),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [233] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1674),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1506),
    [sym_marker_annotation] = STATE(1506),
    [sym_annotation] = STATE(1506),
    [sym_modifiers] = STATE(1917),
    [sym__type] = STATE(2400),
    [sym__unannotated_type] = STATE(1760),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym_formal_parameter] = STATE(2514),
    [sym_receiver_parameter] = STATE(2655),
    [sym_spread_parameter] = STATE(2514),
    [sym__reserved_identifier] = STATE(1201),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1827),
    [aux_sym_modifiers_repeat1] = STATE(1604),
    [sym_identifier] = ACTIONS(1052),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_final] = ACTIONS(1014),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_default] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_synchronized] = ACTIONS(1014),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_abstract] = ACTIONS(1014),
    [anon_sym_strictfp] = ACTIONS(1014),
    [anon_sym_native] = ACTIONS(1014),
    [anon_sym_transient] = ACTIONS(1014),
    [anon_sym_volatile] = ACTIONS(1014),
    [anon_sym_sealed] = ACTIONS(1016),
    [anon_sym_non_DASHsealed] = ACTIONS(1018),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [234] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1687),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1506),
    [sym_marker_annotation] = STATE(1506),
    [sym_annotation] = STATE(1506),
    [sym_modifiers] = STATE(1917),
    [sym__type] = STATE(2413),
    [sym__unannotated_type] = STATE(1760),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym_formal_parameter] = STATE(2514),
    [sym_receiver_parameter] = STATE(2655),
    [sym_spread_parameter] = STATE(2514),
    [sym__reserved_identifier] = STATE(1201),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1827),
    [aux_sym_modifiers_repeat1] = STATE(1604),
    [sym_identifier] = ACTIONS(1052),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_final] = ACTIONS(1014),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_default] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_synchronized] = ACTIONS(1014),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_abstract] = ACTIONS(1014),
    [anon_sym_strictfp] = ACTIONS(1014),
    [anon_sym_native] = ACTIONS(1014),
    [anon_sym_transient] = ACTIONS(1014),
    [anon_sym_volatile] = ACTIONS(1014),
    [anon_sym_sealed] = ACTIONS(1016),
    [anon_sym_non_DASHsealed] = ACTIONS(1018),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [235] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1696),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1506),
    [sym_marker_annotation] = STATE(1506),
    [sym_annotation] = STATE(1506),
    [sym_modifiers] = STATE(1917),
    [sym__type] = STATE(2388),
    [sym__unannotated_type] = STATE(1760),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym_formal_parameter] = STATE(2514),
    [sym_receiver_parameter] = STATE(2655),
    [sym_spread_parameter] = STATE(2514),
    [sym__reserved_identifier] = STATE(1201),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1827),
    [aux_sym_modifiers_repeat1] = STATE(1604),
    [sym_identifier] = ACTIONS(1052),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1012),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_final] = ACTIONS(1014),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_default] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_synchronized] = ACTIONS(1014),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_abstract] = ACTIONS(1014),
    [anon_sym_strictfp] = ACTIONS(1014),
    [anon_sym_native] = ACTIONS(1014),
    [anon_sym_transient] = ACTIONS(1014),
    [anon_sym_volatile] = ACTIONS(1014),
    [anon_sym_sealed] = ACTIONS(1016),
    [anon_sym_non_DASHsealed] = ACTIONS(1018),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [236] = {
    [ts_builtin_sym_end] = ACTIONS(1112),
    [sym_identifier] = ACTIONS(1114),
    [sym_decimal_integer_literal] = ACTIONS(1114),
    [sym_hex_integer_literal] = ACTIONS(1114),
    [sym_octal_integer_literal] = ACTIONS(1114),
    [sym_binary_integer_literal] = ACTIONS(1114),
    [sym_decimal_floating_point_literal] = ACTIONS(1114),
    [sym_hex_floating_point_literal] = ACTIONS(1114),
    [sym_true] = ACTIONS(1114),
    [sym_false] = ACTIONS(1114),
    [sym_character_literal] = ACTIONS(1114),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1114),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1114),
    [anon_sym_RBRACE] = ACTIONS(1114),
    [sym_null_literal] = ACTIONS(1114),
    [anon_sym_LPAREN] = ACTIONS(1114),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_GT] = ACTIONS(1114),
    [anon_sym_LT] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1114),
    [anon_sym_LT_EQ] = ACTIONS(1114),
    [anon_sym_EQ_EQ] = ACTIONS(1114),
    [anon_sym_BANG_EQ] = ACTIONS(1114),
    [anon_sym_AMP_AMP] = ACTIONS(1114),
    [anon_sym_PIPE_PIPE] = ACTIONS(1114),
    [anon_sym_PLUS] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1114),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_SLASH] = ACTIONS(1114),
    [anon_sym_PIPE] = ACTIONS(1114),
    [anon_sym_CARET] = ACTIONS(1114),
    [anon_sym_PERCENT] = ACTIONS(1114),
    [anon_sym_LT_LT] = ACTIONS(1114),
    [anon_sym_GT_GT] = ACTIONS(1114),
    [anon_sym_GT_GT_GT] = ACTIONS(1114),
    [anon_sym_in] = ACTIONS(1114),
    [anon_sym_STAR_STAR] = ACTIONS(1114),
    [anon_sym_instanceof] = ACTIONS(1114),
    [anon_sym_final] = ACTIONS(1114),
    [anon_sym_DASH_GT] = ACTIONS(1114),
    [anon_sym_QMARK] = ACTIONS(1114),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1114),
    [anon_sym_PLUS_PLUS] = ACTIONS(1114),
    [anon_sym_DASH_DASH] = ACTIONS(1114),
    [anon_sym_new] = ACTIONS(1114),
    [anon_sym_LBRACK] = ACTIONS(1114),
    [anon_sym_DOT] = ACTIONS(1114),
    [anon_sym_class] = ACTIONS(1114),
    [anon_sym_COLON_COLON] = ACTIONS(1114),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1114),
    [anon_sym_case] = ACTIONS(1114),
    [anon_sym_default] = ACTIONS(1114),
    [sym_underscore_pattern] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1114),
    [aux_sym_expression_statement_token1] = ACTIONS(1112),
    [anon_sym_NULL] = ACTIONS(1114),
    [anon_sym_assert] = ACTIONS(1114),
    [anon_sym_do] = ACTIONS(1114),
    [anon_sym_while] = ACTIONS(1114),
    [anon_sym_break] = ACTIONS(1114),
    [anon_sym_continue] = ACTIONS(1114),
    [anon_sym_return] = ACTIONS(1114),
    [anon_sym_yield] = ACTIONS(1114),
    [anon_sym_synchronized] = ACTIONS(1114),
    [anon_sym_throw] = ACTIONS(1114),
    [anon_sym_try] = ACTIONS(1114),
    [anon_sym_if] = ACTIONS(1114),
    [anon_sym_else] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1114),
    [anon_sym_AT] = ACTIONS(1114),
    [anon_sym_open] = ACTIONS(1114),
    [anon_sym_module] = ACTIONS(1114),
    [anon_sym_static] = ACTIONS(1114),
    [anon_sym_with] = ACTIONS(1114),
    [anon_sym_package] = ACTIONS(1114),
    [anon_sym_import] = ACTIONS(1114),
    [anon_sym_enum] = ACTIONS(1114),
    [anon_sym_public] = ACTIONS(1114),
    [anon_sym_protected] = ACTIONS(1114),
    [anon_sym_private] = ACTIONS(1114),
    [anon_sym_abstract] = ACTIONS(1114),
    [anon_sym_strictfp] = ACTIONS(1114),
    [anon_sym_native] = ACTIONS(1114),
    [anon_sym_transient] = ACTIONS(1114),
    [anon_sym_volatile] = ACTIONS(1114),
    [anon_sym_sealed] = ACTIONS(1114),
    [anon_sym_non_DASHsealed] = ACTIONS(1114),
    [anon_sym_record] = ACTIONS(1114),
    [anon_sym_ATinterface] = ACTIONS(1114),
    [anon_sym_interface] = ACTIONS(1114),
    [anon_sym_byte] = ACTIONS(1114),
    [anon_sym_short] = ACTIONS(1114),
    [anon_sym_int] = ACTIONS(1114),
    [anon_sym_long] = ACTIONS(1114),
    [anon_sym_char] = ACTIONS(1114),
    [anon_sym_float] = ACTIONS(1114),
    [anon_sym_double] = ACTIONS(1114),
    [sym_boolean_type] = ACTIONS(1114),
    [sym_void_type] = ACTIONS(1114),
    [anon_sym_def] = ACTIONS(1114),
    [sym_this] = ACTIONS(1114),
    [sym_super] = ACTIONS(1114),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1114),
  },
  [237] = {
    [ts_builtin_sym_end] = ACTIONS(1116),
    [sym_identifier] = ACTIONS(1118),
    [sym_decimal_integer_literal] = ACTIONS(1118),
    [sym_hex_integer_literal] = ACTIONS(1118),
    [sym_octal_integer_literal] = ACTIONS(1118),
    [sym_binary_integer_literal] = ACTIONS(1118),
    [sym_decimal_floating_point_literal] = ACTIONS(1118),
    [sym_hex_floating_point_literal] = ACTIONS(1118),
    [sym_true] = ACTIONS(1118),
    [sym_false] = ACTIONS(1118),
    [sym_character_literal] = ACTIONS(1118),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1118),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1118),
    [anon_sym_RBRACE] = ACTIONS(1118),
    [sym_null_literal] = ACTIONS(1118),
    [anon_sym_LPAREN] = ACTIONS(1118),
    [anon_sym_AMP] = ACTIONS(1118),
    [anon_sym_GT] = ACTIONS(1118),
    [anon_sym_LT] = ACTIONS(1118),
    [anon_sym_GT_EQ] = ACTIONS(1118),
    [anon_sym_LT_EQ] = ACTIONS(1118),
    [anon_sym_EQ_EQ] = ACTIONS(1118),
    [anon_sym_BANG_EQ] = ACTIONS(1118),
    [anon_sym_AMP_AMP] = ACTIONS(1118),
    [anon_sym_PIPE_PIPE] = ACTIONS(1118),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1118),
    [anon_sym_PIPE] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1118),
    [anon_sym_PERCENT] = ACTIONS(1118),
    [anon_sym_LT_LT] = ACTIONS(1118),
    [anon_sym_GT_GT] = ACTIONS(1118),
    [anon_sym_GT_GT_GT] = ACTIONS(1118),
    [anon_sym_in] = ACTIONS(1118),
    [anon_sym_STAR_STAR] = ACTIONS(1118),
    [anon_sym_instanceof] = ACTIONS(1118),
    [anon_sym_final] = ACTIONS(1118),
    [anon_sym_DASH_GT] = ACTIONS(1118),
    [anon_sym_QMARK] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_TILDE] = ACTIONS(1118),
    [anon_sym_PLUS_PLUS] = ACTIONS(1118),
    [anon_sym_DASH_DASH] = ACTIONS(1118),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1118),
    [anon_sym_DOT] = ACTIONS(1118),
    [anon_sym_class] = ACTIONS(1118),
    [anon_sym_COLON_COLON] = ACTIONS(1118),
    [anon_sym_switch] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(1118),
    [anon_sym_case] = ACTIONS(1118),
    [anon_sym_default] = ACTIONS(1118),
    [sym_underscore_pattern] = ACTIONS(1118),
    [anon_sym_SEMI] = ACTIONS(1118),
    [aux_sym_expression_statement_token1] = ACTIONS(1116),
    [anon_sym_NULL] = ACTIONS(1118),
    [anon_sym_assert] = ACTIONS(1118),
    [anon_sym_do] = ACTIONS(1118),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_break] = ACTIONS(1118),
    [anon_sym_continue] = ACTIONS(1118),
    [anon_sym_return] = ACTIONS(1118),
    [anon_sym_yield] = ACTIONS(1118),
    [anon_sym_synchronized] = ACTIONS(1118),
    [anon_sym_throw] = ACTIONS(1118),
    [anon_sym_try] = ACTIONS(1118),
    [anon_sym_if] = ACTIONS(1118),
    [anon_sym_else] = ACTIONS(1118),
    [anon_sym_for] = ACTIONS(1118),
    [anon_sym_AT] = ACTIONS(1118),
    [anon_sym_open] = ACTIONS(1118),
    [anon_sym_module] = ACTIONS(1118),
    [anon_sym_static] = ACTIONS(1118),
    [anon_sym_with] = ACTIONS(1118),
    [anon_sym_package] = ACTIONS(1118),
    [anon_sym_import] = ACTIONS(1118),
    [anon_sym_enum] = ACTIONS(1118),
    [anon_sym_public] = ACTIONS(1118),
    [anon_sym_protected] = ACTIONS(1118),
    [anon_sym_private] = ACTIONS(1118),
    [anon_sym_abstract] = ACTIONS(1118),
    [anon_sym_strictfp] = ACTIONS(1118),
    [anon_sym_native] = ACTIONS(1118),
    [anon_sym_transient] = ACTIONS(1118),
    [anon_sym_volatile] = ACTIONS(1118),
    [anon_sym_sealed] = ACTIONS(1118),
    [anon_sym_non_DASHsealed] = ACTIONS(1118),
    [anon_sym_record] = ACTIONS(1118),
    [anon_sym_ATinterface] = ACTIONS(1118),
    [anon_sym_interface] = ACTIONS(1118),
    [anon_sym_byte] = ACTIONS(1118),
    [anon_sym_short] = ACTIONS(1118),
    [anon_sym_int] = ACTIONS(1118),
    [anon_sym_long] = ACTIONS(1118),
    [anon_sym_char] = ACTIONS(1118),
    [anon_sym_float] = ACTIONS(1118),
    [anon_sym_double] = ACTIONS(1118),
    [sym_boolean_type] = ACTIONS(1118),
    [sym_void_type] = ACTIONS(1118),
    [anon_sym_def] = ACTIONS(1118),
    [sym_this] = ACTIONS(1118),
    [sym_super] = ACTIONS(1118),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1118),
  },
  [238] = {
    [ts_builtin_sym_end] = ACTIONS(1120),
    [sym_identifier] = ACTIONS(1122),
    [sym_decimal_integer_literal] = ACTIONS(1122),
    [sym_hex_integer_literal] = ACTIONS(1122),
    [sym_octal_integer_literal] = ACTIONS(1122),
    [sym_binary_integer_literal] = ACTIONS(1122),
    [sym_decimal_floating_point_literal] = ACTIONS(1122),
    [sym_hex_floating_point_literal] = ACTIONS(1122),
    [sym_true] = ACTIONS(1122),
    [sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1122),
    [anon_sym_DQUOTE] = ACTIONS(1122),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1122),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1122),
    [anon_sym_RBRACE] = ACTIONS(1122),
    [sym_null_literal] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1122),
    [anon_sym_AMP] = ACTIONS(1122),
    [anon_sym_GT] = ACTIONS(1122),
    [anon_sym_LT] = ACTIONS(1122),
    [anon_sym_GT_EQ] = ACTIONS(1122),
    [anon_sym_LT_EQ] = ACTIONS(1122),
    [anon_sym_EQ_EQ] = ACTIONS(1122),
    [anon_sym_BANG_EQ] = ACTIONS(1122),
    [anon_sym_AMP_AMP] = ACTIONS(1122),
    [anon_sym_PIPE_PIPE] = ACTIONS(1122),
    [anon_sym_PLUS] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1122),
    [anon_sym_STAR] = ACTIONS(1122),
    [anon_sym_SLASH] = ACTIONS(1122),
    [anon_sym_PIPE] = ACTIONS(1122),
    [anon_sym_CARET] = ACTIONS(1122),
    [anon_sym_PERCENT] = ACTIONS(1122),
    [anon_sym_LT_LT] = ACTIONS(1122),
    [anon_sym_GT_GT] = ACTIONS(1122),
    [anon_sym_GT_GT_GT] = ACTIONS(1122),
    [anon_sym_in] = ACTIONS(1122),
    [anon_sym_STAR_STAR] = ACTIONS(1122),
    [anon_sym_instanceof] = ACTIONS(1122),
    [anon_sym_final] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1122),
    [anon_sym_QMARK] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1122),
    [anon_sym_TILDE] = ACTIONS(1122),
    [anon_sym_PLUS_PLUS] = ACTIONS(1122),
    [anon_sym_DASH_DASH] = ACTIONS(1122),
    [anon_sym_new] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1122),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_class] = ACTIONS(1122),
    [anon_sym_COLON_COLON] = ACTIONS(1122),
    [anon_sym_switch] = ACTIONS(1122),
    [anon_sym_LBRACE] = ACTIONS(1122),
    [anon_sym_case] = ACTIONS(1122),
    [anon_sym_default] = ACTIONS(1122),
    [sym_underscore_pattern] = ACTIONS(1122),
    [anon_sym_SEMI] = ACTIONS(1122),
    [aux_sym_expression_statement_token1] = ACTIONS(1120),
    [anon_sym_NULL] = ACTIONS(1122),
    [anon_sym_assert] = ACTIONS(1122),
    [anon_sym_do] = ACTIONS(1122),
    [anon_sym_while] = ACTIONS(1122),
    [anon_sym_break] = ACTIONS(1122),
    [anon_sym_continue] = ACTIONS(1122),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_yield] = ACTIONS(1122),
    [anon_sym_synchronized] = ACTIONS(1122),
    [anon_sym_throw] = ACTIONS(1122),
    [anon_sym_try] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1122),
    [anon_sym_else] = ACTIONS(1122),
    [anon_sym_for] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_module] = ACTIONS(1122),
    [anon_sym_static] = ACTIONS(1122),
    [anon_sym_with] = ACTIONS(1122),
    [anon_sym_package] = ACTIONS(1122),
    [anon_sym_import] = ACTIONS(1122),
    [anon_sym_enum] = ACTIONS(1122),
    [anon_sym_public] = ACTIONS(1122),
    [anon_sym_protected] = ACTIONS(1122),
    [anon_sym_private] = ACTIONS(1122),
    [anon_sym_abstract] = ACTIONS(1122),
    [anon_sym_strictfp] = ACTIONS(1122),
    [anon_sym_native] = ACTIONS(1122),
    [anon_sym_transient] = ACTIONS(1122),
    [anon_sym_volatile] = ACTIONS(1122),
    [anon_sym_sealed] = ACTIONS(1122),
    [anon_sym_non_DASHsealed] = ACTIONS(1122),
    [anon_sym_record] = ACTIONS(1122),
    [anon_sym_ATinterface] = ACTIONS(1122),
    [anon_sym_interface] = ACTIONS(1122),
    [anon_sym_byte] = ACTIONS(1122),
    [anon_sym_short] = ACTIONS(1122),
    [anon_sym_int] = ACTIONS(1122),
    [anon_sym_long] = ACTIONS(1122),
    [anon_sym_char] = ACTIONS(1122),
    [anon_sym_float] = ACTIONS(1122),
    [anon_sym_double] = ACTIONS(1122),
    [sym_boolean_type] = ACTIONS(1122),
    [sym_void_type] = ACTIONS(1122),
    [anon_sym_def] = ACTIONS(1122),
    [sym_this] = ACTIONS(1122),
    [sym_super] = ACTIONS(1122),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1122),
  },
  [239] = {
    [ts_builtin_sym_end] = ACTIONS(1124),
    [sym_identifier] = ACTIONS(1126),
    [sym_decimal_integer_literal] = ACTIONS(1126),
    [sym_hex_integer_literal] = ACTIONS(1126),
    [sym_octal_integer_literal] = ACTIONS(1126),
    [sym_binary_integer_literal] = ACTIONS(1126),
    [sym_decimal_floating_point_literal] = ACTIONS(1126),
    [sym_hex_floating_point_literal] = ACTIONS(1126),
    [sym_true] = ACTIONS(1126),
    [sym_false] = ACTIONS(1126),
    [sym_character_literal] = ACTIONS(1126),
    [anon_sym_DQUOTE] = ACTIONS(1126),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1126),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1126),
    [anon_sym_RBRACE] = ACTIONS(1126),
    [sym_null_literal] = ACTIONS(1126),
    [anon_sym_LPAREN] = ACTIONS(1126),
    [anon_sym_AMP] = ACTIONS(1126),
    [anon_sym_GT] = ACTIONS(1126),
    [anon_sym_LT] = ACTIONS(1126),
    [anon_sym_GT_EQ] = ACTIONS(1126),
    [anon_sym_LT_EQ] = ACTIONS(1126),
    [anon_sym_EQ_EQ] = ACTIONS(1126),
    [anon_sym_BANG_EQ] = ACTIONS(1126),
    [anon_sym_AMP_AMP] = ACTIONS(1126),
    [anon_sym_PIPE_PIPE] = ACTIONS(1126),
    [anon_sym_PLUS] = ACTIONS(1126),
    [anon_sym_DASH] = ACTIONS(1126),
    [anon_sym_STAR] = ACTIONS(1126),
    [anon_sym_SLASH] = ACTIONS(1126),
    [anon_sym_PIPE] = ACTIONS(1126),
    [anon_sym_CARET] = ACTIONS(1126),
    [anon_sym_PERCENT] = ACTIONS(1126),
    [anon_sym_LT_LT] = ACTIONS(1126),
    [anon_sym_GT_GT] = ACTIONS(1126),
    [anon_sym_GT_GT_GT] = ACTIONS(1126),
    [anon_sym_in] = ACTIONS(1126),
    [anon_sym_STAR_STAR] = ACTIONS(1126),
    [anon_sym_instanceof] = ACTIONS(1126),
    [anon_sym_final] = ACTIONS(1126),
    [anon_sym_DASH_GT] = ACTIONS(1126),
    [anon_sym_QMARK] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_TILDE] = ACTIONS(1126),
    [anon_sym_PLUS_PLUS] = ACTIONS(1126),
    [anon_sym_DASH_DASH] = ACTIONS(1126),
    [anon_sym_new] = ACTIONS(1126),
    [anon_sym_LBRACK] = ACTIONS(1126),
    [anon_sym_DOT] = ACTIONS(1126),
    [anon_sym_class] = ACTIONS(1126),
    [anon_sym_COLON_COLON] = ACTIONS(1126),
    [anon_sym_switch] = ACTIONS(1126),
    [anon_sym_LBRACE] = ACTIONS(1126),
    [anon_sym_case] = ACTIONS(1126),
    [anon_sym_default] = ACTIONS(1126),
    [sym_underscore_pattern] = ACTIONS(1126),
    [anon_sym_SEMI] = ACTIONS(1126),
    [aux_sym_expression_statement_token1] = ACTIONS(1124),
    [anon_sym_NULL] = ACTIONS(1126),
    [anon_sym_assert] = ACTIONS(1126),
    [anon_sym_do] = ACTIONS(1126),
    [anon_sym_while] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1126),
    [anon_sym_continue] = ACTIONS(1126),
    [anon_sym_return] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1126),
    [anon_sym_synchronized] = ACTIONS(1126),
    [anon_sym_throw] = ACTIONS(1126),
    [anon_sym_try] = ACTIONS(1126),
    [anon_sym_if] = ACTIONS(1126),
    [anon_sym_else] = ACTIONS(1126),
    [anon_sym_for] = ACTIONS(1126),
    [anon_sym_AT] = ACTIONS(1126),
    [anon_sym_open] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_with] = ACTIONS(1126),
    [anon_sym_package] = ACTIONS(1126),
    [anon_sym_import] = ACTIONS(1126),
    [anon_sym_enum] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_abstract] = ACTIONS(1126),
    [anon_sym_strictfp] = ACTIONS(1126),
    [anon_sym_native] = ACTIONS(1126),
    [anon_sym_transient] = ACTIONS(1126),
    [anon_sym_volatile] = ACTIONS(1126),
    [anon_sym_sealed] = ACTIONS(1126),
    [anon_sym_non_DASHsealed] = ACTIONS(1126),
    [anon_sym_record] = ACTIONS(1126),
    [anon_sym_ATinterface] = ACTIONS(1126),
    [anon_sym_interface] = ACTIONS(1126),
    [anon_sym_byte] = ACTIONS(1126),
    [anon_sym_short] = ACTIONS(1126),
    [anon_sym_int] = ACTIONS(1126),
    [anon_sym_long] = ACTIONS(1126),
    [anon_sym_char] = ACTIONS(1126),
    [anon_sym_float] = ACTIONS(1126),
    [anon_sym_double] = ACTIONS(1126),
    [sym_boolean_type] = ACTIONS(1126),
    [sym_void_type] = ACTIONS(1126),
    [anon_sym_def] = ACTIONS(1126),
    [sym_this] = ACTIONS(1126),
    [sym_super] = ACTIONS(1126),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1126),
  },
  [240] = {
    [ts_builtin_sym_end] = ACTIONS(1128),
    [sym_identifier] = ACTIONS(1130),
    [sym_decimal_integer_literal] = ACTIONS(1130),
    [sym_hex_integer_literal] = ACTIONS(1130),
    [sym_octal_integer_literal] = ACTIONS(1130),
    [sym_binary_integer_literal] = ACTIONS(1130),
    [sym_decimal_floating_point_literal] = ACTIONS(1130),
    [sym_hex_floating_point_literal] = ACTIONS(1130),
    [sym_true] = ACTIONS(1130),
    [sym_false] = ACTIONS(1130),
    [sym_character_literal] = ACTIONS(1130),
    [anon_sym_DQUOTE] = ACTIONS(1130),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1130),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1130),
    [anon_sym_RBRACE] = ACTIONS(1130),
    [sym_null_literal] = ACTIONS(1130),
    [anon_sym_LPAREN] = ACTIONS(1130),
    [anon_sym_AMP] = ACTIONS(1130),
    [anon_sym_GT] = ACTIONS(1130),
    [anon_sym_LT] = ACTIONS(1130),
    [anon_sym_GT_EQ] = ACTIONS(1130),
    [anon_sym_LT_EQ] = ACTIONS(1130),
    [anon_sym_EQ_EQ] = ACTIONS(1130),
    [anon_sym_BANG_EQ] = ACTIONS(1130),
    [anon_sym_AMP_AMP] = ACTIONS(1130),
    [anon_sym_PIPE_PIPE] = ACTIONS(1130),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_STAR] = ACTIONS(1130),
    [anon_sym_SLASH] = ACTIONS(1130),
    [anon_sym_PIPE] = ACTIONS(1130),
    [anon_sym_CARET] = ACTIONS(1130),
    [anon_sym_PERCENT] = ACTIONS(1130),
    [anon_sym_LT_LT] = ACTIONS(1130),
    [anon_sym_GT_GT] = ACTIONS(1130),
    [anon_sym_GT_GT_GT] = ACTIONS(1130),
    [anon_sym_in] = ACTIONS(1130),
    [anon_sym_STAR_STAR] = ACTIONS(1130),
    [anon_sym_instanceof] = ACTIONS(1130),
    [anon_sym_final] = ACTIONS(1130),
    [anon_sym_DASH_GT] = ACTIONS(1130),
    [anon_sym_QMARK] = ACTIONS(1130),
    [anon_sym_BANG] = ACTIONS(1130),
    [anon_sym_TILDE] = ACTIONS(1130),
    [anon_sym_PLUS_PLUS] = ACTIONS(1130),
    [anon_sym_DASH_DASH] = ACTIONS(1130),
    [anon_sym_new] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1130),
    [anon_sym_DOT] = ACTIONS(1130),
    [anon_sym_class] = ACTIONS(1130),
    [anon_sym_COLON_COLON] = ACTIONS(1130),
    [anon_sym_switch] = ACTIONS(1130),
    [anon_sym_LBRACE] = ACTIONS(1130),
    [anon_sym_case] = ACTIONS(1130),
    [anon_sym_default] = ACTIONS(1130),
    [sym_underscore_pattern] = ACTIONS(1130),
    [anon_sym_SEMI] = ACTIONS(1130),
    [aux_sym_expression_statement_token1] = ACTIONS(1128),
    [anon_sym_NULL] = ACTIONS(1130),
    [anon_sym_assert] = ACTIONS(1130),
    [anon_sym_do] = ACTIONS(1130),
    [anon_sym_while] = ACTIONS(1130),
    [anon_sym_break] = ACTIONS(1130),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_return] = ACTIONS(1130),
    [anon_sym_yield] = ACTIONS(1130),
    [anon_sym_synchronized] = ACTIONS(1130),
    [anon_sym_throw] = ACTIONS(1130),
    [anon_sym_try] = ACTIONS(1130),
    [anon_sym_if] = ACTIONS(1130),
    [anon_sym_else] = ACTIONS(1130),
    [anon_sym_for] = ACTIONS(1130),
    [anon_sym_AT] = ACTIONS(1130),
    [anon_sym_open] = ACTIONS(1130),
    [anon_sym_module] = ACTIONS(1130),
    [anon_sym_static] = ACTIONS(1130),
    [anon_sym_with] = ACTIONS(1130),
    [anon_sym_package] = ACTIONS(1130),
    [anon_sym_import] = ACTIONS(1130),
    [anon_sym_enum] = ACTIONS(1130),
    [anon_sym_public] = ACTIONS(1130),
    [anon_sym_protected] = ACTIONS(1130),
    [anon_sym_private] = ACTIONS(1130),
    [anon_sym_abstract] = ACTIONS(1130),
    [anon_sym_strictfp] = ACTIONS(1130),
    [anon_sym_native] = ACTIONS(1130),
    [anon_sym_transient] = ACTIONS(1130),
    [anon_sym_volatile] = ACTIONS(1130),
    [anon_sym_sealed] = ACTIONS(1130),
    [anon_sym_non_DASHsealed] = ACTIONS(1130),
    [anon_sym_record] = ACTIONS(1130),
    [anon_sym_ATinterface] = ACTIONS(1130),
    [anon_sym_interface] = ACTIONS(1130),
    [anon_sym_byte] = ACTIONS(1130),
    [anon_sym_short] = ACTIONS(1130),
    [anon_sym_int] = ACTIONS(1130),
    [anon_sym_long] = ACTIONS(1130),
    [anon_sym_char] = ACTIONS(1130),
    [anon_sym_float] = ACTIONS(1130),
    [anon_sym_double] = ACTIONS(1130),
    [sym_boolean_type] = ACTIONS(1130),
    [sym_void_type] = ACTIONS(1130),
    [anon_sym_def] = ACTIONS(1130),
    [sym_this] = ACTIONS(1130),
    [sym_super] = ACTIONS(1130),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1130),
  },
  [241] = {
    [ts_builtin_sym_end] = ACTIONS(1132),
    [sym_identifier] = ACTIONS(1134),
    [sym_decimal_integer_literal] = ACTIONS(1134),
    [sym_hex_integer_literal] = ACTIONS(1134),
    [sym_octal_integer_literal] = ACTIONS(1134),
    [sym_binary_integer_literal] = ACTIONS(1134),
    [sym_decimal_floating_point_literal] = ACTIONS(1134),
    [sym_hex_floating_point_literal] = ACTIONS(1134),
    [sym_true] = ACTIONS(1134),
    [sym_false] = ACTIONS(1134),
    [sym_character_literal] = ACTIONS(1134),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1134),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1134),
    [anon_sym_RBRACE] = ACTIONS(1134),
    [sym_null_literal] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(1134),
    [anon_sym_AMP] = ACTIONS(1134),
    [anon_sym_GT] = ACTIONS(1134),
    [anon_sym_LT] = ACTIONS(1134),
    [anon_sym_GT_EQ] = ACTIONS(1134),
    [anon_sym_LT_EQ] = ACTIONS(1134),
    [anon_sym_EQ_EQ] = ACTIONS(1134),
    [anon_sym_BANG_EQ] = ACTIONS(1134),
    [anon_sym_AMP_AMP] = ACTIONS(1134),
    [anon_sym_PIPE_PIPE] = ACTIONS(1134),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_PIPE] = ACTIONS(1134),
    [anon_sym_CARET] = ACTIONS(1134),
    [anon_sym_PERCENT] = ACTIONS(1134),
    [anon_sym_LT_LT] = ACTIONS(1134),
    [anon_sym_GT_GT] = ACTIONS(1134),
    [anon_sym_GT_GT_GT] = ACTIONS(1134),
    [anon_sym_in] = ACTIONS(1134),
    [anon_sym_STAR_STAR] = ACTIONS(1134),
    [anon_sym_instanceof] = ACTIONS(1134),
    [anon_sym_final] = ACTIONS(1134),
    [anon_sym_DASH_GT] = ACTIONS(1134),
    [anon_sym_QMARK] = ACTIONS(1134),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1134),
    [anon_sym_PLUS_PLUS] = ACTIONS(1134),
    [anon_sym_DASH_DASH] = ACTIONS(1134),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1134),
    [anon_sym_DOT] = ACTIONS(1134),
    [anon_sym_class] = ACTIONS(1134),
    [anon_sym_COLON_COLON] = ACTIONS(1134),
    [anon_sym_switch] = ACTIONS(1134),
    [anon_sym_LBRACE] = ACTIONS(1134),
    [anon_sym_case] = ACTIONS(1134),
    [anon_sym_default] = ACTIONS(1134),
    [sym_underscore_pattern] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1134),
    [aux_sym_expression_statement_token1] = ACTIONS(1132),
    [anon_sym_NULL] = ACTIONS(1134),
    [anon_sym_assert] = ACTIONS(1134),
    [anon_sym_do] = ACTIONS(1134),
    [anon_sym_while] = ACTIONS(1134),
    [anon_sym_break] = ACTIONS(1134),
    [anon_sym_continue] = ACTIONS(1134),
    [anon_sym_return] = ACTIONS(1134),
    [anon_sym_yield] = ACTIONS(1134),
    [anon_sym_synchronized] = ACTIONS(1134),
    [anon_sym_throw] = ACTIONS(1134),
    [anon_sym_try] = ACTIONS(1134),
    [anon_sym_if] = ACTIONS(1134),
    [anon_sym_else] = ACTIONS(1134),
    [anon_sym_for] = ACTIONS(1134),
    [anon_sym_AT] = ACTIONS(1134),
    [anon_sym_open] = ACTIONS(1134),
    [anon_sym_module] = ACTIONS(1134),
    [anon_sym_static] = ACTIONS(1134),
    [anon_sym_with] = ACTIONS(1134),
    [anon_sym_package] = ACTIONS(1134),
    [anon_sym_import] = ACTIONS(1134),
    [anon_sym_enum] = ACTIONS(1134),
    [anon_sym_public] = ACTIONS(1134),
    [anon_sym_protected] = ACTIONS(1134),
    [anon_sym_private] = ACTIONS(1134),
    [anon_sym_abstract] = ACTIONS(1134),
    [anon_sym_strictfp] = ACTIONS(1134),
    [anon_sym_native] = ACTIONS(1134),
    [anon_sym_transient] = ACTIONS(1134),
    [anon_sym_volatile] = ACTIONS(1134),
    [anon_sym_sealed] = ACTIONS(1134),
    [anon_sym_non_DASHsealed] = ACTIONS(1134),
    [anon_sym_record] = ACTIONS(1134),
    [anon_sym_ATinterface] = ACTIONS(1134),
    [anon_sym_interface] = ACTIONS(1134),
    [anon_sym_byte] = ACTIONS(1134),
    [anon_sym_short] = ACTIONS(1134),
    [anon_sym_int] = ACTIONS(1134),
    [anon_sym_long] = ACTIONS(1134),
    [anon_sym_char] = ACTIONS(1134),
    [anon_sym_float] = ACTIONS(1134),
    [anon_sym_double] = ACTIONS(1134),
    [sym_boolean_type] = ACTIONS(1134),
    [sym_void_type] = ACTIONS(1134),
    [anon_sym_def] = ACTIONS(1134),
    [sym_this] = ACTIONS(1134),
    [sym_super] = ACTIONS(1134),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1134),
  },
  [242] = {
    [ts_builtin_sym_end] = ACTIONS(1136),
    [sym_identifier] = ACTIONS(1138),
    [sym_decimal_integer_literal] = ACTIONS(1138),
    [sym_hex_integer_literal] = ACTIONS(1138),
    [sym_octal_integer_literal] = ACTIONS(1138),
    [sym_binary_integer_literal] = ACTIONS(1138),
    [sym_decimal_floating_point_literal] = ACTIONS(1138),
    [sym_hex_floating_point_literal] = ACTIONS(1138),
    [sym_true] = ACTIONS(1138),
    [sym_false] = ACTIONS(1138),
    [sym_character_literal] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1138),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1138),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [sym_null_literal] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [anon_sym_AMP] = ACTIONS(1138),
    [anon_sym_GT] = ACTIONS(1138),
    [anon_sym_LT] = ACTIONS(1138),
    [anon_sym_GT_EQ] = ACTIONS(1138),
    [anon_sym_LT_EQ] = ACTIONS(1138),
    [anon_sym_EQ_EQ] = ACTIONS(1138),
    [anon_sym_BANG_EQ] = ACTIONS(1138),
    [anon_sym_AMP_AMP] = ACTIONS(1138),
    [anon_sym_PIPE_PIPE] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_STAR] = ACTIONS(1138),
    [anon_sym_SLASH] = ACTIONS(1138),
    [anon_sym_PIPE] = ACTIONS(1138),
    [anon_sym_CARET] = ACTIONS(1138),
    [anon_sym_PERCENT] = ACTIONS(1138),
    [anon_sym_LT_LT] = ACTIONS(1138),
    [anon_sym_GT_GT] = ACTIONS(1138),
    [anon_sym_GT_GT_GT] = ACTIONS(1138),
    [anon_sym_in] = ACTIONS(1138),
    [anon_sym_STAR_STAR] = ACTIONS(1138),
    [anon_sym_instanceof] = ACTIONS(1138),
    [anon_sym_final] = ACTIONS(1138),
    [anon_sym_DASH_GT] = ACTIONS(1138),
    [anon_sym_QMARK] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_new] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_DOT] = ACTIONS(1138),
    [anon_sym_class] = ACTIONS(1138),
    [anon_sym_COLON_COLON] = ACTIONS(1138),
    [anon_sym_switch] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_case] = ACTIONS(1138),
    [anon_sym_default] = ACTIONS(1138),
    [sym_underscore_pattern] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1138),
    [aux_sym_expression_statement_token1] = ACTIONS(1136),
    [anon_sym_NULL] = ACTIONS(1138),
    [anon_sym_assert] = ACTIONS(1138),
    [anon_sym_do] = ACTIONS(1138),
    [anon_sym_while] = ACTIONS(1138),
    [anon_sym_break] = ACTIONS(1138),
    [anon_sym_continue] = ACTIONS(1138),
    [anon_sym_return] = ACTIONS(1138),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_synchronized] = ACTIONS(1138),
    [anon_sym_throw] = ACTIONS(1138),
    [anon_sym_try] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1138),
    [anon_sym_else] = ACTIONS(1138),
    [anon_sym_for] = ACTIONS(1138),
    [anon_sym_AT] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_module] = ACTIONS(1138),
    [anon_sym_static] = ACTIONS(1138),
    [anon_sym_with] = ACTIONS(1138),
    [anon_sym_package] = ACTIONS(1138),
    [anon_sym_import] = ACTIONS(1138),
    [anon_sym_enum] = ACTIONS(1138),
    [anon_sym_public] = ACTIONS(1138),
    [anon_sym_protected] = ACTIONS(1138),
    [anon_sym_private] = ACTIONS(1138),
    [anon_sym_abstract] = ACTIONS(1138),
    [anon_sym_strictfp] = ACTIONS(1138),
    [anon_sym_native] = ACTIONS(1138),
    [anon_sym_transient] = ACTIONS(1138),
    [anon_sym_volatile] = ACTIONS(1138),
    [anon_sym_sealed] = ACTIONS(1138),
    [anon_sym_non_DASHsealed] = ACTIONS(1138),
    [anon_sym_record] = ACTIONS(1138),
    [anon_sym_ATinterface] = ACTIONS(1138),
    [anon_sym_interface] = ACTIONS(1138),
    [anon_sym_byte] = ACTIONS(1138),
    [anon_sym_short] = ACTIONS(1138),
    [anon_sym_int] = ACTIONS(1138),
    [anon_sym_long] = ACTIONS(1138),
    [anon_sym_char] = ACTIONS(1138),
    [anon_sym_float] = ACTIONS(1138),
    [anon_sym_double] = ACTIONS(1138),
    [sym_boolean_type] = ACTIONS(1138),
    [sym_void_type] = ACTIONS(1138),
    [anon_sym_def] = ACTIONS(1138),
    [sym_this] = ACTIONS(1138),
    [sym_super] = ACTIONS(1138),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1138),
  },
  [243] = {
    [ts_builtin_sym_end] = ACTIONS(1136),
    [sym_identifier] = ACTIONS(1138),
    [sym_decimal_integer_literal] = ACTIONS(1138),
    [sym_hex_integer_literal] = ACTIONS(1138),
    [sym_octal_integer_literal] = ACTIONS(1138),
    [sym_binary_integer_literal] = ACTIONS(1138),
    [sym_decimal_floating_point_literal] = ACTIONS(1138),
    [sym_hex_floating_point_literal] = ACTIONS(1138),
    [sym_true] = ACTIONS(1138),
    [sym_false] = ACTIONS(1138),
    [sym_character_literal] = ACTIONS(1138),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1138),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1138),
    [anon_sym_RBRACE] = ACTIONS(1138),
    [sym_null_literal] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1138),
    [anon_sym_AMP] = ACTIONS(1138),
    [anon_sym_GT] = ACTIONS(1138),
    [anon_sym_LT] = ACTIONS(1138),
    [anon_sym_GT_EQ] = ACTIONS(1138),
    [anon_sym_LT_EQ] = ACTIONS(1138),
    [anon_sym_EQ_EQ] = ACTIONS(1138),
    [anon_sym_BANG_EQ] = ACTIONS(1138),
    [anon_sym_AMP_AMP] = ACTIONS(1138),
    [anon_sym_PIPE_PIPE] = ACTIONS(1138),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_STAR] = ACTIONS(1138),
    [anon_sym_SLASH] = ACTIONS(1138),
    [anon_sym_PIPE] = ACTIONS(1138),
    [anon_sym_CARET] = ACTIONS(1138),
    [anon_sym_PERCENT] = ACTIONS(1138),
    [anon_sym_LT_LT] = ACTIONS(1138),
    [anon_sym_GT_GT] = ACTIONS(1138),
    [anon_sym_GT_GT_GT] = ACTIONS(1138),
    [anon_sym_in] = ACTIONS(1138),
    [anon_sym_STAR_STAR] = ACTIONS(1138),
    [anon_sym_instanceof] = ACTIONS(1138),
    [anon_sym_final] = ACTIONS(1138),
    [anon_sym_DASH_GT] = ACTIONS(1138),
    [anon_sym_QMARK] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1138),
    [anon_sym_PLUS_PLUS] = ACTIONS(1138),
    [anon_sym_DASH_DASH] = ACTIONS(1138),
    [anon_sym_new] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1138),
    [anon_sym_DOT] = ACTIONS(1138),
    [anon_sym_class] = ACTIONS(1138),
    [anon_sym_COLON_COLON] = ACTIONS(1138),
    [anon_sym_switch] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1138),
    [anon_sym_case] = ACTIONS(1138),
    [anon_sym_default] = ACTIONS(1138),
    [sym_underscore_pattern] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1138),
    [aux_sym_expression_statement_token1] = ACTIONS(1136),
    [anon_sym_NULL] = ACTIONS(1138),
    [anon_sym_assert] = ACTIONS(1138),
    [anon_sym_do] = ACTIONS(1138),
    [anon_sym_while] = ACTIONS(1138),
    [anon_sym_break] = ACTIONS(1138),
    [anon_sym_continue] = ACTIONS(1138),
    [anon_sym_return] = ACTIONS(1138),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_synchronized] = ACTIONS(1138),
    [anon_sym_throw] = ACTIONS(1138),
    [anon_sym_try] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1138),
    [anon_sym_else] = ACTIONS(1138),
    [anon_sym_for] = ACTIONS(1138),
    [anon_sym_AT] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_module] = ACTIONS(1138),
    [anon_sym_static] = ACTIONS(1138),
    [anon_sym_with] = ACTIONS(1138),
    [anon_sym_package] = ACTIONS(1138),
    [anon_sym_import] = ACTIONS(1138),
    [anon_sym_enum] = ACTIONS(1138),
    [anon_sym_public] = ACTIONS(1138),
    [anon_sym_protected] = ACTIONS(1138),
    [anon_sym_private] = ACTIONS(1138),
    [anon_sym_abstract] = ACTIONS(1138),
    [anon_sym_strictfp] = ACTIONS(1138),
    [anon_sym_native] = ACTIONS(1138),
    [anon_sym_transient] = ACTIONS(1138),
    [anon_sym_volatile] = ACTIONS(1138),
    [anon_sym_sealed] = ACTIONS(1138),
    [anon_sym_non_DASHsealed] = ACTIONS(1138),
    [anon_sym_record] = ACTIONS(1138),
    [anon_sym_ATinterface] = ACTIONS(1138),
    [anon_sym_interface] = ACTIONS(1138),
    [anon_sym_byte] = ACTIONS(1138),
    [anon_sym_short] = ACTIONS(1138),
    [anon_sym_int] = ACTIONS(1138),
    [anon_sym_long] = ACTIONS(1138),
    [anon_sym_char] = ACTIONS(1138),
    [anon_sym_float] = ACTIONS(1138),
    [anon_sym_double] = ACTIONS(1138),
    [sym_boolean_type] = ACTIONS(1138),
    [sym_void_type] = ACTIONS(1138),
    [anon_sym_def] = ACTIONS(1138),
    [sym_this] = ACTIONS(1138),
    [sym_super] = ACTIONS(1138),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1138),
  },
  [244] = {
    [ts_builtin_sym_end] = ACTIONS(1140),
    [sym_identifier] = ACTIONS(1142),
    [sym_decimal_integer_literal] = ACTIONS(1142),
    [sym_hex_integer_literal] = ACTIONS(1142),
    [sym_octal_integer_literal] = ACTIONS(1142),
    [sym_binary_integer_literal] = ACTIONS(1142),
    [sym_decimal_floating_point_literal] = ACTIONS(1142),
    [sym_hex_floating_point_literal] = ACTIONS(1142),
    [sym_true] = ACTIONS(1142),
    [sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1142),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1142),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1142),
    [anon_sym_RBRACE] = ACTIONS(1142),
    [sym_null_literal] = ACTIONS(1142),
    [anon_sym_LPAREN] = ACTIONS(1142),
    [anon_sym_AMP] = ACTIONS(1142),
    [anon_sym_GT] = ACTIONS(1142),
    [anon_sym_LT] = ACTIONS(1142),
    [anon_sym_GT_EQ] = ACTIONS(1142),
    [anon_sym_LT_EQ] = ACTIONS(1142),
    [anon_sym_EQ_EQ] = ACTIONS(1142),
    [anon_sym_BANG_EQ] = ACTIONS(1142),
    [anon_sym_AMP_AMP] = ACTIONS(1142),
    [anon_sym_PIPE_PIPE] = ACTIONS(1142),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PIPE] = ACTIONS(1142),
    [anon_sym_CARET] = ACTIONS(1142),
    [anon_sym_PERCENT] = ACTIONS(1142),
    [anon_sym_LT_LT] = ACTIONS(1142),
    [anon_sym_GT_GT] = ACTIONS(1142),
    [anon_sym_GT_GT_GT] = ACTIONS(1142),
    [anon_sym_in] = ACTIONS(1142),
    [anon_sym_STAR_STAR] = ACTIONS(1142),
    [anon_sym_instanceof] = ACTIONS(1142),
    [anon_sym_final] = ACTIONS(1142),
    [anon_sym_DASH_GT] = ACTIONS(1142),
    [anon_sym_QMARK] = ACTIONS(1142),
    [anon_sym_BANG] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1142),
    [anon_sym_PLUS_PLUS] = ACTIONS(1142),
    [anon_sym_DASH_DASH] = ACTIONS(1142),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1142),
    [anon_sym_DOT] = ACTIONS(1142),
    [anon_sym_class] = ACTIONS(1142),
    [anon_sym_COLON_COLON] = ACTIONS(1142),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(1142),
    [anon_sym_case] = ACTIONS(1142),
    [anon_sym_default] = ACTIONS(1142),
    [sym_underscore_pattern] = ACTIONS(1142),
    [anon_sym_SEMI] = ACTIONS(1142),
    [aux_sym_expression_statement_token1] = ACTIONS(1140),
    [anon_sym_NULL] = ACTIONS(1142),
    [anon_sym_assert] = ACTIONS(1142),
    [anon_sym_do] = ACTIONS(1142),
    [anon_sym_while] = ACTIONS(1142),
    [anon_sym_break] = ACTIONS(1142),
    [anon_sym_continue] = ACTIONS(1142),
    [anon_sym_return] = ACTIONS(1142),
    [anon_sym_yield] = ACTIONS(1142),
    [anon_sym_synchronized] = ACTIONS(1142),
    [anon_sym_throw] = ACTIONS(1142),
    [anon_sym_try] = ACTIONS(1142),
    [anon_sym_if] = ACTIONS(1142),
    [anon_sym_else] = ACTIONS(1142),
    [anon_sym_for] = ACTIONS(1142),
    [anon_sym_AT] = ACTIONS(1142),
    [anon_sym_open] = ACTIONS(1142),
    [anon_sym_module] = ACTIONS(1142),
    [anon_sym_static] = ACTIONS(1142),
    [anon_sym_with] = ACTIONS(1142),
    [anon_sym_package] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(1142),
    [anon_sym_enum] = ACTIONS(1142),
    [anon_sym_public] = ACTIONS(1142),
    [anon_sym_protected] = ACTIONS(1142),
    [anon_sym_private] = ACTIONS(1142),
    [anon_sym_abstract] = ACTIONS(1142),
    [anon_sym_strictfp] = ACTIONS(1142),
    [anon_sym_native] = ACTIONS(1142),
    [anon_sym_transient] = ACTIONS(1142),
    [anon_sym_volatile] = ACTIONS(1142),
    [anon_sym_sealed] = ACTIONS(1142),
    [anon_sym_non_DASHsealed] = ACTIONS(1142),
    [anon_sym_record] = ACTIONS(1142),
    [anon_sym_ATinterface] = ACTIONS(1142),
    [anon_sym_interface] = ACTIONS(1142),
    [anon_sym_byte] = ACTIONS(1142),
    [anon_sym_short] = ACTIONS(1142),
    [anon_sym_int] = ACTIONS(1142),
    [anon_sym_long] = ACTIONS(1142),
    [anon_sym_char] = ACTIONS(1142),
    [anon_sym_float] = ACTIONS(1142),
    [anon_sym_double] = ACTIONS(1142),
    [sym_boolean_type] = ACTIONS(1142),
    [sym_void_type] = ACTIONS(1142),
    [anon_sym_def] = ACTIONS(1142),
    [sym_this] = ACTIONS(1142),
    [sym_super] = ACTIONS(1142),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1142),
  },
  [245] = {
    [ts_builtin_sym_end] = ACTIONS(918),
    [sym_identifier] = ACTIONS(920),
    [sym_decimal_integer_literal] = ACTIONS(920),
    [sym_hex_integer_literal] = ACTIONS(920),
    [sym_octal_integer_literal] = ACTIONS(920),
    [sym_binary_integer_literal] = ACTIONS(920),
    [sym_decimal_floating_point_literal] = ACTIONS(920),
    [sym_hex_floating_point_literal] = ACTIONS(920),
    [sym_true] = ACTIONS(920),
    [sym_false] = ACTIONS(920),
    [sym_character_literal] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(920),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(920),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(920),
    [anon_sym_RBRACE] = ACTIONS(920),
    [sym_null_literal] = ACTIONS(920),
    [anon_sym_LPAREN] = ACTIONS(920),
    [anon_sym_AMP] = ACTIONS(920),
    [anon_sym_GT] = ACTIONS(920),
    [anon_sym_LT] = ACTIONS(920),
    [anon_sym_GT_EQ] = ACTIONS(920),
    [anon_sym_LT_EQ] = ACTIONS(920),
    [anon_sym_EQ_EQ] = ACTIONS(920),
    [anon_sym_BANG_EQ] = ACTIONS(920),
    [anon_sym_AMP_AMP] = ACTIONS(920),
    [anon_sym_PIPE_PIPE] = ACTIONS(920),
    [anon_sym_PLUS] = ACTIONS(920),
    [anon_sym_DASH] = ACTIONS(920),
    [anon_sym_STAR] = ACTIONS(920),
    [anon_sym_SLASH] = ACTIONS(920),
    [anon_sym_PIPE] = ACTIONS(920),
    [anon_sym_CARET] = ACTIONS(920),
    [anon_sym_PERCENT] = ACTIONS(920),
    [anon_sym_LT_LT] = ACTIONS(920),
    [anon_sym_GT_GT] = ACTIONS(920),
    [anon_sym_GT_GT_GT] = ACTIONS(920),
    [anon_sym_in] = ACTIONS(920),
    [anon_sym_STAR_STAR] = ACTIONS(920),
    [anon_sym_instanceof] = ACTIONS(920),
    [anon_sym_final] = ACTIONS(920),
    [anon_sym_DASH_GT] = ACTIONS(920),
    [anon_sym_QMARK] = ACTIONS(920),
    [anon_sym_BANG] = ACTIONS(920),
    [anon_sym_TILDE] = ACTIONS(920),
    [anon_sym_PLUS_PLUS] = ACTIONS(920),
    [anon_sym_DASH_DASH] = ACTIONS(920),
    [anon_sym_new] = ACTIONS(920),
    [anon_sym_LBRACK] = ACTIONS(920),
    [anon_sym_DOT] = ACTIONS(920),
    [anon_sym_class] = ACTIONS(920),
    [anon_sym_COLON_COLON] = ACTIONS(920),
    [anon_sym_switch] = ACTIONS(920),
    [anon_sym_LBRACE] = ACTIONS(920),
    [anon_sym_case] = ACTIONS(920),
    [anon_sym_default] = ACTIONS(920),
    [sym_underscore_pattern] = ACTIONS(920),
    [anon_sym_SEMI] = ACTIONS(920),
    [aux_sym_expression_statement_token1] = ACTIONS(918),
    [anon_sym_NULL] = ACTIONS(920),
    [anon_sym_assert] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(920),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_return] = ACTIONS(920),
    [anon_sym_yield] = ACTIONS(920),
    [anon_sym_synchronized] = ACTIONS(920),
    [anon_sym_throw] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_else] = ACTIONS(920),
    [anon_sym_for] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(920),
    [anon_sym_open] = ACTIONS(920),
    [anon_sym_module] = ACTIONS(920),
    [anon_sym_static] = ACTIONS(920),
    [anon_sym_with] = ACTIONS(920),
    [anon_sym_package] = ACTIONS(920),
    [anon_sym_import] = ACTIONS(920),
    [anon_sym_enum] = ACTIONS(920),
    [anon_sym_public] = ACTIONS(920),
    [anon_sym_protected] = ACTIONS(920),
    [anon_sym_private] = ACTIONS(920),
    [anon_sym_abstract] = ACTIONS(920),
    [anon_sym_strictfp] = ACTIONS(920),
    [anon_sym_native] = ACTIONS(920),
    [anon_sym_transient] = ACTIONS(920),
    [anon_sym_volatile] = ACTIONS(920),
    [anon_sym_sealed] = ACTIONS(920),
    [anon_sym_non_DASHsealed] = ACTIONS(920),
    [anon_sym_record] = ACTIONS(920),
    [anon_sym_ATinterface] = ACTIONS(920),
    [anon_sym_interface] = ACTIONS(920),
    [anon_sym_byte] = ACTIONS(920),
    [anon_sym_short] = ACTIONS(920),
    [anon_sym_int] = ACTIONS(920),
    [anon_sym_long] = ACTIONS(920),
    [anon_sym_char] = ACTIONS(920),
    [anon_sym_float] = ACTIONS(920),
    [anon_sym_double] = ACTIONS(920),
    [sym_boolean_type] = ACTIONS(920),
    [sym_void_type] = ACTIONS(920),
    [anon_sym_def] = ACTIONS(920),
    [sym_this] = ACTIONS(920),
    [sym_super] = ACTIONS(920),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(920),
  },
  [246] = {
    [sym_record_pattern_body] = STATE(398),
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_identifier] = ACTIONS(1146),
    [sym_decimal_integer_literal] = ACTIONS(1146),
    [sym_hex_integer_literal] = ACTIONS(1146),
    [sym_octal_integer_literal] = ACTIONS(1146),
    [sym_binary_integer_literal] = ACTIONS(1146),
    [sym_decimal_floating_point_literal] = ACTIONS(1146),
    [sym_hex_floating_point_literal] = ACTIONS(1146),
    [sym_true] = ACTIONS(1146),
    [sym_false] = ACTIONS(1146),
    [sym_character_literal] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1146),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1146),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [sym_null_literal] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1148),
    [anon_sym_AMP] = ACTIONS(1146),
    [anon_sym_GT] = ACTIONS(1146),
    [anon_sym_LT] = ACTIONS(1146),
    [anon_sym_GT_EQ] = ACTIONS(1146),
    [anon_sym_LT_EQ] = ACTIONS(1146),
    [anon_sym_EQ_EQ] = ACTIONS(1146),
    [anon_sym_BANG_EQ] = ACTIONS(1146),
    [anon_sym_AMP_AMP] = ACTIONS(1146),
    [anon_sym_PIPE_PIPE] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1146),
    [anon_sym_SLASH] = ACTIONS(1146),
    [anon_sym_PIPE] = ACTIONS(1146),
    [anon_sym_CARET] = ACTIONS(1146),
    [anon_sym_PERCENT] = ACTIONS(1146),
    [anon_sym_LT_LT] = ACTIONS(1146),
    [anon_sym_GT_GT] = ACTIONS(1146),
    [anon_sym_GT_GT_GT] = ACTIONS(1146),
    [anon_sym_in] = ACTIONS(1146),
    [anon_sym_STAR_STAR] = ACTIONS(1146),
    [anon_sym_instanceof] = ACTIONS(1146),
    [anon_sym_final] = ACTIONS(1146),
    [anon_sym_DASH_GT] = ACTIONS(1146),
    [anon_sym_QMARK] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [anon_sym_new] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1146),
    [anon_sym_DOT] = ACTIONS(1151),
    [anon_sym_class] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_case] = ACTIONS(1146),
    [anon_sym_default] = ACTIONS(1146),
    [sym_underscore_pattern] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1146),
    [aux_sym_expression_statement_token1] = ACTIONS(1144),
    [anon_sym_NULL] = ACTIONS(1146),
    [anon_sym_assert] = ACTIONS(1146),
    [anon_sym_do] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1146),
    [anon_sym_break] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1146),
    [anon_sym_return] = ACTIONS(1146),
    [anon_sym_yield] = ACTIONS(1146),
    [anon_sym_synchronized] = ACTIONS(1146),
    [anon_sym_throw] = ACTIONS(1146),
    [anon_sym_try] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1146),
    [anon_sym_else] = ACTIONS(1146),
    [anon_sym_for] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1146),
    [anon_sym_open] = ACTIONS(1146),
    [anon_sym_module] = ACTIONS(1146),
    [anon_sym_static] = ACTIONS(1146),
    [anon_sym_with] = ACTIONS(1146),
    [anon_sym_package] = ACTIONS(1146),
    [anon_sym_import] = ACTIONS(1146),
    [anon_sym_enum] = ACTIONS(1146),
    [anon_sym_public] = ACTIONS(1146),
    [anon_sym_protected] = ACTIONS(1146),
    [anon_sym_private] = ACTIONS(1146),
    [anon_sym_abstract] = ACTIONS(1146),
    [anon_sym_strictfp] = ACTIONS(1146),
    [anon_sym_native] = ACTIONS(1146),
    [anon_sym_transient] = ACTIONS(1146),
    [anon_sym_volatile] = ACTIONS(1146),
    [anon_sym_sealed] = ACTIONS(1146),
    [anon_sym_non_DASHsealed] = ACTIONS(1146),
    [anon_sym_record] = ACTIONS(1146),
    [anon_sym_ATinterface] = ACTIONS(1146),
    [anon_sym_interface] = ACTIONS(1146),
    [anon_sym_byte] = ACTIONS(1146),
    [anon_sym_short] = ACTIONS(1146),
    [anon_sym_int] = ACTIONS(1146),
    [anon_sym_long] = ACTIONS(1146),
    [anon_sym_char] = ACTIONS(1146),
    [anon_sym_float] = ACTIONS(1146),
    [anon_sym_double] = ACTIONS(1146),
    [sym_boolean_type] = ACTIONS(1146),
    [sym_void_type] = ACTIONS(1146),
    [anon_sym_def] = ACTIONS(1146),
    [sym_this] = ACTIONS(1146),
    [sym_super] = ACTIONS(1146),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1146),
  },
  [247] = {
    [ts_builtin_sym_end] = ACTIONS(1153),
    [sym_identifier] = ACTIONS(1155),
    [sym_decimal_integer_literal] = ACTIONS(1155),
    [sym_hex_integer_literal] = ACTIONS(1155),
    [sym_octal_integer_literal] = ACTIONS(1155),
    [sym_binary_integer_literal] = ACTIONS(1155),
    [sym_decimal_floating_point_literal] = ACTIONS(1155),
    [sym_hex_floating_point_literal] = ACTIONS(1155),
    [sym_true] = ACTIONS(1155),
    [sym_false] = ACTIONS(1155),
    [sym_character_literal] = ACTIONS(1155),
    [anon_sym_DQUOTE] = ACTIONS(1155),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1155),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1155),
    [anon_sym_RBRACE] = ACTIONS(1155),
    [sym_null_literal] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1155),
    [anon_sym_AMP] = ACTIONS(1155),
    [anon_sym_GT] = ACTIONS(1155),
    [anon_sym_LT] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1155),
    [anon_sym_LT_EQ] = ACTIONS(1155),
    [anon_sym_EQ_EQ] = ACTIONS(1155),
    [anon_sym_BANG_EQ] = ACTIONS(1155),
    [anon_sym_AMP_AMP] = ACTIONS(1155),
    [anon_sym_PIPE_PIPE] = ACTIONS(1155),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_STAR] = ACTIONS(1155),
    [anon_sym_SLASH] = ACTIONS(1155),
    [anon_sym_PIPE] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1155),
    [anon_sym_PERCENT] = ACTIONS(1155),
    [anon_sym_LT_LT] = ACTIONS(1155),
    [anon_sym_GT_GT] = ACTIONS(1155),
    [anon_sym_GT_GT_GT] = ACTIONS(1155),
    [anon_sym_in] = ACTIONS(1155),
    [anon_sym_STAR_STAR] = ACTIONS(1155),
    [anon_sym_instanceof] = ACTIONS(1155),
    [anon_sym_final] = ACTIONS(1155),
    [anon_sym_DASH_GT] = ACTIONS(1155),
    [anon_sym_QMARK] = ACTIONS(1155),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1155),
    [anon_sym_PLUS_PLUS] = ACTIONS(1155),
    [anon_sym_DASH_DASH] = ACTIONS(1155),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACK] = ACTIONS(1155),
    [anon_sym_DOT] = ACTIONS(1155),
    [anon_sym_class] = ACTIONS(1155),
    [anon_sym_COLON_COLON] = ACTIONS(1155),
    [anon_sym_switch] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(1155),
    [anon_sym_case] = ACTIONS(1155),
    [anon_sym_default] = ACTIONS(1155),
    [sym_underscore_pattern] = ACTIONS(1155),
    [anon_sym_SEMI] = ACTIONS(1155),
    [aux_sym_expression_statement_token1] = ACTIONS(1153),
    [anon_sym_NULL] = ACTIONS(1155),
    [anon_sym_assert] = ACTIONS(1155),
    [anon_sym_do] = ACTIONS(1155),
    [anon_sym_while] = ACTIONS(1155),
    [anon_sym_break] = ACTIONS(1155),
    [anon_sym_continue] = ACTIONS(1155),
    [anon_sym_return] = ACTIONS(1155),
    [anon_sym_yield] = ACTIONS(1155),
    [anon_sym_synchronized] = ACTIONS(1155),
    [anon_sym_throw] = ACTIONS(1155),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_if] = ACTIONS(1155),
    [anon_sym_else] = ACTIONS(1155),
    [anon_sym_for] = ACTIONS(1155),
    [anon_sym_AT] = ACTIONS(1155),
    [anon_sym_open] = ACTIONS(1155),
    [anon_sym_module] = ACTIONS(1155),
    [anon_sym_static] = ACTIONS(1155),
    [anon_sym_with] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(1155),
    [anon_sym_enum] = ACTIONS(1155),
    [anon_sym_public] = ACTIONS(1155),
    [anon_sym_protected] = ACTIONS(1155),
    [anon_sym_private] = ACTIONS(1155),
    [anon_sym_abstract] = ACTIONS(1155),
    [anon_sym_strictfp] = ACTIONS(1155),
    [anon_sym_native] = ACTIONS(1155),
    [anon_sym_transient] = ACTIONS(1155),
    [anon_sym_volatile] = ACTIONS(1155),
    [anon_sym_sealed] = ACTIONS(1155),
    [anon_sym_non_DASHsealed] = ACTIONS(1155),
    [anon_sym_record] = ACTIONS(1155),
    [anon_sym_ATinterface] = ACTIONS(1155),
    [anon_sym_interface] = ACTIONS(1155),
    [anon_sym_byte] = ACTIONS(1155),
    [anon_sym_short] = ACTIONS(1155),
    [anon_sym_int] = ACTIONS(1155),
    [anon_sym_long] = ACTIONS(1155),
    [anon_sym_char] = ACTIONS(1155),
    [anon_sym_float] = ACTIONS(1155),
    [anon_sym_double] = ACTIONS(1155),
    [sym_boolean_type] = ACTIONS(1155),
    [sym_void_type] = ACTIONS(1155),
    [anon_sym_def] = ACTIONS(1155),
    [sym_this] = ACTIONS(1155),
    [sym_super] = ACTIONS(1155),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1155),
  },
  [248] = {
    [ts_builtin_sym_end] = ACTIONS(1157),
    [sym_identifier] = ACTIONS(1159),
    [sym_decimal_integer_literal] = ACTIONS(1159),
    [sym_hex_integer_literal] = ACTIONS(1159),
    [sym_octal_integer_literal] = ACTIONS(1159),
    [sym_binary_integer_literal] = ACTIONS(1159),
    [sym_decimal_floating_point_literal] = ACTIONS(1159),
    [sym_hex_floating_point_literal] = ACTIONS(1159),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [sym_character_literal] = ACTIONS(1159),
    [anon_sym_DQUOTE] = ACTIONS(1159),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1159),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1159),
    [anon_sym_RBRACE] = ACTIONS(1159),
    [sym_null_literal] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1159),
    [anon_sym_AMP] = ACTIONS(1159),
    [anon_sym_GT] = ACTIONS(1159),
    [anon_sym_LT] = ACTIONS(1159),
    [anon_sym_GT_EQ] = ACTIONS(1159),
    [anon_sym_LT_EQ] = ACTIONS(1159),
    [anon_sym_EQ_EQ] = ACTIONS(1159),
    [anon_sym_BANG_EQ] = ACTIONS(1159),
    [anon_sym_AMP_AMP] = ACTIONS(1159),
    [anon_sym_PIPE_PIPE] = ACTIONS(1159),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_STAR] = ACTIONS(1159),
    [anon_sym_SLASH] = ACTIONS(1159),
    [anon_sym_PIPE] = ACTIONS(1159),
    [anon_sym_CARET] = ACTIONS(1159),
    [anon_sym_PERCENT] = ACTIONS(1159),
    [anon_sym_LT_LT] = ACTIONS(1159),
    [anon_sym_GT_GT] = ACTIONS(1159),
    [anon_sym_GT_GT_GT] = ACTIONS(1159),
    [anon_sym_in] = ACTIONS(1159),
    [anon_sym_STAR_STAR] = ACTIONS(1159),
    [anon_sym_instanceof] = ACTIONS(1159),
    [anon_sym_final] = ACTIONS(1159),
    [anon_sym_DASH_GT] = ACTIONS(1159),
    [anon_sym_QMARK] = ACTIONS(1159),
    [anon_sym_BANG] = ACTIONS(1159),
    [anon_sym_TILDE] = ACTIONS(1159),
    [anon_sym_PLUS_PLUS] = ACTIONS(1159),
    [anon_sym_DASH_DASH] = ACTIONS(1159),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_LBRACK] = ACTIONS(1159),
    [anon_sym_DOT] = ACTIONS(1159),
    [anon_sym_class] = ACTIONS(1159),
    [anon_sym_COLON_COLON] = ACTIONS(1159),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1159),
    [anon_sym_case] = ACTIONS(1159),
    [anon_sym_default] = ACTIONS(1159),
    [sym_underscore_pattern] = ACTIONS(1159),
    [anon_sym_SEMI] = ACTIONS(1159),
    [aux_sym_expression_statement_token1] = ACTIONS(1157),
    [anon_sym_NULL] = ACTIONS(1159),
    [anon_sym_assert] = ACTIONS(1159),
    [anon_sym_do] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_yield] = ACTIONS(1159),
    [anon_sym_synchronized] = ACTIONS(1159),
    [anon_sym_throw] = ACTIONS(1159),
    [anon_sym_try] = ACTIONS(1159),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_else] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1159),
    [anon_sym_open] = ACTIONS(1159),
    [anon_sym_module] = ACTIONS(1159),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_with] = ACTIONS(1159),
    [anon_sym_package] = ACTIONS(1159),
    [anon_sym_import] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
    [anon_sym_public] = ACTIONS(1159),
    [anon_sym_protected] = ACTIONS(1159),
    [anon_sym_private] = ACTIONS(1159),
    [anon_sym_abstract] = ACTIONS(1159),
    [anon_sym_strictfp] = ACTIONS(1159),
    [anon_sym_native] = ACTIONS(1159),
    [anon_sym_transient] = ACTIONS(1159),
    [anon_sym_volatile] = ACTIONS(1159),
    [anon_sym_sealed] = ACTIONS(1159),
    [anon_sym_non_DASHsealed] = ACTIONS(1159),
    [anon_sym_record] = ACTIONS(1159),
    [anon_sym_ATinterface] = ACTIONS(1159),
    [anon_sym_interface] = ACTIONS(1159),
    [anon_sym_byte] = ACTIONS(1159),
    [anon_sym_short] = ACTIONS(1159),
    [anon_sym_int] = ACTIONS(1159),
    [anon_sym_long] = ACTIONS(1159),
    [anon_sym_char] = ACTIONS(1159),
    [anon_sym_float] = ACTIONS(1159),
    [anon_sym_double] = ACTIONS(1159),
    [sym_boolean_type] = ACTIONS(1159),
    [sym_void_type] = ACTIONS(1159),
    [anon_sym_def] = ACTIONS(1159),
    [sym_this] = ACTIONS(1159),
    [sym_super] = ACTIONS(1159),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1159),
  },
  [249] = {
    [ts_builtin_sym_end] = ACTIONS(1161),
    [sym_identifier] = ACTIONS(1163),
    [sym_decimal_integer_literal] = ACTIONS(1163),
    [sym_hex_integer_literal] = ACTIONS(1163),
    [sym_octal_integer_literal] = ACTIONS(1163),
    [sym_binary_integer_literal] = ACTIONS(1163),
    [sym_decimal_floating_point_literal] = ACTIONS(1163),
    [sym_hex_floating_point_literal] = ACTIONS(1163),
    [sym_true] = ACTIONS(1163),
    [sym_false] = ACTIONS(1163),
    [sym_character_literal] = ACTIONS(1163),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1163),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1163),
    [anon_sym_RBRACE] = ACTIONS(1163),
    [sym_null_literal] = ACTIONS(1163),
    [anon_sym_LPAREN] = ACTIONS(1163),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_GT] = ACTIONS(1163),
    [anon_sym_LT] = ACTIONS(1163),
    [anon_sym_GT_EQ] = ACTIONS(1163),
    [anon_sym_LT_EQ] = ACTIONS(1163),
    [anon_sym_EQ_EQ] = ACTIONS(1163),
    [anon_sym_BANG_EQ] = ACTIONS(1163),
    [anon_sym_AMP_AMP] = ACTIONS(1163),
    [anon_sym_PIPE_PIPE] = ACTIONS(1163),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1163),
    [anon_sym_SLASH] = ACTIONS(1163),
    [anon_sym_PIPE] = ACTIONS(1163),
    [anon_sym_CARET] = ACTIONS(1163),
    [anon_sym_PERCENT] = ACTIONS(1163),
    [anon_sym_LT_LT] = ACTIONS(1163),
    [anon_sym_GT_GT] = ACTIONS(1163),
    [anon_sym_GT_GT_GT] = ACTIONS(1163),
    [anon_sym_in] = ACTIONS(1163),
    [anon_sym_STAR_STAR] = ACTIONS(1163),
    [anon_sym_instanceof] = ACTIONS(1163),
    [anon_sym_final] = ACTIONS(1163),
    [anon_sym_DASH_GT] = ACTIONS(1163),
    [anon_sym_QMARK] = ACTIONS(1163),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_TILDE] = ACTIONS(1163),
    [anon_sym_PLUS_PLUS] = ACTIONS(1163),
    [anon_sym_DASH_DASH] = ACTIONS(1163),
    [anon_sym_new] = ACTIONS(1163),
    [anon_sym_LBRACK] = ACTIONS(1163),
    [anon_sym_DOT] = ACTIONS(1163),
    [anon_sym_class] = ACTIONS(1163),
    [anon_sym_COLON_COLON] = ACTIONS(1163),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1163),
    [anon_sym_case] = ACTIONS(1163),
    [anon_sym_default] = ACTIONS(1163),
    [sym_underscore_pattern] = ACTIONS(1163),
    [anon_sym_SEMI] = ACTIONS(1163),
    [aux_sym_expression_statement_token1] = ACTIONS(1161),
    [anon_sym_NULL] = ACTIONS(1163),
    [anon_sym_assert] = ACTIONS(1163),
    [anon_sym_do] = ACTIONS(1163),
    [anon_sym_while] = ACTIONS(1163),
    [anon_sym_break] = ACTIONS(1163),
    [anon_sym_continue] = ACTIONS(1163),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_yield] = ACTIONS(1163),
    [anon_sym_synchronized] = ACTIONS(1163),
    [anon_sym_throw] = ACTIONS(1163),
    [anon_sym_try] = ACTIONS(1163),
    [anon_sym_if] = ACTIONS(1163),
    [anon_sym_else] = ACTIONS(1163),
    [anon_sym_for] = ACTIONS(1163),
    [anon_sym_AT] = ACTIONS(1163),
    [anon_sym_open] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(1163),
    [anon_sym_static] = ACTIONS(1163),
    [anon_sym_with] = ACTIONS(1163),
    [anon_sym_package] = ACTIONS(1163),
    [anon_sym_import] = ACTIONS(1163),
    [anon_sym_enum] = ACTIONS(1163),
    [anon_sym_public] = ACTIONS(1163),
    [anon_sym_protected] = ACTIONS(1163),
    [anon_sym_private] = ACTIONS(1163),
    [anon_sym_abstract] = ACTIONS(1163),
    [anon_sym_strictfp] = ACTIONS(1163),
    [anon_sym_native] = ACTIONS(1163),
    [anon_sym_transient] = ACTIONS(1163),
    [anon_sym_volatile] = ACTIONS(1163),
    [anon_sym_sealed] = ACTIONS(1163),
    [anon_sym_non_DASHsealed] = ACTIONS(1163),
    [anon_sym_record] = ACTIONS(1163),
    [anon_sym_ATinterface] = ACTIONS(1163),
    [anon_sym_interface] = ACTIONS(1163),
    [anon_sym_byte] = ACTIONS(1163),
    [anon_sym_short] = ACTIONS(1163),
    [anon_sym_int] = ACTIONS(1163),
    [anon_sym_long] = ACTIONS(1163),
    [anon_sym_char] = ACTIONS(1163),
    [anon_sym_float] = ACTIONS(1163),
    [anon_sym_double] = ACTIONS(1163),
    [sym_boolean_type] = ACTIONS(1163),
    [sym_void_type] = ACTIONS(1163),
    [anon_sym_def] = ACTIONS(1163),
    [sym_this] = ACTIONS(1163),
    [sym_super] = ACTIONS(1163),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1163),
  },
  [250] = {
    [ts_builtin_sym_end] = ACTIONS(1165),
    [sym_identifier] = ACTIONS(1167),
    [sym_decimal_integer_literal] = ACTIONS(1167),
    [sym_hex_integer_literal] = ACTIONS(1167),
    [sym_octal_integer_literal] = ACTIONS(1167),
    [sym_binary_integer_literal] = ACTIONS(1167),
    [sym_decimal_floating_point_literal] = ACTIONS(1167),
    [sym_hex_floating_point_literal] = ACTIONS(1167),
    [sym_true] = ACTIONS(1167),
    [sym_false] = ACTIONS(1167),
    [sym_character_literal] = ACTIONS(1167),
    [anon_sym_DQUOTE] = ACTIONS(1167),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1167),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1167),
    [anon_sym_RBRACE] = ACTIONS(1167),
    [sym_null_literal] = ACTIONS(1167),
    [anon_sym_LPAREN] = ACTIONS(1167),
    [anon_sym_AMP] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT_EQ] = ACTIONS(1167),
    [anon_sym_LT_EQ] = ACTIONS(1167),
    [anon_sym_EQ_EQ] = ACTIONS(1167),
    [anon_sym_BANG_EQ] = ACTIONS(1167),
    [anon_sym_AMP_AMP] = ACTIONS(1167),
    [anon_sym_PIPE_PIPE] = ACTIONS(1167),
    [anon_sym_PLUS] = ACTIONS(1167),
    [anon_sym_DASH] = ACTIONS(1167),
    [anon_sym_STAR] = ACTIONS(1167),
    [anon_sym_SLASH] = ACTIONS(1167),
    [anon_sym_PIPE] = ACTIONS(1167),
    [anon_sym_CARET] = ACTIONS(1167),
    [anon_sym_PERCENT] = ACTIONS(1167),
    [anon_sym_LT_LT] = ACTIONS(1167),
    [anon_sym_GT_GT] = ACTIONS(1167),
    [anon_sym_GT_GT_GT] = ACTIONS(1167),
    [anon_sym_in] = ACTIONS(1167),
    [anon_sym_STAR_STAR] = ACTIONS(1167),
    [anon_sym_instanceof] = ACTIONS(1167),
    [anon_sym_final] = ACTIONS(1167),
    [anon_sym_DASH_GT] = ACTIONS(1167),
    [anon_sym_QMARK] = ACTIONS(1167),
    [anon_sym_BANG] = ACTIONS(1167),
    [anon_sym_TILDE] = ACTIONS(1167),
    [anon_sym_PLUS_PLUS] = ACTIONS(1167),
    [anon_sym_DASH_DASH] = ACTIONS(1167),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_LBRACK] = ACTIONS(1167),
    [anon_sym_DOT] = ACTIONS(1167),
    [anon_sym_class] = ACTIONS(1167),
    [anon_sym_COLON_COLON] = ACTIONS(1167),
    [anon_sym_switch] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(1167),
    [anon_sym_case] = ACTIONS(1167),
    [anon_sym_default] = ACTIONS(1167),
    [sym_underscore_pattern] = ACTIONS(1167),
    [anon_sym_SEMI] = ACTIONS(1167),
    [aux_sym_expression_statement_token1] = ACTIONS(1165),
    [anon_sym_NULL] = ACTIONS(1167),
    [anon_sym_assert] = ACTIONS(1167),
    [anon_sym_do] = ACTIONS(1167),
    [anon_sym_while] = ACTIONS(1167),
    [anon_sym_break] = ACTIONS(1167),
    [anon_sym_continue] = ACTIONS(1167),
    [anon_sym_return] = ACTIONS(1167),
    [anon_sym_yield] = ACTIONS(1167),
    [anon_sym_synchronized] = ACTIONS(1167),
    [anon_sym_throw] = ACTIONS(1167),
    [anon_sym_try] = ACTIONS(1167),
    [anon_sym_if] = ACTIONS(1167),
    [anon_sym_else] = ACTIONS(1167),
    [anon_sym_for] = ACTIONS(1167),
    [anon_sym_AT] = ACTIONS(1167),
    [anon_sym_open] = ACTIONS(1167),
    [anon_sym_module] = ACTIONS(1167),
    [anon_sym_static] = ACTIONS(1167),
    [anon_sym_with] = ACTIONS(1167),
    [anon_sym_package] = ACTIONS(1167),
    [anon_sym_import] = ACTIONS(1167),
    [anon_sym_enum] = ACTIONS(1167),
    [anon_sym_public] = ACTIONS(1167),
    [anon_sym_protected] = ACTIONS(1167),
    [anon_sym_private] = ACTIONS(1167),
    [anon_sym_abstract] = ACTIONS(1167),
    [anon_sym_strictfp] = ACTIONS(1167),
    [anon_sym_native] = ACTIONS(1167),
    [anon_sym_transient] = ACTIONS(1167),
    [anon_sym_volatile] = ACTIONS(1167),
    [anon_sym_sealed] = ACTIONS(1167),
    [anon_sym_non_DASHsealed] = ACTIONS(1167),
    [anon_sym_record] = ACTIONS(1167),
    [anon_sym_ATinterface] = ACTIONS(1167),
    [anon_sym_interface] = ACTIONS(1167),
    [anon_sym_byte] = ACTIONS(1167),
    [anon_sym_short] = ACTIONS(1167),
    [anon_sym_int] = ACTIONS(1167),
    [anon_sym_long] = ACTIONS(1167),
    [anon_sym_char] = ACTIONS(1167),
    [anon_sym_float] = ACTIONS(1167),
    [anon_sym_double] = ACTIONS(1167),
    [sym_boolean_type] = ACTIONS(1167),
    [sym_void_type] = ACTIONS(1167),
    [anon_sym_def] = ACTIONS(1167),
    [sym_this] = ACTIONS(1167),
    [sym_super] = ACTIONS(1167),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1167),
  },
  [251] = {
    [sym_argument_list] = STATE(343),
    [sym_type_arguments] = STATE(1792),
    [sym_closure] = STATE(472),
    [ts_builtin_sym_end] = ACTIONS(810),
    [sym_identifier] = ACTIONS(772),
    [sym_decimal_integer_literal] = ACTIONS(772),
    [sym_hex_integer_literal] = ACTIONS(772),
    [sym_octal_integer_literal] = ACTIONS(772),
    [sym_binary_integer_literal] = ACTIONS(810),
    [sym_decimal_floating_point_literal] = ACTIONS(810),
    [sym_hex_floating_point_literal] = ACTIONS(772),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_character_literal] = ACTIONS(810),
    [anon_sym_DQUOTE] = ACTIONS(772),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(810),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(810),
    [anon_sym_RBRACE] = ACTIONS(810),
    [sym_null_literal] = ACTIONS(772),
    [anon_sym_LPAREN] = ACTIONS(854),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(810),
    [anon_sym_LT_EQ] = ACTIONS(810),
    [anon_sym_EQ_EQ] = ACTIONS(810),
    [anon_sym_BANG_EQ] = ACTIONS(810),
    [anon_sym_AMP_AMP] = ACTIONS(810),
    [anon_sym_PIPE_PIPE] = ACTIONS(810),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(810),
    [anon_sym_PERCENT] = ACTIONS(810),
    [anon_sym_LT_LT] = ACTIONS(810),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(810),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(810),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_final] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(861),
    [anon_sym_COMMA] = ACTIONS(810),
    [anon_sym_QMARK] = ACTIONS(810),
    [anon_sym_BANG] = ACTIONS(772),
    [anon_sym_TILDE] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(810),
    [anon_sym_DASH_DASH] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_DOT] = ACTIONS(793),
    [anon_sym_class] = ACTIONS(772),
    [anon_sym_COLON_COLON] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(772),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_default] = ACTIONS(772),
    [sym_underscore_pattern] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(810),
    [anon_sym_assert] = ACTIONS(772),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_while] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(772),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(772),
    [anon_sym_synchronized] = ACTIONS(772),
    [anon_sym_throw] = ACTIONS(772),
    [anon_sym_try] = ACTIONS(772),
    [anon_sym_if] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(769),
    [anon_sym_open] = ACTIONS(772),
    [anon_sym_module] = ACTIONS(772),
    [anon_sym_static] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(772),
    [anon_sym_package] = ACTIONS(772),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_enum] = ACTIONS(772),
    [anon_sym_public] = ACTIONS(772),
    [anon_sym_protected] = ACTIONS(772),
    [anon_sym_private] = ACTIONS(772),
    [anon_sym_abstract] = ACTIONS(772),
    [anon_sym_strictfp] = ACTIONS(772),
    [anon_sym_native] = ACTIONS(772),
    [anon_sym_transient] = ACTIONS(772),
    [anon_sym_volatile] = ACTIONS(772),
    [anon_sym_sealed] = ACTIONS(772),
    [anon_sym_non_DASHsealed] = ACTIONS(810),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_ATinterface] = ACTIONS(810),
    [anon_sym_interface] = ACTIONS(772),
    [anon_sym_byte] = ACTIONS(772),
    [anon_sym_short] = ACTIONS(772),
    [anon_sym_int] = ACTIONS(772),
    [anon_sym_long] = ACTIONS(772),
    [anon_sym_char] = ACTIONS(772),
    [anon_sym_float] = ACTIONS(772),
    [anon_sym_double] = ACTIONS(772),
    [sym_boolean_type] = ACTIONS(772),
    [sym_void_type] = ACTIONS(772),
    [anon_sym_def] = ACTIONS(772),
    [sym_this] = ACTIONS(772),
    [sym_super] = ACTIONS(772),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(810),
  },
  [252] = {
    [ts_builtin_sym_end] = ACTIONS(1169),
    [sym_identifier] = ACTIONS(1171),
    [sym_decimal_integer_literal] = ACTIONS(1171),
    [sym_hex_integer_literal] = ACTIONS(1171),
    [sym_octal_integer_literal] = ACTIONS(1171),
    [sym_binary_integer_literal] = ACTIONS(1171),
    [sym_decimal_floating_point_literal] = ACTIONS(1171),
    [sym_hex_floating_point_literal] = ACTIONS(1171),
    [sym_true] = ACTIONS(1171),
    [sym_false] = ACTIONS(1171),
    [sym_character_literal] = ACTIONS(1171),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1171),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1171),
    [anon_sym_RBRACE] = ACTIONS(1171),
    [sym_null_literal] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1171),
    [anon_sym_AMP] = ACTIONS(1171),
    [anon_sym_GT] = ACTIONS(1171),
    [anon_sym_LT] = ACTIONS(1171),
    [anon_sym_GT_EQ] = ACTIONS(1171),
    [anon_sym_LT_EQ] = ACTIONS(1171),
    [anon_sym_EQ_EQ] = ACTIONS(1171),
    [anon_sym_BANG_EQ] = ACTIONS(1171),
    [anon_sym_AMP_AMP] = ACTIONS(1171),
    [anon_sym_PIPE_PIPE] = ACTIONS(1171),
    [anon_sym_PLUS] = ACTIONS(1171),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1171),
    [anon_sym_SLASH] = ACTIONS(1171),
    [anon_sym_PIPE] = ACTIONS(1171),
    [anon_sym_CARET] = ACTIONS(1171),
    [anon_sym_PERCENT] = ACTIONS(1171),
    [anon_sym_LT_LT] = ACTIONS(1171),
    [anon_sym_GT_GT] = ACTIONS(1171),
    [anon_sym_GT_GT_GT] = ACTIONS(1171),
    [anon_sym_in] = ACTIONS(1171),
    [anon_sym_STAR_STAR] = ACTIONS(1171),
    [anon_sym_instanceof] = ACTIONS(1171),
    [anon_sym_final] = ACTIONS(1171),
    [anon_sym_DASH_GT] = ACTIONS(1171),
    [anon_sym_QMARK] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1171),
    [anon_sym_TILDE] = ACTIONS(1171),
    [anon_sym_PLUS_PLUS] = ACTIONS(1171),
    [anon_sym_DASH_DASH] = ACTIONS(1171),
    [anon_sym_new] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1171),
    [anon_sym_DOT] = ACTIONS(1171),
    [anon_sym_class] = ACTIONS(1171),
    [anon_sym_COLON_COLON] = ACTIONS(1171),
    [anon_sym_switch] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1171),
    [anon_sym_case] = ACTIONS(1171),
    [anon_sym_default] = ACTIONS(1171),
    [sym_underscore_pattern] = ACTIONS(1171),
    [anon_sym_SEMI] = ACTIONS(1171),
    [aux_sym_expression_statement_token1] = ACTIONS(1169),
    [anon_sym_NULL] = ACTIONS(1171),
    [anon_sym_assert] = ACTIONS(1171),
    [anon_sym_do] = ACTIONS(1171),
    [anon_sym_while] = ACTIONS(1171),
    [anon_sym_break] = ACTIONS(1171),
    [anon_sym_continue] = ACTIONS(1171),
    [anon_sym_return] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(1171),
    [anon_sym_synchronized] = ACTIONS(1171),
    [anon_sym_throw] = ACTIONS(1171),
    [anon_sym_try] = ACTIONS(1171),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_else] = ACTIONS(1171),
    [anon_sym_for] = ACTIONS(1171),
    [anon_sym_AT] = ACTIONS(1171),
    [anon_sym_open] = ACTIONS(1171),
    [anon_sym_module] = ACTIONS(1171),
    [anon_sym_static] = ACTIONS(1171),
    [anon_sym_with] = ACTIONS(1171),
    [anon_sym_package] = ACTIONS(1171),
    [anon_sym_import] = ACTIONS(1171),
    [anon_sym_enum] = ACTIONS(1171),
    [anon_sym_public] = ACTIONS(1171),
    [anon_sym_protected] = ACTIONS(1171),
    [anon_sym_private] = ACTIONS(1171),
    [anon_sym_abstract] = ACTIONS(1171),
    [anon_sym_strictfp] = ACTIONS(1171),
    [anon_sym_native] = ACTIONS(1171),
    [anon_sym_transient] = ACTIONS(1171),
    [anon_sym_volatile] = ACTIONS(1171),
    [anon_sym_sealed] = ACTIONS(1171),
    [anon_sym_non_DASHsealed] = ACTIONS(1171),
    [anon_sym_record] = ACTIONS(1171),
    [anon_sym_ATinterface] = ACTIONS(1171),
    [anon_sym_interface] = ACTIONS(1171),
    [anon_sym_byte] = ACTIONS(1171),
    [anon_sym_short] = ACTIONS(1171),
    [anon_sym_int] = ACTIONS(1171),
    [anon_sym_long] = ACTIONS(1171),
    [anon_sym_char] = ACTIONS(1171),
    [anon_sym_float] = ACTIONS(1171),
    [anon_sym_double] = ACTIONS(1171),
    [sym_boolean_type] = ACTIONS(1171),
    [sym_void_type] = ACTIONS(1171),
    [anon_sym_def] = ACTIONS(1171),
    [sym_this] = ACTIONS(1171),
    [sym_super] = ACTIONS(1171),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1171),
  },
  [253] = {
    [ts_builtin_sym_end] = ACTIONS(1173),
    [sym_identifier] = ACTIONS(1175),
    [sym_decimal_integer_literal] = ACTIONS(1175),
    [sym_hex_integer_literal] = ACTIONS(1175),
    [sym_octal_integer_literal] = ACTIONS(1175),
    [sym_binary_integer_literal] = ACTIONS(1175),
    [sym_decimal_floating_point_literal] = ACTIONS(1175),
    [sym_hex_floating_point_literal] = ACTIONS(1175),
    [sym_true] = ACTIONS(1175),
    [sym_false] = ACTIONS(1175),
    [sym_character_literal] = ACTIONS(1175),
    [anon_sym_DQUOTE] = ACTIONS(1175),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1175),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1175),
    [anon_sym_RBRACE] = ACTIONS(1175),
    [sym_null_literal] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1175),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_GT] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(1175),
    [anon_sym_LT_EQ] = ACTIONS(1175),
    [anon_sym_EQ_EQ] = ACTIONS(1175),
    [anon_sym_BANG_EQ] = ACTIONS(1175),
    [anon_sym_AMP_AMP] = ACTIONS(1175),
    [anon_sym_PIPE_PIPE] = ACTIONS(1175),
    [anon_sym_PLUS] = ACTIONS(1175),
    [anon_sym_DASH] = ACTIONS(1175),
    [anon_sym_STAR] = ACTIONS(1175),
    [anon_sym_SLASH] = ACTIONS(1175),
    [anon_sym_PIPE] = ACTIONS(1175),
    [anon_sym_CARET] = ACTIONS(1175),
    [anon_sym_PERCENT] = ACTIONS(1175),
    [anon_sym_LT_LT] = ACTIONS(1175),
    [anon_sym_GT_GT] = ACTIONS(1175),
    [anon_sym_GT_GT_GT] = ACTIONS(1175),
    [anon_sym_in] = ACTIONS(1175),
    [anon_sym_STAR_STAR] = ACTIONS(1175),
    [anon_sym_instanceof] = ACTIONS(1175),
    [anon_sym_final] = ACTIONS(1175),
    [anon_sym_DASH_GT] = ACTIONS(1175),
    [anon_sym_QMARK] = ACTIONS(1175),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1175),
    [anon_sym_PLUS_PLUS] = ACTIONS(1175),
    [anon_sym_DASH_DASH] = ACTIONS(1175),
    [anon_sym_new] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1175),
    [anon_sym_DOT] = ACTIONS(1175),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_COLON_COLON] = ACTIONS(1175),
    [anon_sym_switch] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1175),
    [anon_sym_case] = ACTIONS(1175),
    [anon_sym_default] = ACTIONS(1175),
    [sym_underscore_pattern] = ACTIONS(1175),
    [anon_sym_SEMI] = ACTIONS(1175),
    [aux_sym_expression_statement_token1] = ACTIONS(1173),
    [anon_sym_NULL] = ACTIONS(1175),
    [anon_sym_assert] = ACTIONS(1175),
    [anon_sym_do] = ACTIONS(1175),
    [anon_sym_while] = ACTIONS(1175),
    [anon_sym_break] = ACTIONS(1175),
    [anon_sym_continue] = ACTIONS(1175),
    [anon_sym_return] = ACTIONS(1175),
    [anon_sym_yield] = ACTIONS(1175),
    [anon_sym_synchronized] = ACTIONS(1175),
    [anon_sym_throw] = ACTIONS(1175),
    [anon_sym_try] = ACTIONS(1175),
    [anon_sym_if] = ACTIONS(1175),
    [anon_sym_else] = ACTIONS(1175),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_AT] = ACTIONS(1175),
    [anon_sym_open] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1175),
    [anon_sym_static] = ACTIONS(1175),
    [anon_sym_with] = ACTIONS(1175),
    [anon_sym_package] = ACTIONS(1175),
    [anon_sym_import] = ACTIONS(1175),
    [anon_sym_enum] = ACTIONS(1175),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_abstract] = ACTIONS(1175),
    [anon_sym_strictfp] = ACTIONS(1175),
    [anon_sym_native] = ACTIONS(1175),
    [anon_sym_transient] = ACTIONS(1175),
    [anon_sym_volatile] = ACTIONS(1175),
    [anon_sym_sealed] = ACTIONS(1175),
    [anon_sym_non_DASHsealed] = ACTIONS(1175),
    [anon_sym_record] = ACTIONS(1175),
    [anon_sym_ATinterface] = ACTIONS(1175),
    [anon_sym_interface] = ACTIONS(1175),
    [anon_sym_byte] = ACTIONS(1175),
    [anon_sym_short] = ACTIONS(1175),
    [anon_sym_int] = ACTIONS(1175),
    [anon_sym_long] = ACTIONS(1175),
    [anon_sym_char] = ACTIONS(1175),
    [anon_sym_float] = ACTIONS(1175),
    [anon_sym_double] = ACTIONS(1175),
    [sym_boolean_type] = ACTIONS(1175),
    [sym_void_type] = ACTIONS(1175),
    [anon_sym_def] = ACTIONS(1175),
    [sym_this] = ACTIONS(1175),
    [sym_super] = ACTIONS(1175),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1175),
  },
  [254] = {
    [ts_builtin_sym_end] = ACTIONS(1177),
    [sym_identifier] = ACTIONS(1179),
    [sym_decimal_integer_literal] = ACTIONS(1179),
    [sym_hex_integer_literal] = ACTIONS(1179),
    [sym_octal_integer_literal] = ACTIONS(1179),
    [sym_binary_integer_literal] = ACTIONS(1179),
    [sym_decimal_floating_point_literal] = ACTIONS(1179),
    [sym_hex_floating_point_literal] = ACTIONS(1179),
    [sym_true] = ACTIONS(1179),
    [sym_false] = ACTIONS(1179),
    [sym_character_literal] = ACTIONS(1179),
    [anon_sym_DQUOTE] = ACTIONS(1179),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1179),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1179),
    [anon_sym_RBRACE] = ACTIONS(1179),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(1179),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_GT] = ACTIONS(1179),
    [anon_sym_LT] = ACTIONS(1179),
    [anon_sym_GT_EQ] = ACTIONS(1179),
    [anon_sym_LT_EQ] = ACTIONS(1179),
    [anon_sym_EQ_EQ] = ACTIONS(1179),
    [anon_sym_BANG_EQ] = ACTIONS(1179),
    [anon_sym_AMP_AMP] = ACTIONS(1179),
    [anon_sym_PIPE_PIPE] = ACTIONS(1179),
    [anon_sym_PLUS] = ACTIONS(1179),
    [anon_sym_DASH] = ACTIONS(1179),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_SLASH] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1179),
    [anon_sym_PERCENT] = ACTIONS(1179),
    [anon_sym_LT_LT] = ACTIONS(1179),
    [anon_sym_GT_GT] = ACTIONS(1179),
    [anon_sym_GT_GT_GT] = ACTIONS(1179),
    [anon_sym_in] = ACTIONS(1179),
    [anon_sym_STAR_STAR] = ACTIONS(1179),
    [anon_sym_instanceof] = ACTIONS(1179),
    [anon_sym_final] = ACTIONS(1179),
    [anon_sym_DASH_GT] = ACTIONS(1179),
    [anon_sym_QMARK] = ACTIONS(1179),
    [anon_sym_BANG] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1179),
    [anon_sym_PLUS_PLUS] = ACTIONS(1179),
    [anon_sym_DASH_DASH] = ACTIONS(1179),
    [anon_sym_new] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1179),
    [anon_sym_DOT] = ACTIONS(1179),
    [anon_sym_class] = ACTIONS(1179),
    [anon_sym_COLON_COLON] = ACTIONS(1179),
    [anon_sym_switch] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1179),
    [anon_sym_case] = ACTIONS(1179),
    [anon_sym_default] = ACTIONS(1179),
    [sym_underscore_pattern] = ACTIONS(1179),
    [anon_sym_SEMI] = ACTIONS(1179),
    [aux_sym_expression_statement_token1] = ACTIONS(1177),
    [anon_sym_NULL] = ACTIONS(1179),
    [anon_sym_assert] = ACTIONS(1179),
    [anon_sym_do] = ACTIONS(1179),
    [anon_sym_while] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_continue] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1179),
    [anon_sym_synchronized] = ACTIONS(1179),
    [anon_sym_throw] = ACTIONS(1179),
    [anon_sym_try] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1179),
    [anon_sym_else] = ACTIONS(1179),
    [anon_sym_for] = ACTIONS(1179),
    [anon_sym_AT] = ACTIONS(1179),
    [anon_sym_open] = ACTIONS(1179),
    [anon_sym_module] = ACTIONS(1179),
    [anon_sym_static] = ACTIONS(1179),
    [anon_sym_with] = ACTIONS(1179),
    [anon_sym_package] = ACTIONS(1179),
    [anon_sym_import] = ACTIONS(1179),
    [anon_sym_enum] = ACTIONS(1179),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_abstract] = ACTIONS(1179),
    [anon_sym_strictfp] = ACTIONS(1179),
    [anon_sym_native] = ACTIONS(1179),
    [anon_sym_transient] = ACTIONS(1179),
    [anon_sym_volatile] = ACTIONS(1179),
    [anon_sym_sealed] = ACTIONS(1179),
    [anon_sym_non_DASHsealed] = ACTIONS(1179),
    [anon_sym_record] = ACTIONS(1179),
    [anon_sym_ATinterface] = ACTIONS(1179),
    [anon_sym_interface] = ACTIONS(1179),
    [anon_sym_byte] = ACTIONS(1179),
    [anon_sym_short] = ACTIONS(1179),
    [anon_sym_int] = ACTIONS(1179),
    [anon_sym_long] = ACTIONS(1179),
    [anon_sym_char] = ACTIONS(1179),
    [anon_sym_float] = ACTIONS(1179),
    [anon_sym_double] = ACTIONS(1179),
    [sym_boolean_type] = ACTIONS(1179),
    [sym_void_type] = ACTIONS(1179),
    [anon_sym_def] = ACTIONS(1179),
    [sym_this] = ACTIONS(1179),
    [sym_super] = ACTIONS(1179),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1179),
  },
  [255] = {
    [ts_builtin_sym_end] = ACTIONS(1181),
    [sym_identifier] = ACTIONS(1183),
    [sym_decimal_integer_literal] = ACTIONS(1183),
    [sym_hex_integer_literal] = ACTIONS(1183),
    [sym_octal_integer_literal] = ACTIONS(1183),
    [sym_binary_integer_literal] = ACTIONS(1183),
    [sym_decimal_floating_point_literal] = ACTIONS(1183),
    [sym_hex_floating_point_literal] = ACTIONS(1183),
    [sym_true] = ACTIONS(1183),
    [sym_false] = ACTIONS(1183),
    [sym_character_literal] = ACTIONS(1183),
    [anon_sym_DQUOTE] = ACTIONS(1183),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1183),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1183),
    [anon_sym_RBRACE] = ACTIONS(1183),
    [sym_null_literal] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1183),
    [anon_sym_AMP] = ACTIONS(1183),
    [anon_sym_GT] = ACTIONS(1183),
    [anon_sym_LT] = ACTIONS(1183),
    [anon_sym_GT_EQ] = ACTIONS(1183),
    [anon_sym_LT_EQ] = ACTIONS(1183),
    [anon_sym_EQ_EQ] = ACTIONS(1183),
    [anon_sym_BANG_EQ] = ACTIONS(1183),
    [anon_sym_AMP_AMP] = ACTIONS(1183),
    [anon_sym_PIPE_PIPE] = ACTIONS(1183),
    [anon_sym_PLUS] = ACTIONS(1183),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_STAR] = ACTIONS(1183),
    [anon_sym_SLASH] = ACTIONS(1183),
    [anon_sym_PIPE] = ACTIONS(1183),
    [anon_sym_CARET] = ACTIONS(1183),
    [anon_sym_PERCENT] = ACTIONS(1183),
    [anon_sym_LT_LT] = ACTIONS(1183),
    [anon_sym_GT_GT] = ACTIONS(1183),
    [anon_sym_GT_GT_GT] = ACTIONS(1183),
    [anon_sym_in] = ACTIONS(1183),
    [anon_sym_STAR_STAR] = ACTIONS(1183),
    [anon_sym_instanceof] = ACTIONS(1183),
    [anon_sym_final] = ACTIONS(1183),
    [anon_sym_DASH_GT] = ACTIONS(1183),
    [anon_sym_QMARK] = ACTIONS(1183),
    [anon_sym_BANG] = ACTIONS(1183),
    [anon_sym_TILDE] = ACTIONS(1183),
    [anon_sym_PLUS_PLUS] = ACTIONS(1183),
    [anon_sym_DASH_DASH] = ACTIONS(1183),
    [anon_sym_new] = ACTIONS(1183),
    [anon_sym_LBRACK] = ACTIONS(1183),
    [anon_sym_DOT] = ACTIONS(1183),
    [anon_sym_class] = ACTIONS(1183),
    [anon_sym_COLON_COLON] = ACTIONS(1183),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1183),
    [anon_sym_case] = ACTIONS(1183),
    [anon_sym_default] = ACTIONS(1183),
    [sym_underscore_pattern] = ACTIONS(1183),
    [anon_sym_SEMI] = ACTIONS(1183),
    [aux_sym_expression_statement_token1] = ACTIONS(1181),
    [anon_sym_NULL] = ACTIONS(1183),
    [anon_sym_assert] = ACTIONS(1183),
    [anon_sym_do] = ACTIONS(1183),
    [anon_sym_while] = ACTIONS(1183),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_continue] = ACTIONS(1183),
    [anon_sym_return] = ACTIONS(1183),
    [anon_sym_yield] = ACTIONS(1183),
    [anon_sym_synchronized] = ACTIONS(1183),
    [anon_sym_throw] = ACTIONS(1183),
    [anon_sym_try] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1183),
    [anon_sym_else] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1183),
    [anon_sym_AT] = ACTIONS(1183),
    [anon_sym_open] = ACTIONS(1183),
    [anon_sym_module] = ACTIONS(1183),
    [anon_sym_static] = ACTIONS(1183),
    [anon_sym_with] = ACTIONS(1183),
    [anon_sym_package] = ACTIONS(1183),
    [anon_sym_import] = ACTIONS(1183),
    [anon_sym_enum] = ACTIONS(1183),
    [anon_sym_public] = ACTIONS(1183),
    [anon_sym_protected] = ACTIONS(1183),
    [anon_sym_private] = ACTIONS(1183),
    [anon_sym_abstract] = ACTIONS(1183),
    [anon_sym_strictfp] = ACTIONS(1183),
    [anon_sym_native] = ACTIONS(1183),
    [anon_sym_transient] = ACTIONS(1183),
    [anon_sym_volatile] = ACTIONS(1183),
    [anon_sym_sealed] = ACTIONS(1183),
    [anon_sym_non_DASHsealed] = ACTIONS(1183),
    [anon_sym_record] = ACTIONS(1183),
    [anon_sym_ATinterface] = ACTIONS(1183),
    [anon_sym_interface] = ACTIONS(1183),
    [anon_sym_byte] = ACTIONS(1183),
    [anon_sym_short] = ACTIONS(1183),
    [anon_sym_int] = ACTIONS(1183),
    [anon_sym_long] = ACTIONS(1183),
    [anon_sym_char] = ACTIONS(1183),
    [anon_sym_float] = ACTIONS(1183),
    [anon_sym_double] = ACTIONS(1183),
    [sym_boolean_type] = ACTIONS(1183),
    [sym_void_type] = ACTIONS(1183),
    [anon_sym_def] = ACTIONS(1183),
    [sym_this] = ACTIONS(1183),
    [sym_super] = ACTIONS(1183),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1183),
  },
  [256] = {
    [sym_type_arguments] = STATE(316),
    [ts_builtin_sym_end] = ACTIONS(1072),
    [sym_identifier] = ACTIONS(1074),
    [sym_decimal_integer_literal] = ACTIONS(1074),
    [sym_hex_integer_literal] = ACTIONS(1074),
    [sym_octal_integer_literal] = ACTIONS(1074),
    [sym_binary_integer_literal] = ACTIONS(1074),
    [sym_decimal_floating_point_literal] = ACTIONS(1074),
    [sym_hex_floating_point_literal] = ACTIONS(1074),
    [sym_true] = ACTIONS(1074),
    [sym_false] = ACTIONS(1074),
    [sym_character_literal] = ACTIONS(1074),
    [anon_sym_DQUOTE] = ACTIONS(1074),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1074),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1074),
    [anon_sym_RBRACE] = ACTIONS(1074),
    [sym_null_literal] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(1074),
    [anon_sym_AMP] = ACTIONS(1074),
    [anon_sym_GT] = ACTIONS(1074),
    [anon_sym_LT] = ACTIONS(1079),
    [anon_sym_GT_EQ] = ACTIONS(1074),
    [anon_sym_LT_EQ] = ACTIONS(1074),
    [anon_sym_EQ_EQ] = ACTIONS(1074),
    [anon_sym_BANG_EQ] = ACTIONS(1074),
    [anon_sym_AMP_AMP] = ACTIONS(1074),
    [anon_sym_PIPE_PIPE] = ACTIONS(1074),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_STAR] = ACTIONS(1074),
    [anon_sym_SLASH] = ACTIONS(1074),
    [anon_sym_PIPE] = ACTIONS(1074),
    [anon_sym_CARET] = ACTIONS(1074),
    [anon_sym_PERCENT] = ACTIONS(1074),
    [anon_sym_LT_LT] = ACTIONS(1074),
    [anon_sym_GT_GT] = ACTIONS(1074),
    [anon_sym_GT_GT_GT] = ACTIONS(1074),
    [anon_sym_in] = ACTIONS(1074),
    [anon_sym_STAR_STAR] = ACTIONS(1074),
    [anon_sym_instanceof] = ACTIONS(1074),
    [anon_sym_final] = ACTIONS(1074),
    [anon_sym_DASH_GT] = ACTIONS(1074),
    [anon_sym_QMARK] = ACTIONS(1074),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_TILDE] = ACTIONS(1074),
    [anon_sym_PLUS_PLUS] = ACTIONS(1074),
    [anon_sym_DASH_DASH] = ACTIONS(1074),
    [anon_sym_new] = ACTIONS(1074),
    [anon_sym_LBRACK] = ACTIONS(1074),
    [anon_sym_DOT] = ACTIONS(1082),
    [anon_sym_class] = ACTIONS(1074),
    [anon_sym_switch] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1074),
    [anon_sym_case] = ACTIONS(1074),
    [anon_sym_default] = ACTIONS(1074),
    [sym_underscore_pattern] = ACTIONS(1074),
    [anon_sym_SEMI] = ACTIONS(1074),
    [aux_sym_expression_statement_token1] = ACTIONS(1072),
    [anon_sym_NULL] = ACTIONS(1074),
    [anon_sym_assert] = ACTIONS(1074),
    [anon_sym_do] = ACTIONS(1074),
    [anon_sym_while] = ACTIONS(1074),
    [anon_sym_break] = ACTIONS(1074),
    [anon_sym_continue] = ACTIONS(1074),
    [anon_sym_return] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(1074),
    [anon_sym_synchronized] = ACTIONS(1074),
    [anon_sym_throw] = ACTIONS(1074),
    [anon_sym_try] = ACTIONS(1074),
    [anon_sym_if] = ACTIONS(1074),
    [anon_sym_else] = ACTIONS(1074),
    [anon_sym_for] = ACTIONS(1074),
    [anon_sym_AT] = ACTIONS(1074),
    [anon_sym_open] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_with] = ACTIONS(1074),
    [anon_sym_package] = ACTIONS(1074),
    [anon_sym_import] = ACTIONS(1074),
    [anon_sym_enum] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_abstract] = ACTIONS(1074),
    [anon_sym_strictfp] = ACTIONS(1074),
    [anon_sym_native] = ACTIONS(1074),
    [anon_sym_transient] = ACTIONS(1074),
    [anon_sym_volatile] = ACTIONS(1074),
    [anon_sym_sealed] = ACTIONS(1074),
    [anon_sym_non_DASHsealed] = ACTIONS(1074),
    [anon_sym_record] = ACTIONS(1074),
    [anon_sym_ATinterface] = ACTIONS(1074),
    [anon_sym_interface] = ACTIONS(1074),
    [anon_sym_byte] = ACTIONS(1074),
    [anon_sym_short] = ACTIONS(1074),
    [anon_sym_int] = ACTIONS(1074),
    [anon_sym_long] = ACTIONS(1074),
    [anon_sym_char] = ACTIONS(1074),
    [anon_sym_float] = ACTIONS(1074),
    [anon_sym_double] = ACTIONS(1074),
    [sym_boolean_type] = ACTIONS(1074),
    [sym_void_type] = ACTIONS(1074),
    [anon_sym_def] = ACTIONS(1074),
    [sym_this] = ACTIONS(1074),
    [sym_super] = ACTIONS(1074),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1074),
  },
  [257] = {
    [ts_builtin_sym_end] = ACTIONS(1185),
    [sym_identifier] = ACTIONS(1187),
    [sym_decimal_integer_literal] = ACTIONS(1187),
    [sym_hex_integer_literal] = ACTIONS(1187),
    [sym_octal_integer_literal] = ACTIONS(1187),
    [sym_binary_integer_literal] = ACTIONS(1187),
    [sym_decimal_floating_point_literal] = ACTIONS(1187),
    [sym_hex_floating_point_literal] = ACTIONS(1187),
    [sym_true] = ACTIONS(1187),
    [sym_false] = ACTIONS(1187),
    [sym_character_literal] = ACTIONS(1187),
    [anon_sym_DQUOTE] = ACTIONS(1187),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1187),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1187),
    [anon_sym_RBRACE] = ACTIONS(1187),
    [sym_null_literal] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1187),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1187),
    [anon_sym_LT_EQ] = ACTIONS(1187),
    [anon_sym_EQ_EQ] = ACTIONS(1187),
    [anon_sym_BANG_EQ] = ACTIONS(1187),
    [anon_sym_AMP_AMP] = ACTIONS(1187),
    [anon_sym_PIPE_PIPE] = ACTIONS(1187),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1187),
    [anon_sym_PERCENT] = ACTIONS(1187),
    [anon_sym_LT_LT] = ACTIONS(1187),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_GT_GT_GT] = ACTIONS(1187),
    [anon_sym_in] = ACTIONS(1187),
    [anon_sym_STAR_STAR] = ACTIONS(1187),
    [anon_sym_instanceof] = ACTIONS(1187),
    [anon_sym_final] = ACTIONS(1187),
    [anon_sym_DASH_GT] = ACTIONS(1187),
    [anon_sym_QMARK] = ACTIONS(1187),
    [anon_sym_BANG] = ACTIONS(1187),
    [anon_sym_TILDE] = ACTIONS(1187),
    [anon_sym_PLUS_PLUS] = ACTIONS(1187),
    [anon_sym_DASH_DASH] = ACTIONS(1187),
    [anon_sym_new] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1187),
    [anon_sym_DOT] = ACTIONS(1187),
    [anon_sym_class] = ACTIONS(1187),
    [anon_sym_COLON_COLON] = ACTIONS(1187),
    [anon_sym_switch] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1187),
    [anon_sym_case] = ACTIONS(1187),
    [anon_sym_default] = ACTIONS(1187),
    [sym_underscore_pattern] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1187),
    [aux_sym_expression_statement_token1] = ACTIONS(1185),
    [anon_sym_NULL] = ACTIONS(1187),
    [anon_sym_assert] = ACTIONS(1187),
    [anon_sym_do] = ACTIONS(1187),
    [anon_sym_while] = ACTIONS(1187),
    [anon_sym_break] = ACTIONS(1187),
    [anon_sym_continue] = ACTIONS(1187),
    [anon_sym_return] = ACTIONS(1187),
    [anon_sym_yield] = ACTIONS(1187),
    [anon_sym_synchronized] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1187),
    [anon_sym_try] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1187),
    [anon_sym_else] = ACTIONS(1187),
    [anon_sym_for] = ACTIONS(1187),
    [anon_sym_AT] = ACTIONS(1187),
    [anon_sym_open] = ACTIONS(1187),
    [anon_sym_module] = ACTIONS(1187),
    [anon_sym_static] = ACTIONS(1187),
    [anon_sym_with] = ACTIONS(1187),
    [anon_sym_package] = ACTIONS(1187),
    [anon_sym_import] = ACTIONS(1187),
    [anon_sym_enum] = ACTIONS(1187),
    [anon_sym_public] = ACTIONS(1187),
    [anon_sym_protected] = ACTIONS(1187),
    [anon_sym_private] = ACTIONS(1187),
    [anon_sym_abstract] = ACTIONS(1187),
    [anon_sym_strictfp] = ACTIONS(1187),
    [anon_sym_native] = ACTIONS(1187),
    [anon_sym_transient] = ACTIONS(1187),
    [anon_sym_volatile] = ACTIONS(1187),
    [anon_sym_sealed] = ACTIONS(1187),
    [anon_sym_non_DASHsealed] = ACTIONS(1187),
    [anon_sym_record] = ACTIONS(1187),
    [anon_sym_ATinterface] = ACTIONS(1187),
    [anon_sym_interface] = ACTIONS(1187),
    [anon_sym_byte] = ACTIONS(1187),
    [anon_sym_short] = ACTIONS(1187),
    [anon_sym_int] = ACTIONS(1187),
    [anon_sym_long] = ACTIONS(1187),
    [anon_sym_char] = ACTIONS(1187),
    [anon_sym_float] = ACTIONS(1187),
    [anon_sym_double] = ACTIONS(1187),
    [sym_boolean_type] = ACTIONS(1187),
    [sym_void_type] = ACTIONS(1187),
    [anon_sym_def] = ACTIONS(1187),
    [sym_this] = ACTIONS(1187),
    [sym_super] = ACTIONS(1187),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1187),
  },
  [258] = {
    [ts_builtin_sym_end] = ACTIONS(810),
    [sym_identifier] = ACTIONS(772),
    [sym_decimal_integer_literal] = ACTIONS(772),
    [sym_hex_integer_literal] = ACTIONS(772),
    [sym_octal_integer_literal] = ACTIONS(772),
    [sym_binary_integer_literal] = ACTIONS(772),
    [sym_decimal_floating_point_literal] = ACTIONS(772),
    [sym_hex_floating_point_literal] = ACTIONS(772),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_character_literal] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(772),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(772),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(772),
    [anon_sym_RBRACE] = ACTIONS(772),
    [sym_null_literal] = ACTIONS(772),
    [anon_sym_LPAREN] = ACTIONS(772),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(772),
    [anon_sym_GT_EQ] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(772),
    [anon_sym_EQ_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_AMP_AMP] = ACTIONS(772),
    [anon_sym_PIPE_PIPE] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(772),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_final] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(772),
    [anon_sym_QMARK] = ACTIONS(772),
    [anon_sym_BANG] = ACTIONS(772),
    [anon_sym_TILDE] = ACTIONS(772),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_new] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(772),
    [anon_sym_DOT] = ACTIONS(772),
    [anon_sym_class] = ACTIONS(772),
    [anon_sym_COLON_COLON] = ACTIONS(772),
    [anon_sym_switch] = ACTIONS(772),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_case] = ACTIONS(772),
    [anon_sym_default] = ACTIONS(772),
    [sym_underscore_pattern] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(772),
    [aux_sym_expression_statement_token1] = ACTIONS(810),
    [anon_sym_NULL] = ACTIONS(772),
    [anon_sym_assert] = ACTIONS(772),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_while] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(772),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(772),
    [anon_sym_synchronized] = ACTIONS(772),
    [anon_sym_throw] = ACTIONS(772),
    [anon_sym_try] = ACTIONS(772),
    [anon_sym_if] = ACTIONS(772),
    [anon_sym_else] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(772),
    [anon_sym_open] = ACTIONS(772),
    [anon_sym_module] = ACTIONS(772),
    [anon_sym_static] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(772),
    [anon_sym_package] = ACTIONS(772),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_enum] = ACTIONS(772),
    [anon_sym_public] = ACTIONS(772),
    [anon_sym_protected] = ACTIONS(772),
    [anon_sym_private] = ACTIONS(772),
    [anon_sym_abstract] = ACTIONS(772),
    [anon_sym_strictfp] = ACTIONS(772),
    [anon_sym_native] = ACTIONS(772),
    [anon_sym_transient] = ACTIONS(772),
    [anon_sym_volatile] = ACTIONS(772),
    [anon_sym_sealed] = ACTIONS(772),
    [anon_sym_non_DASHsealed] = ACTIONS(772),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_ATinterface] = ACTIONS(772),
    [anon_sym_interface] = ACTIONS(772),
    [anon_sym_byte] = ACTIONS(772),
    [anon_sym_short] = ACTIONS(772),
    [anon_sym_int] = ACTIONS(772),
    [anon_sym_long] = ACTIONS(772),
    [anon_sym_char] = ACTIONS(772),
    [anon_sym_float] = ACTIONS(772),
    [anon_sym_double] = ACTIONS(772),
    [sym_boolean_type] = ACTIONS(772),
    [sym_void_type] = ACTIONS(772),
    [anon_sym_def] = ACTIONS(772),
    [sym_this] = ACTIONS(772),
    [sym_super] = ACTIONS(772),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [259] = {
    [sym_type_arguments] = STATE(320),
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_identifier] = ACTIONS(1146),
    [sym_decimal_integer_literal] = ACTIONS(1146),
    [sym_hex_integer_literal] = ACTIONS(1146),
    [sym_octal_integer_literal] = ACTIONS(1146),
    [sym_binary_integer_literal] = ACTIONS(1146),
    [sym_decimal_floating_point_literal] = ACTIONS(1146),
    [sym_hex_floating_point_literal] = ACTIONS(1146),
    [sym_true] = ACTIONS(1146),
    [sym_false] = ACTIONS(1146),
    [sym_character_literal] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1146),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1146),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [sym_null_literal] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1146),
    [anon_sym_AMP] = ACTIONS(1146),
    [anon_sym_GT] = ACTIONS(1146),
    [anon_sym_LT] = ACTIONS(1189),
    [anon_sym_GT_EQ] = ACTIONS(1146),
    [anon_sym_LT_EQ] = ACTIONS(1146),
    [anon_sym_EQ_EQ] = ACTIONS(1146),
    [anon_sym_BANG_EQ] = ACTIONS(1146),
    [anon_sym_AMP_AMP] = ACTIONS(1146),
    [anon_sym_PIPE_PIPE] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1146),
    [anon_sym_SLASH] = ACTIONS(1146),
    [anon_sym_PIPE] = ACTIONS(1146),
    [anon_sym_CARET] = ACTIONS(1146),
    [anon_sym_PERCENT] = ACTIONS(1146),
    [anon_sym_LT_LT] = ACTIONS(1146),
    [anon_sym_GT_GT] = ACTIONS(1146),
    [anon_sym_GT_GT_GT] = ACTIONS(1146),
    [anon_sym_in] = ACTIONS(1146),
    [anon_sym_STAR_STAR] = ACTIONS(1146),
    [anon_sym_instanceof] = ACTIONS(1146),
    [anon_sym_final] = ACTIONS(1146),
    [anon_sym_DASH_GT] = ACTIONS(1146),
    [anon_sym_QMARK] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [anon_sym_new] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1146),
    [anon_sym_DOT] = ACTIONS(1151),
    [anon_sym_class] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_case] = ACTIONS(1146),
    [anon_sym_default] = ACTIONS(1146),
    [sym_underscore_pattern] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1146),
    [aux_sym_expression_statement_token1] = ACTIONS(1144),
    [anon_sym_NULL] = ACTIONS(1146),
    [anon_sym_assert] = ACTIONS(1146),
    [anon_sym_do] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1146),
    [anon_sym_break] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1146),
    [anon_sym_return] = ACTIONS(1146),
    [anon_sym_yield] = ACTIONS(1146),
    [anon_sym_synchronized] = ACTIONS(1146),
    [anon_sym_throw] = ACTIONS(1146),
    [anon_sym_try] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1146),
    [anon_sym_else] = ACTIONS(1146),
    [anon_sym_for] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1146),
    [anon_sym_open] = ACTIONS(1146),
    [anon_sym_module] = ACTIONS(1146),
    [anon_sym_static] = ACTIONS(1146),
    [anon_sym_with] = ACTIONS(1146),
    [anon_sym_package] = ACTIONS(1146),
    [anon_sym_import] = ACTIONS(1146),
    [anon_sym_enum] = ACTIONS(1146),
    [anon_sym_public] = ACTIONS(1146),
    [anon_sym_protected] = ACTIONS(1146),
    [anon_sym_private] = ACTIONS(1146),
    [anon_sym_abstract] = ACTIONS(1146),
    [anon_sym_strictfp] = ACTIONS(1146),
    [anon_sym_native] = ACTIONS(1146),
    [anon_sym_transient] = ACTIONS(1146),
    [anon_sym_volatile] = ACTIONS(1146),
    [anon_sym_sealed] = ACTIONS(1146),
    [anon_sym_non_DASHsealed] = ACTIONS(1146),
    [anon_sym_record] = ACTIONS(1146),
    [anon_sym_ATinterface] = ACTIONS(1146),
    [anon_sym_interface] = ACTIONS(1146),
    [anon_sym_byte] = ACTIONS(1146),
    [anon_sym_short] = ACTIONS(1146),
    [anon_sym_int] = ACTIONS(1146),
    [anon_sym_long] = ACTIONS(1146),
    [anon_sym_char] = ACTIONS(1146),
    [anon_sym_float] = ACTIONS(1146),
    [anon_sym_double] = ACTIONS(1146),
    [sym_boolean_type] = ACTIONS(1146),
    [sym_void_type] = ACTIONS(1146),
    [anon_sym_def] = ACTIONS(1146),
    [sym_this] = ACTIONS(1146),
    [sym_super] = ACTIONS(1146),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1146),
  },
  [260] = {
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_identifier] = ACTIONS(1194),
    [sym_decimal_integer_literal] = ACTIONS(1194),
    [sym_hex_integer_literal] = ACTIONS(1194),
    [sym_octal_integer_literal] = ACTIONS(1194),
    [sym_binary_integer_literal] = ACTIONS(1194),
    [sym_decimal_floating_point_literal] = ACTIONS(1194),
    [sym_hex_floating_point_literal] = ACTIONS(1194),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [sym_character_literal] = ACTIONS(1194),
    [anon_sym_DQUOTE] = ACTIONS(1194),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1194),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1194),
    [anon_sym_RBRACE] = ACTIONS(1194),
    [sym_null_literal] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1194),
    [anon_sym_AMP] = ACTIONS(1194),
    [anon_sym_GT] = ACTIONS(1194),
    [anon_sym_LT] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1194),
    [anon_sym_LT_EQ] = ACTIONS(1194),
    [anon_sym_EQ_EQ] = ACTIONS(1194),
    [anon_sym_BANG_EQ] = ACTIONS(1194),
    [anon_sym_AMP_AMP] = ACTIONS(1194),
    [anon_sym_PIPE_PIPE] = ACTIONS(1194),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_STAR] = ACTIONS(1194),
    [anon_sym_SLASH] = ACTIONS(1194),
    [anon_sym_PIPE] = ACTIONS(1194),
    [anon_sym_CARET] = ACTIONS(1194),
    [anon_sym_PERCENT] = ACTIONS(1194),
    [anon_sym_LT_LT] = ACTIONS(1194),
    [anon_sym_GT_GT] = ACTIONS(1194),
    [anon_sym_GT_GT_GT] = ACTIONS(1194),
    [anon_sym_in] = ACTIONS(1194),
    [anon_sym_STAR_STAR] = ACTIONS(1194),
    [anon_sym_instanceof] = ACTIONS(1194),
    [anon_sym_final] = ACTIONS(1194),
    [anon_sym_DASH_GT] = ACTIONS(1194),
    [anon_sym_QMARK] = ACTIONS(1194),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1194),
    [anon_sym_PLUS_PLUS] = ACTIONS(1194),
    [anon_sym_DASH_DASH] = ACTIONS(1194),
    [anon_sym_new] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1194),
    [anon_sym_DOT] = ACTIONS(1194),
    [anon_sym_class] = ACTIONS(1194),
    [anon_sym_COLON_COLON] = ACTIONS(1194),
    [anon_sym_switch] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1194),
    [anon_sym_case] = ACTIONS(1194),
    [anon_sym_default] = ACTIONS(1194),
    [sym_underscore_pattern] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1194),
    [aux_sym_expression_statement_token1] = ACTIONS(1192),
    [anon_sym_NULL] = ACTIONS(1194),
    [anon_sym_assert] = ACTIONS(1194),
    [anon_sym_do] = ACTIONS(1194),
    [anon_sym_while] = ACTIONS(1194),
    [anon_sym_break] = ACTIONS(1194),
    [anon_sym_continue] = ACTIONS(1194),
    [anon_sym_return] = ACTIONS(1194),
    [anon_sym_yield] = ACTIONS(1194),
    [anon_sym_synchronized] = ACTIONS(1194),
    [anon_sym_throw] = ACTIONS(1194),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_else] = ACTIONS(1194),
    [anon_sym_for] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [anon_sym_open] = ACTIONS(1194),
    [anon_sym_module] = ACTIONS(1194),
    [anon_sym_static] = ACTIONS(1194),
    [anon_sym_with] = ACTIONS(1194),
    [anon_sym_package] = ACTIONS(1194),
    [anon_sym_import] = ACTIONS(1194),
    [anon_sym_enum] = ACTIONS(1194),
    [anon_sym_public] = ACTIONS(1194),
    [anon_sym_protected] = ACTIONS(1194),
    [anon_sym_private] = ACTIONS(1194),
    [anon_sym_abstract] = ACTIONS(1194),
    [anon_sym_strictfp] = ACTIONS(1194),
    [anon_sym_native] = ACTIONS(1194),
    [anon_sym_transient] = ACTIONS(1194),
    [anon_sym_volatile] = ACTIONS(1194),
    [anon_sym_sealed] = ACTIONS(1194),
    [anon_sym_non_DASHsealed] = ACTIONS(1194),
    [anon_sym_record] = ACTIONS(1194),
    [anon_sym_ATinterface] = ACTIONS(1194),
    [anon_sym_interface] = ACTIONS(1194),
    [anon_sym_byte] = ACTIONS(1194),
    [anon_sym_short] = ACTIONS(1194),
    [anon_sym_int] = ACTIONS(1194),
    [anon_sym_long] = ACTIONS(1194),
    [anon_sym_char] = ACTIONS(1194),
    [anon_sym_float] = ACTIONS(1194),
    [anon_sym_double] = ACTIONS(1194),
    [sym_boolean_type] = ACTIONS(1194),
    [sym_void_type] = ACTIONS(1194),
    [anon_sym_def] = ACTIONS(1194),
    [sym_this] = ACTIONS(1194),
    [sym_super] = ACTIONS(1194),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1194),
  },
  [261] = {
    [ts_builtin_sym_end] = ACTIONS(824),
    [sym_identifier] = ACTIONS(826),
    [sym_decimal_integer_literal] = ACTIONS(826),
    [sym_hex_integer_literal] = ACTIONS(826),
    [sym_octal_integer_literal] = ACTIONS(826),
    [sym_binary_integer_literal] = ACTIONS(826),
    [sym_decimal_floating_point_literal] = ACTIONS(826),
    [sym_hex_floating_point_literal] = ACTIONS(826),
    [sym_true] = ACTIONS(826),
    [sym_false] = ACTIONS(826),
    [sym_character_literal] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(826),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(826),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(826),
    [anon_sym_RBRACE] = ACTIONS(826),
    [sym_null_literal] = ACTIONS(826),
    [anon_sym_LPAREN] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT_EQ] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_final] = ACTIONS(826),
    [anon_sym_DASH_GT] = ACTIONS(826),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_BANG] = ACTIONS(826),
    [anon_sym_TILDE] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(826),
    [anon_sym_DASH_DASH] = ACTIONS(826),
    [anon_sym_new] = ACTIONS(826),
    [anon_sym_LBRACK] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_class] = ACTIONS(826),
    [anon_sym_COLON_COLON] = ACTIONS(826),
    [anon_sym_switch] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(826),
    [anon_sym_case] = ACTIONS(826),
    [anon_sym_default] = ACTIONS(826),
    [sym_underscore_pattern] = ACTIONS(826),
    [anon_sym_SEMI] = ACTIONS(826),
    [aux_sym_expression_statement_token1] = ACTIONS(824),
    [anon_sym_NULL] = ACTIONS(826),
    [anon_sym_assert] = ACTIONS(826),
    [anon_sym_do] = ACTIONS(826),
    [anon_sym_while] = ACTIONS(826),
    [anon_sym_break] = ACTIONS(826),
    [anon_sym_continue] = ACTIONS(826),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_yield] = ACTIONS(826),
    [anon_sym_synchronized] = ACTIONS(826),
    [anon_sym_throw] = ACTIONS(826),
    [anon_sym_try] = ACTIONS(826),
    [anon_sym_if] = ACTIONS(826),
    [anon_sym_else] = ACTIONS(826),
    [anon_sym_for] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_open] = ACTIONS(826),
    [anon_sym_module] = ACTIONS(826),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_with] = ACTIONS(826),
    [anon_sym_package] = ACTIONS(826),
    [anon_sym_import] = ACTIONS(826),
    [anon_sym_enum] = ACTIONS(826),
    [anon_sym_public] = ACTIONS(826),
    [anon_sym_protected] = ACTIONS(826),
    [anon_sym_private] = ACTIONS(826),
    [anon_sym_abstract] = ACTIONS(826),
    [anon_sym_strictfp] = ACTIONS(826),
    [anon_sym_native] = ACTIONS(826),
    [anon_sym_transient] = ACTIONS(826),
    [anon_sym_volatile] = ACTIONS(826),
    [anon_sym_sealed] = ACTIONS(826),
    [anon_sym_non_DASHsealed] = ACTIONS(826),
    [anon_sym_record] = ACTIONS(826),
    [anon_sym_ATinterface] = ACTIONS(826),
    [anon_sym_interface] = ACTIONS(826),
    [anon_sym_byte] = ACTIONS(826),
    [anon_sym_short] = ACTIONS(826),
    [anon_sym_int] = ACTIONS(826),
    [anon_sym_long] = ACTIONS(826),
    [anon_sym_char] = ACTIONS(826),
    [anon_sym_float] = ACTIONS(826),
    [anon_sym_double] = ACTIONS(826),
    [sym_boolean_type] = ACTIONS(826),
    [sym_void_type] = ACTIONS(826),
    [anon_sym_def] = ACTIONS(826),
    [sym_this] = ACTIONS(826),
    [sym_super] = ACTIONS(826),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(826),
  },
  [262] = {
    [ts_builtin_sym_end] = ACTIONS(850),
    [sym_identifier] = ACTIONS(852),
    [sym_decimal_integer_literal] = ACTIONS(852),
    [sym_hex_integer_literal] = ACTIONS(852),
    [sym_octal_integer_literal] = ACTIONS(852),
    [sym_binary_integer_literal] = ACTIONS(852),
    [sym_decimal_floating_point_literal] = ACTIONS(852),
    [sym_hex_floating_point_literal] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_character_literal] = ACTIONS(852),
    [anon_sym_DQUOTE] = ACTIONS(852),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(852),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(852),
    [anon_sym_RBRACE] = ACTIONS(852),
    [sym_null_literal] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(852),
    [anon_sym_BANG_EQ] = ACTIONS(852),
    [anon_sym_AMP_AMP] = ACTIONS(852),
    [anon_sym_PIPE_PIPE] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_STAR_STAR] = ACTIONS(852),
    [anon_sym_instanceof] = ACTIONS(852),
    [anon_sym_final] = ACTIONS(852),
    [anon_sym_DASH_GT] = ACTIONS(852),
    [anon_sym_QMARK] = ACTIONS(852),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(852),
    [anon_sym_DASH_DASH] = ACTIONS(852),
    [anon_sym_new] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_class] = ACTIONS(852),
    [anon_sym_COLON_COLON] = ACTIONS(852),
    [anon_sym_switch] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(852),
    [anon_sym_case] = ACTIONS(852),
    [anon_sym_default] = ACTIONS(852),
    [sym_underscore_pattern] = ACTIONS(852),
    [anon_sym_SEMI] = ACTIONS(852),
    [aux_sym_expression_statement_token1] = ACTIONS(850),
    [anon_sym_NULL] = ACTIONS(852),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_yield] = ACTIONS(852),
    [anon_sym_synchronized] = ACTIONS(852),
    [anon_sym_throw] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_else] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [anon_sym_open] = ACTIONS(852),
    [anon_sym_module] = ACTIONS(852),
    [anon_sym_static] = ACTIONS(852),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_package] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_enum] = ACTIONS(852),
    [anon_sym_public] = ACTIONS(852),
    [anon_sym_protected] = ACTIONS(852),
    [anon_sym_private] = ACTIONS(852),
    [anon_sym_abstract] = ACTIONS(852),
    [anon_sym_strictfp] = ACTIONS(852),
    [anon_sym_native] = ACTIONS(852),
    [anon_sym_transient] = ACTIONS(852),
    [anon_sym_volatile] = ACTIONS(852),
    [anon_sym_sealed] = ACTIONS(852),
    [anon_sym_non_DASHsealed] = ACTIONS(852),
    [anon_sym_record] = ACTIONS(852),
    [anon_sym_ATinterface] = ACTIONS(852),
    [anon_sym_interface] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_short] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_long] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_float] = ACTIONS(852),
    [anon_sym_double] = ACTIONS(852),
    [sym_boolean_type] = ACTIONS(852),
    [sym_void_type] = ACTIONS(852),
    [anon_sym_def] = ACTIONS(852),
    [sym_this] = ACTIONS(852),
    [sym_super] = ACTIONS(852),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(852),
  },
  [263] = {
    [ts_builtin_sym_end] = ACTIONS(834),
    [sym_identifier] = ACTIONS(836),
    [sym_decimal_integer_literal] = ACTIONS(836),
    [sym_hex_integer_literal] = ACTIONS(836),
    [sym_octal_integer_literal] = ACTIONS(836),
    [sym_binary_integer_literal] = ACTIONS(836),
    [sym_decimal_floating_point_literal] = ACTIONS(836),
    [sym_hex_floating_point_literal] = ACTIONS(836),
    [sym_true] = ACTIONS(836),
    [sym_false] = ACTIONS(836),
    [sym_character_literal] = ACTIONS(836),
    [anon_sym_DQUOTE] = ACTIONS(836),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(836),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(836),
    [sym_null_literal] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(836),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(836),
    [anon_sym_LT_EQ] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(836),
    [anon_sym_BANG_EQ] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_STAR_STAR] = ACTIONS(836),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_final] = ACTIONS(836),
    [anon_sym_DASH_GT] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(836),
    [anon_sym_BANG] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(836),
    [anon_sym_PLUS_PLUS] = ACTIONS(836),
    [anon_sym_DASH_DASH] = ACTIONS(836),
    [anon_sym_new] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_class] = ACTIONS(836),
    [anon_sym_COLON_COLON] = ACTIONS(836),
    [anon_sym_switch] = ACTIONS(836),
    [anon_sym_LBRACE] = ACTIONS(836),
    [anon_sym_case] = ACTIONS(836),
    [anon_sym_default] = ACTIONS(836),
    [sym_underscore_pattern] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(836),
    [aux_sym_expression_statement_token1] = ACTIONS(834),
    [anon_sym_NULL] = ACTIONS(836),
    [anon_sym_assert] = ACTIONS(836),
    [anon_sym_do] = ACTIONS(836),
    [anon_sym_while] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_return] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(836),
    [anon_sym_synchronized] = ACTIONS(836),
    [anon_sym_throw] = ACTIONS(836),
    [anon_sym_try] = ACTIONS(836),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_else] = ACTIONS(836),
    [anon_sym_for] = ACTIONS(836),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_open] = ACTIONS(836),
    [anon_sym_module] = ACTIONS(836),
    [anon_sym_static] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(836),
    [anon_sym_package] = ACTIONS(836),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_enum] = ACTIONS(836),
    [anon_sym_public] = ACTIONS(836),
    [anon_sym_protected] = ACTIONS(836),
    [anon_sym_private] = ACTIONS(836),
    [anon_sym_abstract] = ACTIONS(836),
    [anon_sym_strictfp] = ACTIONS(836),
    [anon_sym_native] = ACTIONS(836),
    [anon_sym_transient] = ACTIONS(836),
    [anon_sym_volatile] = ACTIONS(836),
    [anon_sym_sealed] = ACTIONS(836),
    [anon_sym_non_DASHsealed] = ACTIONS(836),
    [anon_sym_record] = ACTIONS(836),
    [anon_sym_ATinterface] = ACTIONS(836),
    [anon_sym_interface] = ACTIONS(836),
    [anon_sym_byte] = ACTIONS(836),
    [anon_sym_short] = ACTIONS(836),
    [anon_sym_int] = ACTIONS(836),
    [anon_sym_long] = ACTIONS(836),
    [anon_sym_char] = ACTIONS(836),
    [anon_sym_float] = ACTIONS(836),
    [anon_sym_double] = ACTIONS(836),
    [sym_boolean_type] = ACTIONS(836),
    [sym_void_type] = ACTIONS(836),
    [anon_sym_def] = ACTIONS(836),
    [sym_this] = ACTIONS(836),
    [sym_super] = ACTIONS(836),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(836),
  },
  [264] = {
    [ts_builtin_sym_end] = ACTIONS(265),
    [sym_identifier] = ACTIONS(273),
    [sym_decimal_integer_literal] = ACTIONS(273),
    [sym_hex_integer_literal] = ACTIONS(273),
    [sym_octal_integer_literal] = ACTIONS(273),
    [sym_binary_integer_literal] = ACTIONS(273),
    [sym_decimal_floating_point_literal] = ACTIONS(273),
    [sym_hex_floating_point_literal] = ACTIONS(273),
    [sym_true] = ACTIONS(273),
    [sym_false] = ACTIONS(273),
    [sym_character_literal] = ACTIONS(273),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(273),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(273),
    [anon_sym_RBRACE] = ACTIONS(273),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_AMP_AMP] = ACTIONS(273),
    [anon_sym_PIPE_PIPE] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_GT_GT_GT] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_instanceof] = ACTIONS(273),
    [anon_sym_final] = ACTIONS(273),
    [anon_sym_DASH_GT] = ACTIONS(273),
    [anon_sym_QMARK] = ACTIONS(273),
    [anon_sym_BANG] = ACTIONS(273),
    [anon_sym_TILDE] = ACTIONS(273),
    [anon_sym_PLUS_PLUS] = ACTIONS(273),
    [anon_sym_DASH_DASH] = ACTIONS(273),
    [anon_sym_new] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_class] = ACTIONS(273),
    [anon_sym_COLON_COLON] = ACTIONS(273),
    [anon_sym_switch] = ACTIONS(273),
    [anon_sym_LBRACE] = ACTIONS(273),
    [anon_sym_case] = ACTIONS(273),
    [anon_sym_default] = ACTIONS(273),
    [sym_underscore_pattern] = ACTIONS(273),
    [anon_sym_SEMI] = ACTIONS(273),
    [aux_sym_expression_statement_token1] = ACTIONS(265),
    [anon_sym_NULL] = ACTIONS(273),
    [anon_sym_assert] = ACTIONS(273),
    [anon_sym_do] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(273),
    [anon_sym_continue] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_yield] = ACTIONS(273),
    [anon_sym_synchronized] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(273),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_else] = ACTIONS(273),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_open] = ACTIONS(273),
    [anon_sym_module] = ACTIONS(273),
    [anon_sym_static] = ACTIONS(273),
    [anon_sym_with] = ACTIONS(273),
    [anon_sym_package] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(273),
    [anon_sym_enum] = ACTIONS(273),
    [anon_sym_public] = ACTIONS(273),
    [anon_sym_protected] = ACTIONS(273),
    [anon_sym_private] = ACTIONS(273),
    [anon_sym_abstract] = ACTIONS(273),
    [anon_sym_strictfp] = ACTIONS(273),
    [anon_sym_native] = ACTIONS(273),
    [anon_sym_transient] = ACTIONS(273),
    [anon_sym_volatile] = ACTIONS(273),
    [anon_sym_sealed] = ACTIONS(273),
    [anon_sym_non_DASHsealed] = ACTIONS(273),
    [anon_sym_record] = ACTIONS(273),
    [anon_sym_ATinterface] = ACTIONS(273),
    [anon_sym_interface] = ACTIONS(273),
    [anon_sym_byte] = ACTIONS(273),
    [anon_sym_short] = ACTIONS(273),
    [anon_sym_int] = ACTIONS(273),
    [anon_sym_long] = ACTIONS(273),
    [anon_sym_char] = ACTIONS(273),
    [anon_sym_float] = ACTIONS(273),
    [anon_sym_double] = ACTIONS(273),
    [sym_boolean_type] = ACTIONS(273),
    [sym_void_type] = ACTIONS(273),
    [anon_sym_def] = ACTIONS(273),
    [sym_this] = ACTIONS(273),
    [sym_super] = ACTIONS(273),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(273),
  },
  [265] = {
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_identifier] = ACTIONS(1198),
    [sym_decimal_integer_literal] = ACTIONS(1198),
    [sym_hex_integer_literal] = ACTIONS(1198),
    [sym_octal_integer_literal] = ACTIONS(1198),
    [sym_binary_integer_literal] = ACTIONS(1198),
    [sym_decimal_floating_point_literal] = ACTIONS(1198),
    [sym_hex_floating_point_literal] = ACTIONS(1198),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [sym_character_literal] = ACTIONS(1198),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1198),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1198),
    [anon_sym_RBRACE] = ACTIONS(1198),
    [sym_null_literal] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1198),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1198),
    [anon_sym_LT_EQ] = ACTIONS(1198),
    [anon_sym_EQ_EQ] = ACTIONS(1198),
    [anon_sym_BANG_EQ] = ACTIONS(1198),
    [anon_sym_AMP_AMP] = ACTIONS(1198),
    [anon_sym_PIPE_PIPE] = ACTIONS(1198),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_SLASH] = ACTIONS(1198),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_CARET] = ACTIONS(1198),
    [anon_sym_PERCENT] = ACTIONS(1198),
    [anon_sym_LT_LT] = ACTIONS(1198),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_GT_GT_GT] = ACTIONS(1198),
    [anon_sym_in] = ACTIONS(1198),
    [anon_sym_STAR_STAR] = ACTIONS(1198),
    [anon_sym_instanceof] = ACTIONS(1198),
    [anon_sym_final] = ACTIONS(1198),
    [anon_sym_DASH_GT] = ACTIONS(1198),
    [anon_sym_QMARK] = ACTIONS(1198),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1198),
    [anon_sym_PLUS_PLUS] = ACTIONS(1198),
    [anon_sym_DASH_DASH] = ACTIONS(1198),
    [anon_sym_new] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1198),
    [anon_sym_DOT] = ACTIONS(1198),
    [anon_sym_class] = ACTIONS(1198),
    [anon_sym_COLON_COLON] = ACTIONS(1198),
    [anon_sym_switch] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1198),
    [anon_sym_case] = ACTIONS(1198),
    [anon_sym_default] = ACTIONS(1198),
    [sym_underscore_pattern] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1198),
    [aux_sym_expression_statement_token1] = ACTIONS(1196),
    [anon_sym_NULL] = ACTIONS(1198),
    [anon_sym_assert] = ACTIONS(1198),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_while] = ACTIONS(1198),
    [anon_sym_break] = ACTIONS(1198),
    [anon_sym_continue] = ACTIONS(1198),
    [anon_sym_return] = ACTIONS(1198),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_synchronized] = ACTIONS(1198),
    [anon_sym_throw] = ACTIONS(1198),
    [anon_sym_try] = ACTIONS(1198),
    [anon_sym_if] = ACTIONS(1198),
    [anon_sym_else] = ACTIONS(1198),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [anon_sym_open] = ACTIONS(1198),
    [anon_sym_module] = ACTIONS(1198),
    [anon_sym_static] = ACTIONS(1198),
    [anon_sym_with] = ACTIONS(1198),
    [anon_sym_package] = ACTIONS(1198),
    [anon_sym_import] = ACTIONS(1198),
    [anon_sym_enum] = ACTIONS(1198),
    [anon_sym_public] = ACTIONS(1198),
    [anon_sym_protected] = ACTIONS(1198),
    [anon_sym_private] = ACTIONS(1198),
    [anon_sym_abstract] = ACTIONS(1198),
    [anon_sym_strictfp] = ACTIONS(1198),
    [anon_sym_native] = ACTIONS(1198),
    [anon_sym_transient] = ACTIONS(1198),
    [anon_sym_volatile] = ACTIONS(1198),
    [anon_sym_sealed] = ACTIONS(1198),
    [anon_sym_non_DASHsealed] = ACTIONS(1198),
    [anon_sym_record] = ACTIONS(1198),
    [anon_sym_ATinterface] = ACTIONS(1198),
    [anon_sym_interface] = ACTIONS(1198),
    [anon_sym_byte] = ACTIONS(1198),
    [anon_sym_short] = ACTIONS(1198),
    [anon_sym_int] = ACTIONS(1198),
    [anon_sym_long] = ACTIONS(1198),
    [anon_sym_char] = ACTIONS(1198),
    [anon_sym_float] = ACTIONS(1198),
    [anon_sym_double] = ACTIONS(1198),
    [sym_boolean_type] = ACTIONS(1198),
    [sym_void_type] = ACTIONS(1198),
    [anon_sym_def] = ACTIONS(1198),
    [sym_this] = ACTIONS(1198),
    [sym_super] = ACTIONS(1198),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1198),
  },
  [266] = {
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_identifier] = ACTIONS(1202),
    [sym_decimal_integer_literal] = ACTIONS(1202),
    [sym_hex_integer_literal] = ACTIONS(1202),
    [sym_octal_integer_literal] = ACTIONS(1202),
    [sym_binary_integer_literal] = ACTIONS(1202),
    [sym_decimal_floating_point_literal] = ACTIONS(1202),
    [sym_hex_floating_point_literal] = ACTIONS(1202),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [sym_null_literal] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1202),
    [anon_sym_BANG_EQ] = ACTIONS(1202),
    [anon_sym_AMP_AMP] = ACTIONS(1202),
    [anon_sym_PIPE_PIPE] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_SLASH] = ACTIONS(1202),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_CARET] = ACTIONS(1202),
    [anon_sym_PERCENT] = ACTIONS(1202),
    [anon_sym_LT_LT] = ACTIONS(1202),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1202),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_STAR_STAR] = ACTIONS(1202),
    [anon_sym_instanceof] = ACTIONS(1202),
    [anon_sym_final] = ACTIONS(1202),
    [anon_sym_DASH_GT] = ACTIONS(1202),
    [anon_sym_QMARK] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1204),
    [anon_sym_DOT] = ACTIONS(1207),
    [anon_sym_class] = ACTIONS(1202),
    [anon_sym_COLON_COLON] = ACTIONS(1209),
    [anon_sym_switch] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_case] = ACTIONS(1202),
    [anon_sym_default] = ACTIONS(1202),
    [sym_underscore_pattern] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [aux_sym_expression_statement_token1] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1202),
    [anon_sym_assert] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1202),
    [anon_sym_while] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_yield] = ACTIONS(1202),
    [anon_sym_synchronized] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_try] = ACTIONS(1202),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_else] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [anon_sym_open] = ACTIONS(1202),
    [anon_sym_module] = ACTIONS(1202),
    [anon_sym_static] = ACTIONS(1202),
    [anon_sym_with] = ACTIONS(1202),
    [anon_sym_package] = ACTIONS(1202),
    [anon_sym_import] = ACTIONS(1202),
    [anon_sym_enum] = ACTIONS(1202),
    [anon_sym_public] = ACTIONS(1202),
    [anon_sym_protected] = ACTIONS(1202),
    [anon_sym_private] = ACTIONS(1202),
    [anon_sym_abstract] = ACTIONS(1202),
    [anon_sym_strictfp] = ACTIONS(1202),
    [anon_sym_native] = ACTIONS(1202),
    [anon_sym_transient] = ACTIONS(1202),
    [anon_sym_volatile] = ACTIONS(1202),
    [anon_sym_sealed] = ACTIONS(1202),
    [anon_sym_non_DASHsealed] = ACTIONS(1202),
    [anon_sym_record] = ACTIONS(1202),
    [anon_sym_ATinterface] = ACTIONS(1202),
    [anon_sym_interface] = ACTIONS(1202),
    [anon_sym_byte] = ACTIONS(1202),
    [anon_sym_short] = ACTIONS(1202),
    [anon_sym_int] = ACTIONS(1202),
    [anon_sym_long] = ACTIONS(1202),
    [anon_sym_char] = ACTIONS(1202),
    [anon_sym_float] = ACTIONS(1202),
    [anon_sym_double] = ACTIONS(1202),
    [sym_boolean_type] = ACTIONS(1202),
    [sym_void_type] = ACTIONS(1202),
    [anon_sym_def] = ACTIONS(1202),
    [sym_this] = ACTIONS(1202),
    [sym_super] = ACTIONS(1202),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1202),
  },
  [267] = {
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym_identifier] = ACTIONS(1213),
    [sym_decimal_integer_literal] = ACTIONS(1213),
    [sym_hex_integer_literal] = ACTIONS(1213),
    [sym_octal_integer_literal] = ACTIONS(1213),
    [sym_binary_integer_literal] = ACTIONS(1213),
    [sym_decimal_floating_point_literal] = ACTIONS(1213),
    [sym_hex_floating_point_literal] = ACTIONS(1213),
    [sym_true] = ACTIONS(1213),
    [sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1213),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1213),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1213),
    [anon_sym_RBRACE] = ACTIONS(1213),
    [sym_null_literal] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1213),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT_EQ] = ACTIONS(1213),
    [anon_sym_LT_EQ] = ACTIONS(1213),
    [anon_sym_EQ_EQ] = ACTIONS(1213),
    [anon_sym_BANG_EQ] = ACTIONS(1213),
    [anon_sym_AMP_AMP] = ACTIONS(1213),
    [anon_sym_PIPE_PIPE] = ACTIONS(1213),
    [anon_sym_PLUS] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE] = ACTIONS(1213),
    [anon_sym_CARET] = ACTIONS(1213),
    [anon_sym_PERCENT] = ACTIONS(1213),
    [anon_sym_LT_LT] = ACTIONS(1213),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym_GT_GT_GT] = ACTIONS(1213),
    [anon_sym_in] = ACTIONS(1213),
    [anon_sym_STAR_STAR] = ACTIONS(1213),
    [anon_sym_instanceof] = ACTIONS(1213),
    [anon_sym_final] = ACTIONS(1213),
    [anon_sym_DASH_GT] = ACTIONS(1213),
    [anon_sym_QMARK] = ACTIONS(1213),
    [anon_sym_BANG] = ACTIONS(1213),
    [anon_sym_TILDE] = ACTIONS(1213),
    [anon_sym_PLUS_PLUS] = ACTIONS(1213),
    [anon_sym_DASH_DASH] = ACTIONS(1213),
    [anon_sym_new] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1213),
    [anon_sym_DOT] = ACTIONS(1213),
    [anon_sym_class] = ACTIONS(1213),
    [anon_sym_COLON_COLON] = ACTIONS(1213),
    [anon_sym_switch] = ACTIONS(1213),
    [anon_sym_LBRACE] = ACTIONS(1213),
    [anon_sym_case] = ACTIONS(1213),
    [anon_sym_default] = ACTIONS(1213),
    [sym_underscore_pattern] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1213),
    [aux_sym_expression_statement_token1] = ACTIONS(1211),
    [anon_sym_NULL] = ACTIONS(1213),
    [anon_sym_assert] = ACTIONS(1213),
    [anon_sym_do] = ACTIONS(1213),
    [anon_sym_while] = ACTIONS(1213),
    [anon_sym_break] = ACTIONS(1213),
    [anon_sym_continue] = ACTIONS(1213),
    [anon_sym_return] = ACTIONS(1213),
    [anon_sym_yield] = ACTIONS(1213),
    [anon_sym_synchronized] = ACTIONS(1213),
    [anon_sym_throw] = ACTIONS(1213),
    [anon_sym_try] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1213),
    [anon_sym_else] = ACTIONS(1213),
    [anon_sym_for] = ACTIONS(1213),
    [anon_sym_AT] = ACTIONS(1213),
    [anon_sym_open] = ACTIONS(1213),
    [anon_sym_module] = ACTIONS(1213),
    [anon_sym_static] = ACTIONS(1213),
    [anon_sym_with] = ACTIONS(1213),
    [anon_sym_package] = ACTIONS(1213),
    [anon_sym_import] = ACTIONS(1213),
    [anon_sym_enum] = ACTIONS(1213),
    [anon_sym_public] = ACTIONS(1213),
    [anon_sym_protected] = ACTIONS(1213),
    [anon_sym_private] = ACTIONS(1213),
    [anon_sym_abstract] = ACTIONS(1213),
    [anon_sym_strictfp] = ACTIONS(1213),
    [anon_sym_native] = ACTIONS(1213),
    [anon_sym_transient] = ACTIONS(1213),
    [anon_sym_volatile] = ACTIONS(1213),
    [anon_sym_sealed] = ACTIONS(1213),
    [anon_sym_non_DASHsealed] = ACTIONS(1213),
    [anon_sym_record] = ACTIONS(1213),
    [anon_sym_ATinterface] = ACTIONS(1213),
    [anon_sym_interface] = ACTIONS(1213),
    [anon_sym_byte] = ACTIONS(1213),
    [anon_sym_short] = ACTIONS(1213),
    [anon_sym_int] = ACTIONS(1213),
    [anon_sym_long] = ACTIONS(1213),
    [anon_sym_char] = ACTIONS(1213),
    [anon_sym_float] = ACTIONS(1213),
    [anon_sym_double] = ACTIONS(1213),
    [sym_boolean_type] = ACTIONS(1213),
    [sym_void_type] = ACTIONS(1213),
    [anon_sym_def] = ACTIONS(1213),
    [sym_this] = ACTIONS(1213),
    [sym_super] = ACTIONS(1213),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1213),
  },
  [268] = {
    [ts_builtin_sym_end] = ACTIONS(1215),
    [sym_identifier] = ACTIONS(1217),
    [sym_decimal_integer_literal] = ACTIONS(1217),
    [sym_hex_integer_literal] = ACTIONS(1217),
    [sym_octal_integer_literal] = ACTIONS(1217),
    [sym_binary_integer_literal] = ACTIONS(1217),
    [sym_decimal_floating_point_literal] = ACTIONS(1217),
    [sym_hex_floating_point_literal] = ACTIONS(1217),
    [sym_true] = ACTIONS(1217),
    [sym_false] = ACTIONS(1217),
    [sym_character_literal] = ACTIONS(1217),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1217),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1217),
    [anon_sym_RBRACE] = ACTIONS(1217),
    [sym_null_literal] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1217),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_GT] = ACTIONS(1217),
    [anon_sym_LT] = ACTIONS(1217),
    [anon_sym_GT_EQ] = ACTIONS(1217),
    [anon_sym_LT_EQ] = ACTIONS(1217),
    [anon_sym_EQ_EQ] = ACTIONS(1217),
    [anon_sym_BANG_EQ] = ACTIONS(1217),
    [anon_sym_AMP_AMP] = ACTIONS(1217),
    [anon_sym_PIPE_PIPE] = ACTIONS(1217),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_STAR] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(1217),
    [anon_sym_PIPE] = ACTIONS(1217),
    [anon_sym_CARET] = ACTIONS(1217),
    [anon_sym_PERCENT] = ACTIONS(1217),
    [anon_sym_LT_LT] = ACTIONS(1217),
    [anon_sym_GT_GT] = ACTIONS(1217),
    [anon_sym_GT_GT_GT] = ACTIONS(1217),
    [anon_sym_in] = ACTIONS(1217),
    [anon_sym_STAR_STAR] = ACTIONS(1217),
    [anon_sym_instanceof] = ACTIONS(1217),
    [anon_sym_final] = ACTIONS(1217),
    [anon_sym_DASH_GT] = ACTIONS(1217),
    [anon_sym_QMARK] = ACTIONS(1217),
    [anon_sym_BANG] = ACTIONS(1217),
    [anon_sym_TILDE] = ACTIONS(1217),
    [anon_sym_PLUS_PLUS] = ACTIONS(1217),
    [anon_sym_DASH_DASH] = ACTIONS(1217),
    [anon_sym_new] = ACTIONS(1217),
    [anon_sym_LBRACK] = ACTIONS(1217),
    [anon_sym_DOT] = ACTIONS(1217),
    [anon_sym_class] = ACTIONS(1217),
    [anon_sym_COLON_COLON] = ACTIONS(1217),
    [anon_sym_switch] = ACTIONS(1217),
    [anon_sym_LBRACE] = ACTIONS(1217),
    [anon_sym_case] = ACTIONS(1217),
    [anon_sym_default] = ACTIONS(1217),
    [sym_underscore_pattern] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1217),
    [aux_sym_expression_statement_token1] = ACTIONS(1215),
    [anon_sym_NULL] = ACTIONS(1217),
    [anon_sym_assert] = ACTIONS(1217),
    [anon_sym_do] = ACTIONS(1217),
    [anon_sym_while] = ACTIONS(1217),
    [anon_sym_break] = ACTIONS(1217),
    [anon_sym_continue] = ACTIONS(1217),
    [anon_sym_return] = ACTIONS(1217),
    [anon_sym_yield] = ACTIONS(1217),
    [anon_sym_synchronized] = ACTIONS(1217),
    [anon_sym_throw] = ACTIONS(1217),
    [anon_sym_try] = ACTIONS(1217),
    [anon_sym_if] = ACTIONS(1217),
    [anon_sym_else] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1217),
    [anon_sym_AT] = ACTIONS(1217),
    [anon_sym_open] = ACTIONS(1217),
    [anon_sym_module] = ACTIONS(1217),
    [anon_sym_static] = ACTIONS(1217),
    [anon_sym_with] = ACTIONS(1217),
    [anon_sym_package] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(1217),
    [anon_sym_enum] = ACTIONS(1217),
    [anon_sym_public] = ACTIONS(1217),
    [anon_sym_protected] = ACTIONS(1217),
    [anon_sym_private] = ACTIONS(1217),
    [anon_sym_abstract] = ACTIONS(1217),
    [anon_sym_strictfp] = ACTIONS(1217),
    [anon_sym_native] = ACTIONS(1217),
    [anon_sym_transient] = ACTIONS(1217),
    [anon_sym_volatile] = ACTIONS(1217),
    [anon_sym_sealed] = ACTIONS(1217),
    [anon_sym_non_DASHsealed] = ACTIONS(1217),
    [anon_sym_record] = ACTIONS(1217),
    [anon_sym_ATinterface] = ACTIONS(1217),
    [anon_sym_interface] = ACTIONS(1217),
    [anon_sym_byte] = ACTIONS(1217),
    [anon_sym_short] = ACTIONS(1217),
    [anon_sym_int] = ACTIONS(1217),
    [anon_sym_long] = ACTIONS(1217),
    [anon_sym_char] = ACTIONS(1217),
    [anon_sym_float] = ACTIONS(1217),
    [anon_sym_double] = ACTIONS(1217),
    [sym_boolean_type] = ACTIONS(1217),
    [sym_void_type] = ACTIONS(1217),
    [anon_sym_def] = ACTIONS(1217),
    [sym_this] = ACTIONS(1217),
    [sym_super] = ACTIONS(1217),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1217),
  },
  [269] = {
    [ts_builtin_sym_end] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1221),
    [sym_decimal_integer_literal] = ACTIONS(1221),
    [sym_hex_integer_literal] = ACTIONS(1221),
    [sym_octal_integer_literal] = ACTIONS(1221),
    [sym_binary_integer_literal] = ACTIONS(1221),
    [sym_decimal_floating_point_literal] = ACTIONS(1221),
    [sym_hex_floating_point_literal] = ACTIONS(1221),
    [sym_true] = ACTIONS(1221),
    [sym_false] = ACTIONS(1221),
    [sym_character_literal] = ACTIONS(1221),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1221),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1221),
    [anon_sym_RBRACE] = ACTIONS(1221),
    [sym_null_literal] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1221),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_GT] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1221),
    [anon_sym_LT_EQ] = ACTIONS(1221),
    [anon_sym_EQ_EQ] = ACTIONS(1221),
    [anon_sym_BANG_EQ] = ACTIONS(1221),
    [anon_sym_AMP_AMP] = ACTIONS(1221),
    [anon_sym_PIPE_PIPE] = ACTIONS(1221),
    [anon_sym_PLUS] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1221),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(1221),
    [anon_sym_PIPE] = ACTIONS(1221),
    [anon_sym_CARET] = ACTIONS(1221),
    [anon_sym_PERCENT] = ACTIONS(1221),
    [anon_sym_LT_LT] = ACTIONS(1221),
    [anon_sym_GT_GT] = ACTIONS(1221),
    [anon_sym_GT_GT_GT] = ACTIONS(1221),
    [anon_sym_in] = ACTIONS(1221),
    [anon_sym_STAR_STAR] = ACTIONS(1221),
    [anon_sym_instanceof] = ACTIONS(1221),
    [anon_sym_final] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1221),
    [anon_sym_QMARK] = ACTIONS(1221),
    [anon_sym_BANG] = ACTIONS(1221),
    [anon_sym_TILDE] = ACTIONS(1221),
    [anon_sym_PLUS_PLUS] = ACTIONS(1221),
    [anon_sym_DASH_DASH] = ACTIONS(1221),
    [anon_sym_new] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1221),
    [anon_sym_DOT] = ACTIONS(1221),
    [anon_sym_class] = ACTIONS(1221),
    [anon_sym_COLON_COLON] = ACTIONS(1221),
    [anon_sym_switch] = ACTIONS(1221),
    [anon_sym_LBRACE] = ACTIONS(1221),
    [anon_sym_case] = ACTIONS(1221),
    [anon_sym_default] = ACTIONS(1221),
    [sym_underscore_pattern] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1221),
    [aux_sym_expression_statement_token1] = ACTIONS(1219),
    [anon_sym_NULL] = ACTIONS(1221),
    [anon_sym_assert] = ACTIONS(1221),
    [anon_sym_do] = ACTIONS(1221),
    [anon_sym_while] = ACTIONS(1221),
    [anon_sym_break] = ACTIONS(1221),
    [anon_sym_continue] = ACTIONS(1221),
    [anon_sym_return] = ACTIONS(1221),
    [anon_sym_yield] = ACTIONS(1221),
    [anon_sym_synchronized] = ACTIONS(1221),
    [anon_sym_throw] = ACTIONS(1221),
    [anon_sym_try] = ACTIONS(1221),
    [anon_sym_if] = ACTIONS(1221),
    [anon_sym_else] = ACTIONS(1221),
    [anon_sym_for] = ACTIONS(1221),
    [anon_sym_AT] = ACTIONS(1221),
    [anon_sym_open] = ACTIONS(1221),
    [anon_sym_module] = ACTIONS(1221),
    [anon_sym_static] = ACTIONS(1221),
    [anon_sym_with] = ACTIONS(1221),
    [anon_sym_package] = ACTIONS(1221),
    [anon_sym_import] = ACTIONS(1221),
    [anon_sym_enum] = ACTIONS(1221),
    [anon_sym_public] = ACTIONS(1221),
    [anon_sym_protected] = ACTIONS(1221),
    [anon_sym_private] = ACTIONS(1221),
    [anon_sym_abstract] = ACTIONS(1221),
    [anon_sym_strictfp] = ACTIONS(1221),
    [anon_sym_native] = ACTIONS(1221),
    [anon_sym_transient] = ACTIONS(1221),
    [anon_sym_volatile] = ACTIONS(1221),
    [anon_sym_sealed] = ACTIONS(1221),
    [anon_sym_non_DASHsealed] = ACTIONS(1221),
    [anon_sym_record] = ACTIONS(1221),
    [anon_sym_ATinterface] = ACTIONS(1221),
    [anon_sym_interface] = ACTIONS(1221),
    [anon_sym_byte] = ACTIONS(1221),
    [anon_sym_short] = ACTIONS(1221),
    [anon_sym_int] = ACTIONS(1221),
    [anon_sym_long] = ACTIONS(1221),
    [anon_sym_char] = ACTIONS(1221),
    [anon_sym_float] = ACTIONS(1221),
    [anon_sym_double] = ACTIONS(1221),
    [sym_boolean_type] = ACTIONS(1221),
    [sym_void_type] = ACTIONS(1221),
    [anon_sym_def] = ACTIONS(1221),
    [sym_this] = ACTIONS(1221),
    [sym_super] = ACTIONS(1221),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1221),
  },
  [270] = {
    [ts_builtin_sym_end] = ACTIONS(1223),
    [sym_identifier] = ACTIONS(1225),
    [sym_decimal_integer_literal] = ACTIONS(1225),
    [sym_hex_integer_literal] = ACTIONS(1225),
    [sym_octal_integer_literal] = ACTIONS(1225),
    [sym_binary_integer_literal] = ACTIONS(1225),
    [sym_decimal_floating_point_literal] = ACTIONS(1225),
    [sym_hex_floating_point_literal] = ACTIONS(1225),
    [sym_true] = ACTIONS(1225),
    [sym_false] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(1225),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1225),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [sym_null_literal] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_GT] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1225),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_PIPE] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1225),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1225),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_in] = ACTIONS(1225),
    [anon_sym_STAR_STAR] = ACTIONS(1225),
    [anon_sym_instanceof] = ACTIONS(1225),
    [anon_sym_final] = ACTIONS(1225),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_QMARK] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(1225),
    [anon_sym_TILDE] = ACTIONS(1225),
    [anon_sym_PLUS_PLUS] = ACTIONS(1225),
    [anon_sym_DASH_DASH] = ACTIONS(1225),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [anon_sym_DOT] = ACTIONS(1225),
    [anon_sym_class] = ACTIONS(1225),
    [anon_sym_COLON_COLON] = ACTIONS(1225),
    [anon_sym_switch] = ACTIONS(1225),
    [anon_sym_LBRACE] = ACTIONS(1225),
    [anon_sym_case] = ACTIONS(1225),
    [anon_sym_default] = ACTIONS(1225),
    [sym_underscore_pattern] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_expression_statement_token1] = ACTIONS(1223),
    [anon_sym_NULL] = ACTIONS(1225),
    [anon_sym_assert] = ACTIONS(1225),
    [anon_sym_do] = ACTIONS(1225),
    [anon_sym_while] = ACTIONS(1225),
    [anon_sym_break] = ACTIONS(1225),
    [anon_sym_continue] = ACTIONS(1225),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_yield] = ACTIONS(1225),
    [anon_sym_synchronized] = ACTIONS(1225),
    [anon_sym_throw] = ACTIONS(1225),
    [anon_sym_try] = ACTIONS(1225),
    [anon_sym_if] = ACTIONS(1225),
    [anon_sym_else] = ACTIONS(1225),
    [anon_sym_for] = ACTIONS(1225),
    [anon_sym_AT] = ACTIONS(1225),
    [anon_sym_open] = ACTIONS(1225),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_static] = ACTIONS(1225),
    [anon_sym_with] = ACTIONS(1225),
    [anon_sym_package] = ACTIONS(1225),
    [anon_sym_import] = ACTIONS(1225),
    [anon_sym_enum] = ACTIONS(1225),
    [anon_sym_public] = ACTIONS(1225),
    [anon_sym_protected] = ACTIONS(1225),
    [anon_sym_private] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1225),
    [anon_sym_strictfp] = ACTIONS(1225),
    [anon_sym_native] = ACTIONS(1225),
    [anon_sym_transient] = ACTIONS(1225),
    [anon_sym_volatile] = ACTIONS(1225),
    [anon_sym_sealed] = ACTIONS(1225),
    [anon_sym_non_DASHsealed] = ACTIONS(1225),
    [anon_sym_record] = ACTIONS(1225),
    [anon_sym_ATinterface] = ACTIONS(1225),
    [anon_sym_interface] = ACTIONS(1225),
    [anon_sym_byte] = ACTIONS(1225),
    [anon_sym_short] = ACTIONS(1225),
    [anon_sym_int] = ACTIONS(1225),
    [anon_sym_long] = ACTIONS(1225),
    [anon_sym_char] = ACTIONS(1225),
    [anon_sym_float] = ACTIONS(1225),
    [anon_sym_double] = ACTIONS(1225),
    [sym_boolean_type] = ACTIONS(1225),
    [sym_void_type] = ACTIONS(1225),
    [anon_sym_def] = ACTIONS(1225),
    [sym_this] = ACTIONS(1225),
    [sym_super] = ACTIONS(1225),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1225),
  },
  [271] = {
    [ts_builtin_sym_end] = ACTIONS(1227),
    [sym_identifier] = ACTIONS(1229),
    [sym_decimal_integer_literal] = ACTIONS(1229),
    [sym_hex_integer_literal] = ACTIONS(1229),
    [sym_octal_integer_literal] = ACTIONS(1229),
    [sym_binary_integer_literal] = ACTIONS(1229),
    [sym_decimal_floating_point_literal] = ACTIONS(1229),
    [sym_hex_floating_point_literal] = ACTIONS(1229),
    [sym_true] = ACTIONS(1229),
    [sym_false] = ACTIONS(1229),
    [sym_character_literal] = ACTIONS(1229),
    [anon_sym_DQUOTE] = ACTIONS(1229),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1229),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1229),
    [anon_sym_RBRACE] = ACTIONS(1229),
    [sym_null_literal] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1229),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT_EQ] = ACTIONS(1229),
    [anon_sym_LT_EQ] = ACTIONS(1229),
    [anon_sym_EQ_EQ] = ACTIONS(1229),
    [anon_sym_BANG_EQ] = ACTIONS(1229),
    [anon_sym_AMP_AMP] = ACTIONS(1229),
    [anon_sym_PIPE_PIPE] = ACTIONS(1229),
    [anon_sym_PLUS] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1229),
    [anon_sym_STAR] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_PIPE] = ACTIONS(1229),
    [anon_sym_CARET] = ACTIONS(1229),
    [anon_sym_PERCENT] = ACTIONS(1229),
    [anon_sym_LT_LT] = ACTIONS(1229),
    [anon_sym_GT_GT] = ACTIONS(1229),
    [anon_sym_GT_GT_GT] = ACTIONS(1229),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_STAR_STAR] = ACTIONS(1229),
    [anon_sym_instanceof] = ACTIONS(1229),
    [anon_sym_final] = ACTIONS(1229),
    [anon_sym_DASH_GT] = ACTIONS(1229),
    [anon_sym_QMARK] = ACTIONS(1229),
    [anon_sym_BANG] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(1229),
    [anon_sym_PLUS_PLUS] = ACTIONS(1229),
    [anon_sym_DASH_DASH] = ACTIONS(1229),
    [anon_sym_new] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1229),
    [anon_sym_DOT] = ACTIONS(1229),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_COLON_COLON] = ACTIONS(1229),
    [anon_sym_switch] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(1229),
    [anon_sym_case] = ACTIONS(1229),
    [anon_sym_default] = ACTIONS(1229),
    [sym_underscore_pattern] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1229),
    [aux_sym_expression_statement_token1] = ACTIONS(1227),
    [anon_sym_NULL] = ACTIONS(1229),
    [anon_sym_assert] = ACTIONS(1229),
    [anon_sym_do] = ACTIONS(1229),
    [anon_sym_while] = ACTIONS(1229),
    [anon_sym_break] = ACTIONS(1229),
    [anon_sym_continue] = ACTIONS(1229),
    [anon_sym_return] = ACTIONS(1229),
    [anon_sym_yield] = ACTIONS(1229),
    [anon_sym_synchronized] = ACTIONS(1229),
    [anon_sym_throw] = ACTIONS(1229),
    [anon_sym_try] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(1229),
    [anon_sym_else] = ACTIONS(1229),
    [anon_sym_for] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_module] = ACTIONS(1229),
    [anon_sym_static] = ACTIONS(1229),
    [anon_sym_with] = ACTIONS(1229),
    [anon_sym_package] = ACTIONS(1229),
    [anon_sym_import] = ACTIONS(1229),
    [anon_sym_enum] = ACTIONS(1229),
    [anon_sym_public] = ACTIONS(1229),
    [anon_sym_protected] = ACTIONS(1229),
    [anon_sym_private] = ACTIONS(1229),
    [anon_sym_abstract] = ACTIONS(1229),
    [anon_sym_strictfp] = ACTIONS(1229),
    [anon_sym_native] = ACTIONS(1229),
    [anon_sym_transient] = ACTIONS(1229),
    [anon_sym_volatile] = ACTIONS(1229),
    [anon_sym_sealed] = ACTIONS(1229),
    [anon_sym_non_DASHsealed] = ACTIONS(1229),
    [anon_sym_record] = ACTIONS(1229),
    [anon_sym_ATinterface] = ACTIONS(1229),
    [anon_sym_interface] = ACTIONS(1229),
    [anon_sym_byte] = ACTIONS(1229),
    [anon_sym_short] = ACTIONS(1229),
    [anon_sym_int] = ACTIONS(1229),
    [anon_sym_long] = ACTIONS(1229),
    [anon_sym_char] = ACTIONS(1229),
    [anon_sym_float] = ACTIONS(1229),
    [anon_sym_double] = ACTIONS(1229),
    [sym_boolean_type] = ACTIONS(1229),
    [sym_void_type] = ACTIONS(1229),
    [anon_sym_def] = ACTIONS(1229),
    [sym_this] = ACTIONS(1229),
    [sym_super] = ACTIONS(1229),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1229),
  },
  [272] = {
    [ts_builtin_sym_end] = ACTIONS(1231),
    [sym_identifier] = ACTIONS(1233),
    [sym_decimal_integer_literal] = ACTIONS(1233),
    [sym_hex_integer_literal] = ACTIONS(1233),
    [sym_octal_integer_literal] = ACTIONS(1233),
    [sym_binary_integer_literal] = ACTIONS(1233),
    [sym_decimal_floating_point_literal] = ACTIONS(1233),
    [sym_hex_floating_point_literal] = ACTIONS(1233),
    [sym_true] = ACTIONS(1233),
    [sym_false] = ACTIONS(1233),
    [sym_character_literal] = ACTIONS(1233),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1233),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1233),
    [anon_sym_RBRACE] = ACTIONS(1233),
    [sym_null_literal] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(1233),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_GT] = ACTIONS(1233),
    [anon_sym_LT] = ACTIONS(1233),
    [anon_sym_GT_EQ] = ACTIONS(1233),
    [anon_sym_LT_EQ] = ACTIONS(1233),
    [anon_sym_EQ_EQ] = ACTIONS(1233),
    [anon_sym_BANG_EQ] = ACTIONS(1233),
    [anon_sym_AMP_AMP] = ACTIONS(1233),
    [anon_sym_PIPE_PIPE] = ACTIONS(1233),
    [anon_sym_PLUS] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1233),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_SLASH] = ACTIONS(1233),
    [anon_sym_PIPE] = ACTIONS(1233),
    [anon_sym_CARET] = ACTIONS(1233),
    [anon_sym_PERCENT] = ACTIONS(1233),
    [anon_sym_LT_LT] = ACTIONS(1233),
    [anon_sym_GT_GT] = ACTIONS(1233),
    [anon_sym_GT_GT_GT] = ACTIONS(1233),
    [anon_sym_in] = ACTIONS(1233),
    [anon_sym_STAR_STAR] = ACTIONS(1233),
    [anon_sym_instanceof] = ACTIONS(1233),
    [anon_sym_final] = ACTIONS(1233),
    [anon_sym_DASH_GT] = ACTIONS(1233),
    [anon_sym_QMARK] = ACTIONS(1233),
    [anon_sym_BANG] = ACTIONS(1233),
    [anon_sym_TILDE] = ACTIONS(1233),
    [anon_sym_PLUS_PLUS] = ACTIONS(1233),
    [anon_sym_DASH_DASH] = ACTIONS(1233),
    [anon_sym_new] = ACTIONS(1233),
    [anon_sym_LBRACK] = ACTIONS(1233),
    [anon_sym_DOT] = ACTIONS(1233),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_COLON_COLON] = ACTIONS(1233),
    [anon_sym_switch] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1233),
    [anon_sym_case] = ACTIONS(1233),
    [anon_sym_default] = ACTIONS(1233),
    [sym_underscore_pattern] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(1233),
    [aux_sym_expression_statement_token1] = ACTIONS(1231),
    [anon_sym_NULL] = ACTIONS(1233),
    [anon_sym_assert] = ACTIONS(1233),
    [anon_sym_do] = ACTIONS(1233),
    [anon_sym_while] = ACTIONS(1233),
    [anon_sym_break] = ACTIONS(1233),
    [anon_sym_continue] = ACTIONS(1233),
    [anon_sym_return] = ACTIONS(1233),
    [anon_sym_yield] = ACTIONS(1233),
    [anon_sym_synchronized] = ACTIONS(1233),
    [anon_sym_throw] = ACTIONS(1233),
    [anon_sym_try] = ACTIONS(1233),
    [anon_sym_if] = ACTIONS(1233),
    [anon_sym_else] = ACTIONS(1233),
    [anon_sym_for] = ACTIONS(1233),
    [anon_sym_AT] = ACTIONS(1233),
    [anon_sym_open] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(1233),
    [anon_sym_with] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1233),
    [anon_sym_import] = ACTIONS(1233),
    [anon_sym_enum] = ACTIONS(1233),
    [anon_sym_public] = ACTIONS(1233),
    [anon_sym_protected] = ACTIONS(1233),
    [anon_sym_private] = ACTIONS(1233),
    [anon_sym_abstract] = ACTIONS(1233),
    [anon_sym_strictfp] = ACTIONS(1233),
    [anon_sym_native] = ACTIONS(1233),
    [anon_sym_transient] = ACTIONS(1233),
    [anon_sym_volatile] = ACTIONS(1233),
    [anon_sym_sealed] = ACTIONS(1233),
    [anon_sym_non_DASHsealed] = ACTIONS(1233),
    [anon_sym_record] = ACTIONS(1233),
    [anon_sym_ATinterface] = ACTIONS(1233),
    [anon_sym_interface] = ACTIONS(1233),
    [anon_sym_byte] = ACTIONS(1233),
    [anon_sym_short] = ACTIONS(1233),
    [anon_sym_int] = ACTIONS(1233),
    [anon_sym_long] = ACTIONS(1233),
    [anon_sym_char] = ACTIONS(1233),
    [anon_sym_float] = ACTIONS(1233),
    [anon_sym_double] = ACTIONS(1233),
    [sym_boolean_type] = ACTIONS(1233),
    [sym_void_type] = ACTIONS(1233),
    [anon_sym_def] = ACTIONS(1233),
    [sym_this] = ACTIONS(1233),
    [sym_super] = ACTIONS(1233),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1233),
  },
  [273] = {
    [ts_builtin_sym_end] = ACTIONS(1235),
    [sym_identifier] = ACTIONS(1237),
    [sym_decimal_integer_literal] = ACTIONS(1237),
    [sym_hex_integer_literal] = ACTIONS(1237),
    [sym_octal_integer_literal] = ACTIONS(1237),
    [sym_binary_integer_literal] = ACTIONS(1237),
    [sym_decimal_floating_point_literal] = ACTIONS(1237),
    [sym_hex_floating_point_literal] = ACTIONS(1237),
    [sym_true] = ACTIONS(1237),
    [sym_false] = ACTIONS(1237),
    [sym_character_literal] = ACTIONS(1237),
    [anon_sym_DQUOTE] = ACTIONS(1237),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1237),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1237),
    [anon_sym_RBRACE] = ACTIONS(1237),
    [sym_null_literal] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(1237),
    [anon_sym_AMP] = ACTIONS(1237),
    [anon_sym_GT] = ACTIONS(1237),
    [anon_sym_LT] = ACTIONS(1237),
    [anon_sym_GT_EQ] = ACTIONS(1237),
    [anon_sym_LT_EQ] = ACTIONS(1237),
    [anon_sym_EQ_EQ] = ACTIONS(1237),
    [anon_sym_BANG_EQ] = ACTIONS(1237),
    [anon_sym_AMP_AMP] = ACTIONS(1237),
    [anon_sym_PIPE_PIPE] = ACTIONS(1237),
    [anon_sym_PLUS] = ACTIONS(1237),
    [anon_sym_DASH] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(1237),
    [anon_sym_SLASH] = ACTIONS(1237),
    [anon_sym_PIPE] = ACTIONS(1237),
    [anon_sym_CARET] = ACTIONS(1237),
    [anon_sym_PERCENT] = ACTIONS(1237),
    [anon_sym_LT_LT] = ACTIONS(1237),
    [anon_sym_GT_GT] = ACTIONS(1237),
    [anon_sym_GT_GT_GT] = ACTIONS(1237),
    [anon_sym_in] = ACTIONS(1237),
    [anon_sym_STAR_STAR] = ACTIONS(1237),
    [anon_sym_instanceof] = ACTIONS(1237),
    [anon_sym_final] = ACTIONS(1237),
    [anon_sym_DASH_GT] = ACTIONS(1237),
    [anon_sym_QMARK] = ACTIONS(1237),
    [anon_sym_BANG] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(1237),
    [anon_sym_PLUS_PLUS] = ACTIONS(1237),
    [anon_sym_DASH_DASH] = ACTIONS(1237),
    [anon_sym_new] = ACTIONS(1237),
    [anon_sym_LBRACK] = ACTIONS(1237),
    [anon_sym_DOT] = ACTIONS(1237),
    [anon_sym_class] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1237),
    [anon_sym_switch] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(1237),
    [anon_sym_case] = ACTIONS(1237),
    [anon_sym_default] = ACTIONS(1237),
    [sym_underscore_pattern] = ACTIONS(1237),
    [anon_sym_SEMI] = ACTIONS(1237),
    [aux_sym_expression_statement_token1] = ACTIONS(1235),
    [anon_sym_NULL] = ACTIONS(1237),
    [anon_sym_assert] = ACTIONS(1237),
    [anon_sym_do] = ACTIONS(1237),
    [anon_sym_while] = ACTIONS(1237),
    [anon_sym_break] = ACTIONS(1237),
    [anon_sym_continue] = ACTIONS(1237),
    [anon_sym_return] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1237),
    [anon_sym_synchronized] = ACTIONS(1237),
    [anon_sym_throw] = ACTIONS(1237),
    [anon_sym_try] = ACTIONS(1237),
    [anon_sym_if] = ACTIONS(1237),
    [anon_sym_else] = ACTIONS(1237),
    [anon_sym_for] = ACTIONS(1237),
    [anon_sym_AT] = ACTIONS(1237),
    [anon_sym_open] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1237),
    [anon_sym_static] = ACTIONS(1237),
    [anon_sym_with] = ACTIONS(1237),
    [anon_sym_package] = ACTIONS(1237),
    [anon_sym_import] = ACTIONS(1237),
    [anon_sym_enum] = ACTIONS(1237),
    [anon_sym_public] = ACTIONS(1237),
    [anon_sym_protected] = ACTIONS(1237),
    [anon_sym_private] = ACTIONS(1237),
    [anon_sym_abstract] = ACTIONS(1237),
    [anon_sym_strictfp] = ACTIONS(1237),
    [anon_sym_native] = ACTIONS(1237),
    [anon_sym_transient] = ACTIONS(1237),
    [anon_sym_volatile] = ACTIONS(1237),
    [anon_sym_sealed] = ACTIONS(1237),
    [anon_sym_non_DASHsealed] = ACTIONS(1237),
    [anon_sym_record] = ACTIONS(1237),
    [anon_sym_ATinterface] = ACTIONS(1237),
    [anon_sym_interface] = ACTIONS(1237),
    [anon_sym_byte] = ACTIONS(1237),
    [anon_sym_short] = ACTIONS(1237),
    [anon_sym_int] = ACTIONS(1237),
    [anon_sym_long] = ACTIONS(1237),
    [anon_sym_char] = ACTIONS(1237),
    [anon_sym_float] = ACTIONS(1237),
    [anon_sym_double] = ACTIONS(1237),
    [sym_boolean_type] = ACTIONS(1237),
    [sym_void_type] = ACTIONS(1237),
    [anon_sym_def] = ACTIONS(1237),
    [sym_this] = ACTIONS(1237),
    [sym_super] = ACTIONS(1237),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1237),
  },
  [274] = {
    [ts_builtin_sym_end] = ACTIONS(1239),
    [sym_identifier] = ACTIONS(1241),
    [sym_decimal_integer_literal] = ACTIONS(1241),
    [sym_hex_integer_literal] = ACTIONS(1241),
    [sym_octal_integer_literal] = ACTIONS(1241),
    [sym_binary_integer_literal] = ACTIONS(1241),
    [sym_decimal_floating_point_literal] = ACTIONS(1241),
    [sym_hex_floating_point_literal] = ACTIONS(1241),
    [sym_true] = ACTIONS(1241),
    [sym_false] = ACTIONS(1241),
    [sym_character_literal] = ACTIONS(1241),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1241),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1241),
    [anon_sym_RBRACE] = ACTIONS(1241),
    [sym_null_literal] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1241),
    [anon_sym_AMP] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT_EQ] = ACTIONS(1241),
    [anon_sym_LT_EQ] = ACTIONS(1241),
    [anon_sym_EQ_EQ] = ACTIONS(1241),
    [anon_sym_BANG_EQ] = ACTIONS(1241),
    [anon_sym_AMP_AMP] = ACTIONS(1241),
    [anon_sym_PIPE_PIPE] = ACTIONS(1241),
    [anon_sym_PLUS] = ACTIONS(1241),
    [anon_sym_DASH] = ACTIONS(1241),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_SLASH] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(1241),
    [anon_sym_PERCENT] = ACTIONS(1241),
    [anon_sym_LT_LT] = ACTIONS(1241),
    [anon_sym_GT_GT] = ACTIONS(1241),
    [anon_sym_GT_GT_GT] = ACTIONS(1241),
    [anon_sym_in] = ACTIONS(1241),
    [anon_sym_STAR_STAR] = ACTIONS(1241),
    [anon_sym_instanceof] = ACTIONS(1241),
    [anon_sym_final] = ACTIONS(1241),
    [anon_sym_DASH_GT] = ACTIONS(1241),
    [anon_sym_QMARK] = ACTIONS(1241),
    [anon_sym_BANG] = ACTIONS(1241),
    [anon_sym_TILDE] = ACTIONS(1241),
    [anon_sym_PLUS_PLUS] = ACTIONS(1241),
    [anon_sym_DASH_DASH] = ACTIONS(1241),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_LBRACK] = ACTIONS(1241),
    [anon_sym_DOT] = ACTIONS(1241),
    [anon_sym_class] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1241),
    [anon_sym_switch] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(1241),
    [anon_sym_case] = ACTIONS(1241),
    [anon_sym_default] = ACTIONS(1241),
    [sym_underscore_pattern] = ACTIONS(1241),
    [anon_sym_SEMI] = ACTIONS(1241),
    [aux_sym_expression_statement_token1] = ACTIONS(1239),
    [anon_sym_NULL] = ACTIONS(1241),
    [anon_sym_assert] = ACTIONS(1241),
    [anon_sym_do] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1241),
    [anon_sym_break] = ACTIONS(1241),
    [anon_sym_continue] = ACTIONS(1241),
    [anon_sym_return] = ACTIONS(1241),
    [anon_sym_yield] = ACTIONS(1241),
    [anon_sym_synchronized] = ACTIONS(1241),
    [anon_sym_throw] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_else] = ACTIONS(1241),
    [anon_sym_for] = ACTIONS(1241),
    [anon_sym_AT] = ACTIONS(1241),
    [anon_sym_open] = ACTIONS(1241),
    [anon_sym_module] = ACTIONS(1241),
    [anon_sym_static] = ACTIONS(1241),
    [anon_sym_with] = ACTIONS(1241),
    [anon_sym_package] = ACTIONS(1241),
    [anon_sym_import] = ACTIONS(1241),
    [anon_sym_enum] = ACTIONS(1241),
    [anon_sym_public] = ACTIONS(1241),
    [anon_sym_protected] = ACTIONS(1241),
    [anon_sym_private] = ACTIONS(1241),
    [anon_sym_abstract] = ACTIONS(1241),
    [anon_sym_strictfp] = ACTIONS(1241),
    [anon_sym_native] = ACTIONS(1241),
    [anon_sym_transient] = ACTIONS(1241),
    [anon_sym_volatile] = ACTIONS(1241),
    [anon_sym_sealed] = ACTIONS(1241),
    [anon_sym_non_DASHsealed] = ACTIONS(1241),
    [anon_sym_record] = ACTIONS(1241),
    [anon_sym_ATinterface] = ACTIONS(1241),
    [anon_sym_interface] = ACTIONS(1241),
    [anon_sym_byte] = ACTIONS(1241),
    [anon_sym_short] = ACTIONS(1241),
    [anon_sym_int] = ACTIONS(1241),
    [anon_sym_long] = ACTIONS(1241),
    [anon_sym_char] = ACTIONS(1241),
    [anon_sym_float] = ACTIONS(1241),
    [anon_sym_double] = ACTIONS(1241),
    [sym_boolean_type] = ACTIONS(1241),
    [sym_void_type] = ACTIONS(1241),
    [anon_sym_def] = ACTIONS(1241),
    [sym_this] = ACTIONS(1241),
    [sym_super] = ACTIONS(1241),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1241),
  },
  [275] = {
    [ts_builtin_sym_end] = ACTIONS(1243),
    [sym_identifier] = ACTIONS(1245),
    [sym_decimal_integer_literal] = ACTIONS(1245),
    [sym_hex_integer_literal] = ACTIONS(1245),
    [sym_octal_integer_literal] = ACTIONS(1245),
    [sym_binary_integer_literal] = ACTIONS(1245),
    [sym_decimal_floating_point_literal] = ACTIONS(1245),
    [sym_hex_floating_point_literal] = ACTIONS(1245),
    [sym_true] = ACTIONS(1245),
    [sym_false] = ACTIONS(1245),
    [sym_character_literal] = ACTIONS(1245),
    [anon_sym_DQUOTE] = ACTIONS(1245),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1245),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1245),
    [anon_sym_RBRACE] = ACTIONS(1245),
    [sym_null_literal] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1245),
    [anon_sym_AMP] = ACTIONS(1245),
    [anon_sym_GT] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_GT_EQ] = ACTIONS(1245),
    [anon_sym_LT_EQ] = ACTIONS(1245),
    [anon_sym_EQ_EQ] = ACTIONS(1245),
    [anon_sym_BANG_EQ] = ACTIONS(1245),
    [anon_sym_AMP_AMP] = ACTIONS(1245),
    [anon_sym_PIPE_PIPE] = ACTIONS(1245),
    [anon_sym_PLUS] = ACTIONS(1245),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1245),
    [anon_sym_SLASH] = ACTIONS(1245),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_CARET] = ACTIONS(1245),
    [anon_sym_PERCENT] = ACTIONS(1245),
    [anon_sym_LT_LT] = ACTIONS(1245),
    [anon_sym_GT_GT] = ACTIONS(1245),
    [anon_sym_GT_GT_GT] = ACTIONS(1245),
    [anon_sym_in] = ACTIONS(1245),
    [anon_sym_STAR_STAR] = ACTIONS(1245),
    [anon_sym_instanceof] = ACTIONS(1245),
    [anon_sym_final] = ACTIONS(1245),
    [anon_sym_DASH_GT] = ACTIONS(1245),
    [anon_sym_QMARK] = ACTIONS(1245),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_TILDE] = ACTIONS(1245),
    [anon_sym_PLUS_PLUS] = ACTIONS(1245),
    [anon_sym_DASH_DASH] = ACTIONS(1245),
    [anon_sym_new] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1245),
    [anon_sym_DOT] = ACTIONS(1245),
    [anon_sym_class] = ACTIONS(1245),
    [anon_sym_COLON_COLON] = ACTIONS(1245),
    [anon_sym_switch] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(1245),
    [anon_sym_case] = ACTIONS(1245),
    [anon_sym_default] = ACTIONS(1245),
    [sym_underscore_pattern] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1245),
    [aux_sym_expression_statement_token1] = ACTIONS(1243),
    [anon_sym_NULL] = ACTIONS(1245),
    [anon_sym_assert] = ACTIONS(1245),
    [anon_sym_do] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(1245),
    [anon_sym_break] = ACTIONS(1245),
    [anon_sym_continue] = ACTIONS(1245),
    [anon_sym_return] = ACTIONS(1245),
    [anon_sym_yield] = ACTIONS(1245),
    [anon_sym_synchronized] = ACTIONS(1245),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_else] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(1245),
    [anon_sym_open] = ACTIONS(1245),
    [anon_sym_module] = ACTIONS(1245),
    [anon_sym_static] = ACTIONS(1245),
    [anon_sym_with] = ACTIONS(1245),
    [anon_sym_package] = ACTIONS(1245),
    [anon_sym_import] = ACTIONS(1245),
    [anon_sym_enum] = ACTIONS(1245),
    [anon_sym_public] = ACTIONS(1245),
    [anon_sym_protected] = ACTIONS(1245),
    [anon_sym_private] = ACTIONS(1245),
    [anon_sym_abstract] = ACTIONS(1245),
    [anon_sym_strictfp] = ACTIONS(1245),
    [anon_sym_native] = ACTIONS(1245),
    [anon_sym_transient] = ACTIONS(1245),
    [anon_sym_volatile] = ACTIONS(1245),
    [anon_sym_sealed] = ACTIONS(1245),
    [anon_sym_non_DASHsealed] = ACTIONS(1245),
    [anon_sym_record] = ACTIONS(1245),
    [anon_sym_ATinterface] = ACTIONS(1245),
    [anon_sym_interface] = ACTIONS(1245),
    [anon_sym_byte] = ACTIONS(1245),
    [anon_sym_short] = ACTIONS(1245),
    [anon_sym_int] = ACTIONS(1245),
    [anon_sym_long] = ACTIONS(1245),
    [anon_sym_char] = ACTIONS(1245),
    [anon_sym_float] = ACTIONS(1245),
    [anon_sym_double] = ACTIONS(1245),
    [sym_boolean_type] = ACTIONS(1245),
    [sym_void_type] = ACTIONS(1245),
    [anon_sym_def] = ACTIONS(1245),
    [sym_this] = ACTIONS(1245),
    [sym_super] = ACTIONS(1245),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1245),
  },
  [276] = {
    [ts_builtin_sym_end] = ACTIONS(1247),
    [sym_identifier] = ACTIONS(1249),
    [sym_decimal_integer_literal] = ACTIONS(1249),
    [sym_hex_integer_literal] = ACTIONS(1249),
    [sym_octal_integer_literal] = ACTIONS(1249),
    [sym_binary_integer_literal] = ACTIONS(1249),
    [sym_decimal_floating_point_literal] = ACTIONS(1249),
    [sym_hex_floating_point_literal] = ACTIONS(1249),
    [sym_true] = ACTIONS(1249),
    [sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1249),
    [anon_sym_DQUOTE] = ACTIONS(1249),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1249),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1249),
    [anon_sym_RBRACE] = ACTIONS(1249),
    [sym_null_literal] = ACTIONS(1249),
    [anon_sym_LPAREN] = ACTIONS(1249),
    [anon_sym_AMP] = ACTIONS(1249),
    [anon_sym_GT] = ACTIONS(1249),
    [anon_sym_LT] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1249),
    [anon_sym_LT_EQ] = ACTIONS(1249),
    [anon_sym_EQ_EQ] = ACTIONS(1249),
    [anon_sym_BANG_EQ] = ACTIONS(1249),
    [anon_sym_AMP_AMP] = ACTIONS(1249),
    [anon_sym_PIPE_PIPE] = ACTIONS(1249),
    [anon_sym_PLUS] = ACTIONS(1249),
    [anon_sym_DASH] = ACTIONS(1249),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_SLASH] = ACTIONS(1249),
    [anon_sym_PIPE] = ACTIONS(1249),
    [anon_sym_CARET] = ACTIONS(1249),
    [anon_sym_PERCENT] = ACTIONS(1249),
    [anon_sym_LT_LT] = ACTIONS(1249),
    [anon_sym_GT_GT] = ACTIONS(1249),
    [anon_sym_GT_GT_GT] = ACTIONS(1249),
    [anon_sym_in] = ACTIONS(1249),
    [anon_sym_STAR_STAR] = ACTIONS(1249),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_final] = ACTIONS(1249),
    [anon_sym_DASH_GT] = ACTIONS(1249),
    [anon_sym_QMARK] = ACTIONS(1249),
    [anon_sym_BANG] = ACTIONS(1249),
    [anon_sym_TILDE] = ACTIONS(1249),
    [anon_sym_PLUS_PLUS] = ACTIONS(1249),
    [anon_sym_DASH_DASH] = ACTIONS(1249),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(1249),
    [anon_sym_DOT] = ACTIONS(1249),
    [anon_sym_class] = ACTIONS(1249),
    [anon_sym_COLON_COLON] = ACTIONS(1249),
    [anon_sym_switch] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1249),
    [anon_sym_case] = ACTIONS(1249),
    [anon_sym_default] = ACTIONS(1249),
    [sym_underscore_pattern] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(1249),
    [aux_sym_expression_statement_token1] = ACTIONS(1247),
    [anon_sym_NULL] = ACTIONS(1249),
    [anon_sym_assert] = ACTIONS(1249),
    [anon_sym_do] = ACTIONS(1249),
    [anon_sym_while] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1249),
    [anon_sym_continue] = ACTIONS(1249),
    [anon_sym_return] = ACTIONS(1249),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_synchronized] = ACTIONS(1249),
    [anon_sym_throw] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_if] = ACTIONS(1249),
    [anon_sym_else] = ACTIONS(1249),
    [anon_sym_for] = ACTIONS(1249),
    [anon_sym_AT] = ACTIONS(1249),
    [anon_sym_open] = ACTIONS(1249),
    [anon_sym_module] = ACTIONS(1249),
    [anon_sym_static] = ACTIONS(1249),
    [anon_sym_with] = ACTIONS(1249),
    [anon_sym_package] = ACTIONS(1249),
    [anon_sym_import] = ACTIONS(1249),
    [anon_sym_enum] = ACTIONS(1249),
    [anon_sym_public] = ACTIONS(1249),
    [anon_sym_protected] = ACTIONS(1249),
    [anon_sym_private] = ACTIONS(1249),
    [anon_sym_abstract] = ACTIONS(1249),
    [anon_sym_strictfp] = ACTIONS(1249),
    [anon_sym_native] = ACTIONS(1249),
    [anon_sym_transient] = ACTIONS(1249),
    [anon_sym_volatile] = ACTIONS(1249),
    [anon_sym_sealed] = ACTIONS(1249),
    [anon_sym_non_DASHsealed] = ACTIONS(1249),
    [anon_sym_record] = ACTIONS(1249),
    [anon_sym_ATinterface] = ACTIONS(1249),
    [anon_sym_interface] = ACTIONS(1249),
    [anon_sym_byte] = ACTIONS(1249),
    [anon_sym_short] = ACTIONS(1249),
    [anon_sym_int] = ACTIONS(1249),
    [anon_sym_long] = ACTIONS(1249),
    [anon_sym_char] = ACTIONS(1249),
    [anon_sym_float] = ACTIONS(1249),
    [anon_sym_double] = ACTIONS(1249),
    [sym_boolean_type] = ACTIONS(1249),
    [sym_void_type] = ACTIONS(1249),
    [anon_sym_def] = ACTIONS(1249),
    [sym_this] = ACTIONS(1249),
    [sym_super] = ACTIONS(1249),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1249),
  },
  [277] = {
    [ts_builtin_sym_end] = ACTIONS(1251),
    [sym_identifier] = ACTIONS(1253),
    [sym_decimal_integer_literal] = ACTIONS(1253),
    [sym_hex_integer_literal] = ACTIONS(1253),
    [sym_octal_integer_literal] = ACTIONS(1253),
    [sym_binary_integer_literal] = ACTIONS(1253),
    [sym_decimal_floating_point_literal] = ACTIONS(1253),
    [sym_hex_floating_point_literal] = ACTIONS(1253),
    [sym_true] = ACTIONS(1253),
    [sym_false] = ACTIONS(1253),
    [sym_character_literal] = ACTIONS(1253),
    [anon_sym_DQUOTE] = ACTIONS(1253),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1253),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1253),
    [anon_sym_RBRACE] = ACTIONS(1253),
    [sym_null_literal] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1253),
    [anon_sym_AMP] = ACTIONS(1253),
    [anon_sym_GT] = ACTIONS(1253),
    [anon_sym_LT] = ACTIONS(1253),
    [anon_sym_GT_EQ] = ACTIONS(1253),
    [anon_sym_LT_EQ] = ACTIONS(1253),
    [anon_sym_EQ_EQ] = ACTIONS(1253),
    [anon_sym_BANG_EQ] = ACTIONS(1253),
    [anon_sym_AMP_AMP] = ACTIONS(1253),
    [anon_sym_PIPE_PIPE] = ACTIONS(1253),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(1253),
    [anon_sym_PIPE] = ACTIONS(1253),
    [anon_sym_CARET] = ACTIONS(1253),
    [anon_sym_PERCENT] = ACTIONS(1253),
    [anon_sym_LT_LT] = ACTIONS(1253),
    [anon_sym_GT_GT] = ACTIONS(1253),
    [anon_sym_GT_GT_GT] = ACTIONS(1253),
    [anon_sym_in] = ACTIONS(1253),
    [anon_sym_STAR_STAR] = ACTIONS(1253),
    [anon_sym_instanceof] = ACTIONS(1253),
    [anon_sym_final] = ACTIONS(1253),
    [anon_sym_DASH_GT] = ACTIONS(1253),
    [anon_sym_QMARK] = ACTIONS(1253),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1253),
    [anon_sym_PLUS_PLUS] = ACTIONS(1253),
    [anon_sym_DASH_DASH] = ACTIONS(1253),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1253),
    [anon_sym_DOT] = ACTIONS(1253),
    [anon_sym_class] = ACTIONS(1253),
    [anon_sym_COLON_COLON] = ACTIONS(1253),
    [anon_sym_switch] = ACTIONS(1253),
    [anon_sym_LBRACE] = ACTIONS(1253),
    [anon_sym_case] = ACTIONS(1253),
    [anon_sym_default] = ACTIONS(1253),
    [sym_underscore_pattern] = ACTIONS(1253),
    [anon_sym_SEMI] = ACTIONS(1253),
    [aux_sym_expression_statement_token1] = ACTIONS(1251),
    [anon_sym_NULL] = ACTIONS(1253),
    [anon_sym_assert] = ACTIONS(1253),
    [anon_sym_do] = ACTIONS(1253),
    [anon_sym_while] = ACTIONS(1253),
    [anon_sym_break] = ACTIONS(1253),
    [anon_sym_continue] = ACTIONS(1253),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_yield] = ACTIONS(1253),
    [anon_sym_synchronized] = ACTIONS(1253),
    [anon_sym_throw] = ACTIONS(1253),
    [anon_sym_try] = ACTIONS(1253),
    [anon_sym_if] = ACTIONS(1253),
    [anon_sym_else] = ACTIONS(1253),
    [anon_sym_for] = ACTIONS(1253),
    [anon_sym_AT] = ACTIONS(1253),
    [anon_sym_open] = ACTIONS(1253),
    [anon_sym_module] = ACTIONS(1253),
    [anon_sym_static] = ACTIONS(1253),
    [anon_sym_with] = ACTIONS(1253),
    [anon_sym_package] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(1253),
    [anon_sym_enum] = ACTIONS(1253),
    [anon_sym_public] = ACTIONS(1253),
    [anon_sym_protected] = ACTIONS(1253),
    [anon_sym_private] = ACTIONS(1253),
    [anon_sym_abstract] = ACTIONS(1253),
    [anon_sym_strictfp] = ACTIONS(1253),
    [anon_sym_native] = ACTIONS(1253),
    [anon_sym_transient] = ACTIONS(1253),
    [anon_sym_volatile] = ACTIONS(1253),
    [anon_sym_sealed] = ACTIONS(1253),
    [anon_sym_non_DASHsealed] = ACTIONS(1253),
    [anon_sym_record] = ACTIONS(1253),
    [anon_sym_ATinterface] = ACTIONS(1253),
    [anon_sym_interface] = ACTIONS(1253),
    [anon_sym_byte] = ACTIONS(1253),
    [anon_sym_short] = ACTIONS(1253),
    [anon_sym_int] = ACTIONS(1253),
    [anon_sym_long] = ACTIONS(1253),
    [anon_sym_char] = ACTIONS(1253),
    [anon_sym_float] = ACTIONS(1253),
    [anon_sym_double] = ACTIONS(1253),
    [sym_boolean_type] = ACTIONS(1253),
    [sym_void_type] = ACTIONS(1253),
    [anon_sym_def] = ACTIONS(1253),
    [sym_this] = ACTIONS(1253),
    [sym_super] = ACTIONS(1253),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1253),
  },
  [278] = {
    [ts_builtin_sym_end] = ACTIONS(1255),
    [sym_identifier] = ACTIONS(1257),
    [sym_decimal_integer_literal] = ACTIONS(1257),
    [sym_hex_integer_literal] = ACTIONS(1257),
    [sym_octal_integer_literal] = ACTIONS(1257),
    [sym_binary_integer_literal] = ACTIONS(1257),
    [sym_decimal_floating_point_literal] = ACTIONS(1257),
    [sym_hex_floating_point_literal] = ACTIONS(1257),
    [sym_true] = ACTIONS(1257),
    [sym_false] = ACTIONS(1257),
    [sym_character_literal] = ACTIONS(1257),
    [anon_sym_DQUOTE] = ACTIONS(1257),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1257),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1257),
    [anon_sym_RBRACE] = ACTIONS(1257),
    [sym_null_literal] = ACTIONS(1257),
    [anon_sym_LPAREN] = ACTIONS(1257),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_GT] = ACTIONS(1257),
    [anon_sym_LT] = ACTIONS(1257),
    [anon_sym_GT_EQ] = ACTIONS(1257),
    [anon_sym_LT_EQ] = ACTIONS(1257),
    [anon_sym_EQ_EQ] = ACTIONS(1257),
    [anon_sym_BANG_EQ] = ACTIONS(1257),
    [anon_sym_AMP_AMP] = ACTIONS(1257),
    [anon_sym_PIPE_PIPE] = ACTIONS(1257),
    [anon_sym_PLUS] = ACTIONS(1257),
    [anon_sym_DASH] = ACTIONS(1257),
    [anon_sym_STAR] = ACTIONS(1257),
    [anon_sym_SLASH] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(1257),
    [anon_sym_CARET] = ACTIONS(1257),
    [anon_sym_PERCENT] = ACTIONS(1257),
    [anon_sym_LT_LT] = ACTIONS(1257),
    [anon_sym_GT_GT] = ACTIONS(1257),
    [anon_sym_GT_GT_GT] = ACTIONS(1257),
    [anon_sym_in] = ACTIONS(1257),
    [anon_sym_STAR_STAR] = ACTIONS(1257),
    [anon_sym_instanceof] = ACTIONS(1257),
    [anon_sym_final] = ACTIONS(1257),
    [anon_sym_DASH_GT] = ACTIONS(1257),
    [anon_sym_QMARK] = ACTIONS(1257),
    [anon_sym_BANG] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1257),
    [anon_sym_PLUS_PLUS] = ACTIONS(1257),
    [anon_sym_DASH_DASH] = ACTIONS(1257),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1257),
    [anon_sym_DOT] = ACTIONS(1257),
    [anon_sym_class] = ACTIONS(1257),
    [anon_sym_COLON_COLON] = ACTIONS(1257),
    [anon_sym_switch] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1257),
    [anon_sym_case] = ACTIONS(1257),
    [anon_sym_default] = ACTIONS(1257),
    [sym_underscore_pattern] = ACTIONS(1257),
    [anon_sym_SEMI] = ACTIONS(1257),
    [aux_sym_expression_statement_token1] = ACTIONS(1255),
    [anon_sym_NULL] = ACTIONS(1257),
    [anon_sym_assert] = ACTIONS(1257),
    [anon_sym_do] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1257),
    [anon_sym_break] = ACTIONS(1257),
    [anon_sym_continue] = ACTIONS(1257),
    [anon_sym_return] = ACTIONS(1257),
    [anon_sym_yield] = ACTIONS(1257),
    [anon_sym_synchronized] = ACTIONS(1257),
    [anon_sym_throw] = ACTIONS(1257),
    [anon_sym_try] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_else] = ACTIONS(1257),
    [anon_sym_for] = ACTIONS(1257),
    [anon_sym_AT] = ACTIONS(1257),
    [anon_sym_open] = ACTIONS(1257),
    [anon_sym_module] = ACTIONS(1257),
    [anon_sym_static] = ACTIONS(1257),
    [anon_sym_with] = ACTIONS(1257),
    [anon_sym_package] = ACTIONS(1257),
    [anon_sym_import] = ACTIONS(1257),
    [anon_sym_enum] = ACTIONS(1257),
    [anon_sym_public] = ACTIONS(1257),
    [anon_sym_protected] = ACTIONS(1257),
    [anon_sym_private] = ACTIONS(1257),
    [anon_sym_abstract] = ACTIONS(1257),
    [anon_sym_strictfp] = ACTIONS(1257),
    [anon_sym_native] = ACTIONS(1257),
    [anon_sym_transient] = ACTIONS(1257),
    [anon_sym_volatile] = ACTIONS(1257),
    [anon_sym_sealed] = ACTIONS(1257),
    [anon_sym_non_DASHsealed] = ACTIONS(1257),
    [anon_sym_record] = ACTIONS(1257),
    [anon_sym_ATinterface] = ACTIONS(1257),
    [anon_sym_interface] = ACTIONS(1257),
    [anon_sym_byte] = ACTIONS(1257),
    [anon_sym_short] = ACTIONS(1257),
    [anon_sym_int] = ACTIONS(1257),
    [anon_sym_long] = ACTIONS(1257),
    [anon_sym_char] = ACTIONS(1257),
    [anon_sym_float] = ACTIONS(1257),
    [anon_sym_double] = ACTIONS(1257),
    [sym_boolean_type] = ACTIONS(1257),
    [sym_void_type] = ACTIONS(1257),
    [anon_sym_def] = ACTIONS(1257),
    [sym_this] = ACTIONS(1257),
    [sym_super] = ACTIONS(1257),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1257),
  },
  [279] = {
    [ts_builtin_sym_end] = ACTIONS(1259),
    [sym_identifier] = ACTIONS(1261),
    [sym_decimal_integer_literal] = ACTIONS(1261),
    [sym_hex_integer_literal] = ACTIONS(1261),
    [sym_octal_integer_literal] = ACTIONS(1261),
    [sym_binary_integer_literal] = ACTIONS(1261),
    [sym_decimal_floating_point_literal] = ACTIONS(1261),
    [sym_hex_floating_point_literal] = ACTIONS(1261),
    [sym_true] = ACTIONS(1261),
    [sym_false] = ACTIONS(1261),
    [sym_character_literal] = ACTIONS(1261),
    [anon_sym_DQUOTE] = ACTIONS(1261),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1261),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1261),
    [anon_sym_RBRACE] = ACTIONS(1261),
    [sym_null_literal] = ACTIONS(1261),
    [anon_sym_LPAREN] = ACTIONS(1261),
    [anon_sym_AMP] = ACTIONS(1261),
    [anon_sym_GT] = ACTIONS(1261),
    [anon_sym_LT] = ACTIONS(1261),
    [anon_sym_GT_EQ] = ACTIONS(1261),
    [anon_sym_LT_EQ] = ACTIONS(1261),
    [anon_sym_EQ_EQ] = ACTIONS(1261),
    [anon_sym_BANG_EQ] = ACTIONS(1261),
    [anon_sym_AMP_AMP] = ACTIONS(1261),
    [anon_sym_PIPE_PIPE] = ACTIONS(1261),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(1261),
    [anon_sym_PIPE] = ACTIONS(1261),
    [anon_sym_CARET] = ACTIONS(1261),
    [anon_sym_PERCENT] = ACTIONS(1261),
    [anon_sym_LT_LT] = ACTIONS(1261),
    [anon_sym_GT_GT] = ACTIONS(1261),
    [anon_sym_GT_GT_GT] = ACTIONS(1261),
    [anon_sym_in] = ACTIONS(1261),
    [anon_sym_STAR_STAR] = ACTIONS(1261),
    [anon_sym_instanceof] = ACTIONS(1261),
    [anon_sym_final] = ACTIONS(1261),
    [anon_sym_DASH_GT] = ACTIONS(1261),
    [anon_sym_QMARK] = ACTIONS(1261),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1261),
    [anon_sym_PLUS_PLUS] = ACTIONS(1261),
    [anon_sym_DASH_DASH] = ACTIONS(1261),
    [anon_sym_new] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(1261),
    [anon_sym_DOT] = ACTIONS(1261),
    [anon_sym_class] = ACTIONS(1261),
    [anon_sym_COLON_COLON] = ACTIONS(1261),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_LBRACE] = ACTIONS(1261),
    [anon_sym_case] = ACTIONS(1261),
    [anon_sym_default] = ACTIONS(1261),
    [sym_underscore_pattern] = ACTIONS(1261),
    [anon_sym_SEMI] = ACTIONS(1261),
    [aux_sym_expression_statement_token1] = ACTIONS(1259),
    [anon_sym_NULL] = ACTIONS(1261),
    [anon_sym_assert] = ACTIONS(1261),
    [anon_sym_do] = ACTIONS(1261),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_break] = ACTIONS(1261),
    [anon_sym_continue] = ACTIONS(1261),
    [anon_sym_return] = ACTIONS(1261),
    [anon_sym_yield] = ACTIONS(1261),
    [anon_sym_synchronized] = ACTIONS(1261),
    [anon_sym_throw] = ACTIONS(1261),
    [anon_sym_try] = ACTIONS(1261),
    [anon_sym_if] = ACTIONS(1261),
    [anon_sym_else] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_AT] = ACTIONS(1261),
    [anon_sym_open] = ACTIONS(1261),
    [anon_sym_module] = ACTIONS(1261),
    [anon_sym_static] = ACTIONS(1261),
    [anon_sym_with] = ACTIONS(1261),
    [anon_sym_package] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(1261),
    [anon_sym_enum] = ACTIONS(1261),
    [anon_sym_public] = ACTIONS(1261),
    [anon_sym_protected] = ACTIONS(1261),
    [anon_sym_private] = ACTIONS(1261),
    [anon_sym_abstract] = ACTIONS(1261),
    [anon_sym_strictfp] = ACTIONS(1261),
    [anon_sym_native] = ACTIONS(1261),
    [anon_sym_transient] = ACTIONS(1261),
    [anon_sym_volatile] = ACTIONS(1261),
    [anon_sym_sealed] = ACTIONS(1261),
    [anon_sym_non_DASHsealed] = ACTIONS(1261),
    [anon_sym_record] = ACTIONS(1261),
    [anon_sym_ATinterface] = ACTIONS(1261),
    [anon_sym_interface] = ACTIONS(1261),
    [anon_sym_byte] = ACTIONS(1261),
    [anon_sym_short] = ACTIONS(1261),
    [anon_sym_int] = ACTIONS(1261),
    [anon_sym_long] = ACTIONS(1261),
    [anon_sym_char] = ACTIONS(1261),
    [anon_sym_float] = ACTIONS(1261),
    [anon_sym_double] = ACTIONS(1261),
    [sym_boolean_type] = ACTIONS(1261),
    [sym_void_type] = ACTIONS(1261),
    [anon_sym_def] = ACTIONS(1261),
    [sym_this] = ACTIONS(1261),
    [sym_super] = ACTIONS(1261),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1261),
  },
  [280] = {
    [ts_builtin_sym_end] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1265),
    [sym_decimal_integer_literal] = ACTIONS(1265),
    [sym_hex_integer_literal] = ACTIONS(1265),
    [sym_octal_integer_literal] = ACTIONS(1265),
    [sym_binary_integer_literal] = ACTIONS(1265),
    [sym_decimal_floating_point_literal] = ACTIONS(1265),
    [sym_hex_floating_point_literal] = ACTIONS(1265),
    [sym_true] = ACTIONS(1265),
    [sym_false] = ACTIONS(1265),
    [sym_character_literal] = ACTIONS(1265),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1265),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1265),
    [anon_sym_RBRACE] = ACTIONS(1265),
    [sym_null_literal] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1265),
    [anon_sym_AMP] = ACTIONS(1265),
    [anon_sym_GT] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(1265),
    [anon_sym_GT_EQ] = ACTIONS(1265),
    [anon_sym_LT_EQ] = ACTIONS(1265),
    [anon_sym_EQ_EQ] = ACTIONS(1265),
    [anon_sym_BANG_EQ] = ACTIONS(1265),
    [anon_sym_AMP_AMP] = ACTIONS(1265),
    [anon_sym_PIPE_PIPE] = ACTIONS(1265),
    [anon_sym_PLUS] = ACTIONS(1265),
    [anon_sym_DASH] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(1265),
    [anon_sym_SLASH] = ACTIONS(1265),
    [anon_sym_PIPE] = ACTIONS(1265),
    [anon_sym_CARET] = ACTIONS(1265),
    [anon_sym_PERCENT] = ACTIONS(1265),
    [anon_sym_LT_LT] = ACTIONS(1265),
    [anon_sym_GT_GT] = ACTIONS(1265),
    [anon_sym_GT_GT_GT] = ACTIONS(1265),
    [anon_sym_in] = ACTIONS(1265),
    [anon_sym_STAR_STAR] = ACTIONS(1265),
    [anon_sym_instanceof] = ACTIONS(1265),
    [anon_sym_final] = ACTIONS(1265),
    [anon_sym_DASH_GT] = ACTIONS(1265),
    [anon_sym_QMARK] = ACTIONS(1265),
    [anon_sym_BANG] = ACTIONS(1265),
    [anon_sym_TILDE] = ACTIONS(1265),
    [anon_sym_PLUS_PLUS] = ACTIONS(1265),
    [anon_sym_DASH_DASH] = ACTIONS(1265),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_LBRACK] = ACTIONS(1265),
    [anon_sym_DOT] = ACTIONS(1265),
    [anon_sym_class] = ACTIONS(1265),
    [anon_sym_COLON_COLON] = ACTIONS(1265),
    [anon_sym_switch] = ACTIONS(1265),
    [anon_sym_LBRACE] = ACTIONS(1265),
    [anon_sym_case] = ACTIONS(1265),
    [anon_sym_default] = ACTIONS(1265),
    [sym_underscore_pattern] = ACTIONS(1265),
    [anon_sym_SEMI] = ACTIONS(1265),
    [aux_sym_expression_statement_token1] = ACTIONS(1263),
    [anon_sym_NULL] = ACTIONS(1265),
    [anon_sym_assert] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(1265),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_break] = ACTIONS(1265),
    [anon_sym_continue] = ACTIONS(1265),
    [anon_sym_return] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(1265),
    [anon_sym_synchronized] = ACTIONS(1265),
    [anon_sym_throw] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1265),
    [anon_sym_else] = ACTIONS(1265),
    [anon_sym_for] = ACTIONS(1265),
    [anon_sym_AT] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_module] = ACTIONS(1265),
    [anon_sym_static] = ACTIONS(1265),
    [anon_sym_with] = ACTIONS(1265),
    [anon_sym_package] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1265),
    [anon_sym_enum] = ACTIONS(1265),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_protected] = ACTIONS(1265),
    [anon_sym_private] = ACTIONS(1265),
    [anon_sym_abstract] = ACTIONS(1265),
    [anon_sym_strictfp] = ACTIONS(1265),
    [anon_sym_native] = ACTIONS(1265),
    [anon_sym_transient] = ACTIONS(1265),
    [anon_sym_volatile] = ACTIONS(1265),
    [anon_sym_sealed] = ACTIONS(1265),
    [anon_sym_non_DASHsealed] = ACTIONS(1265),
    [anon_sym_record] = ACTIONS(1265),
    [anon_sym_ATinterface] = ACTIONS(1265),
    [anon_sym_interface] = ACTIONS(1265),
    [anon_sym_byte] = ACTIONS(1265),
    [anon_sym_short] = ACTIONS(1265),
    [anon_sym_int] = ACTIONS(1265),
    [anon_sym_long] = ACTIONS(1265),
    [anon_sym_char] = ACTIONS(1265),
    [anon_sym_float] = ACTIONS(1265),
    [anon_sym_double] = ACTIONS(1265),
    [sym_boolean_type] = ACTIONS(1265),
    [sym_void_type] = ACTIONS(1265),
    [anon_sym_def] = ACTIONS(1265),
    [sym_this] = ACTIONS(1265),
    [sym_super] = ACTIONS(1265),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1265),
  },
  [281] = {
    [ts_builtin_sym_end] = ACTIONS(1267),
    [sym_identifier] = ACTIONS(1269),
    [sym_decimal_integer_literal] = ACTIONS(1269),
    [sym_hex_integer_literal] = ACTIONS(1269),
    [sym_octal_integer_literal] = ACTIONS(1269),
    [sym_binary_integer_literal] = ACTIONS(1269),
    [sym_decimal_floating_point_literal] = ACTIONS(1269),
    [sym_hex_floating_point_literal] = ACTIONS(1269),
    [sym_true] = ACTIONS(1269),
    [sym_false] = ACTIONS(1269),
    [sym_character_literal] = ACTIONS(1269),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1269),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1269),
    [anon_sym_RBRACE] = ACTIONS(1269),
    [sym_null_literal] = ACTIONS(1269),
    [anon_sym_LPAREN] = ACTIONS(1269),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_GT] = ACTIONS(1269),
    [anon_sym_LT] = ACTIONS(1269),
    [anon_sym_GT_EQ] = ACTIONS(1269),
    [anon_sym_LT_EQ] = ACTIONS(1269),
    [anon_sym_EQ_EQ] = ACTIONS(1269),
    [anon_sym_BANG_EQ] = ACTIONS(1269),
    [anon_sym_AMP_AMP] = ACTIONS(1269),
    [anon_sym_PIPE_PIPE] = ACTIONS(1269),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_DASH] = ACTIONS(1269),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_SLASH] = ACTIONS(1269),
    [anon_sym_PIPE] = ACTIONS(1269),
    [anon_sym_CARET] = ACTIONS(1269),
    [anon_sym_PERCENT] = ACTIONS(1269),
    [anon_sym_LT_LT] = ACTIONS(1269),
    [anon_sym_GT_GT] = ACTIONS(1269),
    [anon_sym_GT_GT_GT] = ACTIONS(1269),
    [anon_sym_in] = ACTIONS(1269),
    [anon_sym_STAR_STAR] = ACTIONS(1269),
    [anon_sym_instanceof] = ACTIONS(1269),
    [anon_sym_final] = ACTIONS(1269),
    [anon_sym_DASH_GT] = ACTIONS(1269),
    [anon_sym_QMARK] = ACTIONS(1269),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1269),
    [anon_sym_PLUS_PLUS] = ACTIONS(1269),
    [anon_sym_DASH_DASH] = ACTIONS(1269),
    [anon_sym_new] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1269),
    [anon_sym_DOT] = ACTIONS(1269),
    [anon_sym_class] = ACTIONS(1269),
    [anon_sym_COLON_COLON] = ACTIONS(1269),
    [anon_sym_switch] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1269),
    [anon_sym_case] = ACTIONS(1269),
    [anon_sym_default] = ACTIONS(1269),
    [sym_underscore_pattern] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(1269),
    [aux_sym_expression_statement_token1] = ACTIONS(1267),
    [anon_sym_NULL] = ACTIONS(1269),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_do] = ACTIONS(1269),
    [anon_sym_while] = ACTIONS(1269),
    [anon_sym_break] = ACTIONS(1269),
    [anon_sym_continue] = ACTIONS(1269),
    [anon_sym_return] = ACTIONS(1269),
    [anon_sym_yield] = ACTIONS(1269),
    [anon_sym_synchronized] = ACTIONS(1269),
    [anon_sym_throw] = ACTIONS(1269),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_if] = ACTIONS(1269),
    [anon_sym_else] = ACTIONS(1269),
    [anon_sym_for] = ACTIONS(1269),
    [anon_sym_AT] = ACTIONS(1269),
    [anon_sym_open] = ACTIONS(1269),
    [anon_sym_module] = ACTIONS(1269),
    [anon_sym_static] = ACTIONS(1269),
    [anon_sym_with] = ACTIONS(1269),
    [anon_sym_package] = ACTIONS(1269),
    [anon_sym_import] = ACTIONS(1269),
    [anon_sym_enum] = ACTIONS(1269),
    [anon_sym_public] = ACTIONS(1269),
    [anon_sym_protected] = ACTIONS(1269),
    [anon_sym_private] = ACTIONS(1269),
    [anon_sym_abstract] = ACTIONS(1269),
    [anon_sym_strictfp] = ACTIONS(1269),
    [anon_sym_native] = ACTIONS(1269),
    [anon_sym_transient] = ACTIONS(1269),
    [anon_sym_volatile] = ACTIONS(1269),
    [anon_sym_sealed] = ACTIONS(1269),
    [anon_sym_non_DASHsealed] = ACTIONS(1269),
    [anon_sym_record] = ACTIONS(1269),
    [anon_sym_ATinterface] = ACTIONS(1269),
    [anon_sym_interface] = ACTIONS(1269),
    [anon_sym_byte] = ACTIONS(1269),
    [anon_sym_short] = ACTIONS(1269),
    [anon_sym_int] = ACTIONS(1269),
    [anon_sym_long] = ACTIONS(1269),
    [anon_sym_char] = ACTIONS(1269),
    [anon_sym_float] = ACTIONS(1269),
    [anon_sym_double] = ACTIONS(1269),
    [sym_boolean_type] = ACTIONS(1269),
    [sym_void_type] = ACTIONS(1269),
    [anon_sym_def] = ACTIONS(1269),
    [sym_this] = ACTIONS(1269),
    [sym_super] = ACTIONS(1269),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1269),
  },
  [282] = {
    [ts_builtin_sym_end] = ACTIONS(1271),
    [sym_identifier] = ACTIONS(1273),
    [sym_decimal_integer_literal] = ACTIONS(1273),
    [sym_hex_integer_literal] = ACTIONS(1273),
    [sym_octal_integer_literal] = ACTIONS(1273),
    [sym_binary_integer_literal] = ACTIONS(1273),
    [sym_decimal_floating_point_literal] = ACTIONS(1273),
    [sym_hex_floating_point_literal] = ACTIONS(1273),
    [sym_true] = ACTIONS(1273),
    [sym_false] = ACTIONS(1273),
    [sym_character_literal] = ACTIONS(1273),
    [anon_sym_DQUOTE] = ACTIONS(1273),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1273),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1273),
    [anon_sym_RBRACE] = ACTIONS(1273),
    [sym_null_literal] = ACTIONS(1273),
    [anon_sym_LPAREN] = ACTIONS(1273),
    [anon_sym_AMP] = ACTIONS(1273),
    [anon_sym_GT] = ACTIONS(1273),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_GT_EQ] = ACTIONS(1273),
    [anon_sym_LT_EQ] = ACTIONS(1273),
    [anon_sym_EQ_EQ] = ACTIONS(1273),
    [anon_sym_BANG_EQ] = ACTIONS(1273),
    [anon_sym_AMP_AMP] = ACTIONS(1273),
    [anon_sym_PIPE_PIPE] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_SLASH] = ACTIONS(1273),
    [anon_sym_PIPE] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1273),
    [anon_sym_PERCENT] = ACTIONS(1273),
    [anon_sym_LT_LT] = ACTIONS(1273),
    [anon_sym_GT_GT] = ACTIONS(1273),
    [anon_sym_GT_GT_GT] = ACTIONS(1273),
    [anon_sym_in] = ACTIONS(1273),
    [anon_sym_STAR_STAR] = ACTIONS(1273),
    [anon_sym_instanceof] = ACTIONS(1273),
    [anon_sym_final] = ACTIONS(1273),
    [anon_sym_DASH_GT] = ACTIONS(1273),
    [anon_sym_QMARK] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1273),
    [anon_sym_PLUS_PLUS] = ACTIONS(1273),
    [anon_sym_DASH_DASH] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1273),
    [anon_sym_DOT] = ACTIONS(1207),
    [anon_sym_class] = ACTIONS(1273),
    [anon_sym_COLON_COLON] = ACTIONS(1209),
    [anon_sym_switch] = ACTIONS(1273),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_case] = ACTIONS(1273),
    [anon_sym_default] = ACTIONS(1273),
    [sym_underscore_pattern] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1273),
    [aux_sym_expression_statement_token1] = ACTIONS(1271),
    [anon_sym_NULL] = ACTIONS(1273),
    [anon_sym_assert] = ACTIONS(1273),
    [anon_sym_do] = ACTIONS(1273),
    [anon_sym_while] = ACTIONS(1273),
    [anon_sym_break] = ACTIONS(1273),
    [anon_sym_continue] = ACTIONS(1273),
    [anon_sym_return] = ACTIONS(1273),
    [anon_sym_yield] = ACTIONS(1273),
    [anon_sym_synchronized] = ACTIONS(1273),
    [anon_sym_throw] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1273),
    [anon_sym_if] = ACTIONS(1273),
    [anon_sym_else] = ACTIONS(1273),
    [anon_sym_for] = ACTIONS(1273),
    [anon_sym_AT] = ACTIONS(1273),
    [anon_sym_open] = ACTIONS(1273),
    [anon_sym_module] = ACTIONS(1273),
    [anon_sym_static] = ACTIONS(1273),
    [anon_sym_with] = ACTIONS(1273),
    [anon_sym_package] = ACTIONS(1273),
    [anon_sym_import] = ACTIONS(1273),
    [anon_sym_enum] = ACTIONS(1273),
    [anon_sym_public] = ACTIONS(1273),
    [anon_sym_protected] = ACTIONS(1273),
    [anon_sym_private] = ACTIONS(1273),
    [anon_sym_abstract] = ACTIONS(1273),
    [anon_sym_strictfp] = ACTIONS(1273),
    [anon_sym_native] = ACTIONS(1273),
    [anon_sym_transient] = ACTIONS(1273),
    [anon_sym_volatile] = ACTIONS(1273),
    [anon_sym_sealed] = ACTIONS(1273),
    [anon_sym_non_DASHsealed] = ACTIONS(1273),
    [anon_sym_record] = ACTIONS(1273),
    [anon_sym_ATinterface] = ACTIONS(1273),
    [anon_sym_interface] = ACTIONS(1273),
    [anon_sym_byte] = ACTIONS(1273),
    [anon_sym_short] = ACTIONS(1273),
    [anon_sym_int] = ACTIONS(1273),
    [anon_sym_long] = ACTIONS(1273),
    [anon_sym_char] = ACTIONS(1273),
    [anon_sym_float] = ACTIONS(1273),
    [anon_sym_double] = ACTIONS(1273),
    [sym_boolean_type] = ACTIONS(1273),
    [sym_void_type] = ACTIONS(1273),
    [anon_sym_def] = ACTIONS(1273),
    [sym_this] = ACTIONS(1273),
    [sym_super] = ACTIONS(1273),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1273),
  },
  [283] = {
    [ts_builtin_sym_end] = ACTIONS(1275),
    [sym_identifier] = ACTIONS(1277),
    [sym_decimal_integer_literal] = ACTIONS(1277),
    [sym_hex_integer_literal] = ACTIONS(1277),
    [sym_octal_integer_literal] = ACTIONS(1277),
    [sym_binary_integer_literal] = ACTIONS(1277),
    [sym_decimal_floating_point_literal] = ACTIONS(1277),
    [sym_hex_floating_point_literal] = ACTIONS(1277),
    [sym_true] = ACTIONS(1277),
    [sym_false] = ACTIONS(1277),
    [sym_character_literal] = ACTIONS(1277),
    [anon_sym_DQUOTE] = ACTIONS(1277),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1277),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1277),
    [anon_sym_RBRACE] = ACTIONS(1277),
    [sym_null_literal] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1277),
    [anon_sym_AMP] = ACTIONS(1277),
    [anon_sym_GT] = ACTIONS(1277),
    [anon_sym_LT] = ACTIONS(1277),
    [anon_sym_GT_EQ] = ACTIONS(1277),
    [anon_sym_LT_EQ] = ACTIONS(1277),
    [anon_sym_EQ_EQ] = ACTIONS(1277),
    [anon_sym_BANG_EQ] = ACTIONS(1277),
    [anon_sym_AMP_AMP] = ACTIONS(1277),
    [anon_sym_PIPE_PIPE] = ACTIONS(1277),
    [anon_sym_PLUS] = ACTIONS(1277),
    [anon_sym_DASH] = ACTIONS(1277),
    [anon_sym_STAR] = ACTIONS(1277),
    [anon_sym_SLASH] = ACTIONS(1277),
    [anon_sym_PIPE] = ACTIONS(1277),
    [anon_sym_CARET] = ACTIONS(1277),
    [anon_sym_PERCENT] = ACTIONS(1277),
    [anon_sym_LT_LT] = ACTIONS(1277),
    [anon_sym_GT_GT] = ACTIONS(1277),
    [anon_sym_GT_GT_GT] = ACTIONS(1277),
    [anon_sym_in] = ACTIONS(1277),
    [anon_sym_STAR_STAR] = ACTIONS(1277),
    [anon_sym_instanceof] = ACTIONS(1277),
    [anon_sym_final] = ACTIONS(1277),
    [anon_sym_DASH_GT] = ACTIONS(1277),
    [anon_sym_QMARK] = ACTIONS(1277),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1277),
    [anon_sym_PLUS_PLUS] = ACTIONS(1277),
    [anon_sym_DASH_DASH] = ACTIONS(1277),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_LBRACK] = ACTIONS(1277),
    [anon_sym_DOT] = ACTIONS(1277),
    [anon_sym_class] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1277),
    [anon_sym_switch] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(1277),
    [anon_sym_case] = ACTIONS(1277),
    [anon_sym_default] = ACTIONS(1277),
    [sym_underscore_pattern] = ACTIONS(1277),
    [anon_sym_SEMI] = ACTIONS(1277),
    [aux_sym_expression_statement_token1] = ACTIONS(1275),
    [anon_sym_NULL] = ACTIONS(1277),
    [anon_sym_assert] = ACTIONS(1277),
    [anon_sym_do] = ACTIONS(1277),
    [anon_sym_while] = ACTIONS(1277),
    [anon_sym_break] = ACTIONS(1277),
    [anon_sym_continue] = ACTIONS(1277),
    [anon_sym_return] = ACTIONS(1277),
    [anon_sym_yield] = ACTIONS(1277),
    [anon_sym_synchronized] = ACTIONS(1277),
    [anon_sym_throw] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(1277),
    [anon_sym_if] = ACTIONS(1277),
    [anon_sym_else] = ACTIONS(1277),
    [anon_sym_for] = ACTIONS(1277),
    [anon_sym_AT] = ACTIONS(1277),
    [anon_sym_open] = ACTIONS(1277),
    [anon_sym_module] = ACTIONS(1277),
    [anon_sym_static] = ACTIONS(1277),
    [anon_sym_with] = ACTIONS(1277),
    [anon_sym_package] = ACTIONS(1277),
    [anon_sym_import] = ACTIONS(1277),
    [anon_sym_enum] = ACTIONS(1277),
    [anon_sym_public] = ACTIONS(1277),
    [anon_sym_protected] = ACTIONS(1277),
    [anon_sym_private] = ACTIONS(1277),
    [anon_sym_abstract] = ACTIONS(1277),
    [anon_sym_strictfp] = ACTIONS(1277),
    [anon_sym_native] = ACTIONS(1277),
    [anon_sym_transient] = ACTIONS(1277),
    [anon_sym_volatile] = ACTIONS(1277),
    [anon_sym_sealed] = ACTIONS(1277),
    [anon_sym_non_DASHsealed] = ACTIONS(1277),
    [anon_sym_record] = ACTIONS(1277),
    [anon_sym_ATinterface] = ACTIONS(1277),
    [anon_sym_interface] = ACTIONS(1277),
    [anon_sym_byte] = ACTIONS(1277),
    [anon_sym_short] = ACTIONS(1277),
    [anon_sym_int] = ACTIONS(1277),
    [anon_sym_long] = ACTIONS(1277),
    [anon_sym_char] = ACTIONS(1277),
    [anon_sym_float] = ACTIONS(1277),
    [anon_sym_double] = ACTIONS(1277),
    [sym_boolean_type] = ACTIONS(1277),
    [sym_void_type] = ACTIONS(1277),
    [anon_sym_def] = ACTIONS(1277),
    [sym_this] = ACTIONS(1277),
    [sym_super] = ACTIONS(1277),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1277),
  },
  [284] = {
    [ts_builtin_sym_end] = ACTIONS(1279),
    [sym_identifier] = ACTIONS(1281),
    [sym_decimal_integer_literal] = ACTIONS(1281),
    [sym_hex_integer_literal] = ACTIONS(1281),
    [sym_octal_integer_literal] = ACTIONS(1281),
    [sym_binary_integer_literal] = ACTIONS(1281),
    [sym_decimal_floating_point_literal] = ACTIONS(1281),
    [sym_hex_floating_point_literal] = ACTIONS(1281),
    [sym_true] = ACTIONS(1281),
    [sym_false] = ACTIONS(1281),
    [sym_character_literal] = ACTIONS(1281),
    [anon_sym_DQUOTE] = ACTIONS(1281),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1281),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1281),
    [anon_sym_RBRACE] = ACTIONS(1281),
    [sym_null_literal] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1281),
    [anon_sym_AMP] = ACTIONS(1281),
    [anon_sym_GT] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1281),
    [anon_sym_GT_EQ] = ACTIONS(1281),
    [anon_sym_LT_EQ] = ACTIONS(1281),
    [anon_sym_EQ_EQ] = ACTIONS(1281),
    [anon_sym_BANG_EQ] = ACTIONS(1281),
    [anon_sym_AMP_AMP] = ACTIONS(1281),
    [anon_sym_PIPE_PIPE] = ACTIONS(1281),
    [anon_sym_PLUS] = ACTIONS(1281),
    [anon_sym_DASH] = ACTIONS(1281),
    [anon_sym_STAR] = ACTIONS(1281),
    [anon_sym_SLASH] = ACTIONS(1281),
    [anon_sym_PIPE] = ACTIONS(1281),
    [anon_sym_CARET] = ACTIONS(1281),
    [anon_sym_PERCENT] = ACTIONS(1281),
    [anon_sym_LT_LT] = ACTIONS(1281),
    [anon_sym_GT_GT] = ACTIONS(1281),
    [anon_sym_GT_GT_GT] = ACTIONS(1281),
    [anon_sym_in] = ACTIONS(1281),
    [anon_sym_STAR_STAR] = ACTIONS(1281),
    [anon_sym_instanceof] = ACTIONS(1281),
    [anon_sym_final] = ACTIONS(1281),
    [anon_sym_DASH_GT] = ACTIONS(1281),
    [anon_sym_QMARK] = ACTIONS(1281),
    [anon_sym_BANG] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(1281),
    [anon_sym_PLUS_PLUS] = ACTIONS(1281),
    [anon_sym_DASH_DASH] = ACTIONS(1281),
    [anon_sym_new] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1281),
    [anon_sym_DOT] = ACTIONS(1281),
    [anon_sym_class] = ACTIONS(1281),
    [anon_sym_COLON_COLON] = ACTIONS(1281),
    [anon_sym_switch] = ACTIONS(1281),
    [anon_sym_LBRACE] = ACTIONS(1281),
    [anon_sym_case] = ACTIONS(1281),
    [anon_sym_default] = ACTIONS(1281),
    [sym_underscore_pattern] = ACTIONS(1281),
    [anon_sym_SEMI] = ACTIONS(1281),
    [aux_sym_expression_statement_token1] = ACTIONS(1279),
    [anon_sym_NULL] = ACTIONS(1281),
    [anon_sym_assert] = ACTIONS(1281),
    [anon_sym_do] = ACTIONS(1281),
    [anon_sym_while] = ACTIONS(1281),
    [anon_sym_break] = ACTIONS(1281),
    [anon_sym_continue] = ACTIONS(1281),
    [anon_sym_return] = ACTIONS(1281),
    [anon_sym_yield] = ACTIONS(1281),
    [anon_sym_synchronized] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1281),
    [anon_sym_try] = ACTIONS(1281),
    [anon_sym_if] = ACTIONS(1281),
    [anon_sym_else] = ACTIONS(1281),
    [anon_sym_for] = ACTIONS(1281),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_open] = ACTIONS(1281),
    [anon_sym_module] = ACTIONS(1281),
    [anon_sym_static] = ACTIONS(1281),
    [anon_sym_with] = ACTIONS(1281),
    [anon_sym_package] = ACTIONS(1281),
    [anon_sym_import] = ACTIONS(1281),
    [anon_sym_enum] = ACTIONS(1281),
    [anon_sym_public] = ACTIONS(1281),
    [anon_sym_protected] = ACTIONS(1281),
    [anon_sym_private] = ACTIONS(1281),
    [anon_sym_abstract] = ACTIONS(1281),
    [anon_sym_strictfp] = ACTIONS(1281),
    [anon_sym_native] = ACTIONS(1281),
    [anon_sym_transient] = ACTIONS(1281),
    [anon_sym_volatile] = ACTIONS(1281),
    [anon_sym_sealed] = ACTIONS(1281),
    [anon_sym_non_DASHsealed] = ACTIONS(1281),
    [anon_sym_record] = ACTIONS(1281),
    [anon_sym_ATinterface] = ACTIONS(1281),
    [anon_sym_interface] = ACTIONS(1281),
    [anon_sym_byte] = ACTIONS(1281),
    [anon_sym_short] = ACTIONS(1281),
    [anon_sym_int] = ACTIONS(1281),
    [anon_sym_long] = ACTIONS(1281),
    [anon_sym_char] = ACTIONS(1281),
    [anon_sym_float] = ACTIONS(1281),
    [anon_sym_double] = ACTIONS(1281),
    [sym_boolean_type] = ACTIONS(1281),
    [sym_void_type] = ACTIONS(1281),
    [anon_sym_def] = ACTIONS(1281),
    [sym_this] = ACTIONS(1281),
    [sym_super] = ACTIONS(1281),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1281),
  },
  [285] = {
    [ts_builtin_sym_end] = ACTIONS(1283),
    [sym_identifier] = ACTIONS(1285),
    [sym_decimal_integer_literal] = ACTIONS(1285),
    [sym_hex_integer_literal] = ACTIONS(1285),
    [sym_octal_integer_literal] = ACTIONS(1285),
    [sym_binary_integer_literal] = ACTIONS(1285),
    [sym_decimal_floating_point_literal] = ACTIONS(1285),
    [sym_hex_floating_point_literal] = ACTIONS(1285),
    [sym_true] = ACTIONS(1285),
    [sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1285),
    [anon_sym_DQUOTE] = ACTIONS(1285),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1285),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1285),
    [anon_sym_RBRACE] = ACTIONS(1285),
    [sym_null_literal] = ACTIONS(1285),
    [anon_sym_LPAREN] = ACTIONS(1285),
    [anon_sym_AMP] = ACTIONS(1285),
    [anon_sym_GT] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(1285),
    [anon_sym_GT_EQ] = ACTIONS(1285),
    [anon_sym_LT_EQ] = ACTIONS(1285),
    [anon_sym_EQ_EQ] = ACTIONS(1285),
    [anon_sym_BANG_EQ] = ACTIONS(1285),
    [anon_sym_AMP_AMP] = ACTIONS(1285),
    [anon_sym_PIPE_PIPE] = ACTIONS(1285),
    [anon_sym_PLUS] = ACTIONS(1285),
    [anon_sym_DASH] = ACTIONS(1285),
    [anon_sym_STAR] = ACTIONS(1285),
    [anon_sym_SLASH] = ACTIONS(1285),
    [anon_sym_PIPE] = ACTIONS(1285),
    [anon_sym_CARET] = ACTIONS(1285),
    [anon_sym_PERCENT] = ACTIONS(1285),
    [anon_sym_LT_LT] = ACTIONS(1285),
    [anon_sym_GT_GT] = ACTIONS(1285),
    [anon_sym_GT_GT_GT] = ACTIONS(1285),
    [anon_sym_in] = ACTIONS(1285),
    [anon_sym_STAR_STAR] = ACTIONS(1285),
    [anon_sym_instanceof] = ACTIONS(1285),
    [anon_sym_final] = ACTIONS(1285),
    [anon_sym_DASH_GT] = ACTIONS(1285),
    [anon_sym_QMARK] = ACTIONS(1285),
    [anon_sym_BANG] = ACTIONS(1285),
    [anon_sym_TILDE] = ACTIONS(1285),
    [anon_sym_PLUS_PLUS] = ACTIONS(1285),
    [anon_sym_DASH_DASH] = ACTIONS(1285),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_LBRACK] = ACTIONS(1285),
    [anon_sym_DOT] = ACTIONS(1285),
    [anon_sym_class] = ACTIONS(1285),
    [anon_sym_COLON_COLON] = ACTIONS(1285),
    [anon_sym_switch] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1285),
    [anon_sym_case] = ACTIONS(1285),
    [anon_sym_default] = ACTIONS(1285),
    [sym_underscore_pattern] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(1285),
    [aux_sym_expression_statement_token1] = ACTIONS(1283),
    [anon_sym_NULL] = ACTIONS(1285),
    [anon_sym_assert] = ACTIONS(1285),
    [anon_sym_do] = ACTIONS(1285),
    [anon_sym_while] = ACTIONS(1285),
    [anon_sym_break] = ACTIONS(1285),
    [anon_sym_continue] = ACTIONS(1285),
    [anon_sym_return] = ACTIONS(1285),
    [anon_sym_yield] = ACTIONS(1285),
    [anon_sym_synchronized] = ACTIONS(1285),
    [anon_sym_throw] = ACTIONS(1285),
    [anon_sym_try] = ACTIONS(1285),
    [anon_sym_if] = ACTIONS(1285),
    [anon_sym_else] = ACTIONS(1285),
    [anon_sym_for] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(1285),
    [anon_sym_open] = ACTIONS(1285),
    [anon_sym_module] = ACTIONS(1285),
    [anon_sym_static] = ACTIONS(1285),
    [anon_sym_with] = ACTIONS(1285),
    [anon_sym_package] = ACTIONS(1285),
    [anon_sym_import] = ACTIONS(1285),
    [anon_sym_enum] = ACTIONS(1285),
    [anon_sym_public] = ACTIONS(1285),
    [anon_sym_protected] = ACTIONS(1285),
    [anon_sym_private] = ACTIONS(1285),
    [anon_sym_abstract] = ACTIONS(1285),
    [anon_sym_strictfp] = ACTIONS(1285),
    [anon_sym_native] = ACTIONS(1285),
    [anon_sym_transient] = ACTIONS(1285),
    [anon_sym_volatile] = ACTIONS(1285),
    [anon_sym_sealed] = ACTIONS(1285),
    [anon_sym_non_DASHsealed] = ACTIONS(1285),
    [anon_sym_record] = ACTIONS(1285),
    [anon_sym_ATinterface] = ACTIONS(1285),
    [anon_sym_interface] = ACTIONS(1285),
    [anon_sym_byte] = ACTIONS(1285),
    [anon_sym_short] = ACTIONS(1285),
    [anon_sym_int] = ACTIONS(1285),
    [anon_sym_long] = ACTIONS(1285),
    [anon_sym_char] = ACTIONS(1285),
    [anon_sym_float] = ACTIONS(1285),
    [anon_sym_double] = ACTIONS(1285),
    [sym_boolean_type] = ACTIONS(1285),
    [sym_void_type] = ACTIONS(1285),
    [anon_sym_def] = ACTIONS(1285),
    [sym_this] = ACTIONS(1285),
    [sym_super] = ACTIONS(1285),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1285),
  },
  [286] = {
    [ts_builtin_sym_end] = ACTIONS(1287),
    [sym_identifier] = ACTIONS(1289),
    [sym_decimal_integer_literal] = ACTIONS(1289),
    [sym_hex_integer_literal] = ACTIONS(1289),
    [sym_octal_integer_literal] = ACTIONS(1289),
    [sym_binary_integer_literal] = ACTIONS(1289),
    [sym_decimal_floating_point_literal] = ACTIONS(1289),
    [sym_hex_floating_point_literal] = ACTIONS(1289),
    [sym_true] = ACTIONS(1289),
    [sym_false] = ACTIONS(1289),
    [sym_character_literal] = ACTIONS(1289),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1289),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1289),
    [anon_sym_RBRACE] = ACTIONS(1289),
    [sym_null_literal] = ACTIONS(1289),
    [anon_sym_LPAREN] = ACTIONS(1289),
    [anon_sym_AMP] = ACTIONS(1289),
    [anon_sym_GT] = ACTIONS(1289),
    [anon_sym_LT] = ACTIONS(1289),
    [anon_sym_GT_EQ] = ACTIONS(1289),
    [anon_sym_LT_EQ] = ACTIONS(1289),
    [anon_sym_EQ_EQ] = ACTIONS(1289),
    [anon_sym_BANG_EQ] = ACTIONS(1289),
    [anon_sym_AMP_AMP] = ACTIONS(1289),
    [anon_sym_PIPE_PIPE] = ACTIONS(1289),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_STAR] = ACTIONS(1289),
    [anon_sym_SLASH] = ACTIONS(1289),
    [anon_sym_PIPE] = ACTIONS(1289),
    [anon_sym_CARET] = ACTIONS(1289),
    [anon_sym_PERCENT] = ACTIONS(1289),
    [anon_sym_LT_LT] = ACTIONS(1289),
    [anon_sym_GT_GT] = ACTIONS(1289),
    [anon_sym_GT_GT_GT] = ACTIONS(1289),
    [anon_sym_in] = ACTIONS(1289),
    [anon_sym_STAR_STAR] = ACTIONS(1289),
    [anon_sym_instanceof] = ACTIONS(1289),
    [anon_sym_final] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1289),
    [anon_sym_QMARK] = ACTIONS(1289),
    [anon_sym_BANG] = ACTIONS(1289),
    [anon_sym_TILDE] = ACTIONS(1289),
    [anon_sym_PLUS_PLUS] = ACTIONS(1289),
    [anon_sym_DASH_DASH] = ACTIONS(1289),
    [anon_sym_new] = ACTIONS(1289),
    [anon_sym_LBRACK] = ACTIONS(1289),
    [anon_sym_DOT] = ACTIONS(1289),
    [anon_sym_class] = ACTIONS(1289),
    [anon_sym_COLON_COLON] = ACTIONS(1289),
    [anon_sym_switch] = ACTIONS(1289),
    [anon_sym_LBRACE] = ACTIONS(1289),
    [anon_sym_case] = ACTIONS(1289),
    [anon_sym_default] = ACTIONS(1289),
    [sym_underscore_pattern] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(1289),
    [aux_sym_expression_statement_token1] = ACTIONS(1287),
    [anon_sym_NULL] = ACTIONS(1289),
    [anon_sym_assert] = ACTIONS(1289),
    [anon_sym_do] = ACTIONS(1289),
    [anon_sym_while] = ACTIONS(1289),
    [anon_sym_break] = ACTIONS(1289),
    [anon_sym_continue] = ACTIONS(1289),
    [anon_sym_return] = ACTIONS(1289),
    [anon_sym_yield] = ACTIONS(1289),
    [anon_sym_synchronized] = ACTIONS(1289),
    [anon_sym_throw] = ACTIONS(1289),
    [anon_sym_try] = ACTIONS(1289),
    [anon_sym_if] = ACTIONS(1289),
    [anon_sym_else] = ACTIONS(1289),
    [anon_sym_for] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(1289),
    [anon_sym_open] = ACTIONS(1289),
    [anon_sym_module] = ACTIONS(1289),
    [anon_sym_static] = ACTIONS(1289),
    [anon_sym_with] = ACTIONS(1289),
    [anon_sym_package] = ACTIONS(1289),
    [anon_sym_import] = ACTIONS(1289),
    [anon_sym_enum] = ACTIONS(1289),
    [anon_sym_public] = ACTIONS(1289),
    [anon_sym_protected] = ACTIONS(1289),
    [anon_sym_private] = ACTIONS(1289),
    [anon_sym_abstract] = ACTIONS(1289),
    [anon_sym_strictfp] = ACTIONS(1289),
    [anon_sym_native] = ACTIONS(1289),
    [anon_sym_transient] = ACTIONS(1289),
    [anon_sym_volatile] = ACTIONS(1289),
    [anon_sym_sealed] = ACTIONS(1289),
    [anon_sym_non_DASHsealed] = ACTIONS(1289),
    [anon_sym_record] = ACTIONS(1289),
    [anon_sym_ATinterface] = ACTIONS(1289),
    [anon_sym_interface] = ACTIONS(1289),
    [anon_sym_byte] = ACTIONS(1289),
    [anon_sym_short] = ACTIONS(1289),
    [anon_sym_int] = ACTIONS(1289),
    [anon_sym_long] = ACTIONS(1289),
    [anon_sym_char] = ACTIONS(1289),
    [anon_sym_float] = ACTIONS(1289),
    [anon_sym_double] = ACTIONS(1289),
    [sym_boolean_type] = ACTIONS(1289),
    [sym_void_type] = ACTIONS(1289),
    [anon_sym_def] = ACTIONS(1289),
    [sym_this] = ACTIONS(1289),
    [sym_super] = ACTIONS(1289),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1289),
  },
  [287] = {
    [ts_builtin_sym_end] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1293),
    [sym_decimal_integer_literal] = ACTIONS(1293),
    [sym_hex_integer_literal] = ACTIONS(1293),
    [sym_octal_integer_literal] = ACTIONS(1293),
    [sym_binary_integer_literal] = ACTIONS(1293),
    [sym_decimal_floating_point_literal] = ACTIONS(1293),
    [sym_hex_floating_point_literal] = ACTIONS(1293),
    [sym_true] = ACTIONS(1293),
    [sym_false] = ACTIONS(1293),
    [sym_character_literal] = ACTIONS(1293),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1293),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1293),
    [anon_sym_RBRACE] = ACTIONS(1293),
    [sym_null_literal] = ACTIONS(1293),
    [anon_sym_LPAREN] = ACTIONS(1293),
    [anon_sym_AMP] = ACTIONS(1293),
    [anon_sym_GT] = ACTIONS(1293),
    [anon_sym_LT] = ACTIONS(1293),
    [anon_sym_GT_EQ] = ACTIONS(1293),
    [anon_sym_LT_EQ] = ACTIONS(1293),
    [anon_sym_EQ_EQ] = ACTIONS(1293),
    [anon_sym_BANG_EQ] = ACTIONS(1293),
    [anon_sym_AMP_AMP] = ACTIONS(1293),
    [anon_sym_PIPE_PIPE] = ACTIONS(1293),
    [anon_sym_PLUS] = ACTIONS(1293),
    [anon_sym_DASH] = ACTIONS(1293),
    [anon_sym_STAR] = ACTIONS(1293),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_PIPE] = ACTIONS(1293),
    [anon_sym_CARET] = ACTIONS(1293),
    [anon_sym_PERCENT] = ACTIONS(1293),
    [anon_sym_LT_LT] = ACTIONS(1293),
    [anon_sym_GT_GT] = ACTIONS(1293),
    [anon_sym_GT_GT_GT] = ACTIONS(1293),
    [anon_sym_in] = ACTIONS(1293),
    [anon_sym_STAR_STAR] = ACTIONS(1293),
    [anon_sym_instanceof] = ACTIONS(1293),
    [anon_sym_final] = ACTIONS(1293),
    [anon_sym_DASH_GT] = ACTIONS(1293),
    [anon_sym_QMARK] = ACTIONS(1293),
    [anon_sym_BANG] = ACTIONS(1293),
    [anon_sym_TILDE] = ACTIONS(1293),
    [anon_sym_PLUS_PLUS] = ACTIONS(1293),
    [anon_sym_DASH_DASH] = ACTIONS(1293),
    [anon_sym_new] = ACTIONS(1293),
    [anon_sym_LBRACK] = ACTIONS(1293),
    [anon_sym_DOT] = ACTIONS(1293),
    [anon_sym_class] = ACTIONS(1293),
    [anon_sym_COLON_COLON] = ACTIONS(1293),
    [anon_sym_switch] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1293),
    [anon_sym_case] = ACTIONS(1293),
    [anon_sym_default] = ACTIONS(1293),
    [sym_underscore_pattern] = ACTIONS(1293),
    [anon_sym_SEMI] = ACTIONS(1293),
    [aux_sym_expression_statement_token1] = ACTIONS(1291),
    [anon_sym_NULL] = ACTIONS(1293),
    [anon_sym_assert] = ACTIONS(1293),
    [anon_sym_do] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1293),
    [anon_sym_break] = ACTIONS(1293),
    [anon_sym_continue] = ACTIONS(1293),
    [anon_sym_return] = ACTIONS(1293),
    [anon_sym_yield] = ACTIONS(1293),
    [anon_sym_synchronized] = ACTIONS(1293),
    [anon_sym_throw] = ACTIONS(1293),
    [anon_sym_try] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_else] = ACTIONS(1293),
    [anon_sym_for] = ACTIONS(1293),
    [anon_sym_AT] = ACTIONS(1293),
    [anon_sym_open] = ACTIONS(1293),
    [anon_sym_module] = ACTIONS(1293),
    [anon_sym_static] = ACTIONS(1293),
    [anon_sym_with] = ACTIONS(1293),
    [anon_sym_package] = ACTIONS(1293),
    [anon_sym_import] = ACTIONS(1293),
    [anon_sym_enum] = ACTIONS(1293),
    [anon_sym_public] = ACTIONS(1293),
    [anon_sym_protected] = ACTIONS(1293),
    [anon_sym_private] = ACTIONS(1293),
    [anon_sym_abstract] = ACTIONS(1293),
    [anon_sym_strictfp] = ACTIONS(1293),
    [anon_sym_native] = ACTIONS(1293),
    [anon_sym_transient] = ACTIONS(1293),
    [anon_sym_volatile] = ACTIONS(1293),
    [anon_sym_sealed] = ACTIONS(1293),
    [anon_sym_non_DASHsealed] = ACTIONS(1293),
    [anon_sym_record] = ACTIONS(1293),
    [anon_sym_ATinterface] = ACTIONS(1293),
    [anon_sym_interface] = ACTIONS(1293),
    [anon_sym_byte] = ACTIONS(1293),
    [anon_sym_short] = ACTIONS(1293),
    [anon_sym_int] = ACTIONS(1293),
    [anon_sym_long] = ACTIONS(1293),
    [anon_sym_char] = ACTIONS(1293),
    [anon_sym_float] = ACTIONS(1293),
    [anon_sym_double] = ACTIONS(1293),
    [sym_boolean_type] = ACTIONS(1293),
    [sym_void_type] = ACTIONS(1293),
    [anon_sym_def] = ACTIONS(1293),
    [sym_this] = ACTIONS(1293),
    [sym_super] = ACTIONS(1293),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1293),
  },
  [288] = {
    [ts_builtin_sym_end] = ACTIONS(1295),
    [sym_identifier] = ACTIONS(1297),
    [sym_decimal_integer_literal] = ACTIONS(1297),
    [sym_hex_integer_literal] = ACTIONS(1297),
    [sym_octal_integer_literal] = ACTIONS(1297),
    [sym_binary_integer_literal] = ACTIONS(1297),
    [sym_decimal_floating_point_literal] = ACTIONS(1297),
    [sym_hex_floating_point_literal] = ACTIONS(1297),
    [sym_true] = ACTIONS(1297),
    [sym_false] = ACTIONS(1297),
    [sym_character_literal] = ACTIONS(1297),
    [anon_sym_DQUOTE] = ACTIONS(1297),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1297),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1297),
    [anon_sym_RBRACE] = ACTIONS(1297),
    [sym_null_literal] = ACTIONS(1297),
    [anon_sym_LPAREN] = ACTIONS(1297),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_GT] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(1297),
    [anon_sym_GT_EQ] = ACTIONS(1297),
    [anon_sym_LT_EQ] = ACTIONS(1297),
    [anon_sym_EQ_EQ] = ACTIONS(1297),
    [anon_sym_BANG_EQ] = ACTIONS(1297),
    [anon_sym_AMP_AMP] = ACTIONS(1297),
    [anon_sym_PIPE_PIPE] = ACTIONS(1297),
    [anon_sym_PLUS] = ACTIONS(1297),
    [anon_sym_DASH] = ACTIONS(1297),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_PIPE] = ACTIONS(1297),
    [anon_sym_CARET] = ACTIONS(1297),
    [anon_sym_PERCENT] = ACTIONS(1297),
    [anon_sym_LT_LT] = ACTIONS(1297),
    [anon_sym_GT_GT] = ACTIONS(1297),
    [anon_sym_GT_GT_GT] = ACTIONS(1297),
    [anon_sym_in] = ACTIONS(1297),
    [anon_sym_STAR_STAR] = ACTIONS(1297),
    [anon_sym_instanceof] = ACTIONS(1297),
    [anon_sym_final] = ACTIONS(1297),
    [anon_sym_DASH_GT] = ACTIONS(1297),
    [anon_sym_QMARK] = ACTIONS(1297),
    [anon_sym_BANG] = ACTIONS(1297),
    [anon_sym_TILDE] = ACTIONS(1297),
    [anon_sym_PLUS_PLUS] = ACTIONS(1297),
    [anon_sym_DASH_DASH] = ACTIONS(1297),
    [anon_sym_new] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(1297),
    [anon_sym_DOT] = ACTIONS(1297),
    [anon_sym_class] = ACTIONS(1297),
    [anon_sym_COLON_COLON] = ACTIONS(1297),
    [anon_sym_switch] = ACTIONS(1297),
    [anon_sym_LBRACE] = ACTIONS(1297),
    [anon_sym_case] = ACTIONS(1297),
    [anon_sym_default] = ACTIONS(1297),
    [sym_underscore_pattern] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1297),
    [aux_sym_expression_statement_token1] = ACTIONS(1295),
    [anon_sym_NULL] = ACTIONS(1297),
    [anon_sym_assert] = ACTIONS(1297),
    [anon_sym_do] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_break] = ACTIONS(1297),
    [anon_sym_continue] = ACTIONS(1297),
    [anon_sym_return] = ACTIONS(1297),
    [anon_sym_yield] = ACTIONS(1297),
    [anon_sym_synchronized] = ACTIONS(1297),
    [anon_sym_throw] = ACTIONS(1297),
    [anon_sym_try] = ACTIONS(1297),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_else] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_AT] = ACTIONS(1297),
    [anon_sym_open] = ACTIONS(1297),
    [anon_sym_module] = ACTIONS(1297),
    [anon_sym_static] = ACTIONS(1297),
    [anon_sym_with] = ACTIONS(1297),
    [anon_sym_package] = ACTIONS(1297),
    [anon_sym_import] = ACTIONS(1297),
    [anon_sym_enum] = ACTIONS(1297),
    [anon_sym_public] = ACTIONS(1297),
    [anon_sym_protected] = ACTIONS(1297),
    [anon_sym_private] = ACTIONS(1297),
    [anon_sym_abstract] = ACTIONS(1297),
    [anon_sym_strictfp] = ACTIONS(1297),
    [anon_sym_native] = ACTIONS(1297),
    [anon_sym_transient] = ACTIONS(1297),
    [anon_sym_volatile] = ACTIONS(1297),
    [anon_sym_sealed] = ACTIONS(1297),
    [anon_sym_non_DASHsealed] = ACTIONS(1297),
    [anon_sym_record] = ACTIONS(1297),
    [anon_sym_ATinterface] = ACTIONS(1297),
    [anon_sym_interface] = ACTIONS(1297),
    [anon_sym_byte] = ACTIONS(1297),
    [anon_sym_short] = ACTIONS(1297),
    [anon_sym_int] = ACTIONS(1297),
    [anon_sym_long] = ACTIONS(1297),
    [anon_sym_char] = ACTIONS(1297),
    [anon_sym_float] = ACTIONS(1297),
    [anon_sym_double] = ACTIONS(1297),
    [sym_boolean_type] = ACTIONS(1297),
    [sym_void_type] = ACTIONS(1297),
    [anon_sym_def] = ACTIONS(1297),
    [sym_this] = ACTIONS(1297),
    [sym_super] = ACTIONS(1297),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1297),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(1299),
    [sym_identifier] = ACTIONS(1301),
    [sym_decimal_integer_literal] = ACTIONS(1301),
    [sym_hex_integer_literal] = ACTIONS(1301),
    [sym_octal_integer_literal] = ACTIONS(1301),
    [sym_binary_integer_literal] = ACTIONS(1301),
    [sym_decimal_floating_point_literal] = ACTIONS(1301),
    [sym_hex_floating_point_literal] = ACTIONS(1301),
    [sym_true] = ACTIONS(1301),
    [sym_false] = ACTIONS(1301),
    [sym_character_literal] = ACTIONS(1301),
    [anon_sym_DQUOTE] = ACTIONS(1301),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1301),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1301),
    [anon_sym_RBRACE] = ACTIONS(1301),
    [sym_null_literal] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1301),
    [anon_sym_AMP] = ACTIONS(1301),
    [anon_sym_GT] = ACTIONS(1301),
    [anon_sym_LT] = ACTIONS(1301),
    [anon_sym_GT_EQ] = ACTIONS(1301),
    [anon_sym_LT_EQ] = ACTIONS(1301),
    [anon_sym_EQ_EQ] = ACTIONS(1301),
    [anon_sym_BANG_EQ] = ACTIONS(1301),
    [anon_sym_AMP_AMP] = ACTIONS(1301),
    [anon_sym_PIPE_PIPE] = ACTIONS(1301),
    [anon_sym_PLUS] = ACTIONS(1301),
    [anon_sym_DASH] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(1301),
    [anon_sym_SLASH] = ACTIONS(1301),
    [anon_sym_PIPE] = ACTIONS(1301),
    [anon_sym_CARET] = ACTIONS(1301),
    [anon_sym_PERCENT] = ACTIONS(1301),
    [anon_sym_LT_LT] = ACTIONS(1301),
    [anon_sym_GT_GT] = ACTIONS(1301),
    [anon_sym_GT_GT_GT] = ACTIONS(1301),
    [anon_sym_in] = ACTIONS(1301),
    [anon_sym_STAR_STAR] = ACTIONS(1301),
    [anon_sym_instanceof] = ACTIONS(1301),
    [anon_sym_final] = ACTIONS(1301),
    [anon_sym_DASH_GT] = ACTIONS(1301),
    [anon_sym_QMARK] = ACTIONS(1301),
    [anon_sym_BANG] = ACTIONS(1301),
    [anon_sym_TILDE] = ACTIONS(1301),
    [anon_sym_PLUS_PLUS] = ACTIONS(1301),
    [anon_sym_DASH_DASH] = ACTIONS(1301),
    [anon_sym_new] = ACTIONS(1301),
    [anon_sym_LBRACK] = ACTIONS(1301),
    [anon_sym_DOT] = ACTIONS(1301),
    [anon_sym_class] = ACTIONS(1301),
    [anon_sym_COLON_COLON] = ACTIONS(1301),
    [anon_sym_switch] = ACTIONS(1301),
    [anon_sym_LBRACE] = ACTIONS(1301),
    [anon_sym_case] = ACTIONS(1301),
    [anon_sym_default] = ACTIONS(1301),
    [sym_underscore_pattern] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(1301),
    [aux_sym_expression_statement_token1] = ACTIONS(1299),
    [anon_sym_NULL] = ACTIONS(1301),
    [anon_sym_assert] = ACTIONS(1301),
    [anon_sym_do] = ACTIONS(1301),
    [anon_sym_while] = ACTIONS(1301),
    [anon_sym_break] = ACTIONS(1301),
    [anon_sym_continue] = ACTIONS(1301),
    [anon_sym_return] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(1301),
    [anon_sym_synchronized] = ACTIONS(1301),
    [anon_sym_throw] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_else] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_AT] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_with] = ACTIONS(1301),
    [anon_sym_package] = ACTIONS(1301),
    [anon_sym_import] = ACTIONS(1301),
    [anon_sym_enum] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_abstract] = ACTIONS(1301),
    [anon_sym_strictfp] = ACTIONS(1301),
    [anon_sym_native] = ACTIONS(1301),
    [anon_sym_transient] = ACTIONS(1301),
    [anon_sym_volatile] = ACTIONS(1301),
    [anon_sym_sealed] = ACTIONS(1301),
    [anon_sym_non_DASHsealed] = ACTIONS(1301),
    [anon_sym_record] = ACTIONS(1301),
    [anon_sym_ATinterface] = ACTIONS(1301),
    [anon_sym_interface] = ACTIONS(1301),
    [anon_sym_byte] = ACTIONS(1301),
    [anon_sym_short] = ACTIONS(1301),
    [anon_sym_int] = ACTIONS(1301),
    [anon_sym_long] = ACTIONS(1301),
    [anon_sym_char] = ACTIONS(1301),
    [anon_sym_float] = ACTIONS(1301),
    [anon_sym_double] = ACTIONS(1301),
    [sym_boolean_type] = ACTIONS(1301),
    [sym_void_type] = ACTIONS(1301),
    [anon_sym_def] = ACTIONS(1301),
    [sym_this] = ACTIONS(1301),
    [sym_super] = ACTIONS(1301),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1301),
  },
  [290] = {
    [ts_builtin_sym_end] = ACTIONS(1303),
    [sym_identifier] = ACTIONS(1305),
    [sym_decimal_integer_literal] = ACTIONS(1305),
    [sym_hex_integer_literal] = ACTIONS(1305),
    [sym_octal_integer_literal] = ACTIONS(1305),
    [sym_binary_integer_literal] = ACTIONS(1305),
    [sym_decimal_floating_point_literal] = ACTIONS(1305),
    [sym_hex_floating_point_literal] = ACTIONS(1305),
    [sym_true] = ACTIONS(1305),
    [sym_false] = ACTIONS(1305),
    [sym_character_literal] = ACTIONS(1305),
    [anon_sym_DQUOTE] = ACTIONS(1305),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1305),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1305),
    [anon_sym_RBRACE] = ACTIONS(1305),
    [sym_null_literal] = ACTIONS(1305),
    [anon_sym_LPAREN] = ACTIONS(1305),
    [anon_sym_AMP] = ACTIONS(1305),
    [anon_sym_GT] = ACTIONS(1305),
    [anon_sym_LT] = ACTIONS(1305),
    [anon_sym_GT_EQ] = ACTIONS(1305),
    [anon_sym_LT_EQ] = ACTIONS(1305),
    [anon_sym_EQ_EQ] = ACTIONS(1305),
    [anon_sym_BANG_EQ] = ACTIONS(1305),
    [anon_sym_AMP_AMP] = ACTIONS(1305),
    [anon_sym_PIPE_PIPE] = ACTIONS(1305),
    [anon_sym_PLUS] = ACTIONS(1305),
    [anon_sym_DASH] = ACTIONS(1305),
    [anon_sym_STAR] = ACTIONS(1305),
    [anon_sym_SLASH] = ACTIONS(1305),
    [anon_sym_PIPE] = ACTIONS(1305),
    [anon_sym_CARET] = ACTIONS(1305),
    [anon_sym_PERCENT] = ACTIONS(1305),
    [anon_sym_LT_LT] = ACTIONS(1305),
    [anon_sym_GT_GT] = ACTIONS(1305),
    [anon_sym_GT_GT_GT] = ACTIONS(1305),
    [anon_sym_in] = ACTIONS(1305),
    [anon_sym_STAR_STAR] = ACTIONS(1305),
    [anon_sym_instanceof] = ACTIONS(1305),
    [anon_sym_final] = ACTIONS(1305),
    [anon_sym_DASH_GT] = ACTIONS(1305),
    [anon_sym_QMARK] = ACTIONS(1305),
    [anon_sym_BANG] = ACTIONS(1305),
    [anon_sym_TILDE] = ACTIONS(1305),
    [anon_sym_PLUS_PLUS] = ACTIONS(1305),
    [anon_sym_DASH_DASH] = ACTIONS(1305),
    [anon_sym_new] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1305),
    [anon_sym_DOT] = ACTIONS(1305),
    [anon_sym_class] = ACTIONS(1305),
    [anon_sym_COLON_COLON] = ACTIONS(1305),
    [anon_sym_switch] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1305),
    [anon_sym_case] = ACTIONS(1305),
    [anon_sym_default] = ACTIONS(1305),
    [sym_underscore_pattern] = ACTIONS(1305),
    [anon_sym_SEMI] = ACTIONS(1305),
    [aux_sym_expression_statement_token1] = ACTIONS(1303),
    [anon_sym_NULL] = ACTIONS(1305),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_do] = ACTIONS(1305),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_break] = ACTIONS(1305),
    [anon_sym_continue] = ACTIONS(1305),
    [anon_sym_return] = ACTIONS(1305),
    [anon_sym_yield] = ACTIONS(1305),
    [anon_sym_synchronized] = ACTIONS(1305),
    [anon_sym_throw] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_if] = ACTIONS(1305),
    [anon_sym_else] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1305),
    [anon_sym_AT] = ACTIONS(1305),
    [anon_sym_open] = ACTIONS(1305),
    [anon_sym_module] = ACTIONS(1305),
    [anon_sym_static] = ACTIONS(1305),
    [anon_sym_with] = ACTIONS(1305),
    [anon_sym_package] = ACTIONS(1305),
    [anon_sym_import] = ACTIONS(1305),
    [anon_sym_enum] = ACTIONS(1305),
    [anon_sym_public] = ACTIONS(1305),
    [anon_sym_protected] = ACTIONS(1305),
    [anon_sym_private] = ACTIONS(1305),
    [anon_sym_abstract] = ACTIONS(1305),
    [anon_sym_strictfp] = ACTIONS(1305),
    [anon_sym_native] = ACTIONS(1305),
    [anon_sym_transient] = ACTIONS(1305),
    [anon_sym_volatile] = ACTIONS(1305),
    [anon_sym_sealed] = ACTIONS(1305),
    [anon_sym_non_DASHsealed] = ACTIONS(1305),
    [anon_sym_record] = ACTIONS(1305),
    [anon_sym_ATinterface] = ACTIONS(1305),
    [anon_sym_interface] = ACTIONS(1305),
    [anon_sym_byte] = ACTIONS(1305),
    [anon_sym_short] = ACTIONS(1305),
    [anon_sym_int] = ACTIONS(1305),
    [anon_sym_long] = ACTIONS(1305),
    [anon_sym_char] = ACTIONS(1305),
    [anon_sym_float] = ACTIONS(1305),
    [anon_sym_double] = ACTIONS(1305),
    [sym_boolean_type] = ACTIONS(1305),
    [sym_void_type] = ACTIONS(1305),
    [anon_sym_def] = ACTIONS(1305),
    [sym_this] = ACTIONS(1305),
    [sym_super] = ACTIONS(1305),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1305),
  },
  [291] = {
    [ts_builtin_sym_end] = ACTIONS(1307),
    [sym_identifier] = ACTIONS(1309),
    [sym_decimal_integer_literal] = ACTIONS(1309),
    [sym_hex_integer_literal] = ACTIONS(1309),
    [sym_octal_integer_literal] = ACTIONS(1309),
    [sym_binary_integer_literal] = ACTIONS(1309),
    [sym_decimal_floating_point_literal] = ACTIONS(1309),
    [sym_hex_floating_point_literal] = ACTIONS(1309),
    [sym_true] = ACTIONS(1309),
    [sym_false] = ACTIONS(1309),
    [sym_character_literal] = ACTIONS(1309),
    [anon_sym_DQUOTE] = ACTIONS(1309),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1309),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1309),
    [anon_sym_RBRACE] = ACTIONS(1309),
    [sym_null_literal] = ACTIONS(1309),
    [anon_sym_LPAREN] = ACTIONS(1309),
    [anon_sym_AMP] = ACTIONS(1309),
    [anon_sym_GT] = ACTIONS(1309),
    [anon_sym_LT] = ACTIONS(1309),
    [anon_sym_GT_EQ] = ACTIONS(1309),
    [anon_sym_LT_EQ] = ACTIONS(1309),
    [anon_sym_EQ_EQ] = ACTIONS(1309),
    [anon_sym_BANG_EQ] = ACTIONS(1309),
    [anon_sym_AMP_AMP] = ACTIONS(1309),
    [anon_sym_PIPE_PIPE] = ACTIONS(1309),
    [anon_sym_PLUS] = ACTIONS(1309),
    [anon_sym_DASH] = ACTIONS(1309),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_SLASH] = ACTIONS(1309),
    [anon_sym_PIPE] = ACTIONS(1309),
    [anon_sym_CARET] = ACTIONS(1309),
    [anon_sym_PERCENT] = ACTIONS(1309),
    [anon_sym_LT_LT] = ACTIONS(1309),
    [anon_sym_GT_GT] = ACTIONS(1309),
    [anon_sym_GT_GT_GT] = ACTIONS(1309),
    [anon_sym_in] = ACTIONS(1309),
    [anon_sym_STAR_STAR] = ACTIONS(1309),
    [anon_sym_instanceof] = ACTIONS(1309),
    [anon_sym_final] = ACTIONS(1309),
    [anon_sym_DASH_GT] = ACTIONS(1309),
    [anon_sym_QMARK] = ACTIONS(1309),
    [anon_sym_BANG] = ACTIONS(1309),
    [anon_sym_TILDE] = ACTIONS(1309),
    [anon_sym_PLUS_PLUS] = ACTIONS(1309),
    [anon_sym_DASH_DASH] = ACTIONS(1309),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACK] = ACTIONS(1309),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_class] = ACTIONS(1309),
    [anon_sym_COLON_COLON] = ACTIONS(1309),
    [anon_sym_switch] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1309),
    [anon_sym_case] = ACTIONS(1309),
    [anon_sym_default] = ACTIONS(1309),
    [sym_underscore_pattern] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(1309),
    [aux_sym_expression_statement_token1] = ACTIONS(1307),
    [anon_sym_NULL] = ACTIONS(1309),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_do] = ACTIONS(1309),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_break] = ACTIONS(1309),
    [anon_sym_continue] = ACTIONS(1309),
    [anon_sym_return] = ACTIONS(1309),
    [anon_sym_yield] = ACTIONS(1309),
    [anon_sym_synchronized] = ACTIONS(1309),
    [anon_sym_throw] = ACTIONS(1309),
    [anon_sym_try] = ACTIONS(1309),
    [anon_sym_if] = ACTIONS(1309),
    [anon_sym_else] = ACTIONS(1309),
    [anon_sym_for] = ACTIONS(1309),
    [anon_sym_AT] = ACTIONS(1309),
    [anon_sym_open] = ACTIONS(1309),
    [anon_sym_module] = ACTIONS(1309),
    [anon_sym_static] = ACTIONS(1309),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_import] = ACTIONS(1309),
    [anon_sym_enum] = ACTIONS(1309),
    [anon_sym_public] = ACTIONS(1309),
    [anon_sym_protected] = ACTIONS(1309),
    [anon_sym_private] = ACTIONS(1309),
    [anon_sym_abstract] = ACTIONS(1309),
    [anon_sym_strictfp] = ACTIONS(1309),
    [anon_sym_native] = ACTIONS(1309),
    [anon_sym_transient] = ACTIONS(1309),
    [anon_sym_volatile] = ACTIONS(1309),
    [anon_sym_sealed] = ACTIONS(1309),
    [anon_sym_non_DASHsealed] = ACTIONS(1309),
    [anon_sym_record] = ACTIONS(1309),
    [anon_sym_ATinterface] = ACTIONS(1309),
    [anon_sym_interface] = ACTIONS(1309),
    [anon_sym_byte] = ACTIONS(1309),
    [anon_sym_short] = ACTIONS(1309),
    [anon_sym_int] = ACTIONS(1309),
    [anon_sym_long] = ACTIONS(1309),
    [anon_sym_char] = ACTIONS(1309),
    [anon_sym_float] = ACTIONS(1309),
    [anon_sym_double] = ACTIONS(1309),
    [sym_boolean_type] = ACTIONS(1309),
    [sym_void_type] = ACTIONS(1309),
    [anon_sym_def] = ACTIONS(1309),
    [sym_this] = ACTIONS(1309),
    [sym_super] = ACTIONS(1309),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1309),
  },
  [292] = {
    [ts_builtin_sym_end] = ACTIONS(1311),
    [sym_identifier] = ACTIONS(1313),
    [sym_decimal_integer_literal] = ACTIONS(1313),
    [sym_hex_integer_literal] = ACTIONS(1313),
    [sym_octal_integer_literal] = ACTIONS(1313),
    [sym_binary_integer_literal] = ACTIONS(1313),
    [sym_decimal_floating_point_literal] = ACTIONS(1313),
    [sym_hex_floating_point_literal] = ACTIONS(1313),
    [sym_true] = ACTIONS(1313),
    [sym_false] = ACTIONS(1313),
    [sym_character_literal] = ACTIONS(1313),
    [anon_sym_DQUOTE] = ACTIONS(1313),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1313),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1313),
    [anon_sym_RBRACE] = ACTIONS(1313),
    [sym_null_literal] = ACTIONS(1313),
    [anon_sym_LPAREN] = ACTIONS(1313),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_GT_EQ] = ACTIONS(1313),
    [anon_sym_LT_EQ] = ACTIONS(1313),
    [anon_sym_EQ_EQ] = ACTIONS(1313),
    [anon_sym_BANG_EQ] = ACTIONS(1313),
    [anon_sym_AMP_AMP] = ACTIONS(1313),
    [anon_sym_PIPE_PIPE] = ACTIONS(1313),
    [anon_sym_PLUS] = ACTIONS(1313),
    [anon_sym_DASH] = ACTIONS(1313),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_PIPE] = ACTIONS(1313),
    [anon_sym_CARET] = ACTIONS(1313),
    [anon_sym_PERCENT] = ACTIONS(1313),
    [anon_sym_LT_LT] = ACTIONS(1313),
    [anon_sym_GT_GT] = ACTIONS(1313),
    [anon_sym_GT_GT_GT] = ACTIONS(1313),
    [anon_sym_in] = ACTIONS(1313),
    [anon_sym_STAR_STAR] = ACTIONS(1313),
    [anon_sym_instanceof] = ACTIONS(1313),
    [anon_sym_final] = ACTIONS(1313),
    [anon_sym_DASH_GT] = ACTIONS(1313),
    [anon_sym_QMARK] = ACTIONS(1313),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_TILDE] = ACTIONS(1313),
    [anon_sym_PLUS_PLUS] = ACTIONS(1313),
    [anon_sym_DASH_DASH] = ACTIONS(1313),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(1313),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_class] = ACTIONS(1313),
    [anon_sym_COLON_COLON] = ACTIONS(1313),
    [anon_sym_switch] = ACTIONS(1313),
    [anon_sym_LBRACE] = ACTIONS(1313),
    [anon_sym_case] = ACTIONS(1313),
    [anon_sym_default] = ACTIONS(1313),
    [sym_underscore_pattern] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(1313),
    [aux_sym_expression_statement_token1] = ACTIONS(1311),
    [anon_sym_NULL] = ACTIONS(1313),
    [anon_sym_assert] = ACTIONS(1313),
    [anon_sym_do] = ACTIONS(1313),
    [anon_sym_while] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1313),
    [anon_sym_continue] = ACTIONS(1313),
    [anon_sym_return] = ACTIONS(1313),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_synchronized] = ACTIONS(1313),
    [anon_sym_throw] = ACTIONS(1313),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_if] = ACTIONS(1313),
    [anon_sym_else] = ACTIONS(1313),
    [anon_sym_for] = ACTIONS(1313),
    [anon_sym_AT] = ACTIONS(1313),
    [anon_sym_open] = ACTIONS(1313),
    [anon_sym_module] = ACTIONS(1313),
    [anon_sym_static] = ACTIONS(1313),
    [anon_sym_with] = ACTIONS(1313),
    [anon_sym_package] = ACTIONS(1313),
    [anon_sym_import] = ACTIONS(1313),
    [anon_sym_enum] = ACTIONS(1313),
    [anon_sym_public] = ACTIONS(1313),
    [anon_sym_protected] = ACTIONS(1313),
    [anon_sym_private] = ACTIONS(1313),
    [anon_sym_abstract] = ACTIONS(1313),
    [anon_sym_strictfp] = ACTIONS(1313),
    [anon_sym_native] = ACTIONS(1313),
    [anon_sym_transient] = ACTIONS(1313),
    [anon_sym_volatile] = ACTIONS(1313),
    [anon_sym_sealed] = ACTIONS(1313),
    [anon_sym_non_DASHsealed] = ACTIONS(1313),
    [anon_sym_record] = ACTIONS(1313),
    [anon_sym_ATinterface] = ACTIONS(1313),
    [anon_sym_interface] = ACTIONS(1313),
    [anon_sym_byte] = ACTIONS(1313),
    [anon_sym_short] = ACTIONS(1313),
    [anon_sym_int] = ACTIONS(1313),
    [anon_sym_long] = ACTIONS(1313),
    [anon_sym_char] = ACTIONS(1313),
    [anon_sym_float] = ACTIONS(1313),
    [anon_sym_double] = ACTIONS(1313),
    [sym_boolean_type] = ACTIONS(1313),
    [sym_void_type] = ACTIONS(1313),
    [anon_sym_def] = ACTIONS(1313),
    [sym_this] = ACTIONS(1313),
    [sym_super] = ACTIONS(1313),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1313),
  },
  [293] = {
    [ts_builtin_sym_end] = ACTIONS(1315),
    [sym_identifier] = ACTIONS(1317),
    [sym_decimal_integer_literal] = ACTIONS(1317),
    [sym_hex_integer_literal] = ACTIONS(1317),
    [sym_octal_integer_literal] = ACTIONS(1317),
    [sym_binary_integer_literal] = ACTIONS(1317),
    [sym_decimal_floating_point_literal] = ACTIONS(1317),
    [sym_hex_floating_point_literal] = ACTIONS(1317),
    [sym_true] = ACTIONS(1317),
    [sym_false] = ACTIONS(1317),
    [sym_character_literal] = ACTIONS(1317),
    [anon_sym_DQUOTE] = ACTIONS(1317),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1317),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1317),
    [anon_sym_RBRACE] = ACTIONS(1317),
    [sym_null_literal] = ACTIONS(1317),
    [anon_sym_LPAREN] = ACTIONS(1317),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1317),
    [anon_sym_LT_EQ] = ACTIONS(1317),
    [anon_sym_EQ_EQ] = ACTIONS(1317),
    [anon_sym_BANG_EQ] = ACTIONS(1317),
    [anon_sym_AMP_AMP] = ACTIONS(1317),
    [anon_sym_PIPE_PIPE] = ACTIONS(1317),
    [anon_sym_PLUS] = ACTIONS(1317),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1317),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_CARET] = ACTIONS(1317),
    [anon_sym_PERCENT] = ACTIONS(1317),
    [anon_sym_LT_LT] = ACTIONS(1317),
    [anon_sym_GT_GT] = ACTIONS(1317),
    [anon_sym_GT_GT_GT] = ACTIONS(1317),
    [anon_sym_in] = ACTIONS(1317),
    [anon_sym_STAR_STAR] = ACTIONS(1317),
    [anon_sym_instanceof] = ACTIONS(1317),
    [anon_sym_final] = ACTIONS(1317),
    [anon_sym_DASH_GT] = ACTIONS(1317),
    [anon_sym_QMARK] = ACTIONS(1317),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_TILDE] = ACTIONS(1317),
    [anon_sym_PLUS_PLUS] = ACTIONS(1317),
    [anon_sym_DASH_DASH] = ACTIONS(1317),
    [anon_sym_new] = ACTIONS(1317),
    [anon_sym_LBRACK] = ACTIONS(1317),
    [anon_sym_DOT] = ACTIONS(1317),
    [anon_sym_class] = ACTIONS(1317),
    [anon_sym_COLON_COLON] = ACTIONS(1317),
    [anon_sym_switch] = ACTIONS(1317),
    [anon_sym_LBRACE] = ACTIONS(1317),
    [anon_sym_case] = ACTIONS(1317),
    [anon_sym_default] = ACTIONS(1317),
    [sym_underscore_pattern] = ACTIONS(1317),
    [anon_sym_SEMI] = ACTIONS(1317),
    [aux_sym_expression_statement_token1] = ACTIONS(1315),
    [anon_sym_NULL] = ACTIONS(1317),
    [anon_sym_assert] = ACTIONS(1317),
    [anon_sym_do] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1317),
    [anon_sym_break] = ACTIONS(1317),
    [anon_sym_continue] = ACTIONS(1317),
    [anon_sym_return] = ACTIONS(1317),
    [anon_sym_yield] = ACTIONS(1317),
    [anon_sym_synchronized] = ACTIONS(1317),
    [anon_sym_throw] = ACTIONS(1317),
    [anon_sym_try] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_else] = ACTIONS(1317),
    [anon_sym_for] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(1317),
    [anon_sym_open] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_with] = ACTIONS(1317),
    [anon_sym_package] = ACTIONS(1317),
    [anon_sym_import] = ACTIONS(1317),
    [anon_sym_enum] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_abstract] = ACTIONS(1317),
    [anon_sym_strictfp] = ACTIONS(1317),
    [anon_sym_native] = ACTIONS(1317),
    [anon_sym_transient] = ACTIONS(1317),
    [anon_sym_volatile] = ACTIONS(1317),
    [anon_sym_sealed] = ACTIONS(1317),
    [anon_sym_non_DASHsealed] = ACTIONS(1317),
    [anon_sym_record] = ACTIONS(1317),
    [anon_sym_ATinterface] = ACTIONS(1317),
    [anon_sym_interface] = ACTIONS(1317),
    [anon_sym_byte] = ACTIONS(1317),
    [anon_sym_short] = ACTIONS(1317),
    [anon_sym_int] = ACTIONS(1317),
    [anon_sym_long] = ACTIONS(1317),
    [anon_sym_char] = ACTIONS(1317),
    [anon_sym_float] = ACTIONS(1317),
    [anon_sym_double] = ACTIONS(1317),
    [sym_boolean_type] = ACTIONS(1317),
    [sym_void_type] = ACTIONS(1317),
    [anon_sym_def] = ACTIONS(1317),
    [sym_this] = ACTIONS(1317),
    [sym_super] = ACTIONS(1317),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1317),
  },
  [294] = {
    [ts_builtin_sym_end] = ACTIONS(1319),
    [sym_identifier] = ACTIONS(1321),
    [sym_decimal_integer_literal] = ACTIONS(1321),
    [sym_hex_integer_literal] = ACTIONS(1321),
    [sym_octal_integer_literal] = ACTIONS(1321),
    [sym_binary_integer_literal] = ACTIONS(1321),
    [sym_decimal_floating_point_literal] = ACTIONS(1321),
    [sym_hex_floating_point_literal] = ACTIONS(1321),
    [sym_true] = ACTIONS(1321),
    [sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1321),
    [anon_sym_DQUOTE] = ACTIONS(1321),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1321),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1321),
    [anon_sym_RBRACE] = ACTIONS(1321),
    [sym_null_literal] = ACTIONS(1321),
    [anon_sym_LPAREN] = ACTIONS(1321),
    [anon_sym_AMP] = ACTIONS(1321),
    [anon_sym_GT] = ACTIONS(1321),
    [anon_sym_LT] = ACTIONS(1321),
    [anon_sym_GT_EQ] = ACTIONS(1321),
    [anon_sym_LT_EQ] = ACTIONS(1321),
    [anon_sym_EQ_EQ] = ACTIONS(1321),
    [anon_sym_BANG_EQ] = ACTIONS(1321),
    [anon_sym_AMP_AMP] = ACTIONS(1321),
    [anon_sym_PIPE_PIPE] = ACTIONS(1321),
    [anon_sym_PLUS] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1321),
    [anon_sym_STAR] = ACTIONS(1321),
    [anon_sym_SLASH] = ACTIONS(1321),
    [anon_sym_PIPE] = ACTIONS(1321),
    [anon_sym_CARET] = ACTIONS(1321),
    [anon_sym_PERCENT] = ACTIONS(1321),
    [anon_sym_LT_LT] = ACTIONS(1321),
    [anon_sym_GT_GT] = ACTIONS(1321),
    [anon_sym_GT_GT_GT] = ACTIONS(1321),
    [anon_sym_in] = ACTIONS(1321),
    [anon_sym_STAR_STAR] = ACTIONS(1321),
    [anon_sym_instanceof] = ACTIONS(1321),
    [anon_sym_final] = ACTIONS(1321),
    [anon_sym_DASH_GT] = ACTIONS(1321),
    [anon_sym_QMARK] = ACTIONS(1321),
    [anon_sym_BANG] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1321),
    [anon_sym_PLUS_PLUS] = ACTIONS(1321),
    [anon_sym_DASH_DASH] = ACTIONS(1321),
    [anon_sym_new] = ACTIONS(1321),
    [anon_sym_LBRACK] = ACTIONS(1321),
    [anon_sym_DOT] = ACTIONS(1321),
    [anon_sym_class] = ACTIONS(1321),
    [anon_sym_COLON_COLON] = ACTIONS(1321),
    [anon_sym_switch] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(1321),
    [anon_sym_case] = ACTIONS(1321),
    [anon_sym_default] = ACTIONS(1321),
    [sym_underscore_pattern] = ACTIONS(1321),
    [anon_sym_SEMI] = ACTIONS(1321),
    [aux_sym_expression_statement_token1] = ACTIONS(1319),
    [anon_sym_NULL] = ACTIONS(1321),
    [anon_sym_assert] = ACTIONS(1321),
    [anon_sym_do] = ACTIONS(1321),
    [anon_sym_while] = ACTIONS(1321),
    [anon_sym_break] = ACTIONS(1321),
    [anon_sym_continue] = ACTIONS(1321),
    [anon_sym_return] = ACTIONS(1321),
    [anon_sym_yield] = ACTIONS(1321),
    [anon_sym_synchronized] = ACTIONS(1321),
    [anon_sym_throw] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1321),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_else] = ACTIONS(1321),
    [anon_sym_for] = ACTIONS(1321),
    [anon_sym_AT] = ACTIONS(1321),
    [anon_sym_open] = ACTIONS(1321),
    [anon_sym_module] = ACTIONS(1321),
    [anon_sym_static] = ACTIONS(1321),
    [anon_sym_with] = ACTIONS(1321),
    [anon_sym_package] = ACTIONS(1321),
    [anon_sym_import] = ACTIONS(1321),
    [anon_sym_enum] = ACTIONS(1321),
    [anon_sym_public] = ACTIONS(1321),
    [anon_sym_protected] = ACTIONS(1321),
    [anon_sym_private] = ACTIONS(1321),
    [anon_sym_abstract] = ACTIONS(1321),
    [anon_sym_strictfp] = ACTIONS(1321),
    [anon_sym_native] = ACTIONS(1321),
    [anon_sym_transient] = ACTIONS(1321),
    [anon_sym_volatile] = ACTIONS(1321),
    [anon_sym_sealed] = ACTIONS(1321),
    [anon_sym_non_DASHsealed] = ACTIONS(1321),
    [anon_sym_record] = ACTIONS(1321),
    [anon_sym_ATinterface] = ACTIONS(1321),
    [anon_sym_interface] = ACTIONS(1321),
    [anon_sym_byte] = ACTIONS(1321),
    [anon_sym_short] = ACTIONS(1321),
    [anon_sym_int] = ACTIONS(1321),
    [anon_sym_long] = ACTIONS(1321),
    [anon_sym_char] = ACTIONS(1321),
    [anon_sym_float] = ACTIONS(1321),
    [anon_sym_double] = ACTIONS(1321),
    [sym_boolean_type] = ACTIONS(1321),
    [sym_void_type] = ACTIONS(1321),
    [anon_sym_def] = ACTIONS(1321),
    [sym_this] = ACTIONS(1321),
    [sym_super] = ACTIONS(1321),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1321),
  },
  [295] = {
    [ts_builtin_sym_end] = ACTIONS(1323),
    [sym_identifier] = ACTIONS(1325),
    [sym_decimal_integer_literal] = ACTIONS(1325),
    [sym_hex_integer_literal] = ACTIONS(1325),
    [sym_octal_integer_literal] = ACTIONS(1325),
    [sym_binary_integer_literal] = ACTIONS(1325),
    [sym_decimal_floating_point_literal] = ACTIONS(1325),
    [sym_hex_floating_point_literal] = ACTIONS(1325),
    [sym_true] = ACTIONS(1325),
    [sym_false] = ACTIONS(1325),
    [sym_character_literal] = ACTIONS(1325),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1325),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1325),
    [anon_sym_RBRACE] = ACTIONS(1325),
    [sym_null_literal] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(1325),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_GT] = ACTIONS(1325),
    [anon_sym_LT] = ACTIONS(1325),
    [anon_sym_GT_EQ] = ACTIONS(1325),
    [anon_sym_LT_EQ] = ACTIONS(1325),
    [anon_sym_EQ_EQ] = ACTIONS(1325),
    [anon_sym_BANG_EQ] = ACTIONS(1325),
    [anon_sym_AMP_AMP] = ACTIONS(1325),
    [anon_sym_PIPE_PIPE] = ACTIONS(1325),
    [anon_sym_PLUS] = ACTIONS(1325),
    [anon_sym_DASH] = ACTIONS(1325),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_SLASH] = ACTIONS(1325),
    [anon_sym_PIPE] = ACTIONS(1325),
    [anon_sym_CARET] = ACTIONS(1325),
    [anon_sym_PERCENT] = ACTIONS(1325),
    [anon_sym_LT_LT] = ACTIONS(1325),
    [anon_sym_GT_GT] = ACTIONS(1325),
    [anon_sym_GT_GT_GT] = ACTIONS(1325),
    [anon_sym_in] = ACTIONS(1325),
    [anon_sym_STAR_STAR] = ACTIONS(1325),
    [anon_sym_instanceof] = ACTIONS(1325),
    [anon_sym_final] = ACTIONS(1325),
    [anon_sym_DASH_GT] = ACTIONS(1325),
    [anon_sym_QMARK] = ACTIONS(1325),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1325),
    [anon_sym_PLUS_PLUS] = ACTIONS(1325),
    [anon_sym_DASH_DASH] = ACTIONS(1325),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1325),
    [anon_sym_DOT] = ACTIONS(1325),
    [anon_sym_class] = ACTIONS(1325),
    [anon_sym_COLON_COLON] = ACTIONS(1325),
    [anon_sym_switch] = ACTIONS(1325),
    [anon_sym_LBRACE] = ACTIONS(1325),
    [anon_sym_case] = ACTIONS(1325),
    [anon_sym_default] = ACTIONS(1325),
    [sym_underscore_pattern] = ACTIONS(1325),
    [anon_sym_SEMI] = ACTIONS(1325),
    [aux_sym_expression_statement_token1] = ACTIONS(1323),
    [anon_sym_NULL] = ACTIONS(1325),
    [anon_sym_assert] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(1325),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_break] = ACTIONS(1325),
    [anon_sym_continue] = ACTIONS(1325),
    [anon_sym_return] = ACTIONS(1325),
    [anon_sym_yield] = ACTIONS(1325),
    [anon_sym_synchronized] = ACTIONS(1325),
    [anon_sym_throw] = ACTIONS(1325),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_if] = ACTIONS(1325),
    [anon_sym_else] = ACTIONS(1325),
    [anon_sym_for] = ACTIONS(1325),
    [anon_sym_AT] = ACTIONS(1325),
    [anon_sym_open] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_with] = ACTIONS(1325),
    [anon_sym_package] = ACTIONS(1325),
    [anon_sym_import] = ACTIONS(1325),
    [anon_sym_enum] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_abstract] = ACTIONS(1325),
    [anon_sym_strictfp] = ACTIONS(1325),
    [anon_sym_native] = ACTIONS(1325),
    [anon_sym_transient] = ACTIONS(1325),
    [anon_sym_volatile] = ACTIONS(1325),
    [anon_sym_sealed] = ACTIONS(1325),
    [anon_sym_non_DASHsealed] = ACTIONS(1325),
    [anon_sym_record] = ACTIONS(1325),
    [anon_sym_ATinterface] = ACTIONS(1325),
    [anon_sym_interface] = ACTIONS(1325),
    [anon_sym_byte] = ACTIONS(1325),
    [anon_sym_short] = ACTIONS(1325),
    [anon_sym_int] = ACTIONS(1325),
    [anon_sym_long] = ACTIONS(1325),
    [anon_sym_char] = ACTIONS(1325),
    [anon_sym_float] = ACTIONS(1325),
    [anon_sym_double] = ACTIONS(1325),
    [sym_boolean_type] = ACTIONS(1325),
    [sym_void_type] = ACTIONS(1325),
    [anon_sym_def] = ACTIONS(1325),
    [sym_this] = ACTIONS(1325),
    [sym_super] = ACTIONS(1325),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1325),
  },
  [296] = {
    [ts_builtin_sym_end] = ACTIONS(1327),
    [sym_identifier] = ACTIONS(1329),
    [sym_decimal_integer_literal] = ACTIONS(1329),
    [sym_hex_integer_literal] = ACTIONS(1329),
    [sym_octal_integer_literal] = ACTIONS(1329),
    [sym_binary_integer_literal] = ACTIONS(1329),
    [sym_decimal_floating_point_literal] = ACTIONS(1329),
    [sym_hex_floating_point_literal] = ACTIONS(1329),
    [sym_true] = ACTIONS(1329),
    [sym_false] = ACTIONS(1329),
    [sym_character_literal] = ACTIONS(1329),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1329),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1329),
    [anon_sym_RBRACE] = ACTIONS(1329),
    [sym_null_literal] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(1329),
    [anon_sym_AMP] = ACTIONS(1329),
    [anon_sym_GT] = ACTIONS(1329),
    [anon_sym_LT] = ACTIONS(1329),
    [anon_sym_GT_EQ] = ACTIONS(1329),
    [anon_sym_LT_EQ] = ACTIONS(1329),
    [anon_sym_EQ_EQ] = ACTIONS(1329),
    [anon_sym_BANG_EQ] = ACTIONS(1329),
    [anon_sym_AMP_AMP] = ACTIONS(1329),
    [anon_sym_PIPE_PIPE] = ACTIONS(1329),
    [anon_sym_PLUS] = ACTIONS(1329),
    [anon_sym_DASH] = ACTIONS(1329),
    [anon_sym_STAR] = ACTIONS(1329),
    [anon_sym_SLASH] = ACTIONS(1329),
    [anon_sym_PIPE] = ACTIONS(1329),
    [anon_sym_CARET] = ACTIONS(1329),
    [anon_sym_PERCENT] = ACTIONS(1329),
    [anon_sym_LT_LT] = ACTIONS(1329),
    [anon_sym_GT_GT] = ACTIONS(1329),
    [anon_sym_GT_GT_GT] = ACTIONS(1329),
    [anon_sym_in] = ACTIONS(1329),
    [anon_sym_STAR_STAR] = ACTIONS(1329),
    [anon_sym_instanceof] = ACTIONS(1329),
    [anon_sym_final] = ACTIONS(1329),
    [anon_sym_DASH_GT] = ACTIONS(1329),
    [anon_sym_QMARK] = ACTIONS(1329),
    [anon_sym_BANG] = ACTIONS(1329),
    [anon_sym_TILDE] = ACTIONS(1329),
    [anon_sym_PLUS_PLUS] = ACTIONS(1329),
    [anon_sym_DASH_DASH] = ACTIONS(1329),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(1329),
    [anon_sym_DOT] = ACTIONS(1329),
    [anon_sym_class] = ACTIONS(1329),
    [anon_sym_COLON_COLON] = ACTIONS(1329),
    [anon_sym_switch] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1329),
    [anon_sym_case] = ACTIONS(1329),
    [anon_sym_default] = ACTIONS(1329),
    [sym_underscore_pattern] = ACTIONS(1329),
    [anon_sym_SEMI] = ACTIONS(1329),
    [aux_sym_expression_statement_token1] = ACTIONS(1327),
    [anon_sym_NULL] = ACTIONS(1329),
    [anon_sym_assert] = ACTIONS(1329),
    [anon_sym_do] = ACTIONS(1329),
    [anon_sym_while] = ACTIONS(1329),
    [anon_sym_break] = ACTIONS(1329),
    [anon_sym_continue] = ACTIONS(1329),
    [anon_sym_return] = ACTIONS(1329),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_synchronized] = ACTIONS(1329),
    [anon_sym_throw] = ACTIONS(1329),
    [anon_sym_try] = ACTIONS(1329),
    [anon_sym_if] = ACTIONS(1329),
    [anon_sym_else] = ACTIONS(1329),
    [anon_sym_for] = ACTIONS(1329),
    [anon_sym_AT] = ACTIONS(1329),
    [anon_sym_open] = ACTIONS(1329),
    [anon_sym_module] = ACTIONS(1329),
    [anon_sym_static] = ACTIONS(1329),
    [anon_sym_with] = ACTIONS(1329),
    [anon_sym_package] = ACTIONS(1329),
    [anon_sym_import] = ACTIONS(1329),
    [anon_sym_enum] = ACTIONS(1329),
    [anon_sym_public] = ACTIONS(1329),
    [anon_sym_protected] = ACTIONS(1329),
    [anon_sym_private] = ACTIONS(1329),
    [anon_sym_abstract] = ACTIONS(1329),
    [anon_sym_strictfp] = ACTIONS(1329),
    [anon_sym_native] = ACTIONS(1329),
    [anon_sym_transient] = ACTIONS(1329),
    [anon_sym_volatile] = ACTIONS(1329),
    [anon_sym_sealed] = ACTIONS(1329),
    [anon_sym_non_DASHsealed] = ACTIONS(1329),
    [anon_sym_record] = ACTIONS(1329),
    [anon_sym_ATinterface] = ACTIONS(1329),
    [anon_sym_interface] = ACTIONS(1329),
    [anon_sym_byte] = ACTIONS(1329),
    [anon_sym_short] = ACTIONS(1329),
    [anon_sym_int] = ACTIONS(1329),
    [anon_sym_long] = ACTIONS(1329),
    [anon_sym_char] = ACTIONS(1329),
    [anon_sym_float] = ACTIONS(1329),
    [anon_sym_double] = ACTIONS(1329),
    [sym_boolean_type] = ACTIONS(1329),
    [sym_void_type] = ACTIONS(1329),
    [anon_sym_def] = ACTIONS(1329),
    [sym_this] = ACTIONS(1329),
    [sym_super] = ACTIONS(1329),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1329),
  },
  [297] = {
    [ts_builtin_sym_end] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1333),
    [sym_decimal_integer_literal] = ACTIONS(1333),
    [sym_hex_integer_literal] = ACTIONS(1333),
    [sym_octal_integer_literal] = ACTIONS(1333),
    [sym_binary_integer_literal] = ACTIONS(1333),
    [sym_decimal_floating_point_literal] = ACTIONS(1333),
    [sym_hex_floating_point_literal] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_character_literal] = ACTIONS(1333),
    [anon_sym_DQUOTE] = ACTIONS(1333),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1333),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1333),
    [anon_sym_RBRACE] = ACTIONS(1333),
    [sym_null_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1333),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1333),
    [anon_sym_LT_EQ] = ACTIONS(1333),
    [anon_sym_EQ_EQ] = ACTIONS(1333),
    [anon_sym_BANG_EQ] = ACTIONS(1333),
    [anon_sym_AMP_AMP] = ACTIONS(1333),
    [anon_sym_PIPE_PIPE] = ACTIONS(1333),
    [anon_sym_PLUS] = ACTIONS(1333),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1333),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1333),
    [anon_sym_PERCENT] = ACTIONS(1333),
    [anon_sym_LT_LT] = ACTIONS(1333),
    [anon_sym_GT_GT] = ACTIONS(1333),
    [anon_sym_GT_GT_GT] = ACTIONS(1333),
    [anon_sym_in] = ACTIONS(1333),
    [anon_sym_STAR_STAR] = ACTIONS(1333),
    [anon_sym_instanceof] = ACTIONS(1333),
    [anon_sym_final] = ACTIONS(1333),
    [anon_sym_DASH_GT] = ACTIONS(1333),
    [anon_sym_QMARK] = ACTIONS(1333),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_TILDE] = ACTIONS(1333),
    [anon_sym_PLUS_PLUS] = ACTIONS(1333),
    [anon_sym_DASH_DASH] = ACTIONS(1333),
    [anon_sym_new] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(1333),
    [anon_sym_DOT] = ACTIONS(1333),
    [anon_sym_class] = ACTIONS(1333),
    [anon_sym_COLON_COLON] = ACTIONS(1333),
    [anon_sym_switch] = ACTIONS(1333),
    [anon_sym_LBRACE] = ACTIONS(1333),
    [anon_sym_case] = ACTIONS(1333),
    [anon_sym_default] = ACTIONS(1333),
    [sym_underscore_pattern] = ACTIONS(1333),
    [anon_sym_SEMI] = ACTIONS(1333),
    [aux_sym_expression_statement_token1] = ACTIONS(1331),
    [anon_sym_NULL] = ACTIONS(1333),
    [anon_sym_assert] = ACTIONS(1333),
    [anon_sym_do] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_break] = ACTIONS(1333),
    [anon_sym_continue] = ACTIONS(1333),
    [anon_sym_return] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1333),
    [anon_sym_synchronized] = ACTIONS(1333),
    [anon_sym_throw] = ACTIONS(1333),
    [anon_sym_try] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_else] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_AT] = ACTIONS(1333),
    [anon_sym_open] = ACTIONS(1333),
    [anon_sym_module] = ACTIONS(1333),
    [anon_sym_static] = ACTIONS(1333),
    [anon_sym_with] = ACTIONS(1333),
    [anon_sym_package] = ACTIONS(1333),
    [anon_sym_import] = ACTIONS(1333),
    [anon_sym_enum] = ACTIONS(1333),
    [anon_sym_public] = ACTIONS(1333),
    [anon_sym_protected] = ACTIONS(1333),
    [anon_sym_private] = ACTIONS(1333),
    [anon_sym_abstract] = ACTIONS(1333),
    [anon_sym_strictfp] = ACTIONS(1333),
    [anon_sym_native] = ACTIONS(1333),
    [anon_sym_transient] = ACTIONS(1333),
    [anon_sym_volatile] = ACTIONS(1333),
    [anon_sym_sealed] = ACTIONS(1333),
    [anon_sym_non_DASHsealed] = ACTIONS(1333),
    [anon_sym_record] = ACTIONS(1333),
    [anon_sym_ATinterface] = ACTIONS(1333),
    [anon_sym_interface] = ACTIONS(1333),
    [anon_sym_byte] = ACTIONS(1333),
    [anon_sym_short] = ACTIONS(1333),
    [anon_sym_int] = ACTIONS(1333),
    [anon_sym_long] = ACTIONS(1333),
    [anon_sym_char] = ACTIONS(1333),
    [anon_sym_float] = ACTIONS(1333),
    [anon_sym_double] = ACTIONS(1333),
    [sym_boolean_type] = ACTIONS(1333),
    [sym_void_type] = ACTIONS(1333),
    [anon_sym_def] = ACTIONS(1333),
    [sym_this] = ACTIONS(1333),
    [sym_super] = ACTIONS(1333),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1333),
  },
  [298] = {
    [ts_builtin_sym_end] = ACTIONS(1335),
    [sym_identifier] = ACTIONS(1337),
    [sym_decimal_integer_literal] = ACTIONS(1337),
    [sym_hex_integer_literal] = ACTIONS(1337),
    [sym_octal_integer_literal] = ACTIONS(1337),
    [sym_binary_integer_literal] = ACTIONS(1337),
    [sym_decimal_floating_point_literal] = ACTIONS(1337),
    [sym_hex_floating_point_literal] = ACTIONS(1337),
    [sym_true] = ACTIONS(1337),
    [sym_false] = ACTIONS(1337),
    [sym_character_literal] = ACTIONS(1337),
    [anon_sym_DQUOTE] = ACTIONS(1337),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1337),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1337),
    [anon_sym_RBRACE] = ACTIONS(1337),
    [sym_null_literal] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1337),
    [anon_sym_GT] = ACTIONS(1337),
    [anon_sym_LT] = ACTIONS(1337),
    [anon_sym_GT_EQ] = ACTIONS(1337),
    [anon_sym_LT_EQ] = ACTIONS(1337),
    [anon_sym_EQ_EQ] = ACTIONS(1337),
    [anon_sym_BANG_EQ] = ACTIONS(1337),
    [anon_sym_AMP_AMP] = ACTIONS(1337),
    [anon_sym_PIPE_PIPE] = ACTIONS(1337),
    [anon_sym_PLUS] = ACTIONS(1337),
    [anon_sym_DASH] = ACTIONS(1337),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_SLASH] = ACTIONS(1337),
    [anon_sym_PIPE] = ACTIONS(1337),
    [anon_sym_CARET] = ACTIONS(1337),
    [anon_sym_PERCENT] = ACTIONS(1337),
    [anon_sym_LT_LT] = ACTIONS(1337),
    [anon_sym_GT_GT] = ACTIONS(1337),
    [anon_sym_GT_GT_GT] = ACTIONS(1337),
    [anon_sym_in] = ACTIONS(1337),
    [anon_sym_STAR_STAR] = ACTIONS(1337),
    [anon_sym_instanceof] = ACTIONS(1337),
    [anon_sym_final] = ACTIONS(1337),
    [anon_sym_DASH_GT] = ACTIONS(1337),
    [anon_sym_QMARK] = ACTIONS(1337),
    [anon_sym_BANG] = ACTIONS(1337),
    [anon_sym_TILDE] = ACTIONS(1337),
    [anon_sym_PLUS_PLUS] = ACTIONS(1337),
    [anon_sym_DASH_DASH] = ACTIONS(1337),
    [anon_sym_new] = ACTIONS(1337),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_DOT] = ACTIONS(1339),
    [anon_sym_class] = ACTIONS(1337),
    [anon_sym_COLON_COLON] = ACTIONS(1209),
    [anon_sym_switch] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(1337),
    [anon_sym_case] = ACTIONS(1337),
    [anon_sym_default] = ACTIONS(1337),
    [sym_underscore_pattern] = ACTIONS(1337),
    [anon_sym_SEMI] = ACTIONS(1337),
    [aux_sym_expression_statement_token1] = ACTIONS(1335),
    [anon_sym_NULL] = ACTIONS(1337),
    [anon_sym_assert] = ACTIONS(1337),
    [anon_sym_do] = ACTIONS(1337),
    [anon_sym_while] = ACTIONS(1337),
    [anon_sym_break] = ACTIONS(1337),
    [anon_sym_continue] = ACTIONS(1337),
    [anon_sym_return] = ACTIONS(1337),
    [anon_sym_yield] = ACTIONS(1337),
    [anon_sym_synchronized] = ACTIONS(1337),
    [anon_sym_throw] = ACTIONS(1337),
    [anon_sym_try] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1337),
    [anon_sym_else] = ACTIONS(1337),
    [anon_sym_for] = ACTIONS(1337),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_module] = ACTIONS(1337),
    [anon_sym_static] = ACTIONS(1337),
    [anon_sym_with] = ACTIONS(1337),
    [anon_sym_package] = ACTIONS(1337),
    [anon_sym_import] = ACTIONS(1337),
    [anon_sym_enum] = ACTIONS(1337),
    [anon_sym_public] = ACTIONS(1337),
    [anon_sym_protected] = ACTIONS(1337),
    [anon_sym_private] = ACTIONS(1337),
    [anon_sym_abstract] = ACTIONS(1337),
    [anon_sym_strictfp] = ACTIONS(1337),
    [anon_sym_native] = ACTIONS(1337),
    [anon_sym_transient] = ACTIONS(1337),
    [anon_sym_volatile] = ACTIONS(1337),
    [anon_sym_sealed] = ACTIONS(1337),
    [anon_sym_non_DASHsealed] = ACTIONS(1337),
    [anon_sym_record] = ACTIONS(1337),
    [anon_sym_ATinterface] = ACTIONS(1337),
    [anon_sym_interface] = ACTIONS(1337),
    [anon_sym_byte] = ACTIONS(1337),
    [anon_sym_short] = ACTIONS(1337),
    [anon_sym_int] = ACTIONS(1337),
    [anon_sym_long] = ACTIONS(1337),
    [anon_sym_char] = ACTIONS(1337),
    [anon_sym_float] = ACTIONS(1337),
    [anon_sym_double] = ACTIONS(1337),
    [sym_boolean_type] = ACTIONS(1337),
    [sym_void_type] = ACTIONS(1337),
    [anon_sym_def] = ACTIONS(1337),
    [sym_this] = ACTIONS(1337),
    [sym_super] = ACTIONS(1337),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1337),
  },
  [299] = {
    [ts_builtin_sym_end] = ACTIONS(1341),
    [sym_identifier] = ACTIONS(1343),
    [sym_decimal_integer_literal] = ACTIONS(1343),
    [sym_hex_integer_literal] = ACTIONS(1343),
    [sym_octal_integer_literal] = ACTIONS(1343),
    [sym_binary_integer_literal] = ACTIONS(1343),
    [sym_decimal_floating_point_literal] = ACTIONS(1343),
    [sym_hex_floating_point_literal] = ACTIONS(1343),
    [sym_true] = ACTIONS(1343),
    [sym_false] = ACTIONS(1343),
    [sym_character_literal] = ACTIONS(1343),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1343),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1343),
    [anon_sym_RBRACE] = ACTIONS(1343),
    [sym_null_literal] = ACTIONS(1343),
    [anon_sym_LPAREN] = ACTIONS(1343),
    [anon_sym_AMP] = ACTIONS(1343),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1343),
    [anon_sym_GT_EQ] = ACTIONS(1343),
    [anon_sym_LT_EQ] = ACTIONS(1343),
    [anon_sym_EQ_EQ] = ACTIONS(1343),
    [anon_sym_BANG_EQ] = ACTIONS(1343),
    [anon_sym_AMP_AMP] = ACTIONS(1343),
    [anon_sym_PIPE_PIPE] = ACTIONS(1343),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_SLASH] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1343),
    [anon_sym_CARET] = ACTIONS(1343),
    [anon_sym_PERCENT] = ACTIONS(1343),
    [anon_sym_LT_LT] = ACTIONS(1343),
    [anon_sym_GT_GT] = ACTIONS(1343),
    [anon_sym_GT_GT_GT] = ACTIONS(1343),
    [anon_sym_in] = ACTIONS(1343),
    [anon_sym_STAR_STAR] = ACTIONS(1343),
    [anon_sym_instanceof] = ACTIONS(1343),
    [anon_sym_final] = ACTIONS(1343),
    [anon_sym_DASH_GT] = ACTIONS(1343),
    [anon_sym_QMARK] = ACTIONS(1343),
    [anon_sym_BANG] = ACTIONS(1343),
    [anon_sym_TILDE] = ACTIONS(1343),
    [anon_sym_PLUS_PLUS] = ACTIONS(1343),
    [anon_sym_DASH_DASH] = ACTIONS(1343),
    [anon_sym_new] = ACTIONS(1343),
    [anon_sym_LBRACK] = ACTIONS(1343),
    [anon_sym_DOT] = ACTIONS(1343),
    [anon_sym_class] = ACTIONS(1343),
    [anon_sym_COLON_COLON] = ACTIONS(1343),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1343),
    [anon_sym_case] = ACTIONS(1343),
    [anon_sym_default] = ACTIONS(1343),
    [sym_underscore_pattern] = ACTIONS(1343),
    [anon_sym_SEMI] = ACTIONS(1343),
    [aux_sym_expression_statement_token1] = ACTIONS(1341),
    [anon_sym_NULL] = ACTIONS(1343),
    [anon_sym_assert] = ACTIONS(1343),
    [anon_sym_do] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1343),
    [anon_sym_break] = ACTIONS(1343),
    [anon_sym_continue] = ACTIONS(1343),
    [anon_sym_return] = ACTIONS(1343),
    [anon_sym_yield] = ACTIONS(1343),
    [anon_sym_synchronized] = ACTIONS(1343),
    [anon_sym_throw] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1343),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_else] = ACTIONS(1343),
    [anon_sym_for] = ACTIONS(1343),
    [anon_sym_AT] = ACTIONS(1343),
    [anon_sym_open] = ACTIONS(1343),
    [anon_sym_module] = ACTIONS(1343),
    [anon_sym_static] = ACTIONS(1343),
    [anon_sym_with] = ACTIONS(1343),
    [anon_sym_package] = ACTIONS(1343),
    [anon_sym_import] = ACTIONS(1343),
    [anon_sym_enum] = ACTIONS(1343),
    [anon_sym_public] = ACTIONS(1343),
    [anon_sym_protected] = ACTIONS(1343),
    [anon_sym_private] = ACTIONS(1343),
    [anon_sym_abstract] = ACTIONS(1343),
    [anon_sym_strictfp] = ACTIONS(1343),
    [anon_sym_native] = ACTIONS(1343),
    [anon_sym_transient] = ACTIONS(1343),
    [anon_sym_volatile] = ACTIONS(1343),
    [anon_sym_sealed] = ACTIONS(1343),
    [anon_sym_non_DASHsealed] = ACTIONS(1343),
    [anon_sym_record] = ACTIONS(1343),
    [anon_sym_ATinterface] = ACTIONS(1343),
    [anon_sym_interface] = ACTIONS(1343),
    [anon_sym_byte] = ACTIONS(1343),
    [anon_sym_short] = ACTIONS(1343),
    [anon_sym_int] = ACTIONS(1343),
    [anon_sym_long] = ACTIONS(1343),
    [anon_sym_char] = ACTIONS(1343),
    [anon_sym_float] = ACTIONS(1343),
    [anon_sym_double] = ACTIONS(1343),
    [sym_boolean_type] = ACTIONS(1343),
    [sym_void_type] = ACTIONS(1343),
    [anon_sym_def] = ACTIONS(1343),
    [sym_this] = ACTIONS(1343),
    [sym_super] = ACTIONS(1343),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1343),
  },
  [300] = {
    [ts_builtin_sym_end] = ACTIONS(1345),
    [sym_identifier] = ACTIONS(1347),
    [sym_decimal_integer_literal] = ACTIONS(1347),
    [sym_hex_integer_literal] = ACTIONS(1347),
    [sym_octal_integer_literal] = ACTIONS(1347),
    [sym_binary_integer_literal] = ACTIONS(1347),
    [sym_decimal_floating_point_literal] = ACTIONS(1347),
    [sym_hex_floating_point_literal] = ACTIONS(1347),
    [sym_true] = ACTIONS(1347),
    [sym_false] = ACTIONS(1347),
    [sym_character_literal] = ACTIONS(1347),
    [anon_sym_DQUOTE] = ACTIONS(1347),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1347),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1347),
    [anon_sym_RBRACE] = ACTIONS(1347),
    [sym_null_literal] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1347),
    [anon_sym_AMP] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1347),
    [anon_sym_GT_EQ] = ACTIONS(1347),
    [anon_sym_LT_EQ] = ACTIONS(1347),
    [anon_sym_EQ_EQ] = ACTIONS(1347),
    [anon_sym_BANG_EQ] = ACTIONS(1347),
    [anon_sym_AMP_AMP] = ACTIONS(1347),
    [anon_sym_PIPE_PIPE] = ACTIONS(1347),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_CARET] = ACTIONS(1347),
    [anon_sym_PERCENT] = ACTIONS(1347),
    [anon_sym_LT_LT] = ACTIONS(1347),
    [anon_sym_GT_GT] = ACTIONS(1347),
    [anon_sym_GT_GT_GT] = ACTIONS(1347),
    [anon_sym_in] = ACTIONS(1347),
    [anon_sym_STAR_STAR] = ACTIONS(1347),
    [anon_sym_instanceof] = ACTIONS(1347),
    [anon_sym_final] = ACTIONS(1347),
    [anon_sym_DASH_GT] = ACTIONS(1347),
    [anon_sym_QMARK] = ACTIONS(1347),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1347),
    [anon_sym_PLUS_PLUS] = ACTIONS(1347),
    [anon_sym_DASH_DASH] = ACTIONS(1347),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1347),
    [anon_sym_DOT] = ACTIONS(1347),
    [anon_sym_class] = ACTIONS(1347),
    [anon_sym_COLON_COLON] = ACTIONS(1347),
    [anon_sym_switch] = ACTIONS(1347),
    [anon_sym_LBRACE] = ACTIONS(1347),
    [anon_sym_case] = ACTIONS(1347),
    [anon_sym_default] = ACTIONS(1347),
    [sym_underscore_pattern] = ACTIONS(1347),
    [anon_sym_SEMI] = ACTIONS(1347),
    [aux_sym_expression_statement_token1] = ACTIONS(1345),
    [anon_sym_NULL] = ACTIONS(1347),
    [anon_sym_assert] = ACTIONS(1347),
    [anon_sym_do] = ACTIONS(1347),
    [anon_sym_while] = ACTIONS(1347),
    [anon_sym_break] = ACTIONS(1347),
    [anon_sym_continue] = ACTIONS(1347),
    [anon_sym_return] = ACTIONS(1347),
    [anon_sym_yield] = ACTIONS(1347),
    [anon_sym_synchronized] = ACTIONS(1347),
    [anon_sym_throw] = ACTIONS(1347),
    [anon_sym_try] = ACTIONS(1347),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_else] = ACTIONS(1347),
    [anon_sym_for] = ACTIONS(1347),
    [anon_sym_AT] = ACTIONS(1347),
    [anon_sym_open] = ACTIONS(1347),
    [anon_sym_module] = ACTIONS(1347),
    [anon_sym_static] = ACTIONS(1347),
    [anon_sym_with] = ACTIONS(1347),
    [anon_sym_package] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(1347),
    [anon_sym_enum] = ACTIONS(1347),
    [anon_sym_public] = ACTIONS(1347),
    [anon_sym_protected] = ACTIONS(1347),
    [anon_sym_private] = ACTIONS(1347),
    [anon_sym_abstract] = ACTIONS(1347),
    [anon_sym_strictfp] = ACTIONS(1347),
    [anon_sym_native] = ACTIONS(1347),
    [anon_sym_transient] = ACTIONS(1347),
    [anon_sym_volatile] = ACTIONS(1347),
    [anon_sym_sealed] = ACTIONS(1347),
    [anon_sym_non_DASHsealed] = ACTIONS(1347),
    [anon_sym_record] = ACTIONS(1347),
    [anon_sym_ATinterface] = ACTIONS(1347),
    [anon_sym_interface] = ACTIONS(1347),
    [anon_sym_byte] = ACTIONS(1347),
    [anon_sym_short] = ACTIONS(1347),
    [anon_sym_int] = ACTIONS(1347),
    [anon_sym_long] = ACTIONS(1347),
    [anon_sym_char] = ACTIONS(1347),
    [anon_sym_float] = ACTIONS(1347),
    [anon_sym_double] = ACTIONS(1347),
    [sym_boolean_type] = ACTIONS(1347),
    [sym_void_type] = ACTIONS(1347),
    [anon_sym_def] = ACTIONS(1347),
    [sym_this] = ACTIONS(1347),
    [sym_super] = ACTIONS(1347),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1347),
  },
  [301] = {
    [ts_builtin_sym_end] = ACTIONS(1349),
    [sym_identifier] = ACTIONS(1351),
    [sym_decimal_integer_literal] = ACTIONS(1351),
    [sym_hex_integer_literal] = ACTIONS(1351),
    [sym_octal_integer_literal] = ACTIONS(1351),
    [sym_binary_integer_literal] = ACTIONS(1351),
    [sym_decimal_floating_point_literal] = ACTIONS(1351),
    [sym_hex_floating_point_literal] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_character_literal] = ACTIONS(1351),
    [anon_sym_DQUOTE] = ACTIONS(1351),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1351),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1351),
    [anon_sym_RBRACE] = ACTIONS(1351),
    [sym_null_literal] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1351),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_GT] = ACTIONS(1351),
    [anon_sym_LT] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1351),
    [anon_sym_LT_EQ] = ACTIONS(1351),
    [anon_sym_EQ_EQ] = ACTIONS(1351),
    [anon_sym_BANG_EQ] = ACTIONS(1351),
    [anon_sym_AMP_AMP] = ACTIONS(1351),
    [anon_sym_PIPE_PIPE] = ACTIONS(1351),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_SLASH] = ACTIONS(1351),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1351),
    [anon_sym_PERCENT] = ACTIONS(1351),
    [anon_sym_LT_LT] = ACTIONS(1351),
    [anon_sym_GT_GT] = ACTIONS(1351),
    [anon_sym_GT_GT_GT] = ACTIONS(1351),
    [anon_sym_in] = ACTIONS(1351),
    [anon_sym_STAR_STAR] = ACTIONS(1351),
    [anon_sym_instanceof] = ACTIONS(1351),
    [anon_sym_final] = ACTIONS(1351),
    [anon_sym_DASH_GT] = ACTIONS(1351),
    [anon_sym_QMARK] = ACTIONS(1351),
    [anon_sym_BANG] = ACTIONS(1351),
    [anon_sym_TILDE] = ACTIONS(1351),
    [anon_sym_PLUS_PLUS] = ACTIONS(1351),
    [anon_sym_DASH_DASH] = ACTIONS(1351),
    [anon_sym_new] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1351),
    [anon_sym_DOT] = ACTIONS(1351),
    [anon_sym_class] = ACTIONS(1351),
    [anon_sym_COLON_COLON] = ACTIONS(1351),
    [anon_sym_switch] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1351),
    [anon_sym_case] = ACTIONS(1351),
    [anon_sym_default] = ACTIONS(1351),
    [sym_underscore_pattern] = ACTIONS(1351),
    [anon_sym_SEMI] = ACTIONS(1351),
    [aux_sym_expression_statement_token1] = ACTIONS(1349),
    [anon_sym_NULL] = ACTIONS(1351),
    [anon_sym_assert] = ACTIONS(1351),
    [anon_sym_do] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_break] = ACTIONS(1351),
    [anon_sym_continue] = ACTIONS(1351),
    [anon_sym_return] = ACTIONS(1351),
    [anon_sym_yield] = ACTIONS(1351),
    [anon_sym_synchronized] = ACTIONS(1351),
    [anon_sym_throw] = ACTIONS(1351),
    [anon_sym_try] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_else] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_AT] = ACTIONS(1351),
    [anon_sym_open] = ACTIONS(1351),
    [anon_sym_module] = ACTIONS(1351),
    [anon_sym_static] = ACTIONS(1351),
    [anon_sym_with] = ACTIONS(1351),
    [anon_sym_package] = ACTIONS(1351),
    [anon_sym_import] = ACTIONS(1351),
    [anon_sym_enum] = ACTIONS(1351),
    [anon_sym_public] = ACTIONS(1351),
    [anon_sym_protected] = ACTIONS(1351),
    [anon_sym_private] = ACTIONS(1351),
    [anon_sym_abstract] = ACTIONS(1351),
    [anon_sym_strictfp] = ACTIONS(1351),
    [anon_sym_native] = ACTIONS(1351),
    [anon_sym_transient] = ACTIONS(1351),
    [anon_sym_volatile] = ACTIONS(1351),
    [anon_sym_sealed] = ACTIONS(1351),
    [anon_sym_non_DASHsealed] = ACTIONS(1351),
    [anon_sym_record] = ACTIONS(1351),
    [anon_sym_ATinterface] = ACTIONS(1351),
    [anon_sym_interface] = ACTIONS(1351),
    [anon_sym_byte] = ACTIONS(1351),
    [anon_sym_short] = ACTIONS(1351),
    [anon_sym_int] = ACTIONS(1351),
    [anon_sym_long] = ACTIONS(1351),
    [anon_sym_char] = ACTIONS(1351),
    [anon_sym_float] = ACTIONS(1351),
    [anon_sym_double] = ACTIONS(1351),
    [sym_boolean_type] = ACTIONS(1351),
    [sym_void_type] = ACTIONS(1351),
    [anon_sym_def] = ACTIONS(1351),
    [sym_this] = ACTIONS(1351),
    [sym_super] = ACTIONS(1351),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1351),
  },
  [302] = {
    [ts_builtin_sym_end] = ACTIONS(1353),
    [sym_identifier] = ACTIONS(1355),
    [sym_decimal_integer_literal] = ACTIONS(1355),
    [sym_hex_integer_literal] = ACTIONS(1355),
    [sym_octal_integer_literal] = ACTIONS(1355),
    [sym_binary_integer_literal] = ACTIONS(1355),
    [sym_decimal_floating_point_literal] = ACTIONS(1355),
    [sym_hex_floating_point_literal] = ACTIONS(1355),
    [sym_true] = ACTIONS(1355),
    [sym_false] = ACTIONS(1355),
    [sym_character_literal] = ACTIONS(1355),
    [anon_sym_DQUOTE] = ACTIONS(1355),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1355),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1355),
    [anon_sym_RBRACE] = ACTIONS(1355),
    [sym_null_literal] = ACTIONS(1355),
    [anon_sym_LPAREN] = ACTIONS(1355),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_GT] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1355),
    [anon_sym_GT_EQ] = ACTIONS(1355),
    [anon_sym_LT_EQ] = ACTIONS(1355),
    [anon_sym_EQ_EQ] = ACTIONS(1355),
    [anon_sym_BANG_EQ] = ACTIONS(1355),
    [anon_sym_AMP_AMP] = ACTIONS(1355),
    [anon_sym_PIPE_PIPE] = ACTIONS(1355),
    [anon_sym_PLUS] = ACTIONS(1355),
    [anon_sym_DASH] = ACTIONS(1355),
    [anon_sym_STAR] = ACTIONS(1355),
    [anon_sym_SLASH] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1355),
    [anon_sym_CARET] = ACTIONS(1355),
    [anon_sym_PERCENT] = ACTIONS(1355),
    [anon_sym_LT_LT] = ACTIONS(1355),
    [anon_sym_GT_GT] = ACTIONS(1355),
    [anon_sym_GT_GT_GT] = ACTIONS(1355),
    [anon_sym_in] = ACTIONS(1355),
    [anon_sym_STAR_STAR] = ACTIONS(1355),
    [anon_sym_instanceof] = ACTIONS(1355),
    [anon_sym_final] = ACTIONS(1355),
    [anon_sym_DASH_GT] = ACTIONS(1355),
    [anon_sym_QMARK] = ACTIONS(1355),
    [anon_sym_BANG] = ACTIONS(1355),
    [anon_sym_TILDE] = ACTIONS(1355),
    [anon_sym_PLUS_PLUS] = ACTIONS(1355),
    [anon_sym_DASH_DASH] = ACTIONS(1355),
    [anon_sym_new] = ACTIONS(1355),
    [anon_sym_LBRACK] = ACTIONS(1355),
    [anon_sym_DOT] = ACTIONS(1355),
    [anon_sym_class] = ACTIONS(1355),
    [anon_sym_COLON_COLON] = ACTIONS(1355),
    [anon_sym_switch] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1355),
    [anon_sym_case] = ACTIONS(1355),
    [anon_sym_default] = ACTIONS(1355),
    [sym_underscore_pattern] = ACTIONS(1355),
    [anon_sym_SEMI] = ACTIONS(1355),
    [aux_sym_expression_statement_token1] = ACTIONS(1353),
    [anon_sym_NULL] = ACTIONS(1355),
    [anon_sym_assert] = ACTIONS(1355),
    [anon_sym_do] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1355),
    [anon_sym_break] = ACTIONS(1355),
    [anon_sym_continue] = ACTIONS(1355),
    [anon_sym_return] = ACTIONS(1355),
    [anon_sym_yield] = ACTIONS(1355),
    [anon_sym_synchronized] = ACTIONS(1355),
    [anon_sym_throw] = ACTIONS(1355),
    [anon_sym_try] = ACTIONS(1355),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_else] = ACTIONS(1355),
    [anon_sym_for] = ACTIONS(1355),
    [anon_sym_AT] = ACTIONS(1355),
    [anon_sym_open] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_with] = ACTIONS(1355),
    [anon_sym_package] = ACTIONS(1355),
    [anon_sym_import] = ACTIONS(1355),
    [anon_sym_enum] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_abstract] = ACTIONS(1355),
    [anon_sym_strictfp] = ACTIONS(1355),
    [anon_sym_native] = ACTIONS(1355),
    [anon_sym_transient] = ACTIONS(1355),
    [anon_sym_volatile] = ACTIONS(1355),
    [anon_sym_sealed] = ACTIONS(1355),
    [anon_sym_non_DASHsealed] = ACTIONS(1355),
    [anon_sym_record] = ACTIONS(1355),
    [anon_sym_ATinterface] = ACTIONS(1355),
    [anon_sym_interface] = ACTIONS(1355),
    [anon_sym_byte] = ACTIONS(1355),
    [anon_sym_short] = ACTIONS(1355),
    [anon_sym_int] = ACTIONS(1355),
    [anon_sym_long] = ACTIONS(1355),
    [anon_sym_char] = ACTIONS(1355),
    [anon_sym_float] = ACTIONS(1355),
    [anon_sym_double] = ACTIONS(1355),
    [sym_boolean_type] = ACTIONS(1355),
    [sym_void_type] = ACTIONS(1355),
    [anon_sym_def] = ACTIONS(1355),
    [sym_this] = ACTIONS(1355),
    [sym_super] = ACTIONS(1355),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1355),
  },
  [303] = {
    [ts_builtin_sym_end] = ACTIONS(1357),
    [sym_identifier] = ACTIONS(1359),
    [sym_decimal_integer_literal] = ACTIONS(1359),
    [sym_hex_integer_literal] = ACTIONS(1359),
    [sym_octal_integer_literal] = ACTIONS(1359),
    [sym_binary_integer_literal] = ACTIONS(1359),
    [sym_decimal_floating_point_literal] = ACTIONS(1359),
    [sym_hex_floating_point_literal] = ACTIONS(1359),
    [sym_true] = ACTIONS(1359),
    [sym_false] = ACTIONS(1359),
    [sym_character_literal] = ACTIONS(1359),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1359),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1359),
    [anon_sym_RBRACE] = ACTIONS(1359),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_LPAREN] = ACTIONS(1359),
    [anon_sym_AMP] = ACTIONS(1359),
    [anon_sym_GT] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(1359),
    [anon_sym_GT_EQ] = ACTIONS(1359),
    [anon_sym_LT_EQ] = ACTIONS(1359),
    [anon_sym_EQ_EQ] = ACTIONS(1359),
    [anon_sym_BANG_EQ] = ACTIONS(1359),
    [anon_sym_AMP_AMP] = ACTIONS(1359),
    [anon_sym_PIPE_PIPE] = ACTIONS(1359),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1359),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_CARET] = ACTIONS(1359),
    [anon_sym_PERCENT] = ACTIONS(1359),
    [anon_sym_LT_LT] = ACTIONS(1359),
    [anon_sym_GT_GT] = ACTIONS(1359),
    [anon_sym_GT_GT_GT] = ACTIONS(1359),
    [anon_sym_in] = ACTIONS(1359),
    [anon_sym_STAR_STAR] = ACTIONS(1359),
    [anon_sym_instanceof] = ACTIONS(1359),
    [anon_sym_final] = ACTIONS(1359),
    [anon_sym_DASH_GT] = ACTIONS(1359),
    [anon_sym_QMARK] = ACTIONS(1359),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1359),
    [anon_sym_PLUS_PLUS] = ACTIONS(1359),
    [anon_sym_DASH_DASH] = ACTIONS(1359),
    [anon_sym_new] = ACTIONS(1359),
    [anon_sym_LBRACK] = ACTIONS(1359),
    [anon_sym_DOT] = ACTIONS(1359),
    [anon_sym_class] = ACTIONS(1359),
    [anon_sym_COLON_COLON] = ACTIONS(1359),
    [anon_sym_switch] = ACTIONS(1359),
    [anon_sym_LBRACE] = ACTIONS(1359),
    [anon_sym_case] = ACTIONS(1359),
    [anon_sym_default] = ACTIONS(1359),
    [sym_underscore_pattern] = ACTIONS(1359),
    [anon_sym_SEMI] = ACTIONS(1359),
    [aux_sym_expression_statement_token1] = ACTIONS(1357),
    [anon_sym_NULL] = ACTIONS(1359),
    [anon_sym_assert] = ACTIONS(1359),
    [anon_sym_do] = ACTIONS(1359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_break] = ACTIONS(1359),
    [anon_sym_continue] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1359),
    [anon_sym_yield] = ACTIONS(1359),
    [anon_sym_synchronized] = ACTIONS(1359),
    [anon_sym_throw] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1359),
    [anon_sym_else] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_open] = ACTIONS(1359),
    [anon_sym_module] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(1359),
    [anon_sym_with] = ACTIONS(1359),
    [anon_sym_package] = ACTIONS(1359),
    [anon_sym_import] = ACTIONS(1359),
    [anon_sym_enum] = ACTIONS(1359),
    [anon_sym_public] = ACTIONS(1359),
    [anon_sym_protected] = ACTIONS(1359),
    [anon_sym_private] = ACTIONS(1359),
    [anon_sym_abstract] = ACTIONS(1359),
    [anon_sym_strictfp] = ACTIONS(1359),
    [anon_sym_native] = ACTIONS(1359),
    [anon_sym_transient] = ACTIONS(1359),
    [anon_sym_volatile] = ACTIONS(1359),
    [anon_sym_sealed] = ACTIONS(1359),
    [anon_sym_non_DASHsealed] = ACTIONS(1359),
    [anon_sym_record] = ACTIONS(1359),
    [anon_sym_ATinterface] = ACTIONS(1359),
    [anon_sym_interface] = ACTIONS(1359),
    [anon_sym_byte] = ACTIONS(1359),
    [anon_sym_short] = ACTIONS(1359),
    [anon_sym_int] = ACTIONS(1359),
    [anon_sym_long] = ACTIONS(1359),
    [anon_sym_char] = ACTIONS(1359),
    [anon_sym_float] = ACTIONS(1359),
    [anon_sym_double] = ACTIONS(1359),
    [sym_boolean_type] = ACTIONS(1359),
    [sym_void_type] = ACTIONS(1359),
    [anon_sym_def] = ACTIONS(1359),
    [sym_this] = ACTIONS(1359),
    [sym_super] = ACTIONS(1359),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1359),
  },
  [304] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym_identifier] = ACTIONS(1363),
    [sym_decimal_integer_literal] = ACTIONS(1363),
    [sym_hex_integer_literal] = ACTIONS(1363),
    [sym_octal_integer_literal] = ACTIONS(1363),
    [sym_binary_integer_literal] = ACTIONS(1363),
    [sym_decimal_floating_point_literal] = ACTIONS(1363),
    [sym_hex_floating_point_literal] = ACTIONS(1363),
    [sym_true] = ACTIONS(1363),
    [sym_false] = ACTIONS(1363),
    [sym_character_literal] = ACTIONS(1363),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1363),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1363),
    [anon_sym_RBRACE] = ACTIONS(1363),
    [sym_null_literal] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1363),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT_EQ] = ACTIONS(1363),
    [anon_sym_LT_EQ] = ACTIONS(1363),
    [anon_sym_EQ_EQ] = ACTIONS(1363),
    [anon_sym_BANG_EQ] = ACTIONS(1363),
    [anon_sym_AMP_AMP] = ACTIONS(1363),
    [anon_sym_PIPE_PIPE] = ACTIONS(1363),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1363),
    [anon_sym_PERCENT] = ACTIONS(1363),
    [anon_sym_LT_LT] = ACTIONS(1363),
    [anon_sym_GT_GT] = ACTIONS(1363),
    [anon_sym_GT_GT_GT] = ACTIONS(1363),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_STAR_STAR] = ACTIONS(1363),
    [anon_sym_instanceof] = ACTIONS(1363),
    [anon_sym_final] = ACTIONS(1363),
    [anon_sym_DASH_GT] = ACTIONS(1363),
    [anon_sym_QMARK] = ACTIONS(1363),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_TILDE] = ACTIONS(1363),
    [anon_sym_PLUS_PLUS] = ACTIONS(1363),
    [anon_sym_DASH_DASH] = ACTIONS(1363),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1363),
    [anon_sym_DOT] = ACTIONS(1363),
    [anon_sym_class] = ACTIONS(1363),
    [anon_sym_COLON_COLON] = ACTIONS(1363),
    [anon_sym_switch] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1363),
    [anon_sym_case] = ACTIONS(1363),
    [anon_sym_default] = ACTIONS(1363),
    [sym_underscore_pattern] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1363),
    [aux_sym_expression_statement_token1] = ACTIONS(1361),
    [anon_sym_NULL] = ACTIONS(1363),
    [anon_sym_assert] = ACTIONS(1363),
    [anon_sym_do] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [anon_sym_break] = ACTIONS(1363),
    [anon_sym_continue] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1363),
    [anon_sym_synchronized] = ACTIONS(1363),
    [anon_sym_throw] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_else] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_open] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_with] = ACTIONS(1363),
    [anon_sym_package] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_enum] = ACTIONS(1363),
    [anon_sym_public] = ACTIONS(1363),
    [anon_sym_protected] = ACTIONS(1363),
    [anon_sym_private] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_strictfp] = ACTIONS(1363),
    [anon_sym_native] = ACTIONS(1363),
    [anon_sym_transient] = ACTIONS(1363),
    [anon_sym_volatile] = ACTIONS(1363),
    [anon_sym_sealed] = ACTIONS(1363),
    [anon_sym_non_DASHsealed] = ACTIONS(1363),
    [anon_sym_record] = ACTIONS(1363),
    [anon_sym_ATinterface] = ACTIONS(1363),
    [anon_sym_interface] = ACTIONS(1363),
    [anon_sym_byte] = ACTIONS(1363),
    [anon_sym_short] = ACTIONS(1363),
    [anon_sym_int] = ACTIONS(1363),
    [anon_sym_long] = ACTIONS(1363),
    [anon_sym_char] = ACTIONS(1363),
    [anon_sym_float] = ACTIONS(1363),
    [anon_sym_double] = ACTIONS(1363),
    [sym_boolean_type] = ACTIONS(1363),
    [sym_void_type] = ACTIONS(1363),
    [anon_sym_def] = ACTIONS(1363),
    [sym_this] = ACTIONS(1363),
    [sym_super] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1363),
  },
  [305] = {
    [ts_builtin_sym_end] = ACTIONS(1365),
    [sym_identifier] = ACTIONS(1367),
    [sym_decimal_integer_literal] = ACTIONS(1367),
    [sym_hex_integer_literal] = ACTIONS(1367),
    [sym_octal_integer_literal] = ACTIONS(1367),
    [sym_binary_integer_literal] = ACTIONS(1367),
    [sym_decimal_floating_point_literal] = ACTIONS(1367),
    [sym_hex_floating_point_literal] = ACTIONS(1367),
    [sym_true] = ACTIONS(1367),
    [sym_false] = ACTIONS(1367),
    [sym_character_literal] = ACTIONS(1367),
    [anon_sym_DQUOTE] = ACTIONS(1367),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1367),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1367),
    [anon_sym_RBRACE] = ACTIONS(1367),
    [sym_null_literal] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1367),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1367),
    [anon_sym_LT_EQ] = ACTIONS(1367),
    [anon_sym_EQ_EQ] = ACTIONS(1367),
    [anon_sym_BANG_EQ] = ACTIONS(1367),
    [anon_sym_AMP_AMP] = ACTIONS(1367),
    [anon_sym_PIPE_PIPE] = ACTIONS(1367),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1367),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1367),
    [anon_sym_PERCENT] = ACTIONS(1367),
    [anon_sym_LT_LT] = ACTIONS(1367),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_GT_GT_GT] = ACTIONS(1367),
    [anon_sym_in] = ACTIONS(1367),
    [anon_sym_STAR_STAR] = ACTIONS(1367),
    [anon_sym_instanceof] = ACTIONS(1367),
    [anon_sym_final] = ACTIONS(1367),
    [anon_sym_DASH_GT] = ACTIONS(1367),
    [anon_sym_QMARK] = ACTIONS(1367),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_TILDE] = ACTIONS(1367),
    [anon_sym_PLUS_PLUS] = ACTIONS(1367),
    [anon_sym_DASH_DASH] = ACTIONS(1367),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1367),
    [anon_sym_DOT] = ACTIONS(1367),
    [anon_sym_class] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1367),
    [anon_sym_switch] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(1367),
    [anon_sym_case] = ACTIONS(1367),
    [anon_sym_default] = ACTIONS(1367),
    [sym_underscore_pattern] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1367),
    [aux_sym_expression_statement_token1] = ACTIONS(1365),
    [anon_sym_NULL] = ACTIONS(1367),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_do] = ACTIONS(1367),
    [anon_sym_while] = ACTIONS(1367),
    [anon_sym_break] = ACTIONS(1367),
    [anon_sym_continue] = ACTIONS(1367),
    [anon_sym_return] = ACTIONS(1367),
    [anon_sym_yield] = ACTIONS(1367),
    [anon_sym_synchronized] = ACTIONS(1367),
    [anon_sym_throw] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_if] = ACTIONS(1367),
    [anon_sym_else] = ACTIONS(1367),
    [anon_sym_for] = ACTIONS(1367),
    [anon_sym_AT] = ACTIONS(1367),
    [anon_sym_open] = ACTIONS(1367),
    [anon_sym_module] = ACTIONS(1367),
    [anon_sym_static] = ACTIONS(1367),
    [anon_sym_with] = ACTIONS(1367),
    [anon_sym_package] = ACTIONS(1367),
    [anon_sym_import] = ACTIONS(1367),
    [anon_sym_enum] = ACTIONS(1367),
    [anon_sym_public] = ACTIONS(1367),
    [anon_sym_protected] = ACTIONS(1367),
    [anon_sym_private] = ACTIONS(1367),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_strictfp] = ACTIONS(1367),
    [anon_sym_native] = ACTIONS(1367),
    [anon_sym_transient] = ACTIONS(1367),
    [anon_sym_volatile] = ACTIONS(1367),
    [anon_sym_sealed] = ACTIONS(1367),
    [anon_sym_non_DASHsealed] = ACTIONS(1367),
    [anon_sym_record] = ACTIONS(1367),
    [anon_sym_ATinterface] = ACTIONS(1367),
    [anon_sym_interface] = ACTIONS(1367),
    [anon_sym_byte] = ACTIONS(1367),
    [anon_sym_short] = ACTIONS(1367),
    [anon_sym_int] = ACTIONS(1367),
    [anon_sym_long] = ACTIONS(1367),
    [anon_sym_char] = ACTIONS(1367),
    [anon_sym_float] = ACTIONS(1367),
    [anon_sym_double] = ACTIONS(1367),
    [sym_boolean_type] = ACTIONS(1367),
    [sym_void_type] = ACTIONS(1367),
    [anon_sym_def] = ACTIONS(1367),
    [sym_this] = ACTIONS(1367),
    [sym_super] = ACTIONS(1367),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1367),
  },
  [306] = {
    [ts_builtin_sym_end] = ACTIONS(1369),
    [sym_identifier] = ACTIONS(1371),
    [sym_decimal_integer_literal] = ACTIONS(1371),
    [sym_hex_integer_literal] = ACTIONS(1371),
    [sym_octal_integer_literal] = ACTIONS(1371),
    [sym_binary_integer_literal] = ACTIONS(1371),
    [sym_decimal_floating_point_literal] = ACTIONS(1371),
    [sym_hex_floating_point_literal] = ACTIONS(1371),
    [sym_true] = ACTIONS(1371),
    [sym_false] = ACTIONS(1371),
    [sym_character_literal] = ACTIONS(1371),
    [anon_sym_DQUOTE] = ACTIONS(1371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1371),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1371),
    [anon_sym_RBRACE] = ACTIONS(1371),
    [sym_null_literal] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1371),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_GT] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1371),
    [anon_sym_LT_EQ] = ACTIONS(1371),
    [anon_sym_EQ_EQ] = ACTIONS(1371),
    [anon_sym_BANG_EQ] = ACTIONS(1371),
    [anon_sym_AMP_AMP] = ACTIONS(1371),
    [anon_sym_PIPE_PIPE] = ACTIONS(1371),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1371),
    [anon_sym_PERCENT] = ACTIONS(1371),
    [anon_sym_LT_LT] = ACTIONS(1371),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_GT_GT_GT] = ACTIONS(1371),
    [anon_sym_in] = ACTIONS(1371),
    [anon_sym_STAR_STAR] = ACTIONS(1371),
    [anon_sym_instanceof] = ACTIONS(1371),
    [anon_sym_final] = ACTIONS(1371),
    [anon_sym_DASH_GT] = ACTIONS(1371),
    [anon_sym_QMARK] = ACTIONS(1371),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1371),
    [anon_sym_PLUS_PLUS] = ACTIONS(1371),
    [anon_sym_DASH_DASH] = ACTIONS(1371),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1371),
    [anon_sym_DOT] = ACTIONS(1371),
    [anon_sym_class] = ACTIONS(1371),
    [anon_sym_COLON_COLON] = ACTIONS(1371),
    [anon_sym_switch] = ACTIONS(1371),
    [anon_sym_LBRACE] = ACTIONS(1371),
    [anon_sym_case] = ACTIONS(1371),
    [anon_sym_default] = ACTIONS(1371),
    [sym_underscore_pattern] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1371),
    [aux_sym_expression_statement_token1] = ACTIONS(1369),
    [anon_sym_NULL] = ACTIONS(1371),
    [anon_sym_assert] = ACTIONS(1371),
    [anon_sym_do] = ACTIONS(1371),
    [anon_sym_while] = ACTIONS(1371),
    [anon_sym_break] = ACTIONS(1371),
    [anon_sym_continue] = ACTIONS(1371),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_synchronized] = ACTIONS(1371),
    [anon_sym_throw] = ACTIONS(1371),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_if] = ACTIONS(1371),
    [anon_sym_else] = ACTIONS(1371),
    [anon_sym_for] = ACTIONS(1371),
    [anon_sym_AT] = ACTIONS(1371),
    [anon_sym_open] = ACTIONS(1371),
    [anon_sym_module] = ACTIONS(1371),
    [anon_sym_static] = ACTIONS(1371),
    [anon_sym_with] = ACTIONS(1371),
    [anon_sym_package] = ACTIONS(1371),
    [anon_sym_import] = ACTIONS(1371),
    [anon_sym_enum] = ACTIONS(1371),
    [anon_sym_public] = ACTIONS(1371),
    [anon_sym_protected] = ACTIONS(1371),
    [anon_sym_private] = ACTIONS(1371),
    [anon_sym_abstract] = ACTIONS(1371),
    [anon_sym_strictfp] = ACTIONS(1371),
    [anon_sym_native] = ACTIONS(1371),
    [anon_sym_transient] = ACTIONS(1371),
    [anon_sym_volatile] = ACTIONS(1371),
    [anon_sym_sealed] = ACTIONS(1371),
    [anon_sym_non_DASHsealed] = ACTIONS(1371),
    [anon_sym_record] = ACTIONS(1371),
    [anon_sym_ATinterface] = ACTIONS(1371),
    [anon_sym_interface] = ACTIONS(1371),
    [anon_sym_byte] = ACTIONS(1371),
    [anon_sym_short] = ACTIONS(1371),
    [anon_sym_int] = ACTIONS(1371),
    [anon_sym_long] = ACTIONS(1371),
    [anon_sym_char] = ACTIONS(1371),
    [anon_sym_float] = ACTIONS(1371),
    [anon_sym_double] = ACTIONS(1371),
    [sym_boolean_type] = ACTIONS(1371),
    [sym_void_type] = ACTIONS(1371),
    [anon_sym_def] = ACTIONS(1371),
    [sym_this] = ACTIONS(1371),
    [sym_super] = ACTIONS(1371),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1371),
  },
  [307] = {
    [ts_builtin_sym_end] = ACTIONS(1373),
    [sym_identifier] = ACTIONS(1375),
    [sym_decimal_integer_literal] = ACTIONS(1375),
    [sym_hex_integer_literal] = ACTIONS(1375),
    [sym_octal_integer_literal] = ACTIONS(1375),
    [sym_binary_integer_literal] = ACTIONS(1375),
    [sym_decimal_floating_point_literal] = ACTIONS(1375),
    [sym_hex_floating_point_literal] = ACTIONS(1375),
    [sym_true] = ACTIONS(1375),
    [sym_false] = ACTIONS(1375),
    [sym_character_literal] = ACTIONS(1375),
    [anon_sym_DQUOTE] = ACTIONS(1375),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1375),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1375),
    [anon_sym_RBRACE] = ACTIONS(1375),
    [sym_null_literal] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1375),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_GT] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1375),
    [anon_sym_LT_EQ] = ACTIONS(1375),
    [anon_sym_EQ_EQ] = ACTIONS(1375),
    [anon_sym_BANG_EQ] = ACTIONS(1375),
    [anon_sym_AMP_AMP] = ACTIONS(1375),
    [anon_sym_PIPE_PIPE] = ACTIONS(1375),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1375),
    [anon_sym_PERCENT] = ACTIONS(1375),
    [anon_sym_LT_LT] = ACTIONS(1375),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_GT_GT_GT] = ACTIONS(1375),
    [anon_sym_in] = ACTIONS(1375),
    [anon_sym_STAR_STAR] = ACTIONS(1375),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_final] = ACTIONS(1375),
    [anon_sym_DASH_GT] = ACTIONS(1375),
    [anon_sym_QMARK] = ACTIONS(1375),
    [anon_sym_BANG] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(1375),
    [anon_sym_PLUS_PLUS] = ACTIONS(1375),
    [anon_sym_DASH_DASH] = ACTIONS(1375),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1375),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_class] = ACTIONS(1375),
    [anon_sym_COLON_COLON] = ACTIONS(1375),
    [anon_sym_switch] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1375),
    [anon_sym_case] = ACTIONS(1375),
    [anon_sym_default] = ACTIONS(1375),
    [sym_underscore_pattern] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1375),
    [aux_sym_expression_statement_token1] = ACTIONS(1373),
    [anon_sym_NULL] = ACTIONS(1375),
    [anon_sym_assert] = ACTIONS(1375),
    [anon_sym_do] = ACTIONS(1375),
    [anon_sym_while] = ACTIONS(1375),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_continue] = ACTIONS(1375),
    [anon_sym_return] = ACTIONS(1375),
    [anon_sym_yield] = ACTIONS(1375),
    [anon_sym_synchronized] = ACTIONS(1375),
    [anon_sym_throw] = ACTIONS(1375),
    [anon_sym_try] = ACTIONS(1375),
    [anon_sym_if] = ACTIONS(1375),
    [anon_sym_else] = ACTIONS(1375),
    [anon_sym_for] = ACTIONS(1375),
    [anon_sym_AT] = ACTIONS(1375),
    [anon_sym_open] = ACTIONS(1375),
    [anon_sym_module] = ACTIONS(1375),
    [anon_sym_static] = ACTIONS(1375),
    [anon_sym_with] = ACTIONS(1375),
    [anon_sym_package] = ACTIONS(1375),
    [anon_sym_import] = ACTIONS(1375),
    [anon_sym_enum] = ACTIONS(1375),
    [anon_sym_public] = ACTIONS(1375),
    [anon_sym_protected] = ACTIONS(1375),
    [anon_sym_private] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1375),
    [anon_sym_strictfp] = ACTIONS(1375),
    [anon_sym_native] = ACTIONS(1375),
    [anon_sym_transient] = ACTIONS(1375),
    [anon_sym_volatile] = ACTIONS(1375),
    [anon_sym_sealed] = ACTIONS(1375),
    [anon_sym_non_DASHsealed] = ACTIONS(1375),
    [anon_sym_record] = ACTIONS(1375),
    [anon_sym_ATinterface] = ACTIONS(1375),
    [anon_sym_interface] = ACTIONS(1375),
    [anon_sym_byte] = ACTIONS(1375),
    [anon_sym_short] = ACTIONS(1375),
    [anon_sym_int] = ACTIONS(1375),
    [anon_sym_long] = ACTIONS(1375),
    [anon_sym_char] = ACTIONS(1375),
    [anon_sym_float] = ACTIONS(1375),
    [anon_sym_double] = ACTIONS(1375),
    [sym_boolean_type] = ACTIONS(1375),
    [sym_void_type] = ACTIONS(1375),
    [anon_sym_def] = ACTIONS(1375),
    [sym_this] = ACTIONS(1375),
    [sym_super] = ACTIONS(1375),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1375),
  },
  [308] = {
    [ts_builtin_sym_end] = ACTIONS(1377),
    [sym_identifier] = ACTIONS(1379),
    [sym_decimal_integer_literal] = ACTIONS(1379),
    [sym_hex_integer_literal] = ACTIONS(1379),
    [sym_octal_integer_literal] = ACTIONS(1379),
    [sym_binary_integer_literal] = ACTIONS(1379),
    [sym_decimal_floating_point_literal] = ACTIONS(1379),
    [sym_hex_floating_point_literal] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_character_literal] = ACTIONS(1379),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1379),
    [anon_sym_RBRACE] = ACTIONS(1379),
    [sym_null_literal] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1379),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1379),
    [anon_sym_LT_EQ] = ACTIONS(1379),
    [anon_sym_EQ_EQ] = ACTIONS(1379),
    [anon_sym_BANG_EQ] = ACTIONS(1379),
    [anon_sym_AMP_AMP] = ACTIONS(1379),
    [anon_sym_PIPE_PIPE] = ACTIONS(1379),
    [anon_sym_PLUS] = ACTIONS(1379),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1379),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1379),
    [anon_sym_PERCENT] = ACTIONS(1379),
    [anon_sym_LT_LT] = ACTIONS(1379),
    [anon_sym_GT_GT] = ACTIONS(1379),
    [anon_sym_GT_GT_GT] = ACTIONS(1379),
    [anon_sym_in] = ACTIONS(1379),
    [anon_sym_STAR_STAR] = ACTIONS(1379),
    [anon_sym_instanceof] = ACTIONS(1379),
    [anon_sym_final] = ACTIONS(1379),
    [anon_sym_DASH_GT] = ACTIONS(1379),
    [anon_sym_QMARK] = ACTIONS(1379),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_TILDE] = ACTIONS(1379),
    [anon_sym_PLUS_PLUS] = ACTIONS(1379),
    [anon_sym_DASH_DASH] = ACTIONS(1379),
    [anon_sym_new] = ACTIONS(1379),
    [anon_sym_LBRACK] = ACTIONS(1379),
    [anon_sym_DOT] = ACTIONS(1379),
    [anon_sym_class] = ACTIONS(1379),
    [anon_sym_COLON_COLON] = ACTIONS(1379),
    [anon_sym_switch] = ACTIONS(1379),
    [anon_sym_LBRACE] = ACTIONS(1379),
    [anon_sym_case] = ACTIONS(1379),
    [anon_sym_default] = ACTIONS(1379),
    [sym_underscore_pattern] = ACTIONS(1379),
    [anon_sym_SEMI] = ACTIONS(1379),
    [aux_sym_expression_statement_token1] = ACTIONS(1377),
    [anon_sym_NULL] = ACTIONS(1379),
    [anon_sym_assert] = ACTIONS(1379),
    [anon_sym_do] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_break] = ACTIONS(1379),
    [anon_sym_continue] = ACTIONS(1379),
    [anon_sym_return] = ACTIONS(1379),
    [anon_sym_yield] = ACTIONS(1379),
    [anon_sym_synchronized] = ACTIONS(1379),
    [anon_sym_throw] = ACTIONS(1379),
    [anon_sym_try] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_else] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_AT] = ACTIONS(1379),
    [anon_sym_open] = ACTIONS(1379),
    [anon_sym_module] = ACTIONS(1379),
    [anon_sym_static] = ACTIONS(1379),
    [anon_sym_with] = ACTIONS(1379),
    [anon_sym_package] = ACTIONS(1379),
    [anon_sym_import] = ACTIONS(1379),
    [anon_sym_enum] = ACTIONS(1379),
    [anon_sym_public] = ACTIONS(1379),
    [anon_sym_protected] = ACTIONS(1379),
    [anon_sym_private] = ACTIONS(1379),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_strictfp] = ACTIONS(1379),
    [anon_sym_native] = ACTIONS(1379),
    [anon_sym_transient] = ACTIONS(1379),
    [anon_sym_volatile] = ACTIONS(1379),
    [anon_sym_sealed] = ACTIONS(1379),
    [anon_sym_non_DASHsealed] = ACTIONS(1379),
    [anon_sym_record] = ACTIONS(1379),
    [anon_sym_ATinterface] = ACTIONS(1379),
    [anon_sym_interface] = ACTIONS(1379),
    [anon_sym_byte] = ACTIONS(1379),
    [anon_sym_short] = ACTIONS(1379),
    [anon_sym_int] = ACTIONS(1379),
    [anon_sym_long] = ACTIONS(1379),
    [anon_sym_char] = ACTIONS(1379),
    [anon_sym_float] = ACTIONS(1379),
    [anon_sym_double] = ACTIONS(1379),
    [sym_boolean_type] = ACTIONS(1379),
    [sym_void_type] = ACTIONS(1379),
    [anon_sym_def] = ACTIONS(1379),
    [sym_this] = ACTIONS(1379),
    [sym_super] = ACTIONS(1379),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1379),
  },
  [309] = {
    [ts_builtin_sym_end] = ACTIONS(1381),
    [sym_identifier] = ACTIONS(1383),
    [sym_decimal_integer_literal] = ACTIONS(1383),
    [sym_hex_integer_literal] = ACTIONS(1383),
    [sym_octal_integer_literal] = ACTIONS(1383),
    [sym_binary_integer_literal] = ACTIONS(1383),
    [sym_decimal_floating_point_literal] = ACTIONS(1383),
    [sym_hex_floating_point_literal] = ACTIONS(1383),
    [sym_true] = ACTIONS(1383),
    [sym_false] = ACTIONS(1383),
    [sym_character_literal] = ACTIONS(1383),
    [anon_sym_DQUOTE] = ACTIONS(1383),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1383),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1383),
    [anon_sym_RBRACE] = ACTIONS(1383),
    [sym_null_literal] = ACTIONS(1383),
    [anon_sym_LPAREN] = ACTIONS(1383),
    [anon_sym_AMP] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1383),
    [anon_sym_LT_EQ] = ACTIONS(1383),
    [anon_sym_EQ_EQ] = ACTIONS(1383),
    [anon_sym_BANG_EQ] = ACTIONS(1383),
    [anon_sym_AMP_AMP] = ACTIONS(1383),
    [anon_sym_PIPE_PIPE] = ACTIONS(1383),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_CARET] = ACTIONS(1383),
    [anon_sym_PERCENT] = ACTIONS(1383),
    [anon_sym_LT_LT] = ACTIONS(1383),
    [anon_sym_GT_GT] = ACTIONS(1383),
    [anon_sym_GT_GT_GT] = ACTIONS(1383),
    [anon_sym_in] = ACTIONS(1383),
    [anon_sym_STAR_STAR] = ACTIONS(1383),
    [anon_sym_instanceof] = ACTIONS(1383),
    [anon_sym_final] = ACTIONS(1383),
    [anon_sym_DASH_GT] = ACTIONS(1383),
    [anon_sym_QMARK] = ACTIONS(1383),
    [anon_sym_BANG] = ACTIONS(1383),
    [anon_sym_TILDE] = ACTIONS(1383),
    [anon_sym_PLUS_PLUS] = ACTIONS(1383),
    [anon_sym_DASH_DASH] = ACTIONS(1383),
    [anon_sym_new] = ACTIONS(1383),
    [anon_sym_LBRACK] = ACTIONS(1383),
    [anon_sym_DOT] = ACTIONS(1383),
    [anon_sym_class] = ACTIONS(1383),
    [anon_sym_COLON_COLON] = ACTIONS(1383),
    [anon_sym_switch] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(1383),
    [anon_sym_case] = ACTIONS(1383),
    [anon_sym_default] = ACTIONS(1383),
    [sym_underscore_pattern] = ACTIONS(1383),
    [anon_sym_SEMI] = ACTIONS(1383),
    [aux_sym_expression_statement_token1] = ACTIONS(1381),
    [anon_sym_NULL] = ACTIONS(1383),
    [anon_sym_assert] = ACTIONS(1383),
    [anon_sym_do] = ACTIONS(1383),
    [anon_sym_while] = ACTIONS(1383),
    [anon_sym_break] = ACTIONS(1383),
    [anon_sym_continue] = ACTIONS(1383),
    [anon_sym_return] = ACTIONS(1383),
    [anon_sym_yield] = ACTIONS(1383),
    [anon_sym_synchronized] = ACTIONS(1383),
    [anon_sym_throw] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(1383),
    [anon_sym_else] = ACTIONS(1383),
    [anon_sym_for] = ACTIONS(1383),
    [anon_sym_AT] = ACTIONS(1383),
    [anon_sym_open] = ACTIONS(1383),
    [anon_sym_module] = ACTIONS(1383),
    [anon_sym_static] = ACTIONS(1383),
    [anon_sym_with] = ACTIONS(1383),
    [anon_sym_package] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(1383),
    [anon_sym_enum] = ACTIONS(1383),
    [anon_sym_public] = ACTIONS(1383),
    [anon_sym_protected] = ACTIONS(1383),
    [anon_sym_private] = ACTIONS(1383),
    [anon_sym_abstract] = ACTIONS(1383),
    [anon_sym_strictfp] = ACTIONS(1383),
    [anon_sym_native] = ACTIONS(1383),
    [anon_sym_transient] = ACTIONS(1383),
    [anon_sym_volatile] = ACTIONS(1383),
    [anon_sym_sealed] = ACTIONS(1383),
    [anon_sym_non_DASHsealed] = ACTIONS(1383),
    [anon_sym_record] = ACTIONS(1383),
    [anon_sym_ATinterface] = ACTIONS(1383),
    [anon_sym_interface] = ACTIONS(1383),
    [anon_sym_byte] = ACTIONS(1383),
    [anon_sym_short] = ACTIONS(1383),
    [anon_sym_int] = ACTIONS(1383),
    [anon_sym_long] = ACTIONS(1383),
    [anon_sym_char] = ACTIONS(1383),
    [anon_sym_float] = ACTIONS(1383),
    [anon_sym_double] = ACTIONS(1383),
    [sym_boolean_type] = ACTIONS(1383),
    [sym_void_type] = ACTIONS(1383),
    [anon_sym_def] = ACTIONS(1383),
    [sym_this] = ACTIONS(1383),
    [sym_super] = ACTIONS(1383),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1383),
  },
  [310] = {
    [ts_builtin_sym_end] = ACTIONS(1385),
    [sym_identifier] = ACTIONS(1387),
    [sym_decimal_integer_literal] = ACTIONS(1387),
    [sym_hex_integer_literal] = ACTIONS(1387),
    [sym_octal_integer_literal] = ACTIONS(1387),
    [sym_binary_integer_literal] = ACTIONS(1387),
    [sym_decimal_floating_point_literal] = ACTIONS(1387),
    [sym_hex_floating_point_literal] = ACTIONS(1387),
    [sym_true] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [sym_character_literal] = ACTIONS(1387),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1387),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1387),
    [anon_sym_RBRACE] = ACTIONS(1387),
    [sym_null_literal] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1387),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT_EQ] = ACTIONS(1387),
    [anon_sym_LT_EQ] = ACTIONS(1387),
    [anon_sym_EQ_EQ] = ACTIONS(1387),
    [anon_sym_BANG_EQ] = ACTIONS(1387),
    [anon_sym_AMP_AMP] = ACTIONS(1387),
    [anon_sym_PIPE_PIPE] = ACTIONS(1387),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1387),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PIPE] = ACTIONS(1387),
    [anon_sym_CARET] = ACTIONS(1387),
    [anon_sym_PERCENT] = ACTIONS(1387),
    [anon_sym_LT_LT] = ACTIONS(1387),
    [anon_sym_GT_GT] = ACTIONS(1387),
    [anon_sym_GT_GT_GT] = ACTIONS(1387),
    [anon_sym_in] = ACTIONS(1387),
    [anon_sym_STAR_STAR] = ACTIONS(1387),
    [anon_sym_instanceof] = ACTIONS(1387),
    [anon_sym_final] = ACTIONS(1387),
    [anon_sym_DASH_GT] = ACTIONS(1387),
    [anon_sym_QMARK] = ACTIONS(1387),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_TILDE] = ACTIONS(1387),
    [anon_sym_PLUS_PLUS] = ACTIONS(1387),
    [anon_sym_DASH_DASH] = ACTIONS(1387),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_LBRACK] = ACTIONS(1387),
    [anon_sym_DOT] = ACTIONS(1387),
    [anon_sym_class] = ACTIONS(1387),
    [anon_sym_COLON_COLON] = ACTIONS(1387),
    [anon_sym_switch] = ACTIONS(1387),
    [anon_sym_LBRACE] = ACTIONS(1387),
    [anon_sym_case] = ACTIONS(1387),
    [anon_sym_default] = ACTIONS(1387),
    [sym_underscore_pattern] = ACTIONS(1387),
    [anon_sym_SEMI] = ACTIONS(1387),
    [aux_sym_expression_statement_token1] = ACTIONS(1385),
    [anon_sym_NULL] = ACTIONS(1387),
    [anon_sym_assert] = ACTIONS(1387),
    [anon_sym_do] = ACTIONS(1387),
    [anon_sym_while] = ACTIONS(1387),
    [anon_sym_break] = ACTIONS(1387),
    [anon_sym_continue] = ACTIONS(1387),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1387),
    [anon_sym_synchronized] = ACTIONS(1387),
    [anon_sym_throw] = ACTIONS(1387),
    [anon_sym_try] = ACTIONS(1387),
    [anon_sym_if] = ACTIONS(1387),
    [anon_sym_else] = ACTIONS(1387),
    [anon_sym_for] = ACTIONS(1387),
    [anon_sym_AT] = ACTIONS(1387),
    [anon_sym_open] = ACTIONS(1387),
    [anon_sym_module] = ACTIONS(1387),
    [anon_sym_static] = ACTIONS(1387),
    [anon_sym_with] = ACTIONS(1387),
    [anon_sym_package] = ACTIONS(1387),
    [anon_sym_import] = ACTIONS(1387),
    [anon_sym_enum] = ACTIONS(1387),
    [anon_sym_public] = ACTIONS(1387),
    [anon_sym_protected] = ACTIONS(1387),
    [anon_sym_private] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1387),
    [anon_sym_strictfp] = ACTIONS(1387),
    [anon_sym_native] = ACTIONS(1387),
    [anon_sym_transient] = ACTIONS(1387),
    [anon_sym_volatile] = ACTIONS(1387),
    [anon_sym_sealed] = ACTIONS(1387),
    [anon_sym_non_DASHsealed] = ACTIONS(1387),
    [anon_sym_record] = ACTIONS(1387),
    [anon_sym_ATinterface] = ACTIONS(1387),
    [anon_sym_interface] = ACTIONS(1387),
    [anon_sym_byte] = ACTIONS(1387),
    [anon_sym_short] = ACTIONS(1387),
    [anon_sym_int] = ACTIONS(1387),
    [anon_sym_long] = ACTIONS(1387),
    [anon_sym_char] = ACTIONS(1387),
    [anon_sym_float] = ACTIONS(1387),
    [anon_sym_double] = ACTIONS(1387),
    [sym_boolean_type] = ACTIONS(1387),
    [sym_void_type] = ACTIONS(1387),
    [anon_sym_def] = ACTIONS(1387),
    [sym_this] = ACTIONS(1387),
    [sym_super] = ACTIONS(1387),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1387),
  },
  [311] = {
    [ts_builtin_sym_end] = ACTIONS(1389),
    [sym_identifier] = ACTIONS(1391),
    [sym_decimal_integer_literal] = ACTIONS(1391),
    [sym_hex_integer_literal] = ACTIONS(1391),
    [sym_octal_integer_literal] = ACTIONS(1391),
    [sym_binary_integer_literal] = ACTIONS(1391),
    [sym_decimal_floating_point_literal] = ACTIONS(1391),
    [sym_hex_floating_point_literal] = ACTIONS(1391),
    [sym_true] = ACTIONS(1391),
    [sym_false] = ACTIONS(1391),
    [sym_character_literal] = ACTIONS(1391),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1391),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1391),
    [anon_sym_RBRACE] = ACTIONS(1391),
    [sym_null_literal] = ACTIONS(1391),
    [anon_sym_LPAREN] = ACTIONS(1391),
    [anon_sym_AMP] = ACTIONS(1391),
    [anon_sym_GT] = ACTIONS(1391),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_GT_EQ] = ACTIONS(1391),
    [anon_sym_LT_EQ] = ACTIONS(1391),
    [anon_sym_EQ_EQ] = ACTIONS(1391),
    [anon_sym_BANG_EQ] = ACTIONS(1391),
    [anon_sym_AMP_AMP] = ACTIONS(1391),
    [anon_sym_PIPE_PIPE] = ACTIONS(1391),
    [anon_sym_PLUS] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1391),
    [anon_sym_PERCENT] = ACTIONS(1391),
    [anon_sym_LT_LT] = ACTIONS(1391),
    [anon_sym_GT_GT] = ACTIONS(1391),
    [anon_sym_GT_GT_GT] = ACTIONS(1391),
    [anon_sym_in] = ACTIONS(1391),
    [anon_sym_STAR_STAR] = ACTIONS(1391),
    [anon_sym_instanceof] = ACTIONS(1391),
    [anon_sym_final] = ACTIONS(1391),
    [anon_sym_DASH_GT] = ACTIONS(1391),
    [anon_sym_QMARK] = ACTIONS(1391),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1391),
    [anon_sym_PLUS_PLUS] = ACTIONS(1391),
    [anon_sym_DASH_DASH] = ACTIONS(1391),
    [anon_sym_new] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1391),
    [anon_sym_DOT] = ACTIONS(1391),
    [anon_sym_class] = ACTIONS(1391),
    [anon_sym_COLON_COLON] = ACTIONS(1391),
    [anon_sym_switch] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1391),
    [anon_sym_case] = ACTIONS(1391),
    [anon_sym_default] = ACTIONS(1391),
    [sym_underscore_pattern] = ACTIONS(1391),
    [anon_sym_SEMI] = ACTIONS(1391),
    [aux_sym_expression_statement_token1] = ACTIONS(1389),
    [anon_sym_NULL] = ACTIONS(1391),
    [anon_sym_assert] = ACTIONS(1391),
    [anon_sym_do] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1391),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_continue] = ACTIONS(1391),
    [anon_sym_return] = ACTIONS(1391),
    [anon_sym_yield] = ACTIONS(1391),
    [anon_sym_synchronized] = ACTIONS(1391),
    [anon_sym_throw] = ACTIONS(1391),
    [anon_sym_try] = ACTIONS(1391),
    [anon_sym_if] = ACTIONS(1391),
    [anon_sym_else] = ACTIONS(1391),
    [anon_sym_for] = ACTIONS(1391),
    [anon_sym_AT] = ACTIONS(1391),
    [anon_sym_open] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_with] = ACTIONS(1391),
    [anon_sym_package] = ACTIONS(1391),
    [anon_sym_import] = ACTIONS(1391),
    [anon_sym_enum] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_abstract] = ACTIONS(1391),
    [anon_sym_strictfp] = ACTIONS(1391),
    [anon_sym_native] = ACTIONS(1391),
    [anon_sym_transient] = ACTIONS(1391),
    [anon_sym_volatile] = ACTIONS(1391),
    [anon_sym_sealed] = ACTIONS(1391),
    [anon_sym_non_DASHsealed] = ACTIONS(1391),
    [anon_sym_record] = ACTIONS(1391),
    [anon_sym_ATinterface] = ACTIONS(1391),
    [anon_sym_interface] = ACTIONS(1391),
    [anon_sym_byte] = ACTIONS(1391),
    [anon_sym_short] = ACTIONS(1391),
    [anon_sym_int] = ACTIONS(1391),
    [anon_sym_long] = ACTIONS(1391),
    [anon_sym_char] = ACTIONS(1391),
    [anon_sym_float] = ACTIONS(1391),
    [anon_sym_double] = ACTIONS(1391),
    [sym_boolean_type] = ACTIONS(1391),
    [sym_void_type] = ACTIONS(1391),
    [anon_sym_def] = ACTIONS(1391),
    [sym_this] = ACTIONS(1391),
    [sym_super] = ACTIONS(1391),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1391),
  },
  [312] = {
    [ts_builtin_sym_end] = ACTIONS(1393),
    [sym_identifier] = ACTIONS(1395),
    [sym_decimal_integer_literal] = ACTIONS(1395),
    [sym_hex_integer_literal] = ACTIONS(1395),
    [sym_octal_integer_literal] = ACTIONS(1395),
    [sym_binary_integer_literal] = ACTIONS(1395),
    [sym_decimal_floating_point_literal] = ACTIONS(1395),
    [sym_hex_floating_point_literal] = ACTIONS(1395),
    [sym_true] = ACTIONS(1395),
    [sym_false] = ACTIONS(1395),
    [sym_character_literal] = ACTIONS(1395),
    [anon_sym_DQUOTE] = ACTIONS(1395),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1395),
    [anon_sym_RBRACE] = ACTIONS(1395),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1395),
    [anon_sym_AMP] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT_EQ] = ACTIONS(1395),
    [anon_sym_LT_EQ] = ACTIONS(1395),
    [anon_sym_EQ_EQ] = ACTIONS(1395),
    [anon_sym_BANG_EQ] = ACTIONS(1395),
    [anon_sym_AMP_AMP] = ACTIONS(1395),
    [anon_sym_PIPE_PIPE] = ACTIONS(1395),
    [anon_sym_PLUS] = ACTIONS(1395),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1395),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PIPE] = ACTIONS(1395),
    [anon_sym_CARET] = ACTIONS(1395),
    [anon_sym_PERCENT] = ACTIONS(1395),
    [anon_sym_LT_LT] = ACTIONS(1395),
    [anon_sym_GT_GT] = ACTIONS(1395),
    [anon_sym_GT_GT_GT] = ACTIONS(1395),
    [anon_sym_in] = ACTIONS(1395),
    [anon_sym_STAR_STAR] = ACTIONS(1395),
    [anon_sym_instanceof] = ACTIONS(1395),
    [anon_sym_final] = ACTIONS(1395),
    [anon_sym_DASH_GT] = ACTIONS(1395),
    [anon_sym_QMARK] = ACTIONS(1395),
    [anon_sym_BANG] = ACTIONS(1395),
    [anon_sym_TILDE] = ACTIONS(1395),
    [anon_sym_PLUS_PLUS] = ACTIONS(1395),
    [anon_sym_DASH_DASH] = ACTIONS(1395),
    [anon_sym_new] = ACTIONS(1395),
    [anon_sym_LBRACK] = ACTIONS(1395),
    [anon_sym_DOT] = ACTIONS(1395),
    [anon_sym_class] = ACTIONS(1395),
    [anon_sym_COLON_COLON] = ACTIONS(1395),
    [anon_sym_switch] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1395),
    [anon_sym_case] = ACTIONS(1395),
    [anon_sym_default] = ACTIONS(1395),
    [sym_underscore_pattern] = ACTIONS(1395),
    [anon_sym_SEMI] = ACTIONS(1395),
    [aux_sym_expression_statement_token1] = ACTIONS(1393),
    [anon_sym_NULL] = ACTIONS(1395),
    [anon_sym_assert] = ACTIONS(1395),
    [anon_sym_do] = ACTIONS(1395),
    [anon_sym_while] = ACTIONS(1395),
    [anon_sym_break] = ACTIONS(1395),
    [anon_sym_continue] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1395),
    [anon_sym_yield] = ACTIONS(1395),
    [anon_sym_synchronized] = ACTIONS(1395),
    [anon_sym_throw] = ACTIONS(1395),
    [anon_sym_try] = ACTIONS(1395),
    [anon_sym_if] = ACTIONS(1395),
    [anon_sym_else] = ACTIONS(1395),
    [anon_sym_for] = ACTIONS(1395),
    [anon_sym_AT] = ACTIONS(1395),
    [anon_sym_open] = ACTIONS(1395),
    [anon_sym_module] = ACTIONS(1395),
    [anon_sym_static] = ACTIONS(1395),
    [anon_sym_with] = ACTIONS(1395),
    [anon_sym_package] = ACTIONS(1395),
    [anon_sym_import] = ACTIONS(1395),
    [anon_sym_enum] = ACTIONS(1395),
    [anon_sym_public] = ACTIONS(1395),
    [anon_sym_protected] = ACTIONS(1395),
    [anon_sym_private] = ACTIONS(1395),
    [anon_sym_abstract] = ACTIONS(1395),
    [anon_sym_strictfp] = ACTIONS(1395),
    [anon_sym_native] = ACTIONS(1395),
    [anon_sym_transient] = ACTIONS(1395),
    [anon_sym_volatile] = ACTIONS(1395),
    [anon_sym_sealed] = ACTIONS(1395),
    [anon_sym_non_DASHsealed] = ACTIONS(1395),
    [anon_sym_record] = ACTIONS(1395),
    [anon_sym_ATinterface] = ACTIONS(1395),
    [anon_sym_interface] = ACTIONS(1395),
    [anon_sym_byte] = ACTIONS(1395),
    [anon_sym_short] = ACTIONS(1395),
    [anon_sym_int] = ACTIONS(1395),
    [anon_sym_long] = ACTIONS(1395),
    [anon_sym_char] = ACTIONS(1395),
    [anon_sym_float] = ACTIONS(1395),
    [anon_sym_double] = ACTIONS(1395),
    [sym_boolean_type] = ACTIONS(1395),
    [sym_void_type] = ACTIONS(1395),
    [anon_sym_def] = ACTIONS(1395),
    [sym_this] = ACTIONS(1395),
    [sym_super] = ACTIONS(1395),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1395),
  },
  [313] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym_identifier] = ACTIONS(1399),
    [sym_decimal_integer_literal] = ACTIONS(1399),
    [sym_hex_integer_literal] = ACTIONS(1399),
    [sym_octal_integer_literal] = ACTIONS(1399),
    [sym_binary_integer_literal] = ACTIONS(1399),
    [sym_decimal_floating_point_literal] = ACTIONS(1399),
    [sym_hex_floating_point_literal] = ACTIONS(1399),
    [sym_true] = ACTIONS(1399),
    [sym_false] = ACTIONS(1399),
    [sym_character_literal] = ACTIONS(1399),
    [anon_sym_DQUOTE] = ACTIONS(1399),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1399),
    [anon_sym_RBRACE] = ACTIONS(1399),
    [sym_null_literal] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1399),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT_EQ] = ACTIONS(1399),
    [anon_sym_LT_EQ] = ACTIONS(1399),
    [anon_sym_EQ_EQ] = ACTIONS(1399),
    [anon_sym_BANG_EQ] = ACTIONS(1399),
    [anon_sym_AMP_AMP] = ACTIONS(1399),
    [anon_sym_PIPE_PIPE] = ACTIONS(1399),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1399),
    [anon_sym_PERCENT] = ACTIONS(1399),
    [anon_sym_LT_LT] = ACTIONS(1399),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1399),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_STAR_STAR] = ACTIONS(1399),
    [anon_sym_instanceof] = ACTIONS(1399),
    [anon_sym_final] = ACTIONS(1399),
    [anon_sym_DASH_GT] = ACTIONS(1399),
    [anon_sym_QMARK] = ACTIONS(1399),
    [anon_sym_BANG] = ACTIONS(1399),
    [anon_sym_TILDE] = ACTIONS(1399),
    [anon_sym_PLUS_PLUS] = ACTIONS(1399),
    [anon_sym_DASH_DASH] = ACTIONS(1399),
    [anon_sym_new] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1399),
    [anon_sym_DOT] = ACTIONS(1399),
    [anon_sym_class] = ACTIONS(1399),
    [anon_sym_COLON_COLON] = ACTIONS(1399),
    [anon_sym_switch] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1399),
    [anon_sym_case] = ACTIONS(1399),
    [anon_sym_default] = ACTIONS(1399),
    [sym_underscore_pattern] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1399),
    [aux_sym_expression_statement_token1] = ACTIONS(1397),
    [anon_sym_NULL] = ACTIONS(1399),
    [anon_sym_assert] = ACTIONS(1399),
    [anon_sym_do] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1399),
    [anon_sym_break] = ACTIONS(1399),
    [anon_sym_continue] = ACTIONS(1399),
    [anon_sym_return] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1399),
    [anon_sym_synchronized] = ACTIONS(1399),
    [anon_sym_throw] = ACTIONS(1399),
    [anon_sym_try] = ACTIONS(1399),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_else] = ACTIONS(1399),
    [anon_sym_for] = ACTIONS(1399),
    [anon_sym_AT] = ACTIONS(1399),
    [anon_sym_open] = ACTIONS(1399),
    [anon_sym_module] = ACTIONS(1399),
    [anon_sym_static] = ACTIONS(1399),
    [anon_sym_with] = ACTIONS(1399),
    [anon_sym_package] = ACTIONS(1399),
    [anon_sym_import] = ACTIONS(1399),
    [anon_sym_enum] = ACTIONS(1399),
    [anon_sym_public] = ACTIONS(1399),
    [anon_sym_protected] = ACTIONS(1399),
    [anon_sym_private] = ACTIONS(1399),
    [anon_sym_abstract] = ACTIONS(1399),
    [anon_sym_strictfp] = ACTIONS(1399),
    [anon_sym_native] = ACTIONS(1399),
    [anon_sym_transient] = ACTIONS(1399),
    [anon_sym_volatile] = ACTIONS(1399),
    [anon_sym_sealed] = ACTIONS(1399),
    [anon_sym_non_DASHsealed] = ACTIONS(1399),
    [anon_sym_record] = ACTIONS(1399),
    [anon_sym_ATinterface] = ACTIONS(1399),
    [anon_sym_interface] = ACTIONS(1399),
    [anon_sym_byte] = ACTIONS(1399),
    [anon_sym_short] = ACTIONS(1399),
    [anon_sym_int] = ACTIONS(1399),
    [anon_sym_long] = ACTIONS(1399),
    [anon_sym_char] = ACTIONS(1399),
    [anon_sym_float] = ACTIONS(1399),
    [anon_sym_double] = ACTIONS(1399),
    [sym_boolean_type] = ACTIONS(1399),
    [sym_void_type] = ACTIONS(1399),
    [anon_sym_def] = ACTIONS(1399),
    [sym_this] = ACTIONS(1399),
    [sym_super] = ACTIONS(1399),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1399),
  },
  [314] = {
    [ts_builtin_sym_end] = ACTIONS(1401),
    [sym_identifier] = ACTIONS(1403),
    [sym_decimal_integer_literal] = ACTIONS(1403),
    [sym_hex_integer_literal] = ACTIONS(1403),
    [sym_octal_integer_literal] = ACTIONS(1403),
    [sym_binary_integer_literal] = ACTIONS(1403),
    [sym_decimal_floating_point_literal] = ACTIONS(1403),
    [sym_hex_floating_point_literal] = ACTIONS(1403),
    [sym_true] = ACTIONS(1403),
    [sym_false] = ACTIONS(1403),
    [sym_character_literal] = ACTIONS(1403),
    [anon_sym_DQUOTE] = ACTIONS(1403),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1403),
    [anon_sym_RBRACE] = ACTIONS(1403),
    [sym_null_literal] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1403),
    [anon_sym_AMP] = ACTIONS(1403),
    [anon_sym_GT] = ACTIONS(1403),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_GT_EQ] = ACTIONS(1403),
    [anon_sym_LT_EQ] = ACTIONS(1403),
    [anon_sym_EQ_EQ] = ACTIONS(1403),
    [anon_sym_BANG_EQ] = ACTIONS(1403),
    [anon_sym_AMP_AMP] = ACTIONS(1403),
    [anon_sym_PIPE_PIPE] = ACTIONS(1403),
    [anon_sym_PLUS] = ACTIONS(1403),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1403),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PIPE] = ACTIONS(1403),
    [anon_sym_CARET] = ACTIONS(1403),
    [anon_sym_PERCENT] = ACTIONS(1403),
    [anon_sym_LT_LT] = ACTIONS(1403),
    [anon_sym_GT_GT] = ACTIONS(1403),
    [anon_sym_GT_GT_GT] = ACTIONS(1403),
    [anon_sym_in] = ACTIONS(1403),
    [anon_sym_STAR_STAR] = ACTIONS(1403),
    [anon_sym_instanceof] = ACTIONS(1403),
    [anon_sym_final] = ACTIONS(1403),
    [anon_sym_DASH_GT] = ACTIONS(1403),
    [anon_sym_QMARK] = ACTIONS(1403),
    [anon_sym_BANG] = ACTIONS(1403),
    [anon_sym_TILDE] = ACTIONS(1403),
    [anon_sym_PLUS_PLUS] = ACTIONS(1403),
    [anon_sym_DASH_DASH] = ACTIONS(1403),
    [anon_sym_new] = ACTIONS(1403),
    [anon_sym_LBRACK] = ACTIONS(1403),
    [anon_sym_DOT] = ACTIONS(1403),
    [anon_sym_class] = ACTIONS(1403),
    [anon_sym_COLON_COLON] = ACTIONS(1403),
    [anon_sym_switch] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1403),
    [anon_sym_case] = ACTIONS(1403),
    [anon_sym_default] = ACTIONS(1403),
    [sym_underscore_pattern] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1403),
    [aux_sym_expression_statement_token1] = ACTIONS(1401),
    [anon_sym_NULL] = ACTIONS(1403),
    [anon_sym_assert] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1403),
    [anon_sym_while] = ACTIONS(1403),
    [anon_sym_break] = ACTIONS(1403),
    [anon_sym_continue] = ACTIONS(1403),
    [anon_sym_return] = ACTIONS(1403),
    [anon_sym_yield] = ACTIONS(1403),
    [anon_sym_synchronized] = ACTIONS(1403),
    [anon_sym_throw] = ACTIONS(1403),
    [anon_sym_try] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1403),
    [anon_sym_else] = ACTIONS(1403),
    [anon_sym_for] = ACTIONS(1403),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_open] = ACTIONS(1403),
    [anon_sym_module] = ACTIONS(1403),
    [anon_sym_static] = ACTIONS(1403),
    [anon_sym_with] = ACTIONS(1403),
    [anon_sym_package] = ACTIONS(1403),
    [anon_sym_import] = ACTIONS(1403),
    [anon_sym_enum] = ACTIONS(1403),
    [anon_sym_public] = ACTIONS(1403),
    [anon_sym_protected] = ACTIONS(1403),
    [anon_sym_private] = ACTIONS(1403),
    [anon_sym_abstract] = ACTIONS(1403),
    [anon_sym_strictfp] = ACTIONS(1403),
    [anon_sym_native] = ACTIONS(1403),
    [anon_sym_transient] = ACTIONS(1403),
    [anon_sym_volatile] = ACTIONS(1403),
    [anon_sym_sealed] = ACTIONS(1403),
    [anon_sym_non_DASHsealed] = ACTIONS(1403),
    [anon_sym_record] = ACTIONS(1403),
    [anon_sym_ATinterface] = ACTIONS(1403),
    [anon_sym_interface] = ACTIONS(1403),
    [anon_sym_byte] = ACTIONS(1403),
    [anon_sym_short] = ACTIONS(1403),
    [anon_sym_int] = ACTIONS(1403),
    [anon_sym_long] = ACTIONS(1403),
    [anon_sym_char] = ACTIONS(1403),
    [anon_sym_float] = ACTIONS(1403),
    [anon_sym_double] = ACTIONS(1403),
    [sym_boolean_type] = ACTIONS(1403),
    [sym_void_type] = ACTIONS(1403),
    [anon_sym_def] = ACTIONS(1403),
    [sym_this] = ACTIONS(1403),
    [sym_super] = ACTIONS(1403),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1403),
  },
  [315] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym_identifier] = ACTIONS(1407),
    [sym_decimal_integer_literal] = ACTIONS(1407),
    [sym_hex_integer_literal] = ACTIONS(1407),
    [sym_octal_integer_literal] = ACTIONS(1407),
    [sym_binary_integer_literal] = ACTIONS(1407),
    [sym_decimal_floating_point_literal] = ACTIONS(1407),
    [sym_hex_floating_point_literal] = ACTIONS(1407),
    [sym_true] = ACTIONS(1407),
    [sym_false] = ACTIONS(1407),
    [sym_character_literal] = ACTIONS(1407),
    [anon_sym_DQUOTE] = ACTIONS(1407),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1407),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1407),
    [anon_sym_RBRACE] = ACTIONS(1407),
    [sym_null_literal] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1407),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1407),
    [anon_sym_LT_EQ] = ACTIONS(1407),
    [anon_sym_EQ_EQ] = ACTIONS(1407),
    [anon_sym_BANG_EQ] = ACTIONS(1407),
    [anon_sym_AMP_AMP] = ACTIONS(1407),
    [anon_sym_PIPE_PIPE] = ACTIONS(1407),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1407),
    [anon_sym_PERCENT] = ACTIONS(1407),
    [anon_sym_LT_LT] = ACTIONS(1407),
    [anon_sym_GT_GT] = ACTIONS(1407),
    [anon_sym_GT_GT_GT] = ACTIONS(1407),
    [anon_sym_in] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1407),
    [anon_sym_instanceof] = ACTIONS(1407),
    [anon_sym_final] = ACTIONS(1407),
    [anon_sym_DASH_GT] = ACTIONS(1407),
    [anon_sym_QMARK] = ACTIONS(1407),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1407),
    [anon_sym_PLUS_PLUS] = ACTIONS(1407),
    [anon_sym_DASH_DASH] = ACTIONS(1407),
    [anon_sym_new] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1407),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_class] = ACTIONS(1407),
    [anon_sym_COLON_COLON] = ACTIONS(1407),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1407),
    [anon_sym_case] = ACTIONS(1407),
    [anon_sym_default] = ACTIONS(1407),
    [sym_underscore_pattern] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1407),
    [aux_sym_expression_statement_token1] = ACTIONS(1405),
    [anon_sym_NULL] = ACTIONS(1407),
    [anon_sym_assert] = ACTIONS(1407),
    [anon_sym_do] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1407),
    [anon_sym_break] = ACTIONS(1407),
    [anon_sym_continue] = ACTIONS(1407),
    [anon_sym_return] = ACTIONS(1407),
    [anon_sym_yield] = ACTIONS(1407),
    [anon_sym_synchronized] = ACTIONS(1407),
    [anon_sym_throw] = ACTIONS(1407),
    [anon_sym_try] = ACTIONS(1407),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_else] = ACTIONS(1407),
    [anon_sym_for] = ACTIONS(1407),
    [anon_sym_AT] = ACTIONS(1407),
    [anon_sym_open] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_with] = ACTIONS(1407),
    [anon_sym_package] = ACTIONS(1407),
    [anon_sym_import] = ACTIONS(1407),
    [anon_sym_enum] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_abstract] = ACTIONS(1407),
    [anon_sym_strictfp] = ACTIONS(1407),
    [anon_sym_native] = ACTIONS(1407),
    [anon_sym_transient] = ACTIONS(1407),
    [anon_sym_volatile] = ACTIONS(1407),
    [anon_sym_sealed] = ACTIONS(1407),
    [anon_sym_non_DASHsealed] = ACTIONS(1407),
    [anon_sym_record] = ACTIONS(1407),
    [anon_sym_ATinterface] = ACTIONS(1407),
    [anon_sym_interface] = ACTIONS(1407),
    [anon_sym_byte] = ACTIONS(1407),
    [anon_sym_short] = ACTIONS(1407),
    [anon_sym_int] = ACTIONS(1407),
    [anon_sym_long] = ACTIONS(1407),
    [anon_sym_char] = ACTIONS(1407),
    [anon_sym_float] = ACTIONS(1407),
    [anon_sym_double] = ACTIONS(1407),
    [sym_boolean_type] = ACTIONS(1407),
    [sym_void_type] = ACTIONS(1407),
    [anon_sym_def] = ACTIONS(1407),
    [sym_this] = ACTIONS(1407),
    [sym_super] = ACTIONS(1407),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1407),
  },
  [316] = {
    [ts_builtin_sym_end] = ACTIONS(1409),
    [sym_identifier] = ACTIONS(1411),
    [sym_decimal_integer_literal] = ACTIONS(1411),
    [sym_hex_integer_literal] = ACTIONS(1411),
    [sym_octal_integer_literal] = ACTIONS(1411),
    [sym_binary_integer_literal] = ACTIONS(1411),
    [sym_decimal_floating_point_literal] = ACTIONS(1411),
    [sym_hex_floating_point_literal] = ACTIONS(1411),
    [sym_true] = ACTIONS(1411),
    [sym_false] = ACTIONS(1411),
    [sym_character_literal] = ACTIONS(1411),
    [anon_sym_DQUOTE] = ACTIONS(1411),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1411),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1411),
    [anon_sym_RBRACE] = ACTIONS(1411),
    [sym_null_literal] = ACTIONS(1411),
    [anon_sym_LPAREN] = ACTIONS(1411),
    [anon_sym_AMP] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_GT_EQ] = ACTIONS(1411),
    [anon_sym_LT_EQ] = ACTIONS(1411),
    [anon_sym_EQ_EQ] = ACTIONS(1411),
    [anon_sym_BANG_EQ] = ACTIONS(1411),
    [anon_sym_AMP_AMP] = ACTIONS(1411),
    [anon_sym_PIPE_PIPE] = ACTIONS(1411),
    [anon_sym_PLUS] = ACTIONS(1411),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1411),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PIPE] = ACTIONS(1411),
    [anon_sym_CARET] = ACTIONS(1411),
    [anon_sym_PERCENT] = ACTIONS(1411),
    [anon_sym_LT_LT] = ACTIONS(1411),
    [anon_sym_GT_GT] = ACTIONS(1411),
    [anon_sym_GT_GT_GT] = ACTIONS(1411),
    [anon_sym_in] = ACTIONS(1411),
    [anon_sym_STAR_STAR] = ACTIONS(1411),
    [anon_sym_instanceof] = ACTIONS(1411),
    [anon_sym_final] = ACTIONS(1411),
    [anon_sym_DASH_GT] = ACTIONS(1411),
    [anon_sym_QMARK] = ACTIONS(1411),
    [anon_sym_BANG] = ACTIONS(1411),
    [anon_sym_TILDE] = ACTIONS(1411),
    [anon_sym_PLUS_PLUS] = ACTIONS(1411),
    [anon_sym_DASH_DASH] = ACTIONS(1411),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_LBRACK] = ACTIONS(1411),
    [anon_sym_DOT] = ACTIONS(1411),
    [anon_sym_class] = ACTIONS(1411),
    [anon_sym_switch] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1411),
    [anon_sym_case] = ACTIONS(1411),
    [anon_sym_default] = ACTIONS(1411),
    [sym_underscore_pattern] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(1411),
    [aux_sym_expression_statement_token1] = ACTIONS(1409),
    [anon_sym_NULL] = ACTIONS(1411),
    [anon_sym_assert] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(1411),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_break] = ACTIONS(1411),
    [anon_sym_continue] = ACTIONS(1411),
    [anon_sym_return] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1411),
    [anon_sym_synchronized] = ACTIONS(1411),
    [anon_sym_throw] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1411),
    [anon_sym_else] = ACTIONS(1411),
    [anon_sym_for] = ACTIONS(1411),
    [anon_sym_AT] = ACTIONS(1411),
    [anon_sym_open] = ACTIONS(1411),
    [anon_sym_module] = ACTIONS(1411),
    [anon_sym_static] = ACTIONS(1411),
    [anon_sym_with] = ACTIONS(1411),
    [anon_sym_package] = ACTIONS(1411),
    [anon_sym_import] = ACTIONS(1411),
    [anon_sym_enum] = ACTIONS(1411),
    [anon_sym_public] = ACTIONS(1411),
    [anon_sym_protected] = ACTIONS(1411),
    [anon_sym_private] = ACTIONS(1411),
    [anon_sym_abstract] = ACTIONS(1411),
    [anon_sym_strictfp] = ACTIONS(1411),
    [anon_sym_native] = ACTIONS(1411),
    [anon_sym_transient] = ACTIONS(1411),
    [anon_sym_volatile] = ACTIONS(1411),
    [anon_sym_sealed] = ACTIONS(1411),
    [anon_sym_non_DASHsealed] = ACTIONS(1411),
    [anon_sym_record] = ACTIONS(1411),
    [anon_sym_ATinterface] = ACTIONS(1411),
    [anon_sym_interface] = ACTIONS(1411),
    [anon_sym_byte] = ACTIONS(1411),
    [anon_sym_short] = ACTIONS(1411),
    [anon_sym_int] = ACTIONS(1411),
    [anon_sym_long] = ACTIONS(1411),
    [anon_sym_char] = ACTIONS(1411),
    [anon_sym_float] = ACTIONS(1411),
    [anon_sym_double] = ACTIONS(1411),
    [sym_boolean_type] = ACTIONS(1411),
    [sym_void_type] = ACTIONS(1411),
    [anon_sym_def] = ACTIONS(1411),
    [sym_this] = ACTIONS(1411),
    [sym_super] = ACTIONS(1411),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1411),
  },
  [317] = {
    [ts_builtin_sym_end] = ACTIONS(1413),
    [sym_identifier] = ACTIONS(1415),
    [sym_decimal_integer_literal] = ACTIONS(1415),
    [sym_hex_integer_literal] = ACTIONS(1415),
    [sym_octal_integer_literal] = ACTIONS(1415),
    [sym_binary_integer_literal] = ACTIONS(1415),
    [sym_decimal_floating_point_literal] = ACTIONS(1415),
    [sym_hex_floating_point_literal] = ACTIONS(1415),
    [sym_true] = ACTIONS(1415),
    [sym_false] = ACTIONS(1415),
    [sym_character_literal] = ACTIONS(1415),
    [anon_sym_DQUOTE] = ACTIONS(1415),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1415),
    [anon_sym_RBRACE] = ACTIONS(1415),
    [sym_null_literal] = ACTIONS(1415),
    [anon_sym_LPAREN] = ACTIONS(1415),
    [anon_sym_AMP] = ACTIONS(1415),
    [anon_sym_GT] = ACTIONS(1415),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_GT_EQ] = ACTIONS(1415),
    [anon_sym_LT_EQ] = ACTIONS(1415),
    [anon_sym_EQ_EQ] = ACTIONS(1415),
    [anon_sym_BANG_EQ] = ACTIONS(1415),
    [anon_sym_AMP_AMP] = ACTIONS(1415),
    [anon_sym_PIPE_PIPE] = ACTIONS(1415),
    [anon_sym_PLUS] = ACTIONS(1415),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1415),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PIPE] = ACTIONS(1415),
    [anon_sym_CARET] = ACTIONS(1415),
    [anon_sym_PERCENT] = ACTIONS(1415),
    [anon_sym_LT_LT] = ACTIONS(1415),
    [anon_sym_GT_GT] = ACTIONS(1415),
    [anon_sym_GT_GT_GT] = ACTIONS(1415),
    [anon_sym_in] = ACTIONS(1415),
    [anon_sym_STAR_STAR] = ACTIONS(1415),
    [anon_sym_instanceof] = ACTIONS(1415),
    [anon_sym_final] = ACTIONS(1415),
    [anon_sym_DASH_GT] = ACTIONS(1415),
    [anon_sym_QMARK] = ACTIONS(1415),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1415),
    [anon_sym_PLUS_PLUS] = ACTIONS(1415),
    [anon_sym_DASH_DASH] = ACTIONS(1415),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(1415),
    [anon_sym_DOT] = ACTIONS(1415),
    [anon_sym_class] = ACTIONS(1415),
    [anon_sym_switch] = ACTIONS(1415),
    [anon_sym_LBRACE] = ACTIONS(1415),
    [anon_sym_case] = ACTIONS(1415),
    [anon_sym_default] = ACTIONS(1415),
    [sym_underscore_pattern] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(1415),
    [aux_sym_expression_statement_token1] = ACTIONS(1413),
    [anon_sym_NULL] = ACTIONS(1415),
    [anon_sym_assert] = ACTIONS(1415),
    [anon_sym_do] = ACTIONS(1415),
    [anon_sym_while] = ACTIONS(1415),
    [anon_sym_break] = ACTIONS(1415),
    [anon_sym_continue] = ACTIONS(1415),
    [anon_sym_return] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_synchronized] = ACTIONS(1415),
    [anon_sym_throw] = ACTIONS(1415),
    [anon_sym_try] = ACTIONS(1415),
    [anon_sym_if] = ACTIONS(1415),
    [anon_sym_else] = ACTIONS(1415),
    [anon_sym_for] = ACTIONS(1415),
    [anon_sym_AT] = ACTIONS(1415),
    [anon_sym_open] = ACTIONS(1415),
    [anon_sym_module] = ACTIONS(1415),
    [anon_sym_static] = ACTIONS(1415),
    [anon_sym_with] = ACTIONS(1415),
    [anon_sym_package] = ACTIONS(1415),
    [anon_sym_import] = ACTIONS(1415),
    [anon_sym_enum] = ACTIONS(1415),
    [anon_sym_public] = ACTIONS(1415),
    [anon_sym_protected] = ACTIONS(1415),
    [anon_sym_private] = ACTIONS(1415),
    [anon_sym_abstract] = ACTIONS(1415),
    [anon_sym_strictfp] = ACTIONS(1415),
    [anon_sym_native] = ACTIONS(1415),
    [anon_sym_transient] = ACTIONS(1415),
    [anon_sym_volatile] = ACTIONS(1415),
    [anon_sym_sealed] = ACTIONS(1415),
    [anon_sym_non_DASHsealed] = ACTIONS(1415),
    [anon_sym_record] = ACTIONS(1415),
    [anon_sym_ATinterface] = ACTIONS(1415),
    [anon_sym_interface] = ACTIONS(1415),
    [anon_sym_byte] = ACTIONS(1415),
    [anon_sym_short] = ACTIONS(1415),
    [anon_sym_int] = ACTIONS(1415),
    [anon_sym_long] = ACTIONS(1415),
    [anon_sym_char] = ACTIONS(1415),
    [anon_sym_float] = ACTIONS(1415),
    [anon_sym_double] = ACTIONS(1415),
    [sym_boolean_type] = ACTIONS(1415),
    [sym_void_type] = ACTIONS(1415),
    [anon_sym_def] = ACTIONS(1415),
    [sym_this] = ACTIONS(1415),
    [sym_super] = ACTIONS(1415),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1415),
  },
  [318] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym_identifier] = ACTIONS(1419),
    [sym_decimal_integer_literal] = ACTIONS(1419),
    [sym_hex_integer_literal] = ACTIONS(1419),
    [sym_octal_integer_literal] = ACTIONS(1419),
    [sym_binary_integer_literal] = ACTIONS(1419),
    [sym_decimal_floating_point_literal] = ACTIONS(1419),
    [sym_hex_floating_point_literal] = ACTIONS(1419),
    [sym_true] = ACTIONS(1419),
    [sym_false] = ACTIONS(1419),
    [sym_character_literal] = ACTIONS(1419),
    [anon_sym_DQUOTE] = ACTIONS(1419),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1419),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1419),
    [anon_sym_RBRACE] = ACTIONS(1419),
    [sym_null_literal] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1419),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT_EQ] = ACTIONS(1419),
    [anon_sym_LT_EQ] = ACTIONS(1419),
    [anon_sym_EQ_EQ] = ACTIONS(1419),
    [anon_sym_BANG_EQ] = ACTIONS(1419),
    [anon_sym_AMP_AMP] = ACTIONS(1419),
    [anon_sym_PIPE_PIPE] = ACTIONS(1419),
    [anon_sym_PLUS] = ACTIONS(1419),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE] = ACTIONS(1419),
    [anon_sym_CARET] = ACTIONS(1419),
    [anon_sym_PERCENT] = ACTIONS(1419),
    [anon_sym_LT_LT] = ACTIONS(1419),
    [anon_sym_GT_GT] = ACTIONS(1419),
    [anon_sym_GT_GT_GT] = ACTIONS(1419),
    [anon_sym_in] = ACTIONS(1419),
    [anon_sym_STAR_STAR] = ACTIONS(1419),
    [anon_sym_instanceof] = ACTIONS(1419),
    [anon_sym_final] = ACTIONS(1419),
    [anon_sym_DASH_GT] = ACTIONS(1419),
    [anon_sym_QMARK] = ACTIONS(1419),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1419),
    [anon_sym_PLUS_PLUS] = ACTIONS(1419),
    [anon_sym_DASH_DASH] = ACTIONS(1419),
    [anon_sym_new] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1419),
    [anon_sym_DOT] = ACTIONS(1419),
    [anon_sym_class] = ACTIONS(1419),
    [anon_sym_switch] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1419),
    [anon_sym_case] = ACTIONS(1419),
    [anon_sym_default] = ACTIONS(1419),
    [sym_underscore_pattern] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1419),
    [aux_sym_expression_statement_token1] = ACTIONS(1417),
    [anon_sym_NULL] = ACTIONS(1419),
    [anon_sym_assert] = ACTIONS(1419),
    [anon_sym_do] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1419),
    [anon_sym_break] = ACTIONS(1419),
    [anon_sym_continue] = ACTIONS(1419),
    [anon_sym_return] = ACTIONS(1419),
    [anon_sym_yield] = ACTIONS(1419),
    [anon_sym_synchronized] = ACTIONS(1419),
    [anon_sym_throw] = ACTIONS(1419),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_else] = ACTIONS(1419),
    [anon_sym_for] = ACTIONS(1419),
    [anon_sym_AT] = ACTIONS(1419),
    [anon_sym_open] = ACTIONS(1419),
    [anon_sym_module] = ACTIONS(1419),
    [anon_sym_static] = ACTIONS(1419),
    [anon_sym_with] = ACTIONS(1419),
    [anon_sym_package] = ACTIONS(1419),
    [anon_sym_import] = ACTIONS(1419),
    [anon_sym_enum] = ACTIONS(1419),
    [anon_sym_public] = ACTIONS(1419),
    [anon_sym_protected] = ACTIONS(1419),
    [anon_sym_private] = ACTIONS(1419),
    [anon_sym_abstract] = ACTIONS(1419),
    [anon_sym_strictfp] = ACTIONS(1419),
    [anon_sym_native] = ACTIONS(1419),
    [anon_sym_transient] = ACTIONS(1419),
    [anon_sym_volatile] = ACTIONS(1419),
    [anon_sym_sealed] = ACTIONS(1419),
    [anon_sym_non_DASHsealed] = ACTIONS(1419),
    [anon_sym_record] = ACTIONS(1419),
    [anon_sym_ATinterface] = ACTIONS(1419),
    [anon_sym_interface] = ACTIONS(1419),
    [anon_sym_byte] = ACTIONS(1419),
    [anon_sym_short] = ACTIONS(1419),
    [anon_sym_int] = ACTIONS(1419),
    [anon_sym_long] = ACTIONS(1419),
    [anon_sym_char] = ACTIONS(1419),
    [anon_sym_float] = ACTIONS(1419),
    [anon_sym_double] = ACTIONS(1419),
    [sym_boolean_type] = ACTIONS(1419),
    [sym_void_type] = ACTIONS(1419),
    [anon_sym_def] = ACTIONS(1419),
    [sym_this] = ACTIONS(1419),
    [sym_super] = ACTIONS(1419),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1419),
  },
  [319] = {
    [sym_argument_list] = STATE(343),
    [sym_closure] = STATE(472),
    [ts_builtin_sym_end] = ACTIONS(810),
    [sym_identifier] = ACTIONS(772),
    [sym_decimal_integer_literal] = ACTIONS(772),
    [sym_hex_integer_literal] = ACTIONS(772),
    [sym_octal_integer_literal] = ACTIONS(772),
    [sym_binary_integer_literal] = ACTIONS(810),
    [sym_decimal_floating_point_literal] = ACTIONS(810),
    [sym_hex_floating_point_literal] = ACTIONS(772),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_character_literal] = ACTIONS(810),
    [anon_sym_DQUOTE] = ACTIONS(772),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(810),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(810),
    [anon_sym_RBRACE] = ACTIONS(810),
    [sym_null_literal] = ACTIONS(772),
    [anon_sym_LPAREN] = ACTIONS(854),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(772),
    [anon_sym_GT_EQ] = ACTIONS(810),
    [anon_sym_LT_EQ] = ACTIONS(810),
    [anon_sym_EQ_EQ] = ACTIONS(810),
    [anon_sym_BANG_EQ] = ACTIONS(810),
    [anon_sym_AMP_AMP] = ACTIONS(810),
    [anon_sym_PIPE_PIPE] = ACTIONS(810),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(810),
    [anon_sym_PERCENT] = ACTIONS(810),
    [anon_sym_LT_LT] = ACTIONS(810),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(810),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(810),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_final] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(861),
    [anon_sym_COMMA] = ACTIONS(810),
    [anon_sym_QMARK] = ACTIONS(810),
    [anon_sym_BANG] = ACTIONS(772),
    [anon_sym_TILDE] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(810),
    [anon_sym_DASH_DASH] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_DOT] = ACTIONS(772),
    [anon_sym_class] = ACTIONS(772),
    [anon_sym_COLON_COLON] = ACTIONS(810),
    [anon_sym_switch] = ACTIONS(772),
    [anon_sym_LBRACE] = ACTIONS(867),
    [anon_sym_default] = ACTIONS(772),
    [sym_underscore_pattern] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(810),
    [anon_sym_assert] = ACTIONS(772),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_while] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(772),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(772),
    [anon_sym_synchronized] = ACTIONS(772),
    [anon_sym_throw] = ACTIONS(772),
    [anon_sym_try] = ACTIONS(772),
    [anon_sym_if] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(772),
    [anon_sym_open] = ACTIONS(772),
    [anon_sym_module] = ACTIONS(772),
    [anon_sym_static] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(772),
    [anon_sym_package] = ACTIONS(772),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_enum] = ACTIONS(772),
    [anon_sym_public] = ACTIONS(772),
    [anon_sym_protected] = ACTIONS(772),
    [anon_sym_private] = ACTIONS(772),
    [anon_sym_abstract] = ACTIONS(772),
    [anon_sym_strictfp] = ACTIONS(772),
    [anon_sym_native] = ACTIONS(772),
    [anon_sym_transient] = ACTIONS(772),
    [anon_sym_volatile] = ACTIONS(772),
    [anon_sym_sealed] = ACTIONS(772),
    [anon_sym_non_DASHsealed] = ACTIONS(810),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_ATinterface] = ACTIONS(810),
    [anon_sym_interface] = ACTIONS(772),
    [anon_sym_byte] = ACTIONS(772),
    [anon_sym_short] = ACTIONS(772),
    [anon_sym_int] = ACTIONS(772),
    [anon_sym_long] = ACTIONS(772),
    [anon_sym_char] = ACTIONS(772),
    [anon_sym_float] = ACTIONS(772),
    [anon_sym_double] = ACTIONS(772),
    [sym_boolean_type] = ACTIONS(772),
    [sym_void_type] = ACTIONS(772),
    [anon_sym_def] = ACTIONS(772),
    [sym_this] = ACTIONS(772),
    [sym_super] = ACTIONS(772),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(810),
  },
  [320] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym_identifier] = ACTIONS(1423),
    [sym_decimal_integer_literal] = ACTIONS(1423),
    [sym_hex_integer_literal] = ACTIONS(1423),
    [sym_octal_integer_literal] = ACTIONS(1423),
    [sym_binary_integer_literal] = ACTIONS(1423),
    [sym_decimal_floating_point_literal] = ACTIONS(1423),
    [sym_hex_floating_point_literal] = ACTIONS(1423),
    [sym_true] = ACTIONS(1423),
    [sym_false] = ACTIONS(1423),
    [sym_character_literal] = ACTIONS(1423),
    [anon_sym_DQUOTE] = ACTIONS(1423),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1423),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1423),
    [anon_sym_RBRACE] = ACTIONS(1423),
    [sym_null_literal] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1423),
    [anon_sym_AMP] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT_EQ] = ACTIONS(1423),
    [anon_sym_LT_EQ] = ACTIONS(1423),
    [anon_sym_EQ_EQ] = ACTIONS(1423),
    [anon_sym_BANG_EQ] = ACTIONS(1423),
    [anon_sym_AMP_AMP] = ACTIONS(1423),
    [anon_sym_PIPE_PIPE] = ACTIONS(1423),
    [anon_sym_PLUS] = ACTIONS(1423),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1423),
    [anon_sym_PERCENT] = ACTIONS(1423),
    [anon_sym_LT_LT] = ACTIONS(1423),
    [anon_sym_GT_GT] = ACTIONS(1423),
    [anon_sym_GT_GT_GT] = ACTIONS(1423),
    [anon_sym_in] = ACTIONS(1423),
    [anon_sym_STAR_STAR] = ACTIONS(1423),
    [anon_sym_instanceof] = ACTIONS(1423),
    [anon_sym_final] = ACTIONS(1423),
    [anon_sym_DASH_GT] = ACTIONS(1423),
    [anon_sym_QMARK] = ACTIONS(1423),
    [anon_sym_BANG] = ACTIONS(1423),
    [anon_sym_TILDE] = ACTIONS(1423),
    [anon_sym_PLUS_PLUS] = ACTIONS(1423),
    [anon_sym_DASH_DASH] = ACTIONS(1423),
    [anon_sym_new] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1423),
    [anon_sym_DOT] = ACTIONS(1423),
    [anon_sym_class] = ACTIONS(1423),
    [anon_sym_switch] = ACTIONS(1423),
    [anon_sym_LBRACE] = ACTIONS(1423),
    [anon_sym_case] = ACTIONS(1423),
    [anon_sym_default] = ACTIONS(1423),
    [sym_underscore_pattern] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1423),
    [aux_sym_expression_statement_token1] = ACTIONS(1421),
    [anon_sym_NULL] = ACTIONS(1423),
    [anon_sym_assert] = ACTIONS(1423),
    [anon_sym_do] = ACTIONS(1423),
    [anon_sym_while] = ACTIONS(1423),
    [anon_sym_break] = ACTIONS(1423),
    [anon_sym_continue] = ACTIONS(1423),
    [anon_sym_return] = ACTIONS(1423),
    [anon_sym_yield] = ACTIONS(1423),
    [anon_sym_synchronized] = ACTIONS(1423),
    [anon_sym_throw] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(1423),
    [anon_sym_else] = ACTIONS(1423),
    [anon_sym_for] = ACTIONS(1423),
    [anon_sym_AT] = ACTIONS(1423),
    [anon_sym_open] = ACTIONS(1423),
    [anon_sym_module] = ACTIONS(1423),
    [anon_sym_static] = ACTIONS(1423),
    [anon_sym_with] = ACTIONS(1423),
    [anon_sym_package] = ACTIONS(1423),
    [anon_sym_import] = ACTIONS(1423),
    [anon_sym_enum] = ACTIONS(1423),
    [anon_sym_public] = ACTIONS(1423),
    [anon_sym_protected] = ACTIONS(1423),
    [anon_sym_private] = ACTIONS(1423),
    [anon_sym_abstract] = ACTIONS(1423),
    [anon_sym_strictfp] = ACTIONS(1423),
    [anon_sym_native] = ACTIONS(1423),
    [anon_sym_transient] = ACTIONS(1423),
    [anon_sym_volatile] = ACTIONS(1423),
    [anon_sym_sealed] = ACTIONS(1423),
    [anon_sym_non_DASHsealed] = ACTIONS(1423),
    [anon_sym_record] = ACTIONS(1423),
    [anon_sym_ATinterface] = ACTIONS(1423),
    [anon_sym_interface] = ACTIONS(1423),
    [anon_sym_byte] = ACTIONS(1423),
    [anon_sym_short] = ACTIONS(1423),
    [anon_sym_int] = ACTIONS(1423),
    [anon_sym_long] = ACTIONS(1423),
    [anon_sym_char] = ACTIONS(1423),
    [anon_sym_float] = ACTIONS(1423),
    [anon_sym_double] = ACTIONS(1423),
    [sym_boolean_type] = ACTIONS(1423),
    [sym_void_type] = ACTIONS(1423),
    [anon_sym_def] = ACTIONS(1423),
    [sym_this] = ACTIONS(1423),
    [sym_super] = ACTIONS(1423),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1423),
  },
  [321] = {
    [ts_builtin_sym_end] = ACTIONS(1425),
    [sym_identifier] = ACTIONS(1427),
    [sym_decimal_integer_literal] = ACTIONS(1427),
    [sym_hex_integer_literal] = ACTIONS(1427),
    [sym_octal_integer_literal] = ACTIONS(1427),
    [sym_binary_integer_literal] = ACTIONS(1427),
    [sym_decimal_floating_point_literal] = ACTIONS(1427),
    [sym_hex_floating_point_literal] = ACTIONS(1427),
    [sym_true] = ACTIONS(1427),
    [sym_false] = ACTIONS(1427),
    [sym_character_literal] = ACTIONS(1427),
    [anon_sym_DQUOTE] = ACTIONS(1427),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1427),
    [anon_sym_RBRACE] = ACTIONS(1427),
    [sym_null_literal] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1427),
    [anon_sym_AMP] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT_EQ] = ACTIONS(1427),
    [anon_sym_LT_EQ] = ACTIONS(1427),
    [anon_sym_EQ_EQ] = ACTIONS(1427),
    [anon_sym_BANG_EQ] = ACTIONS(1427),
    [anon_sym_AMP_AMP] = ACTIONS(1427),
    [anon_sym_PIPE_PIPE] = ACTIONS(1427),
    [anon_sym_PLUS] = ACTIONS(1427),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1427),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_PIPE] = ACTIONS(1427),
    [anon_sym_CARET] = ACTIONS(1427),
    [anon_sym_PERCENT] = ACTIONS(1427),
    [anon_sym_LT_LT] = ACTIONS(1427),
    [anon_sym_GT_GT] = ACTIONS(1427),
    [anon_sym_GT_GT_GT] = ACTIONS(1427),
    [anon_sym_in] = ACTIONS(1427),
    [anon_sym_STAR_STAR] = ACTIONS(1427),
    [anon_sym_instanceof] = ACTIONS(1427),
    [anon_sym_final] = ACTIONS(1427),
    [anon_sym_DASH_GT] = ACTIONS(1427),
    [anon_sym_QMARK] = ACTIONS(1427),
    [anon_sym_BANG] = ACTIONS(1427),
    [anon_sym_TILDE] = ACTIONS(1427),
    [anon_sym_PLUS_PLUS] = ACTIONS(1427),
    [anon_sym_DASH_DASH] = ACTIONS(1427),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1427),
    [anon_sym_DOT] = ACTIONS(1427),
    [anon_sym_class] = ACTIONS(1427),
    [anon_sym_switch] = ACTIONS(1427),
    [anon_sym_LBRACE] = ACTIONS(1427),
    [anon_sym_case] = ACTIONS(1427),
    [anon_sym_default] = ACTIONS(1427),
    [sym_underscore_pattern] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(1427),
    [aux_sym_expression_statement_token1] = ACTIONS(1425),
    [anon_sym_NULL] = ACTIONS(1427),
    [anon_sym_assert] = ACTIONS(1427),
    [anon_sym_do] = ACTIONS(1427),
    [anon_sym_while] = ACTIONS(1427),
    [anon_sym_break] = ACTIONS(1427),
    [anon_sym_continue] = ACTIONS(1427),
    [anon_sym_return] = ACTIONS(1427),
    [anon_sym_yield] = ACTIONS(1427),
    [anon_sym_synchronized] = ACTIONS(1427),
    [anon_sym_throw] = ACTIONS(1427),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_if] = ACTIONS(1427),
    [anon_sym_else] = ACTIONS(1427),
    [anon_sym_for] = ACTIONS(1427),
    [anon_sym_AT] = ACTIONS(1427),
    [anon_sym_open] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_with] = ACTIONS(1427),
    [anon_sym_package] = ACTIONS(1427),
    [anon_sym_import] = ACTIONS(1427),
    [anon_sym_enum] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_abstract] = ACTIONS(1427),
    [anon_sym_strictfp] = ACTIONS(1427),
    [anon_sym_native] = ACTIONS(1427),
    [anon_sym_transient] = ACTIONS(1427),
    [anon_sym_volatile] = ACTIONS(1427),
    [anon_sym_sealed] = ACTIONS(1427),
    [anon_sym_non_DASHsealed] = ACTIONS(1427),
    [anon_sym_record] = ACTIONS(1427),
    [anon_sym_ATinterface] = ACTIONS(1427),
    [anon_sym_interface] = ACTIONS(1427),
    [anon_sym_byte] = ACTIONS(1427),
    [anon_sym_short] = ACTIONS(1427),
    [anon_sym_int] = ACTIONS(1427),
    [anon_sym_long] = ACTIONS(1427),
    [anon_sym_char] = ACTIONS(1427),
    [anon_sym_float] = ACTIONS(1427),
    [anon_sym_double] = ACTIONS(1427),
    [sym_boolean_type] = ACTIONS(1427),
    [sym_void_type] = ACTIONS(1427),
    [anon_sym_def] = ACTIONS(1427),
    [sym_this] = ACTIONS(1427),
    [sym_super] = ACTIONS(1427),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1427),
  },
  [322] = {
    [ts_builtin_sym_end] = ACTIONS(1429),
    [sym_identifier] = ACTIONS(1431),
    [sym_decimal_integer_literal] = ACTIONS(1431),
    [sym_hex_integer_literal] = ACTIONS(1431),
    [sym_octal_integer_literal] = ACTIONS(1431),
    [sym_binary_integer_literal] = ACTIONS(1431),
    [sym_decimal_floating_point_literal] = ACTIONS(1431),
    [sym_hex_floating_point_literal] = ACTIONS(1431),
    [sym_true] = ACTIONS(1431),
    [sym_false] = ACTIONS(1431),
    [sym_character_literal] = ACTIONS(1431),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1431),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1431),
    [anon_sym_RBRACE] = ACTIONS(1431),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(1431),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT_EQ] = ACTIONS(1431),
    [anon_sym_LT_EQ] = ACTIONS(1431),
    [anon_sym_EQ_EQ] = ACTIONS(1431),
    [anon_sym_BANG_EQ] = ACTIONS(1431),
    [anon_sym_AMP_AMP] = ACTIONS(1431),
    [anon_sym_PIPE_PIPE] = ACTIONS(1431),
    [anon_sym_PLUS] = ACTIONS(1431),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1431),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_CARET] = ACTIONS(1431),
    [anon_sym_PERCENT] = ACTIONS(1431),
    [anon_sym_LT_LT] = ACTIONS(1431),
    [anon_sym_GT_GT] = ACTIONS(1431),
    [anon_sym_GT_GT_GT] = ACTIONS(1431),
    [anon_sym_in] = ACTIONS(1431),
    [anon_sym_STAR_STAR] = ACTIONS(1431),
    [anon_sym_instanceof] = ACTIONS(1431),
    [anon_sym_final] = ACTIONS(1431),
    [anon_sym_DASH_GT] = ACTIONS(1431),
    [anon_sym_COMMA] = ACTIONS(1431),
    [anon_sym_QMARK] = ACTIONS(1431),
    [anon_sym_BANG] = ACTIONS(1431),
    [anon_sym_TILDE] = ACTIONS(1431),
    [anon_sym_PLUS_PLUS] = ACTIONS(1431),
    [anon_sym_DASH_DASH] = ACTIONS(1431),
    [anon_sym_new] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(1431),
    [anon_sym_class] = ACTIONS(1431),
    [anon_sym_switch] = ACTIONS(1431),
    [anon_sym_LBRACE] = ACTIONS(1431),
    [anon_sym_case] = ACTIONS(1431),
    [anon_sym_default] = ACTIONS(1431),
    [sym_underscore_pattern] = ACTIONS(1431),
    [anon_sym_SEMI] = ACTIONS(1431),
    [aux_sym_expression_statement_token1] = ACTIONS(1429),
    [anon_sym_NULL] = ACTIONS(1431),
    [anon_sym_assert] = ACTIONS(1431),
    [anon_sym_do] = ACTIONS(1431),
    [anon_sym_while] = ACTIONS(1431),
    [anon_sym_break] = ACTIONS(1431),
    [anon_sym_continue] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1431),
    [anon_sym_yield] = ACTIONS(1431),
    [anon_sym_synchronized] = ACTIONS(1431),
    [anon_sym_throw] = ACTIONS(1431),
    [anon_sym_try] = ACTIONS(1431),
    [anon_sym_if] = ACTIONS(1431),
    [anon_sym_else] = ACTIONS(1431),
    [anon_sym_for] = ACTIONS(1431),
    [anon_sym_AT] = ACTIONS(1431),
    [anon_sym_open] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_with] = ACTIONS(1431),
    [anon_sym_package] = ACTIONS(1431),
    [anon_sym_import] = ACTIONS(1431),
    [anon_sym_enum] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_abstract] = ACTIONS(1431),
    [anon_sym_strictfp] = ACTIONS(1431),
    [anon_sym_native] = ACTIONS(1431),
    [anon_sym_transient] = ACTIONS(1431),
    [anon_sym_volatile] = ACTIONS(1431),
    [anon_sym_sealed] = ACTIONS(1431),
    [anon_sym_non_DASHsealed] = ACTIONS(1431),
    [anon_sym_record] = ACTIONS(1431),
    [anon_sym_ATinterface] = ACTIONS(1431),
    [anon_sym_interface] = ACTIONS(1431),
    [anon_sym_byte] = ACTIONS(1431),
    [anon_sym_short] = ACTIONS(1431),
    [anon_sym_int] = ACTIONS(1431),
    [anon_sym_long] = ACTIONS(1431),
    [anon_sym_char] = ACTIONS(1431),
    [anon_sym_float] = ACTIONS(1431),
    [anon_sym_double] = ACTIONS(1431),
    [sym_boolean_type] = ACTIONS(1431),
    [sym_void_type] = ACTIONS(1431),
    [anon_sym_def] = ACTIONS(1431),
    [sym_this] = ACTIONS(1431),
    [sym_super] = ACTIONS(1431),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1431),
  },
  [323] = {
    [ts_builtin_sym_end] = ACTIONS(1433),
    [sym_identifier] = ACTIONS(1435),
    [sym_decimal_integer_literal] = ACTIONS(1435),
    [sym_hex_integer_literal] = ACTIONS(1435),
    [sym_octal_integer_literal] = ACTIONS(1435),
    [sym_binary_integer_literal] = ACTIONS(1435),
    [sym_decimal_floating_point_literal] = ACTIONS(1435),
    [sym_hex_floating_point_literal] = ACTIONS(1435),
    [sym_true] = ACTIONS(1435),
    [sym_false] = ACTIONS(1435),
    [sym_character_literal] = ACTIONS(1435),
    [anon_sym_DQUOTE] = ACTIONS(1435),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1435),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1435),
    [anon_sym_RBRACE] = ACTIONS(1435),
    [sym_null_literal] = ACTIONS(1435),
    [anon_sym_LPAREN] = ACTIONS(1435),
    [anon_sym_AMP] = ACTIONS(1435),
    [anon_sym_GT] = ACTIONS(1435),
    [anon_sym_LT] = ACTIONS(1435),
    [anon_sym_GT_EQ] = ACTIONS(1435),
    [anon_sym_LT_EQ] = ACTIONS(1435),
    [anon_sym_EQ_EQ] = ACTIONS(1435),
    [anon_sym_BANG_EQ] = ACTIONS(1435),
    [anon_sym_AMP_AMP] = ACTIONS(1435),
    [anon_sym_PIPE_PIPE] = ACTIONS(1435),
    [anon_sym_PLUS] = ACTIONS(1435),
    [anon_sym_DASH] = ACTIONS(1435),
    [anon_sym_STAR] = ACTIONS(1435),
    [anon_sym_SLASH] = ACTIONS(1435),
    [anon_sym_PIPE] = ACTIONS(1435),
    [anon_sym_CARET] = ACTIONS(1435),
    [anon_sym_PERCENT] = ACTIONS(1435),
    [anon_sym_LT_LT] = ACTIONS(1435),
    [anon_sym_GT_GT] = ACTIONS(1435),
    [anon_sym_GT_GT_GT] = ACTIONS(1435),
    [anon_sym_in] = ACTIONS(1435),
    [anon_sym_STAR_STAR] = ACTIONS(1435),
    [anon_sym_instanceof] = ACTIONS(1435),
    [anon_sym_final] = ACTIONS(1435),
    [anon_sym_DASH_GT] = ACTIONS(1435),
    [anon_sym_QMARK] = ACTIONS(1435),
    [anon_sym_BANG] = ACTIONS(1435),
    [anon_sym_TILDE] = ACTIONS(1435),
    [anon_sym_PLUS_PLUS] = ACTIONS(1435),
    [anon_sym_DASH_DASH] = ACTIONS(1435),
    [anon_sym_new] = ACTIONS(1435),
    [anon_sym_LBRACK] = ACTIONS(1435),
    [anon_sym_DOT] = ACTIONS(1435),
    [anon_sym_class] = ACTIONS(1435),
    [anon_sym_switch] = ACTIONS(1435),
    [anon_sym_LBRACE] = ACTIONS(1435),
    [anon_sym_case] = ACTIONS(1435),
    [anon_sym_default] = ACTIONS(1435),
    [sym_underscore_pattern] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1435),
    [aux_sym_expression_statement_token1] = ACTIONS(1433),
    [anon_sym_NULL] = ACTIONS(1435),
    [anon_sym_assert] = ACTIONS(1435),
    [anon_sym_do] = ACTIONS(1435),
    [anon_sym_while] = ACTIONS(1435),
    [anon_sym_break] = ACTIONS(1435),
    [anon_sym_continue] = ACTIONS(1435),
    [anon_sym_return] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1435),
    [anon_sym_synchronized] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1435),
    [anon_sym_try] = ACTIONS(1435),
    [anon_sym_if] = ACTIONS(1435),
    [anon_sym_else] = ACTIONS(1435),
    [anon_sym_for] = ACTIONS(1435),
    [anon_sym_AT] = ACTIONS(1435),
    [anon_sym_open] = ACTIONS(1435),
    [anon_sym_module] = ACTIONS(1435),
    [anon_sym_static] = ACTIONS(1435),
    [anon_sym_with] = ACTIONS(1435),
    [anon_sym_package] = ACTIONS(1435),
    [anon_sym_import] = ACTIONS(1435),
    [anon_sym_enum] = ACTIONS(1435),
    [anon_sym_public] = ACTIONS(1435),
    [anon_sym_protected] = ACTIONS(1435),
    [anon_sym_private] = ACTIONS(1435),
    [anon_sym_abstract] = ACTIONS(1435),
    [anon_sym_strictfp] = ACTIONS(1435),
    [anon_sym_native] = ACTIONS(1435),
    [anon_sym_transient] = ACTIONS(1435),
    [anon_sym_volatile] = ACTIONS(1435),
    [anon_sym_sealed] = ACTIONS(1435),
    [anon_sym_non_DASHsealed] = ACTIONS(1435),
    [anon_sym_record] = ACTIONS(1435),
    [anon_sym_ATinterface] = ACTIONS(1435),
    [anon_sym_interface] = ACTIONS(1435),
    [anon_sym_byte] = ACTIONS(1435),
    [anon_sym_short] = ACTIONS(1435),
    [anon_sym_int] = ACTIONS(1435),
    [anon_sym_long] = ACTIONS(1435),
    [anon_sym_char] = ACTIONS(1435),
    [anon_sym_float] = ACTIONS(1435),
    [anon_sym_double] = ACTIONS(1435),
    [sym_boolean_type] = ACTIONS(1435),
    [sym_void_type] = ACTIONS(1435),
    [anon_sym_def] = ACTIONS(1435),
    [sym_this] = ACTIONS(1435),
    [sym_super] = ACTIONS(1435),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1435),
  },
  [324] = {
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_identifier] = ACTIONS(1146),
    [sym_decimal_integer_literal] = ACTIONS(1146),
    [sym_hex_integer_literal] = ACTIONS(1146),
    [sym_octal_integer_literal] = ACTIONS(1146),
    [sym_binary_integer_literal] = ACTIONS(1146),
    [sym_decimal_floating_point_literal] = ACTIONS(1146),
    [sym_hex_floating_point_literal] = ACTIONS(1146),
    [sym_true] = ACTIONS(1146),
    [sym_false] = ACTIONS(1146),
    [sym_character_literal] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1146),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1146),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [sym_null_literal] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1146),
    [anon_sym_AMP] = ACTIONS(1146),
    [anon_sym_GT] = ACTIONS(1146),
    [anon_sym_LT] = ACTIONS(1146),
    [anon_sym_GT_EQ] = ACTIONS(1146),
    [anon_sym_LT_EQ] = ACTIONS(1146),
    [anon_sym_EQ_EQ] = ACTIONS(1146),
    [anon_sym_BANG_EQ] = ACTIONS(1146),
    [anon_sym_AMP_AMP] = ACTIONS(1146),
    [anon_sym_PIPE_PIPE] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1146),
    [anon_sym_SLASH] = ACTIONS(1146),
    [anon_sym_PIPE] = ACTIONS(1146),
    [anon_sym_CARET] = ACTIONS(1146),
    [anon_sym_PERCENT] = ACTIONS(1146),
    [anon_sym_LT_LT] = ACTIONS(1146),
    [anon_sym_GT_GT] = ACTIONS(1146),
    [anon_sym_GT_GT_GT] = ACTIONS(1146),
    [anon_sym_in] = ACTIONS(1146),
    [anon_sym_STAR_STAR] = ACTIONS(1146),
    [anon_sym_instanceof] = ACTIONS(1146),
    [anon_sym_final] = ACTIONS(1146),
    [anon_sym_DASH_GT] = ACTIONS(1146),
    [anon_sym_QMARK] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [anon_sym_new] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1146),
    [anon_sym_DOT] = ACTIONS(1151),
    [anon_sym_class] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_case] = ACTIONS(1146),
    [anon_sym_default] = ACTIONS(1146),
    [sym_underscore_pattern] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1146),
    [aux_sym_expression_statement_token1] = ACTIONS(1144),
    [anon_sym_NULL] = ACTIONS(1146),
    [anon_sym_assert] = ACTIONS(1146),
    [anon_sym_do] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1146),
    [anon_sym_break] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1146),
    [anon_sym_return] = ACTIONS(1146),
    [anon_sym_yield] = ACTIONS(1146),
    [anon_sym_synchronized] = ACTIONS(1146),
    [anon_sym_throw] = ACTIONS(1146),
    [anon_sym_try] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1146),
    [anon_sym_else] = ACTIONS(1146),
    [anon_sym_for] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1146),
    [anon_sym_open] = ACTIONS(1146),
    [anon_sym_module] = ACTIONS(1146),
    [anon_sym_static] = ACTIONS(1146),
    [anon_sym_with] = ACTIONS(1146),
    [anon_sym_package] = ACTIONS(1146),
    [anon_sym_import] = ACTIONS(1146),
    [anon_sym_enum] = ACTIONS(1146),
    [anon_sym_public] = ACTIONS(1146),
    [anon_sym_protected] = ACTIONS(1146),
    [anon_sym_private] = ACTIONS(1146),
    [anon_sym_abstract] = ACTIONS(1146),
    [anon_sym_strictfp] = ACTIONS(1146),
    [anon_sym_native] = ACTIONS(1146),
    [anon_sym_transient] = ACTIONS(1146),
    [anon_sym_volatile] = ACTIONS(1146),
    [anon_sym_sealed] = ACTIONS(1146),
    [anon_sym_non_DASHsealed] = ACTIONS(1146),
    [anon_sym_record] = ACTIONS(1146),
    [anon_sym_ATinterface] = ACTIONS(1146),
    [anon_sym_interface] = ACTIONS(1146),
    [anon_sym_byte] = ACTIONS(1146),
    [anon_sym_short] = ACTIONS(1146),
    [anon_sym_int] = ACTIONS(1146),
    [anon_sym_long] = ACTIONS(1146),
    [anon_sym_char] = ACTIONS(1146),
    [anon_sym_float] = ACTIONS(1146),
    [anon_sym_double] = ACTIONS(1146),
    [sym_boolean_type] = ACTIONS(1146),
    [sym_void_type] = ACTIONS(1146),
    [anon_sym_def] = ACTIONS(1146),
    [sym_this] = ACTIONS(1146),
    [sym_super] = ACTIONS(1146),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1146),
  },
  [325] = {
    [sym_argument_list] = STATE(372),
    [sym_closure] = STATE(471),
    [ts_builtin_sym_end] = ACTIONS(824),
    [sym_identifier] = ACTIONS(826),
    [sym_decimal_integer_literal] = ACTIONS(826),
    [sym_hex_integer_literal] = ACTIONS(826),
    [sym_octal_integer_literal] = ACTIONS(826),
    [sym_binary_integer_literal] = ACTIONS(824),
    [sym_decimal_floating_point_literal] = ACTIONS(824),
    [sym_hex_floating_point_literal] = ACTIONS(826),
    [sym_true] = ACTIONS(826),
    [sym_false] = ACTIONS(826),
    [sym_character_literal] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(826),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(824),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [sym_null_literal] = ACTIONS(826),
    [anon_sym_LPAREN] = ACTIONS(870),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_EQ_EQ] = ACTIONS(824),
    [anon_sym_BANG_EQ] = ACTIONS(824),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(824),
    [anon_sym_PERCENT] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(824),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(824),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(824),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_final] = ACTIONS(826),
    [anon_sym_DASH_GT] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_QMARK] = ACTIONS(824),
    [anon_sym_BANG] = ACTIONS(826),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_new] = ACTIONS(826),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_class] = ACTIONS(826),
    [anon_sym_COLON_COLON] = ACTIONS(824),
    [anon_sym_switch] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(873),
    [anon_sym_default] = ACTIONS(826),
    [sym_underscore_pattern] = ACTIONS(826),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_assert] = ACTIONS(826),
    [anon_sym_do] = ACTIONS(826),
    [anon_sym_while] = ACTIONS(826),
    [anon_sym_break] = ACTIONS(826),
    [anon_sym_continue] = ACTIONS(826),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_yield] = ACTIONS(826),
    [anon_sym_synchronized] = ACTIONS(826),
    [anon_sym_throw] = ACTIONS(826),
    [anon_sym_try] = ACTIONS(826),
    [anon_sym_if] = ACTIONS(826),
    [anon_sym_for] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_open] = ACTIONS(826),
    [anon_sym_module] = ACTIONS(826),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_with] = ACTIONS(826),
    [anon_sym_package] = ACTIONS(826),
    [anon_sym_import] = ACTIONS(826),
    [anon_sym_enum] = ACTIONS(826),
    [anon_sym_public] = ACTIONS(826),
    [anon_sym_protected] = ACTIONS(826),
    [anon_sym_private] = ACTIONS(826),
    [anon_sym_abstract] = ACTIONS(826),
    [anon_sym_strictfp] = ACTIONS(826),
    [anon_sym_native] = ACTIONS(826),
    [anon_sym_transient] = ACTIONS(826),
    [anon_sym_volatile] = ACTIONS(826),
    [anon_sym_sealed] = ACTIONS(826),
    [anon_sym_non_DASHsealed] = ACTIONS(824),
    [anon_sym_record] = ACTIONS(826),
    [anon_sym_ATinterface] = ACTIONS(824),
    [anon_sym_interface] = ACTIONS(826),
    [anon_sym_byte] = ACTIONS(826),
    [anon_sym_short] = ACTIONS(826),
    [anon_sym_int] = ACTIONS(826),
    [anon_sym_long] = ACTIONS(826),
    [anon_sym_char] = ACTIONS(826),
    [anon_sym_float] = ACTIONS(826),
    [anon_sym_double] = ACTIONS(826),
    [sym_boolean_type] = ACTIONS(826),
    [sym_void_type] = ACTIONS(826),
    [anon_sym_def] = ACTIONS(826),
    [sym_this] = ACTIONS(826),
    [sym_super] = ACTIONS(826),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(824),
  },
  [326] = {
    [sym_argument_list] = STATE(348),
    [sym_closure] = STATE(450),
    [ts_builtin_sym_end] = ACTIONS(834),
    [sym_identifier] = ACTIONS(836),
    [sym_decimal_integer_literal] = ACTIONS(836),
    [sym_hex_integer_literal] = ACTIONS(836),
    [sym_octal_integer_literal] = ACTIONS(836),
    [sym_binary_integer_literal] = ACTIONS(834),
    [sym_decimal_floating_point_literal] = ACTIONS(834),
    [sym_hex_floating_point_literal] = ACTIONS(836),
    [sym_true] = ACTIONS(836),
    [sym_false] = ACTIONS(836),
    [sym_character_literal] = ACTIONS(834),
    [anon_sym_DQUOTE] = ACTIONS(836),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(834),
    [anon_sym_RBRACE] = ACTIONS(834),
    [sym_null_literal] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(876),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(834),
    [anon_sym_LT_EQ] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(834),
    [anon_sym_BANG_EQ] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_LT_LT] = ACTIONS(834),
    [anon_sym_GT_GT] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(834),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_STAR_STAR] = ACTIONS(834),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_final] = ACTIONS(836),
    [anon_sym_DASH_GT] = ACTIONS(834),
    [anon_sym_COMMA] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_PLUS_PLUS] = ACTIONS(834),
    [anon_sym_DASH_DASH] = ACTIONS(834),
    [anon_sym_new] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_class] = ACTIONS(836),
    [anon_sym_COLON_COLON] = ACTIONS(834),
    [anon_sym_switch] = ACTIONS(836),
    [anon_sym_LBRACE] = ACTIONS(879),
    [anon_sym_default] = ACTIONS(836),
    [sym_underscore_pattern] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(834),
    [anon_sym_assert] = ACTIONS(836),
    [anon_sym_do] = ACTIONS(836),
    [anon_sym_while] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_return] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(836),
    [anon_sym_synchronized] = ACTIONS(836),
    [anon_sym_throw] = ACTIONS(836),
    [anon_sym_try] = ACTIONS(836),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_for] = ACTIONS(836),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_open] = ACTIONS(836),
    [anon_sym_module] = ACTIONS(836),
    [anon_sym_static] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(836),
    [anon_sym_package] = ACTIONS(836),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_enum] = ACTIONS(836),
    [anon_sym_public] = ACTIONS(836),
    [anon_sym_protected] = ACTIONS(836),
    [anon_sym_private] = ACTIONS(836),
    [anon_sym_abstract] = ACTIONS(836),
    [anon_sym_strictfp] = ACTIONS(836),
    [anon_sym_native] = ACTIONS(836),
    [anon_sym_transient] = ACTIONS(836),
    [anon_sym_volatile] = ACTIONS(836),
    [anon_sym_sealed] = ACTIONS(836),
    [anon_sym_non_DASHsealed] = ACTIONS(834),
    [anon_sym_record] = ACTIONS(836),
    [anon_sym_ATinterface] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(836),
    [anon_sym_byte] = ACTIONS(836),
    [anon_sym_short] = ACTIONS(836),
    [anon_sym_int] = ACTIONS(836),
    [anon_sym_long] = ACTIONS(836),
    [anon_sym_char] = ACTIONS(836),
    [anon_sym_float] = ACTIONS(836),
    [anon_sym_double] = ACTIONS(836),
    [sym_boolean_type] = ACTIONS(836),
    [sym_void_type] = ACTIONS(836),
    [anon_sym_def] = ACTIONS(836),
    [sym_this] = ACTIONS(836),
    [sym_super] = ACTIONS(836),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(834),
  },
  [327] = {
    [sym__reserved_identifier] = STATE(399),
    [ts_builtin_sym_end] = ACTIONS(1437),
    [sym_identifier] = ACTIONS(1439),
    [sym_decimal_integer_literal] = ACTIONS(1442),
    [sym_hex_integer_literal] = ACTIONS(1442),
    [sym_octal_integer_literal] = ACTIONS(1442),
    [sym_binary_integer_literal] = ACTIONS(1442),
    [sym_decimal_floating_point_literal] = ACTIONS(1442),
    [sym_hex_floating_point_literal] = ACTIONS(1442),
    [sym_true] = ACTIONS(1442),
    [sym_false] = ACTIONS(1442),
    [sym_character_literal] = ACTIONS(1442),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1442),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1442),
    [anon_sym_RBRACE] = ACTIONS(1442),
    [sym_null_literal] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1442),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1442),
    [anon_sym_LT_EQ] = ACTIONS(1442),
    [anon_sym_EQ_EQ] = ACTIONS(1442),
    [anon_sym_BANG_EQ] = ACTIONS(1442),
    [anon_sym_AMP_AMP] = ACTIONS(1442),
    [anon_sym_PIPE_PIPE] = ACTIONS(1442),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1442),
    [anon_sym_PERCENT] = ACTIONS(1442),
    [anon_sym_LT_LT] = ACTIONS(1442),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_GT_GT_GT] = ACTIONS(1442),
    [anon_sym_in] = ACTIONS(1442),
    [anon_sym_STAR_STAR] = ACTIONS(1442),
    [anon_sym_instanceof] = ACTIONS(1442),
    [anon_sym_final] = ACTIONS(1442),
    [anon_sym_DASH_GT] = ACTIONS(1442),
    [anon_sym_QMARK] = ACTIONS(1442),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1442),
    [anon_sym_PLUS_PLUS] = ACTIONS(1442),
    [anon_sym_DASH_DASH] = ACTIONS(1442),
    [anon_sym_new] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1442),
    [anon_sym_class] = ACTIONS(1442),
    [anon_sym_switch] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1442),
    [anon_sym_case] = ACTIONS(1442),
    [anon_sym_default] = ACTIONS(1442),
    [sym_underscore_pattern] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1442),
    [aux_sym_expression_statement_token1] = ACTIONS(1437),
    [anon_sym_NULL] = ACTIONS(1442),
    [anon_sym_assert] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_while] = ACTIONS(1442),
    [anon_sym_break] = ACTIONS(1442),
    [anon_sym_continue] = ACTIONS(1442),
    [anon_sym_return] = ACTIONS(1442),
    [anon_sym_yield] = ACTIONS(1444),
    [anon_sym_synchronized] = ACTIONS(1442),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_try] = ACTIONS(1442),
    [anon_sym_if] = ACTIONS(1442),
    [anon_sym_else] = ACTIONS(1442),
    [anon_sym_for] = ACTIONS(1442),
    [anon_sym_AT] = ACTIONS(1442),
    [anon_sym_open] = ACTIONS(1444),
    [anon_sym_module] = ACTIONS(1444),
    [anon_sym_static] = ACTIONS(1442),
    [anon_sym_with] = ACTIONS(1444),
    [anon_sym_package] = ACTIONS(1442),
    [anon_sym_import] = ACTIONS(1442),
    [anon_sym_enum] = ACTIONS(1442),
    [anon_sym_public] = ACTIONS(1442),
    [anon_sym_protected] = ACTIONS(1442),
    [anon_sym_private] = ACTIONS(1442),
    [anon_sym_abstract] = ACTIONS(1442),
    [anon_sym_strictfp] = ACTIONS(1442),
    [anon_sym_native] = ACTIONS(1442),
    [anon_sym_transient] = ACTIONS(1442),
    [anon_sym_volatile] = ACTIONS(1442),
    [anon_sym_sealed] = ACTIONS(1444),
    [anon_sym_non_DASHsealed] = ACTIONS(1442),
    [anon_sym_record] = ACTIONS(1444),
    [anon_sym_ATinterface] = ACTIONS(1442),
    [anon_sym_interface] = ACTIONS(1442),
    [anon_sym_byte] = ACTIONS(1442),
    [anon_sym_short] = ACTIONS(1442),
    [anon_sym_int] = ACTIONS(1442),
    [anon_sym_long] = ACTIONS(1442),
    [anon_sym_char] = ACTIONS(1442),
    [anon_sym_float] = ACTIONS(1442),
    [anon_sym_double] = ACTIONS(1442),
    [sym_boolean_type] = ACTIONS(1442),
    [sym_void_type] = ACTIONS(1442),
    [anon_sym_def] = ACTIONS(1442),
    [sym_this] = ACTIONS(1442),
    [sym_super] = ACTIONS(1442),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1442),
  },
  [328] = {
    [ts_builtin_sym_end] = ACTIONS(1447),
    [sym_identifier] = ACTIONS(1449),
    [sym_decimal_integer_literal] = ACTIONS(1449),
    [sym_hex_integer_literal] = ACTIONS(1449),
    [sym_octal_integer_literal] = ACTIONS(1449),
    [sym_binary_integer_literal] = ACTIONS(1449),
    [sym_decimal_floating_point_literal] = ACTIONS(1449),
    [sym_hex_floating_point_literal] = ACTIONS(1449),
    [sym_true] = ACTIONS(1449),
    [sym_false] = ACTIONS(1449),
    [sym_character_literal] = ACTIONS(1449),
    [anon_sym_DQUOTE] = ACTIONS(1449),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1449),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1449),
    [anon_sym_RBRACE] = ACTIONS(1449),
    [sym_null_literal] = ACTIONS(1449),
    [anon_sym_LPAREN] = ACTIONS(1449),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_GT] = ACTIONS(1449),
    [anon_sym_LT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1449),
    [anon_sym_LT_EQ] = ACTIONS(1449),
    [anon_sym_EQ_EQ] = ACTIONS(1449),
    [anon_sym_BANG_EQ] = ACTIONS(1449),
    [anon_sym_AMP_AMP] = ACTIONS(1449),
    [anon_sym_PIPE_PIPE] = ACTIONS(1449),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1449),
    [anon_sym_PIPE] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1449),
    [anon_sym_PERCENT] = ACTIONS(1449),
    [anon_sym_LT_LT] = ACTIONS(1449),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_GT_GT_GT] = ACTIONS(1449),
    [anon_sym_in] = ACTIONS(1449),
    [anon_sym_STAR_STAR] = ACTIONS(1449),
    [anon_sym_instanceof] = ACTIONS(1449),
    [anon_sym_final] = ACTIONS(1449),
    [anon_sym_DASH_GT] = ACTIONS(1449),
    [anon_sym_QMARK] = ACTIONS(1449),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1449),
    [anon_sym_PLUS_PLUS] = ACTIONS(1449),
    [anon_sym_DASH_DASH] = ACTIONS(1449),
    [anon_sym_new] = ACTIONS(1449),
    [anon_sym_LBRACK] = ACTIONS(1449),
    [anon_sym_DOT] = ACTIONS(1449),
    [anon_sym_class] = ACTIONS(1449),
    [anon_sym_switch] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1449),
    [anon_sym_case] = ACTIONS(1449),
    [anon_sym_default] = ACTIONS(1449),
    [sym_underscore_pattern] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1449),
    [aux_sym_expression_statement_token1] = ACTIONS(1447),
    [anon_sym_NULL] = ACTIONS(1449),
    [anon_sym_assert] = ACTIONS(1449),
    [anon_sym_do] = ACTIONS(1449),
    [anon_sym_while] = ACTIONS(1449),
    [anon_sym_break] = ACTIONS(1449),
    [anon_sym_continue] = ACTIONS(1449),
    [anon_sym_return] = ACTIONS(1449),
    [anon_sym_yield] = ACTIONS(1449),
    [anon_sym_synchronized] = ACTIONS(1449),
    [anon_sym_throw] = ACTIONS(1449),
    [anon_sym_try] = ACTIONS(1449),
    [anon_sym_if] = ACTIONS(1449),
    [anon_sym_else] = ACTIONS(1449),
    [anon_sym_for] = ACTIONS(1449),
    [anon_sym_AT] = ACTIONS(1449),
    [anon_sym_open] = ACTIONS(1449),
    [anon_sym_module] = ACTIONS(1449),
    [anon_sym_static] = ACTIONS(1449),
    [anon_sym_with] = ACTIONS(1449),
    [anon_sym_package] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(1449),
    [anon_sym_enum] = ACTIONS(1449),
    [anon_sym_public] = ACTIONS(1449),
    [anon_sym_protected] = ACTIONS(1449),
    [anon_sym_private] = ACTIONS(1449),
    [anon_sym_abstract] = ACTIONS(1449),
    [anon_sym_strictfp] = ACTIONS(1449),
    [anon_sym_native] = ACTIONS(1449),
    [anon_sym_transient] = ACTIONS(1449),
    [anon_sym_volatile] = ACTIONS(1449),
    [anon_sym_sealed] = ACTIONS(1449),
    [anon_sym_non_DASHsealed] = ACTIONS(1449),
    [anon_sym_record] = ACTIONS(1449),
    [anon_sym_ATinterface] = ACTIONS(1449),
    [anon_sym_interface] = ACTIONS(1449),
    [anon_sym_byte] = ACTIONS(1449),
    [anon_sym_short] = ACTIONS(1449),
    [anon_sym_int] = ACTIONS(1449),
    [anon_sym_long] = ACTIONS(1449),
    [anon_sym_char] = ACTIONS(1449),
    [anon_sym_float] = ACTIONS(1449),
    [anon_sym_double] = ACTIONS(1449),
    [sym_boolean_type] = ACTIONS(1449),
    [sym_void_type] = ACTIONS(1449),
    [anon_sym_def] = ACTIONS(1449),
    [sym_this] = ACTIONS(1449),
    [sym_super] = ACTIONS(1449),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1449),
  },
  [329] = {
    [ts_builtin_sym_end] = ACTIONS(1451),
    [sym_identifier] = ACTIONS(1453),
    [sym_decimal_integer_literal] = ACTIONS(1453),
    [sym_hex_integer_literal] = ACTIONS(1453),
    [sym_octal_integer_literal] = ACTIONS(1453),
    [sym_binary_integer_literal] = ACTIONS(1453),
    [sym_decimal_floating_point_literal] = ACTIONS(1453),
    [sym_hex_floating_point_literal] = ACTIONS(1453),
    [sym_true] = ACTIONS(1453),
    [sym_false] = ACTIONS(1453),
    [sym_character_literal] = ACTIONS(1453),
    [anon_sym_DQUOTE] = ACTIONS(1453),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1453),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1453),
    [anon_sym_RBRACE] = ACTIONS(1453),
    [sym_null_literal] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1453),
    [anon_sym_AMP] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT_EQ] = ACTIONS(1453),
    [anon_sym_LT_EQ] = ACTIONS(1453),
    [anon_sym_EQ_EQ] = ACTIONS(1453),
    [anon_sym_BANG_EQ] = ACTIONS(1453),
    [anon_sym_AMP_AMP] = ACTIONS(1453),
    [anon_sym_PIPE_PIPE] = ACTIONS(1453),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1453),
    [anon_sym_PIPE] = ACTIONS(1453),
    [anon_sym_CARET] = ACTIONS(1453),
    [anon_sym_PERCENT] = ACTIONS(1453),
    [anon_sym_LT_LT] = ACTIONS(1453),
    [anon_sym_GT_GT] = ACTIONS(1453),
    [anon_sym_GT_GT_GT] = ACTIONS(1453),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_STAR_STAR] = ACTIONS(1453),
    [anon_sym_instanceof] = ACTIONS(1453),
    [anon_sym_final] = ACTIONS(1453),
    [anon_sym_DASH_GT] = ACTIONS(1453),
    [anon_sym_QMARK] = ACTIONS(1453),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_TILDE] = ACTIONS(1453),
    [anon_sym_PLUS_PLUS] = ACTIONS(1453),
    [anon_sym_DASH_DASH] = ACTIONS(1453),
    [anon_sym_new] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1453),
    [anon_sym_DOT] = ACTIONS(1453),
    [anon_sym_class] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_LBRACE] = ACTIONS(1453),
    [anon_sym_case] = ACTIONS(1453),
    [anon_sym_default] = ACTIONS(1453),
    [sym_underscore_pattern] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(1453),
    [aux_sym_expression_statement_token1] = ACTIONS(1451),
    [anon_sym_NULL] = ACTIONS(1453),
    [anon_sym_assert] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1453),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_continue] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_yield] = ACTIONS(1453),
    [anon_sym_synchronized] = ACTIONS(1453),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_try] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_else] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_AT] = ACTIONS(1453),
    [anon_sym_open] = ACTIONS(1453),
    [anon_sym_module] = ACTIONS(1453),
    [anon_sym_static] = ACTIONS(1453),
    [anon_sym_with] = ACTIONS(1453),
    [anon_sym_package] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(1453),
    [anon_sym_enum] = ACTIONS(1453),
    [anon_sym_public] = ACTIONS(1453),
    [anon_sym_protected] = ACTIONS(1453),
    [anon_sym_private] = ACTIONS(1453),
    [anon_sym_abstract] = ACTIONS(1453),
    [anon_sym_strictfp] = ACTIONS(1453),
    [anon_sym_native] = ACTIONS(1453),
    [anon_sym_transient] = ACTIONS(1453),
    [anon_sym_volatile] = ACTIONS(1453),
    [anon_sym_sealed] = ACTIONS(1453),
    [anon_sym_non_DASHsealed] = ACTIONS(1453),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_ATinterface] = ACTIONS(1453),
    [anon_sym_interface] = ACTIONS(1453),
    [anon_sym_byte] = ACTIONS(1453),
    [anon_sym_short] = ACTIONS(1453),
    [anon_sym_int] = ACTIONS(1453),
    [anon_sym_long] = ACTIONS(1453),
    [anon_sym_char] = ACTIONS(1453),
    [anon_sym_float] = ACTIONS(1453),
    [anon_sym_double] = ACTIONS(1453),
    [sym_boolean_type] = ACTIONS(1453),
    [sym_void_type] = ACTIONS(1453),
    [anon_sym_def] = ACTIONS(1453),
    [sym_this] = ACTIONS(1453),
    [sym_super] = ACTIONS(1453),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1453),
  },
  [330] = {
    [ts_builtin_sym_end] = ACTIONS(1161),
    [sym_identifier] = ACTIONS(1163),
    [sym_decimal_integer_literal] = ACTIONS(1163),
    [sym_hex_integer_literal] = ACTIONS(1163),
    [sym_octal_integer_literal] = ACTIONS(1163),
    [sym_binary_integer_literal] = ACTIONS(1161),
    [sym_decimal_floating_point_literal] = ACTIONS(1161),
    [sym_hex_floating_point_literal] = ACTIONS(1163),
    [sym_true] = ACTIONS(1163),
    [sym_false] = ACTIONS(1163),
    [sym_character_literal] = ACTIONS(1161),
    [anon_sym_DQUOTE] = ACTIONS(1163),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1161),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1161),
    [anon_sym_RBRACE] = ACTIONS(1161),
    [sym_null_literal] = ACTIONS(1163),
    [anon_sym_LPAREN] = ACTIONS(1161),
    [anon_sym_AMP] = ACTIONS(1163),
    [anon_sym_GT] = ACTIONS(1163),
    [anon_sym_LT] = ACTIONS(1163),
    [anon_sym_GT_EQ] = ACTIONS(1161),
    [anon_sym_LT_EQ] = ACTIONS(1161),
    [anon_sym_EQ_EQ] = ACTIONS(1161),
    [anon_sym_BANG_EQ] = ACTIONS(1161),
    [anon_sym_AMP_AMP] = ACTIONS(1161),
    [anon_sym_PIPE_PIPE] = ACTIONS(1161),
    [anon_sym_PLUS] = ACTIONS(1163),
    [anon_sym_DASH] = ACTIONS(1163),
    [anon_sym_STAR] = ACTIONS(1163),
    [anon_sym_SLASH] = ACTIONS(1163),
    [anon_sym_PIPE] = ACTIONS(1163),
    [anon_sym_CARET] = ACTIONS(1161),
    [anon_sym_PERCENT] = ACTIONS(1161),
    [anon_sym_LT_LT] = ACTIONS(1161),
    [anon_sym_GT_GT] = ACTIONS(1163),
    [anon_sym_GT_GT_GT] = ACTIONS(1161),
    [anon_sym_in] = ACTIONS(1163),
    [anon_sym_STAR_STAR] = ACTIONS(1161),
    [anon_sym_instanceof] = ACTIONS(1163),
    [anon_sym_final] = ACTIONS(1163),
    [anon_sym_DASH_GT] = ACTIONS(1161),
    [anon_sym_COMMA] = ACTIONS(1161),
    [anon_sym_QMARK] = ACTIONS(1161),
    [anon_sym_BANG] = ACTIONS(1163),
    [anon_sym_TILDE] = ACTIONS(1161),
    [anon_sym_PLUS_PLUS] = ACTIONS(1161),
    [anon_sym_DASH_DASH] = ACTIONS(1161),
    [anon_sym_new] = ACTIONS(1163),
    [anon_sym_LBRACK] = ACTIONS(1161),
    [anon_sym_DOT] = ACTIONS(1163),
    [anon_sym_class] = ACTIONS(1163),
    [anon_sym_COLON_COLON] = ACTIONS(1161),
    [anon_sym_switch] = ACTIONS(1163),
    [anon_sym_LBRACE] = ACTIONS(1161),
    [anon_sym_case] = ACTIONS(1163),
    [anon_sym_default] = ACTIONS(1163),
    [sym_underscore_pattern] = ACTIONS(1163),
    [anon_sym_SEMI] = ACTIONS(1161),
    [anon_sym_assert] = ACTIONS(1163),
    [anon_sym_do] = ACTIONS(1163),
    [anon_sym_while] = ACTIONS(1163),
    [anon_sym_break] = ACTIONS(1163),
    [anon_sym_continue] = ACTIONS(1163),
    [anon_sym_return] = ACTIONS(1163),
    [anon_sym_yield] = ACTIONS(1163),
    [anon_sym_synchronized] = ACTIONS(1163),
    [anon_sym_throw] = ACTIONS(1163),
    [anon_sym_try] = ACTIONS(1163),
    [anon_sym_if] = ACTIONS(1163),
    [anon_sym_else] = ACTIONS(1163),
    [anon_sym_for] = ACTIONS(1163),
    [anon_sym_AT] = ACTIONS(1163),
    [anon_sym_open] = ACTIONS(1163),
    [anon_sym_module] = ACTIONS(1163),
    [anon_sym_static] = ACTIONS(1163),
    [anon_sym_with] = ACTIONS(1163),
    [anon_sym_package] = ACTIONS(1163),
    [anon_sym_import] = ACTIONS(1163),
    [anon_sym_enum] = ACTIONS(1163),
    [anon_sym_public] = ACTIONS(1163),
    [anon_sym_protected] = ACTIONS(1163),
    [anon_sym_private] = ACTIONS(1163),
    [anon_sym_abstract] = ACTIONS(1163),
    [anon_sym_strictfp] = ACTIONS(1163),
    [anon_sym_native] = ACTIONS(1163),
    [anon_sym_transient] = ACTIONS(1163),
    [anon_sym_volatile] = ACTIONS(1163),
    [anon_sym_sealed] = ACTIONS(1163),
    [anon_sym_non_DASHsealed] = ACTIONS(1161),
    [anon_sym_record] = ACTIONS(1163),
    [anon_sym_ATinterface] = ACTIONS(1161),
    [anon_sym_interface] = ACTIONS(1163),
    [anon_sym_byte] = ACTIONS(1163),
    [anon_sym_short] = ACTIONS(1163),
    [anon_sym_int] = ACTIONS(1163),
    [anon_sym_long] = ACTIONS(1163),
    [anon_sym_char] = ACTIONS(1163),
    [anon_sym_float] = ACTIONS(1163),
    [anon_sym_double] = ACTIONS(1163),
    [sym_boolean_type] = ACTIONS(1163),
    [sym_void_type] = ACTIONS(1163),
    [anon_sym_def] = ACTIONS(1163),
    [sym_this] = ACTIONS(1163),
    [sym_super] = ACTIONS(1163),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1161),
  },
  [331] = {
    [ts_builtin_sym_end] = ACTIONS(1455),
    [sym_identifier] = ACTIONS(1457),
    [sym_decimal_integer_literal] = ACTIONS(1457),
    [sym_hex_integer_literal] = ACTIONS(1457),
    [sym_octal_integer_literal] = ACTIONS(1457),
    [sym_binary_integer_literal] = ACTIONS(1457),
    [sym_decimal_floating_point_literal] = ACTIONS(1457),
    [sym_hex_floating_point_literal] = ACTIONS(1457),
    [sym_true] = ACTIONS(1457),
    [sym_false] = ACTIONS(1457),
    [sym_character_literal] = ACTIONS(1457),
    [anon_sym_DQUOTE] = ACTIONS(1457),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1457),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1457),
    [anon_sym_RBRACE] = ACTIONS(1457),
    [sym_null_literal] = ACTIONS(1457),
    [anon_sym_LPAREN] = ACTIONS(1457),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_GT] = ACTIONS(1457),
    [anon_sym_LT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1457),
    [anon_sym_LT_EQ] = ACTIONS(1457),
    [anon_sym_EQ_EQ] = ACTIONS(1457),
    [anon_sym_BANG_EQ] = ACTIONS(1457),
    [anon_sym_AMP_AMP] = ACTIONS(1457),
    [anon_sym_PIPE_PIPE] = ACTIONS(1457),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1457),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1457),
    [anon_sym_PERCENT] = ACTIONS(1457),
    [anon_sym_LT_LT] = ACTIONS(1457),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_GT_GT_GT] = ACTIONS(1457),
    [anon_sym_in] = ACTIONS(1457),
    [anon_sym_STAR_STAR] = ACTIONS(1457),
    [anon_sym_instanceof] = ACTIONS(1457),
    [anon_sym_final] = ACTIONS(1457),
    [anon_sym_DASH_GT] = ACTIONS(1457),
    [anon_sym_COMMA] = ACTIONS(1457),
    [anon_sym_QMARK] = ACTIONS(1457),
    [anon_sym_BANG] = ACTIONS(1457),
    [anon_sym_TILDE] = ACTIONS(1457),
    [anon_sym_PLUS_PLUS] = ACTIONS(1457),
    [anon_sym_DASH_DASH] = ACTIONS(1457),
    [anon_sym_new] = ACTIONS(1457),
    [anon_sym_LBRACK] = ACTIONS(1457),
    [anon_sym_class] = ACTIONS(1457),
    [anon_sym_switch] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(1457),
    [anon_sym_case] = ACTIONS(1457),
    [anon_sym_default] = ACTIONS(1457),
    [sym_underscore_pattern] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1457),
    [aux_sym_expression_statement_token1] = ACTIONS(1455),
    [anon_sym_NULL] = ACTIONS(1457),
    [anon_sym_assert] = ACTIONS(1457),
    [anon_sym_do] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1457),
    [anon_sym_break] = ACTIONS(1457),
    [anon_sym_continue] = ACTIONS(1457),
    [anon_sym_return] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1457),
    [anon_sym_synchronized] = ACTIONS(1457),
    [anon_sym_throw] = ACTIONS(1457),
    [anon_sym_try] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_else] = ACTIONS(1457),
    [anon_sym_for] = ACTIONS(1457),
    [anon_sym_AT] = ACTIONS(1457),
    [anon_sym_open] = ACTIONS(1457),
    [anon_sym_module] = ACTIONS(1457),
    [anon_sym_static] = ACTIONS(1457),
    [anon_sym_with] = ACTIONS(1457),
    [anon_sym_package] = ACTIONS(1457),
    [anon_sym_import] = ACTIONS(1457),
    [anon_sym_enum] = ACTIONS(1457),
    [anon_sym_public] = ACTIONS(1457),
    [anon_sym_protected] = ACTIONS(1457),
    [anon_sym_private] = ACTIONS(1457),
    [anon_sym_abstract] = ACTIONS(1457),
    [anon_sym_strictfp] = ACTIONS(1457),
    [anon_sym_native] = ACTIONS(1457),
    [anon_sym_transient] = ACTIONS(1457),
    [anon_sym_volatile] = ACTIONS(1457),
    [anon_sym_sealed] = ACTIONS(1457),
    [anon_sym_non_DASHsealed] = ACTIONS(1457),
    [anon_sym_record] = ACTIONS(1457),
    [anon_sym_ATinterface] = ACTIONS(1457),
    [anon_sym_interface] = ACTIONS(1457),
    [anon_sym_byte] = ACTIONS(1457),
    [anon_sym_short] = ACTIONS(1457),
    [anon_sym_int] = ACTIONS(1457),
    [anon_sym_long] = ACTIONS(1457),
    [anon_sym_char] = ACTIONS(1457),
    [anon_sym_float] = ACTIONS(1457),
    [anon_sym_double] = ACTIONS(1457),
    [sym_boolean_type] = ACTIONS(1457),
    [sym_void_type] = ACTIONS(1457),
    [anon_sym_def] = ACTIONS(1457),
    [sym_this] = ACTIONS(1457),
    [sym_super] = ACTIONS(1457),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1457),
  },
  [332] = {
    [ts_builtin_sym_end] = ACTIONS(1459),
    [sym_identifier] = ACTIONS(1461),
    [sym_decimal_integer_literal] = ACTIONS(1461),
    [sym_hex_integer_literal] = ACTIONS(1461),
    [sym_octal_integer_literal] = ACTIONS(1461),
    [sym_binary_integer_literal] = ACTIONS(1461),
    [sym_decimal_floating_point_literal] = ACTIONS(1461),
    [sym_hex_floating_point_literal] = ACTIONS(1461),
    [sym_true] = ACTIONS(1461),
    [sym_false] = ACTIONS(1461),
    [sym_character_literal] = ACTIONS(1461),
    [anon_sym_DQUOTE] = ACTIONS(1461),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1461),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1461),
    [anon_sym_RBRACE] = ACTIONS(1461),
    [sym_null_literal] = ACTIONS(1461),
    [anon_sym_LPAREN] = ACTIONS(1461),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_GT] = ACTIONS(1461),
    [anon_sym_LT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1461),
    [anon_sym_LT_EQ] = ACTIONS(1461),
    [anon_sym_EQ_EQ] = ACTIONS(1461),
    [anon_sym_BANG_EQ] = ACTIONS(1461),
    [anon_sym_AMP_AMP] = ACTIONS(1461),
    [anon_sym_PIPE_PIPE] = ACTIONS(1461),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1461),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1461),
    [anon_sym_PERCENT] = ACTIONS(1461),
    [anon_sym_LT_LT] = ACTIONS(1461),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1461),
    [anon_sym_in] = ACTIONS(1461),
    [anon_sym_STAR_STAR] = ACTIONS(1461),
    [anon_sym_instanceof] = ACTIONS(1461),
    [anon_sym_final] = ACTIONS(1461),
    [anon_sym_DASH_GT] = ACTIONS(1461),
    [anon_sym_QMARK] = ACTIONS(1461),
    [anon_sym_BANG] = ACTIONS(1461),
    [anon_sym_TILDE] = ACTIONS(1461),
    [anon_sym_PLUS_PLUS] = ACTIONS(1461),
    [anon_sym_DASH_DASH] = ACTIONS(1461),
    [anon_sym_new] = ACTIONS(1461),
    [anon_sym_LBRACK] = ACTIONS(1461),
    [anon_sym_DOT] = ACTIONS(1461),
    [anon_sym_class] = ACTIONS(1461),
    [anon_sym_switch] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(1461),
    [anon_sym_case] = ACTIONS(1461),
    [anon_sym_default] = ACTIONS(1461),
    [sym_underscore_pattern] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1461),
    [aux_sym_expression_statement_token1] = ACTIONS(1459),
    [anon_sym_NULL] = ACTIONS(1461),
    [anon_sym_assert] = ACTIONS(1461),
    [anon_sym_do] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1461),
    [anon_sym_break] = ACTIONS(1461),
    [anon_sym_continue] = ACTIONS(1461),
    [anon_sym_return] = ACTIONS(1461),
    [anon_sym_yield] = ACTIONS(1461),
    [anon_sym_synchronized] = ACTIONS(1461),
    [anon_sym_throw] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1461),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_else] = ACTIONS(1461),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_AT] = ACTIONS(1461),
    [anon_sym_open] = ACTIONS(1461),
    [anon_sym_module] = ACTIONS(1461),
    [anon_sym_static] = ACTIONS(1461),
    [anon_sym_with] = ACTIONS(1461),
    [anon_sym_package] = ACTIONS(1461),
    [anon_sym_import] = ACTIONS(1461),
    [anon_sym_enum] = ACTIONS(1461),
    [anon_sym_public] = ACTIONS(1461),
    [anon_sym_protected] = ACTIONS(1461),
    [anon_sym_private] = ACTIONS(1461),
    [anon_sym_abstract] = ACTIONS(1461),
    [anon_sym_strictfp] = ACTIONS(1461),
    [anon_sym_native] = ACTIONS(1461),
    [anon_sym_transient] = ACTIONS(1461),
    [anon_sym_volatile] = ACTIONS(1461),
    [anon_sym_sealed] = ACTIONS(1461),
    [anon_sym_non_DASHsealed] = ACTIONS(1461),
    [anon_sym_record] = ACTIONS(1461),
    [anon_sym_ATinterface] = ACTIONS(1461),
    [anon_sym_interface] = ACTIONS(1461),
    [anon_sym_byte] = ACTIONS(1461),
    [anon_sym_short] = ACTIONS(1461),
    [anon_sym_int] = ACTIONS(1461),
    [anon_sym_long] = ACTIONS(1461),
    [anon_sym_char] = ACTIONS(1461),
    [anon_sym_float] = ACTIONS(1461),
    [anon_sym_double] = ACTIONS(1461),
    [sym_boolean_type] = ACTIONS(1461),
    [sym_void_type] = ACTIONS(1461),
    [anon_sym_def] = ACTIONS(1461),
    [sym_this] = ACTIONS(1461),
    [sym_super] = ACTIONS(1461),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1461),
  },
  [333] = {
    [ts_builtin_sym_end] = ACTIONS(1463),
    [sym_identifier] = ACTIONS(1465),
    [sym_decimal_integer_literal] = ACTIONS(1465),
    [sym_hex_integer_literal] = ACTIONS(1465),
    [sym_octal_integer_literal] = ACTIONS(1465),
    [sym_binary_integer_literal] = ACTIONS(1465),
    [sym_decimal_floating_point_literal] = ACTIONS(1465),
    [sym_hex_floating_point_literal] = ACTIONS(1465),
    [sym_true] = ACTIONS(1465),
    [sym_false] = ACTIONS(1465),
    [sym_character_literal] = ACTIONS(1465),
    [anon_sym_DQUOTE] = ACTIONS(1465),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1465),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1465),
    [anon_sym_RBRACE] = ACTIONS(1465),
    [sym_null_literal] = ACTIONS(1465),
    [anon_sym_LPAREN] = ACTIONS(1465),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_GT] = ACTIONS(1465),
    [anon_sym_LT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1465),
    [anon_sym_LT_EQ] = ACTIONS(1465),
    [anon_sym_EQ_EQ] = ACTIONS(1465),
    [anon_sym_BANG_EQ] = ACTIONS(1465),
    [anon_sym_AMP_AMP] = ACTIONS(1465),
    [anon_sym_PIPE_PIPE] = ACTIONS(1465),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1465),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1465),
    [anon_sym_PERCENT] = ACTIONS(1465),
    [anon_sym_LT_LT] = ACTIONS(1465),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_GT_GT_GT] = ACTIONS(1465),
    [anon_sym_in] = ACTIONS(1465),
    [anon_sym_STAR_STAR] = ACTIONS(1465),
    [anon_sym_instanceof] = ACTIONS(1465),
    [anon_sym_final] = ACTIONS(1465),
    [anon_sym_DASH_GT] = ACTIONS(1465),
    [anon_sym_COMMA] = ACTIONS(1465),
    [anon_sym_QMARK] = ACTIONS(1465),
    [anon_sym_BANG] = ACTIONS(1465),
    [anon_sym_TILDE] = ACTIONS(1465),
    [anon_sym_PLUS_PLUS] = ACTIONS(1465),
    [anon_sym_DASH_DASH] = ACTIONS(1465),
    [anon_sym_new] = ACTIONS(1465),
    [anon_sym_LBRACK] = ACTIONS(1465),
    [anon_sym_class] = ACTIONS(1465),
    [anon_sym_switch] = ACTIONS(1465),
    [anon_sym_LBRACE] = ACTIONS(1465),
    [anon_sym_case] = ACTIONS(1465),
    [anon_sym_default] = ACTIONS(1465),
    [sym_underscore_pattern] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1465),
    [aux_sym_expression_statement_token1] = ACTIONS(1463),
    [anon_sym_NULL] = ACTIONS(1465),
    [anon_sym_assert] = ACTIONS(1465),
    [anon_sym_do] = ACTIONS(1465),
    [anon_sym_while] = ACTIONS(1465),
    [anon_sym_break] = ACTIONS(1465),
    [anon_sym_continue] = ACTIONS(1465),
    [anon_sym_return] = ACTIONS(1465),
    [anon_sym_yield] = ACTIONS(1465),
    [anon_sym_synchronized] = ACTIONS(1465),
    [anon_sym_throw] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_if] = ACTIONS(1465),
    [anon_sym_else] = ACTIONS(1465),
    [anon_sym_for] = ACTIONS(1465),
    [anon_sym_AT] = ACTIONS(1465),
    [anon_sym_open] = ACTIONS(1465),
    [anon_sym_module] = ACTIONS(1465),
    [anon_sym_static] = ACTIONS(1465),
    [anon_sym_with] = ACTIONS(1465),
    [anon_sym_package] = ACTIONS(1465),
    [anon_sym_import] = ACTIONS(1465),
    [anon_sym_enum] = ACTIONS(1465),
    [anon_sym_public] = ACTIONS(1465),
    [anon_sym_protected] = ACTIONS(1465),
    [anon_sym_private] = ACTIONS(1465),
    [anon_sym_abstract] = ACTIONS(1465),
    [anon_sym_strictfp] = ACTIONS(1465),
    [anon_sym_native] = ACTIONS(1465),
    [anon_sym_transient] = ACTIONS(1465),
    [anon_sym_volatile] = ACTIONS(1465),
    [anon_sym_sealed] = ACTIONS(1465),
    [anon_sym_non_DASHsealed] = ACTIONS(1465),
    [anon_sym_record] = ACTIONS(1465),
    [anon_sym_ATinterface] = ACTIONS(1465),
    [anon_sym_interface] = ACTIONS(1465),
    [anon_sym_byte] = ACTIONS(1465),
    [anon_sym_short] = ACTIONS(1465),
    [anon_sym_int] = ACTIONS(1465),
    [anon_sym_long] = ACTIONS(1465),
    [anon_sym_char] = ACTIONS(1465),
    [anon_sym_float] = ACTIONS(1465),
    [anon_sym_double] = ACTIONS(1465),
    [sym_boolean_type] = ACTIONS(1465),
    [sym_void_type] = ACTIONS(1465),
    [anon_sym_def] = ACTIONS(1465),
    [sym_this] = ACTIONS(1465),
    [sym_super] = ACTIONS(1465),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1465),
  },
  [334] = {
    [sym__reserved_identifier] = STATE(365),
    [ts_builtin_sym_end] = ACTIONS(1467),
    [sym_identifier] = ACTIONS(1469),
    [sym_decimal_integer_literal] = ACTIONS(1472),
    [sym_hex_integer_literal] = ACTIONS(1472),
    [sym_octal_integer_literal] = ACTIONS(1472),
    [sym_binary_integer_literal] = ACTIONS(1472),
    [sym_decimal_floating_point_literal] = ACTIONS(1472),
    [sym_hex_floating_point_literal] = ACTIONS(1472),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [sym_character_literal] = ACTIONS(1472),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1472),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1472),
    [anon_sym_RBRACE] = ACTIONS(1472),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1472),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1472),
    [anon_sym_LT_EQ] = ACTIONS(1472),
    [anon_sym_EQ_EQ] = ACTIONS(1472),
    [anon_sym_BANG_EQ] = ACTIONS(1472),
    [anon_sym_AMP_AMP] = ACTIONS(1472),
    [anon_sym_PIPE_PIPE] = ACTIONS(1472),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PIPE] = ACTIONS(1472),
    [anon_sym_CARET] = ACTIONS(1472),
    [anon_sym_PERCENT] = ACTIONS(1472),
    [anon_sym_LT_LT] = ACTIONS(1472),
    [anon_sym_GT_GT] = ACTIONS(1472),
    [anon_sym_GT_GT_GT] = ACTIONS(1472),
    [anon_sym_in] = ACTIONS(1472),
    [anon_sym_STAR_STAR] = ACTIONS(1472),
    [anon_sym_instanceof] = ACTIONS(1472),
    [anon_sym_final] = ACTIONS(1472),
    [anon_sym_DASH_GT] = ACTIONS(1472),
    [anon_sym_QMARK] = ACTIONS(1472),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1472),
    [anon_sym_PLUS_PLUS] = ACTIONS(1472),
    [anon_sym_DASH_DASH] = ACTIONS(1472),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1472),
    [anon_sym_class] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1472),
    [anon_sym_case] = ACTIONS(1472),
    [anon_sym_default] = ACTIONS(1472),
    [sym_underscore_pattern] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1472),
    [aux_sym_expression_statement_token1] = ACTIONS(1467),
    [anon_sym_NULL] = ACTIONS(1472),
    [anon_sym_assert] = ACTIONS(1472),
    [anon_sym_do] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_break] = ACTIONS(1472),
    [anon_sym_continue] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1474),
    [anon_sym_synchronized] = ACTIONS(1472),
    [anon_sym_throw] = ACTIONS(1472),
    [anon_sym_try] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_else] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [anon_sym_open] = ACTIONS(1474),
    [anon_sym_module] = ACTIONS(1474),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_with] = ACTIONS(1474),
    [anon_sym_package] = ACTIONS(1472),
    [anon_sym_import] = ACTIONS(1472),
    [anon_sym_enum] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_abstract] = ACTIONS(1472),
    [anon_sym_strictfp] = ACTIONS(1472),
    [anon_sym_native] = ACTIONS(1472),
    [anon_sym_transient] = ACTIONS(1472),
    [anon_sym_volatile] = ACTIONS(1472),
    [anon_sym_sealed] = ACTIONS(1474),
    [anon_sym_non_DASHsealed] = ACTIONS(1472),
    [anon_sym_record] = ACTIONS(1474),
    [anon_sym_ATinterface] = ACTIONS(1472),
    [anon_sym_interface] = ACTIONS(1472),
    [anon_sym_byte] = ACTIONS(1472),
    [anon_sym_short] = ACTIONS(1472),
    [anon_sym_int] = ACTIONS(1472),
    [anon_sym_long] = ACTIONS(1472),
    [anon_sym_char] = ACTIONS(1472),
    [anon_sym_float] = ACTIONS(1472),
    [anon_sym_double] = ACTIONS(1472),
    [sym_boolean_type] = ACTIONS(1472),
    [sym_void_type] = ACTIONS(1472),
    [anon_sym_def] = ACTIONS(1472),
    [sym_this] = ACTIONS(1472),
    [sym_super] = ACTIONS(1472),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1472),
  },
  [335] = {
    [ts_builtin_sym_end] = ACTIONS(1177),
    [sym_identifier] = ACTIONS(1179),
    [sym_decimal_integer_literal] = ACTIONS(1179),
    [sym_hex_integer_literal] = ACTIONS(1179),
    [sym_octal_integer_literal] = ACTIONS(1179),
    [sym_binary_integer_literal] = ACTIONS(1177),
    [sym_decimal_floating_point_literal] = ACTIONS(1177),
    [sym_hex_floating_point_literal] = ACTIONS(1179),
    [sym_true] = ACTIONS(1179),
    [sym_false] = ACTIONS(1179),
    [sym_character_literal] = ACTIONS(1177),
    [anon_sym_DQUOTE] = ACTIONS(1179),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1177),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1177),
    [anon_sym_RBRACE] = ACTIONS(1177),
    [sym_null_literal] = ACTIONS(1179),
    [anon_sym_LPAREN] = ACTIONS(1177),
    [anon_sym_AMP] = ACTIONS(1179),
    [anon_sym_GT] = ACTIONS(1179),
    [anon_sym_LT] = ACTIONS(1179),
    [anon_sym_GT_EQ] = ACTIONS(1177),
    [anon_sym_LT_EQ] = ACTIONS(1177),
    [anon_sym_EQ_EQ] = ACTIONS(1177),
    [anon_sym_BANG_EQ] = ACTIONS(1177),
    [anon_sym_AMP_AMP] = ACTIONS(1177),
    [anon_sym_PIPE_PIPE] = ACTIONS(1177),
    [anon_sym_PLUS] = ACTIONS(1179),
    [anon_sym_DASH] = ACTIONS(1179),
    [anon_sym_STAR] = ACTIONS(1179),
    [anon_sym_SLASH] = ACTIONS(1179),
    [anon_sym_PIPE] = ACTIONS(1179),
    [anon_sym_CARET] = ACTIONS(1177),
    [anon_sym_PERCENT] = ACTIONS(1177),
    [anon_sym_LT_LT] = ACTIONS(1177),
    [anon_sym_GT_GT] = ACTIONS(1179),
    [anon_sym_GT_GT_GT] = ACTIONS(1177),
    [anon_sym_in] = ACTIONS(1179),
    [anon_sym_STAR_STAR] = ACTIONS(1177),
    [anon_sym_instanceof] = ACTIONS(1179),
    [anon_sym_final] = ACTIONS(1179),
    [anon_sym_DASH_GT] = ACTIONS(1177),
    [anon_sym_COMMA] = ACTIONS(1177),
    [anon_sym_QMARK] = ACTIONS(1177),
    [anon_sym_BANG] = ACTIONS(1179),
    [anon_sym_TILDE] = ACTIONS(1177),
    [anon_sym_PLUS_PLUS] = ACTIONS(1177),
    [anon_sym_DASH_DASH] = ACTIONS(1177),
    [anon_sym_new] = ACTIONS(1179),
    [anon_sym_LBRACK] = ACTIONS(1177),
    [anon_sym_DOT] = ACTIONS(1179),
    [anon_sym_class] = ACTIONS(1179),
    [anon_sym_COLON_COLON] = ACTIONS(1177),
    [anon_sym_switch] = ACTIONS(1179),
    [anon_sym_LBRACE] = ACTIONS(1177),
    [anon_sym_case] = ACTIONS(1179),
    [anon_sym_default] = ACTIONS(1179),
    [sym_underscore_pattern] = ACTIONS(1179),
    [anon_sym_SEMI] = ACTIONS(1177),
    [anon_sym_assert] = ACTIONS(1179),
    [anon_sym_do] = ACTIONS(1179),
    [anon_sym_while] = ACTIONS(1179),
    [anon_sym_break] = ACTIONS(1179),
    [anon_sym_continue] = ACTIONS(1179),
    [anon_sym_return] = ACTIONS(1179),
    [anon_sym_yield] = ACTIONS(1179),
    [anon_sym_synchronized] = ACTIONS(1179),
    [anon_sym_throw] = ACTIONS(1179),
    [anon_sym_try] = ACTIONS(1179),
    [anon_sym_if] = ACTIONS(1179),
    [anon_sym_else] = ACTIONS(1179),
    [anon_sym_for] = ACTIONS(1179),
    [anon_sym_AT] = ACTIONS(1179),
    [anon_sym_open] = ACTIONS(1179),
    [anon_sym_module] = ACTIONS(1179),
    [anon_sym_static] = ACTIONS(1179),
    [anon_sym_with] = ACTIONS(1179),
    [anon_sym_package] = ACTIONS(1179),
    [anon_sym_import] = ACTIONS(1179),
    [anon_sym_enum] = ACTIONS(1179),
    [anon_sym_public] = ACTIONS(1179),
    [anon_sym_protected] = ACTIONS(1179),
    [anon_sym_private] = ACTIONS(1179),
    [anon_sym_abstract] = ACTIONS(1179),
    [anon_sym_strictfp] = ACTIONS(1179),
    [anon_sym_native] = ACTIONS(1179),
    [anon_sym_transient] = ACTIONS(1179),
    [anon_sym_volatile] = ACTIONS(1179),
    [anon_sym_sealed] = ACTIONS(1179),
    [anon_sym_non_DASHsealed] = ACTIONS(1177),
    [anon_sym_record] = ACTIONS(1179),
    [anon_sym_ATinterface] = ACTIONS(1177),
    [anon_sym_interface] = ACTIONS(1179),
    [anon_sym_byte] = ACTIONS(1179),
    [anon_sym_short] = ACTIONS(1179),
    [anon_sym_int] = ACTIONS(1179),
    [anon_sym_long] = ACTIONS(1179),
    [anon_sym_char] = ACTIONS(1179),
    [anon_sym_float] = ACTIONS(1179),
    [anon_sym_double] = ACTIONS(1179),
    [sym_boolean_type] = ACTIONS(1179),
    [sym_void_type] = ACTIONS(1179),
    [anon_sym_def] = ACTIONS(1179),
    [sym_this] = ACTIONS(1179),
    [sym_super] = ACTIONS(1179),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1177),
  },
  [336] = {
    [ts_builtin_sym_end] = ACTIONS(1477),
    [sym_identifier] = ACTIONS(1479),
    [sym_decimal_integer_literal] = ACTIONS(1479),
    [sym_hex_integer_literal] = ACTIONS(1479),
    [sym_octal_integer_literal] = ACTIONS(1479),
    [sym_binary_integer_literal] = ACTIONS(1479),
    [sym_decimal_floating_point_literal] = ACTIONS(1479),
    [sym_hex_floating_point_literal] = ACTIONS(1479),
    [sym_true] = ACTIONS(1479),
    [sym_false] = ACTIONS(1479),
    [sym_character_literal] = ACTIONS(1479),
    [anon_sym_DQUOTE] = ACTIONS(1479),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1479),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1479),
    [anon_sym_RBRACE] = ACTIONS(1479),
    [sym_null_literal] = ACTIONS(1479),
    [anon_sym_LPAREN] = ACTIONS(1479),
    [anon_sym_AMP] = ACTIONS(1479),
    [anon_sym_GT] = ACTIONS(1479),
    [anon_sym_LT] = ACTIONS(1479),
    [anon_sym_GT_EQ] = ACTIONS(1479),
    [anon_sym_LT_EQ] = ACTIONS(1479),
    [anon_sym_EQ_EQ] = ACTIONS(1479),
    [anon_sym_BANG_EQ] = ACTIONS(1479),
    [anon_sym_AMP_AMP] = ACTIONS(1479),
    [anon_sym_PIPE_PIPE] = ACTIONS(1479),
    [anon_sym_PLUS] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(1479),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_PIPE] = ACTIONS(1479),
    [anon_sym_CARET] = ACTIONS(1479),
    [anon_sym_PERCENT] = ACTIONS(1479),
    [anon_sym_LT_LT] = ACTIONS(1479),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1479),
    [anon_sym_in] = ACTIONS(1479),
    [anon_sym_STAR_STAR] = ACTIONS(1479),
    [anon_sym_instanceof] = ACTIONS(1479),
    [anon_sym_final] = ACTIONS(1479),
    [anon_sym_DASH_GT] = ACTIONS(1479),
    [anon_sym_QMARK] = ACTIONS(1479),
    [anon_sym_BANG] = ACTIONS(1479),
    [anon_sym_TILDE] = ACTIONS(1479),
    [anon_sym_PLUS_PLUS] = ACTIONS(1479),
    [anon_sym_DASH_DASH] = ACTIONS(1479),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_LBRACK] = ACTIONS(1479),
    [anon_sym_class] = ACTIONS(1479),
    [anon_sym_switch] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1479),
    [anon_sym_case] = ACTIONS(1479),
    [anon_sym_default] = ACTIONS(1479),
    [sym_underscore_pattern] = ACTIONS(1479),
    [anon_sym_SEMI] = ACTIONS(1479),
    [aux_sym_expression_statement_token1] = ACTIONS(1477),
    [anon_sym_NULL] = ACTIONS(1479),
    [anon_sym_assert] = ACTIONS(1479),
    [anon_sym_do] = ACTIONS(1479),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_break] = ACTIONS(1479),
    [anon_sym_continue] = ACTIONS(1479),
    [anon_sym_return] = ACTIONS(1479),
    [anon_sym_yield] = ACTIONS(1479),
    [anon_sym_synchronized] = ACTIONS(1479),
    [anon_sym_throw] = ACTIONS(1479),
    [anon_sym_try] = ACTIONS(1479),
    [anon_sym_if] = ACTIONS(1479),
    [anon_sym_else] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1479),
    [anon_sym_AT] = ACTIONS(1479),
    [anon_sym_open] = ACTIONS(1479),
    [anon_sym_module] = ACTIONS(1479),
    [anon_sym_static] = ACTIONS(1479),
    [anon_sym_with] = ACTIONS(1479),
    [anon_sym_package] = ACTIONS(1479),
    [anon_sym_import] = ACTIONS(1479),
    [anon_sym_enum] = ACTIONS(1479),
    [anon_sym_public] = ACTIONS(1479),
    [anon_sym_protected] = ACTIONS(1479),
    [anon_sym_private] = ACTIONS(1479),
    [anon_sym_abstract] = ACTIONS(1479),
    [anon_sym_strictfp] = ACTIONS(1479),
    [anon_sym_native] = ACTIONS(1479),
    [anon_sym_transient] = ACTIONS(1479),
    [anon_sym_volatile] = ACTIONS(1479),
    [anon_sym_sealed] = ACTIONS(1479),
    [anon_sym_non_DASHsealed] = ACTIONS(1479),
    [anon_sym_record] = ACTIONS(1479),
    [anon_sym_ATinterface] = ACTIONS(1479),
    [anon_sym_interface] = ACTIONS(1479),
    [anon_sym_byte] = ACTIONS(1479),
    [anon_sym_short] = ACTIONS(1479),
    [anon_sym_int] = ACTIONS(1479),
    [anon_sym_long] = ACTIONS(1479),
    [anon_sym_char] = ACTIONS(1479),
    [anon_sym_float] = ACTIONS(1479),
    [anon_sym_double] = ACTIONS(1479),
    [sym_boolean_type] = ACTIONS(1479),
    [sym_void_type] = ACTIONS(1479),
    [anon_sym_def] = ACTIONS(1479),
    [sym_this] = ACTIONS(1479),
    [sym_super] = ACTIONS(1479),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1479),
  },
  [337] = {
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym_identifier] = ACTIONS(1483),
    [sym_decimal_integer_literal] = ACTIONS(1483),
    [sym_hex_integer_literal] = ACTIONS(1483),
    [sym_octal_integer_literal] = ACTIONS(1483),
    [sym_binary_integer_literal] = ACTIONS(1483),
    [sym_decimal_floating_point_literal] = ACTIONS(1483),
    [sym_hex_floating_point_literal] = ACTIONS(1483),
    [sym_true] = ACTIONS(1483),
    [sym_false] = ACTIONS(1483),
    [sym_character_literal] = ACTIONS(1483),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1483),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1483),
    [anon_sym_RBRACE] = ACTIONS(1483),
    [sym_null_literal] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1483),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT_EQ] = ACTIONS(1483),
    [anon_sym_LT_EQ] = ACTIONS(1483),
    [anon_sym_EQ_EQ] = ACTIONS(1483),
    [anon_sym_BANG_EQ] = ACTIONS(1483),
    [anon_sym_AMP_AMP] = ACTIONS(1483),
    [anon_sym_PIPE_PIPE] = ACTIONS(1483),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE] = ACTIONS(1483),
    [anon_sym_CARET] = ACTIONS(1483),
    [anon_sym_PERCENT] = ACTIONS(1483),
    [anon_sym_LT_LT] = ACTIONS(1483),
    [anon_sym_GT_GT] = ACTIONS(1483),
    [anon_sym_GT_GT_GT] = ACTIONS(1483),
    [anon_sym_in] = ACTIONS(1483),
    [anon_sym_STAR_STAR] = ACTIONS(1483),
    [anon_sym_instanceof] = ACTIONS(1483),
    [anon_sym_final] = ACTIONS(1483),
    [anon_sym_DASH_GT] = ACTIONS(1483),
    [anon_sym_QMARK] = ACTIONS(1483),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1483),
    [anon_sym_PLUS_PLUS] = ACTIONS(1483),
    [anon_sym_DASH_DASH] = ACTIONS(1483),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1483),
    [anon_sym_class] = ACTIONS(1483),
    [anon_sym_switch] = ACTIONS(1483),
    [anon_sym_LBRACE] = ACTIONS(1483),
    [anon_sym_case] = ACTIONS(1483),
    [anon_sym_default] = ACTIONS(1483),
    [sym_underscore_pattern] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1483),
    [aux_sym_expression_statement_token1] = ACTIONS(1481),
    [anon_sym_NULL] = ACTIONS(1483),
    [anon_sym_assert] = ACTIONS(1483),
    [anon_sym_do] = ACTIONS(1483),
    [anon_sym_while] = ACTIONS(1483),
    [anon_sym_break] = ACTIONS(1483),
    [anon_sym_continue] = ACTIONS(1483),
    [anon_sym_return] = ACTIONS(1483),
    [anon_sym_yield] = ACTIONS(1483),
    [anon_sym_synchronized] = ACTIONS(1483),
    [anon_sym_throw] = ACTIONS(1483),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_if] = ACTIONS(1483),
    [anon_sym_else] = ACTIONS(1483),
    [anon_sym_for] = ACTIONS(1483),
    [anon_sym_AT] = ACTIONS(1483),
    [anon_sym_open] = ACTIONS(1483),
    [anon_sym_module] = ACTIONS(1483),
    [anon_sym_static] = ACTIONS(1483),
    [anon_sym_with] = ACTIONS(1483),
    [anon_sym_package] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(1483),
    [anon_sym_enum] = ACTIONS(1483),
    [anon_sym_public] = ACTIONS(1483),
    [anon_sym_protected] = ACTIONS(1483),
    [anon_sym_private] = ACTIONS(1483),
    [anon_sym_abstract] = ACTIONS(1483),
    [anon_sym_strictfp] = ACTIONS(1483),
    [anon_sym_native] = ACTIONS(1483),
    [anon_sym_transient] = ACTIONS(1483),
    [anon_sym_volatile] = ACTIONS(1483),
    [anon_sym_sealed] = ACTIONS(1483),
    [anon_sym_non_DASHsealed] = ACTIONS(1483),
    [anon_sym_record] = ACTIONS(1483),
    [anon_sym_ATinterface] = ACTIONS(1483),
    [anon_sym_interface] = ACTIONS(1483),
    [anon_sym_byte] = ACTIONS(1483),
    [anon_sym_short] = ACTIONS(1483),
    [anon_sym_int] = ACTIONS(1483),
    [anon_sym_long] = ACTIONS(1483),
    [anon_sym_char] = ACTIONS(1483),
    [anon_sym_float] = ACTIONS(1483),
    [anon_sym_double] = ACTIONS(1483),
    [sym_boolean_type] = ACTIONS(1483),
    [sym_void_type] = ACTIONS(1483),
    [anon_sym_def] = ACTIONS(1483),
    [sym_this] = ACTIONS(1483),
    [sym_super] = ACTIONS(1483),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1483),
  },
  [338] = {
    [sym_class_body] = STATE(443),
    [ts_builtin_sym_end] = ACTIONS(1104),
    [sym_identifier] = ACTIONS(1106),
    [sym_decimal_integer_literal] = ACTIONS(1106),
    [sym_hex_integer_literal] = ACTIONS(1106),
    [sym_octal_integer_literal] = ACTIONS(1106),
    [sym_binary_integer_literal] = ACTIONS(1104),
    [sym_decimal_floating_point_literal] = ACTIONS(1104),
    [sym_hex_floating_point_literal] = ACTIONS(1106),
    [sym_true] = ACTIONS(1106),
    [sym_false] = ACTIONS(1106),
    [sym_character_literal] = ACTIONS(1104),
    [anon_sym_DQUOTE] = ACTIONS(1106),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1104),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1104),
    [anon_sym_RBRACE] = ACTIONS(1104),
    [sym_null_literal] = ACTIONS(1106),
    [anon_sym_LPAREN] = ACTIONS(1104),
    [anon_sym_AMP] = ACTIONS(1106),
    [anon_sym_GT] = ACTIONS(1106),
    [anon_sym_LT] = ACTIONS(1106),
    [anon_sym_GT_EQ] = ACTIONS(1104),
    [anon_sym_LT_EQ] = ACTIONS(1104),
    [anon_sym_EQ_EQ] = ACTIONS(1104),
    [anon_sym_BANG_EQ] = ACTIONS(1104),
    [anon_sym_AMP_AMP] = ACTIONS(1104),
    [anon_sym_PIPE_PIPE] = ACTIONS(1104),
    [anon_sym_PLUS] = ACTIONS(1106),
    [anon_sym_DASH] = ACTIONS(1106),
    [anon_sym_STAR] = ACTIONS(1106),
    [anon_sym_SLASH] = ACTIONS(1106),
    [anon_sym_PIPE] = ACTIONS(1106),
    [anon_sym_CARET] = ACTIONS(1104),
    [anon_sym_PERCENT] = ACTIONS(1104),
    [anon_sym_LT_LT] = ACTIONS(1104),
    [anon_sym_GT_GT] = ACTIONS(1106),
    [anon_sym_GT_GT_GT] = ACTIONS(1104),
    [anon_sym_in] = ACTIONS(1106),
    [anon_sym_STAR_STAR] = ACTIONS(1104),
    [anon_sym_instanceof] = ACTIONS(1106),
    [anon_sym_final] = ACTIONS(1106),
    [anon_sym_DASH_GT] = ACTIONS(1104),
    [anon_sym_COMMA] = ACTIONS(1104),
    [anon_sym_QMARK] = ACTIONS(1104),
    [anon_sym_BANG] = ACTIONS(1106),
    [anon_sym_TILDE] = ACTIONS(1104),
    [anon_sym_PLUS_PLUS] = ACTIONS(1104),
    [anon_sym_DASH_DASH] = ACTIONS(1104),
    [anon_sym_new] = ACTIONS(1106),
    [anon_sym_LBRACK] = ACTIONS(1104),
    [anon_sym_DOT] = ACTIONS(1106),
    [anon_sym_class] = ACTIONS(1106),
    [anon_sym_COLON_COLON] = ACTIONS(1104),
    [anon_sym_switch] = ACTIONS(1106),
    [anon_sym_LBRACE] = ACTIONS(1485),
    [anon_sym_default] = ACTIONS(1106),
    [sym_underscore_pattern] = ACTIONS(1106),
    [anon_sym_SEMI] = ACTIONS(1104),
    [anon_sym_assert] = ACTIONS(1106),
    [anon_sym_do] = ACTIONS(1106),
    [anon_sym_while] = ACTIONS(1106),
    [anon_sym_break] = ACTIONS(1106),
    [anon_sym_continue] = ACTIONS(1106),
    [anon_sym_return] = ACTIONS(1106),
    [anon_sym_yield] = ACTIONS(1106),
    [anon_sym_synchronized] = ACTIONS(1106),
    [anon_sym_throw] = ACTIONS(1106),
    [anon_sym_try] = ACTIONS(1106),
    [anon_sym_if] = ACTIONS(1106),
    [anon_sym_for] = ACTIONS(1106),
    [anon_sym_AT] = ACTIONS(1106),
    [anon_sym_open] = ACTIONS(1106),
    [anon_sym_module] = ACTIONS(1106),
    [anon_sym_static] = ACTIONS(1106),
    [anon_sym_with] = ACTIONS(1106),
    [anon_sym_package] = ACTIONS(1106),
    [anon_sym_import] = ACTIONS(1106),
    [anon_sym_enum] = ACTIONS(1106),
    [anon_sym_public] = ACTIONS(1106),
    [anon_sym_protected] = ACTIONS(1106),
    [anon_sym_private] = ACTIONS(1106),
    [anon_sym_abstract] = ACTIONS(1106),
    [anon_sym_strictfp] = ACTIONS(1106),
    [anon_sym_native] = ACTIONS(1106),
    [anon_sym_transient] = ACTIONS(1106),
    [anon_sym_volatile] = ACTIONS(1106),
    [anon_sym_sealed] = ACTIONS(1106),
    [anon_sym_non_DASHsealed] = ACTIONS(1104),
    [anon_sym_record] = ACTIONS(1106),
    [anon_sym_ATinterface] = ACTIONS(1104),
    [anon_sym_interface] = ACTIONS(1106),
    [anon_sym_byte] = ACTIONS(1106),
    [anon_sym_short] = ACTIONS(1106),
    [anon_sym_int] = ACTIONS(1106),
    [anon_sym_long] = ACTIONS(1106),
    [anon_sym_char] = ACTIONS(1106),
    [anon_sym_float] = ACTIONS(1106),
    [anon_sym_double] = ACTIONS(1106),
    [sym_boolean_type] = ACTIONS(1106),
    [sym_void_type] = ACTIONS(1106),
    [anon_sym_def] = ACTIONS(1106),
    [sym_this] = ACTIONS(1106),
    [sym_super] = ACTIONS(1106),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1104),
  },
  [339] = {
    [sym_class_body] = STATE(444),
    [ts_builtin_sym_end] = ACTIONS(1108),
    [sym_identifier] = ACTIONS(1110),
    [sym_decimal_integer_literal] = ACTIONS(1110),
    [sym_hex_integer_literal] = ACTIONS(1110),
    [sym_octal_integer_literal] = ACTIONS(1110),
    [sym_binary_integer_literal] = ACTIONS(1108),
    [sym_decimal_floating_point_literal] = ACTIONS(1108),
    [sym_hex_floating_point_literal] = ACTIONS(1110),
    [sym_true] = ACTIONS(1110),
    [sym_false] = ACTIONS(1110),
    [sym_character_literal] = ACTIONS(1108),
    [anon_sym_DQUOTE] = ACTIONS(1110),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1108),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1108),
    [anon_sym_RBRACE] = ACTIONS(1108),
    [sym_null_literal] = ACTIONS(1110),
    [anon_sym_LPAREN] = ACTIONS(1108),
    [anon_sym_AMP] = ACTIONS(1110),
    [anon_sym_GT] = ACTIONS(1110),
    [anon_sym_LT] = ACTIONS(1110),
    [anon_sym_GT_EQ] = ACTIONS(1108),
    [anon_sym_LT_EQ] = ACTIONS(1108),
    [anon_sym_EQ_EQ] = ACTIONS(1108),
    [anon_sym_BANG_EQ] = ACTIONS(1108),
    [anon_sym_AMP_AMP] = ACTIONS(1108),
    [anon_sym_PIPE_PIPE] = ACTIONS(1108),
    [anon_sym_PLUS] = ACTIONS(1110),
    [anon_sym_DASH] = ACTIONS(1110),
    [anon_sym_STAR] = ACTIONS(1110),
    [anon_sym_SLASH] = ACTIONS(1110),
    [anon_sym_PIPE] = ACTIONS(1110),
    [anon_sym_CARET] = ACTIONS(1108),
    [anon_sym_PERCENT] = ACTIONS(1108),
    [anon_sym_LT_LT] = ACTIONS(1108),
    [anon_sym_GT_GT] = ACTIONS(1110),
    [anon_sym_GT_GT_GT] = ACTIONS(1108),
    [anon_sym_in] = ACTIONS(1110),
    [anon_sym_STAR_STAR] = ACTIONS(1108),
    [anon_sym_instanceof] = ACTIONS(1110),
    [anon_sym_final] = ACTIONS(1110),
    [anon_sym_DASH_GT] = ACTIONS(1108),
    [anon_sym_COMMA] = ACTIONS(1108),
    [anon_sym_QMARK] = ACTIONS(1108),
    [anon_sym_BANG] = ACTIONS(1110),
    [anon_sym_TILDE] = ACTIONS(1108),
    [anon_sym_PLUS_PLUS] = ACTIONS(1108),
    [anon_sym_DASH_DASH] = ACTIONS(1108),
    [anon_sym_new] = ACTIONS(1110),
    [anon_sym_LBRACK] = ACTIONS(1108),
    [anon_sym_DOT] = ACTIONS(1110),
    [anon_sym_class] = ACTIONS(1110),
    [anon_sym_COLON_COLON] = ACTIONS(1108),
    [anon_sym_switch] = ACTIONS(1110),
    [anon_sym_LBRACE] = ACTIONS(1485),
    [anon_sym_default] = ACTIONS(1110),
    [sym_underscore_pattern] = ACTIONS(1110),
    [anon_sym_SEMI] = ACTIONS(1108),
    [anon_sym_assert] = ACTIONS(1110),
    [anon_sym_do] = ACTIONS(1110),
    [anon_sym_while] = ACTIONS(1110),
    [anon_sym_break] = ACTIONS(1110),
    [anon_sym_continue] = ACTIONS(1110),
    [anon_sym_return] = ACTIONS(1110),
    [anon_sym_yield] = ACTIONS(1110),
    [anon_sym_synchronized] = ACTIONS(1110),
    [anon_sym_throw] = ACTIONS(1110),
    [anon_sym_try] = ACTIONS(1110),
    [anon_sym_if] = ACTIONS(1110),
    [anon_sym_for] = ACTIONS(1110),
    [anon_sym_AT] = ACTIONS(1110),
    [anon_sym_open] = ACTIONS(1110),
    [anon_sym_module] = ACTIONS(1110),
    [anon_sym_static] = ACTIONS(1110),
    [anon_sym_with] = ACTIONS(1110),
    [anon_sym_package] = ACTIONS(1110),
    [anon_sym_import] = ACTIONS(1110),
    [anon_sym_enum] = ACTIONS(1110),
    [anon_sym_public] = ACTIONS(1110),
    [anon_sym_protected] = ACTIONS(1110),
    [anon_sym_private] = ACTIONS(1110),
    [anon_sym_abstract] = ACTIONS(1110),
    [anon_sym_strictfp] = ACTIONS(1110),
    [anon_sym_native] = ACTIONS(1110),
    [anon_sym_transient] = ACTIONS(1110),
    [anon_sym_volatile] = ACTIONS(1110),
    [anon_sym_sealed] = ACTIONS(1110),
    [anon_sym_non_DASHsealed] = ACTIONS(1108),
    [anon_sym_record] = ACTIONS(1110),
    [anon_sym_ATinterface] = ACTIONS(1108),
    [anon_sym_interface] = ACTIONS(1110),
    [anon_sym_byte] = ACTIONS(1110),
    [anon_sym_short] = ACTIONS(1110),
    [anon_sym_int] = ACTIONS(1110),
    [anon_sym_long] = ACTIONS(1110),
    [anon_sym_char] = ACTIONS(1110),
    [anon_sym_float] = ACTIONS(1110),
    [anon_sym_double] = ACTIONS(1110),
    [sym_boolean_type] = ACTIONS(1110),
    [sym_void_type] = ACTIONS(1110),
    [anon_sym_def] = ACTIONS(1110),
    [sym_this] = ACTIONS(1110),
    [sym_super] = ACTIONS(1110),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1108),
  },
  [340] = {
    [sym_class_body] = STATE(445),
    [ts_builtin_sym_end] = ACTIONS(1020),
    [sym_identifier] = ACTIONS(1022),
    [sym_decimal_integer_literal] = ACTIONS(1022),
    [sym_hex_integer_literal] = ACTIONS(1022),
    [sym_octal_integer_literal] = ACTIONS(1022),
    [sym_binary_integer_literal] = ACTIONS(1020),
    [sym_decimal_floating_point_literal] = ACTIONS(1020),
    [sym_hex_floating_point_literal] = ACTIONS(1022),
    [sym_true] = ACTIONS(1022),
    [sym_false] = ACTIONS(1022),
    [sym_character_literal] = ACTIONS(1020),
    [anon_sym_DQUOTE] = ACTIONS(1022),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1020),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1020),
    [anon_sym_RBRACE] = ACTIONS(1020),
    [sym_null_literal] = ACTIONS(1022),
    [anon_sym_LPAREN] = ACTIONS(1020),
    [anon_sym_AMP] = ACTIONS(1022),
    [anon_sym_GT] = ACTIONS(1022),
    [anon_sym_LT] = ACTIONS(1022),
    [anon_sym_GT_EQ] = ACTIONS(1020),
    [anon_sym_LT_EQ] = ACTIONS(1020),
    [anon_sym_EQ_EQ] = ACTIONS(1020),
    [anon_sym_BANG_EQ] = ACTIONS(1020),
    [anon_sym_AMP_AMP] = ACTIONS(1020),
    [anon_sym_PIPE_PIPE] = ACTIONS(1020),
    [anon_sym_PLUS] = ACTIONS(1022),
    [anon_sym_DASH] = ACTIONS(1022),
    [anon_sym_STAR] = ACTIONS(1022),
    [anon_sym_SLASH] = ACTIONS(1022),
    [anon_sym_PIPE] = ACTIONS(1022),
    [anon_sym_CARET] = ACTIONS(1020),
    [anon_sym_PERCENT] = ACTIONS(1020),
    [anon_sym_LT_LT] = ACTIONS(1020),
    [anon_sym_GT_GT] = ACTIONS(1022),
    [anon_sym_GT_GT_GT] = ACTIONS(1020),
    [anon_sym_in] = ACTIONS(1022),
    [anon_sym_STAR_STAR] = ACTIONS(1020),
    [anon_sym_instanceof] = ACTIONS(1022),
    [anon_sym_final] = ACTIONS(1022),
    [anon_sym_DASH_GT] = ACTIONS(1020),
    [anon_sym_COMMA] = ACTIONS(1020),
    [anon_sym_QMARK] = ACTIONS(1020),
    [anon_sym_BANG] = ACTIONS(1022),
    [anon_sym_TILDE] = ACTIONS(1020),
    [anon_sym_PLUS_PLUS] = ACTIONS(1020),
    [anon_sym_DASH_DASH] = ACTIONS(1020),
    [anon_sym_new] = ACTIONS(1022),
    [anon_sym_LBRACK] = ACTIONS(1020),
    [anon_sym_DOT] = ACTIONS(1022),
    [anon_sym_class] = ACTIONS(1022),
    [anon_sym_COLON_COLON] = ACTIONS(1020),
    [anon_sym_switch] = ACTIONS(1022),
    [anon_sym_LBRACE] = ACTIONS(1485),
    [anon_sym_default] = ACTIONS(1022),
    [sym_underscore_pattern] = ACTIONS(1022),
    [anon_sym_SEMI] = ACTIONS(1020),
    [anon_sym_assert] = ACTIONS(1022),
    [anon_sym_do] = ACTIONS(1022),
    [anon_sym_while] = ACTIONS(1022),
    [anon_sym_break] = ACTIONS(1022),
    [anon_sym_continue] = ACTIONS(1022),
    [anon_sym_return] = ACTIONS(1022),
    [anon_sym_yield] = ACTIONS(1022),
    [anon_sym_synchronized] = ACTIONS(1022),
    [anon_sym_throw] = ACTIONS(1022),
    [anon_sym_try] = ACTIONS(1022),
    [anon_sym_if] = ACTIONS(1022),
    [anon_sym_for] = ACTIONS(1022),
    [anon_sym_AT] = ACTIONS(1022),
    [anon_sym_open] = ACTIONS(1022),
    [anon_sym_module] = ACTIONS(1022),
    [anon_sym_static] = ACTIONS(1022),
    [anon_sym_with] = ACTIONS(1022),
    [anon_sym_package] = ACTIONS(1022),
    [anon_sym_import] = ACTIONS(1022),
    [anon_sym_enum] = ACTIONS(1022),
    [anon_sym_public] = ACTIONS(1022),
    [anon_sym_protected] = ACTIONS(1022),
    [anon_sym_private] = ACTIONS(1022),
    [anon_sym_abstract] = ACTIONS(1022),
    [anon_sym_strictfp] = ACTIONS(1022),
    [anon_sym_native] = ACTIONS(1022),
    [anon_sym_transient] = ACTIONS(1022),
    [anon_sym_volatile] = ACTIONS(1022),
    [anon_sym_sealed] = ACTIONS(1022),
    [anon_sym_non_DASHsealed] = ACTIONS(1020),
    [anon_sym_record] = ACTIONS(1022),
    [anon_sym_ATinterface] = ACTIONS(1020),
    [anon_sym_interface] = ACTIONS(1022),
    [anon_sym_byte] = ACTIONS(1022),
    [anon_sym_short] = ACTIONS(1022),
    [anon_sym_int] = ACTIONS(1022),
    [anon_sym_long] = ACTIONS(1022),
    [anon_sym_char] = ACTIONS(1022),
    [anon_sym_float] = ACTIONS(1022),
    [anon_sym_double] = ACTIONS(1022),
    [sym_boolean_type] = ACTIONS(1022),
    [sym_void_type] = ACTIONS(1022),
    [anon_sym_def] = ACTIONS(1022),
    [sym_this] = ACTIONS(1022),
    [sym_super] = ACTIONS(1022),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1020),
  },
  [341] = {
    [sym_class_body] = STATE(446),
    [ts_builtin_sym_end] = ACTIONS(1044),
    [sym_identifier] = ACTIONS(1046),
    [sym_decimal_integer_literal] = ACTIONS(1046),
    [sym_hex_integer_literal] = ACTIONS(1046),
    [sym_octal_integer_literal] = ACTIONS(1046),
    [sym_binary_integer_literal] = ACTIONS(1044),
    [sym_decimal_floating_point_literal] = ACTIONS(1044),
    [sym_hex_floating_point_literal] = ACTIONS(1046),
    [sym_true] = ACTIONS(1046),
    [sym_false] = ACTIONS(1046),
    [sym_character_literal] = ACTIONS(1044),
    [anon_sym_DQUOTE] = ACTIONS(1046),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1044),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1044),
    [anon_sym_RBRACE] = ACTIONS(1044),
    [sym_null_literal] = ACTIONS(1046),
    [anon_sym_LPAREN] = ACTIONS(1044),
    [anon_sym_AMP] = ACTIONS(1046),
    [anon_sym_GT] = ACTIONS(1046),
    [anon_sym_LT] = ACTIONS(1046),
    [anon_sym_GT_EQ] = ACTIONS(1044),
    [anon_sym_LT_EQ] = ACTIONS(1044),
    [anon_sym_EQ_EQ] = ACTIONS(1044),
    [anon_sym_BANG_EQ] = ACTIONS(1044),
    [anon_sym_AMP_AMP] = ACTIONS(1044),
    [anon_sym_PIPE_PIPE] = ACTIONS(1044),
    [anon_sym_PLUS] = ACTIONS(1046),
    [anon_sym_DASH] = ACTIONS(1046),
    [anon_sym_STAR] = ACTIONS(1046),
    [anon_sym_SLASH] = ACTIONS(1046),
    [anon_sym_PIPE] = ACTIONS(1046),
    [anon_sym_CARET] = ACTIONS(1044),
    [anon_sym_PERCENT] = ACTIONS(1044),
    [anon_sym_LT_LT] = ACTIONS(1044),
    [anon_sym_GT_GT] = ACTIONS(1046),
    [anon_sym_GT_GT_GT] = ACTIONS(1044),
    [anon_sym_in] = ACTIONS(1046),
    [anon_sym_STAR_STAR] = ACTIONS(1044),
    [anon_sym_instanceof] = ACTIONS(1046),
    [anon_sym_final] = ACTIONS(1046),
    [anon_sym_DASH_GT] = ACTIONS(1044),
    [anon_sym_COMMA] = ACTIONS(1044),
    [anon_sym_QMARK] = ACTIONS(1044),
    [anon_sym_BANG] = ACTIONS(1046),
    [anon_sym_TILDE] = ACTIONS(1044),
    [anon_sym_PLUS_PLUS] = ACTIONS(1044),
    [anon_sym_DASH_DASH] = ACTIONS(1044),
    [anon_sym_new] = ACTIONS(1046),
    [anon_sym_LBRACK] = ACTIONS(1044),
    [anon_sym_DOT] = ACTIONS(1046),
    [anon_sym_class] = ACTIONS(1046),
    [anon_sym_COLON_COLON] = ACTIONS(1044),
    [anon_sym_switch] = ACTIONS(1046),
    [anon_sym_LBRACE] = ACTIONS(1485),
    [anon_sym_default] = ACTIONS(1046),
    [sym_underscore_pattern] = ACTIONS(1046),
    [anon_sym_SEMI] = ACTIONS(1044),
    [anon_sym_assert] = ACTIONS(1046),
    [anon_sym_do] = ACTIONS(1046),
    [anon_sym_while] = ACTIONS(1046),
    [anon_sym_break] = ACTIONS(1046),
    [anon_sym_continue] = ACTIONS(1046),
    [anon_sym_return] = ACTIONS(1046),
    [anon_sym_yield] = ACTIONS(1046),
    [anon_sym_synchronized] = ACTIONS(1046),
    [anon_sym_throw] = ACTIONS(1046),
    [anon_sym_try] = ACTIONS(1046),
    [anon_sym_if] = ACTIONS(1046),
    [anon_sym_for] = ACTIONS(1046),
    [anon_sym_AT] = ACTIONS(1046),
    [anon_sym_open] = ACTIONS(1046),
    [anon_sym_module] = ACTIONS(1046),
    [anon_sym_static] = ACTIONS(1046),
    [anon_sym_with] = ACTIONS(1046),
    [anon_sym_package] = ACTIONS(1046),
    [anon_sym_import] = ACTIONS(1046),
    [anon_sym_enum] = ACTIONS(1046),
    [anon_sym_public] = ACTIONS(1046),
    [anon_sym_protected] = ACTIONS(1046),
    [anon_sym_private] = ACTIONS(1046),
    [anon_sym_abstract] = ACTIONS(1046),
    [anon_sym_strictfp] = ACTIONS(1046),
    [anon_sym_native] = ACTIONS(1046),
    [anon_sym_transient] = ACTIONS(1046),
    [anon_sym_volatile] = ACTIONS(1046),
    [anon_sym_sealed] = ACTIONS(1046),
    [anon_sym_non_DASHsealed] = ACTIONS(1044),
    [anon_sym_record] = ACTIONS(1046),
    [anon_sym_ATinterface] = ACTIONS(1044),
    [anon_sym_interface] = ACTIONS(1046),
    [anon_sym_byte] = ACTIONS(1046),
    [anon_sym_short] = ACTIONS(1046),
    [anon_sym_int] = ACTIONS(1046),
    [anon_sym_long] = ACTIONS(1046),
    [anon_sym_char] = ACTIONS(1046),
    [anon_sym_float] = ACTIONS(1046),
    [anon_sym_double] = ACTIONS(1046),
    [sym_boolean_type] = ACTIONS(1046),
    [sym_void_type] = ACTIONS(1046),
    [anon_sym_def] = ACTIONS(1046),
    [sym_this] = ACTIONS(1046),
    [sym_super] = ACTIONS(1046),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1044),
  },
  [342] = {
    [ts_builtin_sym_end] = ACTIONS(1223),
    [sym_identifier] = ACTIONS(1225),
    [sym_decimal_integer_literal] = ACTIONS(1225),
    [sym_hex_integer_literal] = ACTIONS(1225),
    [sym_octal_integer_literal] = ACTIONS(1225),
    [sym_binary_integer_literal] = ACTIONS(1225),
    [sym_decimal_floating_point_literal] = ACTIONS(1225),
    [sym_hex_floating_point_literal] = ACTIONS(1225),
    [sym_true] = ACTIONS(1225),
    [sym_false] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(1225),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1225),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1225),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [sym_null_literal] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1225),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_GT] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1225),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_PIPE] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1225),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1225),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_in] = ACTIONS(1225),
    [anon_sym_STAR_STAR] = ACTIONS(1225),
    [anon_sym_instanceof] = ACTIONS(1225),
    [anon_sym_final] = ACTIONS(1225),
    [anon_sym_DASH_GT] = ACTIONS(1225),
    [anon_sym_QMARK] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(1225),
    [anon_sym_TILDE] = ACTIONS(1225),
    [anon_sym_PLUS_PLUS] = ACTIONS(1225),
    [anon_sym_DASH_DASH] = ACTIONS(1225),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1225),
    [anon_sym_class] = ACTIONS(1225),
    [anon_sym_switch] = ACTIONS(1225),
    [anon_sym_LBRACE] = ACTIONS(1225),
    [anon_sym_case] = ACTIONS(1225),
    [anon_sym_default] = ACTIONS(1225),
    [sym_underscore_pattern] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_expression_statement_token1] = ACTIONS(1223),
    [anon_sym_NULL] = ACTIONS(1225),
    [anon_sym_assert] = ACTIONS(1225),
    [anon_sym_do] = ACTIONS(1225),
    [anon_sym_while] = ACTIONS(1225),
    [anon_sym_break] = ACTIONS(1225),
    [anon_sym_continue] = ACTIONS(1225),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_yield] = ACTIONS(1225),
    [anon_sym_synchronized] = ACTIONS(1225),
    [anon_sym_throw] = ACTIONS(1225),
    [anon_sym_try] = ACTIONS(1225),
    [anon_sym_if] = ACTIONS(1225),
    [anon_sym_else] = ACTIONS(1225),
    [anon_sym_for] = ACTIONS(1225),
    [anon_sym_AT] = ACTIONS(1225),
    [anon_sym_open] = ACTIONS(1225),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_static] = ACTIONS(1225),
    [anon_sym_with] = ACTIONS(1225),
    [anon_sym_package] = ACTIONS(1225),
    [anon_sym_import] = ACTIONS(1225),
    [anon_sym_enum] = ACTIONS(1225),
    [anon_sym_public] = ACTIONS(1225),
    [anon_sym_protected] = ACTIONS(1225),
    [anon_sym_private] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1225),
    [anon_sym_strictfp] = ACTIONS(1225),
    [anon_sym_native] = ACTIONS(1225),
    [anon_sym_transient] = ACTIONS(1225),
    [anon_sym_volatile] = ACTIONS(1225),
    [anon_sym_sealed] = ACTIONS(1225),
    [anon_sym_non_DASHsealed] = ACTIONS(1225),
    [anon_sym_record] = ACTIONS(1225),
    [anon_sym_ATinterface] = ACTIONS(1225),
    [anon_sym_interface] = ACTIONS(1225),
    [anon_sym_byte] = ACTIONS(1225),
    [anon_sym_short] = ACTIONS(1225),
    [anon_sym_int] = ACTIONS(1225),
    [anon_sym_long] = ACTIONS(1225),
    [anon_sym_char] = ACTIONS(1225),
    [anon_sym_float] = ACTIONS(1225),
    [anon_sym_double] = ACTIONS(1225),
    [sym_boolean_type] = ACTIONS(1225),
    [sym_void_type] = ACTIONS(1225),
    [anon_sym_def] = ACTIONS(1225),
    [sym_this] = ACTIONS(1225),
    [sym_super] = ACTIONS(1225),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1225),
  },
  [343] = {
    [sym_closure] = STATE(453),
    [ts_builtin_sym_end] = ACTIONS(1060),
    [sym_identifier] = ACTIONS(1062),
    [sym_decimal_integer_literal] = ACTIONS(1062),
    [sym_hex_integer_literal] = ACTIONS(1062),
    [sym_octal_integer_literal] = ACTIONS(1062),
    [sym_binary_integer_literal] = ACTIONS(1060),
    [sym_decimal_floating_point_literal] = ACTIONS(1060),
    [sym_hex_floating_point_literal] = ACTIONS(1062),
    [sym_true] = ACTIONS(1062),
    [sym_false] = ACTIONS(1062),
    [sym_character_literal] = ACTIONS(1060),
    [anon_sym_DQUOTE] = ACTIONS(1062),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1060),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1060),
    [anon_sym_RBRACE] = ACTIONS(1060),
    [sym_null_literal] = ACTIONS(1062),
    [anon_sym_LPAREN] = ACTIONS(1060),
    [anon_sym_AMP] = ACTIONS(1062),
    [anon_sym_GT] = ACTIONS(1062),
    [anon_sym_LT] = ACTIONS(1062),
    [anon_sym_GT_EQ] = ACTIONS(1060),
    [anon_sym_LT_EQ] = ACTIONS(1060),
    [anon_sym_EQ_EQ] = ACTIONS(1060),
    [anon_sym_BANG_EQ] = ACTIONS(1060),
    [anon_sym_AMP_AMP] = ACTIONS(1060),
    [anon_sym_PIPE_PIPE] = ACTIONS(1060),
    [anon_sym_PLUS] = ACTIONS(1062),
    [anon_sym_DASH] = ACTIONS(1062),
    [anon_sym_STAR] = ACTIONS(1062),
    [anon_sym_SLASH] = ACTIONS(1062),
    [anon_sym_PIPE] = ACTIONS(1062),
    [anon_sym_CARET] = ACTIONS(1060),
    [anon_sym_PERCENT] = ACTIONS(1060),
    [anon_sym_LT_LT] = ACTIONS(1060),
    [anon_sym_GT_GT] = ACTIONS(1062),
    [anon_sym_GT_GT_GT] = ACTIONS(1060),
    [anon_sym_in] = ACTIONS(1062),
    [anon_sym_STAR_STAR] = ACTIONS(1060),
    [anon_sym_instanceof] = ACTIONS(1062),
    [anon_sym_final] = ACTIONS(1062),
    [anon_sym_DASH_GT] = ACTIONS(1060),
    [anon_sym_COMMA] = ACTIONS(1060),
    [anon_sym_QMARK] = ACTIONS(1060),
    [anon_sym_BANG] = ACTIONS(1062),
    [anon_sym_TILDE] = ACTIONS(1060),
    [anon_sym_PLUS_PLUS] = ACTIONS(1060),
    [anon_sym_DASH_DASH] = ACTIONS(1060),
    [anon_sym_new] = ACTIONS(1062),
    [anon_sym_LBRACK] = ACTIONS(1060),
    [anon_sym_DOT] = ACTIONS(1062),
    [anon_sym_class] = ACTIONS(1062),
    [anon_sym_COLON_COLON] = ACTIONS(1060),
    [anon_sym_switch] = ACTIONS(1062),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_default] = ACTIONS(1062),
    [sym_underscore_pattern] = ACTIONS(1062),
    [anon_sym_SEMI] = ACTIONS(1060),
    [anon_sym_assert] = ACTIONS(1062),
    [anon_sym_do] = ACTIONS(1062),
    [anon_sym_while] = ACTIONS(1062),
    [anon_sym_break] = ACTIONS(1062),
    [anon_sym_continue] = ACTIONS(1062),
    [anon_sym_return] = ACTIONS(1062),
    [anon_sym_yield] = ACTIONS(1062),
    [anon_sym_synchronized] = ACTIONS(1062),
    [anon_sym_throw] = ACTIONS(1062),
    [anon_sym_try] = ACTIONS(1062),
    [anon_sym_if] = ACTIONS(1062),
    [anon_sym_for] = ACTIONS(1062),
    [anon_sym_AT] = ACTIONS(1062),
    [anon_sym_open] = ACTIONS(1062),
    [anon_sym_module] = ACTIONS(1062),
    [anon_sym_static] = ACTIONS(1062),
    [anon_sym_with] = ACTIONS(1062),
    [anon_sym_package] = ACTIONS(1062),
    [anon_sym_import] = ACTIONS(1062),
    [anon_sym_enum] = ACTIONS(1062),
    [anon_sym_public] = ACTIONS(1062),
    [anon_sym_protected] = ACTIONS(1062),
    [anon_sym_private] = ACTIONS(1062),
    [anon_sym_abstract] = ACTIONS(1062),
    [anon_sym_strictfp] = ACTIONS(1062),
    [anon_sym_native] = ACTIONS(1062),
    [anon_sym_transient] = ACTIONS(1062),
    [anon_sym_volatile] = ACTIONS(1062),
    [anon_sym_sealed] = ACTIONS(1062),
    [anon_sym_non_DASHsealed] = ACTIONS(1060),
    [anon_sym_record] = ACTIONS(1062),
    [anon_sym_ATinterface] = ACTIONS(1060),
    [anon_sym_interface] = ACTIONS(1062),
    [anon_sym_byte] = ACTIONS(1062),
    [anon_sym_short] = ACTIONS(1062),
    [anon_sym_int] = ACTIONS(1062),
    [anon_sym_long] = ACTIONS(1062),
    [anon_sym_char] = ACTIONS(1062),
    [anon_sym_float] = ACTIONS(1062),
    [anon_sym_double] = ACTIONS(1062),
    [sym_boolean_type] = ACTIONS(1062),
    [sym_void_type] = ACTIONS(1062),
    [anon_sym_def] = ACTIONS(1062),
    [sym_this] = ACTIONS(1062),
    [sym_super] = ACTIONS(1062),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1060),
  },
  [344] = {
    [ts_builtin_sym_end] = ACTIONS(1173),
    [sym_identifier] = ACTIONS(1175),
    [sym_decimal_integer_literal] = ACTIONS(1175),
    [sym_hex_integer_literal] = ACTIONS(1175),
    [sym_octal_integer_literal] = ACTIONS(1175),
    [sym_binary_integer_literal] = ACTIONS(1173),
    [sym_decimal_floating_point_literal] = ACTIONS(1173),
    [sym_hex_floating_point_literal] = ACTIONS(1175),
    [sym_true] = ACTIONS(1175),
    [sym_false] = ACTIONS(1175),
    [sym_character_literal] = ACTIONS(1173),
    [anon_sym_DQUOTE] = ACTIONS(1175),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1173),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1173),
    [anon_sym_RBRACE] = ACTIONS(1173),
    [sym_null_literal] = ACTIONS(1175),
    [anon_sym_LPAREN] = ACTIONS(1173),
    [anon_sym_AMP] = ACTIONS(1175),
    [anon_sym_GT] = ACTIONS(1175),
    [anon_sym_LT] = ACTIONS(1175),
    [anon_sym_GT_EQ] = ACTIONS(1173),
    [anon_sym_LT_EQ] = ACTIONS(1173),
    [anon_sym_EQ_EQ] = ACTIONS(1173),
    [anon_sym_BANG_EQ] = ACTIONS(1173),
    [anon_sym_AMP_AMP] = ACTIONS(1173),
    [anon_sym_PIPE_PIPE] = ACTIONS(1173),
    [anon_sym_PLUS] = ACTIONS(1175),
    [anon_sym_DASH] = ACTIONS(1175),
    [anon_sym_STAR] = ACTIONS(1175),
    [anon_sym_SLASH] = ACTIONS(1175),
    [anon_sym_PIPE] = ACTIONS(1175),
    [anon_sym_CARET] = ACTIONS(1173),
    [anon_sym_PERCENT] = ACTIONS(1173),
    [anon_sym_LT_LT] = ACTIONS(1173),
    [anon_sym_GT_GT] = ACTIONS(1175),
    [anon_sym_GT_GT_GT] = ACTIONS(1173),
    [anon_sym_in] = ACTIONS(1175),
    [anon_sym_STAR_STAR] = ACTIONS(1173),
    [anon_sym_instanceof] = ACTIONS(1175),
    [anon_sym_final] = ACTIONS(1175),
    [anon_sym_DASH_GT] = ACTIONS(1173),
    [anon_sym_COMMA] = ACTIONS(1173),
    [anon_sym_QMARK] = ACTIONS(1173),
    [anon_sym_COLON] = ACTIONS(1175),
    [anon_sym_BANG] = ACTIONS(1175),
    [anon_sym_TILDE] = ACTIONS(1173),
    [anon_sym_PLUS_PLUS] = ACTIONS(1173),
    [anon_sym_DASH_DASH] = ACTIONS(1173),
    [anon_sym_new] = ACTIONS(1175),
    [anon_sym_LBRACK] = ACTIONS(1173),
    [anon_sym_DOT] = ACTIONS(1175),
    [anon_sym_class] = ACTIONS(1175),
    [anon_sym_COLON_COLON] = ACTIONS(1173),
    [anon_sym_switch] = ACTIONS(1175),
    [anon_sym_LBRACE] = ACTIONS(1173),
    [anon_sym_default] = ACTIONS(1175),
    [sym_underscore_pattern] = ACTIONS(1175),
    [anon_sym_SEMI] = ACTIONS(1173),
    [anon_sym_assert] = ACTIONS(1175),
    [anon_sym_do] = ACTIONS(1175),
    [anon_sym_while] = ACTIONS(1175),
    [anon_sym_break] = ACTIONS(1175),
    [anon_sym_continue] = ACTIONS(1175),
    [anon_sym_return] = ACTIONS(1175),
    [anon_sym_yield] = ACTIONS(1175),
    [anon_sym_synchronized] = ACTIONS(1175),
    [anon_sym_throw] = ACTIONS(1175),
    [anon_sym_try] = ACTIONS(1175),
    [anon_sym_if] = ACTIONS(1175),
    [anon_sym_for] = ACTIONS(1175),
    [anon_sym_AT] = ACTIONS(1175),
    [anon_sym_open] = ACTIONS(1175),
    [anon_sym_module] = ACTIONS(1175),
    [anon_sym_static] = ACTIONS(1175),
    [anon_sym_with] = ACTIONS(1175),
    [anon_sym_package] = ACTIONS(1175),
    [anon_sym_import] = ACTIONS(1175),
    [anon_sym_enum] = ACTIONS(1175),
    [anon_sym_public] = ACTIONS(1175),
    [anon_sym_protected] = ACTIONS(1175),
    [anon_sym_private] = ACTIONS(1175),
    [anon_sym_abstract] = ACTIONS(1175),
    [anon_sym_strictfp] = ACTIONS(1175),
    [anon_sym_native] = ACTIONS(1175),
    [anon_sym_transient] = ACTIONS(1175),
    [anon_sym_volatile] = ACTIONS(1175),
    [anon_sym_sealed] = ACTIONS(1175),
    [anon_sym_non_DASHsealed] = ACTIONS(1173),
    [anon_sym_record] = ACTIONS(1175),
    [anon_sym_ATinterface] = ACTIONS(1173),
    [anon_sym_interface] = ACTIONS(1175),
    [anon_sym_byte] = ACTIONS(1175),
    [anon_sym_short] = ACTIONS(1175),
    [anon_sym_int] = ACTIONS(1175),
    [anon_sym_long] = ACTIONS(1175),
    [anon_sym_char] = ACTIONS(1175),
    [anon_sym_float] = ACTIONS(1175),
    [anon_sym_double] = ACTIONS(1175),
    [sym_boolean_type] = ACTIONS(1175),
    [sym_void_type] = ACTIONS(1175),
    [anon_sym_def] = ACTIONS(1175),
    [sym_this] = ACTIONS(1175),
    [sym_super] = ACTIONS(1175),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1173),
  },
  [345] = {
    [sym_closure] = STATE(451),
    [ts_builtin_sym_end] = ACTIONS(1026),
    [sym_identifier] = ACTIONS(1028),
    [sym_decimal_integer_literal] = ACTIONS(1028),
    [sym_hex_integer_literal] = ACTIONS(1028),
    [sym_octal_integer_literal] = ACTIONS(1028),
    [sym_binary_integer_literal] = ACTIONS(1026),
    [sym_decimal_floating_point_literal] = ACTIONS(1026),
    [sym_hex_floating_point_literal] = ACTIONS(1028),
    [sym_true] = ACTIONS(1028),
    [sym_false] = ACTIONS(1028),
    [sym_character_literal] = ACTIONS(1026),
    [anon_sym_DQUOTE] = ACTIONS(1028),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1026),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1026),
    [anon_sym_RBRACE] = ACTIONS(1026),
    [sym_null_literal] = ACTIONS(1028),
    [anon_sym_LPAREN] = ACTIONS(1026),
    [anon_sym_AMP] = ACTIONS(1028),
    [anon_sym_GT] = ACTIONS(1028),
    [anon_sym_LT] = ACTIONS(1028),
    [anon_sym_GT_EQ] = ACTIONS(1026),
    [anon_sym_LT_EQ] = ACTIONS(1026),
    [anon_sym_EQ_EQ] = ACTIONS(1026),
    [anon_sym_BANG_EQ] = ACTIONS(1026),
    [anon_sym_AMP_AMP] = ACTIONS(1026),
    [anon_sym_PIPE_PIPE] = ACTIONS(1026),
    [anon_sym_PLUS] = ACTIONS(1028),
    [anon_sym_DASH] = ACTIONS(1028),
    [anon_sym_STAR] = ACTIONS(1028),
    [anon_sym_SLASH] = ACTIONS(1028),
    [anon_sym_PIPE] = ACTIONS(1028),
    [anon_sym_CARET] = ACTIONS(1026),
    [anon_sym_PERCENT] = ACTIONS(1026),
    [anon_sym_LT_LT] = ACTIONS(1026),
    [anon_sym_GT_GT] = ACTIONS(1028),
    [anon_sym_GT_GT_GT] = ACTIONS(1026),
    [anon_sym_in] = ACTIONS(1028),
    [anon_sym_STAR_STAR] = ACTIONS(1026),
    [anon_sym_instanceof] = ACTIONS(1028),
    [anon_sym_final] = ACTIONS(1028),
    [anon_sym_DASH_GT] = ACTIONS(1026),
    [anon_sym_COMMA] = ACTIONS(1026),
    [anon_sym_QMARK] = ACTIONS(1026),
    [anon_sym_BANG] = ACTIONS(1028),
    [anon_sym_TILDE] = ACTIONS(1026),
    [anon_sym_PLUS_PLUS] = ACTIONS(1026),
    [anon_sym_DASH_DASH] = ACTIONS(1026),
    [anon_sym_new] = ACTIONS(1028),
    [anon_sym_LBRACK] = ACTIONS(1026),
    [anon_sym_DOT] = ACTIONS(1028),
    [anon_sym_class] = ACTIONS(1028),
    [anon_sym_COLON_COLON] = ACTIONS(1026),
    [anon_sym_switch] = ACTIONS(1028),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_default] = ACTIONS(1028),
    [sym_underscore_pattern] = ACTIONS(1028),
    [anon_sym_SEMI] = ACTIONS(1026),
    [anon_sym_assert] = ACTIONS(1028),
    [anon_sym_do] = ACTIONS(1028),
    [anon_sym_while] = ACTIONS(1028),
    [anon_sym_break] = ACTIONS(1028),
    [anon_sym_continue] = ACTIONS(1028),
    [anon_sym_return] = ACTIONS(1028),
    [anon_sym_yield] = ACTIONS(1028),
    [anon_sym_synchronized] = ACTIONS(1028),
    [anon_sym_throw] = ACTIONS(1028),
    [anon_sym_try] = ACTIONS(1028),
    [anon_sym_if] = ACTIONS(1028),
    [anon_sym_for] = ACTIONS(1028),
    [anon_sym_AT] = ACTIONS(1028),
    [anon_sym_open] = ACTIONS(1028),
    [anon_sym_module] = ACTIONS(1028),
    [anon_sym_static] = ACTIONS(1028),
    [anon_sym_with] = ACTIONS(1028),
    [anon_sym_package] = ACTIONS(1028),
    [anon_sym_import] = ACTIONS(1028),
    [anon_sym_enum] = ACTIONS(1028),
    [anon_sym_public] = ACTIONS(1028),
    [anon_sym_protected] = ACTIONS(1028),
    [anon_sym_private] = ACTIONS(1028),
    [anon_sym_abstract] = ACTIONS(1028),
    [anon_sym_strictfp] = ACTIONS(1028),
    [anon_sym_native] = ACTIONS(1028),
    [anon_sym_transient] = ACTIONS(1028),
    [anon_sym_volatile] = ACTIONS(1028),
    [anon_sym_sealed] = ACTIONS(1028),
    [anon_sym_non_DASHsealed] = ACTIONS(1026),
    [anon_sym_record] = ACTIONS(1028),
    [anon_sym_ATinterface] = ACTIONS(1026),
    [anon_sym_interface] = ACTIONS(1028),
    [anon_sym_byte] = ACTIONS(1028),
    [anon_sym_short] = ACTIONS(1028),
    [anon_sym_int] = ACTIONS(1028),
    [anon_sym_long] = ACTIONS(1028),
    [anon_sym_char] = ACTIONS(1028),
    [anon_sym_float] = ACTIONS(1028),
    [anon_sym_double] = ACTIONS(1028),
    [sym_boolean_type] = ACTIONS(1028),
    [sym_void_type] = ACTIONS(1028),
    [anon_sym_def] = ACTIONS(1028),
    [sym_this] = ACTIONS(1028),
    [sym_super] = ACTIONS(1028),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1026),
  },
  [346] = {
    [sym_class_body] = STATE(455),
    [ts_builtin_sym_end] = ACTIONS(1032),
    [sym_identifier] = ACTIONS(1034),
    [sym_decimal_integer_literal] = ACTIONS(1034),
    [sym_hex_integer_literal] = ACTIONS(1034),
    [sym_octal_integer_literal] = ACTIONS(1034),
    [sym_binary_integer_literal] = ACTIONS(1032),
    [sym_decimal_floating_point_literal] = ACTIONS(1032),
    [sym_hex_floating_point_literal] = ACTIONS(1034),
    [sym_true] = ACTIONS(1034),
    [sym_false] = ACTIONS(1034),
    [sym_character_literal] = ACTIONS(1032),
    [anon_sym_DQUOTE] = ACTIONS(1034),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1032),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1032),
    [anon_sym_RBRACE] = ACTIONS(1032),
    [sym_null_literal] = ACTIONS(1034),
    [anon_sym_LPAREN] = ACTIONS(1032),
    [anon_sym_AMP] = ACTIONS(1034),
    [anon_sym_GT] = ACTIONS(1034),
    [anon_sym_LT] = ACTIONS(1034),
    [anon_sym_GT_EQ] = ACTIONS(1032),
    [anon_sym_LT_EQ] = ACTIONS(1032),
    [anon_sym_EQ_EQ] = ACTIONS(1032),
    [anon_sym_BANG_EQ] = ACTIONS(1032),
    [anon_sym_AMP_AMP] = ACTIONS(1032),
    [anon_sym_PIPE_PIPE] = ACTIONS(1032),
    [anon_sym_PLUS] = ACTIONS(1034),
    [anon_sym_DASH] = ACTIONS(1034),
    [anon_sym_STAR] = ACTIONS(1034),
    [anon_sym_SLASH] = ACTIONS(1034),
    [anon_sym_PIPE] = ACTIONS(1034),
    [anon_sym_CARET] = ACTIONS(1032),
    [anon_sym_PERCENT] = ACTIONS(1032),
    [anon_sym_LT_LT] = ACTIONS(1032),
    [anon_sym_GT_GT] = ACTIONS(1034),
    [anon_sym_GT_GT_GT] = ACTIONS(1032),
    [anon_sym_in] = ACTIONS(1034),
    [anon_sym_STAR_STAR] = ACTIONS(1032),
    [anon_sym_instanceof] = ACTIONS(1034),
    [anon_sym_final] = ACTIONS(1034),
    [anon_sym_DASH_GT] = ACTIONS(1032),
    [anon_sym_COMMA] = ACTIONS(1032),
    [anon_sym_QMARK] = ACTIONS(1032),
    [anon_sym_BANG] = ACTIONS(1034),
    [anon_sym_TILDE] = ACTIONS(1032),
    [anon_sym_PLUS_PLUS] = ACTIONS(1032),
    [anon_sym_DASH_DASH] = ACTIONS(1032),
    [anon_sym_new] = ACTIONS(1034),
    [anon_sym_LBRACK] = ACTIONS(1032),
    [anon_sym_DOT] = ACTIONS(1034),
    [anon_sym_class] = ACTIONS(1034),
    [anon_sym_COLON_COLON] = ACTIONS(1032),
    [anon_sym_switch] = ACTIONS(1034),
    [anon_sym_LBRACE] = ACTIONS(1485),
    [anon_sym_default] = ACTIONS(1034),
    [sym_underscore_pattern] = ACTIONS(1034),
    [anon_sym_SEMI] = ACTIONS(1032),
    [anon_sym_assert] = ACTIONS(1034),
    [anon_sym_do] = ACTIONS(1034),
    [anon_sym_while] = ACTIONS(1034),
    [anon_sym_break] = ACTIONS(1034),
    [anon_sym_continue] = ACTIONS(1034),
    [anon_sym_return] = ACTIONS(1034),
    [anon_sym_yield] = ACTIONS(1034),
    [anon_sym_synchronized] = ACTIONS(1034),
    [anon_sym_throw] = ACTIONS(1034),
    [anon_sym_try] = ACTIONS(1034),
    [anon_sym_if] = ACTIONS(1034),
    [anon_sym_for] = ACTIONS(1034),
    [anon_sym_AT] = ACTIONS(1034),
    [anon_sym_open] = ACTIONS(1034),
    [anon_sym_module] = ACTIONS(1034),
    [anon_sym_static] = ACTIONS(1034),
    [anon_sym_with] = ACTIONS(1034),
    [anon_sym_package] = ACTIONS(1034),
    [anon_sym_import] = ACTIONS(1034),
    [anon_sym_enum] = ACTIONS(1034),
    [anon_sym_public] = ACTIONS(1034),
    [anon_sym_protected] = ACTIONS(1034),
    [anon_sym_private] = ACTIONS(1034),
    [anon_sym_abstract] = ACTIONS(1034),
    [anon_sym_strictfp] = ACTIONS(1034),
    [anon_sym_native] = ACTIONS(1034),
    [anon_sym_transient] = ACTIONS(1034),
    [anon_sym_volatile] = ACTIONS(1034),
    [anon_sym_sealed] = ACTIONS(1034),
    [anon_sym_non_DASHsealed] = ACTIONS(1032),
    [anon_sym_record] = ACTIONS(1034),
    [anon_sym_ATinterface] = ACTIONS(1032),
    [anon_sym_interface] = ACTIONS(1034),
    [anon_sym_byte] = ACTIONS(1034),
    [anon_sym_short] = ACTIONS(1034),
    [anon_sym_int] = ACTIONS(1034),
    [anon_sym_long] = ACTIONS(1034),
    [anon_sym_char] = ACTIONS(1034),
    [anon_sym_float] = ACTIONS(1034),
    [anon_sym_double] = ACTIONS(1034),
    [sym_boolean_type] = ACTIONS(1034),
    [sym_void_type] = ACTIONS(1034),
    [anon_sym_def] = ACTIONS(1034),
    [sym_this] = ACTIONS(1034),
    [sym_super] = ACTIONS(1034),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1032),
  },
  [347] = {
    [sym_class_body] = STATE(456),
    [ts_builtin_sym_end] = ACTIONS(1036),
    [sym_identifier] = ACTIONS(1038),
    [sym_decimal_integer_literal] = ACTIONS(1038),
    [sym_hex_integer_literal] = ACTIONS(1038),
    [sym_octal_integer_literal] = ACTIONS(1038),
    [sym_binary_integer_literal] = ACTIONS(1036),
    [sym_decimal_floating_point_literal] = ACTIONS(1036),
    [sym_hex_floating_point_literal] = ACTIONS(1038),
    [sym_true] = ACTIONS(1038),
    [sym_false] = ACTIONS(1038),
    [sym_character_literal] = ACTIONS(1036),
    [anon_sym_DQUOTE] = ACTIONS(1038),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1036),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1036),
    [anon_sym_RBRACE] = ACTIONS(1036),
    [sym_null_literal] = ACTIONS(1038),
    [anon_sym_LPAREN] = ACTIONS(1036),
    [anon_sym_AMP] = ACTIONS(1038),
    [anon_sym_GT] = ACTIONS(1038),
    [anon_sym_LT] = ACTIONS(1038),
    [anon_sym_GT_EQ] = ACTIONS(1036),
    [anon_sym_LT_EQ] = ACTIONS(1036),
    [anon_sym_EQ_EQ] = ACTIONS(1036),
    [anon_sym_BANG_EQ] = ACTIONS(1036),
    [anon_sym_AMP_AMP] = ACTIONS(1036),
    [anon_sym_PIPE_PIPE] = ACTIONS(1036),
    [anon_sym_PLUS] = ACTIONS(1038),
    [anon_sym_DASH] = ACTIONS(1038),
    [anon_sym_STAR] = ACTIONS(1038),
    [anon_sym_SLASH] = ACTIONS(1038),
    [anon_sym_PIPE] = ACTIONS(1038),
    [anon_sym_CARET] = ACTIONS(1036),
    [anon_sym_PERCENT] = ACTIONS(1036),
    [anon_sym_LT_LT] = ACTIONS(1036),
    [anon_sym_GT_GT] = ACTIONS(1038),
    [anon_sym_GT_GT_GT] = ACTIONS(1036),
    [anon_sym_in] = ACTIONS(1038),
    [anon_sym_STAR_STAR] = ACTIONS(1036),
    [anon_sym_instanceof] = ACTIONS(1038),
    [anon_sym_final] = ACTIONS(1038),
    [anon_sym_DASH_GT] = ACTIONS(1036),
    [anon_sym_COMMA] = ACTIONS(1036),
    [anon_sym_QMARK] = ACTIONS(1036),
    [anon_sym_BANG] = ACTIONS(1038),
    [anon_sym_TILDE] = ACTIONS(1036),
    [anon_sym_PLUS_PLUS] = ACTIONS(1036),
    [anon_sym_DASH_DASH] = ACTIONS(1036),
    [anon_sym_new] = ACTIONS(1038),
    [anon_sym_LBRACK] = ACTIONS(1036),
    [anon_sym_DOT] = ACTIONS(1038),
    [anon_sym_class] = ACTIONS(1038),
    [anon_sym_COLON_COLON] = ACTIONS(1036),
    [anon_sym_switch] = ACTIONS(1038),
    [anon_sym_LBRACE] = ACTIONS(1485),
    [anon_sym_default] = ACTIONS(1038),
    [sym_underscore_pattern] = ACTIONS(1038),
    [anon_sym_SEMI] = ACTIONS(1036),
    [anon_sym_assert] = ACTIONS(1038),
    [anon_sym_do] = ACTIONS(1038),
    [anon_sym_while] = ACTIONS(1038),
    [anon_sym_break] = ACTIONS(1038),
    [anon_sym_continue] = ACTIONS(1038),
    [anon_sym_return] = ACTIONS(1038),
    [anon_sym_yield] = ACTIONS(1038),
    [anon_sym_synchronized] = ACTIONS(1038),
    [anon_sym_throw] = ACTIONS(1038),
    [anon_sym_try] = ACTIONS(1038),
    [anon_sym_if] = ACTIONS(1038),
    [anon_sym_for] = ACTIONS(1038),
    [anon_sym_AT] = ACTIONS(1038),
    [anon_sym_open] = ACTIONS(1038),
    [anon_sym_module] = ACTIONS(1038),
    [anon_sym_static] = ACTIONS(1038),
    [anon_sym_with] = ACTIONS(1038),
    [anon_sym_package] = ACTIONS(1038),
    [anon_sym_import] = ACTIONS(1038),
    [anon_sym_enum] = ACTIONS(1038),
    [anon_sym_public] = ACTIONS(1038),
    [anon_sym_protected] = ACTIONS(1038),
    [anon_sym_private] = ACTIONS(1038),
    [anon_sym_abstract] = ACTIONS(1038),
    [anon_sym_strictfp] = ACTIONS(1038),
    [anon_sym_native] = ACTIONS(1038),
    [anon_sym_transient] = ACTIONS(1038),
    [anon_sym_volatile] = ACTIONS(1038),
    [anon_sym_sealed] = ACTIONS(1038),
    [anon_sym_non_DASHsealed] = ACTIONS(1036),
    [anon_sym_record] = ACTIONS(1038),
    [anon_sym_ATinterface] = ACTIONS(1036),
    [anon_sym_interface] = ACTIONS(1038),
    [anon_sym_byte] = ACTIONS(1038),
    [anon_sym_short] = ACTIONS(1038),
    [anon_sym_int] = ACTIONS(1038),
    [anon_sym_long] = ACTIONS(1038),
    [anon_sym_char] = ACTIONS(1038),
    [anon_sym_float] = ACTIONS(1038),
    [anon_sym_double] = ACTIONS(1038),
    [sym_boolean_type] = ACTIONS(1038),
    [sym_void_type] = ACTIONS(1038),
    [anon_sym_def] = ACTIONS(1038),
    [sym_this] = ACTIONS(1038),
    [sym_super] = ACTIONS(1038),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1036),
  },
  [348] = {
    [sym_closure] = STATE(457),
    [ts_builtin_sym_end] = ACTIONS(1040),
    [sym_identifier] = ACTIONS(1042),
    [sym_decimal_integer_literal] = ACTIONS(1042),
    [sym_hex_integer_literal] = ACTIONS(1042),
    [sym_octal_integer_literal] = ACTIONS(1042),
    [sym_binary_integer_literal] = ACTIONS(1040),
    [sym_decimal_floating_point_literal] = ACTIONS(1040),
    [sym_hex_floating_point_literal] = ACTIONS(1042),
    [sym_true] = ACTIONS(1042),
    [sym_false] = ACTIONS(1042),
    [sym_character_literal] = ACTIONS(1040),
    [anon_sym_DQUOTE] = ACTIONS(1042),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1040),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1040),
    [anon_sym_RBRACE] = ACTIONS(1040),
    [sym_null_literal] = ACTIONS(1042),
    [anon_sym_LPAREN] = ACTIONS(1040),
    [anon_sym_AMP] = ACTIONS(1042),
    [anon_sym_GT] = ACTIONS(1042),
    [anon_sym_LT] = ACTIONS(1042),
    [anon_sym_GT_EQ] = ACTIONS(1040),
    [anon_sym_LT_EQ] = ACTIONS(1040),
    [anon_sym_EQ_EQ] = ACTIONS(1040),
    [anon_sym_BANG_EQ] = ACTIONS(1040),
    [anon_sym_AMP_AMP] = ACTIONS(1040),
    [anon_sym_PIPE_PIPE] = ACTIONS(1040),
    [anon_sym_PLUS] = ACTIONS(1042),
    [anon_sym_DASH] = ACTIONS(1042),
    [anon_sym_STAR] = ACTIONS(1042),
    [anon_sym_SLASH] = ACTIONS(1042),
    [anon_sym_PIPE] = ACTIONS(1042),
    [anon_sym_CARET] = ACTIONS(1040),
    [anon_sym_PERCENT] = ACTIONS(1040),
    [anon_sym_LT_LT] = ACTIONS(1040),
    [anon_sym_GT_GT] = ACTIONS(1042),
    [anon_sym_GT_GT_GT] = ACTIONS(1040),
    [anon_sym_in] = ACTIONS(1042),
    [anon_sym_STAR_STAR] = ACTIONS(1040),
    [anon_sym_instanceof] = ACTIONS(1042),
    [anon_sym_final] = ACTIONS(1042),
    [anon_sym_DASH_GT] = ACTIONS(1040),
    [anon_sym_COMMA] = ACTIONS(1040),
    [anon_sym_QMARK] = ACTIONS(1040),
    [anon_sym_BANG] = ACTIONS(1042),
    [anon_sym_TILDE] = ACTIONS(1040),
    [anon_sym_PLUS_PLUS] = ACTIONS(1040),
    [anon_sym_DASH_DASH] = ACTIONS(1040),
    [anon_sym_new] = ACTIONS(1042),
    [anon_sym_LBRACK] = ACTIONS(1040),
    [anon_sym_DOT] = ACTIONS(1042),
    [anon_sym_class] = ACTIONS(1042),
    [anon_sym_COLON_COLON] = ACTIONS(1040),
    [anon_sym_switch] = ACTIONS(1042),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_default] = ACTIONS(1042),
    [sym_underscore_pattern] = ACTIONS(1042),
    [anon_sym_SEMI] = ACTIONS(1040),
    [anon_sym_assert] = ACTIONS(1042),
    [anon_sym_do] = ACTIONS(1042),
    [anon_sym_while] = ACTIONS(1042),
    [anon_sym_break] = ACTIONS(1042),
    [anon_sym_continue] = ACTIONS(1042),
    [anon_sym_return] = ACTIONS(1042),
    [anon_sym_yield] = ACTIONS(1042),
    [anon_sym_synchronized] = ACTIONS(1042),
    [anon_sym_throw] = ACTIONS(1042),
    [anon_sym_try] = ACTIONS(1042),
    [anon_sym_if] = ACTIONS(1042),
    [anon_sym_for] = ACTIONS(1042),
    [anon_sym_AT] = ACTIONS(1042),
    [anon_sym_open] = ACTIONS(1042),
    [anon_sym_module] = ACTIONS(1042),
    [anon_sym_static] = ACTIONS(1042),
    [anon_sym_with] = ACTIONS(1042),
    [anon_sym_package] = ACTIONS(1042),
    [anon_sym_import] = ACTIONS(1042),
    [anon_sym_enum] = ACTIONS(1042),
    [anon_sym_public] = ACTIONS(1042),
    [anon_sym_protected] = ACTIONS(1042),
    [anon_sym_private] = ACTIONS(1042),
    [anon_sym_abstract] = ACTIONS(1042),
    [anon_sym_strictfp] = ACTIONS(1042),
    [anon_sym_native] = ACTIONS(1042),
    [anon_sym_transient] = ACTIONS(1042),
    [anon_sym_volatile] = ACTIONS(1042),
    [anon_sym_sealed] = ACTIONS(1042),
    [anon_sym_non_DASHsealed] = ACTIONS(1040),
    [anon_sym_record] = ACTIONS(1042),
    [anon_sym_ATinterface] = ACTIONS(1040),
    [anon_sym_interface] = ACTIONS(1042),
    [anon_sym_byte] = ACTIONS(1042),
    [anon_sym_short] = ACTIONS(1042),
    [anon_sym_int] = ACTIONS(1042),
    [anon_sym_long] = ACTIONS(1042),
    [anon_sym_char] = ACTIONS(1042),
    [anon_sym_float] = ACTIONS(1042),
    [anon_sym_double] = ACTIONS(1042),
    [sym_boolean_type] = ACTIONS(1042),
    [sym_void_type] = ACTIONS(1042),
    [anon_sym_def] = ACTIONS(1042),
    [sym_this] = ACTIONS(1042),
    [sym_super] = ACTIONS(1042),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1040),
  },
  [349] = {
    [sym_closure] = STATE(464),
    [ts_builtin_sym_end] = ACTIONS(1048),
    [sym_identifier] = ACTIONS(1050),
    [sym_decimal_integer_literal] = ACTIONS(1050),
    [sym_hex_integer_literal] = ACTIONS(1050),
    [sym_octal_integer_literal] = ACTIONS(1050),
    [sym_binary_integer_literal] = ACTIONS(1048),
    [sym_decimal_floating_point_literal] = ACTIONS(1048),
    [sym_hex_floating_point_literal] = ACTIONS(1050),
    [sym_true] = ACTIONS(1050),
    [sym_false] = ACTIONS(1050),
    [sym_character_literal] = ACTIONS(1048),
    [anon_sym_DQUOTE] = ACTIONS(1050),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1048),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1048),
    [anon_sym_RBRACE] = ACTIONS(1048),
    [sym_null_literal] = ACTIONS(1050),
    [anon_sym_LPAREN] = ACTIONS(1048),
    [anon_sym_AMP] = ACTIONS(1050),
    [anon_sym_GT] = ACTIONS(1050),
    [anon_sym_LT] = ACTIONS(1050),
    [anon_sym_GT_EQ] = ACTIONS(1048),
    [anon_sym_LT_EQ] = ACTIONS(1048),
    [anon_sym_EQ_EQ] = ACTIONS(1048),
    [anon_sym_BANG_EQ] = ACTIONS(1048),
    [anon_sym_AMP_AMP] = ACTIONS(1048),
    [anon_sym_PIPE_PIPE] = ACTIONS(1048),
    [anon_sym_PLUS] = ACTIONS(1050),
    [anon_sym_DASH] = ACTIONS(1050),
    [anon_sym_STAR] = ACTIONS(1050),
    [anon_sym_SLASH] = ACTIONS(1050),
    [anon_sym_PIPE] = ACTIONS(1050),
    [anon_sym_CARET] = ACTIONS(1048),
    [anon_sym_PERCENT] = ACTIONS(1048),
    [anon_sym_LT_LT] = ACTIONS(1048),
    [anon_sym_GT_GT] = ACTIONS(1050),
    [anon_sym_GT_GT_GT] = ACTIONS(1048),
    [anon_sym_in] = ACTIONS(1050),
    [anon_sym_STAR_STAR] = ACTIONS(1048),
    [anon_sym_instanceof] = ACTIONS(1050),
    [anon_sym_final] = ACTIONS(1050),
    [anon_sym_DASH_GT] = ACTIONS(1048),
    [anon_sym_COMMA] = ACTIONS(1048),
    [anon_sym_QMARK] = ACTIONS(1048),
    [anon_sym_BANG] = ACTIONS(1050),
    [anon_sym_TILDE] = ACTIONS(1048),
    [anon_sym_PLUS_PLUS] = ACTIONS(1048),
    [anon_sym_DASH_DASH] = ACTIONS(1048),
    [anon_sym_new] = ACTIONS(1050),
    [anon_sym_LBRACK] = ACTIONS(1048),
    [anon_sym_DOT] = ACTIONS(1050),
    [anon_sym_class] = ACTIONS(1050),
    [anon_sym_COLON_COLON] = ACTIONS(1048),
    [anon_sym_switch] = ACTIONS(1050),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_default] = ACTIONS(1050),
    [sym_underscore_pattern] = ACTIONS(1050),
    [anon_sym_SEMI] = ACTIONS(1048),
    [anon_sym_assert] = ACTIONS(1050),
    [anon_sym_do] = ACTIONS(1050),
    [anon_sym_while] = ACTIONS(1050),
    [anon_sym_break] = ACTIONS(1050),
    [anon_sym_continue] = ACTIONS(1050),
    [anon_sym_return] = ACTIONS(1050),
    [anon_sym_yield] = ACTIONS(1050),
    [anon_sym_synchronized] = ACTIONS(1050),
    [anon_sym_throw] = ACTIONS(1050),
    [anon_sym_try] = ACTIONS(1050),
    [anon_sym_if] = ACTIONS(1050),
    [anon_sym_for] = ACTIONS(1050),
    [anon_sym_AT] = ACTIONS(1050),
    [anon_sym_open] = ACTIONS(1050),
    [anon_sym_module] = ACTIONS(1050),
    [anon_sym_static] = ACTIONS(1050),
    [anon_sym_with] = ACTIONS(1050),
    [anon_sym_package] = ACTIONS(1050),
    [anon_sym_import] = ACTIONS(1050),
    [anon_sym_enum] = ACTIONS(1050),
    [anon_sym_public] = ACTIONS(1050),
    [anon_sym_protected] = ACTIONS(1050),
    [anon_sym_private] = ACTIONS(1050),
    [anon_sym_abstract] = ACTIONS(1050),
    [anon_sym_strictfp] = ACTIONS(1050),
    [anon_sym_native] = ACTIONS(1050),
    [anon_sym_transient] = ACTIONS(1050),
    [anon_sym_volatile] = ACTIONS(1050),
    [anon_sym_sealed] = ACTIONS(1050),
    [anon_sym_non_DASHsealed] = ACTIONS(1048),
    [anon_sym_record] = ACTIONS(1050),
    [anon_sym_ATinterface] = ACTIONS(1048),
    [anon_sym_interface] = ACTIONS(1050),
    [anon_sym_byte] = ACTIONS(1050),
    [anon_sym_short] = ACTIONS(1050),
    [anon_sym_int] = ACTIONS(1050),
    [anon_sym_long] = ACTIONS(1050),
    [anon_sym_char] = ACTIONS(1050),
    [anon_sym_float] = ACTIONS(1050),
    [anon_sym_double] = ACTIONS(1050),
    [sym_boolean_type] = ACTIONS(1050),
    [sym_void_type] = ACTIONS(1050),
    [anon_sym_def] = ACTIONS(1050),
    [sym_this] = ACTIONS(1050),
    [sym_super] = ACTIONS(1050),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1048),
  },
  [350] = {
    [ts_builtin_sym_end] = ACTIONS(1489),
    [sym_identifier] = ACTIONS(1491),
    [sym_decimal_integer_literal] = ACTIONS(1491),
    [sym_hex_integer_literal] = ACTIONS(1491),
    [sym_octal_integer_literal] = ACTIONS(1491),
    [sym_binary_integer_literal] = ACTIONS(1491),
    [sym_decimal_floating_point_literal] = ACTIONS(1491),
    [sym_hex_floating_point_literal] = ACTIONS(1491),
    [sym_true] = ACTIONS(1491),
    [sym_false] = ACTIONS(1491),
    [sym_character_literal] = ACTIONS(1491),
    [anon_sym_DQUOTE] = ACTIONS(1491),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1491),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1491),
    [anon_sym_RBRACE] = ACTIONS(1491),
    [sym_null_literal] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(1491),
    [anon_sym_AMP] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1491),
    [anon_sym_LT] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1491),
    [anon_sym_LT_EQ] = ACTIONS(1491),
    [anon_sym_EQ_EQ] = ACTIONS(1491),
    [anon_sym_BANG_EQ] = ACTIONS(1491),
    [anon_sym_AMP_AMP] = ACTIONS(1491),
    [anon_sym_PIPE_PIPE] = ACTIONS(1491),
    [anon_sym_PLUS] = ACTIONS(1491),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1491),
    [anon_sym_SLASH] = ACTIONS(1491),
    [anon_sym_PIPE] = ACTIONS(1491),
    [anon_sym_CARET] = ACTIONS(1491),
    [anon_sym_PERCENT] = ACTIONS(1491),
    [anon_sym_LT_LT] = ACTIONS(1491),
    [anon_sym_GT_GT] = ACTIONS(1491),
    [anon_sym_GT_GT_GT] = ACTIONS(1491),
    [anon_sym_in] = ACTIONS(1491),
    [anon_sym_STAR_STAR] = ACTIONS(1491),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_final] = ACTIONS(1491),
    [anon_sym_DASH_GT] = ACTIONS(1491),
    [anon_sym_QMARK] = ACTIONS(1491),
    [anon_sym_BANG] = ACTIONS(1491),
    [anon_sym_TILDE] = ACTIONS(1491),
    [anon_sym_PLUS_PLUS] = ACTIONS(1491),
    [anon_sym_DASH_DASH] = ACTIONS(1491),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1491),
    [anon_sym_class] = ACTIONS(1491),
    [anon_sym_switch] = ACTIONS(1491),
    [anon_sym_LBRACE] = ACTIONS(1491),
    [anon_sym_case] = ACTIONS(1491),
    [anon_sym_default] = ACTIONS(1491),
    [sym_underscore_pattern] = ACTIONS(1491),
    [anon_sym_SEMI] = ACTIONS(1491),
    [aux_sym_expression_statement_token1] = ACTIONS(1489),
    [anon_sym_NULL] = ACTIONS(1491),
    [anon_sym_assert] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1491),
    [anon_sym_while] = ACTIONS(1491),
    [anon_sym_break] = ACTIONS(1491),
    [anon_sym_continue] = ACTIONS(1491),
    [anon_sym_return] = ACTIONS(1491),
    [anon_sym_yield] = ACTIONS(1491),
    [anon_sym_synchronized] = ACTIONS(1491),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_try] = ACTIONS(1491),
    [anon_sym_if] = ACTIONS(1491),
    [anon_sym_else] = ACTIONS(1491),
    [anon_sym_for] = ACTIONS(1491),
    [anon_sym_AT] = ACTIONS(1491),
    [anon_sym_open] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_with] = ACTIONS(1491),
    [anon_sym_package] = ACTIONS(1491),
    [anon_sym_import] = ACTIONS(1491),
    [anon_sym_enum] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_abstract] = ACTIONS(1491),
    [anon_sym_strictfp] = ACTIONS(1491),
    [anon_sym_native] = ACTIONS(1491),
    [anon_sym_transient] = ACTIONS(1491),
    [anon_sym_volatile] = ACTIONS(1491),
    [anon_sym_sealed] = ACTIONS(1491),
    [anon_sym_non_DASHsealed] = ACTIONS(1491),
    [anon_sym_record] = ACTIONS(1491),
    [anon_sym_ATinterface] = ACTIONS(1491),
    [anon_sym_interface] = ACTIONS(1491),
    [anon_sym_byte] = ACTIONS(1491),
    [anon_sym_short] = ACTIONS(1491),
    [anon_sym_int] = ACTIONS(1491),
    [anon_sym_long] = ACTIONS(1491),
    [anon_sym_char] = ACTIONS(1491),
    [anon_sym_float] = ACTIONS(1491),
    [anon_sym_double] = ACTIONS(1491),
    [sym_boolean_type] = ACTIONS(1491),
    [sym_void_type] = ACTIONS(1491),
    [anon_sym_def] = ACTIONS(1491),
    [sym_this] = ACTIONS(1491),
    [sym_super] = ACTIONS(1491),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1491),
  },
  [351] = {
    [ts_builtin_sym_end] = ACTIONS(1365),
    [sym_identifier] = ACTIONS(1367),
    [sym_decimal_integer_literal] = ACTIONS(1367),
    [sym_hex_integer_literal] = ACTIONS(1367),
    [sym_octal_integer_literal] = ACTIONS(1367),
    [sym_binary_integer_literal] = ACTIONS(1365),
    [sym_decimal_floating_point_literal] = ACTIONS(1365),
    [sym_hex_floating_point_literal] = ACTIONS(1367),
    [sym_true] = ACTIONS(1367),
    [sym_false] = ACTIONS(1367),
    [sym_character_literal] = ACTIONS(1365),
    [anon_sym_DQUOTE] = ACTIONS(1367),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1365),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1365),
    [anon_sym_RBRACE] = ACTIONS(1365),
    [sym_null_literal] = ACTIONS(1367),
    [anon_sym_LPAREN] = ACTIONS(1365),
    [anon_sym_AMP] = ACTIONS(1367),
    [anon_sym_GT] = ACTIONS(1367),
    [anon_sym_LT] = ACTIONS(1367),
    [anon_sym_GT_EQ] = ACTIONS(1365),
    [anon_sym_LT_EQ] = ACTIONS(1365),
    [anon_sym_EQ_EQ] = ACTIONS(1365),
    [anon_sym_BANG_EQ] = ACTIONS(1365),
    [anon_sym_AMP_AMP] = ACTIONS(1365),
    [anon_sym_PIPE_PIPE] = ACTIONS(1365),
    [anon_sym_PLUS] = ACTIONS(1367),
    [anon_sym_DASH] = ACTIONS(1367),
    [anon_sym_STAR] = ACTIONS(1367),
    [anon_sym_SLASH] = ACTIONS(1367),
    [anon_sym_PIPE] = ACTIONS(1367),
    [anon_sym_CARET] = ACTIONS(1365),
    [anon_sym_PERCENT] = ACTIONS(1365),
    [anon_sym_LT_LT] = ACTIONS(1365),
    [anon_sym_GT_GT] = ACTIONS(1367),
    [anon_sym_GT_GT_GT] = ACTIONS(1365),
    [anon_sym_in] = ACTIONS(1367),
    [anon_sym_STAR_STAR] = ACTIONS(1365),
    [anon_sym_instanceof] = ACTIONS(1367),
    [anon_sym_final] = ACTIONS(1367),
    [anon_sym_DASH_GT] = ACTIONS(1365),
    [anon_sym_COMMA] = ACTIONS(1365),
    [anon_sym_QMARK] = ACTIONS(1365),
    [anon_sym_COLON] = ACTIONS(1367),
    [anon_sym_BANG] = ACTIONS(1367),
    [anon_sym_TILDE] = ACTIONS(1365),
    [anon_sym_PLUS_PLUS] = ACTIONS(1365),
    [anon_sym_DASH_DASH] = ACTIONS(1365),
    [anon_sym_new] = ACTIONS(1367),
    [anon_sym_LBRACK] = ACTIONS(1365),
    [anon_sym_DOT] = ACTIONS(1367),
    [anon_sym_class] = ACTIONS(1367),
    [anon_sym_COLON_COLON] = ACTIONS(1365),
    [anon_sym_switch] = ACTIONS(1367),
    [anon_sym_LBRACE] = ACTIONS(1365),
    [anon_sym_default] = ACTIONS(1367),
    [sym_underscore_pattern] = ACTIONS(1367),
    [anon_sym_SEMI] = ACTIONS(1365),
    [anon_sym_assert] = ACTIONS(1367),
    [anon_sym_do] = ACTIONS(1367),
    [anon_sym_while] = ACTIONS(1367),
    [anon_sym_break] = ACTIONS(1367),
    [anon_sym_continue] = ACTIONS(1367),
    [anon_sym_return] = ACTIONS(1367),
    [anon_sym_yield] = ACTIONS(1367),
    [anon_sym_synchronized] = ACTIONS(1367),
    [anon_sym_throw] = ACTIONS(1367),
    [anon_sym_try] = ACTIONS(1367),
    [anon_sym_if] = ACTIONS(1367),
    [anon_sym_for] = ACTIONS(1367),
    [anon_sym_AT] = ACTIONS(1367),
    [anon_sym_open] = ACTIONS(1367),
    [anon_sym_module] = ACTIONS(1367),
    [anon_sym_static] = ACTIONS(1367),
    [anon_sym_with] = ACTIONS(1367),
    [anon_sym_package] = ACTIONS(1367),
    [anon_sym_import] = ACTIONS(1367),
    [anon_sym_enum] = ACTIONS(1367),
    [anon_sym_public] = ACTIONS(1367),
    [anon_sym_protected] = ACTIONS(1367),
    [anon_sym_private] = ACTIONS(1367),
    [anon_sym_abstract] = ACTIONS(1367),
    [anon_sym_strictfp] = ACTIONS(1367),
    [anon_sym_native] = ACTIONS(1367),
    [anon_sym_transient] = ACTIONS(1367),
    [anon_sym_volatile] = ACTIONS(1367),
    [anon_sym_sealed] = ACTIONS(1367),
    [anon_sym_non_DASHsealed] = ACTIONS(1365),
    [anon_sym_record] = ACTIONS(1367),
    [anon_sym_ATinterface] = ACTIONS(1365),
    [anon_sym_interface] = ACTIONS(1367),
    [anon_sym_byte] = ACTIONS(1367),
    [anon_sym_short] = ACTIONS(1367),
    [anon_sym_int] = ACTIONS(1367),
    [anon_sym_long] = ACTIONS(1367),
    [anon_sym_char] = ACTIONS(1367),
    [anon_sym_float] = ACTIONS(1367),
    [anon_sym_double] = ACTIONS(1367),
    [sym_boolean_type] = ACTIONS(1367),
    [sym_void_type] = ACTIONS(1367),
    [anon_sym_def] = ACTIONS(1367),
    [sym_this] = ACTIONS(1367),
    [sym_super] = ACTIONS(1367),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1365),
  },
  [352] = {
    [sym_type_arguments] = STATE(491),
    [sym_record_pattern_body] = STATE(537),
    [ts_builtin_sym_end] = ACTIONS(1072),
    [sym_identifier] = ACTIONS(1074),
    [sym_decimal_integer_literal] = ACTIONS(1074),
    [sym_hex_integer_literal] = ACTIONS(1074),
    [sym_octal_integer_literal] = ACTIONS(1074),
    [sym_binary_integer_literal] = ACTIONS(1072),
    [sym_decimal_floating_point_literal] = ACTIONS(1072),
    [sym_hex_floating_point_literal] = ACTIONS(1074),
    [sym_true] = ACTIONS(1074),
    [sym_false] = ACTIONS(1074),
    [sym_character_literal] = ACTIONS(1072),
    [anon_sym_DQUOTE] = ACTIONS(1074),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1072),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1072),
    [anon_sym_RBRACE] = ACTIONS(1072),
    [sym_null_literal] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(1493),
    [anon_sym_AMP] = ACTIONS(1074),
    [anon_sym_GT] = ACTIONS(1074),
    [anon_sym_LT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1072),
    [anon_sym_LT_EQ] = ACTIONS(1072),
    [anon_sym_EQ_EQ] = ACTIONS(1072),
    [anon_sym_BANG_EQ] = ACTIONS(1072),
    [anon_sym_AMP_AMP] = ACTIONS(1072),
    [anon_sym_PIPE_PIPE] = ACTIONS(1072),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_STAR] = ACTIONS(1074),
    [anon_sym_SLASH] = ACTIONS(1074),
    [anon_sym_PIPE] = ACTIONS(1074),
    [anon_sym_CARET] = ACTIONS(1072),
    [anon_sym_PERCENT] = ACTIONS(1072),
    [anon_sym_LT_LT] = ACTIONS(1072),
    [anon_sym_GT_GT] = ACTIONS(1074),
    [anon_sym_GT_GT_GT] = ACTIONS(1072),
    [anon_sym_in] = ACTIONS(1074),
    [anon_sym_STAR_STAR] = ACTIONS(1072),
    [anon_sym_instanceof] = ACTIONS(1074),
    [anon_sym_final] = ACTIONS(1074),
    [anon_sym_DASH_GT] = ACTIONS(1072),
    [anon_sym_COMMA] = ACTIONS(1072),
    [anon_sym_QMARK] = ACTIONS(1072),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_TILDE] = ACTIONS(1072),
    [anon_sym_PLUS_PLUS] = ACTIONS(1072),
    [anon_sym_DASH_DASH] = ACTIONS(1072),
    [anon_sym_new] = ACTIONS(1074),
    [anon_sym_LBRACK] = ACTIONS(1072),
    [anon_sym_DOT] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(1074),
    [anon_sym_switch] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1072),
    [anon_sym_default] = ACTIONS(1074),
    [sym_underscore_pattern] = ACTIONS(1074),
    [anon_sym_SEMI] = ACTIONS(1072),
    [anon_sym_assert] = ACTIONS(1074),
    [anon_sym_do] = ACTIONS(1074),
    [anon_sym_while] = ACTIONS(1074),
    [anon_sym_break] = ACTIONS(1074),
    [anon_sym_continue] = ACTIONS(1074),
    [anon_sym_return] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(1074),
    [anon_sym_synchronized] = ACTIONS(1074),
    [anon_sym_throw] = ACTIONS(1074),
    [anon_sym_try] = ACTIONS(1074),
    [anon_sym_if] = ACTIONS(1074),
    [anon_sym_for] = ACTIONS(1074),
    [anon_sym_AT] = ACTIONS(1074),
    [anon_sym_open] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_with] = ACTIONS(1074),
    [anon_sym_package] = ACTIONS(1074),
    [anon_sym_import] = ACTIONS(1074),
    [anon_sym_enum] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_abstract] = ACTIONS(1074),
    [anon_sym_strictfp] = ACTIONS(1074),
    [anon_sym_native] = ACTIONS(1074),
    [anon_sym_transient] = ACTIONS(1074),
    [anon_sym_volatile] = ACTIONS(1074),
    [anon_sym_sealed] = ACTIONS(1074),
    [anon_sym_non_DASHsealed] = ACTIONS(1072),
    [anon_sym_record] = ACTIONS(1074),
    [anon_sym_ATinterface] = ACTIONS(1072),
    [anon_sym_interface] = ACTIONS(1074),
    [anon_sym_byte] = ACTIONS(1074),
    [anon_sym_short] = ACTIONS(1074),
    [anon_sym_int] = ACTIONS(1074),
    [anon_sym_long] = ACTIONS(1074),
    [anon_sym_char] = ACTIONS(1074),
    [anon_sym_float] = ACTIONS(1074),
    [anon_sym_double] = ACTIONS(1074),
    [sym_boolean_type] = ACTIONS(1074),
    [sym_void_type] = ACTIONS(1074),
    [anon_sym_def] = ACTIONS(1074),
    [sym_this] = ACTIONS(1074),
    [sym_super] = ACTIONS(1074),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1072),
  },
  [353] = {
    [ts_builtin_sym_end] = ACTIONS(1501),
    [sym_identifier] = ACTIONS(1503),
    [sym_decimal_integer_literal] = ACTIONS(1503),
    [sym_hex_integer_literal] = ACTIONS(1503),
    [sym_octal_integer_literal] = ACTIONS(1503),
    [sym_binary_integer_literal] = ACTIONS(1503),
    [sym_decimal_floating_point_literal] = ACTIONS(1503),
    [sym_hex_floating_point_literal] = ACTIONS(1503),
    [sym_true] = ACTIONS(1503),
    [sym_false] = ACTIONS(1503),
    [sym_character_literal] = ACTIONS(1503),
    [anon_sym_DQUOTE] = ACTIONS(1503),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1503),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1503),
    [anon_sym_RBRACE] = ACTIONS(1503),
    [sym_null_literal] = ACTIONS(1503),
    [anon_sym_LPAREN] = ACTIONS(1503),
    [anon_sym_AMP] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1503),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_GT_EQ] = ACTIONS(1503),
    [anon_sym_LT_EQ] = ACTIONS(1503),
    [anon_sym_EQ_EQ] = ACTIONS(1503),
    [anon_sym_BANG_EQ] = ACTIONS(1503),
    [anon_sym_AMP_AMP] = ACTIONS(1503),
    [anon_sym_PIPE_PIPE] = ACTIONS(1503),
    [anon_sym_PLUS] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_CARET] = ACTIONS(1503),
    [anon_sym_PERCENT] = ACTIONS(1503),
    [anon_sym_LT_LT] = ACTIONS(1503),
    [anon_sym_GT_GT] = ACTIONS(1503),
    [anon_sym_GT_GT_GT] = ACTIONS(1503),
    [anon_sym_in] = ACTIONS(1503),
    [anon_sym_STAR_STAR] = ACTIONS(1503),
    [anon_sym_instanceof] = ACTIONS(1503),
    [anon_sym_final] = ACTIONS(1503),
    [anon_sym_DASH_GT] = ACTIONS(1503),
    [anon_sym_QMARK] = ACTIONS(1503),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1503),
    [anon_sym_PLUS_PLUS] = ACTIONS(1503),
    [anon_sym_DASH_DASH] = ACTIONS(1503),
    [anon_sym_new] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1503),
    [anon_sym_class] = ACTIONS(1503),
    [anon_sym_switch] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1503),
    [anon_sym_case] = ACTIONS(1503),
    [anon_sym_default] = ACTIONS(1503),
    [sym_underscore_pattern] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1503),
    [aux_sym_expression_statement_token1] = ACTIONS(1501),
    [anon_sym_NULL] = ACTIONS(1503),
    [anon_sym_assert] = ACTIONS(1503),
    [anon_sym_do] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1503),
    [anon_sym_continue] = ACTIONS(1503),
    [anon_sym_return] = ACTIONS(1503),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_synchronized] = ACTIONS(1503),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1503),
    [anon_sym_if] = ACTIONS(1503),
    [anon_sym_else] = ACTIONS(1503),
    [anon_sym_for] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(1503),
    [anon_sym_open] = ACTIONS(1503),
    [anon_sym_module] = ACTIONS(1503),
    [anon_sym_static] = ACTIONS(1503),
    [anon_sym_with] = ACTIONS(1503),
    [anon_sym_package] = ACTIONS(1503),
    [anon_sym_import] = ACTIONS(1503),
    [anon_sym_enum] = ACTIONS(1503),
    [anon_sym_public] = ACTIONS(1503),
    [anon_sym_protected] = ACTIONS(1503),
    [anon_sym_private] = ACTIONS(1503),
    [anon_sym_abstract] = ACTIONS(1503),
    [anon_sym_strictfp] = ACTIONS(1503),
    [anon_sym_native] = ACTIONS(1503),
    [anon_sym_transient] = ACTIONS(1503),
    [anon_sym_volatile] = ACTIONS(1503),
    [anon_sym_sealed] = ACTIONS(1503),
    [anon_sym_non_DASHsealed] = ACTIONS(1503),
    [anon_sym_record] = ACTIONS(1503),
    [anon_sym_ATinterface] = ACTIONS(1503),
    [anon_sym_interface] = ACTIONS(1503),
    [anon_sym_byte] = ACTIONS(1503),
    [anon_sym_short] = ACTIONS(1503),
    [anon_sym_int] = ACTIONS(1503),
    [anon_sym_long] = ACTIONS(1503),
    [anon_sym_char] = ACTIONS(1503),
    [anon_sym_float] = ACTIONS(1503),
    [anon_sym_double] = ACTIONS(1503),
    [sym_boolean_type] = ACTIONS(1503),
    [sym_void_type] = ACTIONS(1503),
    [anon_sym_def] = ACTIONS(1503),
    [sym_this] = ACTIONS(1503),
    [sym_super] = ACTIONS(1503),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1503),
  },
  [354] = {
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_identifier] = ACTIONS(1146),
    [sym_decimal_integer_literal] = ACTIONS(1146),
    [sym_hex_integer_literal] = ACTIONS(1146),
    [sym_octal_integer_literal] = ACTIONS(1146),
    [sym_binary_integer_literal] = ACTIONS(1146),
    [sym_decimal_floating_point_literal] = ACTIONS(1146),
    [sym_hex_floating_point_literal] = ACTIONS(1146),
    [sym_true] = ACTIONS(1146),
    [sym_false] = ACTIONS(1146),
    [sym_character_literal] = ACTIONS(1146),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1146),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1146),
    [anon_sym_RBRACE] = ACTIONS(1146),
    [sym_null_literal] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1146),
    [anon_sym_AMP] = ACTIONS(1146),
    [anon_sym_GT] = ACTIONS(1146),
    [anon_sym_LT] = ACTIONS(1146),
    [anon_sym_GT_EQ] = ACTIONS(1146),
    [anon_sym_LT_EQ] = ACTIONS(1146),
    [anon_sym_EQ_EQ] = ACTIONS(1146),
    [anon_sym_BANG_EQ] = ACTIONS(1146),
    [anon_sym_AMP_AMP] = ACTIONS(1146),
    [anon_sym_PIPE_PIPE] = ACTIONS(1146),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1146),
    [anon_sym_SLASH] = ACTIONS(1146),
    [anon_sym_PIPE] = ACTIONS(1146),
    [anon_sym_CARET] = ACTIONS(1146),
    [anon_sym_PERCENT] = ACTIONS(1146),
    [anon_sym_LT_LT] = ACTIONS(1146),
    [anon_sym_GT_GT] = ACTIONS(1146),
    [anon_sym_GT_GT_GT] = ACTIONS(1146),
    [anon_sym_in] = ACTIONS(1146),
    [anon_sym_STAR_STAR] = ACTIONS(1146),
    [anon_sym_instanceof] = ACTIONS(1146),
    [anon_sym_final] = ACTIONS(1146),
    [anon_sym_DASH_GT] = ACTIONS(1146),
    [anon_sym_QMARK] = ACTIONS(1146),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1146),
    [anon_sym_PLUS_PLUS] = ACTIONS(1146),
    [anon_sym_DASH_DASH] = ACTIONS(1146),
    [anon_sym_new] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1146),
    [anon_sym_class] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1146),
    [anon_sym_case] = ACTIONS(1146),
    [anon_sym_default] = ACTIONS(1146),
    [sym_underscore_pattern] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1146),
    [aux_sym_expression_statement_token1] = ACTIONS(1144),
    [anon_sym_NULL] = ACTIONS(1146),
    [anon_sym_assert] = ACTIONS(1146),
    [anon_sym_do] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1146),
    [anon_sym_break] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1146),
    [anon_sym_return] = ACTIONS(1146),
    [anon_sym_yield] = ACTIONS(1146),
    [anon_sym_synchronized] = ACTIONS(1146),
    [anon_sym_throw] = ACTIONS(1146),
    [anon_sym_try] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1146),
    [anon_sym_else] = ACTIONS(1146),
    [anon_sym_for] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1146),
    [anon_sym_open] = ACTIONS(1146),
    [anon_sym_module] = ACTIONS(1146),
    [anon_sym_static] = ACTIONS(1146),
    [anon_sym_with] = ACTIONS(1146),
    [anon_sym_package] = ACTIONS(1146),
    [anon_sym_import] = ACTIONS(1146),
    [anon_sym_enum] = ACTIONS(1146),
    [anon_sym_public] = ACTIONS(1146),
    [anon_sym_protected] = ACTIONS(1146),
    [anon_sym_private] = ACTIONS(1146),
    [anon_sym_abstract] = ACTIONS(1146),
    [anon_sym_strictfp] = ACTIONS(1146),
    [anon_sym_native] = ACTIONS(1146),
    [anon_sym_transient] = ACTIONS(1146),
    [anon_sym_volatile] = ACTIONS(1146),
    [anon_sym_sealed] = ACTIONS(1146),
    [anon_sym_non_DASHsealed] = ACTIONS(1146),
    [anon_sym_record] = ACTIONS(1146),
    [anon_sym_ATinterface] = ACTIONS(1146),
    [anon_sym_interface] = ACTIONS(1146),
    [anon_sym_byte] = ACTIONS(1146),
    [anon_sym_short] = ACTIONS(1146),
    [anon_sym_int] = ACTIONS(1146),
    [anon_sym_long] = ACTIONS(1146),
    [anon_sym_char] = ACTIONS(1146),
    [anon_sym_float] = ACTIONS(1146),
    [anon_sym_double] = ACTIONS(1146),
    [sym_boolean_type] = ACTIONS(1146),
    [sym_void_type] = ACTIONS(1146),
    [anon_sym_def] = ACTIONS(1146),
    [sym_this] = ACTIONS(1146),
    [sym_super] = ACTIONS(1146),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1146),
  },
  [355] = {
    [sym_class_body] = STATE(466),
    [ts_builtin_sym_end] = ACTIONS(1064),
    [sym_identifier] = ACTIONS(1066),
    [sym_decimal_integer_literal] = ACTIONS(1066),
    [sym_hex_integer_literal] = ACTIONS(1066),
    [sym_octal_integer_literal] = ACTIONS(1066),
    [sym_binary_integer_literal] = ACTIONS(1064),
    [sym_decimal_floating_point_literal] = ACTIONS(1064),
    [sym_hex_floating_point_literal] = ACTIONS(1066),
    [sym_true] = ACTIONS(1066),
    [sym_false] = ACTIONS(1066),
    [sym_character_literal] = ACTIONS(1064),
    [anon_sym_DQUOTE] = ACTIONS(1066),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1064),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1064),
    [anon_sym_RBRACE] = ACTIONS(1064),
    [sym_null_literal] = ACTIONS(1066),
    [anon_sym_LPAREN] = ACTIONS(1064),
    [anon_sym_AMP] = ACTIONS(1066),
    [anon_sym_GT] = ACTIONS(1066),
    [anon_sym_LT] = ACTIONS(1066),
    [anon_sym_GT_EQ] = ACTIONS(1064),
    [anon_sym_LT_EQ] = ACTIONS(1064),
    [anon_sym_EQ_EQ] = ACTIONS(1064),
    [anon_sym_BANG_EQ] = ACTIONS(1064),
    [anon_sym_AMP_AMP] = ACTIONS(1064),
    [anon_sym_PIPE_PIPE] = ACTIONS(1064),
    [anon_sym_PLUS] = ACTIONS(1066),
    [anon_sym_DASH] = ACTIONS(1066),
    [anon_sym_STAR] = ACTIONS(1066),
    [anon_sym_SLASH] = ACTIONS(1066),
    [anon_sym_PIPE] = ACTIONS(1066),
    [anon_sym_CARET] = ACTIONS(1064),
    [anon_sym_PERCENT] = ACTIONS(1064),
    [anon_sym_LT_LT] = ACTIONS(1064),
    [anon_sym_GT_GT] = ACTIONS(1066),
    [anon_sym_GT_GT_GT] = ACTIONS(1064),
    [anon_sym_in] = ACTIONS(1066),
    [anon_sym_STAR_STAR] = ACTIONS(1064),
    [anon_sym_instanceof] = ACTIONS(1066),
    [anon_sym_final] = ACTIONS(1066),
    [anon_sym_DASH_GT] = ACTIONS(1064),
    [anon_sym_COMMA] = ACTIONS(1064),
    [anon_sym_QMARK] = ACTIONS(1064),
    [anon_sym_BANG] = ACTIONS(1066),
    [anon_sym_TILDE] = ACTIONS(1064),
    [anon_sym_PLUS_PLUS] = ACTIONS(1064),
    [anon_sym_DASH_DASH] = ACTIONS(1064),
    [anon_sym_new] = ACTIONS(1066),
    [anon_sym_LBRACK] = ACTIONS(1064),
    [anon_sym_DOT] = ACTIONS(1066),
    [anon_sym_class] = ACTIONS(1066),
    [anon_sym_COLON_COLON] = ACTIONS(1064),
    [anon_sym_switch] = ACTIONS(1066),
    [anon_sym_LBRACE] = ACTIONS(1485),
    [anon_sym_default] = ACTIONS(1066),
    [sym_underscore_pattern] = ACTIONS(1066),
    [anon_sym_SEMI] = ACTIONS(1064),
    [anon_sym_assert] = ACTIONS(1066),
    [anon_sym_do] = ACTIONS(1066),
    [anon_sym_while] = ACTIONS(1066),
    [anon_sym_break] = ACTIONS(1066),
    [anon_sym_continue] = ACTIONS(1066),
    [anon_sym_return] = ACTIONS(1066),
    [anon_sym_yield] = ACTIONS(1066),
    [anon_sym_synchronized] = ACTIONS(1066),
    [anon_sym_throw] = ACTIONS(1066),
    [anon_sym_try] = ACTIONS(1066),
    [anon_sym_if] = ACTIONS(1066),
    [anon_sym_for] = ACTIONS(1066),
    [anon_sym_AT] = ACTIONS(1066),
    [anon_sym_open] = ACTIONS(1066),
    [anon_sym_module] = ACTIONS(1066),
    [anon_sym_static] = ACTIONS(1066),
    [anon_sym_with] = ACTIONS(1066),
    [anon_sym_package] = ACTIONS(1066),
    [anon_sym_import] = ACTIONS(1066),
    [anon_sym_enum] = ACTIONS(1066),
    [anon_sym_public] = ACTIONS(1066),
    [anon_sym_protected] = ACTIONS(1066),
    [anon_sym_private] = ACTIONS(1066),
    [anon_sym_abstract] = ACTIONS(1066),
    [anon_sym_strictfp] = ACTIONS(1066),
    [anon_sym_native] = ACTIONS(1066),
    [anon_sym_transient] = ACTIONS(1066),
    [anon_sym_volatile] = ACTIONS(1066),
    [anon_sym_sealed] = ACTIONS(1066),
    [anon_sym_non_DASHsealed] = ACTIONS(1064),
    [anon_sym_record] = ACTIONS(1066),
    [anon_sym_ATinterface] = ACTIONS(1064),
    [anon_sym_interface] = ACTIONS(1066),
    [anon_sym_byte] = ACTIONS(1066),
    [anon_sym_short] = ACTIONS(1066),
    [anon_sym_int] = ACTIONS(1066),
    [anon_sym_long] = ACTIONS(1066),
    [anon_sym_char] = ACTIONS(1066),
    [anon_sym_float] = ACTIONS(1066),
    [anon_sym_double] = ACTIONS(1066),
    [sym_boolean_type] = ACTIONS(1066),
    [sym_void_type] = ACTIONS(1066),
    [anon_sym_def] = ACTIONS(1066),
    [sym_this] = ACTIONS(1066),
    [sym_super] = ACTIONS(1066),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1064),
  },
  [356] = {
    [sym_class_body] = STATE(469),
    [ts_builtin_sym_end] = ACTIONS(1068),
    [sym_identifier] = ACTIONS(1070),
    [sym_decimal_integer_literal] = ACTIONS(1070),
    [sym_hex_integer_literal] = ACTIONS(1070),
    [sym_octal_integer_literal] = ACTIONS(1070),
    [sym_binary_integer_literal] = ACTIONS(1068),
    [sym_decimal_floating_point_literal] = ACTIONS(1068),
    [sym_hex_floating_point_literal] = ACTIONS(1070),
    [sym_true] = ACTIONS(1070),
    [sym_false] = ACTIONS(1070),
    [sym_character_literal] = ACTIONS(1068),
    [anon_sym_DQUOTE] = ACTIONS(1070),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1068),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1068),
    [anon_sym_RBRACE] = ACTIONS(1068),
    [sym_null_literal] = ACTIONS(1070),
    [anon_sym_LPAREN] = ACTIONS(1068),
    [anon_sym_AMP] = ACTIONS(1070),
    [anon_sym_GT] = ACTIONS(1070),
    [anon_sym_LT] = ACTIONS(1070),
    [anon_sym_GT_EQ] = ACTIONS(1068),
    [anon_sym_LT_EQ] = ACTIONS(1068),
    [anon_sym_EQ_EQ] = ACTIONS(1068),
    [anon_sym_BANG_EQ] = ACTIONS(1068),
    [anon_sym_AMP_AMP] = ACTIONS(1068),
    [anon_sym_PIPE_PIPE] = ACTIONS(1068),
    [anon_sym_PLUS] = ACTIONS(1070),
    [anon_sym_DASH] = ACTIONS(1070),
    [anon_sym_STAR] = ACTIONS(1070),
    [anon_sym_SLASH] = ACTIONS(1070),
    [anon_sym_PIPE] = ACTIONS(1070),
    [anon_sym_CARET] = ACTIONS(1068),
    [anon_sym_PERCENT] = ACTIONS(1068),
    [anon_sym_LT_LT] = ACTIONS(1068),
    [anon_sym_GT_GT] = ACTIONS(1070),
    [anon_sym_GT_GT_GT] = ACTIONS(1068),
    [anon_sym_in] = ACTIONS(1070),
    [anon_sym_STAR_STAR] = ACTIONS(1068),
    [anon_sym_instanceof] = ACTIONS(1070),
    [anon_sym_final] = ACTIONS(1070),
    [anon_sym_DASH_GT] = ACTIONS(1068),
    [anon_sym_COMMA] = ACTIONS(1068),
    [anon_sym_QMARK] = ACTIONS(1068),
    [anon_sym_BANG] = ACTIONS(1070),
    [anon_sym_TILDE] = ACTIONS(1068),
    [anon_sym_PLUS_PLUS] = ACTIONS(1068),
    [anon_sym_DASH_DASH] = ACTIONS(1068),
    [anon_sym_new] = ACTIONS(1070),
    [anon_sym_LBRACK] = ACTIONS(1068),
    [anon_sym_DOT] = ACTIONS(1070),
    [anon_sym_class] = ACTIONS(1070),
    [anon_sym_COLON_COLON] = ACTIONS(1068),
    [anon_sym_switch] = ACTIONS(1070),
    [anon_sym_LBRACE] = ACTIONS(1485),
    [anon_sym_default] = ACTIONS(1070),
    [sym_underscore_pattern] = ACTIONS(1070),
    [anon_sym_SEMI] = ACTIONS(1068),
    [anon_sym_assert] = ACTIONS(1070),
    [anon_sym_do] = ACTIONS(1070),
    [anon_sym_while] = ACTIONS(1070),
    [anon_sym_break] = ACTIONS(1070),
    [anon_sym_continue] = ACTIONS(1070),
    [anon_sym_return] = ACTIONS(1070),
    [anon_sym_yield] = ACTIONS(1070),
    [anon_sym_synchronized] = ACTIONS(1070),
    [anon_sym_throw] = ACTIONS(1070),
    [anon_sym_try] = ACTIONS(1070),
    [anon_sym_if] = ACTIONS(1070),
    [anon_sym_for] = ACTIONS(1070),
    [anon_sym_AT] = ACTIONS(1070),
    [anon_sym_open] = ACTIONS(1070),
    [anon_sym_module] = ACTIONS(1070),
    [anon_sym_static] = ACTIONS(1070),
    [anon_sym_with] = ACTIONS(1070),
    [anon_sym_package] = ACTIONS(1070),
    [anon_sym_import] = ACTIONS(1070),
    [anon_sym_enum] = ACTIONS(1070),
    [anon_sym_public] = ACTIONS(1070),
    [anon_sym_protected] = ACTIONS(1070),
    [anon_sym_private] = ACTIONS(1070),
    [anon_sym_abstract] = ACTIONS(1070),
    [anon_sym_strictfp] = ACTIONS(1070),
    [anon_sym_native] = ACTIONS(1070),
    [anon_sym_transient] = ACTIONS(1070),
    [anon_sym_volatile] = ACTIONS(1070),
    [anon_sym_sealed] = ACTIONS(1070),
    [anon_sym_non_DASHsealed] = ACTIONS(1068),
    [anon_sym_record] = ACTIONS(1070),
    [anon_sym_ATinterface] = ACTIONS(1068),
    [anon_sym_interface] = ACTIONS(1070),
    [anon_sym_byte] = ACTIONS(1070),
    [anon_sym_short] = ACTIONS(1070),
    [anon_sym_int] = ACTIONS(1070),
    [anon_sym_long] = ACTIONS(1070),
    [anon_sym_char] = ACTIONS(1070),
    [anon_sym_float] = ACTIONS(1070),
    [anon_sym_double] = ACTIONS(1070),
    [sym_boolean_type] = ACTIONS(1070),
    [sym_void_type] = ACTIONS(1070),
    [anon_sym_def] = ACTIONS(1070),
    [sym_this] = ACTIONS(1070),
    [sym_super] = ACTIONS(1070),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1068),
  },
  [357] = {
    [ts_builtin_sym_end] = ACTIONS(1381),
    [sym_identifier] = ACTIONS(1383),
    [sym_decimal_integer_literal] = ACTIONS(1383),
    [sym_hex_integer_literal] = ACTIONS(1383),
    [sym_octal_integer_literal] = ACTIONS(1383),
    [sym_binary_integer_literal] = ACTIONS(1381),
    [sym_decimal_floating_point_literal] = ACTIONS(1381),
    [sym_hex_floating_point_literal] = ACTIONS(1383),
    [sym_true] = ACTIONS(1383),
    [sym_false] = ACTIONS(1383),
    [sym_character_literal] = ACTIONS(1381),
    [anon_sym_DQUOTE] = ACTIONS(1383),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1381),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1381),
    [anon_sym_RBRACE] = ACTIONS(1381),
    [sym_null_literal] = ACTIONS(1383),
    [anon_sym_LPAREN] = ACTIONS(1381),
    [anon_sym_AMP] = ACTIONS(1383),
    [anon_sym_GT] = ACTIONS(1383),
    [anon_sym_LT] = ACTIONS(1383),
    [anon_sym_GT_EQ] = ACTIONS(1381),
    [anon_sym_LT_EQ] = ACTIONS(1381),
    [anon_sym_EQ_EQ] = ACTIONS(1381),
    [anon_sym_BANG_EQ] = ACTIONS(1381),
    [anon_sym_AMP_AMP] = ACTIONS(1381),
    [anon_sym_PIPE_PIPE] = ACTIONS(1381),
    [anon_sym_PLUS] = ACTIONS(1383),
    [anon_sym_DASH] = ACTIONS(1383),
    [anon_sym_STAR] = ACTIONS(1383),
    [anon_sym_SLASH] = ACTIONS(1383),
    [anon_sym_PIPE] = ACTIONS(1383),
    [anon_sym_CARET] = ACTIONS(1381),
    [anon_sym_PERCENT] = ACTIONS(1381),
    [anon_sym_LT_LT] = ACTIONS(1381),
    [anon_sym_GT_GT] = ACTIONS(1383),
    [anon_sym_GT_GT_GT] = ACTIONS(1381),
    [anon_sym_in] = ACTIONS(1383),
    [anon_sym_STAR_STAR] = ACTIONS(1381),
    [anon_sym_instanceof] = ACTIONS(1383),
    [anon_sym_final] = ACTIONS(1383),
    [anon_sym_DASH_GT] = ACTIONS(1381),
    [anon_sym_COMMA] = ACTIONS(1381),
    [anon_sym_QMARK] = ACTIONS(1381),
    [anon_sym_COLON] = ACTIONS(1383),
    [anon_sym_BANG] = ACTIONS(1383),
    [anon_sym_TILDE] = ACTIONS(1381),
    [anon_sym_PLUS_PLUS] = ACTIONS(1381),
    [anon_sym_DASH_DASH] = ACTIONS(1381),
    [anon_sym_new] = ACTIONS(1383),
    [anon_sym_LBRACK] = ACTIONS(1381),
    [anon_sym_DOT] = ACTIONS(1383),
    [anon_sym_class] = ACTIONS(1383),
    [anon_sym_COLON_COLON] = ACTIONS(1381),
    [anon_sym_switch] = ACTIONS(1383),
    [anon_sym_LBRACE] = ACTIONS(1381),
    [anon_sym_default] = ACTIONS(1383),
    [sym_underscore_pattern] = ACTIONS(1383),
    [anon_sym_SEMI] = ACTIONS(1381),
    [anon_sym_assert] = ACTIONS(1383),
    [anon_sym_do] = ACTIONS(1383),
    [anon_sym_while] = ACTIONS(1383),
    [anon_sym_break] = ACTIONS(1383),
    [anon_sym_continue] = ACTIONS(1383),
    [anon_sym_return] = ACTIONS(1383),
    [anon_sym_yield] = ACTIONS(1383),
    [anon_sym_synchronized] = ACTIONS(1383),
    [anon_sym_throw] = ACTIONS(1383),
    [anon_sym_try] = ACTIONS(1383),
    [anon_sym_if] = ACTIONS(1383),
    [anon_sym_for] = ACTIONS(1383),
    [anon_sym_AT] = ACTIONS(1383),
    [anon_sym_open] = ACTIONS(1383),
    [anon_sym_module] = ACTIONS(1383),
    [anon_sym_static] = ACTIONS(1383),
    [anon_sym_with] = ACTIONS(1383),
    [anon_sym_package] = ACTIONS(1383),
    [anon_sym_import] = ACTIONS(1383),
    [anon_sym_enum] = ACTIONS(1383),
    [anon_sym_public] = ACTIONS(1383),
    [anon_sym_protected] = ACTIONS(1383),
    [anon_sym_private] = ACTIONS(1383),
    [anon_sym_abstract] = ACTIONS(1383),
    [anon_sym_strictfp] = ACTIONS(1383),
    [anon_sym_native] = ACTIONS(1383),
    [anon_sym_transient] = ACTIONS(1383),
    [anon_sym_volatile] = ACTIONS(1383),
    [anon_sym_sealed] = ACTIONS(1383),
    [anon_sym_non_DASHsealed] = ACTIONS(1381),
    [anon_sym_record] = ACTIONS(1383),
    [anon_sym_ATinterface] = ACTIONS(1381),
    [anon_sym_interface] = ACTIONS(1383),
    [anon_sym_byte] = ACTIONS(1383),
    [anon_sym_short] = ACTIONS(1383),
    [anon_sym_int] = ACTIONS(1383),
    [anon_sym_long] = ACTIONS(1383),
    [anon_sym_char] = ACTIONS(1383),
    [anon_sym_float] = ACTIONS(1383),
    [anon_sym_double] = ACTIONS(1383),
    [sym_boolean_type] = ACTIONS(1383),
    [sym_void_type] = ACTIONS(1383),
    [anon_sym_def] = ACTIONS(1383),
    [sym_this] = ACTIONS(1383),
    [sym_super] = ACTIONS(1383),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1381),
  },
  [358] = {
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_identifier] = ACTIONS(1202),
    [sym_decimal_integer_literal] = ACTIONS(1202),
    [sym_hex_integer_literal] = ACTIONS(1202),
    [sym_octal_integer_literal] = ACTIONS(1202),
    [sym_binary_integer_literal] = ACTIONS(1202),
    [sym_decimal_floating_point_literal] = ACTIONS(1202),
    [sym_hex_floating_point_literal] = ACTIONS(1202),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1202),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1202),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1202),
    [anon_sym_RBRACE] = ACTIONS(1202),
    [sym_null_literal] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1202),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1202),
    [anon_sym_BANG_EQ] = ACTIONS(1202),
    [anon_sym_AMP_AMP] = ACTIONS(1202),
    [anon_sym_PIPE_PIPE] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_SLASH] = ACTIONS(1202),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_CARET] = ACTIONS(1202),
    [anon_sym_PERCENT] = ACTIONS(1202),
    [anon_sym_LT_LT] = ACTIONS(1202),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1202),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_STAR_STAR] = ACTIONS(1202),
    [anon_sym_instanceof] = ACTIONS(1202),
    [anon_sym_final] = ACTIONS(1202),
    [anon_sym_DASH_GT] = ACTIONS(1202),
    [anon_sym_QMARK] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1202),
    [anon_sym_PLUS_PLUS] = ACTIONS(1202),
    [anon_sym_DASH_DASH] = ACTIONS(1202),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1202),
    [anon_sym_class] = ACTIONS(1202),
    [anon_sym_switch] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1202),
    [anon_sym_case] = ACTIONS(1202),
    [anon_sym_default] = ACTIONS(1202),
    [sym_underscore_pattern] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1202),
    [aux_sym_expression_statement_token1] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1202),
    [anon_sym_assert] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1202),
    [anon_sym_while] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_yield] = ACTIONS(1202),
    [anon_sym_synchronized] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_try] = ACTIONS(1202),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_else] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [anon_sym_open] = ACTIONS(1202),
    [anon_sym_module] = ACTIONS(1202),
    [anon_sym_static] = ACTIONS(1202),
    [anon_sym_with] = ACTIONS(1202),
    [anon_sym_package] = ACTIONS(1202),
    [anon_sym_import] = ACTIONS(1202),
    [anon_sym_enum] = ACTIONS(1202),
    [anon_sym_public] = ACTIONS(1202),
    [anon_sym_protected] = ACTIONS(1202),
    [anon_sym_private] = ACTIONS(1202),
    [anon_sym_abstract] = ACTIONS(1202),
    [anon_sym_strictfp] = ACTIONS(1202),
    [anon_sym_native] = ACTIONS(1202),
    [anon_sym_transient] = ACTIONS(1202),
    [anon_sym_volatile] = ACTIONS(1202),
    [anon_sym_sealed] = ACTIONS(1202),
    [anon_sym_non_DASHsealed] = ACTIONS(1202),
    [anon_sym_record] = ACTIONS(1202),
    [anon_sym_ATinterface] = ACTIONS(1202),
    [anon_sym_interface] = ACTIONS(1202),
    [anon_sym_byte] = ACTIONS(1202),
    [anon_sym_short] = ACTIONS(1202),
    [anon_sym_int] = ACTIONS(1202),
    [anon_sym_long] = ACTIONS(1202),
    [anon_sym_char] = ACTIONS(1202),
    [anon_sym_float] = ACTIONS(1202),
    [anon_sym_double] = ACTIONS(1202),
    [sym_boolean_type] = ACTIONS(1202),
    [sym_void_type] = ACTIONS(1202),
    [anon_sym_def] = ACTIONS(1202),
    [sym_this] = ACTIONS(1202),
    [sym_super] = ACTIONS(1202),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1202),
  },
  [359] = {
    [ts_builtin_sym_end] = ACTIONS(1169),
    [sym_identifier] = ACTIONS(1171),
    [sym_decimal_integer_literal] = ACTIONS(1171),
    [sym_hex_integer_literal] = ACTIONS(1171),
    [sym_octal_integer_literal] = ACTIONS(1171),
    [sym_binary_integer_literal] = ACTIONS(1169),
    [sym_decimal_floating_point_literal] = ACTIONS(1169),
    [sym_hex_floating_point_literal] = ACTIONS(1171),
    [sym_true] = ACTIONS(1171),
    [sym_false] = ACTIONS(1171),
    [sym_character_literal] = ACTIONS(1169),
    [anon_sym_DQUOTE] = ACTIONS(1171),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1169),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1169),
    [anon_sym_RBRACE] = ACTIONS(1169),
    [sym_null_literal] = ACTIONS(1171),
    [anon_sym_LPAREN] = ACTIONS(1169),
    [anon_sym_AMP] = ACTIONS(1171),
    [anon_sym_GT] = ACTIONS(1171),
    [anon_sym_LT] = ACTIONS(1171),
    [anon_sym_GT_EQ] = ACTIONS(1169),
    [anon_sym_LT_EQ] = ACTIONS(1169),
    [anon_sym_EQ_EQ] = ACTIONS(1169),
    [anon_sym_BANG_EQ] = ACTIONS(1169),
    [anon_sym_AMP_AMP] = ACTIONS(1169),
    [anon_sym_PIPE_PIPE] = ACTIONS(1169),
    [anon_sym_PLUS] = ACTIONS(1171),
    [anon_sym_DASH] = ACTIONS(1171),
    [anon_sym_STAR] = ACTIONS(1171),
    [anon_sym_SLASH] = ACTIONS(1171),
    [anon_sym_PIPE] = ACTIONS(1171),
    [anon_sym_CARET] = ACTIONS(1169),
    [anon_sym_PERCENT] = ACTIONS(1169),
    [anon_sym_LT_LT] = ACTIONS(1169),
    [anon_sym_GT_GT] = ACTIONS(1171),
    [anon_sym_GT_GT_GT] = ACTIONS(1169),
    [anon_sym_in] = ACTIONS(1171),
    [anon_sym_STAR_STAR] = ACTIONS(1169),
    [anon_sym_instanceof] = ACTIONS(1171),
    [anon_sym_final] = ACTIONS(1171),
    [anon_sym_DASH_GT] = ACTIONS(1169),
    [anon_sym_COMMA] = ACTIONS(1169),
    [anon_sym_QMARK] = ACTIONS(1169),
    [anon_sym_COLON] = ACTIONS(1171),
    [anon_sym_BANG] = ACTIONS(1171),
    [anon_sym_TILDE] = ACTIONS(1169),
    [anon_sym_PLUS_PLUS] = ACTIONS(1169),
    [anon_sym_DASH_DASH] = ACTIONS(1169),
    [anon_sym_new] = ACTIONS(1171),
    [anon_sym_LBRACK] = ACTIONS(1169),
    [anon_sym_DOT] = ACTIONS(1171),
    [anon_sym_class] = ACTIONS(1171),
    [anon_sym_COLON_COLON] = ACTIONS(1169),
    [anon_sym_switch] = ACTIONS(1171),
    [anon_sym_LBRACE] = ACTIONS(1169),
    [anon_sym_default] = ACTIONS(1171),
    [sym_underscore_pattern] = ACTIONS(1171),
    [anon_sym_SEMI] = ACTIONS(1169),
    [anon_sym_assert] = ACTIONS(1171),
    [anon_sym_do] = ACTIONS(1171),
    [anon_sym_while] = ACTIONS(1171),
    [anon_sym_break] = ACTIONS(1171),
    [anon_sym_continue] = ACTIONS(1171),
    [anon_sym_return] = ACTIONS(1171),
    [anon_sym_yield] = ACTIONS(1171),
    [anon_sym_synchronized] = ACTIONS(1171),
    [anon_sym_throw] = ACTIONS(1171),
    [anon_sym_try] = ACTIONS(1171),
    [anon_sym_if] = ACTIONS(1171),
    [anon_sym_for] = ACTIONS(1171),
    [anon_sym_AT] = ACTIONS(1171),
    [anon_sym_open] = ACTIONS(1171),
    [anon_sym_module] = ACTIONS(1171),
    [anon_sym_static] = ACTIONS(1171),
    [anon_sym_with] = ACTIONS(1171),
    [anon_sym_package] = ACTIONS(1171),
    [anon_sym_import] = ACTIONS(1171),
    [anon_sym_enum] = ACTIONS(1171),
    [anon_sym_public] = ACTIONS(1171),
    [anon_sym_protected] = ACTIONS(1171),
    [anon_sym_private] = ACTIONS(1171),
    [anon_sym_abstract] = ACTIONS(1171),
    [anon_sym_strictfp] = ACTIONS(1171),
    [anon_sym_native] = ACTIONS(1171),
    [anon_sym_transient] = ACTIONS(1171),
    [anon_sym_volatile] = ACTIONS(1171),
    [anon_sym_sealed] = ACTIONS(1171),
    [anon_sym_non_DASHsealed] = ACTIONS(1169),
    [anon_sym_record] = ACTIONS(1171),
    [anon_sym_ATinterface] = ACTIONS(1169),
    [anon_sym_interface] = ACTIONS(1171),
    [anon_sym_byte] = ACTIONS(1171),
    [anon_sym_short] = ACTIONS(1171),
    [anon_sym_int] = ACTIONS(1171),
    [anon_sym_long] = ACTIONS(1171),
    [anon_sym_char] = ACTIONS(1171),
    [anon_sym_float] = ACTIONS(1171),
    [anon_sym_double] = ACTIONS(1171),
    [sym_boolean_type] = ACTIONS(1171),
    [sym_void_type] = ACTIONS(1171),
    [anon_sym_def] = ACTIONS(1171),
    [sym_this] = ACTIONS(1171),
    [sym_super] = ACTIONS(1171),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1169),
  },
  [360] = {
    [ts_builtin_sym_end] = ACTIONS(1393),
    [sym_identifier] = ACTIONS(1395),
    [sym_decimal_integer_literal] = ACTIONS(1395),
    [sym_hex_integer_literal] = ACTIONS(1395),
    [sym_octal_integer_literal] = ACTIONS(1395),
    [sym_binary_integer_literal] = ACTIONS(1393),
    [sym_decimal_floating_point_literal] = ACTIONS(1393),
    [sym_hex_floating_point_literal] = ACTIONS(1395),
    [sym_true] = ACTIONS(1395),
    [sym_false] = ACTIONS(1395),
    [sym_character_literal] = ACTIONS(1393),
    [anon_sym_DQUOTE] = ACTIONS(1395),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1393),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1393),
    [anon_sym_RBRACE] = ACTIONS(1393),
    [sym_null_literal] = ACTIONS(1395),
    [anon_sym_LPAREN] = ACTIONS(1393),
    [anon_sym_AMP] = ACTIONS(1395),
    [anon_sym_GT] = ACTIONS(1395),
    [anon_sym_LT] = ACTIONS(1395),
    [anon_sym_GT_EQ] = ACTIONS(1393),
    [anon_sym_LT_EQ] = ACTIONS(1393),
    [anon_sym_EQ_EQ] = ACTIONS(1393),
    [anon_sym_BANG_EQ] = ACTIONS(1393),
    [anon_sym_AMP_AMP] = ACTIONS(1393),
    [anon_sym_PIPE_PIPE] = ACTIONS(1393),
    [anon_sym_PLUS] = ACTIONS(1395),
    [anon_sym_DASH] = ACTIONS(1395),
    [anon_sym_STAR] = ACTIONS(1395),
    [anon_sym_SLASH] = ACTIONS(1395),
    [anon_sym_PIPE] = ACTIONS(1395),
    [anon_sym_CARET] = ACTIONS(1393),
    [anon_sym_PERCENT] = ACTIONS(1393),
    [anon_sym_LT_LT] = ACTIONS(1393),
    [anon_sym_GT_GT] = ACTIONS(1395),
    [anon_sym_GT_GT_GT] = ACTIONS(1393),
    [anon_sym_in] = ACTIONS(1395),
    [anon_sym_STAR_STAR] = ACTIONS(1393),
    [anon_sym_instanceof] = ACTIONS(1395),
    [anon_sym_final] = ACTIONS(1395),
    [anon_sym_DASH_GT] = ACTIONS(1393),
    [anon_sym_COMMA] = ACTIONS(1393),
    [anon_sym_QMARK] = ACTIONS(1393),
    [anon_sym_COLON] = ACTIONS(1395),
    [anon_sym_BANG] = ACTIONS(1395),
    [anon_sym_TILDE] = ACTIONS(1393),
    [anon_sym_PLUS_PLUS] = ACTIONS(1393),
    [anon_sym_DASH_DASH] = ACTIONS(1393),
    [anon_sym_new] = ACTIONS(1395),
    [anon_sym_LBRACK] = ACTIONS(1393),
    [anon_sym_DOT] = ACTIONS(1395),
    [anon_sym_class] = ACTIONS(1395),
    [anon_sym_COLON_COLON] = ACTIONS(1393),
    [anon_sym_switch] = ACTIONS(1395),
    [anon_sym_LBRACE] = ACTIONS(1393),
    [anon_sym_default] = ACTIONS(1395),
    [sym_underscore_pattern] = ACTIONS(1395),
    [anon_sym_SEMI] = ACTIONS(1393),
    [anon_sym_assert] = ACTIONS(1395),
    [anon_sym_do] = ACTIONS(1395),
    [anon_sym_while] = ACTIONS(1395),
    [anon_sym_break] = ACTIONS(1395),
    [anon_sym_continue] = ACTIONS(1395),
    [anon_sym_return] = ACTIONS(1395),
    [anon_sym_yield] = ACTIONS(1395),
    [anon_sym_synchronized] = ACTIONS(1395),
    [anon_sym_throw] = ACTIONS(1395),
    [anon_sym_try] = ACTIONS(1395),
    [anon_sym_if] = ACTIONS(1395),
    [anon_sym_for] = ACTIONS(1395),
    [anon_sym_AT] = ACTIONS(1395),
    [anon_sym_open] = ACTIONS(1395),
    [anon_sym_module] = ACTIONS(1395),
    [anon_sym_static] = ACTIONS(1395),
    [anon_sym_with] = ACTIONS(1395),
    [anon_sym_package] = ACTIONS(1395),
    [anon_sym_import] = ACTIONS(1395),
    [anon_sym_enum] = ACTIONS(1395),
    [anon_sym_public] = ACTIONS(1395),
    [anon_sym_protected] = ACTIONS(1395),
    [anon_sym_private] = ACTIONS(1395),
    [anon_sym_abstract] = ACTIONS(1395),
    [anon_sym_strictfp] = ACTIONS(1395),
    [anon_sym_native] = ACTIONS(1395),
    [anon_sym_transient] = ACTIONS(1395),
    [anon_sym_volatile] = ACTIONS(1395),
    [anon_sym_sealed] = ACTIONS(1395),
    [anon_sym_non_DASHsealed] = ACTIONS(1393),
    [anon_sym_record] = ACTIONS(1395),
    [anon_sym_ATinterface] = ACTIONS(1393),
    [anon_sym_interface] = ACTIONS(1395),
    [anon_sym_byte] = ACTIONS(1395),
    [anon_sym_short] = ACTIONS(1395),
    [anon_sym_int] = ACTIONS(1395),
    [anon_sym_long] = ACTIONS(1395),
    [anon_sym_char] = ACTIONS(1395),
    [anon_sym_float] = ACTIONS(1395),
    [anon_sym_double] = ACTIONS(1395),
    [sym_boolean_type] = ACTIONS(1395),
    [sym_void_type] = ACTIONS(1395),
    [anon_sym_def] = ACTIONS(1395),
    [sym_this] = ACTIONS(1395),
    [sym_super] = ACTIONS(1395),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1393),
  },
  [361] = {
    [ts_builtin_sym_end] = ACTIONS(1397),
    [sym_identifier] = ACTIONS(1399),
    [sym_decimal_integer_literal] = ACTIONS(1399),
    [sym_hex_integer_literal] = ACTIONS(1399),
    [sym_octal_integer_literal] = ACTIONS(1399),
    [sym_binary_integer_literal] = ACTIONS(1397),
    [sym_decimal_floating_point_literal] = ACTIONS(1397),
    [sym_hex_floating_point_literal] = ACTIONS(1399),
    [sym_true] = ACTIONS(1399),
    [sym_false] = ACTIONS(1399),
    [sym_character_literal] = ACTIONS(1397),
    [anon_sym_DQUOTE] = ACTIONS(1399),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1397),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1397),
    [anon_sym_RBRACE] = ACTIONS(1397),
    [sym_null_literal] = ACTIONS(1399),
    [anon_sym_LPAREN] = ACTIONS(1397),
    [anon_sym_AMP] = ACTIONS(1399),
    [anon_sym_GT] = ACTIONS(1399),
    [anon_sym_LT] = ACTIONS(1399),
    [anon_sym_GT_EQ] = ACTIONS(1397),
    [anon_sym_LT_EQ] = ACTIONS(1397),
    [anon_sym_EQ_EQ] = ACTIONS(1397),
    [anon_sym_BANG_EQ] = ACTIONS(1397),
    [anon_sym_AMP_AMP] = ACTIONS(1397),
    [anon_sym_PIPE_PIPE] = ACTIONS(1397),
    [anon_sym_PLUS] = ACTIONS(1399),
    [anon_sym_DASH] = ACTIONS(1399),
    [anon_sym_STAR] = ACTIONS(1399),
    [anon_sym_SLASH] = ACTIONS(1399),
    [anon_sym_PIPE] = ACTIONS(1399),
    [anon_sym_CARET] = ACTIONS(1397),
    [anon_sym_PERCENT] = ACTIONS(1397),
    [anon_sym_LT_LT] = ACTIONS(1397),
    [anon_sym_GT_GT] = ACTIONS(1399),
    [anon_sym_GT_GT_GT] = ACTIONS(1397),
    [anon_sym_in] = ACTIONS(1399),
    [anon_sym_STAR_STAR] = ACTIONS(1397),
    [anon_sym_instanceof] = ACTIONS(1399),
    [anon_sym_final] = ACTIONS(1399),
    [anon_sym_DASH_GT] = ACTIONS(1397),
    [anon_sym_COMMA] = ACTIONS(1397),
    [anon_sym_QMARK] = ACTIONS(1397),
    [anon_sym_COLON] = ACTIONS(1399),
    [anon_sym_BANG] = ACTIONS(1399),
    [anon_sym_TILDE] = ACTIONS(1397),
    [anon_sym_PLUS_PLUS] = ACTIONS(1397),
    [anon_sym_DASH_DASH] = ACTIONS(1397),
    [anon_sym_new] = ACTIONS(1399),
    [anon_sym_LBRACK] = ACTIONS(1397),
    [anon_sym_DOT] = ACTIONS(1399),
    [anon_sym_class] = ACTIONS(1399),
    [anon_sym_COLON_COLON] = ACTIONS(1397),
    [anon_sym_switch] = ACTIONS(1399),
    [anon_sym_LBRACE] = ACTIONS(1397),
    [anon_sym_default] = ACTIONS(1399),
    [sym_underscore_pattern] = ACTIONS(1399),
    [anon_sym_SEMI] = ACTIONS(1397),
    [anon_sym_assert] = ACTIONS(1399),
    [anon_sym_do] = ACTIONS(1399),
    [anon_sym_while] = ACTIONS(1399),
    [anon_sym_break] = ACTIONS(1399),
    [anon_sym_continue] = ACTIONS(1399),
    [anon_sym_return] = ACTIONS(1399),
    [anon_sym_yield] = ACTIONS(1399),
    [anon_sym_synchronized] = ACTIONS(1399),
    [anon_sym_throw] = ACTIONS(1399),
    [anon_sym_try] = ACTIONS(1399),
    [anon_sym_if] = ACTIONS(1399),
    [anon_sym_for] = ACTIONS(1399),
    [anon_sym_AT] = ACTIONS(1399),
    [anon_sym_open] = ACTIONS(1399),
    [anon_sym_module] = ACTIONS(1399),
    [anon_sym_static] = ACTIONS(1399),
    [anon_sym_with] = ACTIONS(1399),
    [anon_sym_package] = ACTIONS(1399),
    [anon_sym_import] = ACTIONS(1399),
    [anon_sym_enum] = ACTIONS(1399),
    [anon_sym_public] = ACTIONS(1399),
    [anon_sym_protected] = ACTIONS(1399),
    [anon_sym_private] = ACTIONS(1399),
    [anon_sym_abstract] = ACTIONS(1399),
    [anon_sym_strictfp] = ACTIONS(1399),
    [anon_sym_native] = ACTIONS(1399),
    [anon_sym_transient] = ACTIONS(1399),
    [anon_sym_volatile] = ACTIONS(1399),
    [anon_sym_sealed] = ACTIONS(1399),
    [anon_sym_non_DASHsealed] = ACTIONS(1397),
    [anon_sym_record] = ACTIONS(1399),
    [anon_sym_ATinterface] = ACTIONS(1397),
    [anon_sym_interface] = ACTIONS(1399),
    [anon_sym_byte] = ACTIONS(1399),
    [anon_sym_short] = ACTIONS(1399),
    [anon_sym_int] = ACTIONS(1399),
    [anon_sym_long] = ACTIONS(1399),
    [anon_sym_char] = ACTIONS(1399),
    [anon_sym_float] = ACTIONS(1399),
    [anon_sym_double] = ACTIONS(1399),
    [sym_boolean_type] = ACTIONS(1399),
    [sym_void_type] = ACTIONS(1399),
    [anon_sym_def] = ACTIONS(1399),
    [sym_this] = ACTIONS(1399),
    [sym_super] = ACTIONS(1399),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1397),
  },
  [362] = {
    [ts_builtin_sym_end] = ACTIONS(1505),
    [sym_identifier] = ACTIONS(1507),
    [sym_decimal_integer_literal] = ACTIONS(1507),
    [sym_hex_integer_literal] = ACTIONS(1507),
    [sym_octal_integer_literal] = ACTIONS(1507),
    [sym_binary_integer_literal] = ACTIONS(1507),
    [sym_decimal_floating_point_literal] = ACTIONS(1507),
    [sym_hex_floating_point_literal] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_character_literal] = ACTIONS(1507),
    [anon_sym_DQUOTE] = ACTIONS(1507),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1507),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1507),
    [anon_sym_RBRACE] = ACTIONS(1507),
    [sym_null_literal] = ACTIONS(1507),
    [anon_sym_LPAREN] = ACTIONS(1507),
    [anon_sym_AMP] = ACTIONS(1507),
    [anon_sym_GT] = ACTIONS(1507),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_GT_EQ] = ACTIONS(1507),
    [anon_sym_LT_EQ] = ACTIONS(1507),
    [anon_sym_EQ_EQ] = ACTIONS(1507),
    [anon_sym_BANG_EQ] = ACTIONS(1507),
    [anon_sym_AMP_AMP] = ACTIONS(1507),
    [anon_sym_PIPE_PIPE] = ACTIONS(1507),
    [anon_sym_PLUS] = ACTIONS(1507),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_STAR] = ACTIONS(1507),
    [anon_sym_SLASH] = ACTIONS(1507),
    [anon_sym_PIPE] = ACTIONS(1507),
    [anon_sym_CARET] = ACTIONS(1507),
    [anon_sym_PERCENT] = ACTIONS(1507),
    [anon_sym_LT_LT] = ACTIONS(1507),
    [anon_sym_GT_GT] = ACTIONS(1507),
    [anon_sym_GT_GT_GT] = ACTIONS(1507),
    [anon_sym_in] = ACTIONS(1507),
    [anon_sym_STAR_STAR] = ACTIONS(1507),
    [anon_sym_instanceof] = ACTIONS(1507),
    [anon_sym_final] = ACTIONS(1507),
    [anon_sym_DASH_GT] = ACTIONS(1507),
    [anon_sym_QMARK] = ACTIONS(1507),
    [anon_sym_BANG] = ACTIONS(1507),
    [anon_sym_TILDE] = ACTIONS(1507),
    [anon_sym_PLUS_PLUS] = ACTIONS(1507),
    [anon_sym_DASH_DASH] = ACTIONS(1507),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1507),
    [anon_sym_class] = ACTIONS(1507),
    [anon_sym_switch] = ACTIONS(1507),
    [anon_sym_LBRACE] = ACTIONS(1507),
    [anon_sym_case] = ACTIONS(1507),
    [anon_sym_default] = ACTIONS(1507),
    [sym_underscore_pattern] = ACTIONS(1507),
    [anon_sym_SEMI] = ACTIONS(1507),
    [aux_sym_expression_statement_token1] = ACTIONS(1505),
    [anon_sym_NULL] = ACTIONS(1507),
    [anon_sym_assert] = ACTIONS(1507),
    [anon_sym_do] = ACTIONS(1507),
    [anon_sym_while] = ACTIONS(1507),
    [anon_sym_break] = ACTIONS(1507),
    [anon_sym_continue] = ACTIONS(1507),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_yield] = ACTIONS(1507),
    [anon_sym_synchronized] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1507),
    [anon_sym_try] = ACTIONS(1507),
    [anon_sym_if] = ACTIONS(1507),
    [anon_sym_else] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1507),
    [anon_sym_AT] = ACTIONS(1507),
    [anon_sym_open] = ACTIONS(1507),
    [anon_sym_module] = ACTIONS(1507),
    [anon_sym_static] = ACTIONS(1507),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_package] = ACTIONS(1507),
    [anon_sym_import] = ACTIONS(1507),
    [anon_sym_enum] = ACTIONS(1507),
    [anon_sym_public] = ACTIONS(1507),
    [anon_sym_protected] = ACTIONS(1507),
    [anon_sym_private] = ACTIONS(1507),
    [anon_sym_abstract] = ACTIONS(1507),
    [anon_sym_strictfp] = ACTIONS(1507),
    [anon_sym_native] = ACTIONS(1507),
    [anon_sym_transient] = ACTIONS(1507),
    [anon_sym_volatile] = ACTIONS(1507),
    [anon_sym_sealed] = ACTIONS(1507),
    [anon_sym_non_DASHsealed] = ACTIONS(1507),
    [anon_sym_record] = ACTIONS(1507),
    [anon_sym_ATinterface] = ACTIONS(1507),
    [anon_sym_interface] = ACTIONS(1507),
    [anon_sym_byte] = ACTIONS(1507),
    [anon_sym_short] = ACTIONS(1507),
    [anon_sym_int] = ACTIONS(1507),
    [anon_sym_long] = ACTIONS(1507),
    [anon_sym_char] = ACTIONS(1507),
    [anon_sym_float] = ACTIONS(1507),
    [anon_sym_double] = ACTIONS(1507),
    [sym_boolean_type] = ACTIONS(1507),
    [sym_void_type] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1507),
    [sym_this] = ACTIONS(1507),
    [sym_super] = ACTIONS(1507),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1507),
  },
  [363] = {
    [ts_builtin_sym_end] = ACTIONS(1509),
    [sym_identifier] = ACTIONS(1511),
    [sym_decimal_integer_literal] = ACTIONS(1511),
    [sym_hex_integer_literal] = ACTIONS(1511),
    [sym_octal_integer_literal] = ACTIONS(1511),
    [sym_binary_integer_literal] = ACTIONS(1511),
    [sym_decimal_floating_point_literal] = ACTIONS(1511),
    [sym_hex_floating_point_literal] = ACTIONS(1511),
    [sym_true] = ACTIONS(1511),
    [sym_false] = ACTIONS(1511),
    [sym_character_literal] = ACTIONS(1511),
    [anon_sym_DQUOTE] = ACTIONS(1511),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1511),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1511),
    [anon_sym_RBRACE] = ACTIONS(1511),
    [sym_null_literal] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1511),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT_EQ] = ACTIONS(1511),
    [anon_sym_LT_EQ] = ACTIONS(1511),
    [anon_sym_EQ_EQ] = ACTIONS(1511),
    [anon_sym_BANG_EQ] = ACTIONS(1511),
    [anon_sym_AMP_AMP] = ACTIONS(1511),
    [anon_sym_PIPE_PIPE] = ACTIONS(1511),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_PIPE] = ACTIONS(1511),
    [anon_sym_CARET] = ACTIONS(1511),
    [anon_sym_PERCENT] = ACTIONS(1511),
    [anon_sym_LT_LT] = ACTIONS(1511),
    [anon_sym_GT_GT] = ACTIONS(1511),
    [anon_sym_GT_GT_GT] = ACTIONS(1511),
    [anon_sym_in] = ACTIONS(1511),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1511),
    [anon_sym_final] = ACTIONS(1511),
    [anon_sym_DASH_GT] = ACTIONS(1511),
    [anon_sym_QMARK] = ACTIONS(1511),
    [anon_sym_BANG] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(1511),
    [anon_sym_PLUS_PLUS] = ACTIONS(1511),
    [anon_sym_DASH_DASH] = ACTIONS(1511),
    [anon_sym_new] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1511),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_switch] = ACTIONS(1511),
    [anon_sym_LBRACE] = ACTIONS(1511),
    [anon_sym_case] = ACTIONS(1511),
    [anon_sym_default] = ACTIONS(1511),
    [sym_underscore_pattern] = ACTIONS(1511),
    [anon_sym_SEMI] = ACTIONS(1511),
    [aux_sym_expression_statement_token1] = ACTIONS(1509),
    [anon_sym_NULL] = ACTIONS(1511),
    [anon_sym_assert] = ACTIONS(1511),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1511),
    [anon_sym_break] = ACTIONS(1511),
    [anon_sym_continue] = ACTIONS(1511),
    [anon_sym_return] = ACTIONS(1511),
    [anon_sym_yield] = ACTIONS(1511),
    [anon_sym_synchronized] = ACTIONS(1511),
    [anon_sym_throw] = ACTIONS(1511),
    [anon_sym_try] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_else] = ACTIONS(1511),
    [anon_sym_for] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(1511),
    [anon_sym_open] = ACTIONS(1511),
    [anon_sym_module] = ACTIONS(1511),
    [anon_sym_static] = ACTIONS(1511),
    [anon_sym_with] = ACTIONS(1511),
    [anon_sym_package] = ACTIONS(1511),
    [anon_sym_import] = ACTIONS(1511),
    [anon_sym_enum] = ACTIONS(1511),
    [anon_sym_public] = ACTIONS(1511),
    [anon_sym_protected] = ACTIONS(1511),
    [anon_sym_private] = ACTIONS(1511),
    [anon_sym_abstract] = ACTIONS(1511),
    [anon_sym_strictfp] = ACTIONS(1511),
    [anon_sym_native] = ACTIONS(1511),
    [anon_sym_transient] = ACTIONS(1511),
    [anon_sym_volatile] = ACTIONS(1511),
    [anon_sym_sealed] = ACTIONS(1511),
    [anon_sym_non_DASHsealed] = ACTIONS(1511),
    [anon_sym_record] = ACTIONS(1511),
    [anon_sym_ATinterface] = ACTIONS(1511),
    [anon_sym_interface] = ACTIONS(1511),
    [anon_sym_byte] = ACTIONS(1511),
    [anon_sym_short] = ACTIONS(1511),
    [anon_sym_int] = ACTIONS(1511),
    [anon_sym_long] = ACTIONS(1511),
    [anon_sym_char] = ACTIONS(1511),
    [anon_sym_float] = ACTIONS(1511),
    [anon_sym_double] = ACTIONS(1511),
    [sym_boolean_type] = ACTIONS(1511),
    [sym_void_type] = ACTIONS(1511),
    [anon_sym_def] = ACTIONS(1511),
    [sym_this] = ACTIONS(1511),
    [sym_super] = ACTIONS(1511),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1511),
  },
  [364] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1517),
    [sym_decimal_integer_literal] = ACTIONS(1517),
    [sym_hex_integer_literal] = ACTIONS(1517),
    [sym_octal_integer_literal] = ACTIONS(1517),
    [sym_binary_integer_literal] = ACTIONS(1517),
    [sym_decimal_floating_point_literal] = ACTIONS(1517),
    [sym_hex_floating_point_literal] = ACTIONS(1517),
    [sym_true] = ACTIONS(1517),
    [sym_false] = ACTIONS(1517),
    [sym_character_literal] = ACTIONS(1517),
    [anon_sym_DQUOTE] = ACTIONS(1517),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1517),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1517),
    [anon_sym_RBRACE] = ACTIONS(1517),
    [sym_null_literal] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1521),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_AMP_AMP] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PERCENT] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1537),
    [anon_sym_GT_GT] = ACTIONS(1537),
    [anon_sym_GT_GT_GT] = ACTIONS(1537),
    [anon_sym_in] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1539),
    [anon_sym_final] = ACTIONS(1517),
    [anon_sym_DASH_GT] = ACTIONS(1517),
    [anon_sym_QMARK] = ACTIONS(1541),
    [anon_sym_BANG] = ACTIONS(1517),
    [anon_sym_TILDE] = ACTIONS(1517),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [anon_sym_class] = ACTIONS(1517),
    [anon_sym_switch] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym_case] = ACTIONS(1517),
    [anon_sym_default] = ACTIONS(1517),
    [sym_underscore_pattern] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_expression_statement_token1] = ACTIONS(1515),
    [anon_sym_NULL] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1517),
    [anon_sym_do] = ACTIONS(1517),
    [anon_sym_while] = ACTIONS(1517),
    [anon_sym_break] = ACTIONS(1517),
    [anon_sym_continue] = ACTIONS(1517),
    [anon_sym_return] = ACTIONS(1517),
    [anon_sym_yield] = ACTIONS(1517),
    [anon_sym_synchronized] = ACTIONS(1517),
    [anon_sym_throw] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_if] = ACTIONS(1517),
    [anon_sym_else] = ACTIONS(1517),
    [anon_sym_for] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(1517),
    [anon_sym_open] = ACTIONS(1517),
    [anon_sym_module] = ACTIONS(1517),
    [anon_sym_static] = ACTIONS(1517),
    [anon_sym_with] = ACTIONS(1517),
    [anon_sym_package] = ACTIONS(1517),
    [anon_sym_import] = ACTIONS(1517),
    [anon_sym_enum] = ACTIONS(1517),
    [anon_sym_public] = ACTIONS(1517),
    [anon_sym_protected] = ACTIONS(1517),
    [anon_sym_private] = ACTIONS(1517),
    [anon_sym_abstract] = ACTIONS(1517),
    [anon_sym_strictfp] = ACTIONS(1517),
    [anon_sym_native] = ACTIONS(1517),
    [anon_sym_transient] = ACTIONS(1517),
    [anon_sym_volatile] = ACTIONS(1517),
    [anon_sym_sealed] = ACTIONS(1517),
    [anon_sym_non_DASHsealed] = ACTIONS(1517),
    [anon_sym_record] = ACTIONS(1517),
    [anon_sym_ATinterface] = ACTIONS(1517),
    [anon_sym_interface] = ACTIONS(1517),
    [anon_sym_byte] = ACTIONS(1517),
    [anon_sym_short] = ACTIONS(1517),
    [anon_sym_int] = ACTIONS(1517),
    [anon_sym_long] = ACTIONS(1517),
    [anon_sym_char] = ACTIONS(1517),
    [anon_sym_float] = ACTIONS(1517),
    [anon_sym_double] = ACTIONS(1517),
    [sym_boolean_type] = ACTIONS(1517),
    [sym_void_type] = ACTIONS(1517),
    [anon_sym_def] = ACTIONS(1517),
    [sym_this] = ACTIONS(1517),
    [sym_super] = ACTIONS(1517),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1545),
  },
  [365] = {
    [ts_builtin_sym_end] = ACTIONS(1547),
    [sym_identifier] = ACTIONS(1549),
    [sym_decimal_integer_literal] = ACTIONS(1549),
    [sym_hex_integer_literal] = ACTIONS(1549),
    [sym_octal_integer_literal] = ACTIONS(1549),
    [sym_binary_integer_literal] = ACTIONS(1549),
    [sym_decimal_floating_point_literal] = ACTIONS(1549),
    [sym_hex_floating_point_literal] = ACTIONS(1549),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [sym_character_literal] = ACTIONS(1549),
    [anon_sym_DQUOTE] = ACTIONS(1549),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1549),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1549),
    [anon_sym_RBRACE] = ACTIONS(1549),
    [sym_null_literal] = ACTIONS(1549),
    [anon_sym_LPAREN] = ACTIONS(1549),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1549),
    [anon_sym_LT_EQ] = ACTIONS(1549),
    [anon_sym_EQ_EQ] = ACTIONS(1549),
    [anon_sym_BANG_EQ] = ACTIONS(1549),
    [anon_sym_AMP_AMP] = ACTIONS(1549),
    [anon_sym_PIPE_PIPE] = ACTIONS(1549),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1549),
    [anon_sym_PERCENT] = ACTIONS(1549),
    [anon_sym_LT_LT] = ACTIONS(1549),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_GT_GT_GT] = ACTIONS(1549),
    [anon_sym_in] = ACTIONS(1549),
    [anon_sym_STAR_STAR] = ACTIONS(1549),
    [anon_sym_instanceof] = ACTIONS(1549),
    [anon_sym_final] = ACTIONS(1549),
    [anon_sym_DASH_GT] = ACTIONS(1549),
    [anon_sym_QMARK] = ACTIONS(1549),
    [anon_sym_BANG] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(1549),
    [anon_sym_PLUS_PLUS] = ACTIONS(1549),
    [anon_sym_DASH_DASH] = ACTIONS(1549),
    [anon_sym_new] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1549),
    [anon_sym_class] = ACTIONS(1549),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_LBRACE] = ACTIONS(1549),
    [anon_sym_case] = ACTIONS(1549),
    [anon_sym_default] = ACTIONS(1549),
    [sym_underscore_pattern] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1549),
    [aux_sym_expression_statement_token1] = ACTIONS(1547),
    [anon_sym_NULL] = ACTIONS(1549),
    [anon_sym_assert] = ACTIONS(1549),
    [anon_sym_do] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_break] = ACTIONS(1549),
    [anon_sym_continue] = ACTIONS(1549),
    [anon_sym_return] = ACTIONS(1549),
    [anon_sym_yield] = ACTIONS(1549),
    [anon_sym_synchronized] = ACTIONS(1549),
    [anon_sym_throw] = ACTIONS(1549),
    [anon_sym_try] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_else] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_AT] = ACTIONS(1549),
    [anon_sym_open] = ACTIONS(1549),
    [anon_sym_module] = ACTIONS(1549),
    [anon_sym_static] = ACTIONS(1549),
    [anon_sym_with] = ACTIONS(1549),
    [anon_sym_package] = ACTIONS(1549),
    [anon_sym_import] = ACTIONS(1549),
    [anon_sym_enum] = ACTIONS(1549),
    [anon_sym_public] = ACTIONS(1549),
    [anon_sym_protected] = ACTIONS(1549),
    [anon_sym_private] = ACTIONS(1549),
    [anon_sym_abstract] = ACTIONS(1549),
    [anon_sym_strictfp] = ACTIONS(1549),
    [anon_sym_native] = ACTIONS(1549),
    [anon_sym_transient] = ACTIONS(1549),
    [anon_sym_volatile] = ACTIONS(1549),
    [anon_sym_sealed] = ACTIONS(1549),
    [anon_sym_non_DASHsealed] = ACTIONS(1549),
    [anon_sym_record] = ACTIONS(1549),
    [anon_sym_ATinterface] = ACTIONS(1549),
    [anon_sym_interface] = ACTIONS(1549),
    [anon_sym_byte] = ACTIONS(1549),
    [anon_sym_short] = ACTIONS(1549),
    [anon_sym_int] = ACTIONS(1549),
    [anon_sym_long] = ACTIONS(1549),
    [anon_sym_char] = ACTIONS(1549),
    [anon_sym_float] = ACTIONS(1549),
    [anon_sym_double] = ACTIONS(1549),
    [sym_boolean_type] = ACTIONS(1549),
    [sym_void_type] = ACTIONS(1549),
    [anon_sym_def] = ACTIONS(1549),
    [sym_this] = ACTIONS(1549),
    [sym_super] = ACTIONS(1549),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1549),
  },
  [366] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1517),
    [sym_decimal_integer_literal] = ACTIONS(1517),
    [sym_hex_integer_literal] = ACTIONS(1517),
    [sym_octal_integer_literal] = ACTIONS(1517),
    [sym_binary_integer_literal] = ACTIONS(1517),
    [sym_decimal_floating_point_literal] = ACTIONS(1517),
    [sym_hex_floating_point_literal] = ACTIONS(1517),
    [sym_true] = ACTIONS(1517),
    [sym_false] = ACTIONS(1517),
    [sym_character_literal] = ACTIONS(1517),
    [anon_sym_DQUOTE] = ACTIONS(1517),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1517),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1517),
    [anon_sym_RBRACE] = ACTIONS(1517),
    [sym_null_literal] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1517),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1517),
    [anon_sym_LT_EQ] = ACTIONS(1517),
    [anon_sym_EQ_EQ] = ACTIONS(1517),
    [anon_sym_BANG_EQ] = ACTIONS(1517),
    [anon_sym_AMP_AMP] = ACTIONS(1517),
    [anon_sym_PIPE_PIPE] = ACTIONS(1517),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1517),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1517),
    [anon_sym_PERCENT] = ACTIONS(1517),
    [anon_sym_LT_LT] = ACTIONS(1517),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_GT_GT_GT] = ACTIONS(1517),
    [anon_sym_in] = ACTIONS(1517),
    [anon_sym_STAR_STAR] = ACTIONS(1517),
    [anon_sym_instanceof] = ACTIONS(1517),
    [anon_sym_final] = ACTIONS(1517),
    [anon_sym_DASH_GT] = ACTIONS(1517),
    [anon_sym_QMARK] = ACTIONS(1517),
    [anon_sym_BANG] = ACTIONS(1517),
    [anon_sym_TILDE] = ACTIONS(1517),
    [anon_sym_PLUS_PLUS] = ACTIONS(1517),
    [anon_sym_DASH_DASH] = ACTIONS(1517),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1517),
    [anon_sym_class] = ACTIONS(1517),
    [anon_sym_switch] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1517),
    [anon_sym_case] = ACTIONS(1517),
    [anon_sym_default] = ACTIONS(1517),
    [sym_underscore_pattern] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1517),
    [aux_sym_expression_statement_token1] = ACTIONS(1515),
    [anon_sym_NULL] = ACTIONS(1517),
    [anon_sym_assert] = ACTIONS(1517),
    [anon_sym_do] = ACTIONS(1517),
    [anon_sym_while] = ACTIONS(1517),
    [anon_sym_break] = ACTIONS(1517),
    [anon_sym_continue] = ACTIONS(1517),
    [anon_sym_return] = ACTIONS(1517),
    [anon_sym_yield] = ACTIONS(1517),
    [anon_sym_synchronized] = ACTIONS(1517),
    [anon_sym_throw] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_if] = ACTIONS(1517),
    [anon_sym_else] = ACTIONS(1517),
    [anon_sym_for] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(1517),
    [anon_sym_open] = ACTIONS(1517),
    [anon_sym_module] = ACTIONS(1517),
    [anon_sym_static] = ACTIONS(1517),
    [anon_sym_with] = ACTIONS(1517),
    [anon_sym_package] = ACTIONS(1517),
    [anon_sym_import] = ACTIONS(1517),
    [anon_sym_enum] = ACTIONS(1517),
    [anon_sym_public] = ACTIONS(1517),
    [anon_sym_protected] = ACTIONS(1517),
    [anon_sym_private] = ACTIONS(1517),
    [anon_sym_abstract] = ACTIONS(1517),
    [anon_sym_strictfp] = ACTIONS(1517),
    [anon_sym_native] = ACTIONS(1517),
    [anon_sym_transient] = ACTIONS(1517),
    [anon_sym_volatile] = ACTIONS(1517),
    [anon_sym_sealed] = ACTIONS(1517),
    [anon_sym_non_DASHsealed] = ACTIONS(1517),
    [anon_sym_record] = ACTIONS(1517),
    [anon_sym_ATinterface] = ACTIONS(1517),
    [anon_sym_interface] = ACTIONS(1517),
    [anon_sym_byte] = ACTIONS(1517),
    [anon_sym_short] = ACTIONS(1517),
    [anon_sym_int] = ACTIONS(1517),
    [anon_sym_long] = ACTIONS(1517),
    [anon_sym_char] = ACTIONS(1517),
    [anon_sym_float] = ACTIONS(1517),
    [anon_sym_double] = ACTIONS(1517),
    [sym_boolean_type] = ACTIONS(1517),
    [sym_void_type] = ACTIONS(1517),
    [anon_sym_def] = ACTIONS(1517),
    [sym_this] = ACTIONS(1517),
    [sym_super] = ACTIONS(1517),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1517),
  },
  [367] = {
    [ts_builtin_sym_end] = ACTIONS(1551),
    [sym_identifier] = ACTIONS(1553),
    [sym_decimal_integer_literal] = ACTIONS(1553),
    [sym_hex_integer_literal] = ACTIONS(1553),
    [sym_octal_integer_literal] = ACTIONS(1553),
    [sym_binary_integer_literal] = ACTIONS(1553),
    [sym_decimal_floating_point_literal] = ACTIONS(1553),
    [sym_hex_floating_point_literal] = ACTIONS(1553),
    [sym_true] = ACTIONS(1553),
    [sym_false] = ACTIONS(1553),
    [sym_character_literal] = ACTIONS(1553),
    [anon_sym_DQUOTE] = ACTIONS(1553),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1553),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1553),
    [anon_sym_RBRACE] = ACTIONS(1553),
    [sym_null_literal] = ACTIONS(1553),
    [anon_sym_LPAREN] = ACTIONS(1553),
    [anon_sym_AMP] = ACTIONS(1553),
    [anon_sym_GT] = ACTIONS(1553),
    [anon_sym_LT] = ACTIONS(1553),
    [anon_sym_GT_EQ] = ACTIONS(1553),
    [anon_sym_LT_EQ] = ACTIONS(1553),
    [anon_sym_EQ_EQ] = ACTIONS(1553),
    [anon_sym_BANG_EQ] = ACTIONS(1553),
    [anon_sym_AMP_AMP] = ACTIONS(1553),
    [anon_sym_PIPE_PIPE] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_STAR] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(1553),
    [anon_sym_PIPE] = ACTIONS(1553),
    [anon_sym_CARET] = ACTIONS(1553),
    [anon_sym_PERCENT] = ACTIONS(1553),
    [anon_sym_LT_LT] = ACTIONS(1553),
    [anon_sym_GT_GT] = ACTIONS(1553),
    [anon_sym_GT_GT_GT] = ACTIONS(1553),
    [anon_sym_in] = ACTIONS(1553),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1553),
    [anon_sym_final] = ACTIONS(1553),
    [anon_sym_DASH_GT] = ACTIONS(1553),
    [anon_sym_QMARK] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1553),
    [anon_sym_TILDE] = ACTIONS(1553),
    [anon_sym_PLUS_PLUS] = ACTIONS(1553),
    [anon_sym_DASH_DASH] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1553),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_class] = ACTIONS(1553),
    [anon_sym_switch] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1553),
    [anon_sym_case] = ACTIONS(1553),
    [anon_sym_default] = ACTIONS(1553),
    [sym_underscore_pattern] = ACTIONS(1553),
    [anon_sym_SEMI] = ACTIONS(1553),
    [aux_sym_expression_statement_token1] = ACTIONS(1551),
    [anon_sym_NULL] = ACTIONS(1553),
    [anon_sym_assert] = ACTIONS(1553),
    [anon_sym_do] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_break] = ACTIONS(1553),
    [anon_sym_continue] = ACTIONS(1553),
    [anon_sym_return] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1553),
    [anon_sym_synchronized] = ACTIONS(1553),
    [anon_sym_throw] = ACTIONS(1553),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_else] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_AT] = ACTIONS(1553),
    [anon_sym_open] = ACTIONS(1553),
    [anon_sym_module] = ACTIONS(1553),
    [anon_sym_static] = ACTIONS(1553),
    [anon_sym_with] = ACTIONS(1553),
    [anon_sym_package] = ACTIONS(1553),
    [anon_sym_import] = ACTIONS(1553),
    [anon_sym_enum] = ACTIONS(1553),
    [anon_sym_public] = ACTIONS(1553),
    [anon_sym_protected] = ACTIONS(1553),
    [anon_sym_private] = ACTIONS(1553),
    [anon_sym_abstract] = ACTIONS(1553),
    [anon_sym_strictfp] = ACTIONS(1553),
    [anon_sym_native] = ACTIONS(1553),
    [anon_sym_transient] = ACTIONS(1553),
    [anon_sym_volatile] = ACTIONS(1553),
    [anon_sym_sealed] = ACTIONS(1553),
    [anon_sym_non_DASHsealed] = ACTIONS(1553),
    [anon_sym_record] = ACTIONS(1553),
    [anon_sym_ATinterface] = ACTIONS(1553),
    [anon_sym_interface] = ACTIONS(1553),
    [anon_sym_byte] = ACTIONS(1553),
    [anon_sym_short] = ACTIONS(1553),
    [anon_sym_int] = ACTIONS(1553),
    [anon_sym_long] = ACTIONS(1553),
    [anon_sym_char] = ACTIONS(1553),
    [anon_sym_float] = ACTIONS(1553),
    [anon_sym_double] = ACTIONS(1553),
    [sym_boolean_type] = ACTIONS(1553),
    [sym_void_type] = ACTIONS(1553),
    [anon_sym_def] = ACTIONS(1553),
    [sym_this] = ACTIONS(1553),
    [sym_super] = ACTIONS(1553),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1553),
  },
  [368] = {
    [ts_builtin_sym_end] = ACTIONS(1116),
    [sym_identifier] = ACTIONS(1118),
    [sym_decimal_integer_literal] = ACTIONS(1118),
    [sym_hex_integer_literal] = ACTIONS(1118),
    [sym_octal_integer_literal] = ACTIONS(1118),
    [sym_binary_integer_literal] = ACTIONS(1116),
    [sym_decimal_floating_point_literal] = ACTIONS(1116),
    [sym_hex_floating_point_literal] = ACTIONS(1118),
    [sym_true] = ACTIONS(1118),
    [sym_false] = ACTIONS(1118),
    [sym_character_literal] = ACTIONS(1116),
    [anon_sym_DQUOTE] = ACTIONS(1118),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1116),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1116),
    [anon_sym_RBRACE] = ACTIONS(1116),
    [sym_null_literal] = ACTIONS(1118),
    [anon_sym_LPAREN] = ACTIONS(1116),
    [anon_sym_AMP] = ACTIONS(1118),
    [anon_sym_GT] = ACTIONS(1118),
    [anon_sym_LT] = ACTIONS(1118),
    [anon_sym_GT_EQ] = ACTIONS(1116),
    [anon_sym_LT_EQ] = ACTIONS(1116),
    [anon_sym_EQ_EQ] = ACTIONS(1116),
    [anon_sym_BANG_EQ] = ACTIONS(1116),
    [anon_sym_AMP_AMP] = ACTIONS(1116),
    [anon_sym_PIPE_PIPE] = ACTIONS(1116),
    [anon_sym_PLUS] = ACTIONS(1118),
    [anon_sym_DASH] = ACTIONS(1118),
    [anon_sym_STAR] = ACTIONS(1118),
    [anon_sym_SLASH] = ACTIONS(1118),
    [anon_sym_PIPE] = ACTIONS(1118),
    [anon_sym_CARET] = ACTIONS(1116),
    [anon_sym_PERCENT] = ACTIONS(1116),
    [anon_sym_LT_LT] = ACTIONS(1116),
    [anon_sym_GT_GT] = ACTIONS(1118),
    [anon_sym_GT_GT_GT] = ACTIONS(1116),
    [anon_sym_in] = ACTIONS(1118),
    [anon_sym_STAR_STAR] = ACTIONS(1116),
    [anon_sym_instanceof] = ACTIONS(1118),
    [anon_sym_final] = ACTIONS(1118),
    [anon_sym_DASH_GT] = ACTIONS(1116),
    [anon_sym_COMMA] = ACTIONS(1116),
    [anon_sym_QMARK] = ACTIONS(1116),
    [anon_sym_COLON] = ACTIONS(1118),
    [anon_sym_BANG] = ACTIONS(1118),
    [anon_sym_TILDE] = ACTIONS(1116),
    [anon_sym_PLUS_PLUS] = ACTIONS(1116),
    [anon_sym_DASH_DASH] = ACTIONS(1116),
    [anon_sym_new] = ACTIONS(1118),
    [anon_sym_LBRACK] = ACTIONS(1116),
    [anon_sym_DOT] = ACTIONS(1118),
    [anon_sym_class] = ACTIONS(1118),
    [anon_sym_COLON_COLON] = ACTIONS(1116),
    [anon_sym_switch] = ACTIONS(1118),
    [anon_sym_LBRACE] = ACTIONS(1116),
    [anon_sym_default] = ACTIONS(1118),
    [sym_underscore_pattern] = ACTIONS(1118),
    [anon_sym_SEMI] = ACTIONS(1116),
    [anon_sym_assert] = ACTIONS(1118),
    [anon_sym_do] = ACTIONS(1118),
    [anon_sym_while] = ACTIONS(1118),
    [anon_sym_break] = ACTIONS(1118),
    [anon_sym_continue] = ACTIONS(1118),
    [anon_sym_return] = ACTIONS(1118),
    [anon_sym_yield] = ACTIONS(1118),
    [anon_sym_synchronized] = ACTIONS(1118),
    [anon_sym_throw] = ACTIONS(1118),
    [anon_sym_try] = ACTIONS(1118),
    [anon_sym_if] = ACTIONS(1118),
    [anon_sym_for] = ACTIONS(1118),
    [anon_sym_AT] = ACTIONS(1118),
    [anon_sym_open] = ACTIONS(1118),
    [anon_sym_module] = ACTIONS(1118),
    [anon_sym_static] = ACTIONS(1118),
    [anon_sym_with] = ACTIONS(1118),
    [anon_sym_package] = ACTIONS(1118),
    [anon_sym_import] = ACTIONS(1118),
    [anon_sym_enum] = ACTIONS(1118),
    [anon_sym_public] = ACTIONS(1118),
    [anon_sym_protected] = ACTIONS(1118),
    [anon_sym_private] = ACTIONS(1118),
    [anon_sym_abstract] = ACTIONS(1118),
    [anon_sym_strictfp] = ACTIONS(1118),
    [anon_sym_native] = ACTIONS(1118),
    [anon_sym_transient] = ACTIONS(1118),
    [anon_sym_volatile] = ACTIONS(1118),
    [anon_sym_sealed] = ACTIONS(1118),
    [anon_sym_non_DASHsealed] = ACTIONS(1116),
    [anon_sym_record] = ACTIONS(1118),
    [anon_sym_ATinterface] = ACTIONS(1116),
    [anon_sym_interface] = ACTIONS(1118),
    [anon_sym_byte] = ACTIONS(1118),
    [anon_sym_short] = ACTIONS(1118),
    [anon_sym_int] = ACTIONS(1118),
    [anon_sym_long] = ACTIONS(1118),
    [anon_sym_char] = ACTIONS(1118),
    [anon_sym_float] = ACTIONS(1118),
    [anon_sym_double] = ACTIONS(1118),
    [sym_boolean_type] = ACTIONS(1118),
    [sym_void_type] = ACTIONS(1118),
    [anon_sym_def] = ACTIONS(1118),
    [sym_this] = ACTIONS(1118),
    [sym_super] = ACTIONS(1118),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1116),
  },
  [369] = {
    [ts_builtin_sym_end] = ACTIONS(1551),
    [sym_identifier] = ACTIONS(1553),
    [sym_decimal_integer_literal] = ACTIONS(1553),
    [sym_hex_integer_literal] = ACTIONS(1553),
    [sym_octal_integer_literal] = ACTIONS(1553),
    [sym_binary_integer_literal] = ACTIONS(1553),
    [sym_decimal_floating_point_literal] = ACTIONS(1553),
    [sym_hex_floating_point_literal] = ACTIONS(1553),
    [sym_true] = ACTIONS(1553),
    [sym_false] = ACTIONS(1553),
    [sym_character_literal] = ACTIONS(1553),
    [anon_sym_DQUOTE] = ACTIONS(1553),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1553),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1553),
    [anon_sym_RBRACE] = ACTIONS(1553),
    [sym_null_literal] = ACTIONS(1553),
    [anon_sym_LPAREN] = ACTIONS(1553),
    [anon_sym_AMP] = ACTIONS(1553),
    [anon_sym_GT] = ACTIONS(1553),
    [anon_sym_LT] = ACTIONS(1553),
    [anon_sym_GT_EQ] = ACTIONS(1553),
    [anon_sym_LT_EQ] = ACTIONS(1553),
    [anon_sym_EQ_EQ] = ACTIONS(1553),
    [anon_sym_BANG_EQ] = ACTIONS(1553),
    [anon_sym_AMP_AMP] = ACTIONS(1553),
    [anon_sym_PIPE_PIPE] = ACTIONS(1553),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_STAR] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(1553),
    [anon_sym_PIPE] = ACTIONS(1553),
    [anon_sym_CARET] = ACTIONS(1553),
    [anon_sym_PERCENT] = ACTIONS(1553),
    [anon_sym_LT_LT] = ACTIONS(1553),
    [anon_sym_GT_GT] = ACTIONS(1553),
    [anon_sym_GT_GT_GT] = ACTIONS(1553),
    [anon_sym_in] = ACTIONS(1553),
    [anon_sym_STAR_STAR] = ACTIONS(1553),
    [anon_sym_instanceof] = ACTIONS(1553),
    [anon_sym_final] = ACTIONS(1553),
    [anon_sym_DASH_GT] = ACTIONS(1553),
    [anon_sym_QMARK] = ACTIONS(1553),
    [anon_sym_BANG] = ACTIONS(1553),
    [anon_sym_TILDE] = ACTIONS(1553),
    [anon_sym_PLUS_PLUS] = ACTIONS(1553),
    [anon_sym_DASH_DASH] = ACTIONS(1553),
    [anon_sym_new] = ACTIONS(1553),
    [anon_sym_LBRACK] = ACTIONS(1553),
    [anon_sym_class] = ACTIONS(1553),
    [anon_sym_switch] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1553),
    [anon_sym_case] = ACTIONS(1553),
    [anon_sym_default] = ACTIONS(1553),
    [sym_underscore_pattern] = ACTIONS(1553),
    [anon_sym_SEMI] = ACTIONS(1553),
    [aux_sym_expression_statement_token1] = ACTIONS(1551),
    [anon_sym_NULL] = ACTIONS(1553),
    [anon_sym_assert] = ACTIONS(1553),
    [anon_sym_do] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_break] = ACTIONS(1553),
    [anon_sym_continue] = ACTIONS(1553),
    [anon_sym_return] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1553),
    [anon_sym_synchronized] = ACTIONS(1553),
    [anon_sym_throw] = ACTIONS(1553),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_else] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_AT] = ACTIONS(1553),
    [anon_sym_open] = ACTIONS(1553),
    [anon_sym_module] = ACTIONS(1553),
    [anon_sym_static] = ACTIONS(1553),
    [anon_sym_with] = ACTIONS(1553),
    [anon_sym_package] = ACTIONS(1553),
    [anon_sym_import] = ACTIONS(1553),
    [anon_sym_enum] = ACTIONS(1553),
    [anon_sym_public] = ACTIONS(1553),
    [anon_sym_protected] = ACTIONS(1553),
    [anon_sym_private] = ACTIONS(1553),
    [anon_sym_abstract] = ACTIONS(1553),
    [anon_sym_strictfp] = ACTIONS(1553),
    [anon_sym_native] = ACTIONS(1553),
    [anon_sym_transient] = ACTIONS(1553),
    [anon_sym_volatile] = ACTIONS(1553),
    [anon_sym_sealed] = ACTIONS(1553),
    [anon_sym_non_DASHsealed] = ACTIONS(1553),
    [anon_sym_record] = ACTIONS(1553),
    [anon_sym_ATinterface] = ACTIONS(1553),
    [anon_sym_interface] = ACTIONS(1553),
    [anon_sym_byte] = ACTIONS(1553),
    [anon_sym_short] = ACTIONS(1553),
    [anon_sym_int] = ACTIONS(1553),
    [anon_sym_long] = ACTIONS(1553),
    [anon_sym_char] = ACTIONS(1553),
    [anon_sym_float] = ACTIONS(1553),
    [anon_sym_double] = ACTIONS(1553),
    [sym_boolean_type] = ACTIONS(1553),
    [sym_void_type] = ACTIONS(1553),
    [anon_sym_def] = ACTIONS(1553),
    [sym_this] = ACTIONS(1553),
    [sym_super] = ACTIONS(1553),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1553),
  },
  [370] = {
    [ts_builtin_sym_end] = ACTIONS(1120),
    [sym_identifier] = ACTIONS(1122),
    [sym_decimal_integer_literal] = ACTIONS(1122),
    [sym_hex_integer_literal] = ACTIONS(1122),
    [sym_octal_integer_literal] = ACTIONS(1122),
    [sym_binary_integer_literal] = ACTIONS(1120),
    [sym_decimal_floating_point_literal] = ACTIONS(1120),
    [sym_hex_floating_point_literal] = ACTIONS(1122),
    [sym_true] = ACTIONS(1122),
    [sym_false] = ACTIONS(1122),
    [sym_character_literal] = ACTIONS(1120),
    [anon_sym_DQUOTE] = ACTIONS(1122),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1120),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1120),
    [anon_sym_RBRACE] = ACTIONS(1120),
    [sym_null_literal] = ACTIONS(1122),
    [anon_sym_LPAREN] = ACTIONS(1120),
    [anon_sym_AMP] = ACTIONS(1122),
    [anon_sym_GT] = ACTIONS(1122),
    [anon_sym_LT] = ACTIONS(1122),
    [anon_sym_GT_EQ] = ACTIONS(1120),
    [anon_sym_LT_EQ] = ACTIONS(1120),
    [anon_sym_EQ_EQ] = ACTIONS(1120),
    [anon_sym_BANG_EQ] = ACTIONS(1120),
    [anon_sym_AMP_AMP] = ACTIONS(1120),
    [anon_sym_PIPE_PIPE] = ACTIONS(1120),
    [anon_sym_PLUS] = ACTIONS(1122),
    [anon_sym_DASH] = ACTIONS(1122),
    [anon_sym_STAR] = ACTIONS(1122),
    [anon_sym_SLASH] = ACTIONS(1122),
    [anon_sym_PIPE] = ACTIONS(1122),
    [anon_sym_CARET] = ACTIONS(1120),
    [anon_sym_PERCENT] = ACTIONS(1120),
    [anon_sym_LT_LT] = ACTIONS(1120),
    [anon_sym_GT_GT] = ACTIONS(1122),
    [anon_sym_GT_GT_GT] = ACTIONS(1120),
    [anon_sym_in] = ACTIONS(1122),
    [anon_sym_STAR_STAR] = ACTIONS(1120),
    [anon_sym_instanceof] = ACTIONS(1122),
    [anon_sym_final] = ACTIONS(1122),
    [anon_sym_DASH_GT] = ACTIONS(1120),
    [anon_sym_COMMA] = ACTIONS(1120),
    [anon_sym_QMARK] = ACTIONS(1120),
    [anon_sym_COLON] = ACTIONS(1122),
    [anon_sym_BANG] = ACTIONS(1122),
    [anon_sym_TILDE] = ACTIONS(1120),
    [anon_sym_PLUS_PLUS] = ACTIONS(1120),
    [anon_sym_DASH_DASH] = ACTIONS(1120),
    [anon_sym_new] = ACTIONS(1122),
    [anon_sym_LBRACK] = ACTIONS(1120),
    [anon_sym_DOT] = ACTIONS(1122),
    [anon_sym_class] = ACTIONS(1122),
    [anon_sym_COLON_COLON] = ACTIONS(1120),
    [anon_sym_switch] = ACTIONS(1122),
    [anon_sym_LBRACE] = ACTIONS(1120),
    [anon_sym_default] = ACTIONS(1122),
    [sym_underscore_pattern] = ACTIONS(1122),
    [anon_sym_SEMI] = ACTIONS(1120),
    [anon_sym_assert] = ACTIONS(1122),
    [anon_sym_do] = ACTIONS(1122),
    [anon_sym_while] = ACTIONS(1122),
    [anon_sym_break] = ACTIONS(1122),
    [anon_sym_continue] = ACTIONS(1122),
    [anon_sym_return] = ACTIONS(1122),
    [anon_sym_yield] = ACTIONS(1122),
    [anon_sym_synchronized] = ACTIONS(1122),
    [anon_sym_throw] = ACTIONS(1122),
    [anon_sym_try] = ACTIONS(1122),
    [anon_sym_if] = ACTIONS(1122),
    [anon_sym_for] = ACTIONS(1122),
    [anon_sym_AT] = ACTIONS(1122),
    [anon_sym_open] = ACTIONS(1122),
    [anon_sym_module] = ACTIONS(1122),
    [anon_sym_static] = ACTIONS(1122),
    [anon_sym_with] = ACTIONS(1122),
    [anon_sym_package] = ACTIONS(1122),
    [anon_sym_import] = ACTIONS(1122),
    [anon_sym_enum] = ACTIONS(1122),
    [anon_sym_public] = ACTIONS(1122),
    [anon_sym_protected] = ACTIONS(1122),
    [anon_sym_private] = ACTIONS(1122),
    [anon_sym_abstract] = ACTIONS(1122),
    [anon_sym_strictfp] = ACTIONS(1122),
    [anon_sym_native] = ACTIONS(1122),
    [anon_sym_transient] = ACTIONS(1122),
    [anon_sym_volatile] = ACTIONS(1122),
    [anon_sym_sealed] = ACTIONS(1122),
    [anon_sym_non_DASHsealed] = ACTIONS(1120),
    [anon_sym_record] = ACTIONS(1122),
    [anon_sym_ATinterface] = ACTIONS(1120),
    [anon_sym_interface] = ACTIONS(1122),
    [anon_sym_byte] = ACTIONS(1122),
    [anon_sym_short] = ACTIONS(1122),
    [anon_sym_int] = ACTIONS(1122),
    [anon_sym_long] = ACTIONS(1122),
    [anon_sym_char] = ACTIONS(1122),
    [anon_sym_float] = ACTIONS(1122),
    [anon_sym_double] = ACTIONS(1122),
    [sym_boolean_type] = ACTIONS(1122),
    [sym_void_type] = ACTIONS(1122),
    [anon_sym_def] = ACTIONS(1122),
    [sym_this] = ACTIONS(1122),
    [sym_super] = ACTIONS(1122),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1120),
  },
  [371] = {
    [ts_builtin_sym_end] = ACTIONS(1124),
    [sym_identifier] = ACTIONS(1126),
    [sym_decimal_integer_literal] = ACTIONS(1126),
    [sym_hex_integer_literal] = ACTIONS(1126),
    [sym_octal_integer_literal] = ACTIONS(1126),
    [sym_binary_integer_literal] = ACTIONS(1124),
    [sym_decimal_floating_point_literal] = ACTIONS(1124),
    [sym_hex_floating_point_literal] = ACTIONS(1126),
    [sym_true] = ACTIONS(1126),
    [sym_false] = ACTIONS(1126),
    [sym_character_literal] = ACTIONS(1124),
    [anon_sym_DQUOTE] = ACTIONS(1126),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1124),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1124),
    [anon_sym_RBRACE] = ACTIONS(1124),
    [sym_null_literal] = ACTIONS(1126),
    [anon_sym_LPAREN] = ACTIONS(1124),
    [anon_sym_AMP] = ACTIONS(1126),
    [anon_sym_GT] = ACTIONS(1126),
    [anon_sym_LT] = ACTIONS(1126),
    [anon_sym_GT_EQ] = ACTIONS(1124),
    [anon_sym_LT_EQ] = ACTIONS(1124),
    [anon_sym_EQ_EQ] = ACTIONS(1124),
    [anon_sym_BANG_EQ] = ACTIONS(1124),
    [anon_sym_AMP_AMP] = ACTIONS(1124),
    [anon_sym_PIPE_PIPE] = ACTIONS(1124),
    [anon_sym_PLUS] = ACTIONS(1126),
    [anon_sym_DASH] = ACTIONS(1126),
    [anon_sym_STAR] = ACTIONS(1126),
    [anon_sym_SLASH] = ACTIONS(1126),
    [anon_sym_PIPE] = ACTIONS(1126),
    [anon_sym_CARET] = ACTIONS(1124),
    [anon_sym_PERCENT] = ACTIONS(1124),
    [anon_sym_LT_LT] = ACTIONS(1124),
    [anon_sym_GT_GT] = ACTIONS(1126),
    [anon_sym_GT_GT_GT] = ACTIONS(1124),
    [anon_sym_in] = ACTIONS(1126),
    [anon_sym_STAR_STAR] = ACTIONS(1124),
    [anon_sym_instanceof] = ACTIONS(1126),
    [anon_sym_final] = ACTIONS(1126),
    [anon_sym_DASH_GT] = ACTIONS(1124),
    [anon_sym_COMMA] = ACTIONS(1124),
    [anon_sym_QMARK] = ACTIONS(1124),
    [anon_sym_COLON] = ACTIONS(1126),
    [anon_sym_BANG] = ACTIONS(1126),
    [anon_sym_TILDE] = ACTIONS(1124),
    [anon_sym_PLUS_PLUS] = ACTIONS(1124),
    [anon_sym_DASH_DASH] = ACTIONS(1124),
    [anon_sym_new] = ACTIONS(1126),
    [anon_sym_LBRACK] = ACTIONS(1124),
    [anon_sym_DOT] = ACTIONS(1126),
    [anon_sym_class] = ACTIONS(1126),
    [anon_sym_COLON_COLON] = ACTIONS(1124),
    [anon_sym_switch] = ACTIONS(1126),
    [anon_sym_LBRACE] = ACTIONS(1124),
    [anon_sym_default] = ACTIONS(1126),
    [sym_underscore_pattern] = ACTIONS(1126),
    [anon_sym_SEMI] = ACTIONS(1124),
    [anon_sym_assert] = ACTIONS(1126),
    [anon_sym_do] = ACTIONS(1126),
    [anon_sym_while] = ACTIONS(1126),
    [anon_sym_break] = ACTIONS(1126),
    [anon_sym_continue] = ACTIONS(1126),
    [anon_sym_return] = ACTIONS(1126),
    [anon_sym_yield] = ACTIONS(1126),
    [anon_sym_synchronized] = ACTIONS(1126),
    [anon_sym_throw] = ACTIONS(1126),
    [anon_sym_try] = ACTIONS(1126),
    [anon_sym_if] = ACTIONS(1126),
    [anon_sym_for] = ACTIONS(1126),
    [anon_sym_AT] = ACTIONS(1126),
    [anon_sym_open] = ACTIONS(1126),
    [anon_sym_module] = ACTIONS(1126),
    [anon_sym_static] = ACTIONS(1126),
    [anon_sym_with] = ACTIONS(1126),
    [anon_sym_package] = ACTIONS(1126),
    [anon_sym_import] = ACTIONS(1126),
    [anon_sym_enum] = ACTIONS(1126),
    [anon_sym_public] = ACTIONS(1126),
    [anon_sym_protected] = ACTIONS(1126),
    [anon_sym_private] = ACTIONS(1126),
    [anon_sym_abstract] = ACTIONS(1126),
    [anon_sym_strictfp] = ACTIONS(1126),
    [anon_sym_native] = ACTIONS(1126),
    [anon_sym_transient] = ACTIONS(1126),
    [anon_sym_volatile] = ACTIONS(1126),
    [anon_sym_sealed] = ACTIONS(1126),
    [anon_sym_non_DASHsealed] = ACTIONS(1124),
    [anon_sym_record] = ACTIONS(1126),
    [anon_sym_ATinterface] = ACTIONS(1124),
    [anon_sym_interface] = ACTIONS(1126),
    [anon_sym_byte] = ACTIONS(1126),
    [anon_sym_short] = ACTIONS(1126),
    [anon_sym_int] = ACTIONS(1126),
    [anon_sym_long] = ACTIONS(1126),
    [anon_sym_char] = ACTIONS(1126),
    [anon_sym_float] = ACTIONS(1126),
    [anon_sym_double] = ACTIONS(1126),
    [sym_boolean_type] = ACTIONS(1126),
    [sym_void_type] = ACTIONS(1126),
    [anon_sym_def] = ACTIONS(1126),
    [sym_this] = ACTIONS(1126),
    [sym_super] = ACTIONS(1126),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1124),
  },
  [372] = {
    [sym_closure] = STATE(435),
    [ts_builtin_sym_end] = ACTIONS(1100),
    [sym_identifier] = ACTIONS(1102),
    [sym_decimal_integer_literal] = ACTIONS(1102),
    [sym_hex_integer_literal] = ACTIONS(1102),
    [sym_octal_integer_literal] = ACTIONS(1102),
    [sym_binary_integer_literal] = ACTIONS(1100),
    [sym_decimal_floating_point_literal] = ACTIONS(1100),
    [sym_hex_floating_point_literal] = ACTIONS(1102),
    [sym_true] = ACTIONS(1102),
    [sym_false] = ACTIONS(1102),
    [sym_character_literal] = ACTIONS(1100),
    [anon_sym_DQUOTE] = ACTIONS(1102),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1100),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1100),
    [anon_sym_RBRACE] = ACTIONS(1100),
    [sym_null_literal] = ACTIONS(1102),
    [anon_sym_LPAREN] = ACTIONS(1100),
    [anon_sym_AMP] = ACTIONS(1102),
    [anon_sym_GT] = ACTIONS(1102),
    [anon_sym_LT] = ACTIONS(1102),
    [anon_sym_GT_EQ] = ACTIONS(1100),
    [anon_sym_LT_EQ] = ACTIONS(1100),
    [anon_sym_EQ_EQ] = ACTIONS(1100),
    [anon_sym_BANG_EQ] = ACTIONS(1100),
    [anon_sym_AMP_AMP] = ACTIONS(1100),
    [anon_sym_PIPE_PIPE] = ACTIONS(1100),
    [anon_sym_PLUS] = ACTIONS(1102),
    [anon_sym_DASH] = ACTIONS(1102),
    [anon_sym_STAR] = ACTIONS(1102),
    [anon_sym_SLASH] = ACTIONS(1102),
    [anon_sym_PIPE] = ACTIONS(1102),
    [anon_sym_CARET] = ACTIONS(1100),
    [anon_sym_PERCENT] = ACTIONS(1100),
    [anon_sym_LT_LT] = ACTIONS(1100),
    [anon_sym_GT_GT] = ACTIONS(1102),
    [anon_sym_GT_GT_GT] = ACTIONS(1100),
    [anon_sym_in] = ACTIONS(1102),
    [anon_sym_STAR_STAR] = ACTIONS(1100),
    [anon_sym_instanceof] = ACTIONS(1102),
    [anon_sym_final] = ACTIONS(1102),
    [anon_sym_DASH_GT] = ACTIONS(1100),
    [anon_sym_COMMA] = ACTIONS(1100),
    [anon_sym_QMARK] = ACTIONS(1100),
    [anon_sym_BANG] = ACTIONS(1102),
    [anon_sym_TILDE] = ACTIONS(1100),
    [anon_sym_PLUS_PLUS] = ACTIONS(1100),
    [anon_sym_DASH_DASH] = ACTIONS(1100),
    [anon_sym_new] = ACTIONS(1102),
    [anon_sym_LBRACK] = ACTIONS(1100),
    [anon_sym_DOT] = ACTIONS(1102),
    [anon_sym_class] = ACTIONS(1102),
    [anon_sym_COLON_COLON] = ACTIONS(1100),
    [anon_sym_switch] = ACTIONS(1102),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_default] = ACTIONS(1102),
    [sym_underscore_pattern] = ACTIONS(1102),
    [anon_sym_SEMI] = ACTIONS(1100),
    [anon_sym_assert] = ACTIONS(1102),
    [anon_sym_do] = ACTIONS(1102),
    [anon_sym_while] = ACTIONS(1102),
    [anon_sym_break] = ACTIONS(1102),
    [anon_sym_continue] = ACTIONS(1102),
    [anon_sym_return] = ACTIONS(1102),
    [anon_sym_yield] = ACTIONS(1102),
    [anon_sym_synchronized] = ACTIONS(1102),
    [anon_sym_throw] = ACTIONS(1102),
    [anon_sym_try] = ACTIONS(1102),
    [anon_sym_if] = ACTIONS(1102),
    [anon_sym_for] = ACTIONS(1102),
    [anon_sym_AT] = ACTIONS(1102),
    [anon_sym_open] = ACTIONS(1102),
    [anon_sym_module] = ACTIONS(1102),
    [anon_sym_static] = ACTIONS(1102),
    [anon_sym_with] = ACTIONS(1102),
    [anon_sym_package] = ACTIONS(1102),
    [anon_sym_import] = ACTIONS(1102),
    [anon_sym_enum] = ACTIONS(1102),
    [anon_sym_public] = ACTIONS(1102),
    [anon_sym_protected] = ACTIONS(1102),
    [anon_sym_private] = ACTIONS(1102),
    [anon_sym_abstract] = ACTIONS(1102),
    [anon_sym_strictfp] = ACTIONS(1102),
    [anon_sym_native] = ACTIONS(1102),
    [anon_sym_transient] = ACTIONS(1102),
    [anon_sym_volatile] = ACTIONS(1102),
    [anon_sym_sealed] = ACTIONS(1102),
    [anon_sym_non_DASHsealed] = ACTIONS(1100),
    [anon_sym_record] = ACTIONS(1102),
    [anon_sym_ATinterface] = ACTIONS(1100),
    [anon_sym_interface] = ACTIONS(1102),
    [anon_sym_byte] = ACTIONS(1102),
    [anon_sym_short] = ACTIONS(1102),
    [anon_sym_int] = ACTIONS(1102),
    [anon_sym_long] = ACTIONS(1102),
    [anon_sym_char] = ACTIONS(1102),
    [anon_sym_float] = ACTIONS(1102),
    [anon_sym_double] = ACTIONS(1102),
    [sym_boolean_type] = ACTIONS(1102),
    [sym_void_type] = ACTIONS(1102),
    [anon_sym_def] = ACTIONS(1102),
    [sym_this] = ACTIONS(1102),
    [sym_super] = ACTIONS(1102),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1100),
  },
  [373] = {
    [ts_builtin_sym_end] = ACTIONS(1136),
    [sym_identifier] = ACTIONS(1138),
    [sym_decimal_integer_literal] = ACTIONS(1138),
    [sym_hex_integer_literal] = ACTIONS(1138),
    [sym_octal_integer_literal] = ACTIONS(1138),
    [sym_binary_integer_literal] = ACTIONS(1136),
    [sym_decimal_floating_point_literal] = ACTIONS(1136),
    [sym_hex_floating_point_literal] = ACTIONS(1138),
    [sym_true] = ACTIONS(1138),
    [sym_false] = ACTIONS(1138),
    [sym_character_literal] = ACTIONS(1136),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1136),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1136),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [sym_null_literal] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1136),
    [anon_sym_AMP] = ACTIONS(1138),
    [anon_sym_GT] = ACTIONS(1138),
    [anon_sym_LT] = ACTIONS(1138),
    [anon_sym_GT_EQ] = ACTIONS(1136),
    [anon_sym_LT_EQ] = ACTIONS(1136),
    [anon_sym_EQ_EQ] = ACTIONS(1136),
    [anon_sym_BANG_EQ] = ACTIONS(1136),
    [anon_sym_AMP_AMP] = ACTIONS(1136),
    [anon_sym_PIPE_PIPE] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_STAR] = ACTIONS(1138),
    [anon_sym_SLASH] = ACTIONS(1138),
    [anon_sym_PIPE] = ACTIONS(1138),
    [anon_sym_CARET] = ACTIONS(1136),
    [anon_sym_PERCENT] = ACTIONS(1136),
    [anon_sym_LT_LT] = ACTIONS(1136),
    [anon_sym_GT_GT] = ACTIONS(1138),
    [anon_sym_GT_GT_GT] = ACTIONS(1136),
    [anon_sym_in] = ACTIONS(1138),
    [anon_sym_STAR_STAR] = ACTIONS(1136),
    [anon_sym_instanceof] = ACTIONS(1138),
    [anon_sym_final] = ACTIONS(1138),
    [anon_sym_DASH_GT] = ACTIONS(1136),
    [anon_sym_COMMA] = ACTIONS(1136),
    [anon_sym_QMARK] = ACTIONS(1136),
    [anon_sym_COLON] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_PLUS_PLUS] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1136),
    [anon_sym_new] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1136),
    [anon_sym_DOT] = ACTIONS(1138),
    [anon_sym_class] = ACTIONS(1138),
    [anon_sym_COLON_COLON] = ACTIONS(1136),
    [anon_sym_switch] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_default] = ACTIONS(1138),
    [sym_underscore_pattern] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1136),
    [anon_sym_assert] = ACTIONS(1138),
    [anon_sym_do] = ACTIONS(1138),
    [anon_sym_while] = ACTIONS(1138),
    [anon_sym_break] = ACTIONS(1138),
    [anon_sym_continue] = ACTIONS(1138),
    [anon_sym_return] = ACTIONS(1138),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_synchronized] = ACTIONS(1138),
    [anon_sym_throw] = ACTIONS(1138),
    [anon_sym_try] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1138),
    [anon_sym_for] = ACTIONS(1138),
    [anon_sym_AT] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_module] = ACTIONS(1138),
    [anon_sym_static] = ACTIONS(1138),
    [anon_sym_with] = ACTIONS(1138),
    [anon_sym_package] = ACTIONS(1138),
    [anon_sym_import] = ACTIONS(1138),
    [anon_sym_enum] = ACTIONS(1138),
    [anon_sym_public] = ACTIONS(1138),
    [anon_sym_protected] = ACTIONS(1138),
    [anon_sym_private] = ACTIONS(1138),
    [anon_sym_abstract] = ACTIONS(1138),
    [anon_sym_strictfp] = ACTIONS(1138),
    [anon_sym_native] = ACTIONS(1138),
    [anon_sym_transient] = ACTIONS(1138),
    [anon_sym_volatile] = ACTIONS(1138),
    [anon_sym_sealed] = ACTIONS(1138),
    [anon_sym_non_DASHsealed] = ACTIONS(1136),
    [anon_sym_record] = ACTIONS(1138),
    [anon_sym_ATinterface] = ACTIONS(1136),
    [anon_sym_interface] = ACTIONS(1138),
    [anon_sym_byte] = ACTIONS(1138),
    [anon_sym_short] = ACTIONS(1138),
    [anon_sym_int] = ACTIONS(1138),
    [anon_sym_long] = ACTIONS(1138),
    [anon_sym_char] = ACTIONS(1138),
    [anon_sym_float] = ACTIONS(1138),
    [anon_sym_double] = ACTIONS(1138),
    [sym_boolean_type] = ACTIONS(1138),
    [sym_void_type] = ACTIONS(1138),
    [anon_sym_def] = ACTIONS(1138),
    [sym_this] = ACTIONS(1138),
    [sym_super] = ACTIONS(1138),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1136),
  },
  [374] = {
    [ts_builtin_sym_end] = ACTIONS(1140),
    [sym_identifier] = ACTIONS(1142),
    [sym_decimal_integer_literal] = ACTIONS(1142),
    [sym_hex_integer_literal] = ACTIONS(1142),
    [sym_octal_integer_literal] = ACTIONS(1142),
    [sym_binary_integer_literal] = ACTIONS(1140),
    [sym_decimal_floating_point_literal] = ACTIONS(1140),
    [sym_hex_floating_point_literal] = ACTIONS(1142),
    [sym_true] = ACTIONS(1142),
    [sym_false] = ACTIONS(1142),
    [sym_character_literal] = ACTIONS(1140),
    [anon_sym_DQUOTE] = ACTIONS(1142),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1140),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1140),
    [anon_sym_RBRACE] = ACTIONS(1140),
    [sym_null_literal] = ACTIONS(1142),
    [anon_sym_LPAREN] = ACTIONS(1140),
    [anon_sym_AMP] = ACTIONS(1142),
    [anon_sym_GT] = ACTIONS(1142),
    [anon_sym_LT] = ACTIONS(1142),
    [anon_sym_GT_EQ] = ACTIONS(1140),
    [anon_sym_LT_EQ] = ACTIONS(1140),
    [anon_sym_EQ_EQ] = ACTIONS(1140),
    [anon_sym_BANG_EQ] = ACTIONS(1140),
    [anon_sym_AMP_AMP] = ACTIONS(1140),
    [anon_sym_PIPE_PIPE] = ACTIONS(1140),
    [anon_sym_PLUS] = ACTIONS(1142),
    [anon_sym_DASH] = ACTIONS(1142),
    [anon_sym_STAR] = ACTIONS(1142),
    [anon_sym_SLASH] = ACTIONS(1142),
    [anon_sym_PIPE] = ACTIONS(1142),
    [anon_sym_CARET] = ACTIONS(1140),
    [anon_sym_PERCENT] = ACTIONS(1140),
    [anon_sym_LT_LT] = ACTIONS(1140),
    [anon_sym_GT_GT] = ACTIONS(1142),
    [anon_sym_GT_GT_GT] = ACTIONS(1140),
    [anon_sym_in] = ACTIONS(1142),
    [anon_sym_STAR_STAR] = ACTIONS(1140),
    [anon_sym_instanceof] = ACTIONS(1142),
    [anon_sym_final] = ACTIONS(1142),
    [anon_sym_DASH_GT] = ACTIONS(1140),
    [anon_sym_COMMA] = ACTIONS(1140),
    [anon_sym_QMARK] = ACTIONS(1140),
    [anon_sym_COLON] = ACTIONS(1142),
    [anon_sym_BANG] = ACTIONS(1142),
    [anon_sym_TILDE] = ACTIONS(1140),
    [anon_sym_PLUS_PLUS] = ACTIONS(1140),
    [anon_sym_DASH_DASH] = ACTIONS(1140),
    [anon_sym_new] = ACTIONS(1142),
    [anon_sym_LBRACK] = ACTIONS(1140),
    [anon_sym_DOT] = ACTIONS(1142),
    [anon_sym_class] = ACTIONS(1142),
    [anon_sym_COLON_COLON] = ACTIONS(1140),
    [anon_sym_switch] = ACTIONS(1142),
    [anon_sym_LBRACE] = ACTIONS(1140),
    [anon_sym_default] = ACTIONS(1142),
    [sym_underscore_pattern] = ACTIONS(1142),
    [anon_sym_SEMI] = ACTIONS(1140),
    [anon_sym_assert] = ACTIONS(1142),
    [anon_sym_do] = ACTIONS(1142),
    [anon_sym_while] = ACTIONS(1142),
    [anon_sym_break] = ACTIONS(1142),
    [anon_sym_continue] = ACTIONS(1142),
    [anon_sym_return] = ACTIONS(1142),
    [anon_sym_yield] = ACTIONS(1142),
    [anon_sym_synchronized] = ACTIONS(1142),
    [anon_sym_throw] = ACTIONS(1142),
    [anon_sym_try] = ACTIONS(1142),
    [anon_sym_if] = ACTIONS(1142),
    [anon_sym_for] = ACTIONS(1142),
    [anon_sym_AT] = ACTIONS(1142),
    [anon_sym_open] = ACTIONS(1142),
    [anon_sym_module] = ACTIONS(1142),
    [anon_sym_static] = ACTIONS(1142),
    [anon_sym_with] = ACTIONS(1142),
    [anon_sym_package] = ACTIONS(1142),
    [anon_sym_import] = ACTIONS(1142),
    [anon_sym_enum] = ACTIONS(1142),
    [anon_sym_public] = ACTIONS(1142),
    [anon_sym_protected] = ACTIONS(1142),
    [anon_sym_private] = ACTIONS(1142),
    [anon_sym_abstract] = ACTIONS(1142),
    [anon_sym_strictfp] = ACTIONS(1142),
    [anon_sym_native] = ACTIONS(1142),
    [anon_sym_transient] = ACTIONS(1142),
    [anon_sym_volatile] = ACTIONS(1142),
    [anon_sym_sealed] = ACTIONS(1142),
    [anon_sym_non_DASHsealed] = ACTIONS(1140),
    [anon_sym_record] = ACTIONS(1142),
    [anon_sym_ATinterface] = ACTIONS(1140),
    [anon_sym_interface] = ACTIONS(1142),
    [anon_sym_byte] = ACTIONS(1142),
    [anon_sym_short] = ACTIONS(1142),
    [anon_sym_int] = ACTIONS(1142),
    [anon_sym_long] = ACTIONS(1142),
    [anon_sym_char] = ACTIONS(1142),
    [anon_sym_float] = ACTIONS(1142),
    [anon_sym_double] = ACTIONS(1142),
    [sym_boolean_type] = ACTIONS(1142),
    [sym_void_type] = ACTIONS(1142),
    [anon_sym_def] = ACTIONS(1142),
    [sym_this] = ACTIONS(1142),
    [sym_super] = ACTIONS(1142),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1140),
  },
  [375] = {
    [ts_builtin_sym_end] = ACTIONS(1555),
    [sym_identifier] = ACTIONS(1557),
    [sym_decimal_integer_literal] = ACTIONS(1557),
    [sym_hex_integer_literal] = ACTIONS(1557),
    [sym_octal_integer_literal] = ACTIONS(1557),
    [sym_binary_integer_literal] = ACTIONS(1557),
    [sym_decimal_floating_point_literal] = ACTIONS(1557),
    [sym_hex_floating_point_literal] = ACTIONS(1557),
    [sym_true] = ACTIONS(1557),
    [sym_false] = ACTIONS(1557),
    [sym_character_literal] = ACTIONS(1557),
    [anon_sym_DQUOTE] = ACTIONS(1557),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1557),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1557),
    [anon_sym_RBRACE] = ACTIONS(1557),
    [sym_null_literal] = ACTIONS(1557),
    [anon_sym_LPAREN] = ACTIONS(1557),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1521),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_AMP_AMP] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PERCENT] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1537),
    [anon_sym_GT_GT] = ACTIONS(1537),
    [anon_sym_GT_GT_GT] = ACTIONS(1537),
    [anon_sym_in] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1539),
    [anon_sym_final] = ACTIONS(1557),
    [anon_sym_DASH_GT] = ACTIONS(1557),
    [anon_sym_QMARK] = ACTIONS(1541),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1557),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_new] = ACTIONS(1557),
    [anon_sym_LBRACK] = ACTIONS(1557),
    [anon_sym_class] = ACTIONS(1557),
    [anon_sym_switch] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1557),
    [anon_sym_case] = ACTIONS(1557),
    [anon_sym_default] = ACTIONS(1557),
    [sym_underscore_pattern] = ACTIONS(1557),
    [anon_sym_SEMI] = ACTIONS(1557),
    [aux_sym_expression_statement_token1] = ACTIONS(1555),
    [anon_sym_NULL] = ACTIONS(1557),
    [anon_sym_assert] = ACTIONS(1557),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_while] = ACTIONS(1557),
    [anon_sym_break] = ACTIONS(1557),
    [anon_sym_continue] = ACTIONS(1557),
    [anon_sym_return] = ACTIONS(1557),
    [anon_sym_yield] = ACTIONS(1557),
    [anon_sym_synchronized] = ACTIONS(1557),
    [anon_sym_throw] = ACTIONS(1557),
    [anon_sym_try] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_else] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1557),
    [anon_sym_AT] = ACTIONS(1557),
    [anon_sym_open] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1557),
    [anon_sym_static] = ACTIONS(1557),
    [anon_sym_with] = ACTIONS(1557),
    [anon_sym_package] = ACTIONS(1557),
    [anon_sym_import] = ACTIONS(1557),
    [anon_sym_enum] = ACTIONS(1557),
    [anon_sym_public] = ACTIONS(1557),
    [anon_sym_protected] = ACTIONS(1557),
    [anon_sym_private] = ACTIONS(1557),
    [anon_sym_abstract] = ACTIONS(1557),
    [anon_sym_strictfp] = ACTIONS(1557),
    [anon_sym_native] = ACTIONS(1557),
    [anon_sym_transient] = ACTIONS(1557),
    [anon_sym_volatile] = ACTIONS(1557),
    [anon_sym_sealed] = ACTIONS(1557),
    [anon_sym_non_DASHsealed] = ACTIONS(1557),
    [anon_sym_record] = ACTIONS(1557),
    [anon_sym_ATinterface] = ACTIONS(1557),
    [anon_sym_interface] = ACTIONS(1557),
    [anon_sym_byte] = ACTIONS(1557),
    [anon_sym_short] = ACTIONS(1557),
    [anon_sym_int] = ACTIONS(1557),
    [anon_sym_long] = ACTIONS(1557),
    [anon_sym_char] = ACTIONS(1557),
    [anon_sym_float] = ACTIONS(1557),
    [anon_sym_double] = ACTIONS(1557),
    [sym_boolean_type] = ACTIONS(1557),
    [sym_void_type] = ACTIONS(1557),
    [anon_sym_def] = ACTIONS(1557),
    [sym_this] = ACTIONS(1557),
    [sym_super] = ACTIONS(1557),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1545),
  },
  [376] = {
    [ts_builtin_sym_end] = ACTIONS(1559),
    [sym_identifier] = ACTIONS(1561),
    [sym_decimal_integer_literal] = ACTIONS(1561),
    [sym_hex_integer_literal] = ACTIONS(1561),
    [sym_octal_integer_literal] = ACTIONS(1561),
    [sym_binary_integer_literal] = ACTIONS(1561),
    [sym_decimal_floating_point_literal] = ACTIONS(1561),
    [sym_hex_floating_point_literal] = ACTIONS(1561),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_character_literal] = ACTIONS(1561),
    [anon_sym_DQUOTE] = ACTIONS(1561),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1561),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1561),
    [anon_sym_RBRACE] = ACTIONS(1561),
    [sym_null_literal] = ACTIONS(1561),
    [anon_sym_LPAREN] = ACTIONS(1561),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1521),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_AMP_AMP] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PERCENT] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1537),
    [anon_sym_GT_GT] = ACTIONS(1537),
    [anon_sym_GT_GT_GT] = ACTIONS(1537),
    [anon_sym_in] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1539),
    [anon_sym_final] = ACTIONS(1561),
    [anon_sym_DASH_GT] = ACTIONS(1561),
    [anon_sym_QMARK] = ACTIONS(1541),
    [anon_sym_BANG] = ACTIONS(1561),
    [anon_sym_TILDE] = ACTIONS(1561),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_new] = ACTIONS(1561),
    [anon_sym_LBRACK] = ACTIONS(1561),
    [anon_sym_class] = ACTIONS(1561),
    [anon_sym_switch] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(1561),
    [anon_sym_case] = ACTIONS(1561),
    [anon_sym_default] = ACTIONS(1561),
    [sym_underscore_pattern] = ACTIONS(1561),
    [anon_sym_SEMI] = ACTIONS(1561),
    [aux_sym_expression_statement_token1] = ACTIONS(1559),
    [anon_sym_NULL] = ACTIONS(1561),
    [anon_sym_assert] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1561),
    [anon_sym_continue] = ACTIONS(1561),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_yield] = ACTIONS(1561),
    [anon_sym_synchronized] = ACTIONS(1561),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_try] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_else] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_AT] = ACTIONS(1561),
    [anon_sym_open] = ACTIONS(1561),
    [anon_sym_module] = ACTIONS(1561),
    [anon_sym_static] = ACTIONS(1561),
    [anon_sym_with] = ACTIONS(1561),
    [anon_sym_package] = ACTIONS(1561),
    [anon_sym_import] = ACTIONS(1561),
    [anon_sym_enum] = ACTIONS(1561),
    [anon_sym_public] = ACTIONS(1561),
    [anon_sym_protected] = ACTIONS(1561),
    [anon_sym_private] = ACTIONS(1561),
    [anon_sym_abstract] = ACTIONS(1561),
    [anon_sym_strictfp] = ACTIONS(1561),
    [anon_sym_native] = ACTIONS(1561),
    [anon_sym_transient] = ACTIONS(1561),
    [anon_sym_volatile] = ACTIONS(1561),
    [anon_sym_sealed] = ACTIONS(1561),
    [anon_sym_non_DASHsealed] = ACTIONS(1561),
    [anon_sym_record] = ACTIONS(1561),
    [anon_sym_ATinterface] = ACTIONS(1561),
    [anon_sym_interface] = ACTIONS(1561),
    [anon_sym_byte] = ACTIONS(1561),
    [anon_sym_short] = ACTIONS(1561),
    [anon_sym_int] = ACTIONS(1561),
    [anon_sym_long] = ACTIONS(1561),
    [anon_sym_char] = ACTIONS(1561),
    [anon_sym_float] = ACTIONS(1561),
    [anon_sym_double] = ACTIONS(1561),
    [sym_boolean_type] = ACTIONS(1561),
    [sym_void_type] = ACTIONS(1561),
    [anon_sym_def] = ACTIONS(1561),
    [sym_this] = ACTIONS(1561),
    [sym_super] = ACTIONS(1561),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1545),
  },
  [377] = {
    [ts_builtin_sym_end] = ACTIONS(1559),
    [sym_identifier] = ACTIONS(1561),
    [sym_decimal_integer_literal] = ACTIONS(1561),
    [sym_hex_integer_literal] = ACTIONS(1561),
    [sym_octal_integer_literal] = ACTIONS(1561),
    [sym_binary_integer_literal] = ACTIONS(1561),
    [sym_decimal_floating_point_literal] = ACTIONS(1561),
    [sym_hex_floating_point_literal] = ACTIONS(1561),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_character_literal] = ACTIONS(1561),
    [anon_sym_DQUOTE] = ACTIONS(1561),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1561),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1561),
    [anon_sym_RBRACE] = ACTIONS(1561),
    [sym_null_literal] = ACTIONS(1561),
    [anon_sym_LPAREN] = ACTIONS(1561),
    [anon_sym_AMP] = ACTIONS(1561),
    [anon_sym_GT] = ACTIONS(1561),
    [anon_sym_LT] = ACTIONS(1561),
    [anon_sym_GT_EQ] = ACTIONS(1561),
    [anon_sym_LT_EQ] = ACTIONS(1561),
    [anon_sym_EQ_EQ] = ACTIONS(1561),
    [anon_sym_BANG_EQ] = ACTIONS(1561),
    [anon_sym_AMP_AMP] = ACTIONS(1561),
    [anon_sym_PIPE_PIPE] = ACTIONS(1561),
    [anon_sym_PLUS] = ACTIONS(1561),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_STAR] = ACTIONS(1561),
    [anon_sym_SLASH] = ACTIONS(1561),
    [anon_sym_PIPE] = ACTIONS(1561),
    [anon_sym_CARET] = ACTIONS(1561),
    [anon_sym_PERCENT] = ACTIONS(1561),
    [anon_sym_LT_LT] = ACTIONS(1561),
    [anon_sym_GT_GT] = ACTIONS(1561),
    [anon_sym_GT_GT_GT] = ACTIONS(1561),
    [anon_sym_in] = ACTIONS(1561),
    [anon_sym_STAR_STAR] = ACTIONS(1561),
    [anon_sym_instanceof] = ACTIONS(1561),
    [anon_sym_final] = ACTIONS(1561),
    [anon_sym_DASH_GT] = ACTIONS(1561),
    [anon_sym_QMARK] = ACTIONS(1561),
    [anon_sym_BANG] = ACTIONS(1561),
    [anon_sym_TILDE] = ACTIONS(1561),
    [anon_sym_PLUS_PLUS] = ACTIONS(1561),
    [anon_sym_DASH_DASH] = ACTIONS(1561),
    [anon_sym_new] = ACTIONS(1561),
    [anon_sym_LBRACK] = ACTIONS(1561),
    [anon_sym_class] = ACTIONS(1561),
    [anon_sym_switch] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(1561),
    [anon_sym_case] = ACTIONS(1561),
    [anon_sym_default] = ACTIONS(1561),
    [sym_underscore_pattern] = ACTIONS(1561),
    [anon_sym_SEMI] = ACTIONS(1561),
    [aux_sym_expression_statement_token1] = ACTIONS(1559),
    [anon_sym_NULL] = ACTIONS(1561),
    [anon_sym_assert] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1561),
    [anon_sym_continue] = ACTIONS(1561),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_yield] = ACTIONS(1561),
    [anon_sym_synchronized] = ACTIONS(1561),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_try] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_else] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_AT] = ACTIONS(1561),
    [anon_sym_open] = ACTIONS(1561),
    [anon_sym_module] = ACTIONS(1561),
    [anon_sym_static] = ACTIONS(1561),
    [anon_sym_with] = ACTIONS(1561),
    [anon_sym_package] = ACTIONS(1561),
    [anon_sym_import] = ACTIONS(1561),
    [anon_sym_enum] = ACTIONS(1561),
    [anon_sym_public] = ACTIONS(1561),
    [anon_sym_protected] = ACTIONS(1561),
    [anon_sym_private] = ACTIONS(1561),
    [anon_sym_abstract] = ACTIONS(1561),
    [anon_sym_strictfp] = ACTIONS(1561),
    [anon_sym_native] = ACTIONS(1561),
    [anon_sym_transient] = ACTIONS(1561),
    [anon_sym_volatile] = ACTIONS(1561),
    [anon_sym_sealed] = ACTIONS(1561),
    [anon_sym_non_DASHsealed] = ACTIONS(1561),
    [anon_sym_record] = ACTIONS(1561),
    [anon_sym_ATinterface] = ACTIONS(1561),
    [anon_sym_interface] = ACTIONS(1561),
    [anon_sym_byte] = ACTIONS(1561),
    [anon_sym_short] = ACTIONS(1561),
    [anon_sym_int] = ACTIONS(1561),
    [anon_sym_long] = ACTIONS(1561),
    [anon_sym_char] = ACTIONS(1561),
    [anon_sym_float] = ACTIONS(1561),
    [anon_sym_double] = ACTIONS(1561),
    [sym_boolean_type] = ACTIONS(1561),
    [sym_void_type] = ACTIONS(1561),
    [anon_sym_def] = ACTIONS(1561),
    [sym_this] = ACTIONS(1561),
    [sym_super] = ACTIONS(1561),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1561),
  },
  [378] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1565),
    [sym_decimal_floating_point_literal] = ACTIONS(1565),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1565),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1521),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_AMP_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_PERCENT] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1537),
    [anon_sym_GT_GT] = ACTIONS(1537),
    [anon_sym_GT_GT_GT] = ACTIONS(1537),
    [anon_sym_in] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1539),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1565),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1565),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1565),
    [anon_sym_case] = ACTIONS(1565),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1565),
    [aux_sym_expression_statement_token1] = ACTIONS(1563),
    [anon_sym_NULL] = ACTIONS(1565),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_else] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1565),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1565),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1545),
  },
  [379] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1565),
    [sym_decimal_floating_point_literal] = ACTIONS(1565),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1565),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_AMP_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_PERCENT] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1537),
    [anon_sym_GT_GT] = ACTIONS(1537),
    [anon_sym_GT_GT_GT] = ACTIONS(1537),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1565),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1565),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1565),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1565),
    [anon_sym_case] = ACTIONS(1565),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1565),
    [aux_sym_expression_statement_token1] = ACTIONS(1563),
    [anon_sym_NULL] = ACTIONS(1565),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_else] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1565),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1565),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1545),
  },
  [380] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1565),
    [sym_decimal_floating_point_literal] = ACTIONS(1565),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1565),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1521),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_AMP_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_PERCENT] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1537),
    [anon_sym_GT_GT] = ACTIONS(1537),
    [anon_sym_GT_GT_GT] = ACTIONS(1537),
    [anon_sym_in] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1539),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1565),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1565),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1565),
    [anon_sym_case] = ACTIONS(1565),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1565),
    [aux_sym_expression_statement_token1] = ACTIONS(1563),
    [anon_sym_NULL] = ACTIONS(1565),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_else] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1565),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1565),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1545),
  },
  [381] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1565),
    [sym_decimal_floating_point_literal] = ACTIONS(1565),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1565),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1521),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_AMP_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PERCENT] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1537),
    [anon_sym_GT_GT] = ACTIONS(1537),
    [anon_sym_GT_GT_GT] = ACTIONS(1537),
    [anon_sym_in] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1539),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1565),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1565),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1565),
    [anon_sym_case] = ACTIONS(1565),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1565),
    [aux_sym_expression_statement_token1] = ACTIONS(1563),
    [anon_sym_NULL] = ACTIONS(1565),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_else] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1565),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1565),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1545),
  },
  [382] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1565),
    [sym_decimal_floating_point_literal] = ACTIONS(1565),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1565),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1521),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_AMP_AMP] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PERCENT] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1537),
    [anon_sym_GT_GT] = ACTIONS(1537),
    [anon_sym_GT_GT_GT] = ACTIONS(1537),
    [anon_sym_in] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1539),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1565),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1565),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1565),
    [anon_sym_case] = ACTIONS(1565),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1565),
    [aux_sym_expression_statement_token1] = ACTIONS(1563),
    [anon_sym_NULL] = ACTIONS(1565),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_else] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1565),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1565),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1545),
  },
  [383] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1565),
    [sym_decimal_floating_point_literal] = ACTIONS(1565),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1565),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_AMP_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_PERCENT] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_GT_GT_GT] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1565),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1565),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1565),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1565),
    [anon_sym_case] = ACTIONS(1565),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1565),
    [aux_sym_expression_statement_token1] = ACTIONS(1563),
    [anon_sym_NULL] = ACTIONS(1565),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_else] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1565),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1565),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1545),
  },
  [384] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1565),
    [sym_decimal_floating_point_literal] = ACTIONS(1565),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1565),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_AMP_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_GT_GT_GT] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1565),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1565),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1565),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1565),
    [anon_sym_case] = ACTIONS(1565),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1565),
    [aux_sym_expression_statement_token1] = ACTIONS(1563),
    [anon_sym_NULL] = ACTIONS(1565),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_else] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1565),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1565),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1545),
  },
  [385] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1565),
    [sym_decimal_floating_point_literal] = ACTIONS(1565),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1565),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1521),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_AMP_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PERCENT] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1537),
    [anon_sym_GT_GT] = ACTIONS(1537),
    [anon_sym_GT_GT_GT] = ACTIONS(1537),
    [anon_sym_in] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1539),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1565),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1565),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1565),
    [anon_sym_case] = ACTIONS(1565),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1565),
    [aux_sym_expression_statement_token1] = ACTIONS(1563),
    [anon_sym_NULL] = ACTIONS(1565),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_else] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1565),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1565),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1545),
  },
  [386] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1565),
    [sym_decimal_floating_point_literal] = ACTIONS(1565),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1565),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1521),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_AMP_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_PERCENT] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1537),
    [anon_sym_GT_GT] = ACTIONS(1537),
    [anon_sym_GT_GT_GT] = ACTIONS(1537),
    [anon_sym_in] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1539),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1565),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1565),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1565),
    [anon_sym_case] = ACTIONS(1565),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1565),
    [aux_sym_expression_statement_token1] = ACTIONS(1563),
    [anon_sym_NULL] = ACTIONS(1565),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_else] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1565),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1565),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1545),
  },
  [387] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1565),
    [sym_decimal_floating_point_literal] = ACTIONS(1565),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1565),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_AMP_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_PERCENT] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_GT_GT_GT] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1565),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1565),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1565),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1565),
    [anon_sym_case] = ACTIONS(1565),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1565),
    [aux_sym_expression_statement_token1] = ACTIONS(1563),
    [anon_sym_NULL] = ACTIONS(1565),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_else] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1565),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1565),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1545),
  },
  [388] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1565),
    [sym_decimal_floating_point_literal] = ACTIONS(1565),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1565),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1565),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1565),
    [anon_sym_RBRACE] = ACTIONS(1565),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1565),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1565),
    [anon_sym_LT_EQ] = ACTIONS(1565),
    [anon_sym_EQ_EQ] = ACTIONS(1565),
    [anon_sym_BANG_EQ] = ACTIONS(1565),
    [anon_sym_AMP_AMP] = ACTIONS(1565),
    [anon_sym_PIPE_PIPE] = ACTIONS(1565),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1565),
    [anon_sym_PERCENT] = ACTIONS(1565),
    [anon_sym_LT_LT] = ACTIONS(1565),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_GT_GT_GT] = ACTIONS(1565),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1565),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1565),
    [anon_sym_QMARK] = ACTIONS(1565),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1565),
    [anon_sym_PLUS_PLUS] = ACTIONS(1565),
    [anon_sym_DASH_DASH] = ACTIONS(1565),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1565),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1565),
    [anon_sym_case] = ACTIONS(1565),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1565),
    [aux_sym_expression_statement_token1] = ACTIONS(1563),
    [anon_sym_NULL] = ACTIONS(1565),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_else] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1565),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1565),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1565),
  },
  [389] = {
    [ts_builtin_sym_end] = ACTIONS(1567),
    [sym_identifier] = ACTIONS(1569),
    [sym_decimal_integer_literal] = ACTIONS(1569),
    [sym_hex_integer_literal] = ACTIONS(1569),
    [sym_octal_integer_literal] = ACTIONS(1569),
    [sym_binary_integer_literal] = ACTIONS(1569),
    [sym_decimal_floating_point_literal] = ACTIONS(1569),
    [sym_hex_floating_point_literal] = ACTIONS(1569),
    [sym_true] = ACTIONS(1569),
    [sym_false] = ACTIONS(1569),
    [sym_character_literal] = ACTIONS(1569),
    [anon_sym_DQUOTE] = ACTIONS(1569),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1569),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1569),
    [anon_sym_RBRACE] = ACTIONS(1569),
    [sym_null_literal] = ACTIONS(1569),
    [anon_sym_LPAREN] = ACTIONS(1569),
    [anon_sym_AMP] = ACTIONS(1569),
    [anon_sym_GT] = ACTIONS(1569),
    [anon_sym_LT] = ACTIONS(1569),
    [anon_sym_GT_EQ] = ACTIONS(1569),
    [anon_sym_LT_EQ] = ACTIONS(1569),
    [anon_sym_EQ_EQ] = ACTIONS(1569),
    [anon_sym_BANG_EQ] = ACTIONS(1569),
    [anon_sym_AMP_AMP] = ACTIONS(1569),
    [anon_sym_PIPE_PIPE] = ACTIONS(1569),
    [anon_sym_PLUS] = ACTIONS(1569),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_SLASH] = ACTIONS(1569),
    [anon_sym_PIPE] = ACTIONS(1569),
    [anon_sym_CARET] = ACTIONS(1569),
    [anon_sym_PERCENT] = ACTIONS(1569),
    [anon_sym_LT_LT] = ACTIONS(1569),
    [anon_sym_GT_GT] = ACTIONS(1569),
    [anon_sym_GT_GT_GT] = ACTIONS(1569),
    [anon_sym_in] = ACTIONS(1569),
    [anon_sym_STAR_STAR] = ACTIONS(1569),
    [anon_sym_instanceof] = ACTIONS(1569),
    [anon_sym_final] = ACTIONS(1569),
    [anon_sym_DASH_GT] = ACTIONS(1569),
    [anon_sym_QMARK] = ACTIONS(1569),
    [anon_sym_BANG] = ACTIONS(1569),
    [anon_sym_TILDE] = ACTIONS(1569),
    [anon_sym_PLUS_PLUS] = ACTIONS(1569),
    [anon_sym_DASH_DASH] = ACTIONS(1569),
    [anon_sym_new] = ACTIONS(1569),
    [anon_sym_LBRACK] = ACTIONS(1569),
    [anon_sym_class] = ACTIONS(1569),
    [anon_sym_switch] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1569),
    [anon_sym_case] = ACTIONS(1569),
    [anon_sym_default] = ACTIONS(1569),
    [sym_underscore_pattern] = ACTIONS(1569),
    [anon_sym_SEMI] = ACTIONS(1569),
    [aux_sym_expression_statement_token1] = ACTIONS(1567),
    [anon_sym_NULL] = ACTIONS(1569),
    [anon_sym_assert] = ACTIONS(1569),
    [anon_sym_do] = ACTIONS(1569),
    [anon_sym_while] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1569),
    [anon_sym_continue] = ACTIONS(1569),
    [anon_sym_return] = ACTIONS(1569),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_synchronized] = ACTIONS(1569),
    [anon_sym_throw] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_if] = ACTIONS(1569),
    [anon_sym_else] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(1569),
    [anon_sym_AT] = ACTIONS(1569),
    [anon_sym_open] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_with] = ACTIONS(1569),
    [anon_sym_package] = ACTIONS(1569),
    [anon_sym_import] = ACTIONS(1569),
    [anon_sym_enum] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_abstract] = ACTIONS(1569),
    [anon_sym_strictfp] = ACTIONS(1569),
    [anon_sym_native] = ACTIONS(1569),
    [anon_sym_transient] = ACTIONS(1569),
    [anon_sym_volatile] = ACTIONS(1569),
    [anon_sym_sealed] = ACTIONS(1569),
    [anon_sym_non_DASHsealed] = ACTIONS(1569),
    [anon_sym_record] = ACTIONS(1569),
    [anon_sym_ATinterface] = ACTIONS(1569),
    [anon_sym_interface] = ACTIONS(1569),
    [anon_sym_byte] = ACTIONS(1569),
    [anon_sym_short] = ACTIONS(1569),
    [anon_sym_int] = ACTIONS(1569),
    [anon_sym_long] = ACTIONS(1569),
    [anon_sym_char] = ACTIONS(1569),
    [anon_sym_float] = ACTIONS(1569),
    [anon_sym_double] = ACTIONS(1569),
    [sym_boolean_type] = ACTIONS(1569),
    [sym_void_type] = ACTIONS(1569),
    [anon_sym_def] = ACTIONS(1569),
    [sym_this] = ACTIONS(1569),
    [sym_super] = ACTIONS(1569),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1569),
  },
  [390] = {
    [ts_builtin_sym_end] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_decimal_integer_literal] = ACTIONS(1573),
    [sym_hex_integer_literal] = ACTIONS(1573),
    [sym_octal_integer_literal] = ACTIONS(1573),
    [sym_binary_integer_literal] = ACTIONS(1573),
    [sym_decimal_floating_point_literal] = ACTIONS(1573),
    [sym_hex_floating_point_literal] = ACTIONS(1573),
    [sym_true] = ACTIONS(1573),
    [sym_false] = ACTIONS(1573),
    [sym_character_literal] = ACTIONS(1573),
    [anon_sym_DQUOTE] = ACTIONS(1573),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1573),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1573),
    [anon_sym_RBRACE] = ACTIONS(1573),
    [sym_null_literal] = ACTIONS(1573),
    [anon_sym_LPAREN] = ACTIONS(1573),
    [anon_sym_AMP] = ACTIONS(1573),
    [anon_sym_GT] = ACTIONS(1573),
    [anon_sym_LT] = ACTIONS(1573),
    [anon_sym_GT_EQ] = ACTIONS(1573),
    [anon_sym_LT_EQ] = ACTIONS(1573),
    [anon_sym_EQ_EQ] = ACTIONS(1573),
    [anon_sym_BANG_EQ] = ACTIONS(1573),
    [anon_sym_AMP_AMP] = ACTIONS(1573),
    [anon_sym_PIPE_PIPE] = ACTIONS(1573),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1573),
    [anon_sym_SLASH] = ACTIONS(1573),
    [anon_sym_PIPE] = ACTIONS(1573),
    [anon_sym_CARET] = ACTIONS(1573),
    [anon_sym_PERCENT] = ACTIONS(1573),
    [anon_sym_LT_LT] = ACTIONS(1573),
    [anon_sym_GT_GT] = ACTIONS(1573),
    [anon_sym_GT_GT_GT] = ACTIONS(1573),
    [anon_sym_in] = ACTIONS(1573),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1573),
    [anon_sym_final] = ACTIONS(1573),
    [anon_sym_DASH_GT] = ACTIONS(1573),
    [anon_sym_QMARK] = ACTIONS(1573),
    [anon_sym_BANG] = ACTIONS(1573),
    [anon_sym_TILDE] = ACTIONS(1573),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACK] = ACTIONS(1573),
    [anon_sym_class] = ACTIONS(1573),
    [anon_sym_switch] = ACTIONS(1573),
    [anon_sym_LBRACE] = ACTIONS(1573),
    [anon_sym_case] = ACTIONS(1573),
    [anon_sym_default] = ACTIONS(1573),
    [sym_underscore_pattern] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1573),
    [aux_sym_expression_statement_token1] = ACTIONS(1571),
    [anon_sym_NULL] = ACTIONS(1573),
    [anon_sym_assert] = ACTIONS(1573),
    [anon_sym_do] = ACTIONS(1573),
    [anon_sym_while] = ACTIONS(1573),
    [anon_sym_break] = ACTIONS(1573),
    [anon_sym_continue] = ACTIONS(1573),
    [anon_sym_return] = ACTIONS(1573),
    [anon_sym_yield] = ACTIONS(1573),
    [anon_sym_synchronized] = ACTIONS(1573),
    [anon_sym_throw] = ACTIONS(1573),
    [anon_sym_try] = ACTIONS(1573),
    [anon_sym_if] = ACTIONS(1573),
    [anon_sym_else] = ACTIONS(1573),
    [anon_sym_for] = ACTIONS(1573),
    [anon_sym_AT] = ACTIONS(1573),
    [anon_sym_open] = ACTIONS(1573),
    [anon_sym_module] = ACTIONS(1573),
    [anon_sym_static] = ACTIONS(1573),
    [anon_sym_with] = ACTIONS(1573),
    [anon_sym_package] = ACTIONS(1573),
    [anon_sym_import] = ACTIONS(1573),
    [anon_sym_enum] = ACTIONS(1573),
    [anon_sym_public] = ACTIONS(1573),
    [anon_sym_protected] = ACTIONS(1573),
    [anon_sym_private] = ACTIONS(1573),
    [anon_sym_abstract] = ACTIONS(1573),
    [anon_sym_strictfp] = ACTIONS(1573),
    [anon_sym_native] = ACTIONS(1573),
    [anon_sym_transient] = ACTIONS(1573),
    [anon_sym_volatile] = ACTIONS(1573),
    [anon_sym_sealed] = ACTIONS(1573),
    [anon_sym_non_DASHsealed] = ACTIONS(1573),
    [anon_sym_record] = ACTIONS(1573),
    [anon_sym_ATinterface] = ACTIONS(1573),
    [anon_sym_interface] = ACTIONS(1573),
    [anon_sym_byte] = ACTIONS(1573),
    [anon_sym_short] = ACTIONS(1573),
    [anon_sym_int] = ACTIONS(1573),
    [anon_sym_long] = ACTIONS(1573),
    [anon_sym_char] = ACTIONS(1573),
    [anon_sym_float] = ACTIONS(1573),
    [anon_sym_double] = ACTIONS(1573),
    [sym_boolean_type] = ACTIONS(1573),
    [sym_void_type] = ACTIONS(1573),
    [anon_sym_def] = ACTIONS(1573),
    [sym_this] = ACTIONS(1573),
    [sym_super] = ACTIONS(1573),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1545),
  },
  [391] = {
    [ts_builtin_sym_end] = ACTIONS(1271),
    [sym_identifier] = ACTIONS(1273),
    [sym_decimal_integer_literal] = ACTIONS(1273),
    [sym_hex_integer_literal] = ACTIONS(1273),
    [sym_octal_integer_literal] = ACTIONS(1273),
    [sym_binary_integer_literal] = ACTIONS(1273),
    [sym_decimal_floating_point_literal] = ACTIONS(1273),
    [sym_hex_floating_point_literal] = ACTIONS(1273),
    [sym_true] = ACTIONS(1273),
    [sym_false] = ACTIONS(1273),
    [sym_character_literal] = ACTIONS(1273),
    [anon_sym_DQUOTE] = ACTIONS(1273),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1273),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1273),
    [anon_sym_RBRACE] = ACTIONS(1273),
    [sym_null_literal] = ACTIONS(1273),
    [anon_sym_LPAREN] = ACTIONS(1273),
    [anon_sym_AMP] = ACTIONS(1273),
    [anon_sym_GT] = ACTIONS(1273),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_GT_EQ] = ACTIONS(1273),
    [anon_sym_LT_EQ] = ACTIONS(1273),
    [anon_sym_EQ_EQ] = ACTIONS(1273),
    [anon_sym_BANG_EQ] = ACTIONS(1273),
    [anon_sym_AMP_AMP] = ACTIONS(1273),
    [anon_sym_PIPE_PIPE] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_SLASH] = ACTIONS(1273),
    [anon_sym_PIPE] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1273),
    [anon_sym_PERCENT] = ACTIONS(1273),
    [anon_sym_LT_LT] = ACTIONS(1273),
    [anon_sym_GT_GT] = ACTIONS(1273),
    [anon_sym_GT_GT_GT] = ACTIONS(1273),
    [anon_sym_in] = ACTIONS(1273),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1273),
    [anon_sym_final] = ACTIONS(1273),
    [anon_sym_DASH_GT] = ACTIONS(1273),
    [anon_sym_QMARK] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1273),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1273),
    [anon_sym_class] = ACTIONS(1273),
    [anon_sym_switch] = ACTIONS(1273),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_case] = ACTIONS(1273),
    [anon_sym_default] = ACTIONS(1273),
    [sym_underscore_pattern] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1273),
    [aux_sym_expression_statement_token1] = ACTIONS(1271),
    [anon_sym_NULL] = ACTIONS(1273),
    [anon_sym_assert] = ACTIONS(1273),
    [anon_sym_do] = ACTIONS(1273),
    [anon_sym_while] = ACTIONS(1273),
    [anon_sym_break] = ACTIONS(1273),
    [anon_sym_continue] = ACTIONS(1273),
    [anon_sym_return] = ACTIONS(1273),
    [anon_sym_yield] = ACTIONS(1273),
    [anon_sym_synchronized] = ACTIONS(1273),
    [anon_sym_throw] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1273),
    [anon_sym_if] = ACTIONS(1273),
    [anon_sym_else] = ACTIONS(1273),
    [anon_sym_for] = ACTIONS(1273),
    [anon_sym_AT] = ACTIONS(1273),
    [anon_sym_open] = ACTIONS(1273),
    [anon_sym_module] = ACTIONS(1273),
    [anon_sym_static] = ACTIONS(1273),
    [anon_sym_with] = ACTIONS(1273),
    [anon_sym_package] = ACTIONS(1273),
    [anon_sym_import] = ACTIONS(1273),
    [anon_sym_enum] = ACTIONS(1273),
    [anon_sym_public] = ACTIONS(1273),
    [anon_sym_protected] = ACTIONS(1273),
    [anon_sym_private] = ACTIONS(1273),
    [anon_sym_abstract] = ACTIONS(1273),
    [anon_sym_strictfp] = ACTIONS(1273),
    [anon_sym_native] = ACTIONS(1273),
    [anon_sym_transient] = ACTIONS(1273),
    [anon_sym_volatile] = ACTIONS(1273),
    [anon_sym_sealed] = ACTIONS(1273),
    [anon_sym_non_DASHsealed] = ACTIONS(1273),
    [anon_sym_record] = ACTIONS(1273),
    [anon_sym_ATinterface] = ACTIONS(1273),
    [anon_sym_interface] = ACTIONS(1273),
    [anon_sym_byte] = ACTIONS(1273),
    [anon_sym_short] = ACTIONS(1273),
    [anon_sym_int] = ACTIONS(1273),
    [anon_sym_long] = ACTIONS(1273),
    [anon_sym_char] = ACTIONS(1273),
    [anon_sym_float] = ACTIONS(1273),
    [anon_sym_double] = ACTIONS(1273),
    [sym_boolean_type] = ACTIONS(1273),
    [sym_void_type] = ACTIONS(1273),
    [anon_sym_def] = ACTIONS(1273),
    [sym_this] = ACTIONS(1273),
    [sym_super] = ACTIONS(1273),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1545),
  },
  [392] = {
    [ts_builtin_sym_end] = ACTIONS(1271),
    [sym_identifier] = ACTIONS(1273),
    [sym_decimal_integer_literal] = ACTIONS(1273),
    [sym_hex_integer_literal] = ACTIONS(1273),
    [sym_octal_integer_literal] = ACTIONS(1273),
    [sym_binary_integer_literal] = ACTIONS(1273),
    [sym_decimal_floating_point_literal] = ACTIONS(1273),
    [sym_hex_floating_point_literal] = ACTIONS(1273),
    [sym_true] = ACTIONS(1273),
    [sym_false] = ACTIONS(1273),
    [sym_character_literal] = ACTIONS(1273),
    [anon_sym_DQUOTE] = ACTIONS(1273),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1273),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1273),
    [anon_sym_RBRACE] = ACTIONS(1273),
    [sym_null_literal] = ACTIONS(1273),
    [anon_sym_LPAREN] = ACTIONS(1273),
    [anon_sym_AMP] = ACTIONS(1273),
    [anon_sym_GT] = ACTIONS(1273),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_GT_EQ] = ACTIONS(1273),
    [anon_sym_LT_EQ] = ACTIONS(1273),
    [anon_sym_EQ_EQ] = ACTIONS(1273),
    [anon_sym_BANG_EQ] = ACTIONS(1273),
    [anon_sym_AMP_AMP] = ACTIONS(1273),
    [anon_sym_PIPE_PIPE] = ACTIONS(1273),
    [anon_sym_PLUS] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_SLASH] = ACTIONS(1273),
    [anon_sym_PIPE] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1273),
    [anon_sym_PERCENT] = ACTIONS(1273),
    [anon_sym_LT_LT] = ACTIONS(1273),
    [anon_sym_GT_GT] = ACTIONS(1273),
    [anon_sym_GT_GT_GT] = ACTIONS(1273),
    [anon_sym_in] = ACTIONS(1273),
    [anon_sym_STAR_STAR] = ACTIONS(1273),
    [anon_sym_instanceof] = ACTIONS(1273),
    [anon_sym_final] = ACTIONS(1273),
    [anon_sym_DASH_GT] = ACTIONS(1273),
    [anon_sym_QMARK] = ACTIONS(1273),
    [anon_sym_BANG] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1273),
    [anon_sym_PLUS_PLUS] = ACTIONS(1273),
    [anon_sym_DASH_DASH] = ACTIONS(1273),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1273),
    [anon_sym_class] = ACTIONS(1273),
    [anon_sym_switch] = ACTIONS(1273),
    [anon_sym_LBRACE] = ACTIONS(1273),
    [anon_sym_case] = ACTIONS(1273),
    [anon_sym_default] = ACTIONS(1273),
    [sym_underscore_pattern] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1273),
    [aux_sym_expression_statement_token1] = ACTIONS(1271),
    [anon_sym_NULL] = ACTIONS(1273),
    [anon_sym_assert] = ACTIONS(1273),
    [anon_sym_do] = ACTIONS(1273),
    [anon_sym_while] = ACTIONS(1273),
    [anon_sym_break] = ACTIONS(1273),
    [anon_sym_continue] = ACTIONS(1273),
    [anon_sym_return] = ACTIONS(1273),
    [anon_sym_yield] = ACTIONS(1273),
    [anon_sym_synchronized] = ACTIONS(1273),
    [anon_sym_throw] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1273),
    [anon_sym_if] = ACTIONS(1273),
    [anon_sym_else] = ACTIONS(1273),
    [anon_sym_for] = ACTIONS(1273),
    [anon_sym_AT] = ACTIONS(1273),
    [anon_sym_open] = ACTIONS(1273),
    [anon_sym_module] = ACTIONS(1273),
    [anon_sym_static] = ACTIONS(1273),
    [anon_sym_with] = ACTIONS(1273),
    [anon_sym_package] = ACTIONS(1273),
    [anon_sym_import] = ACTIONS(1273),
    [anon_sym_enum] = ACTIONS(1273),
    [anon_sym_public] = ACTIONS(1273),
    [anon_sym_protected] = ACTIONS(1273),
    [anon_sym_private] = ACTIONS(1273),
    [anon_sym_abstract] = ACTIONS(1273),
    [anon_sym_strictfp] = ACTIONS(1273),
    [anon_sym_native] = ACTIONS(1273),
    [anon_sym_transient] = ACTIONS(1273),
    [anon_sym_volatile] = ACTIONS(1273),
    [anon_sym_sealed] = ACTIONS(1273),
    [anon_sym_non_DASHsealed] = ACTIONS(1273),
    [anon_sym_record] = ACTIONS(1273),
    [anon_sym_ATinterface] = ACTIONS(1273),
    [anon_sym_interface] = ACTIONS(1273),
    [anon_sym_byte] = ACTIONS(1273),
    [anon_sym_short] = ACTIONS(1273),
    [anon_sym_int] = ACTIONS(1273),
    [anon_sym_long] = ACTIONS(1273),
    [anon_sym_char] = ACTIONS(1273),
    [anon_sym_float] = ACTIONS(1273),
    [anon_sym_double] = ACTIONS(1273),
    [sym_boolean_type] = ACTIONS(1273),
    [sym_void_type] = ACTIONS(1273),
    [anon_sym_def] = ACTIONS(1273),
    [sym_this] = ACTIONS(1273),
    [sym_super] = ACTIONS(1273),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1273),
  },
  [393] = {
    [ts_builtin_sym_end] = ACTIONS(980),
    [sym_identifier] = ACTIONS(982),
    [sym_decimal_integer_literal] = ACTIONS(982),
    [sym_hex_integer_literal] = ACTIONS(982),
    [sym_octal_integer_literal] = ACTIONS(982),
    [sym_binary_integer_literal] = ACTIONS(982),
    [sym_decimal_floating_point_literal] = ACTIONS(982),
    [sym_hex_floating_point_literal] = ACTIONS(982),
    [sym_true] = ACTIONS(982),
    [sym_false] = ACTIONS(982),
    [sym_character_literal] = ACTIONS(982),
    [anon_sym_DQUOTE] = ACTIONS(982),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(982),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(982),
    [anon_sym_RBRACE] = ACTIONS(982),
    [sym_null_literal] = ACTIONS(982),
    [anon_sym_LPAREN] = ACTIONS(982),
    [anon_sym_AMP] = ACTIONS(982),
    [anon_sym_GT] = ACTIONS(982),
    [anon_sym_LT] = ACTIONS(982),
    [anon_sym_GT_EQ] = ACTIONS(982),
    [anon_sym_LT_EQ] = ACTIONS(982),
    [anon_sym_EQ_EQ] = ACTIONS(982),
    [anon_sym_BANG_EQ] = ACTIONS(982),
    [anon_sym_AMP_AMP] = ACTIONS(982),
    [anon_sym_PIPE_PIPE] = ACTIONS(982),
    [anon_sym_PLUS] = ACTIONS(982),
    [anon_sym_DASH] = ACTIONS(982),
    [anon_sym_STAR] = ACTIONS(982),
    [anon_sym_SLASH] = ACTIONS(982),
    [anon_sym_PIPE] = ACTIONS(982),
    [anon_sym_CARET] = ACTIONS(982),
    [anon_sym_PERCENT] = ACTIONS(982),
    [anon_sym_LT_LT] = ACTIONS(982),
    [anon_sym_GT_GT] = ACTIONS(982),
    [anon_sym_GT_GT_GT] = ACTIONS(982),
    [anon_sym_in] = ACTIONS(982),
    [anon_sym_STAR_STAR] = ACTIONS(982),
    [anon_sym_instanceof] = ACTIONS(982),
    [anon_sym_final] = ACTIONS(982),
    [anon_sym_DASH_GT] = ACTIONS(982),
    [anon_sym_QMARK] = ACTIONS(982),
    [anon_sym_BANG] = ACTIONS(982),
    [anon_sym_TILDE] = ACTIONS(982),
    [anon_sym_PLUS_PLUS] = ACTIONS(982),
    [anon_sym_DASH_DASH] = ACTIONS(982),
    [anon_sym_new] = ACTIONS(982),
    [anon_sym_LBRACK] = ACTIONS(982),
    [anon_sym_class] = ACTIONS(982),
    [anon_sym_switch] = ACTIONS(982),
    [anon_sym_LBRACE] = ACTIONS(982),
    [anon_sym_case] = ACTIONS(982),
    [anon_sym_default] = ACTIONS(982),
    [sym_underscore_pattern] = ACTIONS(982),
    [anon_sym_SEMI] = ACTIONS(982),
    [aux_sym_expression_statement_token1] = ACTIONS(980),
    [anon_sym_NULL] = ACTIONS(982),
    [anon_sym_assert] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(982),
    [anon_sym_while] = ACTIONS(982),
    [anon_sym_break] = ACTIONS(982),
    [anon_sym_continue] = ACTIONS(982),
    [anon_sym_return] = ACTIONS(982),
    [anon_sym_yield] = ACTIONS(982),
    [anon_sym_synchronized] = ACTIONS(982),
    [anon_sym_throw] = ACTIONS(982),
    [anon_sym_try] = ACTIONS(982),
    [anon_sym_if] = ACTIONS(982),
    [anon_sym_else] = ACTIONS(982),
    [anon_sym_for] = ACTIONS(982),
    [anon_sym_AT] = ACTIONS(982),
    [anon_sym_open] = ACTIONS(982),
    [anon_sym_module] = ACTIONS(982),
    [anon_sym_static] = ACTIONS(982),
    [anon_sym_with] = ACTIONS(982),
    [anon_sym_package] = ACTIONS(982),
    [anon_sym_import] = ACTIONS(982),
    [anon_sym_enum] = ACTIONS(982),
    [anon_sym_public] = ACTIONS(982),
    [anon_sym_protected] = ACTIONS(982),
    [anon_sym_private] = ACTIONS(982),
    [anon_sym_abstract] = ACTIONS(982),
    [anon_sym_strictfp] = ACTIONS(982),
    [anon_sym_native] = ACTIONS(982),
    [anon_sym_transient] = ACTIONS(982),
    [anon_sym_volatile] = ACTIONS(982),
    [anon_sym_sealed] = ACTIONS(982),
    [anon_sym_non_DASHsealed] = ACTIONS(982),
    [anon_sym_record] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(982),
    [anon_sym_interface] = ACTIONS(982),
    [anon_sym_byte] = ACTIONS(982),
    [anon_sym_short] = ACTIONS(982),
    [anon_sym_int] = ACTIONS(982),
    [anon_sym_long] = ACTIONS(982),
    [anon_sym_char] = ACTIONS(982),
    [anon_sym_float] = ACTIONS(982),
    [anon_sym_double] = ACTIONS(982),
    [sym_boolean_type] = ACTIONS(982),
    [sym_void_type] = ACTIONS(982),
    [anon_sym_def] = ACTIONS(982),
    [sym_this] = ACTIONS(982),
    [sym_super] = ACTIONS(982),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(982),
  },
  [394] = {
    [ts_builtin_sym_end] = ACTIONS(1153),
    [sym_identifier] = ACTIONS(1155),
    [sym_decimal_integer_literal] = ACTIONS(1155),
    [sym_hex_integer_literal] = ACTIONS(1155),
    [sym_octal_integer_literal] = ACTIONS(1155),
    [sym_binary_integer_literal] = ACTIONS(1153),
    [sym_decimal_floating_point_literal] = ACTIONS(1153),
    [sym_hex_floating_point_literal] = ACTIONS(1155),
    [sym_true] = ACTIONS(1155),
    [sym_false] = ACTIONS(1155),
    [sym_character_literal] = ACTIONS(1153),
    [anon_sym_DQUOTE] = ACTIONS(1155),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1153),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1153),
    [anon_sym_RBRACE] = ACTIONS(1153),
    [sym_null_literal] = ACTIONS(1155),
    [anon_sym_LPAREN] = ACTIONS(1153),
    [anon_sym_AMP] = ACTIONS(1155),
    [anon_sym_GT] = ACTIONS(1155),
    [anon_sym_LT] = ACTIONS(1155),
    [anon_sym_GT_EQ] = ACTIONS(1153),
    [anon_sym_LT_EQ] = ACTIONS(1153),
    [anon_sym_EQ_EQ] = ACTIONS(1153),
    [anon_sym_BANG_EQ] = ACTIONS(1153),
    [anon_sym_AMP_AMP] = ACTIONS(1153),
    [anon_sym_PIPE_PIPE] = ACTIONS(1153),
    [anon_sym_PLUS] = ACTIONS(1155),
    [anon_sym_DASH] = ACTIONS(1155),
    [anon_sym_STAR] = ACTIONS(1155),
    [anon_sym_SLASH] = ACTIONS(1155),
    [anon_sym_PIPE] = ACTIONS(1155),
    [anon_sym_CARET] = ACTIONS(1153),
    [anon_sym_PERCENT] = ACTIONS(1153),
    [anon_sym_LT_LT] = ACTIONS(1153),
    [anon_sym_GT_GT] = ACTIONS(1155),
    [anon_sym_GT_GT_GT] = ACTIONS(1153),
    [anon_sym_in] = ACTIONS(1155),
    [anon_sym_STAR_STAR] = ACTIONS(1153),
    [anon_sym_instanceof] = ACTIONS(1155),
    [anon_sym_final] = ACTIONS(1155),
    [anon_sym_DASH_GT] = ACTIONS(1153),
    [anon_sym_COMMA] = ACTIONS(1153),
    [anon_sym_QMARK] = ACTIONS(1153),
    [anon_sym_COLON] = ACTIONS(1155),
    [anon_sym_BANG] = ACTIONS(1155),
    [anon_sym_TILDE] = ACTIONS(1153),
    [anon_sym_PLUS_PLUS] = ACTIONS(1153),
    [anon_sym_DASH_DASH] = ACTIONS(1153),
    [anon_sym_new] = ACTIONS(1155),
    [anon_sym_LBRACK] = ACTIONS(1153),
    [anon_sym_DOT] = ACTIONS(1155),
    [anon_sym_class] = ACTIONS(1155),
    [anon_sym_COLON_COLON] = ACTIONS(1153),
    [anon_sym_switch] = ACTIONS(1155),
    [anon_sym_LBRACE] = ACTIONS(1153),
    [anon_sym_default] = ACTIONS(1155),
    [sym_underscore_pattern] = ACTIONS(1155),
    [anon_sym_SEMI] = ACTIONS(1153),
    [anon_sym_assert] = ACTIONS(1155),
    [anon_sym_do] = ACTIONS(1155),
    [anon_sym_while] = ACTIONS(1155),
    [anon_sym_break] = ACTIONS(1155),
    [anon_sym_continue] = ACTIONS(1155),
    [anon_sym_return] = ACTIONS(1155),
    [anon_sym_yield] = ACTIONS(1155),
    [anon_sym_synchronized] = ACTIONS(1155),
    [anon_sym_throw] = ACTIONS(1155),
    [anon_sym_try] = ACTIONS(1155),
    [anon_sym_if] = ACTIONS(1155),
    [anon_sym_for] = ACTIONS(1155),
    [anon_sym_AT] = ACTIONS(1155),
    [anon_sym_open] = ACTIONS(1155),
    [anon_sym_module] = ACTIONS(1155),
    [anon_sym_static] = ACTIONS(1155),
    [anon_sym_with] = ACTIONS(1155),
    [anon_sym_package] = ACTIONS(1155),
    [anon_sym_import] = ACTIONS(1155),
    [anon_sym_enum] = ACTIONS(1155),
    [anon_sym_public] = ACTIONS(1155),
    [anon_sym_protected] = ACTIONS(1155),
    [anon_sym_private] = ACTIONS(1155),
    [anon_sym_abstract] = ACTIONS(1155),
    [anon_sym_strictfp] = ACTIONS(1155),
    [anon_sym_native] = ACTIONS(1155),
    [anon_sym_transient] = ACTIONS(1155),
    [anon_sym_volatile] = ACTIONS(1155),
    [anon_sym_sealed] = ACTIONS(1155),
    [anon_sym_non_DASHsealed] = ACTIONS(1153),
    [anon_sym_record] = ACTIONS(1155),
    [anon_sym_ATinterface] = ACTIONS(1153),
    [anon_sym_interface] = ACTIONS(1155),
    [anon_sym_byte] = ACTIONS(1155),
    [anon_sym_short] = ACTIONS(1155),
    [anon_sym_int] = ACTIONS(1155),
    [anon_sym_long] = ACTIONS(1155),
    [anon_sym_char] = ACTIONS(1155),
    [anon_sym_float] = ACTIONS(1155),
    [anon_sym_double] = ACTIONS(1155),
    [sym_boolean_type] = ACTIONS(1155),
    [sym_void_type] = ACTIONS(1155),
    [anon_sym_def] = ACTIONS(1155),
    [sym_this] = ACTIONS(1155),
    [sym_super] = ACTIONS(1155),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1153),
  },
  [395] = {
    [ts_builtin_sym_end] = ACTIONS(1157),
    [sym_identifier] = ACTIONS(1159),
    [sym_decimal_integer_literal] = ACTIONS(1159),
    [sym_hex_integer_literal] = ACTIONS(1159),
    [sym_octal_integer_literal] = ACTIONS(1159),
    [sym_binary_integer_literal] = ACTIONS(1157),
    [sym_decimal_floating_point_literal] = ACTIONS(1157),
    [sym_hex_floating_point_literal] = ACTIONS(1159),
    [sym_true] = ACTIONS(1159),
    [sym_false] = ACTIONS(1159),
    [sym_character_literal] = ACTIONS(1157),
    [anon_sym_DQUOTE] = ACTIONS(1159),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1157),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1157),
    [anon_sym_RBRACE] = ACTIONS(1157),
    [sym_null_literal] = ACTIONS(1159),
    [anon_sym_LPAREN] = ACTIONS(1157),
    [anon_sym_AMP] = ACTIONS(1159),
    [anon_sym_GT] = ACTIONS(1159),
    [anon_sym_LT] = ACTIONS(1159),
    [anon_sym_GT_EQ] = ACTIONS(1157),
    [anon_sym_LT_EQ] = ACTIONS(1157),
    [anon_sym_EQ_EQ] = ACTIONS(1157),
    [anon_sym_BANG_EQ] = ACTIONS(1157),
    [anon_sym_AMP_AMP] = ACTIONS(1157),
    [anon_sym_PIPE_PIPE] = ACTIONS(1157),
    [anon_sym_PLUS] = ACTIONS(1159),
    [anon_sym_DASH] = ACTIONS(1159),
    [anon_sym_STAR] = ACTIONS(1159),
    [anon_sym_SLASH] = ACTIONS(1159),
    [anon_sym_PIPE] = ACTIONS(1159),
    [anon_sym_CARET] = ACTIONS(1157),
    [anon_sym_PERCENT] = ACTIONS(1157),
    [anon_sym_LT_LT] = ACTIONS(1157),
    [anon_sym_GT_GT] = ACTIONS(1159),
    [anon_sym_GT_GT_GT] = ACTIONS(1157),
    [anon_sym_in] = ACTIONS(1159),
    [anon_sym_STAR_STAR] = ACTIONS(1157),
    [anon_sym_instanceof] = ACTIONS(1159),
    [anon_sym_final] = ACTIONS(1159),
    [anon_sym_DASH_GT] = ACTIONS(1157),
    [anon_sym_COMMA] = ACTIONS(1157),
    [anon_sym_QMARK] = ACTIONS(1157),
    [anon_sym_COLON] = ACTIONS(1159),
    [anon_sym_BANG] = ACTIONS(1159),
    [anon_sym_TILDE] = ACTIONS(1157),
    [anon_sym_PLUS_PLUS] = ACTIONS(1157),
    [anon_sym_DASH_DASH] = ACTIONS(1157),
    [anon_sym_new] = ACTIONS(1159),
    [anon_sym_LBRACK] = ACTIONS(1157),
    [anon_sym_DOT] = ACTIONS(1159),
    [anon_sym_class] = ACTIONS(1159),
    [anon_sym_COLON_COLON] = ACTIONS(1157),
    [anon_sym_switch] = ACTIONS(1159),
    [anon_sym_LBRACE] = ACTIONS(1157),
    [anon_sym_default] = ACTIONS(1159),
    [sym_underscore_pattern] = ACTIONS(1159),
    [anon_sym_SEMI] = ACTIONS(1157),
    [anon_sym_assert] = ACTIONS(1159),
    [anon_sym_do] = ACTIONS(1159),
    [anon_sym_while] = ACTIONS(1159),
    [anon_sym_break] = ACTIONS(1159),
    [anon_sym_continue] = ACTIONS(1159),
    [anon_sym_return] = ACTIONS(1159),
    [anon_sym_yield] = ACTIONS(1159),
    [anon_sym_synchronized] = ACTIONS(1159),
    [anon_sym_throw] = ACTIONS(1159),
    [anon_sym_try] = ACTIONS(1159),
    [anon_sym_if] = ACTIONS(1159),
    [anon_sym_for] = ACTIONS(1159),
    [anon_sym_AT] = ACTIONS(1159),
    [anon_sym_open] = ACTIONS(1159),
    [anon_sym_module] = ACTIONS(1159),
    [anon_sym_static] = ACTIONS(1159),
    [anon_sym_with] = ACTIONS(1159),
    [anon_sym_package] = ACTIONS(1159),
    [anon_sym_import] = ACTIONS(1159),
    [anon_sym_enum] = ACTIONS(1159),
    [anon_sym_public] = ACTIONS(1159),
    [anon_sym_protected] = ACTIONS(1159),
    [anon_sym_private] = ACTIONS(1159),
    [anon_sym_abstract] = ACTIONS(1159),
    [anon_sym_strictfp] = ACTIONS(1159),
    [anon_sym_native] = ACTIONS(1159),
    [anon_sym_transient] = ACTIONS(1159),
    [anon_sym_volatile] = ACTIONS(1159),
    [anon_sym_sealed] = ACTIONS(1159),
    [anon_sym_non_DASHsealed] = ACTIONS(1157),
    [anon_sym_record] = ACTIONS(1159),
    [anon_sym_ATinterface] = ACTIONS(1157),
    [anon_sym_interface] = ACTIONS(1159),
    [anon_sym_byte] = ACTIONS(1159),
    [anon_sym_short] = ACTIONS(1159),
    [anon_sym_int] = ACTIONS(1159),
    [anon_sym_long] = ACTIONS(1159),
    [anon_sym_char] = ACTIONS(1159),
    [anon_sym_float] = ACTIONS(1159),
    [anon_sym_double] = ACTIONS(1159),
    [sym_boolean_type] = ACTIONS(1159),
    [sym_void_type] = ACTIONS(1159),
    [anon_sym_def] = ACTIONS(1159),
    [sym_this] = ACTIONS(1159),
    [sym_super] = ACTIONS(1159),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1157),
  },
  [396] = {
    [ts_builtin_sym_end] = ACTIONS(1575),
    [sym_identifier] = ACTIONS(1577),
    [sym_decimal_integer_literal] = ACTIONS(1577),
    [sym_hex_integer_literal] = ACTIONS(1577),
    [sym_octal_integer_literal] = ACTIONS(1577),
    [sym_binary_integer_literal] = ACTIONS(1577),
    [sym_decimal_floating_point_literal] = ACTIONS(1577),
    [sym_hex_floating_point_literal] = ACTIONS(1577),
    [sym_true] = ACTIONS(1577),
    [sym_false] = ACTIONS(1577),
    [sym_character_literal] = ACTIONS(1577),
    [anon_sym_DQUOTE] = ACTIONS(1577),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1577),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1577),
    [anon_sym_RBRACE] = ACTIONS(1577),
    [sym_null_literal] = ACTIONS(1577),
    [anon_sym_LPAREN] = ACTIONS(1577),
    [anon_sym_AMP] = ACTIONS(1577),
    [anon_sym_GT] = ACTIONS(1577),
    [anon_sym_LT] = ACTIONS(1577),
    [anon_sym_GT_EQ] = ACTIONS(1577),
    [anon_sym_LT_EQ] = ACTIONS(1577),
    [anon_sym_EQ_EQ] = ACTIONS(1577),
    [anon_sym_BANG_EQ] = ACTIONS(1577),
    [anon_sym_AMP_AMP] = ACTIONS(1577),
    [anon_sym_PIPE_PIPE] = ACTIONS(1577),
    [anon_sym_PLUS] = ACTIONS(1577),
    [anon_sym_DASH] = ACTIONS(1577),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_SLASH] = ACTIONS(1577),
    [anon_sym_PIPE] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1577),
    [anon_sym_PERCENT] = ACTIONS(1577),
    [anon_sym_LT_LT] = ACTIONS(1577),
    [anon_sym_GT_GT] = ACTIONS(1577),
    [anon_sym_GT_GT_GT] = ACTIONS(1577),
    [anon_sym_in] = ACTIONS(1577),
    [anon_sym_STAR_STAR] = ACTIONS(1577),
    [anon_sym_instanceof] = ACTIONS(1577),
    [anon_sym_final] = ACTIONS(1577),
    [anon_sym_DASH_GT] = ACTIONS(1577),
    [anon_sym_QMARK] = ACTIONS(1577),
    [anon_sym_BANG] = ACTIONS(1577),
    [anon_sym_TILDE] = ACTIONS(1577),
    [anon_sym_PLUS_PLUS] = ACTIONS(1577),
    [anon_sym_DASH_DASH] = ACTIONS(1577),
    [anon_sym_new] = ACTIONS(1577),
    [anon_sym_LBRACK] = ACTIONS(1577),
    [anon_sym_class] = ACTIONS(1577),
    [anon_sym_switch] = ACTIONS(1577),
    [anon_sym_LBRACE] = ACTIONS(1577),
    [anon_sym_case] = ACTIONS(1577),
    [anon_sym_default] = ACTIONS(1577),
    [sym_underscore_pattern] = ACTIONS(1577),
    [anon_sym_SEMI] = ACTIONS(1577),
    [aux_sym_expression_statement_token1] = ACTIONS(1575),
    [anon_sym_NULL] = ACTIONS(1577),
    [anon_sym_assert] = ACTIONS(1577),
    [anon_sym_do] = ACTIONS(1577),
    [anon_sym_while] = ACTIONS(1577),
    [anon_sym_break] = ACTIONS(1577),
    [anon_sym_continue] = ACTIONS(1577),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_yield] = ACTIONS(1577),
    [anon_sym_synchronized] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1577),
    [anon_sym_try] = ACTIONS(1577),
    [anon_sym_if] = ACTIONS(1577),
    [anon_sym_else] = ACTIONS(1577),
    [anon_sym_for] = ACTIONS(1577),
    [anon_sym_AT] = ACTIONS(1577),
    [anon_sym_open] = ACTIONS(1577),
    [anon_sym_module] = ACTIONS(1577),
    [anon_sym_static] = ACTIONS(1577),
    [anon_sym_with] = ACTIONS(1577),
    [anon_sym_package] = ACTIONS(1577),
    [anon_sym_import] = ACTIONS(1577),
    [anon_sym_enum] = ACTIONS(1577),
    [anon_sym_public] = ACTIONS(1577),
    [anon_sym_protected] = ACTIONS(1577),
    [anon_sym_private] = ACTIONS(1577),
    [anon_sym_abstract] = ACTIONS(1577),
    [anon_sym_strictfp] = ACTIONS(1577),
    [anon_sym_native] = ACTIONS(1577),
    [anon_sym_transient] = ACTIONS(1577),
    [anon_sym_volatile] = ACTIONS(1577),
    [anon_sym_sealed] = ACTIONS(1577),
    [anon_sym_non_DASHsealed] = ACTIONS(1577),
    [anon_sym_record] = ACTIONS(1577),
    [anon_sym_ATinterface] = ACTIONS(1577),
    [anon_sym_interface] = ACTIONS(1577),
    [anon_sym_byte] = ACTIONS(1577),
    [anon_sym_short] = ACTIONS(1577),
    [anon_sym_int] = ACTIONS(1577),
    [anon_sym_long] = ACTIONS(1577),
    [anon_sym_char] = ACTIONS(1577),
    [anon_sym_float] = ACTIONS(1577),
    [anon_sym_double] = ACTIONS(1577),
    [sym_boolean_type] = ACTIONS(1577),
    [sym_void_type] = ACTIONS(1577),
    [anon_sym_def] = ACTIONS(1577),
    [sym_this] = ACTIONS(1577),
    [sym_super] = ACTIONS(1577),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1577),
  },
  [397] = {
    [ts_builtin_sym_end] = ACTIONS(1579),
    [sym_identifier] = ACTIONS(1581),
    [sym_decimal_integer_literal] = ACTIONS(1581),
    [sym_hex_integer_literal] = ACTIONS(1581),
    [sym_octal_integer_literal] = ACTIONS(1581),
    [sym_binary_integer_literal] = ACTIONS(1581),
    [sym_decimal_floating_point_literal] = ACTIONS(1581),
    [sym_hex_floating_point_literal] = ACTIONS(1581),
    [sym_true] = ACTIONS(1581),
    [sym_false] = ACTIONS(1581),
    [sym_character_literal] = ACTIONS(1581),
    [anon_sym_DQUOTE] = ACTIONS(1581),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1581),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1581),
    [anon_sym_RBRACE] = ACTIONS(1581),
    [sym_null_literal] = ACTIONS(1581),
    [anon_sym_LPAREN] = ACTIONS(1581),
    [anon_sym_AMP] = ACTIONS(1581),
    [anon_sym_GT] = ACTIONS(1581),
    [anon_sym_LT] = ACTIONS(1581),
    [anon_sym_GT_EQ] = ACTIONS(1581),
    [anon_sym_LT_EQ] = ACTIONS(1581),
    [anon_sym_EQ_EQ] = ACTIONS(1581),
    [anon_sym_BANG_EQ] = ACTIONS(1581),
    [anon_sym_AMP_AMP] = ACTIONS(1581),
    [anon_sym_PIPE_PIPE] = ACTIONS(1581),
    [anon_sym_PLUS] = ACTIONS(1581),
    [anon_sym_DASH] = ACTIONS(1581),
    [anon_sym_STAR] = ACTIONS(1581),
    [anon_sym_SLASH] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1581),
    [anon_sym_CARET] = ACTIONS(1581),
    [anon_sym_PERCENT] = ACTIONS(1581),
    [anon_sym_LT_LT] = ACTIONS(1581),
    [anon_sym_GT_GT] = ACTIONS(1581),
    [anon_sym_GT_GT_GT] = ACTIONS(1581),
    [anon_sym_in] = ACTIONS(1581),
    [anon_sym_STAR_STAR] = ACTIONS(1581),
    [anon_sym_instanceof] = ACTIONS(1581),
    [anon_sym_final] = ACTIONS(1581),
    [anon_sym_DASH_GT] = ACTIONS(1581),
    [anon_sym_QMARK] = ACTIONS(1581),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1581),
    [anon_sym_PLUS_PLUS] = ACTIONS(1581),
    [anon_sym_DASH_DASH] = ACTIONS(1581),
    [anon_sym_new] = ACTIONS(1581),
    [anon_sym_LBRACK] = ACTIONS(1581),
    [anon_sym_class] = ACTIONS(1581),
    [anon_sym_switch] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1581),
    [anon_sym_case] = ACTIONS(1581),
    [anon_sym_default] = ACTIONS(1581),
    [sym_underscore_pattern] = ACTIONS(1581),
    [anon_sym_SEMI] = ACTIONS(1581),
    [aux_sym_expression_statement_token1] = ACTIONS(1579),
    [anon_sym_NULL] = ACTIONS(1581),
    [anon_sym_assert] = ACTIONS(1581),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_while] = ACTIONS(1581),
    [anon_sym_break] = ACTIONS(1581),
    [anon_sym_continue] = ACTIONS(1581),
    [anon_sym_return] = ACTIONS(1581),
    [anon_sym_yield] = ACTIONS(1581),
    [anon_sym_synchronized] = ACTIONS(1581),
    [anon_sym_throw] = ACTIONS(1581),
    [anon_sym_try] = ACTIONS(1581),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_else] = ACTIONS(1581),
    [anon_sym_for] = ACTIONS(1581),
    [anon_sym_AT] = ACTIONS(1581),
    [anon_sym_open] = ACTIONS(1581),
    [anon_sym_module] = ACTIONS(1581),
    [anon_sym_static] = ACTIONS(1581),
    [anon_sym_with] = ACTIONS(1581),
    [anon_sym_package] = ACTIONS(1581),
    [anon_sym_import] = ACTIONS(1581),
    [anon_sym_enum] = ACTIONS(1581),
    [anon_sym_public] = ACTIONS(1581),
    [anon_sym_protected] = ACTIONS(1581),
    [anon_sym_private] = ACTIONS(1581),
    [anon_sym_abstract] = ACTIONS(1581),
    [anon_sym_strictfp] = ACTIONS(1581),
    [anon_sym_native] = ACTIONS(1581),
    [anon_sym_transient] = ACTIONS(1581),
    [anon_sym_volatile] = ACTIONS(1581),
    [anon_sym_sealed] = ACTIONS(1581),
    [anon_sym_non_DASHsealed] = ACTIONS(1581),
    [anon_sym_record] = ACTIONS(1581),
    [anon_sym_ATinterface] = ACTIONS(1581),
    [anon_sym_interface] = ACTIONS(1581),
    [anon_sym_byte] = ACTIONS(1581),
    [anon_sym_short] = ACTIONS(1581),
    [anon_sym_int] = ACTIONS(1581),
    [anon_sym_long] = ACTIONS(1581),
    [anon_sym_char] = ACTIONS(1581),
    [anon_sym_float] = ACTIONS(1581),
    [anon_sym_double] = ACTIONS(1581),
    [sym_boolean_type] = ACTIONS(1581),
    [sym_void_type] = ACTIONS(1581),
    [anon_sym_def] = ACTIONS(1581),
    [sym_this] = ACTIONS(1581),
    [sym_super] = ACTIONS(1581),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1581),
  },
  [398] = {
    [ts_builtin_sym_end] = ACTIONS(1583),
    [sym_identifier] = ACTIONS(1585),
    [sym_decimal_integer_literal] = ACTIONS(1585),
    [sym_hex_integer_literal] = ACTIONS(1585),
    [sym_octal_integer_literal] = ACTIONS(1585),
    [sym_binary_integer_literal] = ACTIONS(1585),
    [sym_decimal_floating_point_literal] = ACTIONS(1585),
    [sym_hex_floating_point_literal] = ACTIONS(1585),
    [sym_true] = ACTIONS(1585),
    [sym_false] = ACTIONS(1585),
    [sym_character_literal] = ACTIONS(1585),
    [anon_sym_DQUOTE] = ACTIONS(1585),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1585),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1585),
    [anon_sym_RBRACE] = ACTIONS(1585),
    [sym_null_literal] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1585),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT_EQ] = ACTIONS(1585),
    [anon_sym_LT_EQ] = ACTIONS(1585),
    [anon_sym_EQ_EQ] = ACTIONS(1585),
    [anon_sym_BANG_EQ] = ACTIONS(1585),
    [anon_sym_AMP_AMP] = ACTIONS(1585),
    [anon_sym_PIPE_PIPE] = ACTIONS(1585),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1585),
    [anon_sym_PERCENT] = ACTIONS(1585),
    [anon_sym_LT_LT] = ACTIONS(1585),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1585),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1585),
    [anon_sym_instanceof] = ACTIONS(1585),
    [anon_sym_final] = ACTIONS(1585),
    [anon_sym_DASH_GT] = ACTIONS(1585),
    [anon_sym_QMARK] = ACTIONS(1585),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_TILDE] = ACTIONS(1585),
    [anon_sym_PLUS_PLUS] = ACTIONS(1585),
    [anon_sym_DASH_DASH] = ACTIONS(1585),
    [anon_sym_new] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1585),
    [anon_sym_class] = ACTIONS(1585),
    [anon_sym_switch] = ACTIONS(1585),
    [anon_sym_LBRACE] = ACTIONS(1585),
    [anon_sym_case] = ACTIONS(1585),
    [anon_sym_default] = ACTIONS(1585),
    [sym_underscore_pattern] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1585),
    [aux_sym_expression_statement_token1] = ACTIONS(1583),
    [anon_sym_NULL] = ACTIONS(1585),
    [anon_sym_assert] = ACTIONS(1585),
    [anon_sym_do] = ACTIONS(1585),
    [anon_sym_while] = ACTIONS(1585),
    [anon_sym_break] = ACTIONS(1585),
    [anon_sym_continue] = ACTIONS(1585),
    [anon_sym_return] = ACTIONS(1585),
    [anon_sym_yield] = ACTIONS(1585),
    [anon_sym_synchronized] = ACTIONS(1585),
    [anon_sym_throw] = ACTIONS(1585),
    [anon_sym_try] = ACTIONS(1585),
    [anon_sym_if] = ACTIONS(1585),
    [anon_sym_else] = ACTIONS(1585),
    [anon_sym_for] = ACTIONS(1585),
    [anon_sym_AT] = ACTIONS(1585),
    [anon_sym_open] = ACTIONS(1585),
    [anon_sym_module] = ACTIONS(1585),
    [anon_sym_static] = ACTIONS(1585),
    [anon_sym_with] = ACTIONS(1585),
    [anon_sym_package] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(1585),
    [anon_sym_enum] = ACTIONS(1585),
    [anon_sym_public] = ACTIONS(1585),
    [anon_sym_protected] = ACTIONS(1585),
    [anon_sym_private] = ACTIONS(1585),
    [anon_sym_abstract] = ACTIONS(1585),
    [anon_sym_strictfp] = ACTIONS(1585),
    [anon_sym_native] = ACTIONS(1585),
    [anon_sym_transient] = ACTIONS(1585),
    [anon_sym_volatile] = ACTIONS(1585),
    [anon_sym_sealed] = ACTIONS(1585),
    [anon_sym_non_DASHsealed] = ACTIONS(1585),
    [anon_sym_record] = ACTIONS(1585),
    [anon_sym_ATinterface] = ACTIONS(1585),
    [anon_sym_interface] = ACTIONS(1585),
    [anon_sym_byte] = ACTIONS(1585),
    [anon_sym_short] = ACTIONS(1585),
    [anon_sym_int] = ACTIONS(1585),
    [anon_sym_long] = ACTIONS(1585),
    [anon_sym_char] = ACTIONS(1585),
    [anon_sym_float] = ACTIONS(1585),
    [anon_sym_double] = ACTIONS(1585),
    [sym_boolean_type] = ACTIONS(1585),
    [sym_void_type] = ACTIONS(1585),
    [anon_sym_def] = ACTIONS(1585),
    [sym_this] = ACTIONS(1585),
    [sym_super] = ACTIONS(1585),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1585),
  },
  [399] = {
    [ts_builtin_sym_end] = ACTIONS(1587),
    [sym_identifier] = ACTIONS(1589),
    [sym_decimal_integer_literal] = ACTIONS(1589),
    [sym_hex_integer_literal] = ACTIONS(1589),
    [sym_octal_integer_literal] = ACTIONS(1589),
    [sym_binary_integer_literal] = ACTIONS(1589),
    [sym_decimal_floating_point_literal] = ACTIONS(1589),
    [sym_hex_floating_point_literal] = ACTIONS(1589),
    [sym_true] = ACTIONS(1589),
    [sym_false] = ACTIONS(1589),
    [sym_character_literal] = ACTIONS(1589),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1589),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1589),
    [anon_sym_RBRACE] = ACTIONS(1589),
    [sym_null_literal] = ACTIONS(1589),
    [anon_sym_LPAREN] = ACTIONS(1589),
    [anon_sym_AMP] = ACTIONS(1589),
    [anon_sym_GT] = ACTIONS(1589),
    [anon_sym_LT] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1589),
    [anon_sym_LT_EQ] = ACTIONS(1589),
    [anon_sym_EQ_EQ] = ACTIONS(1589),
    [anon_sym_BANG_EQ] = ACTIONS(1589),
    [anon_sym_AMP_AMP] = ACTIONS(1589),
    [anon_sym_PIPE_PIPE] = ACTIONS(1589),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1589),
    [anon_sym_SLASH] = ACTIONS(1589),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1589),
    [anon_sym_PERCENT] = ACTIONS(1589),
    [anon_sym_LT_LT] = ACTIONS(1589),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_GT_GT_GT] = ACTIONS(1589),
    [anon_sym_in] = ACTIONS(1589),
    [anon_sym_STAR_STAR] = ACTIONS(1589),
    [anon_sym_instanceof] = ACTIONS(1589),
    [anon_sym_final] = ACTIONS(1589),
    [anon_sym_DASH_GT] = ACTIONS(1589),
    [anon_sym_QMARK] = ACTIONS(1589),
    [anon_sym_BANG] = ACTIONS(1589),
    [anon_sym_TILDE] = ACTIONS(1589),
    [anon_sym_PLUS_PLUS] = ACTIONS(1589),
    [anon_sym_DASH_DASH] = ACTIONS(1589),
    [anon_sym_new] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1589),
    [anon_sym_class] = ACTIONS(1589),
    [anon_sym_switch] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1589),
    [anon_sym_case] = ACTIONS(1589),
    [anon_sym_default] = ACTIONS(1589),
    [sym_underscore_pattern] = ACTIONS(1589),
    [anon_sym_SEMI] = ACTIONS(1589),
    [aux_sym_expression_statement_token1] = ACTIONS(1587),
    [anon_sym_NULL] = ACTIONS(1589),
    [anon_sym_assert] = ACTIONS(1589),
    [anon_sym_do] = ACTIONS(1589),
    [anon_sym_while] = ACTIONS(1589),
    [anon_sym_break] = ACTIONS(1589),
    [anon_sym_continue] = ACTIONS(1589),
    [anon_sym_return] = ACTIONS(1589),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_synchronized] = ACTIONS(1589),
    [anon_sym_throw] = ACTIONS(1589),
    [anon_sym_try] = ACTIONS(1589),
    [anon_sym_if] = ACTIONS(1589),
    [anon_sym_else] = ACTIONS(1589),
    [anon_sym_for] = ACTIONS(1589),
    [anon_sym_AT] = ACTIONS(1589),
    [anon_sym_open] = ACTIONS(1589),
    [anon_sym_module] = ACTIONS(1589),
    [anon_sym_static] = ACTIONS(1589),
    [anon_sym_with] = ACTIONS(1589),
    [anon_sym_package] = ACTIONS(1589),
    [anon_sym_import] = ACTIONS(1589),
    [anon_sym_enum] = ACTIONS(1589),
    [anon_sym_public] = ACTIONS(1589),
    [anon_sym_protected] = ACTIONS(1589),
    [anon_sym_private] = ACTIONS(1589),
    [anon_sym_abstract] = ACTIONS(1589),
    [anon_sym_strictfp] = ACTIONS(1589),
    [anon_sym_native] = ACTIONS(1589),
    [anon_sym_transient] = ACTIONS(1589),
    [anon_sym_volatile] = ACTIONS(1589),
    [anon_sym_sealed] = ACTIONS(1589),
    [anon_sym_non_DASHsealed] = ACTIONS(1589),
    [anon_sym_record] = ACTIONS(1589),
    [anon_sym_ATinterface] = ACTIONS(1589),
    [anon_sym_interface] = ACTIONS(1589),
    [anon_sym_byte] = ACTIONS(1589),
    [anon_sym_short] = ACTIONS(1589),
    [anon_sym_int] = ACTIONS(1589),
    [anon_sym_long] = ACTIONS(1589),
    [anon_sym_char] = ACTIONS(1589),
    [anon_sym_float] = ACTIONS(1589),
    [anon_sym_double] = ACTIONS(1589),
    [sym_boolean_type] = ACTIONS(1589),
    [sym_void_type] = ACTIONS(1589),
    [anon_sym_def] = ACTIONS(1589),
    [sym_this] = ACTIONS(1589),
    [sym_super] = ACTIONS(1589),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1589),
  },
  [400] = {
    [ts_builtin_sym_end] = ACTIONS(1335),
    [sym_identifier] = ACTIONS(1337),
    [sym_decimal_integer_literal] = ACTIONS(1337),
    [sym_hex_integer_literal] = ACTIONS(1337),
    [sym_octal_integer_literal] = ACTIONS(1337),
    [sym_binary_integer_literal] = ACTIONS(1337),
    [sym_decimal_floating_point_literal] = ACTIONS(1337),
    [sym_hex_floating_point_literal] = ACTIONS(1337),
    [sym_true] = ACTIONS(1337),
    [sym_false] = ACTIONS(1337),
    [sym_character_literal] = ACTIONS(1337),
    [anon_sym_DQUOTE] = ACTIONS(1337),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1337),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1337),
    [anon_sym_RBRACE] = ACTIONS(1337),
    [sym_null_literal] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1337),
    [anon_sym_AMP] = ACTIONS(1337),
    [anon_sym_GT] = ACTIONS(1337),
    [anon_sym_LT] = ACTIONS(1337),
    [anon_sym_GT_EQ] = ACTIONS(1337),
    [anon_sym_LT_EQ] = ACTIONS(1337),
    [anon_sym_EQ_EQ] = ACTIONS(1337),
    [anon_sym_BANG_EQ] = ACTIONS(1337),
    [anon_sym_AMP_AMP] = ACTIONS(1337),
    [anon_sym_PIPE_PIPE] = ACTIONS(1337),
    [anon_sym_PLUS] = ACTIONS(1337),
    [anon_sym_DASH] = ACTIONS(1337),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_SLASH] = ACTIONS(1337),
    [anon_sym_PIPE] = ACTIONS(1337),
    [anon_sym_CARET] = ACTIONS(1337),
    [anon_sym_PERCENT] = ACTIONS(1337),
    [anon_sym_LT_LT] = ACTIONS(1337),
    [anon_sym_GT_GT] = ACTIONS(1337),
    [anon_sym_GT_GT_GT] = ACTIONS(1337),
    [anon_sym_in] = ACTIONS(1337),
    [anon_sym_STAR_STAR] = ACTIONS(1337),
    [anon_sym_instanceof] = ACTIONS(1337),
    [anon_sym_final] = ACTIONS(1337),
    [anon_sym_DASH_GT] = ACTIONS(1337),
    [anon_sym_QMARK] = ACTIONS(1337),
    [anon_sym_BANG] = ACTIONS(1337),
    [anon_sym_TILDE] = ACTIONS(1337),
    [anon_sym_PLUS_PLUS] = ACTIONS(1337),
    [anon_sym_DASH_DASH] = ACTIONS(1337),
    [anon_sym_new] = ACTIONS(1337),
    [anon_sym_LBRACK] = ACTIONS(1337),
    [anon_sym_class] = ACTIONS(1337),
    [anon_sym_switch] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(1337),
    [anon_sym_case] = ACTIONS(1337),
    [anon_sym_default] = ACTIONS(1337),
    [sym_underscore_pattern] = ACTIONS(1337),
    [anon_sym_SEMI] = ACTIONS(1337),
    [aux_sym_expression_statement_token1] = ACTIONS(1335),
    [anon_sym_NULL] = ACTIONS(1337),
    [anon_sym_assert] = ACTIONS(1337),
    [anon_sym_do] = ACTIONS(1337),
    [anon_sym_while] = ACTIONS(1337),
    [anon_sym_break] = ACTIONS(1337),
    [anon_sym_continue] = ACTIONS(1337),
    [anon_sym_return] = ACTIONS(1337),
    [anon_sym_yield] = ACTIONS(1337),
    [anon_sym_synchronized] = ACTIONS(1337),
    [anon_sym_throw] = ACTIONS(1337),
    [anon_sym_try] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1337),
    [anon_sym_else] = ACTIONS(1337),
    [anon_sym_for] = ACTIONS(1337),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_module] = ACTIONS(1337),
    [anon_sym_static] = ACTIONS(1337),
    [anon_sym_with] = ACTIONS(1337),
    [anon_sym_package] = ACTIONS(1337),
    [anon_sym_import] = ACTIONS(1337),
    [anon_sym_enum] = ACTIONS(1337),
    [anon_sym_public] = ACTIONS(1337),
    [anon_sym_protected] = ACTIONS(1337),
    [anon_sym_private] = ACTIONS(1337),
    [anon_sym_abstract] = ACTIONS(1337),
    [anon_sym_strictfp] = ACTIONS(1337),
    [anon_sym_native] = ACTIONS(1337),
    [anon_sym_transient] = ACTIONS(1337),
    [anon_sym_volatile] = ACTIONS(1337),
    [anon_sym_sealed] = ACTIONS(1337),
    [anon_sym_non_DASHsealed] = ACTIONS(1337),
    [anon_sym_record] = ACTIONS(1337),
    [anon_sym_ATinterface] = ACTIONS(1337),
    [anon_sym_interface] = ACTIONS(1337),
    [anon_sym_byte] = ACTIONS(1337),
    [anon_sym_short] = ACTIONS(1337),
    [anon_sym_int] = ACTIONS(1337),
    [anon_sym_long] = ACTIONS(1337),
    [anon_sym_char] = ACTIONS(1337),
    [anon_sym_float] = ACTIONS(1337),
    [anon_sym_double] = ACTIONS(1337),
    [sym_boolean_type] = ACTIONS(1337),
    [sym_void_type] = ACTIONS(1337),
    [anon_sym_def] = ACTIONS(1337),
    [sym_this] = ACTIONS(1337),
    [sym_super] = ACTIONS(1337),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1337),
  },
  [401] = {
    [sym_class_body] = STATE(411),
    [ts_builtin_sym_end] = ACTIONS(1084),
    [sym_identifier] = ACTIONS(1086),
    [sym_decimal_integer_literal] = ACTIONS(1086),
    [sym_hex_integer_literal] = ACTIONS(1086),
    [sym_octal_integer_literal] = ACTIONS(1086),
    [sym_binary_integer_literal] = ACTIONS(1084),
    [sym_decimal_floating_point_literal] = ACTIONS(1084),
    [sym_hex_floating_point_literal] = ACTIONS(1086),
    [sym_true] = ACTIONS(1086),
    [sym_false] = ACTIONS(1086),
    [sym_character_literal] = ACTIONS(1084),
    [anon_sym_DQUOTE] = ACTIONS(1086),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1084),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1084),
    [anon_sym_RBRACE] = ACTIONS(1084),
    [sym_null_literal] = ACTIONS(1086),
    [anon_sym_LPAREN] = ACTIONS(1084),
    [anon_sym_AMP] = ACTIONS(1086),
    [anon_sym_GT] = ACTIONS(1086),
    [anon_sym_LT] = ACTIONS(1086),
    [anon_sym_GT_EQ] = ACTIONS(1084),
    [anon_sym_LT_EQ] = ACTIONS(1084),
    [anon_sym_EQ_EQ] = ACTIONS(1084),
    [anon_sym_BANG_EQ] = ACTIONS(1084),
    [anon_sym_AMP_AMP] = ACTIONS(1084),
    [anon_sym_PIPE_PIPE] = ACTIONS(1084),
    [anon_sym_PLUS] = ACTIONS(1086),
    [anon_sym_DASH] = ACTIONS(1086),
    [anon_sym_STAR] = ACTIONS(1086),
    [anon_sym_SLASH] = ACTIONS(1086),
    [anon_sym_PIPE] = ACTIONS(1086),
    [anon_sym_CARET] = ACTIONS(1084),
    [anon_sym_PERCENT] = ACTIONS(1084),
    [anon_sym_LT_LT] = ACTIONS(1084),
    [anon_sym_GT_GT] = ACTIONS(1086),
    [anon_sym_GT_GT_GT] = ACTIONS(1084),
    [anon_sym_in] = ACTIONS(1086),
    [anon_sym_STAR_STAR] = ACTIONS(1084),
    [anon_sym_instanceof] = ACTIONS(1086),
    [anon_sym_final] = ACTIONS(1086),
    [anon_sym_DASH_GT] = ACTIONS(1084),
    [anon_sym_COMMA] = ACTIONS(1084),
    [anon_sym_QMARK] = ACTIONS(1084),
    [anon_sym_BANG] = ACTIONS(1086),
    [anon_sym_TILDE] = ACTIONS(1084),
    [anon_sym_PLUS_PLUS] = ACTIONS(1084),
    [anon_sym_DASH_DASH] = ACTIONS(1084),
    [anon_sym_new] = ACTIONS(1086),
    [anon_sym_LBRACK] = ACTIONS(1084),
    [anon_sym_DOT] = ACTIONS(1086),
    [anon_sym_class] = ACTIONS(1086),
    [anon_sym_COLON_COLON] = ACTIONS(1084),
    [anon_sym_switch] = ACTIONS(1086),
    [anon_sym_LBRACE] = ACTIONS(1485),
    [anon_sym_default] = ACTIONS(1086),
    [sym_underscore_pattern] = ACTIONS(1086),
    [anon_sym_SEMI] = ACTIONS(1084),
    [anon_sym_assert] = ACTIONS(1086),
    [anon_sym_do] = ACTIONS(1086),
    [anon_sym_while] = ACTIONS(1086),
    [anon_sym_break] = ACTIONS(1086),
    [anon_sym_continue] = ACTIONS(1086),
    [anon_sym_return] = ACTIONS(1086),
    [anon_sym_yield] = ACTIONS(1086),
    [anon_sym_synchronized] = ACTIONS(1086),
    [anon_sym_throw] = ACTIONS(1086),
    [anon_sym_try] = ACTIONS(1086),
    [anon_sym_if] = ACTIONS(1086),
    [anon_sym_for] = ACTIONS(1086),
    [anon_sym_AT] = ACTIONS(1086),
    [anon_sym_open] = ACTIONS(1086),
    [anon_sym_module] = ACTIONS(1086),
    [anon_sym_static] = ACTIONS(1086),
    [anon_sym_with] = ACTIONS(1086),
    [anon_sym_package] = ACTIONS(1086),
    [anon_sym_import] = ACTIONS(1086),
    [anon_sym_enum] = ACTIONS(1086),
    [anon_sym_public] = ACTIONS(1086),
    [anon_sym_protected] = ACTIONS(1086),
    [anon_sym_private] = ACTIONS(1086),
    [anon_sym_abstract] = ACTIONS(1086),
    [anon_sym_strictfp] = ACTIONS(1086),
    [anon_sym_native] = ACTIONS(1086),
    [anon_sym_transient] = ACTIONS(1086),
    [anon_sym_volatile] = ACTIONS(1086),
    [anon_sym_sealed] = ACTIONS(1086),
    [anon_sym_non_DASHsealed] = ACTIONS(1084),
    [anon_sym_record] = ACTIONS(1086),
    [anon_sym_ATinterface] = ACTIONS(1084),
    [anon_sym_interface] = ACTIONS(1086),
    [anon_sym_byte] = ACTIONS(1086),
    [anon_sym_short] = ACTIONS(1086),
    [anon_sym_int] = ACTIONS(1086),
    [anon_sym_long] = ACTIONS(1086),
    [anon_sym_char] = ACTIONS(1086),
    [anon_sym_float] = ACTIONS(1086),
    [anon_sym_double] = ACTIONS(1086),
    [sym_boolean_type] = ACTIONS(1086),
    [sym_void_type] = ACTIONS(1086),
    [anon_sym_def] = ACTIONS(1086),
    [sym_this] = ACTIONS(1086),
    [sym_super] = ACTIONS(1086),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1084),
  },
  [402] = {
    [sym_class_body] = STATE(412),
    [ts_builtin_sym_end] = ACTIONS(1088),
    [sym_identifier] = ACTIONS(1090),
    [sym_decimal_integer_literal] = ACTIONS(1090),
    [sym_hex_integer_literal] = ACTIONS(1090),
    [sym_octal_integer_literal] = ACTIONS(1090),
    [sym_binary_integer_literal] = ACTIONS(1088),
    [sym_decimal_floating_point_literal] = ACTIONS(1088),
    [sym_hex_floating_point_literal] = ACTIONS(1090),
    [sym_true] = ACTIONS(1090),
    [sym_false] = ACTIONS(1090),
    [sym_character_literal] = ACTIONS(1088),
    [anon_sym_DQUOTE] = ACTIONS(1090),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1088),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1088),
    [anon_sym_RBRACE] = ACTIONS(1088),
    [sym_null_literal] = ACTIONS(1090),
    [anon_sym_LPAREN] = ACTIONS(1088),
    [anon_sym_AMP] = ACTIONS(1090),
    [anon_sym_GT] = ACTIONS(1090),
    [anon_sym_LT] = ACTIONS(1090),
    [anon_sym_GT_EQ] = ACTIONS(1088),
    [anon_sym_LT_EQ] = ACTIONS(1088),
    [anon_sym_EQ_EQ] = ACTIONS(1088),
    [anon_sym_BANG_EQ] = ACTIONS(1088),
    [anon_sym_AMP_AMP] = ACTIONS(1088),
    [anon_sym_PIPE_PIPE] = ACTIONS(1088),
    [anon_sym_PLUS] = ACTIONS(1090),
    [anon_sym_DASH] = ACTIONS(1090),
    [anon_sym_STAR] = ACTIONS(1090),
    [anon_sym_SLASH] = ACTIONS(1090),
    [anon_sym_PIPE] = ACTIONS(1090),
    [anon_sym_CARET] = ACTIONS(1088),
    [anon_sym_PERCENT] = ACTIONS(1088),
    [anon_sym_LT_LT] = ACTIONS(1088),
    [anon_sym_GT_GT] = ACTIONS(1090),
    [anon_sym_GT_GT_GT] = ACTIONS(1088),
    [anon_sym_in] = ACTIONS(1090),
    [anon_sym_STAR_STAR] = ACTIONS(1088),
    [anon_sym_instanceof] = ACTIONS(1090),
    [anon_sym_final] = ACTIONS(1090),
    [anon_sym_DASH_GT] = ACTIONS(1088),
    [anon_sym_COMMA] = ACTIONS(1088),
    [anon_sym_QMARK] = ACTIONS(1088),
    [anon_sym_BANG] = ACTIONS(1090),
    [anon_sym_TILDE] = ACTIONS(1088),
    [anon_sym_PLUS_PLUS] = ACTIONS(1088),
    [anon_sym_DASH_DASH] = ACTIONS(1088),
    [anon_sym_new] = ACTIONS(1090),
    [anon_sym_LBRACK] = ACTIONS(1088),
    [anon_sym_DOT] = ACTIONS(1090),
    [anon_sym_class] = ACTIONS(1090),
    [anon_sym_COLON_COLON] = ACTIONS(1088),
    [anon_sym_switch] = ACTIONS(1090),
    [anon_sym_LBRACE] = ACTIONS(1485),
    [anon_sym_default] = ACTIONS(1090),
    [sym_underscore_pattern] = ACTIONS(1090),
    [anon_sym_SEMI] = ACTIONS(1088),
    [anon_sym_assert] = ACTIONS(1090),
    [anon_sym_do] = ACTIONS(1090),
    [anon_sym_while] = ACTIONS(1090),
    [anon_sym_break] = ACTIONS(1090),
    [anon_sym_continue] = ACTIONS(1090),
    [anon_sym_return] = ACTIONS(1090),
    [anon_sym_yield] = ACTIONS(1090),
    [anon_sym_synchronized] = ACTIONS(1090),
    [anon_sym_throw] = ACTIONS(1090),
    [anon_sym_try] = ACTIONS(1090),
    [anon_sym_if] = ACTIONS(1090),
    [anon_sym_for] = ACTIONS(1090),
    [anon_sym_AT] = ACTIONS(1090),
    [anon_sym_open] = ACTIONS(1090),
    [anon_sym_module] = ACTIONS(1090),
    [anon_sym_static] = ACTIONS(1090),
    [anon_sym_with] = ACTIONS(1090),
    [anon_sym_package] = ACTIONS(1090),
    [anon_sym_import] = ACTIONS(1090),
    [anon_sym_enum] = ACTIONS(1090),
    [anon_sym_public] = ACTIONS(1090),
    [anon_sym_protected] = ACTIONS(1090),
    [anon_sym_private] = ACTIONS(1090),
    [anon_sym_abstract] = ACTIONS(1090),
    [anon_sym_strictfp] = ACTIONS(1090),
    [anon_sym_native] = ACTIONS(1090),
    [anon_sym_transient] = ACTIONS(1090),
    [anon_sym_volatile] = ACTIONS(1090),
    [anon_sym_sealed] = ACTIONS(1090),
    [anon_sym_non_DASHsealed] = ACTIONS(1088),
    [anon_sym_record] = ACTIONS(1090),
    [anon_sym_ATinterface] = ACTIONS(1088),
    [anon_sym_interface] = ACTIONS(1090),
    [anon_sym_byte] = ACTIONS(1090),
    [anon_sym_short] = ACTIONS(1090),
    [anon_sym_int] = ACTIONS(1090),
    [anon_sym_long] = ACTIONS(1090),
    [anon_sym_char] = ACTIONS(1090),
    [anon_sym_float] = ACTIONS(1090),
    [anon_sym_double] = ACTIONS(1090),
    [sym_boolean_type] = ACTIONS(1090),
    [sym_void_type] = ACTIONS(1090),
    [anon_sym_def] = ACTIONS(1090),
    [sym_this] = ACTIONS(1090),
    [sym_super] = ACTIONS(1090),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1088),
  },
  [403] = {
    [sym_class_body] = STATE(419),
    [ts_builtin_sym_end] = ACTIONS(1092),
    [sym_identifier] = ACTIONS(1094),
    [sym_decimal_integer_literal] = ACTIONS(1094),
    [sym_hex_integer_literal] = ACTIONS(1094),
    [sym_octal_integer_literal] = ACTIONS(1094),
    [sym_binary_integer_literal] = ACTIONS(1092),
    [sym_decimal_floating_point_literal] = ACTIONS(1092),
    [sym_hex_floating_point_literal] = ACTIONS(1094),
    [sym_true] = ACTIONS(1094),
    [sym_false] = ACTIONS(1094),
    [sym_character_literal] = ACTIONS(1092),
    [anon_sym_DQUOTE] = ACTIONS(1094),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1092),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1092),
    [anon_sym_RBRACE] = ACTIONS(1092),
    [sym_null_literal] = ACTIONS(1094),
    [anon_sym_LPAREN] = ACTIONS(1092),
    [anon_sym_AMP] = ACTIONS(1094),
    [anon_sym_GT] = ACTIONS(1094),
    [anon_sym_LT] = ACTIONS(1094),
    [anon_sym_GT_EQ] = ACTIONS(1092),
    [anon_sym_LT_EQ] = ACTIONS(1092),
    [anon_sym_EQ_EQ] = ACTIONS(1092),
    [anon_sym_BANG_EQ] = ACTIONS(1092),
    [anon_sym_AMP_AMP] = ACTIONS(1092),
    [anon_sym_PIPE_PIPE] = ACTIONS(1092),
    [anon_sym_PLUS] = ACTIONS(1094),
    [anon_sym_DASH] = ACTIONS(1094),
    [anon_sym_STAR] = ACTIONS(1094),
    [anon_sym_SLASH] = ACTIONS(1094),
    [anon_sym_PIPE] = ACTIONS(1094),
    [anon_sym_CARET] = ACTIONS(1092),
    [anon_sym_PERCENT] = ACTIONS(1092),
    [anon_sym_LT_LT] = ACTIONS(1092),
    [anon_sym_GT_GT] = ACTIONS(1094),
    [anon_sym_GT_GT_GT] = ACTIONS(1092),
    [anon_sym_in] = ACTIONS(1094),
    [anon_sym_STAR_STAR] = ACTIONS(1092),
    [anon_sym_instanceof] = ACTIONS(1094),
    [anon_sym_final] = ACTIONS(1094),
    [anon_sym_DASH_GT] = ACTIONS(1092),
    [anon_sym_COMMA] = ACTIONS(1092),
    [anon_sym_QMARK] = ACTIONS(1092),
    [anon_sym_BANG] = ACTIONS(1094),
    [anon_sym_TILDE] = ACTIONS(1092),
    [anon_sym_PLUS_PLUS] = ACTIONS(1092),
    [anon_sym_DASH_DASH] = ACTIONS(1092),
    [anon_sym_new] = ACTIONS(1094),
    [anon_sym_LBRACK] = ACTIONS(1092),
    [anon_sym_DOT] = ACTIONS(1094),
    [anon_sym_class] = ACTIONS(1094),
    [anon_sym_COLON_COLON] = ACTIONS(1092),
    [anon_sym_switch] = ACTIONS(1094),
    [anon_sym_LBRACE] = ACTIONS(1485),
    [anon_sym_default] = ACTIONS(1094),
    [sym_underscore_pattern] = ACTIONS(1094),
    [anon_sym_SEMI] = ACTIONS(1092),
    [anon_sym_assert] = ACTIONS(1094),
    [anon_sym_do] = ACTIONS(1094),
    [anon_sym_while] = ACTIONS(1094),
    [anon_sym_break] = ACTIONS(1094),
    [anon_sym_continue] = ACTIONS(1094),
    [anon_sym_return] = ACTIONS(1094),
    [anon_sym_yield] = ACTIONS(1094),
    [anon_sym_synchronized] = ACTIONS(1094),
    [anon_sym_throw] = ACTIONS(1094),
    [anon_sym_try] = ACTIONS(1094),
    [anon_sym_if] = ACTIONS(1094),
    [anon_sym_for] = ACTIONS(1094),
    [anon_sym_AT] = ACTIONS(1094),
    [anon_sym_open] = ACTIONS(1094),
    [anon_sym_module] = ACTIONS(1094),
    [anon_sym_static] = ACTIONS(1094),
    [anon_sym_with] = ACTIONS(1094),
    [anon_sym_package] = ACTIONS(1094),
    [anon_sym_import] = ACTIONS(1094),
    [anon_sym_enum] = ACTIONS(1094),
    [anon_sym_public] = ACTIONS(1094),
    [anon_sym_protected] = ACTIONS(1094),
    [anon_sym_private] = ACTIONS(1094),
    [anon_sym_abstract] = ACTIONS(1094),
    [anon_sym_strictfp] = ACTIONS(1094),
    [anon_sym_native] = ACTIONS(1094),
    [anon_sym_transient] = ACTIONS(1094),
    [anon_sym_volatile] = ACTIONS(1094),
    [anon_sym_sealed] = ACTIONS(1094),
    [anon_sym_non_DASHsealed] = ACTIONS(1092),
    [anon_sym_record] = ACTIONS(1094),
    [anon_sym_ATinterface] = ACTIONS(1092),
    [anon_sym_interface] = ACTIONS(1094),
    [anon_sym_byte] = ACTIONS(1094),
    [anon_sym_short] = ACTIONS(1094),
    [anon_sym_int] = ACTIONS(1094),
    [anon_sym_long] = ACTIONS(1094),
    [anon_sym_char] = ACTIONS(1094),
    [anon_sym_float] = ACTIONS(1094),
    [anon_sym_double] = ACTIONS(1094),
    [sym_boolean_type] = ACTIONS(1094),
    [sym_void_type] = ACTIONS(1094),
    [anon_sym_def] = ACTIONS(1094),
    [sym_this] = ACTIONS(1094),
    [sym_super] = ACTIONS(1094),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1092),
  },
  [404] = {
    [sym_class_body] = STATE(427),
    [ts_builtin_sym_end] = ACTIONS(1096),
    [sym_identifier] = ACTIONS(1098),
    [sym_decimal_integer_literal] = ACTIONS(1098),
    [sym_hex_integer_literal] = ACTIONS(1098),
    [sym_octal_integer_literal] = ACTIONS(1098),
    [sym_binary_integer_literal] = ACTIONS(1096),
    [sym_decimal_floating_point_literal] = ACTIONS(1096),
    [sym_hex_floating_point_literal] = ACTIONS(1098),
    [sym_true] = ACTIONS(1098),
    [sym_false] = ACTIONS(1098),
    [sym_character_literal] = ACTIONS(1096),
    [anon_sym_DQUOTE] = ACTIONS(1098),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1096),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1096),
    [anon_sym_RBRACE] = ACTIONS(1096),
    [sym_null_literal] = ACTIONS(1098),
    [anon_sym_LPAREN] = ACTIONS(1096),
    [anon_sym_AMP] = ACTIONS(1098),
    [anon_sym_GT] = ACTIONS(1098),
    [anon_sym_LT] = ACTIONS(1098),
    [anon_sym_GT_EQ] = ACTIONS(1096),
    [anon_sym_LT_EQ] = ACTIONS(1096),
    [anon_sym_EQ_EQ] = ACTIONS(1096),
    [anon_sym_BANG_EQ] = ACTIONS(1096),
    [anon_sym_AMP_AMP] = ACTIONS(1096),
    [anon_sym_PIPE_PIPE] = ACTIONS(1096),
    [anon_sym_PLUS] = ACTIONS(1098),
    [anon_sym_DASH] = ACTIONS(1098),
    [anon_sym_STAR] = ACTIONS(1098),
    [anon_sym_SLASH] = ACTIONS(1098),
    [anon_sym_PIPE] = ACTIONS(1098),
    [anon_sym_CARET] = ACTIONS(1096),
    [anon_sym_PERCENT] = ACTIONS(1096),
    [anon_sym_LT_LT] = ACTIONS(1096),
    [anon_sym_GT_GT] = ACTIONS(1098),
    [anon_sym_GT_GT_GT] = ACTIONS(1096),
    [anon_sym_in] = ACTIONS(1098),
    [anon_sym_STAR_STAR] = ACTIONS(1096),
    [anon_sym_instanceof] = ACTIONS(1098),
    [anon_sym_final] = ACTIONS(1098),
    [anon_sym_DASH_GT] = ACTIONS(1096),
    [anon_sym_COMMA] = ACTIONS(1096),
    [anon_sym_QMARK] = ACTIONS(1096),
    [anon_sym_BANG] = ACTIONS(1098),
    [anon_sym_TILDE] = ACTIONS(1096),
    [anon_sym_PLUS_PLUS] = ACTIONS(1096),
    [anon_sym_DASH_DASH] = ACTIONS(1096),
    [anon_sym_new] = ACTIONS(1098),
    [anon_sym_LBRACK] = ACTIONS(1096),
    [anon_sym_DOT] = ACTIONS(1098),
    [anon_sym_class] = ACTIONS(1098),
    [anon_sym_COLON_COLON] = ACTIONS(1096),
    [anon_sym_switch] = ACTIONS(1098),
    [anon_sym_LBRACE] = ACTIONS(1485),
    [anon_sym_default] = ACTIONS(1098),
    [sym_underscore_pattern] = ACTIONS(1098),
    [anon_sym_SEMI] = ACTIONS(1096),
    [anon_sym_assert] = ACTIONS(1098),
    [anon_sym_do] = ACTIONS(1098),
    [anon_sym_while] = ACTIONS(1098),
    [anon_sym_break] = ACTIONS(1098),
    [anon_sym_continue] = ACTIONS(1098),
    [anon_sym_return] = ACTIONS(1098),
    [anon_sym_yield] = ACTIONS(1098),
    [anon_sym_synchronized] = ACTIONS(1098),
    [anon_sym_throw] = ACTIONS(1098),
    [anon_sym_try] = ACTIONS(1098),
    [anon_sym_if] = ACTIONS(1098),
    [anon_sym_for] = ACTIONS(1098),
    [anon_sym_AT] = ACTIONS(1098),
    [anon_sym_open] = ACTIONS(1098),
    [anon_sym_module] = ACTIONS(1098),
    [anon_sym_static] = ACTIONS(1098),
    [anon_sym_with] = ACTIONS(1098),
    [anon_sym_package] = ACTIONS(1098),
    [anon_sym_import] = ACTIONS(1098),
    [anon_sym_enum] = ACTIONS(1098),
    [anon_sym_public] = ACTIONS(1098),
    [anon_sym_protected] = ACTIONS(1098),
    [anon_sym_private] = ACTIONS(1098),
    [anon_sym_abstract] = ACTIONS(1098),
    [anon_sym_strictfp] = ACTIONS(1098),
    [anon_sym_native] = ACTIONS(1098),
    [anon_sym_transient] = ACTIONS(1098),
    [anon_sym_volatile] = ACTIONS(1098),
    [anon_sym_sealed] = ACTIONS(1098),
    [anon_sym_non_DASHsealed] = ACTIONS(1096),
    [anon_sym_record] = ACTIONS(1098),
    [anon_sym_ATinterface] = ACTIONS(1096),
    [anon_sym_interface] = ACTIONS(1098),
    [anon_sym_byte] = ACTIONS(1098),
    [anon_sym_short] = ACTIONS(1098),
    [anon_sym_int] = ACTIONS(1098),
    [anon_sym_long] = ACTIONS(1098),
    [anon_sym_char] = ACTIONS(1098),
    [anon_sym_float] = ACTIONS(1098),
    [anon_sym_double] = ACTIONS(1098),
    [sym_boolean_type] = ACTIONS(1098),
    [sym_void_type] = ACTIONS(1098),
    [anon_sym_def] = ACTIONS(1098),
    [sym_this] = ACTIONS(1098),
    [sym_super] = ACTIONS(1098),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1096),
  },
  [405] = {
    [ts_builtin_sym_end] = ACTIONS(1591),
    [sym_identifier] = ACTIONS(1593),
    [sym_decimal_integer_literal] = ACTIONS(1593),
    [sym_hex_integer_literal] = ACTIONS(1593),
    [sym_octal_integer_literal] = ACTIONS(1593),
    [sym_binary_integer_literal] = ACTIONS(1593),
    [sym_decimal_floating_point_literal] = ACTIONS(1593),
    [sym_hex_floating_point_literal] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_character_literal] = ACTIONS(1593),
    [anon_sym_DQUOTE] = ACTIONS(1593),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1593),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1593),
    [anon_sym_RBRACE] = ACTIONS(1593),
    [sym_null_literal] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1593),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1521),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_AMP_AMP] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PERCENT] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1537),
    [anon_sym_GT_GT] = ACTIONS(1537),
    [anon_sym_GT_GT_GT] = ACTIONS(1537),
    [anon_sym_in] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1539),
    [anon_sym_final] = ACTIONS(1593),
    [anon_sym_DASH_GT] = ACTIONS(1593),
    [anon_sym_QMARK] = ACTIONS(1541),
    [anon_sym_BANG] = ACTIONS(1593),
    [anon_sym_TILDE] = ACTIONS(1593),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_new] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1593),
    [anon_sym_class] = ACTIONS(1593),
    [anon_sym_switch] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1593),
    [anon_sym_case] = ACTIONS(1593),
    [anon_sym_default] = ACTIONS(1593),
    [sym_underscore_pattern] = ACTIONS(1593),
    [anon_sym_SEMI] = ACTIONS(1593),
    [aux_sym_expression_statement_token1] = ACTIONS(1591),
    [anon_sym_NULL] = ACTIONS(1593),
    [anon_sym_assert] = ACTIONS(1593),
    [anon_sym_do] = ACTIONS(1593),
    [anon_sym_while] = ACTIONS(1593),
    [anon_sym_break] = ACTIONS(1593),
    [anon_sym_continue] = ACTIONS(1593),
    [anon_sym_return] = ACTIONS(1593),
    [anon_sym_yield] = ACTIONS(1593),
    [anon_sym_synchronized] = ACTIONS(1593),
    [anon_sym_throw] = ACTIONS(1593),
    [anon_sym_try] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(1593),
    [anon_sym_else] = ACTIONS(1593),
    [anon_sym_for] = ACTIONS(1593),
    [anon_sym_AT] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_module] = ACTIONS(1593),
    [anon_sym_static] = ACTIONS(1593),
    [anon_sym_with] = ACTIONS(1593),
    [anon_sym_package] = ACTIONS(1593),
    [anon_sym_import] = ACTIONS(1593),
    [anon_sym_enum] = ACTIONS(1593),
    [anon_sym_public] = ACTIONS(1593),
    [anon_sym_protected] = ACTIONS(1593),
    [anon_sym_private] = ACTIONS(1593),
    [anon_sym_abstract] = ACTIONS(1593),
    [anon_sym_strictfp] = ACTIONS(1593),
    [anon_sym_native] = ACTIONS(1593),
    [anon_sym_transient] = ACTIONS(1593),
    [anon_sym_volatile] = ACTIONS(1593),
    [anon_sym_sealed] = ACTIONS(1593),
    [anon_sym_non_DASHsealed] = ACTIONS(1593),
    [anon_sym_record] = ACTIONS(1593),
    [anon_sym_ATinterface] = ACTIONS(1593),
    [anon_sym_interface] = ACTIONS(1593),
    [anon_sym_byte] = ACTIONS(1593),
    [anon_sym_short] = ACTIONS(1593),
    [anon_sym_int] = ACTIONS(1593),
    [anon_sym_long] = ACTIONS(1593),
    [anon_sym_char] = ACTIONS(1593),
    [anon_sym_float] = ACTIONS(1593),
    [anon_sym_double] = ACTIONS(1593),
    [sym_boolean_type] = ACTIONS(1593),
    [sym_void_type] = ACTIONS(1593),
    [anon_sym_def] = ACTIONS(1593),
    [sym_this] = ACTIONS(1593),
    [sym_super] = ACTIONS(1593),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1545),
  },
  [406] = {
    [ts_builtin_sym_end] = ACTIONS(1595),
    [sym_identifier] = ACTIONS(1597),
    [sym_decimal_integer_literal] = ACTIONS(1597),
    [sym_hex_integer_literal] = ACTIONS(1597),
    [sym_octal_integer_literal] = ACTIONS(1597),
    [sym_binary_integer_literal] = ACTIONS(1597),
    [sym_decimal_floating_point_literal] = ACTIONS(1597),
    [sym_hex_floating_point_literal] = ACTIONS(1597),
    [sym_true] = ACTIONS(1597),
    [sym_false] = ACTIONS(1597),
    [sym_character_literal] = ACTIONS(1597),
    [anon_sym_DQUOTE] = ACTIONS(1597),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1597),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1597),
    [anon_sym_RBRACE] = ACTIONS(1597),
    [sym_null_literal] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1597),
    [anon_sym_AMP] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1597),
    [anon_sym_GT_EQ] = ACTIONS(1597),
    [anon_sym_LT_EQ] = ACTIONS(1597),
    [anon_sym_EQ_EQ] = ACTIONS(1597),
    [anon_sym_BANG_EQ] = ACTIONS(1597),
    [anon_sym_AMP_AMP] = ACTIONS(1597),
    [anon_sym_PIPE_PIPE] = ACTIONS(1597),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1597),
    [anon_sym_PIPE] = ACTIONS(1597),
    [anon_sym_CARET] = ACTIONS(1597),
    [anon_sym_PERCENT] = ACTIONS(1597),
    [anon_sym_LT_LT] = ACTIONS(1597),
    [anon_sym_GT_GT] = ACTIONS(1597),
    [anon_sym_GT_GT_GT] = ACTIONS(1597),
    [anon_sym_in] = ACTIONS(1597),
    [anon_sym_STAR_STAR] = ACTIONS(1597),
    [anon_sym_instanceof] = ACTIONS(1597),
    [anon_sym_final] = ACTIONS(1597),
    [anon_sym_DASH_GT] = ACTIONS(1597),
    [anon_sym_QMARK] = ACTIONS(1597),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_TILDE] = ACTIONS(1597),
    [anon_sym_PLUS_PLUS] = ACTIONS(1597),
    [anon_sym_DASH_DASH] = ACTIONS(1597),
    [anon_sym_new] = ACTIONS(1597),
    [anon_sym_LBRACK] = ACTIONS(1597),
    [anon_sym_class] = ACTIONS(1597),
    [anon_sym_switch] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1597),
    [anon_sym_case] = ACTIONS(1597),
    [anon_sym_default] = ACTIONS(1597),
    [sym_underscore_pattern] = ACTIONS(1597),
    [anon_sym_SEMI] = ACTIONS(1597),
    [aux_sym_expression_statement_token1] = ACTIONS(1595),
    [anon_sym_NULL] = ACTIONS(1597),
    [anon_sym_assert] = ACTIONS(1597),
    [anon_sym_do] = ACTIONS(1597),
    [anon_sym_while] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1597),
    [anon_sym_continue] = ACTIONS(1597),
    [anon_sym_return] = ACTIONS(1597),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_synchronized] = ACTIONS(1597),
    [anon_sym_throw] = ACTIONS(1597),
    [anon_sym_try] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1597),
    [anon_sym_else] = ACTIONS(1597),
    [anon_sym_for] = ACTIONS(1597),
    [anon_sym_AT] = ACTIONS(1597),
    [anon_sym_open] = ACTIONS(1597),
    [anon_sym_module] = ACTIONS(1597),
    [anon_sym_static] = ACTIONS(1597),
    [anon_sym_with] = ACTIONS(1597),
    [anon_sym_package] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(1597),
    [anon_sym_enum] = ACTIONS(1597),
    [anon_sym_public] = ACTIONS(1597),
    [anon_sym_protected] = ACTIONS(1597),
    [anon_sym_private] = ACTIONS(1597),
    [anon_sym_abstract] = ACTIONS(1597),
    [anon_sym_strictfp] = ACTIONS(1597),
    [anon_sym_native] = ACTIONS(1597),
    [anon_sym_transient] = ACTIONS(1597),
    [anon_sym_volatile] = ACTIONS(1597),
    [anon_sym_sealed] = ACTIONS(1597),
    [anon_sym_non_DASHsealed] = ACTIONS(1597),
    [anon_sym_record] = ACTIONS(1597),
    [anon_sym_ATinterface] = ACTIONS(1597),
    [anon_sym_interface] = ACTIONS(1597),
    [anon_sym_byte] = ACTIONS(1597),
    [anon_sym_short] = ACTIONS(1597),
    [anon_sym_int] = ACTIONS(1597),
    [anon_sym_long] = ACTIONS(1597),
    [anon_sym_char] = ACTIONS(1597),
    [anon_sym_float] = ACTIONS(1597),
    [anon_sym_double] = ACTIONS(1597),
    [sym_boolean_type] = ACTIONS(1597),
    [sym_void_type] = ACTIONS(1597),
    [anon_sym_def] = ACTIONS(1597),
    [sym_this] = ACTIONS(1597),
    [sym_super] = ACTIONS(1597),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1597),
  },
  [407] = {
    [ts_builtin_sym_end] = ACTIONS(1136),
    [sym_identifier] = ACTIONS(1138),
    [sym_decimal_integer_literal] = ACTIONS(1138),
    [sym_hex_integer_literal] = ACTIONS(1138),
    [sym_octal_integer_literal] = ACTIONS(1138),
    [sym_binary_integer_literal] = ACTIONS(1136),
    [sym_decimal_floating_point_literal] = ACTIONS(1136),
    [sym_hex_floating_point_literal] = ACTIONS(1138),
    [sym_true] = ACTIONS(1138),
    [sym_false] = ACTIONS(1138),
    [sym_character_literal] = ACTIONS(1136),
    [anon_sym_DQUOTE] = ACTIONS(1138),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1136),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1136),
    [anon_sym_RBRACE] = ACTIONS(1136),
    [sym_null_literal] = ACTIONS(1138),
    [anon_sym_LPAREN] = ACTIONS(1136),
    [anon_sym_AMP] = ACTIONS(1138),
    [anon_sym_GT] = ACTIONS(1138),
    [anon_sym_LT] = ACTIONS(1138),
    [anon_sym_GT_EQ] = ACTIONS(1136),
    [anon_sym_LT_EQ] = ACTIONS(1136),
    [anon_sym_EQ_EQ] = ACTIONS(1136),
    [anon_sym_BANG_EQ] = ACTIONS(1136),
    [anon_sym_AMP_AMP] = ACTIONS(1136),
    [anon_sym_PIPE_PIPE] = ACTIONS(1136),
    [anon_sym_PLUS] = ACTIONS(1138),
    [anon_sym_DASH] = ACTIONS(1138),
    [anon_sym_STAR] = ACTIONS(1138),
    [anon_sym_SLASH] = ACTIONS(1138),
    [anon_sym_PIPE] = ACTIONS(1138),
    [anon_sym_CARET] = ACTIONS(1136),
    [anon_sym_PERCENT] = ACTIONS(1136),
    [anon_sym_LT_LT] = ACTIONS(1136),
    [anon_sym_GT_GT] = ACTIONS(1138),
    [anon_sym_GT_GT_GT] = ACTIONS(1136),
    [anon_sym_in] = ACTIONS(1138),
    [anon_sym_STAR_STAR] = ACTIONS(1136),
    [anon_sym_instanceof] = ACTIONS(1138),
    [anon_sym_final] = ACTIONS(1138),
    [anon_sym_DASH_GT] = ACTIONS(1136),
    [anon_sym_COMMA] = ACTIONS(1136),
    [anon_sym_QMARK] = ACTIONS(1136),
    [anon_sym_COLON] = ACTIONS(1138),
    [anon_sym_BANG] = ACTIONS(1138),
    [anon_sym_TILDE] = ACTIONS(1136),
    [anon_sym_PLUS_PLUS] = ACTIONS(1136),
    [anon_sym_DASH_DASH] = ACTIONS(1136),
    [anon_sym_new] = ACTIONS(1138),
    [anon_sym_LBRACK] = ACTIONS(1136),
    [anon_sym_DOT] = ACTIONS(1138),
    [anon_sym_class] = ACTIONS(1138),
    [anon_sym_COLON_COLON] = ACTIONS(1136),
    [anon_sym_switch] = ACTIONS(1138),
    [anon_sym_LBRACE] = ACTIONS(1136),
    [anon_sym_default] = ACTIONS(1138),
    [sym_underscore_pattern] = ACTIONS(1138),
    [anon_sym_SEMI] = ACTIONS(1136),
    [anon_sym_assert] = ACTIONS(1138),
    [anon_sym_do] = ACTIONS(1138),
    [anon_sym_while] = ACTIONS(1138),
    [anon_sym_break] = ACTIONS(1138),
    [anon_sym_continue] = ACTIONS(1138),
    [anon_sym_return] = ACTIONS(1138),
    [anon_sym_yield] = ACTIONS(1138),
    [anon_sym_synchronized] = ACTIONS(1138),
    [anon_sym_throw] = ACTIONS(1138),
    [anon_sym_try] = ACTIONS(1138),
    [anon_sym_if] = ACTIONS(1138),
    [anon_sym_for] = ACTIONS(1138),
    [anon_sym_AT] = ACTIONS(1138),
    [anon_sym_open] = ACTIONS(1138),
    [anon_sym_module] = ACTIONS(1138),
    [anon_sym_static] = ACTIONS(1138),
    [anon_sym_with] = ACTIONS(1138),
    [anon_sym_package] = ACTIONS(1138),
    [anon_sym_import] = ACTIONS(1138),
    [anon_sym_enum] = ACTIONS(1138),
    [anon_sym_public] = ACTIONS(1138),
    [anon_sym_protected] = ACTIONS(1138),
    [anon_sym_private] = ACTIONS(1138),
    [anon_sym_abstract] = ACTIONS(1138),
    [anon_sym_strictfp] = ACTIONS(1138),
    [anon_sym_native] = ACTIONS(1138),
    [anon_sym_transient] = ACTIONS(1138),
    [anon_sym_volatile] = ACTIONS(1138),
    [anon_sym_sealed] = ACTIONS(1138),
    [anon_sym_non_DASHsealed] = ACTIONS(1136),
    [anon_sym_record] = ACTIONS(1138),
    [anon_sym_ATinterface] = ACTIONS(1136),
    [anon_sym_interface] = ACTIONS(1138),
    [anon_sym_byte] = ACTIONS(1138),
    [anon_sym_short] = ACTIONS(1138),
    [anon_sym_int] = ACTIONS(1138),
    [anon_sym_long] = ACTIONS(1138),
    [anon_sym_char] = ACTIONS(1138),
    [anon_sym_float] = ACTIONS(1138),
    [anon_sym_double] = ACTIONS(1138),
    [sym_boolean_type] = ACTIONS(1138),
    [sym_void_type] = ACTIONS(1138),
    [anon_sym_def] = ACTIONS(1138),
    [sym_this] = ACTIONS(1138),
    [sym_super] = ACTIONS(1138),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1136),
  },
  [408] = {
    [ts_builtin_sym_end] = ACTIONS(1295),
    [sym_identifier] = ACTIONS(1297),
    [sym_decimal_integer_literal] = ACTIONS(1297),
    [sym_hex_integer_literal] = ACTIONS(1297),
    [sym_octal_integer_literal] = ACTIONS(1297),
    [sym_binary_integer_literal] = ACTIONS(1295),
    [sym_decimal_floating_point_literal] = ACTIONS(1295),
    [sym_hex_floating_point_literal] = ACTIONS(1297),
    [sym_true] = ACTIONS(1297),
    [sym_false] = ACTIONS(1297),
    [sym_character_literal] = ACTIONS(1295),
    [anon_sym_DQUOTE] = ACTIONS(1297),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1295),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1295),
    [anon_sym_RBRACE] = ACTIONS(1295),
    [sym_null_literal] = ACTIONS(1297),
    [anon_sym_LPAREN] = ACTIONS(1295),
    [anon_sym_AMP] = ACTIONS(1297),
    [anon_sym_GT] = ACTIONS(1297),
    [anon_sym_LT] = ACTIONS(1297),
    [anon_sym_GT_EQ] = ACTIONS(1295),
    [anon_sym_LT_EQ] = ACTIONS(1295),
    [anon_sym_EQ_EQ] = ACTIONS(1295),
    [anon_sym_BANG_EQ] = ACTIONS(1295),
    [anon_sym_AMP_AMP] = ACTIONS(1295),
    [anon_sym_PIPE_PIPE] = ACTIONS(1295),
    [anon_sym_PLUS] = ACTIONS(1297),
    [anon_sym_DASH] = ACTIONS(1297),
    [anon_sym_STAR] = ACTIONS(1297),
    [anon_sym_SLASH] = ACTIONS(1297),
    [anon_sym_PIPE] = ACTIONS(1297),
    [anon_sym_CARET] = ACTIONS(1295),
    [anon_sym_PERCENT] = ACTIONS(1295),
    [anon_sym_LT_LT] = ACTIONS(1295),
    [anon_sym_GT_GT] = ACTIONS(1297),
    [anon_sym_GT_GT_GT] = ACTIONS(1295),
    [anon_sym_in] = ACTIONS(1297),
    [anon_sym_STAR_STAR] = ACTIONS(1295),
    [anon_sym_instanceof] = ACTIONS(1297),
    [anon_sym_final] = ACTIONS(1297),
    [anon_sym_DASH_GT] = ACTIONS(1295),
    [anon_sym_COMMA] = ACTIONS(1295),
    [anon_sym_QMARK] = ACTIONS(1295),
    [anon_sym_BANG] = ACTIONS(1297),
    [anon_sym_TILDE] = ACTIONS(1295),
    [anon_sym_PLUS_PLUS] = ACTIONS(1295),
    [anon_sym_DASH_DASH] = ACTIONS(1295),
    [anon_sym_new] = ACTIONS(1297),
    [anon_sym_LBRACK] = ACTIONS(1295),
    [anon_sym_DOT] = ACTIONS(1297),
    [anon_sym_class] = ACTIONS(1297),
    [anon_sym_COLON_COLON] = ACTIONS(1295),
    [anon_sym_switch] = ACTIONS(1297),
    [anon_sym_LBRACE] = ACTIONS(1295),
    [anon_sym_default] = ACTIONS(1297),
    [sym_underscore_pattern] = ACTIONS(1297),
    [anon_sym_SEMI] = ACTIONS(1295),
    [anon_sym_assert] = ACTIONS(1297),
    [anon_sym_do] = ACTIONS(1297),
    [anon_sym_while] = ACTIONS(1297),
    [anon_sym_break] = ACTIONS(1297),
    [anon_sym_continue] = ACTIONS(1297),
    [anon_sym_return] = ACTIONS(1297),
    [anon_sym_yield] = ACTIONS(1297),
    [anon_sym_synchronized] = ACTIONS(1297),
    [anon_sym_throw] = ACTIONS(1297),
    [anon_sym_try] = ACTIONS(1297),
    [anon_sym_if] = ACTIONS(1297),
    [anon_sym_for] = ACTIONS(1297),
    [anon_sym_AT] = ACTIONS(1297),
    [anon_sym_open] = ACTIONS(1297),
    [anon_sym_module] = ACTIONS(1297),
    [anon_sym_static] = ACTIONS(1297),
    [anon_sym_with] = ACTIONS(1297),
    [anon_sym_package] = ACTIONS(1297),
    [anon_sym_import] = ACTIONS(1297),
    [anon_sym_enum] = ACTIONS(1297),
    [anon_sym_public] = ACTIONS(1297),
    [anon_sym_protected] = ACTIONS(1297),
    [anon_sym_private] = ACTIONS(1297),
    [anon_sym_abstract] = ACTIONS(1297),
    [anon_sym_strictfp] = ACTIONS(1297),
    [anon_sym_native] = ACTIONS(1297),
    [anon_sym_transient] = ACTIONS(1297),
    [anon_sym_volatile] = ACTIONS(1297),
    [anon_sym_sealed] = ACTIONS(1297),
    [anon_sym_non_DASHsealed] = ACTIONS(1295),
    [anon_sym_record] = ACTIONS(1297),
    [anon_sym_ATinterface] = ACTIONS(1295),
    [anon_sym_interface] = ACTIONS(1297),
    [anon_sym_byte] = ACTIONS(1297),
    [anon_sym_short] = ACTIONS(1297),
    [anon_sym_int] = ACTIONS(1297),
    [anon_sym_long] = ACTIONS(1297),
    [anon_sym_char] = ACTIONS(1297),
    [anon_sym_float] = ACTIONS(1297),
    [anon_sym_double] = ACTIONS(1297),
    [sym_boolean_type] = ACTIONS(1297),
    [sym_void_type] = ACTIONS(1297),
    [anon_sym_def] = ACTIONS(1297),
    [sym_this] = ACTIONS(1297),
    [sym_super] = ACTIONS(1297),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1295),
  },
  [409] = {
    [ts_builtin_sym_end] = ACTIONS(1345),
    [sym_identifier] = ACTIONS(1347),
    [sym_decimal_integer_literal] = ACTIONS(1347),
    [sym_hex_integer_literal] = ACTIONS(1347),
    [sym_octal_integer_literal] = ACTIONS(1347),
    [sym_binary_integer_literal] = ACTIONS(1345),
    [sym_decimal_floating_point_literal] = ACTIONS(1345),
    [sym_hex_floating_point_literal] = ACTIONS(1347),
    [sym_true] = ACTIONS(1347),
    [sym_false] = ACTIONS(1347),
    [sym_character_literal] = ACTIONS(1345),
    [anon_sym_DQUOTE] = ACTIONS(1347),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1345),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1345),
    [anon_sym_RBRACE] = ACTIONS(1345),
    [sym_null_literal] = ACTIONS(1347),
    [anon_sym_LPAREN] = ACTIONS(1345),
    [anon_sym_AMP] = ACTIONS(1347),
    [anon_sym_GT] = ACTIONS(1347),
    [anon_sym_LT] = ACTIONS(1347),
    [anon_sym_GT_EQ] = ACTIONS(1345),
    [anon_sym_LT_EQ] = ACTIONS(1345),
    [anon_sym_EQ_EQ] = ACTIONS(1345),
    [anon_sym_BANG_EQ] = ACTIONS(1345),
    [anon_sym_AMP_AMP] = ACTIONS(1345),
    [anon_sym_PIPE_PIPE] = ACTIONS(1345),
    [anon_sym_PLUS] = ACTIONS(1347),
    [anon_sym_DASH] = ACTIONS(1347),
    [anon_sym_STAR] = ACTIONS(1347),
    [anon_sym_SLASH] = ACTIONS(1347),
    [anon_sym_PIPE] = ACTIONS(1347),
    [anon_sym_CARET] = ACTIONS(1345),
    [anon_sym_PERCENT] = ACTIONS(1345),
    [anon_sym_LT_LT] = ACTIONS(1345),
    [anon_sym_GT_GT] = ACTIONS(1347),
    [anon_sym_GT_GT_GT] = ACTIONS(1345),
    [anon_sym_in] = ACTIONS(1347),
    [anon_sym_STAR_STAR] = ACTIONS(1345),
    [anon_sym_instanceof] = ACTIONS(1347),
    [anon_sym_final] = ACTIONS(1347),
    [anon_sym_DASH_GT] = ACTIONS(1345),
    [anon_sym_COMMA] = ACTIONS(1345),
    [anon_sym_QMARK] = ACTIONS(1345),
    [anon_sym_BANG] = ACTIONS(1347),
    [anon_sym_TILDE] = ACTIONS(1345),
    [anon_sym_PLUS_PLUS] = ACTIONS(1345),
    [anon_sym_DASH_DASH] = ACTIONS(1345),
    [anon_sym_new] = ACTIONS(1347),
    [anon_sym_LBRACK] = ACTIONS(1345),
    [anon_sym_DOT] = ACTIONS(1347),
    [anon_sym_class] = ACTIONS(1347),
    [anon_sym_COLON_COLON] = ACTIONS(1345),
    [anon_sym_switch] = ACTIONS(1347),
    [anon_sym_LBRACE] = ACTIONS(1345),
    [anon_sym_default] = ACTIONS(1347),
    [sym_underscore_pattern] = ACTIONS(1347),
    [anon_sym_SEMI] = ACTIONS(1345),
    [anon_sym_assert] = ACTIONS(1347),
    [anon_sym_do] = ACTIONS(1347),
    [anon_sym_while] = ACTIONS(1347),
    [anon_sym_break] = ACTIONS(1347),
    [anon_sym_continue] = ACTIONS(1347),
    [anon_sym_return] = ACTIONS(1347),
    [anon_sym_yield] = ACTIONS(1347),
    [anon_sym_synchronized] = ACTIONS(1347),
    [anon_sym_throw] = ACTIONS(1347),
    [anon_sym_try] = ACTIONS(1347),
    [anon_sym_if] = ACTIONS(1347),
    [anon_sym_for] = ACTIONS(1347),
    [anon_sym_AT] = ACTIONS(1347),
    [anon_sym_open] = ACTIONS(1347),
    [anon_sym_module] = ACTIONS(1347),
    [anon_sym_static] = ACTIONS(1347),
    [anon_sym_with] = ACTIONS(1347),
    [anon_sym_package] = ACTIONS(1347),
    [anon_sym_import] = ACTIONS(1347),
    [anon_sym_enum] = ACTIONS(1347),
    [anon_sym_public] = ACTIONS(1347),
    [anon_sym_protected] = ACTIONS(1347),
    [anon_sym_private] = ACTIONS(1347),
    [anon_sym_abstract] = ACTIONS(1347),
    [anon_sym_strictfp] = ACTIONS(1347),
    [anon_sym_native] = ACTIONS(1347),
    [anon_sym_transient] = ACTIONS(1347),
    [anon_sym_volatile] = ACTIONS(1347),
    [anon_sym_sealed] = ACTIONS(1347),
    [anon_sym_non_DASHsealed] = ACTIONS(1345),
    [anon_sym_record] = ACTIONS(1347),
    [anon_sym_ATinterface] = ACTIONS(1345),
    [anon_sym_interface] = ACTIONS(1347),
    [anon_sym_byte] = ACTIONS(1347),
    [anon_sym_short] = ACTIONS(1347),
    [anon_sym_int] = ACTIONS(1347),
    [anon_sym_long] = ACTIONS(1347),
    [anon_sym_char] = ACTIONS(1347),
    [anon_sym_float] = ACTIONS(1347),
    [anon_sym_double] = ACTIONS(1347),
    [sym_boolean_type] = ACTIONS(1347),
    [sym_void_type] = ACTIONS(1347),
    [anon_sym_def] = ACTIONS(1347),
    [sym_this] = ACTIONS(1347),
    [sym_super] = ACTIONS(1347),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1345),
  },
  [410] = {
    [ts_builtin_sym_end] = ACTIONS(918),
    [sym_identifier] = ACTIONS(920),
    [sym_decimal_integer_literal] = ACTIONS(920),
    [sym_hex_integer_literal] = ACTIONS(920),
    [sym_octal_integer_literal] = ACTIONS(920),
    [sym_binary_integer_literal] = ACTIONS(918),
    [sym_decimal_floating_point_literal] = ACTIONS(918),
    [sym_hex_floating_point_literal] = ACTIONS(920),
    [sym_true] = ACTIONS(920),
    [sym_false] = ACTIONS(920),
    [sym_character_literal] = ACTIONS(918),
    [anon_sym_DQUOTE] = ACTIONS(920),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(918),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(918),
    [anon_sym_RBRACE] = ACTIONS(918),
    [sym_null_literal] = ACTIONS(920),
    [anon_sym_LPAREN] = ACTIONS(918),
    [anon_sym_AMP] = ACTIONS(920),
    [anon_sym_GT] = ACTIONS(920),
    [anon_sym_LT] = ACTIONS(920),
    [anon_sym_GT_EQ] = ACTIONS(918),
    [anon_sym_LT_EQ] = ACTIONS(918),
    [anon_sym_EQ_EQ] = ACTIONS(918),
    [anon_sym_BANG_EQ] = ACTIONS(918),
    [anon_sym_AMP_AMP] = ACTIONS(918),
    [anon_sym_PIPE_PIPE] = ACTIONS(918),
    [anon_sym_PLUS] = ACTIONS(920),
    [anon_sym_DASH] = ACTIONS(920),
    [anon_sym_STAR] = ACTIONS(920),
    [anon_sym_SLASH] = ACTIONS(920),
    [anon_sym_PIPE] = ACTIONS(920),
    [anon_sym_CARET] = ACTIONS(918),
    [anon_sym_PERCENT] = ACTIONS(918),
    [anon_sym_LT_LT] = ACTIONS(918),
    [anon_sym_GT_GT] = ACTIONS(920),
    [anon_sym_GT_GT_GT] = ACTIONS(918),
    [anon_sym_in] = ACTIONS(920),
    [anon_sym_STAR_STAR] = ACTIONS(918),
    [anon_sym_instanceof] = ACTIONS(920),
    [anon_sym_final] = ACTIONS(920),
    [anon_sym_DASH_GT] = ACTIONS(918),
    [anon_sym_COMMA] = ACTIONS(918),
    [anon_sym_QMARK] = ACTIONS(918),
    [anon_sym_BANG] = ACTIONS(920),
    [anon_sym_TILDE] = ACTIONS(918),
    [anon_sym_PLUS_PLUS] = ACTIONS(918),
    [anon_sym_DASH_DASH] = ACTIONS(918),
    [anon_sym_new] = ACTIONS(920),
    [anon_sym_LBRACK] = ACTIONS(918),
    [anon_sym_DOT] = ACTIONS(920),
    [anon_sym_class] = ACTIONS(920),
    [anon_sym_COLON_COLON] = ACTIONS(918),
    [anon_sym_switch] = ACTIONS(920),
    [anon_sym_LBRACE] = ACTIONS(918),
    [anon_sym_default] = ACTIONS(920),
    [sym_underscore_pattern] = ACTIONS(920),
    [anon_sym_SEMI] = ACTIONS(918),
    [anon_sym_assert] = ACTIONS(920),
    [anon_sym_do] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(920),
    [anon_sym_break] = ACTIONS(920),
    [anon_sym_continue] = ACTIONS(920),
    [anon_sym_return] = ACTIONS(920),
    [anon_sym_yield] = ACTIONS(920),
    [anon_sym_synchronized] = ACTIONS(920),
    [anon_sym_throw] = ACTIONS(920),
    [anon_sym_try] = ACTIONS(920),
    [anon_sym_if] = ACTIONS(920),
    [anon_sym_for] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(920),
    [anon_sym_open] = ACTIONS(920),
    [anon_sym_module] = ACTIONS(920),
    [anon_sym_static] = ACTIONS(920),
    [anon_sym_with] = ACTIONS(920),
    [anon_sym_package] = ACTIONS(920),
    [anon_sym_import] = ACTIONS(920),
    [anon_sym_enum] = ACTIONS(920),
    [anon_sym_public] = ACTIONS(920),
    [anon_sym_protected] = ACTIONS(920),
    [anon_sym_private] = ACTIONS(920),
    [anon_sym_abstract] = ACTIONS(920),
    [anon_sym_strictfp] = ACTIONS(920),
    [anon_sym_native] = ACTIONS(920),
    [anon_sym_transient] = ACTIONS(920),
    [anon_sym_volatile] = ACTIONS(920),
    [anon_sym_sealed] = ACTIONS(920),
    [anon_sym_non_DASHsealed] = ACTIONS(918),
    [anon_sym_record] = ACTIONS(920),
    [anon_sym_ATinterface] = ACTIONS(918),
    [anon_sym_interface] = ACTIONS(920),
    [anon_sym_byte] = ACTIONS(920),
    [anon_sym_short] = ACTIONS(920),
    [anon_sym_int] = ACTIONS(920),
    [anon_sym_long] = ACTIONS(920),
    [anon_sym_char] = ACTIONS(920),
    [anon_sym_float] = ACTIONS(920),
    [anon_sym_double] = ACTIONS(920),
    [sym_boolean_type] = ACTIONS(920),
    [sym_void_type] = ACTIONS(920),
    [anon_sym_def] = ACTIONS(920),
    [sym_this] = ACTIONS(920),
    [sym_super] = ACTIONS(920),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(918),
  },
  [411] = {
    [ts_builtin_sym_end] = ACTIONS(1353),
    [sym_identifier] = ACTIONS(1355),
    [sym_decimal_integer_literal] = ACTIONS(1355),
    [sym_hex_integer_literal] = ACTIONS(1355),
    [sym_octal_integer_literal] = ACTIONS(1355),
    [sym_binary_integer_literal] = ACTIONS(1353),
    [sym_decimal_floating_point_literal] = ACTIONS(1353),
    [sym_hex_floating_point_literal] = ACTIONS(1355),
    [sym_true] = ACTIONS(1355),
    [sym_false] = ACTIONS(1355),
    [sym_character_literal] = ACTIONS(1353),
    [anon_sym_DQUOTE] = ACTIONS(1355),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1353),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1353),
    [anon_sym_RBRACE] = ACTIONS(1353),
    [sym_null_literal] = ACTIONS(1355),
    [anon_sym_LPAREN] = ACTIONS(1353),
    [anon_sym_AMP] = ACTIONS(1355),
    [anon_sym_GT] = ACTIONS(1355),
    [anon_sym_LT] = ACTIONS(1355),
    [anon_sym_GT_EQ] = ACTIONS(1353),
    [anon_sym_LT_EQ] = ACTIONS(1353),
    [anon_sym_EQ_EQ] = ACTIONS(1353),
    [anon_sym_BANG_EQ] = ACTIONS(1353),
    [anon_sym_AMP_AMP] = ACTIONS(1353),
    [anon_sym_PIPE_PIPE] = ACTIONS(1353),
    [anon_sym_PLUS] = ACTIONS(1355),
    [anon_sym_DASH] = ACTIONS(1355),
    [anon_sym_STAR] = ACTIONS(1355),
    [anon_sym_SLASH] = ACTIONS(1355),
    [anon_sym_PIPE] = ACTIONS(1355),
    [anon_sym_CARET] = ACTIONS(1353),
    [anon_sym_PERCENT] = ACTIONS(1353),
    [anon_sym_LT_LT] = ACTIONS(1353),
    [anon_sym_GT_GT] = ACTIONS(1355),
    [anon_sym_GT_GT_GT] = ACTIONS(1353),
    [anon_sym_in] = ACTIONS(1355),
    [anon_sym_STAR_STAR] = ACTIONS(1353),
    [anon_sym_instanceof] = ACTIONS(1355),
    [anon_sym_final] = ACTIONS(1355),
    [anon_sym_DASH_GT] = ACTIONS(1353),
    [anon_sym_COMMA] = ACTIONS(1353),
    [anon_sym_QMARK] = ACTIONS(1353),
    [anon_sym_BANG] = ACTIONS(1355),
    [anon_sym_TILDE] = ACTIONS(1353),
    [anon_sym_PLUS_PLUS] = ACTIONS(1353),
    [anon_sym_DASH_DASH] = ACTIONS(1353),
    [anon_sym_new] = ACTIONS(1355),
    [anon_sym_LBRACK] = ACTIONS(1353),
    [anon_sym_DOT] = ACTIONS(1355),
    [anon_sym_class] = ACTIONS(1355),
    [anon_sym_COLON_COLON] = ACTIONS(1353),
    [anon_sym_switch] = ACTIONS(1355),
    [anon_sym_LBRACE] = ACTIONS(1353),
    [anon_sym_default] = ACTIONS(1355),
    [sym_underscore_pattern] = ACTIONS(1355),
    [anon_sym_SEMI] = ACTIONS(1353),
    [anon_sym_assert] = ACTIONS(1355),
    [anon_sym_do] = ACTIONS(1355),
    [anon_sym_while] = ACTIONS(1355),
    [anon_sym_break] = ACTIONS(1355),
    [anon_sym_continue] = ACTIONS(1355),
    [anon_sym_return] = ACTIONS(1355),
    [anon_sym_yield] = ACTIONS(1355),
    [anon_sym_synchronized] = ACTIONS(1355),
    [anon_sym_throw] = ACTIONS(1355),
    [anon_sym_try] = ACTIONS(1355),
    [anon_sym_if] = ACTIONS(1355),
    [anon_sym_for] = ACTIONS(1355),
    [anon_sym_AT] = ACTIONS(1355),
    [anon_sym_open] = ACTIONS(1355),
    [anon_sym_module] = ACTIONS(1355),
    [anon_sym_static] = ACTIONS(1355),
    [anon_sym_with] = ACTIONS(1355),
    [anon_sym_package] = ACTIONS(1355),
    [anon_sym_import] = ACTIONS(1355),
    [anon_sym_enum] = ACTIONS(1355),
    [anon_sym_public] = ACTIONS(1355),
    [anon_sym_protected] = ACTIONS(1355),
    [anon_sym_private] = ACTIONS(1355),
    [anon_sym_abstract] = ACTIONS(1355),
    [anon_sym_strictfp] = ACTIONS(1355),
    [anon_sym_native] = ACTIONS(1355),
    [anon_sym_transient] = ACTIONS(1355),
    [anon_sym_volatile] = ACTIONS(1355),
    [anon_sym_sealed] = ACTIONS(1355),
    [anon_sym_non_DASHsealed] = ACTIONS(1353),
    [anon_sym_record] = ACTIONS(1355),
    [anon_sym_ATinterface] = ACTIONS(1353),
    [anon_sym_interface] = ACTIONS(1355),
    [anon_sym_byte] = ACTIONS(1355),
    [anon_sym_short] = ACTIONS(1355),
    [anon_sym_int] = ACTIONS(1355),
    [anon_sym_long] = ACTIONS(1355),
    [anon_sym_char] = ACTIONS(1355),
    [anon_sym_float] = ACTIONS(1355),
    [anon_sym_double] = ACTIONS(1355),
    [sym_boolean_type] = ACTIONS(1355),
    [sym_void_type] = ACTIONS(1355),
    [anon_sym_def] = ACTIONS(1355),
    [sym_this] = ACTIONS(1355),
    [sym_super] = ACTIONS(1355),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1353),
  },
  [412] = {
    [ts_builtin_sym_end] = ACTIONS(1357),
    [sym_identifier] = ACTIONS(1359),
    [sym_decimal_integer_literal] = ACTIONS(1359),
    [sym_hex_integer_literal] = ACTIONS(1359),
    [sym_octal_integer_literal] = ACTIONS(1359),
    [sym_binary_integer_literal] = ACTIONS(1357),
    [sym_decimal_floating_point_literal] = ACTIONS(1357),
    [sym_hex_floating_point_literal] = ACTIONS(1359),
    [sym_true] = ACTIONS(1359),
    [sym_false] = ACTIONS(1359),
    [sym_character_literal] = ACTIONS(1357),
    [anon_sym_DQUOTE] = ACTIONS(1359),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1357),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1357),
    [anon_sym_RBRACE] = ACTIONS(1357),
    [sym_null_literal] = ACTIONS(1359),
    [anon_sym_LPAREN] = ACTIONS(1357),
    [anon_sym_AMP] = ACTIONS(1359),
    [anon_sym_GT] = ACTIONS(1359),
    [anon_sym_LT] = ACTIONS(1359),
    [anon_sym_GT_EQ] = ACTIONS(1357),
    [anon_sym_LT_EQ] = ACTIONS(1357),
    [anon_sym_EQ_EQ] = ACTIONS(1357),
    [anon_sym_BANG_EQ] = ACTIONS(1357),
    [anon_sym_AMP_AMP] = ACTIONS(1357),
    [anon_sym_PIPE_PIPE] = ACTIONS(1357),
    [anon_sym_PLUS] = ACTIONS(1359),
    [anon_sym_DASH] = ACTIONS(1359),
    [anon_sym_STAR] = ACTIONS(1359),
    [anon_sym_SLASH] = ACTIONS(1359),
    [anon_sym_PIPE] = ACTIONS(1359),
    [anon_sym_CARET] = ACTIONS(1357),
    [anon_sym_PERCENT] = ACTIONS(1357),
    [anon_sym_LT_LT] = ACTIONS(1357),
    [anon_sym_GT_GT] = ACTIONS(1359),
    [anon_sym_GT_GT_GT] = ACTIONS(1357),
    [anon_sym_in] = ACTIONS(1359),
    [anon_sym_STAR_STAR] = ACTIONS(1357),
    [anon_sym_instanceof] = ACTIONS(1359),
    [anon_sym_final] = ACTIONS(1359),
    [anon_sym_DASH_GT] = ACTIONS(1357),
    [anon_sym_COMMA] = ACTIONS(1357),
    [anon_sym_QMARK] = ACTIONS(1357),
    [anon_sym_BANG] = ACTIONS(1359),
    [anon_sym_TILDE] = ACTIONS(1357),
    [anon_sym_PLUS_PLUS] = ACTIONS(1357),
    [anon_sym_DASH_DASH] = ACTIONS(1357),
    [anon_sym_new] = ACTIONS(1359),
    [anon_sym_LBRACK] = ACTIONS(1357),
    [anon_sym_DOT] = ACTIONS(1359),
    [anon_sym_class] = ACTIONS(1359),
    [anon_sym_COLON_COLON] = ACTIONS(1357),
    [anon_sym_switch] = ACTIONS(1359),
    [anon_sym_LBRACE] = ACTIONS(1357),
    [anon_sym_default] = ACTIONS(1359),
    [sym_underscore_pattern] = ACTIONS(1359),
    [anon_sym_SEMI] = ACTIONS(1357),
    [anon_sym_assert] = ACTIONS(1359),
    [anon_sym_do] = ACTIONS(1359),
    [anon_sym_while] = ACTIONS(1359),
    [anon_sym_break] = ACTIONS(1359),
    [anon_sym_continue] = ACTIONS(1359),
    [anon_sym_return] = ACTIONS(1359),
    [anon_sym_yield] = ACTIONS(1359),
    [anon_sym_synchronized] = ACTIONS(1359),
    [anon_sym_throw] = ACTIONS(1359),
    [anon_sym_try] = ACTIONS(1359),
    [anon_sym_if] = ACTIONS(1359),
    [anon_sym_for] = ACTIONS(1359),
    [anon_sym_AT] = ACTIONS(1359),
    [anon_sym_open] = ACTIONS(1359),
    [anon_sym_module] = ACTIONS(1359),
    [anon_sym_static] = ACTIONS(1359),
    [anon_sym_with] = ACTIONS(1359),
    [anon_sym_package] = ACTIONS(1359),
    [anon_sym_import] = ACTIONS(1359),
    [anon_sym_enum] = ACTIONS(1359),
    [anon_sym_public] = ACTIONS(1359),
    [anon_sym_protected] = ACTIONS(1359),
    [anon_sym_private] = ACTIONS(1359),
    [anon_sym_abstract] = ACTIONS(1359),
    [anon_sym_strictfp] = ACTIONS(1359),
    [anon_sym_native] = ACTIONS(1359),
    [anon_sym_transient] = ACTIONS(1359),
    [anon_sym_volatile] = ACTIONS(1359),
    [anon_sym_sealed] = ACTIONS(1359),
    [anon_sym_non_DASHsealed] = ACTIONS(1357),
    [anon_sym_record] = ACTIONS(1359),
    [anon_sym_ATinterface] = ACTIONS(1357),
    [anon_sym_interface] = ACTIONS(1359),
    [anon_sym_byte] = ACTIONS(1359),
    [anon_sym_short] = ACTIONS(1359),
    [anon_sym_int] = ACTIONS(1359),
    [anon_sym_long] = ACTIONS(1359),
    [anon_sym_char] = ACTIONS(1359),
    [anon_sym_float] = ACTIONS(1359),
    [anon_sym_double] = ACTIONS(1359),
    [sym_boolean_type] = ACTIONS(1359),
    [sym_void_type] = ACTIONS(1359),
    [anon_sym_def] = ACTIONS(1359),
    [sym_this] = ACTIONS(1359),
    [sym_super] = ACTIONS(1359),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1357),
  },
  [413] = {
    [sym_record_pattern_body] = STATE(537),
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_identifier] = ACTIONS(1146),
    [sym_decimal_integer_literal] = ACTIONS(1146),
    [sym_hex_integer_literal] = ACTIONS(1146),
    [sym_octal_integer_literal] = ACTIONS(1146),
    [sym_binary_integer_literal] = ACTIONS(1144),
    [sym_decimal_floating_point_literal] = ACTIONS(1144),
    [sym_hex_floating_point_literal] = ACTIONS(1146),
    [sym_true] = ACTIONS(1146),
    [sym_false] = ACTIONS(1146),
    [sym_character_literal] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1144),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [sym_null_literal] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1599),
    [anon_sym_AMP] = ACTIONS(1146),
    [anon_sym_GT] = ACTIONS(1146),
    [anon_sym_LT] = ACTIONS(1146),
    [anon_sym_GT_EQ] = ACTIONS(1144),
    [anon_sym_LT_EQ] = ACTIONS(1144),
    [anon_sym_EQ_EQ] = ACTIONS(1144),
    [anon_sym_BANG_EQ] = ACTIONS(1144),
    [anon_sym_AMP_AMP] = ACTIONS(1144),
    [anon_sym_PIPE_PIPE] = ACTIONS(1144),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1146),
    [anon_sym_SLASH] = ACTIONS(1146),
    [anon_sym_PIPE] = ACTIONS(1146),
    [anon_sym_CARET] = ACTIONS(1144),
    [anon_sym_PERCENT] = ACTIONS(1144),
    [anon_sym_LT_LT] = ACTIONS(1144),
    [anon_sym_GT_GT] = ACTIONS(1146),
    [anon_sym_GT_GT_GT] = ACTIONS(1144),
    [anon_sym_in] = ACTIONS(1146),
    [anon_sym_STAR_STAR] = ACTIONS(1144),
    [anon_sym_instanceof] = ACTIONS(1146),
    [anon_sym_final] = ACTIONS(1146),
    [anon_sym_DASH_GT] = ACTIONS(1144),
    [anon_sym_COMMA] = ACTIONS(1144),
    [anon_sym_QMARK] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_new] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_DOT] = ACTIONS(1602),
    [anon_sym_class] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1146),
    [sym_underscore_pattern] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1144),
    [anon_sym_assert] = ACTIONS(1146),
    [anon_sym_do] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1146),
    [anon_sym_break] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1146),
    [anon_sym_return] = ACTIONS(1146),
    [anon_sym_yield] = ACTIONS(1146),
    [anon_sym_synchronized] = ACTIONS(1146),
    [anon_sym_throw] = ACTIONS(1146),
    [anon_sym_try] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1146),
    [anon_sym_for] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1146),
    [anon_sym_open] = ACTIONS(1146),
    [anon_sym_module] = ACTIONS(1146),
    [anon_sym_static] = ACTIONS(1146),
    [anon_sym_with] = ACTIONS(1146),
    [anon_sym_package] = ACTIONS(1146),
    [anon_sym_import] = ACTIONS(1146),
    [anon_sym_enum] = ACTIONS(1146),
    [anon_sym_public] = ACTIONS(1146),
    [anon_sym_protected] = ACTIONS(1146),
    [anon_sym_private] = ACTIONS(1146),
    [anon_sym_abstract] = ACTIONS(1146),
    [anon_sym_strictfp] = ACTIONS(1146),
    [anon_sym_native] = ACTIONS(1146),
    [anon_sym_transient] = ACTIONS(1146),
    [anon_sym_volatile] = ACTIONS(1146),
    [anon_sym_sealed] = ACTIONS(1146),
    [anon_sym_non_DASHsealed] = ACTIONS(1144),
    [anon_sym_record] = ACTIONS(1146),
    [anon_sym_ATinterface] = ACTIONS(1144),
    [anon_sym_interface] = ACTIONS(1146),
    [anon_sym_byte] = ACTIONS(1146),
    [anon_sym_short] = ACTIONS(1146),
    [anon_sym_int] = ACTIONS(1146),
    [anon_sym_long] = ACTIONS(1146),
    [anon_sym_char] = ACTIONS(1146),
    [anon_sym_float] = ACTIONS(1146),
    [anon_sym_double] = ACTIONS(1146),
    [sym_boolean_type] = ACTIONS(1146),
    [sym_void_type] = ACTIONS(1146),
    [anon_sym_def] = ACTIONS(1146),
    [sym_this] = ACTIONS(1146),
    [sym_super] = ACTIONS(1146),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1144),
  },
  [414] = {
    [ts_builtin_sym_end] = ACTIONS(1165),
    [sym_identifier] = ACTIONS(1167),
    [sym_decimal_integer_literal] = ACTIONS(1167),
    [sym_hex_integer_literal] = ACTIONS(1167),
    [sym_octal_integer_literal] = ACTIONS(1167),
    [sym_binary_integer_literal] = ACTIONS(1165),
    [sym_decimal_floating_point_literal] = ACTIONS(1165),
    [sym_hex_floating_point_literal] = ACTIONS(1167),
    [sym_true] = ACTIONS(1167),
    [sym_false] = ACTIONS(1167),
    [sym_character_literal] = ACTIONS(1165),
    [anon_sym_DQUOTE] = ACTIONS(1167),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1165),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1165),
    [anon_sym_RBRACE] = ACTIONS(1165),
    [sym_null_literal] = ACTIONS(1167),
    [anon_sym_LPAREN] = ACTIONS(1165),
    [anon_sym_AMP] = ACTIONS(1167),
    [anon_sym_GT] = ACTIONS(1167),
    [anon_sym_LT] = ACTIONS(1167),
    [anon_sym_GT_EQ] = ACTIONS(1165),
    [anon_sym_LT_EQ] = ACTIONS(1165),
    [anon_sym_EQ_EQ] = ACTIONS(1165),
    [anon_sym_BANG_EQ] = ACTIONS(1165),
    [anon_sym_AMP_AMP] = ACTIONS(1165),
    [anon_sym_PIPE_PIPE] = ACTIONS(1165),
    [anon_sym_PLUS] = ACTIONS(1167),
    [anon_sym_DASH] = ACTIONS(1167),
    [anon_sym_STAR] = ACTIONS(1167),
    [anon_sym_SLASH] = ACTIONS(1167),
    [anon_sym_PIPE] = ACTIONS(1167),
    [anon_sym_CARET] = ACTIONS(1165),
    [anon_sym_PERCENT] = ACTIONS(1165),
    [anon_sym_LT_LT] = ACTIONS(1165),
    [anon_sym_GT_GT] = ACTIONS(1167),
    [anon_sym_GT_GT_GT] = ACTIONS(1165),
    [anon_sym_in] = ACTIONS(1167),
    [anon_sym_STAR_STAR] = ACTIONS(1165),
    [anon_sym_instanceof] = ACTIONS(1167),
    [anon_sym_final] = ACTIONS(1167),
    [anon_sym_DASH_GT] = ACTIONS(1165),
    [anon_sym_COMMA] = ACTIONS(1165),
    [anon_sym_QMARK] = ACTIONS(1165),
    [anon_sym_BANG] = ACTIONS(1167),
    [anon_sym_TILDE] = ACTIONS(1165),
    [anon_sym_PLUS_PLUS] = ACTIONS(1165),
    [anon_sym_DASH_DASH] = ACTIONS(1165),
    [anon_sym_new] = ACTIONS(1167),
    [anon_sym_LBRACK] = ACTIONS(1165),
    [anon_sym_DOT] = ACTIONS(1167),
    [anon_sym_class] = ACTIONS(1167),
    [anon_sym_COLON_COLON] = ACTIONS(1165),
    [anon_sym_switch] = ACTIONS(1167),
    [anon_sym_LBRACE] = ACTIONS(1165),
    [anon_sym_default] = ACTIONS(1167),
    [sym_underscore_pattern] = ACTIONS(1167),
    [anon_sym_SEMI] = ACTIONS(1165),
    [anon_sym_assert] = ACTIONS(1167),
    [anon_sym_do] = ACTIONS(1167),
    [anon_sym_while] = ACTIONS(1167),
    [anon_sym_break] = ACTIONS(1167),
    [anon_sym_continue] = ACTIONS(1167),
    [anon_sym_return] = ACTIONS(1167),
    [anon_sym_yield] = ACTIONS(1167),
    [anon_sym_synchronized] = ACTIONS(1167),
    [anon_sym_throw] = ACTIONS(1167),
    [anon_sym_try] = ACTIONS(1167),
    [anon_sym_if] = ACTIONS(1167),
    [anon_sym_for] = ACTIONS(1167),
    [anon_sym_AT] = ACTIONS(1167),
    [anon_sym_open] = ACTIONS(1167),
    [anon_sym_module] = ACTIONS(1167),
    [anon_sym_static] = ACTIONS(1167),
    [anon_sym_with] = ACTIONS(1167),
    [anon_sym_package] = ACTIONS(1167),
    [anon_sym_import] = ACTIONS(1167),
    [anon_sym_enum] = ACTIONS(1167),
    [anon_sym_public] = ACTIONS(1167),
    [anon_sym_protected] = ACTIONS(1167),
    [anon_sym_private] = ACTIONS(1167),
    [anon_sym_abstract] = ACTIONS(1167),
    [anon_sym_strictfp] = ACTIONS(1167),
    [anon_sym_native] = ACTIONS(1167),
    [anon_sym_transient] = ACTIONS(1167),
    [anon_sym_volatile] = ACTIONS(1167),
    [anon_sym_sealed] = ACTIONS(1167),
    [anon_sym_non_DASHsealed] = ACTIONS(1165),
    [anon_sym_record] = ACTIONS(1167),
    [anon_sym_ATinterface] = ACTIONS(1165),
    [anon_sym_interface] = ACTIONS(1167),
    [anon_sym_byte] = ACTIONS(1167),
    [anon_sym_short] = ACTIONS(1167),
    [anon_sym_int] = ACTIONS(1167),
    [anon_sym_long] = ACTIONS(1167),
    [anon_sym_char] = ACTIONS(1167),
    [anon_sym_float] = ACTIONS(1167),
    [anon_sym_double] = ACTIONS(1167),
    [sym_boolean_type] = ACTIONS(1167),
    [sym_void_type] = ACTIONS(1167),
    [anon_sym_def] = ACTIONS(1167),
    [sym_this] = ACTIONS(1167),
    [sym_super] = ACTIONS(1167),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1165),
  },
  [415] = {
    [ts_builtin_sym_end] = ACTIONS(1223),
    [sym_identifier] = ACTIONS(1225),
    [sym_decimal_integer_literal] = ACTIONS(1225),
    [sym_hex_integer_literal] = ACTIONS(1225),
    [sym_octal_integer_literal] = ACTIONS(1225),
    [sym_binary_integer_literal] = ACTIONS(1223),
    [sym_decimal_floating_point_literal] = ACTIONS(1223),
    [sym_hex_floating_point_literal] = ACTIONS(1225),
    [sym_true] = ACTIONS(1225),
    [sym_false] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1223),
    [anon_sym_RBRACE] = ACTIONS(1223),
    [sym_null_literal] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1223),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_GT] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1223),
    [anon_sym_LT_EQ] = ACTIONS(1223),
    [anon_sym_EQ_EQ] = ACTIONS(1223),
    [anon_sym_BANG_EQ] = ACTIONS(1223),
    [anon_sym_AMP_AMP] = ACTIONS(1223),
    [anon_sym_PIPE_PIPE] = ACTIONS(1223),
    [anon_sym_PLUS] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1225),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_PIPE] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1223),
    [anon_sym_PERCENT] = ACTIONS(1223),
    [anon_sym_LT_LT] = ACTIONS(1223),
    [anon_sym_GT_GT] = ACTIONS(1225),
    [anon_sym_GT_GT_GT] = ACTIONS(1223),
    [anon_sym_in] = ACTIONS(1225),
    [anon_sym_STAR_STAR] = ACTIONS(1223),
    [anon_sym_instanceof] = ACTIONS(1225),
    [anon_sym_final] = ACTIONS(1225),
    [anon_sym_DASH_GT] = ACTIONS(1223),
    [anon_sym_COMMA] = ACTIONS(1223),
    [anon_sym_QMARK] = ACTIONS(1223),
    [anon_sym_BANG] = ACTIONS(1225),
    [anon_sym_TILDE] = ACTIONS(1223),
    [anon_sym_PLUS_PLUS] = ACTIONS(1223),
    [anon_sym_DASH_DASH] = ACTIONS(1223),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_DOT] = ACTIONS(1225),
    [anon_sym_class] = ACTIONS(1225),
    [anon_sym_COLON_COLON] = ACTIONS(1223),
    [anon_sym_switch] = ACTIONS(1225),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym_default] = ACTIONS(1225),
    [sym_underscore_pattern] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1223),
    [anon_sym_assert] = ACTIONS(1225),
    [anon_sym_do] = ACTIONS(1225),
    [anon_sym_while] = ACTIONS(1225),
    [anon_sym_break] = ACTIONS(1225),
    [anon_sym_continue] = ACTIONS(1225),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_yield] = ACTIONS(1225),
    [anon_sym_synchronized] = ACTIONS(1225),
    [anon_sym_throw] = ACTIONS(1225),
    [anon_sym_try] = ACTIONS(1225),
    [anon_sym_if] = ACTIONS(1225),
    [anon_sym_for] = ACTIONS(1225),
    [anon_sym_AT] = ACTIONS(1225),
    [anon_sym_open] = ACTIONS(1225),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_static] = ACTIONS(1225),
    [anon_sym_with] = ACTIONS(1225),
    [anon_sym_package] = ACTIONS(1225),
    [anon_sym_import] = ACTIONS(1225),
    [anon_sym_enum] = ACTIONS(1225),
    [anon_sym_public] = ACTIONS(1225),
    [anon_sym_protected] = ACTIONS(1225),
    [anon_sym_private] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1225),
    [anon_sym_strictfp] = ACTIONS(1225),
    [anon_sym_native] = ACTIONS(1225),
    [anon_sym_transient] = ACTIONS(1225),
    [anon_sym_volatile] = ACTIONS(1225),
    [anon_sym_sealed] = ACTIONS(1225),
    [anon_sym_non_DASHsealed] = ACTIONS(1223),
    [anon_sym_record] = ACTIONS(1225),
    [anon_sym_ATinterface] = ACTIONS(1223),
    [anon_sym_interface] = ACTIONS(1225),
    [anon_sym_byte] = ACTIONS(1225),
    [anon_sym_short] = ACTIONS(1225),
    [anon_sym_int] = ACTIONS(1225),
    [anon_sym_long] = ACTIONS(1225),
    [anon_sym_char] = ACTIONS(1225),
    [anon_sym_float] = ACTIONS(1225),
    [anon_sym_double] = ACTIONS(1225),
    [sym_boolean_type] = ACTIONS(1225),
    [sym_void_type] = ACTIONS(1225),
    [anon_sym_def] = ACTIONS(1225),
    [sym_this] = ACTIONS(1225),
    [sym_super] = ACTIONS(1225),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1223),
  },
  [416] = {
    [sym_identifier] = ACTIONS(1604),
    [sym_decimal_integer_literal] = ACTIONS(1604),
    [sym_hex_integer_literal] = ACTIONS(1604),
    [sym_octal_integer_literal] = ACTIONS(1604),
    [sym_binary_integer_literal] = ACTIONS(1604),
    [sym_decimal_floating_point_literal] = ACTIONS(1604),
    [sym_hex_floating_point_literal] = ACTIONS(1604),
    [sym_true] = ACTIONS(1604),
    [sym_false] = ACTIONS(1604),
    [sym_character_literal] = ACTIONS(1604),
    [anon_sym_DQUOTE] = ACTIONS(1604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1604),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1604),
    [anon_sym_RBRACE] = ACTIONS(1604),
    [sym_null_literal] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1604),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1202),
    [anon_sym_BANG_EQ] = ACTIONS(1202),
    [anon_sym_AMP_AMP] = ACTIONS(1202),
    [anon_sym_PIPE_PIPE] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_SLASH] = ACTIONS(1202),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_CARET] = ACTIONS(1202),
    [anon_sym_PERCENT] = ACTIONS(1202),
    [anon_sym_LT_LT] = ACTIONS(1202),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1202),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_STAR_STAR] = ACTIONS(1202),
    [anon_sym_instanceof] = ACTIONS(1202),
    [anon_sym_final] = ACTIONS(1604),
    [anon_sym_DASH_GT] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1604),
    [anon_sym_DASH_DASH] = ACTIONS(1604),
    [anon_sym_new] = ACTIONS(1604),
    [anon_sym_LBRACK] = ACTIONS(1604),
    [anon_sym_class] = ACTIONS(1604),
    [anon_sym_switch] = ACTIONS(1604),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym_case] = ACTIONS(1604),
    [anon_sym_default] = ACTIONS(1604),
    [sym_underscore_pattern] = ACTIONS(1604),
    [anon_sym_SEMI] = ACTIONS(1604),
    [aux_sym_expression_statement_token1] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1202),
    [anon_sym_assert] = ACTIONS(1604),
    [anon_sym_do] = ACTIONS(1604),
    [anon_sym_while] = ACTIONS(1604),
    [anon_sym_break] = ACTIONS(1604),
    [anon_sym_continue] = ACTIONS(1604),
    [anon_sym_return] = ACTIONS(1604),
    [anon_sym_yield] = ACTIONS(1604),
    [anon_sym_synchronized] = ACTIONS(1604),
    [anon_sym_throw] = ACTIONS(1604),
    [anon_sym_try] = ACTIONS(1604),
    [anon_sym_if] = ACTIONS(1604),
    [anon_sym_else] = ACTIONS(1604),
    [anon_sym_for] = ACTIONS(1604),
    [anon_sym_AT] = ACTIONS(1604),
    [anon_sym_open] = ACTIONS(1604),
    [anon_sym_module] = ACTIONS(1604),
    [anon_sym_static] = ACTIONS(1604),
    [anon_sym_with] = ACTIONS(1604),
    [anon_sym_package] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(1604),
    [anon_sym_enum] = ACTIONS(1604),
    [anon_sym_public] = ACTIONS(1604),
    [anon_sym_protected] = ACTIONS(1604),
    [anon_sym_private] = ACTIONS(1604),
    [anon_sym_abstract] = ACTIONS(1604),
    [anon_sym_strictfp] = ACTIONS(1604),
    [anon_sym_native] = ACTIONS(1604),
    [anon_sym_transient] = ACTIONS(1604),
    [anon_sym_volatile] = ACTIONS(1604),
    [anon_sym_sealed] = ACTIONS(1604),
    [anon_sym_non_DASHsealed] = ACTIONS(1604),
    [anon_sym_record] = ACTIONS(1604),
    [anon_sym_ATinterface] = ACTIONS(1604),
    [anon_sym_interface] = ACTIONS(1604),
    [anon_sym_byte] = ACTIONS(1604),
    [anon_sym_short] = ACTIONS(1604),
    [anon_sym_int] = ACTIONS(1604),
    [anon_sym_long] = ACTIONS(1604),
    [anon_sym_char] = ACTIONS(1604),
    [anon_sym_float] = ACTIONS(1604),
    [anon_sym_double] = ACTIONS(1604),
    [sym_boolean_type] = ACTIONS(1604),
    [sym_void_type] = ACTIONS(1604),
    [anon_sym_def] = ACTIONS(1604),
    [sym_this] = ACTIONS(1604),
    [sym_super] = ACTIONS(1604),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1202),
  },
  [417] = {
    [sym_identifier] = ACTIONS(1607),
    [sym_decimal_integer_literal] = ACTIONS(1607),
    [sym_hex_integer_literal] = ACTIONS(1607),
    [sym_octal_integer_literal] = ACTIONS(1607),
    [sym_binary_integer_literal] = ACTIONS(1607),
    [sym_decimal_floating_point_literal] = ACTIONS(1607),
    [sym_hex_floating_point_literal] = ACTIONS(1607),
    [sym_true] = ACTIONS(1607),
    [sym_false] = ACTIONS(1607),
    [sym_character_literal] = ACTIONS(1607),
    [anon_sym_DQUOTE] = ACTIONS(1607),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1607),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1607),
    [anon_sym_RBRACE] = ACTIONS(1607),
    [sym_null_literal] = ACTIONS(1607),
    [anon_sym_LPAREN] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_GT] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1225),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_PIPE] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1225),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1225),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_in] = ACTIONS(1225),
    [anon_sym_STAR_STAR] = ACTIONS(1225),
    [anon_sym_instanceof] = ACTIONS(1225),
    [anon_sym_final] = ACTIONS(1607),
    [anon_sym_DASH_GT] = ACTIONS(1607),
    [anon_sym_QMARK] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1225),
    [anon_sym_DASH_DASH] = ACTIONS(1225),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_class] = ACTIONS(1607),
    [anon_sym_switch] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1607),
    [anon_sym_case] = ACTIONS(1607),
    [anon_sym_default] = ACTIONS(1607),
    [sym_underscore_pattern] = ACTIONS(1607),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_expression_statement_token1] = ACTIONS(1223),
    [anon_sym_NULL] = ACTIONS(1225),
    [anon_sym_assert] = ACTIONS(1607),
    [anon_sym_do] = ACTIONS(1607),
    [anon_sym_while] = ACTIONS(1607),
    [anon_sym_break] = ACTIONS(1607),
    [anon_sym_continue] = ACTIONS(1607),
    [anon_sym_return] = ACTIONS(1607),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_synchronized] = ACTIONS(1607),
    [anon_sym_throw] = ACTIONS(1607),
    [anon_sym_try] = ACTIONS(1607),
    [anon_sym_if] = ACTIONS(1607),
    [anon_sym_else] = ACTIONS(1607),
    [anon_sym_for] = ACTIONS(1607),
    [anon_sym_AT] = ACTIONS(1607),
    [anon_sym_open] = ACTIONS(1607),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_static] = ACTIONS(1607),
    [anon_sym_with] = ACTIONS(1607),
    [anon_sym_package] = ACTIONS(1607),
    [anon_sym_import] = ACTIONS(1607),
    [anon_sym_enum] = ACTIONS(1607),
    [anon_sym_public] = ACTIONS(1607),
    [anon_sym_protected] = ACTIONS(1607),
    [anon_sym_private] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1607),
    [anon_sym_strictfp] = ACTIONS(1607),
    [anon_sym_native] = ACTIONS(1607),
    [anon_sym_transient] = ACTIONS(1607),
    [anon_sym_volatile] = ACTIONS(1607),
    [anon_sym_sealed] = ACTIONS(1607),
    [anon_sym_non_DASHsealed] = ACTIONS(1607),
    [anon_sym_record] = ACTIONS(1607),
    [anon_sym_ATinterface] = ACTIONS(1607),
    [anon_sym_interface] = ACTIONS(1607),
    [anon_sym_byte] = ACTIONS(1607),
    [anon_sym_short] = ACTIONS(1607),
    [anon_sym_int] = ACTIONS(1607),
    [anon_sym_long] = ACTIONS(1607),
    [anon_sym_char] = ACTIONS(1607),
    [anon_sym_float] = ACTIONS(1607),
    [anon_sym_double] = ACTIONS(1607),
    [sym_boolean_type] = ACTIONS(1607),
    [sym_void_type] = ACTIONS(1607),
    [anon_sym_def] = ACTIONS(1607),
    [sym_this] = ACTIONS(1607),
    [sym_super] = ACTIONS(1607),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1225),
  },
  [418] = {
    [sym_type_arguments] = STATE(491),
    [ts_builtin_sym_end] = ACTIONS(1072),
    [sym_identifier] = ACTIONS(1074),
    [sym_decimal_integer_literal] = ACTIONS(1074),
    [sym_hex_integer_literal] = ACTIONS(1074),
    [sym_octal_integer_literal] = ACTIONS(1074),
    [sym_binary_integer_literal] = ACTIONS(1072),
    [sym_decimal_floating_point_literal] = ACTIONS(1072),
    [sym_hex_floating_point_literal] = ACTIONS(1074),
    [sym_true] = ACTIONS(1074),
    [sym_false] = ACTIONS(1074),
    [sym_character_literal] = ACTIONS(1072),
    [anon_sym_DQUOTE] = ACTIONS(1074),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1072),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1072),
    [anon_sym_RBRACE] = ACTIONS(1072),
    [sym_null_literal] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(1072),
    [anon_sym_AMP] = ACTIONS(1074),
    [anon_sym_GT] = ACTIONS(1074),
    [anon_sym_LT] = ACTIONS(1496),
    [anon_sym_GT_EQ] = ACTIONS(1072),
    [anon_sym_LT_EQ] = ACTIONS(1072),
    [anon_sym_EQ_EQ] = ACTIONS(1072),
    [anon_sym_BANG_EQ] = ACTIONS(1072),
    [anon_sym_AMP_AMP] = ACTIONS(1072),
    [anon_sym_PIPE_PIPE] = ACTIONS(1072),
    [anon_sym_PLUS] = ACTIONS(1074),
    [anon_sym_DASH] = ACTIONS(1074),
    [anon_sym_STAR] = ACTIONS(1074),
    [anon_sym_SLASH] = ACTIONS(1074),
    [anon_sym_PIPE] = ACTIONS(1074),
    [anon_sym_CARET] = ACTIONS(1072),
    [anon_sym_PERCENT] = ACTIONS(1072),
    [anon_sym_LT_LT] = ACTIONS(1072),
    [anon_sym_GT_GT] = ACTIONS(1074),
    [anon_sym_GT_GT_GT] = ACTIONS(1072),
    [anon_sym_in] = ACTIONS(1074),
    [anon_sym_STAR_STAR] = ACTIONS(1072),
    [anon_sym_instanceof] = ACTIONS(1074),
    [anon_sym_final] = ACTIONS(1074),
    [anon_sym_DASH_GT] = ACTIONS(1072),
    [anon_sym_COMMA] = ACTIONS(1072),
    [anon_sym_QMARK] = ACTIONS(1072),
    [anon_sym_BANG] = ACTIONS(1074),
    [anon_sym_TILDE] = ACTIONS(1072),
    [anon_sym_PLUS_PLUS] = ACTIONS(1072),
    [anon_sym_DASH_DASH] = ACTIONS(1072),
    [anon_sym_new] = ACTIONS(1074),
    [anon_sym_LBRACK] = ACTIONS(1072),
    [anon_sym_DOT] = ACTIONS(1499),
    [anon_sym_class] = ACTIONS(1074),
    [anon_sym_switch] = ACTIONS(1074),
    [anon_sym_LBRACE] = ACTIONS(1072),
    [anon_sym_default] = ACTIONS(1074),
    [sym_underscore_pattern] = ACTIONS(1074),
    [anon_sym_SEMI] = ACTIONS(1072),
    [anon_sym_assert] = ACTIONS(1074),
    [anon_sym_do] = ACTIONS(1074),
    [anon_sym_while] = ACTIONS(1074),
    [anon_sym_break] = ACTIONS(1074),
    [anon_sym_continue] = ACTIONS(1074),
    [anon_sym_return] = ACTIONS(1074),
    [anon_sym_yield] = ACTIONS(1074),
    [anon_sym_synchronized] = ACTIONS(1074),
    [anon_sym_throw] = ACTIONS(1074),
    [anon_sym_try] = ACTIONS(1074),
    [anon_sym_if] = ACTIONS(1074),
    [anon_sym_for] = ACTIONS(1074),
    [anon_sym_AT] = ACTIONS(1074),
    [anon_sym_open] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_static] = ACTIONS(1074),
    [anon_sym_with] = ACTIONS(1074),
    [anon_sym_package] = ACTIONS(1074),
    [anon_sym_import] = ACTIONS(1074),
    [anon_sym_enum] = ACTIONS(1074),
    [anon_sym_public] = ACTIONS(1074),
    [anon_sym_protected] = ACTIONS(1074),
    [anon_sym_private] = ACTIONS(1074),
    [anon_sym_abstract] = ACTIONS(1074),
    [anon_sym_strictfp] = ACTIONS(1074),
    [anon_sym_native] = ACTIONS(1074),
    [anon_sym_transient] = ACTIONS(1074),
    [anon_sym_volatile] = ACTIONS(1074),
    [anon_sym_sealed] = ACTIONS(1074),
    [anon_sym_non_DASHsealed] = ACTIONS(1072),
    [anon_sym_record] = ACTIONS(1074),
    [anon_sym_ATinterface] = ACTIONS(1072),
    [anon_sym_interface] = ACTIONS(1074),
    [anon_sym_byte] = ACTIONS(1074),
    [anon_sym_short] = ACTIONS(1074),
    [anon_sym_int] = ACTIONS(1074),
    [anon_sym_long] = ACTIONS(1074),
    [anon_sym_char] = ACTIONS(1074),
    [anon_sym_float] = ACTIONS(1074),
    [anon_sym_double] = ACTIONS(1074),
    [sym_boolean_type] = ACTIONS(1074),
    [sym_void_type] = ACTIONS(1074),
    [anon_sym_def] = ACTIONS(1074),
    [sym_this] = ACTIONS(1074),
    [sym_super] = ACTIONS(1074),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1072),
  },
  [419] = {
    [ts_builtin_sym_end] = ACTIONS(1369),
    [sym_identifier] = ACTIONS(1371),
    [sym_decimal_integer_literal] = ACTIONS(1371),
    [sym_hex_integer_literal] = ACTIONS(1371),
    [sym_octal_integer_literal] = ACTIONS(1371),
    [sym_binary_integer_literal] = ACTIONS(1369),
    [sym_decimal_floating_point_literal] = ACTIONS(1369),
    [sym_hex_floating_point_literal] = ACTIONS(1371),
    [sym_true] = ACTIONS(1371),
    [sym_false] = ACTIONS(1371),
    [sym_character_literal] = ACTIONS(1369),
    [anon_sym_DQUOTE] = ACTIONS(1371),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1369),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1369),
    [anon_sym_RBRACE] = ACTIONS(1369),
    [sym_null_literal] = ACTIONS(1371),
    [anon_sym_LPAREN] = ACTIONS(1369),
    [anon_sym_AMP] = ACTIONS(1371),
    [anon_sym_GT] = ACTIONS(1371),
    [anon_sym_LT] = ACTIONS(1371),
    [anon_sym_GT_EQ] = ACTIONS(1369),
    [anon_sym_LT_EQ] = ACTIONS(1369),
    [anon_sym_EQ_EQ] = ACTIONS(1369),
    [anon_sym_BANG_EQ] = ACTIONS(1369),
    [anon_sym_AMP_AMP] = ACTIONS(1369),
    [anon_sym_PIPE_PIPE] = ACTIONS(1369),
    [anon_sym_PLUS] = ACTIONS(1371),
    [anon_sym_DASH] = ACTIONS(1371),
    [anon_sym_STAR] = ACTIONS(1371),
    [anon_sym_SLASH] = ACTIONS(1371),
    [anon_sym_PIPE] = ACTIONS(1371),
    [anon_sym_CARET] = ACTIONS(1369),
    [anon_sym_PERCENT] = ACTIONS(1369),
    [anon_sym_LT_LT] = ACTIONS(1369),
    [anon_sym_GT_GT] = ACTIONS(1371),
    [anon_sym_GT_GT_GT] = ACTIONS(1369),
    [anon_sym_in] = ACTIONS(1371),
    [anon_sym_STAR_STAR] = ACTIONS(1369),
    [anon_sym_instanceof] = ACTIONS(1371),
    [anon_sym_final] = ACTIONS(1371),
    [anon_sym_DASH_GT] = ACTIONS(1369),
    [anon_sym_COMMA] = ACTIONS(1369),
    [anon_sym_QMARK] = ACTIONS(1369),
    [anon_sym_BANG] = ACTIONS(1371),
    [anon_sym_TILDE] = ACTIONS(1369),
    [anon_sym_PLUS_PLUS] = ACTIONS(1369),
    [anon_sym_DASH_DASH] = ACTIONS(1369),
    [anon_sym_new] = ACTIONS(1371),
    [anon_sym_LBRACK] = ACTIONS(1369),
    [anon_sym_DOT] = ACTIONS(1371),
    [anon_sym_class] = ACTIONS(1371),
    [anon_sym_COLON_COLON] = ACTIONS(1369),
    [anon_sym_switch] = ACTIONS(1371),
    [anon_sym_LBRACE] = ACTIONS(1369),
    [anon_sym_default] = ACTIONS(1371),
    [sym_underscore_pattern] = ACTIONS(1371),
    [anon_sym_SEMI] = ACTIONS(1369),
    [anon_sym_assert] = ACTIONS(1371),
    [anon_sym_do] = ACTIONS(1371),
    [anon_sym_while] = ACTIONS(1371),
    [anon_sym_break] = ACTIONS(1371),
    [anon_sym_continue] = ACTIONS(1371),
    [anon_sym_return] = ACTIONS(1371),
    [anon_sym_yield] = ACTIONS(1371),
    [anon_sym_synchronized] = ACTIONS(1371),
    [anon_sym_throw] = ACTIONS(1371),
    [anon_sym_try] = ACTIONS(1371),
    [anon_sym_if] = ACTIONS(1371),
    [anon_sym_for] = ACTIONS(1371),
    [anon_sym_AT] = ACTIONS(1371),
    [anon_sym_open] = ACTIONS(1371),
    [anon_sym_module] = ACTIONS(1371),
    [anon_sym_static] = ACTIONS(1371),
    [anon_sym_with] = ACTIONS(1371),
    [anon_sym_package] = ACTIONS(1371),
    [anon_sym_import] = ACTIONS(1371),
    [anon_sym_enum] = ACTIONS(1371),
    [anon_sym_public] = ACTIONS(1371),
    [anon_sym_protected] = ACTIONS(1371),
    [anon_sym_private] = ACTIONS(1371),
    [anon_sym_abstract] = ACTIONS(1371),
    [anon_sym_strictfp] = ACTIONS(1371),
    [anon_sym_native] = ACTIONS(1371),
    [anon_sym_transient] = ACTIONS(1371),
    [anon_sym_volatile] = ACTIONS(1371),
    [anon_sym_sealed] = ACTIONS(1371),
    [anon_sym_non_DASHsealed] = ACTIONS(1369),
    [anon_sym_record] = ACTIONS(1371),
    [anon_sym_ATinterface] = ACTIONS(1369),
    [anon_sym_interface] = ACTIONS(1371),
    [anon_sym_byte] = ACTIONS(1371),
    [anon_sym_short] = ACTIONS(1371),
    [anon_sym_int] = ACTIONS(1371),
    [anon_sym_long] = ACTIONS(1371),
    [anon_sym_char] = ACTIONS(1371),
    [anon_sym_float] = ACTIONS(1371),
    [anon_sym_double] = ACTIONS(1371),
    [sym_boolean_type] = ACTIONS(1371),
    [sym_void_type] = ACTIONS(1371),
    [anon_sym_def] = ACTIONS(1371),
    [sym_this] = ACTIONS(1371),
    [sym_super] = ACTIONS(1371),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1369),
  },
  [420] = {
    [sym_type_arguments] = STATE(483),
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_identifier] = ACTIONS(1146),
    [sym_decimal_integer_literal] = ACTIONS(1146),
    [sym_hex_integer_literal] = ACTIONS(1146),
    [sym_octal_integer_literal] = ACTIONS(1146),
    [sym_binary_integer_literal] = ACTIONS(1144),
    [sym_decimal_floating_point_literal] = ACTIONS(1144),
    [sym_hex_floating_point_literal] = ACTIONS(1146),
    [sym_true] = ACTIONS(1146),
    [sym_false] = ACTIONS(1146),
    [sym_character_literal] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1144),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [sym_null_literal] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_AMP] = ACTIONS(1146),
    [anon_sym_GT] = ACTIONS(1146),
    [anon_sym_LT] = ACTIONS(1609),
    [anon_sym_GT_EQ] = ACTIONS(1144),
    [anon_sym_LT_EQ] = ACTIONS(1144),
    [anon_sym_EQ_EQ] = ACTIONS(1144),
    [anon_sym_BANG_EQ] = ACTIONS(1144),
    [anon_sym_AMP_AMP] = ACTIONS(1144),
    [anon_sym_PIPE_PIPE] = ACTIONS(1144),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1146),
    [anon_sym_SLASH] = ACTIONS(1146),
    [anon_sym_PIPE] = ACTIONS(1146),
    [anon_sym_CARET] = ACTIONS(1144),
    [anon_sym_PERCENT] = ACTIONS(1144),
    [anon_sym_LT_LT] = ACTIONS(1144),
    [anon_sym_GT_GT] = ACTIONS(1146),
    [anon_sym_GT_GT_GT] = ACTIONS(1144),
    [anon_sym_in] = ACTIONS(1146),
    [anon_sym_STAR_STAR] = ACTIONS(1144),
    [anon_sym_instanceof] = ACTIONS(1146),
    [anon_sym_final] = ACTIONS(1146),
    [anon_sym_DASH_GT] = ACTIONS(1144),
    [anon_sym_COMMA] = ACTIONS(1144),
    [anon_sym_QMARK] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_new] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_DOT] = ACTIONS(1602),
    [anon_sym_class] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1146),
    [sym_underscore_pattern] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1144),
    [anon_sym_assert] = ACTIONS(1146),
    [anon_sym_do] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1146),
    [anon_sym_break] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1146),
    [anon_sym_return] = ACTIONS(1146),
    [anon_sym_yield] = ACTIONS(1146),
    [anon_sym_synchronized] = ACTIONS(1146),
    [anon_sym_throw] = ACTIONS(1146),
    [anon_sym_try] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1146),
    [anon_sym_for] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1146),
    [anon_sym_open] = ACTIONS(1146),
    [anon_sym_module] = ACTIONS(1146),
    [anon_sym_static] = ACTIONS(1146),
    [anon_sym_with] = ACTIONS(1146),
    [anon_sym_package] = ACTIONS(1146),
    [anon_sym_import] = ACTIONS(1146),
    [anon_sym_enum] = ACTIONS(1146),
    [anon_sym_public] = ACTIONS(1146),
    [anon_sym_protected] = ACTIONS(1146),
    [anon_sym_private] = ACTIONS(1146),
    [anon_sym_abstract] = ACTIONS(1146),
    [anon_sym_strictfp] = ACTIONS(1146),
    [anon_sym_native] = ACTIONS(1146),
    [anon_sym_transient] = ACTIONS(1146),
    [anon_sym_volatile] = ACTIONS(1146),
    [anon_sym_sealed] = ACTIONS(1146),
    [anon_sym_non_DASHsealed] = ACTIONS(1144),
    [anon_sym_record] = ACTIONS(1146),
    [anon_sym_ATinterface] = ACTIONS(1144),
    [anon_sym_interface] = ACTIONS(1146),
    [anon_sym_byte] = ACTIONS(1146),
    [anon_sym_short] = ACTIONS(1146),
    [anon_sym_int] = ACTIONS(1146),
    [anon_sym_long] = ACTIONS(1146),
    [anon_sym_char] = ACTIONS(1146),
    [anon_sym_float] = ACTIONS(1146),
    [anon_sym_double] = ACTIONS(1146),
    [sym_boolean_type] = ACTIONS(1146),
    [sym_void_type] = ACTIONS(1146),
    [anon_sym_def] = ACTIONS(1146),
    [sym_this] = ACTIONS(1146),
    [sym_super] = ACTIONS(1146),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1144),
  },
  [421] = {
    [ts_builtin_sym_end] = ACTIONS(1373),
    [sym_identifier] = ACTIONS(1375),
    [sym_decimal_integer_literal] = ACTIONS(1375),
    [sym_hex_integer_literal] = ACTIONS(1375),
    [sym_octal_integer_literal] = ACTIONS(1375),
    [sym_binary_integer_literal] = ACTIONS(1373),
    [sym_decimal_floating_point_literal] = ACTIONS(1373),
    [sym_hex_floating_point_literal] = ACTIONS(1375),
    [sym_true] = ACTIONS(1375),
    [sym_false] = ACTIONS(1375),
    [sym_character_literal] = ACTIONS(1373),
    [anon_sym_DQUOTE] = ACTIONS(1375),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1373),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1373),
    [anon_sym_RBRACE] = ACTIONS(1373),
    [sym_null_literal] = ACTIONS(1375),
    [anon_sym_LPAREN] = ACTIONS(1373),
    [anon_sym_AMP] = ACTIONS(1375),
    [anon_sym_GT] = ACTIONS(1375),
    [anon_sym_LT] = ACTIONS(1375),
    [anon_sym_GT_EQ] = ACTIONS(1373),
    [anon_sym_LT_EQ] = ACTIONS(1373),
    [anon_sym_EQ_EQ] = ACTIONS(1373),
    [anon_sym_BANG_EQ] = ACTIONS(1373),
    [anon_sym_AMP_AMP] = ACTIONS(1373),
    [anon_sym_PIPE_PIPE] = ACTIONS(1373),
    [anon_sym_PLUS] = ACTIONS(1375),
    [anon_sym_DASH] = ACTIONS(1375),
    [anon_sym_STAR] = ACTIONS(1375),
    [anon_sym_SLASH] = ACTIONS(1375),
    [anon_sym_PIPE] = ACTIONS(1375),
    [anon_sym_CARET] = ACTIONS(1373),
    [anon_sym_PERCENT] = ACTIONS(1373),
    [anon_sym_LT_LT] = ACTIONS(1373),
    [anon_sym_GT_GT] = ACTIONS(1375),
    [anon_sym_GT_GT_GT] = ACTIONS(1373),
    [anon_sym_in] = ACTIONS(1375),
    [anon_sym_STAR_STAR] = ACTIONS(1373),
    [anon_sym_instanceof] = ACTIONS(1375),
    [anon_sym_final] = ACTIONS(1375),
    [anon_sym_DASH_GT] = ACTIONS(1373),
    [anon_sym_COMMA] = ACTIONS(1373),
    [anon_sym_QMARK] = ACTIONS(1373),
    [anon_sym_BANG] = ACTIONS(1375),
    [anon_sym_TILDE] = ACTIONS(1373),
    [anon_sym_PLUS_PLUS] = ACTIONS(1373),
    [anon_sym_DASH_DASH] = ACTIONS(1373),
    [anon_sym_new] = ACTIONS(1375),
    [anon_sym_LBRACK] = ACTIONS(1373),
    [anon_sym_DOT] = ACTIONS(1375),
    [anon_sym_class] = ACTIONS(1375),
    [anon_sym_COLON_COLON] = ACTIONS(1373),
    [anon_sym_switch] = ACTIONS(1375),
    [anon_sym_LBRACE] = ACTIONS(1373),
    [anon_sym_default] = ACTIONS(1375),
    [sym_underscore_pattern] = ACTIONS(1375),
    [anon_sym_SEMI] = ACTIONS(1373),
    [anon_sym_assert] = ACTIONS(1375),
    [anon_sym_do] = ACTIONS(1375),
    [anon_sym_while] = ACTIONS(1375),
    [anon_sym_break] = ACTIONS(1375),
    [anon_sym_continue] = ACTIONS(1375),
    [anon_sym_return] = ACTIONS(1375),
    [anon_sym_yield] = ACTIONS(1375),
    [anon_sym_synchronized] = ACTIONS(1375),
    [anon_sym_throw] = ACTIONS(1375),
    [anon_sym_try] = ACTIONS(1375),
    [anon_sym_if] = ACTIONS(1375),
    [anon_sym_for] = ACTIONS(1375),
    [anon_sym_AT] = ACTIONS(1375),
    [anon_sym_open] = ACTIONS(1375),
    [anon_sym_module] = ACTIONS(1375),
    [anon_sym_static] = ACTIONS(1375),
    [anon_sym_with] = ACTIONS(1375),
    [anon_sym_package] = ACTIONS(1375),
    [anon_sym_import] = ACTIONS(1375),
    [anon_sym_enum] = ACTIONS(1375),
    [anon_sym_public] = ACTIONS(1375),
    [anon_sym_protected] = ACTIONS(1375),
    [anon_sym_private] = ACTIONS(1375),
    [anon_sym_abstract] = ACTIONS(1375),
    [anon_sym_strictfp] = ACTIONS(1375),
    [anon_sym_native] = ACTIONS(1375),
    [anon_sym_transient] = ACTIONS(1375),
    [anon_sym_volatile] = ACTIONS(1375),
    [anon_sym_sealed] = ACTIONS(1375),
    [anon_sym_non_DASHsealed] = ACTIONS(1373),
    [anon_sym_record] = ACTIONS(1375),
    [anon_sym_ATinterface] = ACTIONS(1373),
    [anon_sym_interface] = ACTIONS(1375),
    [anon_sym_byte] = ACTIONS(1375),
    [anon_sym_short] = ACTIONS(1375),
    [anon_sym_int] = ACTIONS(1375),
    [anon_sym_long] = ACTIONS(1375),
    [anon_sym_char] = ACTIONS(1375),
    [anon_sym_float] = ACTIONS(1375),
    [anon_sym_double] = ACTIONS(1375),
    [sym_boolean_type] = ACTIONS(1375),
    [sym_void_type] = ACTIONS(1375),
    [anon_sym_def] = ACTIONS(1375),
    [sym_this] = ACTIONS(1375),
    [sym_super] = ACTIONS(1375),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1373),
  },
  [422] = {
    [ts_builtin_sym_end] = ACTIONS(810),
    [sym_identifier] = ACTIONS(772),
    [sym_decimal_integer_literal] = ACTIONS(772),
    [sym_hex_integer_literal] = ACTIONS(772),
    [sym_octal_integer_literal] = ACTIONS(772),
    [sym_binary_integer_literal] = ACTIONS(810),
    [sym_decimal_floating_point_literal] = ACTIONS(810),
    [sym_hex_floating_point_literal] = ACTIONS(772),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_character_literal] = ACTIONS(810),
    [anon_sym_DQUOTE] = ACTIONS(772),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(810),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(810),
    [anon_sym_RBRACE] = ACTIONS(810),
    [sym_null_literal] = ACTIONS(772),
    [anon_sym_LPAREN] = ACTIONS(810),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(772),
    [anon_sym_GT_EQ] = ACTIONS(810),
    [anon_sym_LT_EQ] = ACTIONS(810),
    [anon_sym_EQ_EQ] = ACTIONS(810),
    [anon_sym_BANG_EQ] = ACTIONS(810),
    [anon_sym_AMP_AMP] = ACTIONS(810),
    [anon_sym_PIPE_PIPE] = ACTIONS(810),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(810),
    [anon_sym_PERCENT] = ACTIONS(810),
    [anon_sym_LT_LT] = ACTIONS(810),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(810),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(810),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_final] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(810),
    [anon_sym_COMMA] = ACTIONS(810),
    [anon_sym_QMARK] = ACTIONS(810),
    [anon_sym_BANG] = ACTIONS(772),
    [anon_sym_TILDE] = ACTIONS(810),
    [anon_sym_PLUS_PLUS] = ACTIONS(810),
    [anon_sym_DASH_DASH] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_DOT] = ACTIONS(772),
    [anon_sym_class] = ACTIONS(772),
    [anon_sym_COLON_COLON] = ACTIONS(810),
    [anon_sym_switch] = ACTIONS(772),
    [anon_sym_LBRACE] = ACTIONS(810),
    [anon_sym_default] = ACTIONS(772),
    [sym_underscore_pattern] = ACTIONS(772),
    [anon_sym_SEMI] = ACTIONS(810),
    [anon_sym_assert] = ACTIONS(772),
    [anon_sym_do] = ACTIONS(772),
    [anon_sym_while] = ACTIONS(772),
    [anon_sym_break] = ACTIONS(772),
    [anon_sym_continue] = ACTIONS(772),
    [anon_sym_return] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(772),
    [anon_sym_synchronized] = ACTIONS(772),
    [anon_sym_throw] = ACTIONS(772),
    [anon_sym_try] = ACTIONS(772),
    [anon_sym_if] = ACTIONS(772),
    [anon_sym_for] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(772),
    [anon_sym_open] = ACTIONS(772),
    [anon_sym_module] = ACTIONS(772),
    [anon_sym_static] = ACTIONS(772),
    [anon_sym_with] = ACTIONS(772),
    [anon_sym_package] = ACTIONS(772),
    [anon_sym_import] = ACTIONS(772),
    [anon_sym_enum] = ACTIONS(772),
    [anon_sym_public] = ACTIONS(772),
    [anon_sym_protected] = ACTIONS(772),
    [anon_sym_private] = ACTIONS(772),
    [anon_sym_abstract] = ACTIONS(772),
    [anon_sym_strictfp] = ACTIONS(772),
    [anon_sym_native] = ACTIONS(772),
    [anon_sym_transient] = ACTIONS(772),
    [anon_sym_volatile] = ACTIONS(772),
    [anon_sym_sealed] = ACTIONS(772),
    [anon_sym_non_DASHsealed] = ACTIONS(810),
    [anon_sym_record] = ACTIONS(772),
    [anon_sym_ATinterface] = ACTIONS(810),
    [anon_sym_interface] = ACTIONS(772),
    [anon_sym_byte] = ACTIONS(772),
    [anon_sym_short] = ACTIONS(772),
    [anon_sym_int] = ACTIONS(772),
    [anon_sym_long] = ACTIONS(772),
    [anon_sym_char] = ACTIONS(772),
    [anon_sym_float] = ACTIONS(772),
    [anon_sym_double] = ACTIONS(772),
    [sym_boolean_type] = ACTIONS(772),
    [sym_void_type] = ACTIONS(772),
    [anon_sym_def] = ACTIONS(772),
    [sym_this] = ACTIONS(772),
    [sym_super] = ACTIONS(772),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(810),
  },
  [423] = {
    [ts_builtin_sym_end] = ACTIONS(824),
    [sym_identifier] = ACTIONS(826),
    [sym_decimal_integer_literal] = ACTIONS(826),
    [sym_hex_integer_literal] = ACTIONS(826),
    [sym_octal_integer_literal] = ACTIONS(826),
    [sym_binary_integer_literal] = ACTIONS(824),
    [sym_decimal_floating_point_literal] = ACTIONS(824),
    [sym_hex_floating_point_literal] = ACTIONS(826),
    [sym_true] = ACTIONS(826),
    [sym_false] = ACTIONS(826),
    [sym_character_literal] = ACTIONS(824),
    [anon_sym_DQUOTE] = ACTIONS(826),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(824),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(824),
    [anon_sym_RBRACE] = ACTIONS(824),
    [sym_null_literal] = ACTIONS(826),
    [anon_sym_LPAREN] = ACTIONS(824),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT_EQ] = ACTIONS(824),
    [anon_sym_LT_EQ] = ACTIONS(824),
    [anon_sym_EQ_EQ] = ACTIONS(824),
    [anon_sym_BANG_EQ] = ACTIONS(824),
    [anon_sym_AMP_AMP] = ACTIONS(824),
    [anon_sym_PIPE_PIPE] = ACTIONS(824),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(824),
    [anon_sym_PERCENT] = ACTIONS(824),
    [anon_sym_LT_LT] = ACTIONS(824),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(824),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(824),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_final] = ACTIONS(826),
    [anon_sym_DASH_GT] = ACTIONS(824),
    [anon_sym_COMMA] = ACTIONS(824),
    [anon_sym_QMARK] = ACTIONS(824),
    [anon_sym_BANG] = ACTIONS(826),
    [anon_sym_TILDE] = ACTIONS(824),
    [anon_sym_PLUS_PLUS] = ACTIONS(824),
    [anon_sym_DASH_DASH] = ACTIONS(824),
    [anon_sym_new] = ACTIONS(826),
    [anon_sym_LBRACK] = ACTIONS(824),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_class] = ACTIONS(826),
    [anon_sym_COLON_COLON] = ACTIONS(824),
    [anon_sym_switch] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(824),
    [anon_sym_default] = ACTIONS(826),
    [sym_underscore_pattern] = ACTIONS(826),
    [anon_sym_SEMI] = ACTIONS(824),
    [anon_sym_assert] = ACTIONS(826),
    [anon_sym_do] = ACTIONS(826),
    [anon_sym_while] = ACTIONS(826),
    [anon_sym_break] = ACTIONS(826),
    [anon_sym_continue] = ACTIONS(826),
    [anon_sym_return] = ACTIONS(826),
    [anon_sym_yield] = ACTIONS(826),
    [anon_sym_synchronized] = ACTIONS(826),
    [anon_sym_throw] = ACTIONS(826),
    [anon_sym_try] = ACTIONS(826),
    [anon_sym_if] = ACTIONS(826),
    [anon_sym_for] = ACTIONS(826),
    [anon_sym_AT] = ACTIONS(826),
    [anon_sym_open] = ACTIONS(826),
    [anon_sym_module] = ACTIONS(826),
    [anon_sym_static] = ACTIONS(826),
    [anon_sym_with] = ACTIONS(826),
    [anon_sym_package] = ACTIONS(826),
    [anon_sym_import] = ACTIONS(826),
    [anon_sym_enum] = ACTIONS(826),
    [anon_sym_public] = ACTIONS(826),
    [anon_sym_protected] = ACTIONS(826),
    [anon_sym_private] = ACTIONS(826),
    [anon_sym_abstract] = ACTIONS(826),
    [anon_sym_strictfp] = ACTIONS(826),
    [anon_sym_native] = ACTIONS(826),
    [anon_sym_transient] = ACTIONS(826),
    [anon_sym_volatile] = ACTIONS(826),
    [anon_sym_sealed] = ACTIONS(826),
    [anon_sym_non_DASHsealed] = ACTIONS(824),
    [anon_sym_record] = ACTIONS(826),
    [anon_sym_ATinterface] = ACTIONS(824),
    [anon_sym_interface] = ACTIONS(826),
    [anon_sym_byte] = ACTIONS(826),
    [anon_sym_short] = ACTIONS(826),
    [anon_sym_int] = ACTIONS(826),
    [anon_sym_long] = ACTIONS(826),
    [anon_sym_char] = ACTIONS(826),
    [anon_sym_float] = ACTIONS(826),
    [anon_sym_double] = ACTIONS(826),
    [sym_boolean_type] = ACTIONS(826),
    [sym_void_type] = ACTIONS(826),
    [anon_sym_def] = ACTIONS(826),
    [sym_this] = ACTIONS(826),
    [sym_super] = ACTIONS(826),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(824),
  },
  [424] = {
    [ts_builtin_sym_end] = ACTIONS(1377),
    [sym_identifier] = ACTIONS(1379),
    [sym_decimal_integer_literal] = ACTIONS(1379),
    [sym_hex_integer_literal] = ACTIONS(1379),
    [sym_octal_integer_literal] = ACTIONS(1379),
    [sym_binary_integer_literal] = ACTIONS(1377),
    [sym_decimal_floating_point_literal] = ACTIONS(1377),
    [sym_hex_floating_point_literal] = ACTIONS(1379),
    [sym_true] = ACTIONS(1379),
    [sym_false] = ACTIONS(1379),
    [sym_character_literal] = ACTIONS(1377),
    [anon_sym_DQUOTE] = ACTIONS(1379),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1377),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1377),
    [anon_sym_RBRACE] = ACTIONS(1377),
    [sym_null_literal] = ACTIONS(1379),
    [anon_sym_LPAREN] = ACTIONS(1377),
    [anon_sym_AMP] = ACTIONS(1379),
    [anon_sym_GT] = ACTIONS(1379),
    [anon_sym_LT] = ACTIONS(1379),
    [anon_sym_GT_EQ] = ACTIONS(1377),
    [anon_sym_LT_EQ] = ACTIONS(1377),
    [anon_sym_EQ_EQ] = ACTIONS(1377),
    [anon_sym_BANG_EQ] = ACTIONS(1377),
    [anon_sym_AMP_AMP] = ACTIONS(1377),
    [anon_sym_PIPE_PIPE] = ACTIONS(1377),
    [anon_sym_PLUS] = ACTIONS(1379),
    [anon_sym_DASH] = ACTIONS(1379),
    [anon_sym_STAR] = ACTIONS(1379),
    [anon_sym_SLASH] = ACTIONS(1379),
    [anon_sym_PIPE] = ACTIONS(1379),
    [anon_sym_CARET] = ACTIONS(1377),
    [anon_sym_PERCENT] = ACTIONS(1377),
    [anon_sym_LT_LT] = ACTIONS(1377),
    [anon_sym_GT_GT] = ACTIONS(1379),
    [anon_sym_GT_GT_GT] = ACTIONS(1377),
    [anon_sym_in] = ACTIONS(1379),
    [anon_sym_STAR_STAR] = ACTIONS(1377),
    [anon_sym_instanceof] = ACTIONS(1379),
    [anon_sym_final] = ACTIONS(1379),
    [anon_sym_DASH_GT] = ACTIONS(1377),
    [anon_sym_COMMA] = ACTIONS(1377),
    [anon_sym_QMARK] = ACTIONS(1377),
    [anon_sym_BANG] = ACTIONS(1379),
    [anon_sym_TILDE] = ACTIONS(1377),
    [anon_sym_PLUS_PLUS] = ACTIONS(1377),
    [anon_sym_DASH_DASH] = ACTIONS(1377),
    [anon_sym_new] = ACTIONS(1379),
    [anon_sym_LBRACK] = ACTIONS(1377),
    [anon_sym_DOT] = ACTIONS(1379),
    [anon_sym_class] = ACTIONS(1379),
    [anon_sym_COLON_COLON] = ACTIONS(1377),
    [anon_sym_switch] = ACTIONS(1379),
    [anon_sym_LBRACE] = ACTIONS(1377),
    [anon_sym_default] = ACTIONS(1379),
    [sym_underscore_pattern] = ACTIONS(1379),
    [anon_sym_SEMI] = ACTIONS(1377),
    [anon_sym_assert] = ACTIONS(1379),
    [anon_sym_do] = ACTIONS(1379),
    [anon_sym_while] = ACTIONS(1379),
    [anon_sym_break] = ACTIONS(1379),
    [anon_sym_continue] = ACTIONS(1379),
    [anon_sym_return] = ACTIONS(1379),
    [anon_sym_yield] = ACTIONS(1379),
    [anon_sym_synchronized] = ACTIONS(1379),
    [anon_sym_throw] = ACTIONS(1379),
    [anon_sym_try] = ACTIONS(1379),
    [anon_sym_if] = ACTIONS(1379),
    [anon_sym_for] = ACTIONS(1379),
    [anon_sym_AT] = ACTIONS(1379),
    [anon_sym_open] = ACTIONS(1379),
    [anon_sym_module] = ACTIONS(1379),
    [anon_sym_static] = ACTIONS(1379),
    [anon_sym_with] = ACTIONS(1379),
    [anon_sym_package] = ACTIONS(1379),
    [anon_sym_import] = ACTIONS(1379),
    [anon_sym_enum] = ACTIONS(1379),
    [anon_sym_public] = ACTIONS(1379),
    [anon_sym_protected] = ACTIONS(1379),
    [anon_sym_private] = ACTIONS(1379),
    [anon_sym_abstract] = ACTIONS(1379),
    [anon_sym_strictfp] = ACTIONS(1379),
    [anon_sym_native] = ACTIONS(1379),
    [anon_sym_transient] = ACTIONS(1379),
    [anon_sym_volatile] = ACTIONS(1379),
    [anon_sym_sealed] = ACTIONS(1379),
    [anon_sym_non_DASHsealed] = ACTIONS(1377),
    [anon_sym_record] = ACTIONS(1379),
    [anon_sym_ATinterface] = ACTIONS(1377),
    [anon_sym_interface] = ACTIONS(1379),
    [anon_sym_byte] = ACTIONS(1379),
    [anon_sym_short] = ACTIONS(1379),
    [anon_sym_int] = ACTIONS(1379),
    [anon_sym_long] = ACTIONS(1379),
    [anon_sym_char] = ACTIONS(1379),
    [anon_sym_float] = ACTIONS(1379),
    [anon_sym_double] = ACTIONS(1379),
    [sym_boolean_type] = ACTIONS(1379),
    [sym_void_type] = ACTIONS(1379),
    [anon_sym_def] = ACTIONS(1379),
    [sym_this] = ACTIONS(1379),
    [sym_super] = ACTIONS(1379),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1377),
  },
  [425] = {
    [ts_builtin_sym_end] = ACTIONS(850),
    [sym_identifier] = ACTIONS(852),
    [sym_decimal_integer_literal] = ACTIONS(852),
    [sym_hex_integer_literal] = ACTIONS(852),
    [sym_octal_integer_literal] = ACTIONS(852),
    [sym_binary_integer_literal] = ACTIONS(850),
    [sym_decimal_floating_point_literal] = ACTIONS(850),
    [sym_hex_floating_point_literal] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_character_literal] = ACTIONS(850),
    [anon_sym_DQUOTE] = ACTIONS(852),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(850),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(850),
    [anon_sym_RBRACE] = ACTIONS(850),
    [sym_null_literal] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(850),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_STAR_STAR] = ACTIONS(850),
    [anon_sym_instanceof] = ACTIONS(852),
    [anon_sym_final] = ACTIONS(852),
    [anon_sym_DASH_GT] = ACTIONS(850),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_QMARK] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(852),
    [anon_sym_TILDE] = ACTIONS(850),
    [anon_sym_PLUS_PLUS] = ACTIONS(850),
    [anon_sym_DASH_DASH] = ACTIONS(850),
    [anon_sym_new] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_class] = ACTIONS(852),
    [anon_sym_COLON_COLON] = ACTIONS(850),
    [anon_sym_switch] = ACTIONS(852),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_default] = ACTIONS(852),
    [sym_underscore_pattern] = ACTIONS(852),
    [anon_sym_SEMI] = ACTIONS(850),
    [anon_sym_assert] = ACTIONS(852),
    [anon_sym_do] = ACTIONS(852),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_break] = ACTIONS(852),
    [anon_sym_continue] = ACTIONS(852),
    [anon_sym_return] = ACTIONS(852),
    [anon_sym_yield] = ACTIONS(852),
    [anon_sym_synchronized] = ACTIONS(852),
    [anon_sym_throw] = ACTIONS(852),
    [anon_sym_try] = ACTIONS(852),
    [anon_sym_if] = ACTIONS(852),
    [anon_sym_for] = ACTIONS(852),
    [anon_sym_AT] = ACTIONS(852),
    [anon_sym_open] = ACTIONS(852),
    [anon_sym_module] = ACTIONS(852),
    [anon_sym_static] = ACTIONS(852),
    [anon_sym_with] = ACTIONS(852),
    [anon_sym_package] = ACTIONS(852),
    [anon_sym_import] = ACTIONS(852),
    [anon_sym_enum] = ACTIONS(852),
    [anon_sym_public] = ACTIONS(852),
    [anon_sym_protected] = ACTIONS(852),
    [anon_sym_private] = ACTIONS(852),
    [anon_sym_abstract] = ACTIONS(852),
    [anon_sym_strictfp] = ACTIONS(852),
    [anon_sym_native] = ACTIONS(852),
    [anon_sym_transient] = ACTIONS(852),
    [anon_sym_volatile] = ACTIONS(852),
    [anon_sym_sealed] = ACTIONS(852),
    [anon_sym_non_DASHsealed] = ACTIONS(850),
    [anon_sym_record] = ACTIONS(852),
    [anon_sym_ATinterface] = ACTIONS(850),
    [anon_sym_interface] = ACTIONS(852),
    [anon_sym_byte] = ACTIONS(852),
    [anon_sym_short] = ACTIONS(852),
    [anon_sym_int] = ACTIONS(852),
    [anon_sym_long] = ACTIONS(852),
    [anon_sym_char] = ACTIONS(852),
    [anon_sym_float] = ACTIONS(852),
    [anon_sym_double] = ACTIONS(852),
    [sym_boolean_type] = ACTIONS(852),
    [sym_void_type] = ACTIONS(852),
    [anon_sym_def] = ACTIONS(852),
    [sym_this] = ACTIONS(852),
    [sym_super] = ACTIONS(852),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(850),
  },
  [426] = {
    [ts_builtin_sym_end] = ACTIONS(834),
    [sym_identifier] = ACTIONS(836),
    [sym_decimal_integer_literal] = ACTIONS(836),
    [sym_hex_integer_literal] = ACTIONS(836),
    [sym_octal_integer_literal] = ACTIONS(836),
    [sym_binary_integer_literal] = ACTIONS(834),
    [sym_decimal_floating_point_literal] = ACTIONS(834),
    [sym_hex_floating_point_literal] = ACTIONS(836),
    [sym_true] = ACTIONS(836),
    [sym_false] = ACTIONS(836),
    [sym_character_literal] = ACTIONS(834),
    [anon_sym_DQUOTE] = ACTIONS(836),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(834),
    [anon_sym_RBRACE] = ACTIONS(834),
    [sym_null_literal] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(834),
    [anon_sym_LT_EQ] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(834),
    [anon_sym_BANG_EQ] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_LT_LT] = ACTIONS(834),
    [anon_sym_GT_GT] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(834),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_STAR_STAR] = ACTIONS(834),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_final] = ACTIONS(836),
    [anon_sym_DASH_GT] = ACTIONS(834),
    [anon_sym_COMMA] = ACTIONS(834),
    [anon_sym_QMARK] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(836),
    [anon_sym_TILDE] = ACTIONS(834),
    [anon_sym_PLUS_PLUS] = ACTIONS(834),
    [anon_sym_DASH_DASH] = ACTIONS(834),
    [anon_sym_new] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_class] = ACTIONS(836),
    [anon_sym_COLON_COLON] = ACTIONS(834),
    [anon_sym_switch] = ACTIONS(836),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_default] = ACTIONS(836),
    [sym_underscore_pattern] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(834),
    [anon_sym_assert] = ACTIONS(836),
    [anon_sym_do] = ACTIONS(836),
    [anon_sym_while] = ACTIONS(836),
    [anon_sym_break] = ACTIONS(836),
    [anon_sym_continue] = ACTIONS(836),
    [anon_sym_return] = ACTIONS(836),
    [anon_sym_yield] = ACTIONS(836),
    [anon_sym_synchronized] = ACTIONS(836),
    [anon_sym_throw] = ACTIONS(836),
    [anon_sym_try] = ACTIONS(836),
    [anon_sym_if] = ACTIONS(836),
    [anon_sym_for] = ACTIONS(836),
    [anon_sym_AT] = ACTIONS(836),
    [anon_sym_open] = ACTIONS(836),
    [anon_sym_module] = ACTIONS(836),
    [anon_sym_static] = ACTIONS(836),
    [anon_sym_with] = ACTIONS(836),
    [anon_sym_package] = ACTIONS(836),
    [anon_sym_import] = ACTIONS(836),
    [anon_sym_enum] = ACTIONS(836),
    [anon_sym_public] = ACTIONS(836),
    [anon_sym_protected] = ACTIONS(836),
    [anon_sym_private] = ACTIONS(836),
    [anon_sym_abstract] = ACTIONS(836),
    [anon_sym_strictfp] = ACTIONS(836),
    [anon_sym_native] = ACTIONS(836),
    [anon_sym_transient] = ACTIONS(836),
    [anon_sym_volatile] = ACTIONS(836),
    [anon_sym_sealed] = ACTIONS(836),
    [anon_sym_non_DASHsealed] = ACTIONS(834),
    [anon_sym_record] = ACTIONS(836),
    [anon_sym_ATinterface] = ACTIONS(834),
    [anon_sym_interface] = ACTIONS(836),
    [anon_sym_byte] = ACTIONS(836),
    [anon_sym_short] = ACTIONS(836),
    [anon_sym_int] = ACTIONS(836),
    [anon_sym_long] = ACTIONS(836),
    [anon_sym_char] = ACTIONS(836),
    [anon_sym_float] = ACTIONS(836),
    [anon_sym_double] = ACTIONS(836),
    [sym_boolean_type] = ACTIONS(836),
    [sym_void_type] = ACTIONS(836),
    [anon_sym_def] = ACTIONS(836),
    [sym_this] = ACTIONS(836),
    [sym_super] = ACTIONS(836),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(834),
  },
  [427] = {
    [ts_builtin_sym_end] = ACTIONS(1385),
    [sym_identifier] = ACTIONS(1387),
    [sym_decimal_integer_literal] = ACTIONS(1387),
    [sym_hex_integer_literal] = ACTIONS(1387),
    [sym_octal_integer_literal] = ACTIONS(1387),
    [sym_binary_integer_literal] = ACTIONS(1385),
    [sym_decimal_floating_point_literal] = ACTIONS(1385),
    [sym_hex_floating_point_literal] = ACTIONS(1387),
    [sym_true] = ACTIONS(1387),
    [sym_false] = ACTIONS(1387),
    [sym_character_literal] = ACTIONS(1385),
    [anon_sym_DQUOTE] = ACTIONS(1387),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1385),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1385),
    [anon_sym_RBRACE] = ACTIONS(1385),
    [sym_null_literal] = ACTIONS(1387),
    [anon_sym_LPAREN] = ACTIONS(1385),
    [anon_sym_AMP] = ACTIONS(1387),
    [anon_sym_GT] = ACTIONS(1387),
    [anon_sym_LT] = ACTIONS(1387),
    [anon_sym_GT_EQ] = ACTIONS(1385),
    [anon_sym_LT_EQ] = ACTIONS(1385),
    [anon_sym_EQ_EQ] = ACTIONS(1385),
    [anon_sym_BANG_EQ] = ACTIONS(1385),
    [anon_sym_AMP_AMP] = ACTIONS(1385),
    [anon_sym_PIPE_PIPE] = ACTIONS(1385),
    [anon_sym_PLUS] = ACTIONS(1387),
    [anon_sym_DASH] = ACTIONS(1387),
    [anon_sym_STAR] = ACTIONS(1387),
    [anon_sym_SLASH] = ACTIONS(1387),
    [anon_sym_PIPE] = ACTIONS(1387),
    [anon_sym_CARET] = ACTIONS(1385),
    [anon_sym_PERCENT] = ACTIONS(1385),
    [anon_sym_LT_LT] = ACTIONS(1385),
    [anon_sym_GT_GT] = ACTIONS(1387),
    [anon_sym_GT_GT_GT] = ACTIONS(1385),
    [anon_sym_in] = ACTIONS(1387),
    [anon_sym_STAR_STAR] = ACTIONS(1385),
    [anon_sym_instanceof] = ACTIONS(1387),
    [anon_sym_final] = ACTIONS(1387),
    [anon_sym_DASH_GT] = ACTIONS(1385),
    [anon_sym_COMMA] = ACTIONS(1385),
    [anon_sym_QMARK] = ACTIONS(1385),
    [anon_sym_BANG] = ACTIONS(1387),
    [anon_sym_TILDE] = ACTIONS(1385),
    [anon_sym_PLUS_PLUS] = ACTIONS(1385),
    [anon_sym_DASH_DASH] = ACTIONS(1385),
    [anon_sym_new] = ACTIONS(1387),
    [anon_sym_LBRACK] = ACTIONS(1385),
    [anon_sym_DOT] = ACTIONS(1387),
    [anon_sym_class] = ACTIONS(1387),
    [anon_sym_COLON_COLON] = ACTIONS(1385),
    [anon_sym_switch] = ACTIONS(1387),
    [anon_sym_LBRACE] = ACTIONS(1385),
    [anon_sym_default] = ACTIONS(1387),
    [sym_underscore_pattern] = ACTIONS(1387),
    [anon_sym_SEMI] = ACTIONS(1385),
    [anon_sym_assert] = ACTIONS(1387),
    [anon_sym_do] = ACTIONS(1387),
    [anon_sym_while] = ACTIONS(1387),
    [anon_sym_break] = ACTIONS(1387),
    [anon_sym_continue] = ACTIONS(1387),
    [anon_sym_return] = ACTIONS(1387),
    [anon_sym_yield] = ACTIONS(1387),
    [anon_sym_synchronized] = ACTIONS(1387),
    [anon_sym_throw] = ACTIONS(1387),
    [anon_sym_try] = ACTIONS(1387),
    [anon_sym_if] = ACTIONS(1387),
    [anon_sym_for] = ACTIONS(1387),
    [anon_sym_AT] = ACTIONS(1387),
    [anon_sym_open] = ACTIONS(1387),
    [anon_sym_module] = ACTIONS(1387),
    [anon_sym_static] = ACTIONS(1387),
    [anon_sym_with] = ACTIONS(1387),
    [anon_sym_package] = ACTIONS(1387),
    [anon_sym_import] = ACTIONS(1387),
    [anon_sym_enum] = ACTIONS(1387),
    [anon_sym_public] = ACTIONS(1387),
    [anon_sym_protected] = ACTIONS(1387),
    [anon_sym_private] = ACTIONS(1387),
    [anon_sym_abstract] = ACTIONS(1387),
    [anon_sym_strictfp] = ACTIONS(1387),
    [anon_sym_native] = ACTIONS(1387),
    [anon_sym_transient] = ACTIONS(1387),
    [anon_sym_volatile] = ACTIONS(1387),
    [anon_sym_sealed] = ACTIONS(1387),
    [anon_sym_non_DASHsealed] = ACTIONS(1385),
    [anon_sym_record] = ACTIONS(1387),
    [anon_sym_ATinterface] = ACTIONS(1385),
    [anon_sym_interface] = ACTIONS(1387),
    [anon_sym_byte] = ACTIONS(1387),
    [anon_sym_short] = ACTIONS(1387),
    [anon_sym_int] = ACTIONS(1387),
    [anon_sym_long] = ACTIONS(1387),
    [anon_sym_char] = ACTIONS(1387),
    [anon_sym_float] = ACTIONS(1387),
    [anon_sym_double] = ACTIONS(1387),
    [sym_boolean_type] = ACTIONS(1387),
    [sym_void_type] = ACTIONS(1387),
    [anon_sym_def] = ACTIONS(1387),
    [sym_this] = ACTIONS(1387),
    [sym_super] = ACTIONS(1387),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1385),
  },
  [428] = {
    [ts_builtin_sym_end] = ACTIONS(1389),
    [sym_identifier] = ACTIONS(1391),
    [sym_decimal_integer_literal] = ACTIONS(1391),
    [sym_hex_integer_literal] = ACTIONS(1391),
    [sym_octal_integer_literal] = ACTIONS(1391),
    [sym_binary_integer_literal] = ACTIONS(1389),
    [sym_decimal_floating_point_literal] = ACTIONS(1389),
    [sym_hex_floating_point_literal] = ACTIONS(1391),
    [sym_true] = ACTIONS(1391),
    [sym_false] = ACTIONS(1391),
    [sym_character_literal] = ACTIONS(1389),
    [anon_sym_DQUOTE] = ACTIONS(1391),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1389),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1389),
    [anon_sym_RBRACE] = ACTIONS(1389),
    [sym_null_literal] = ACTIONS(1391),
    [anon_sym_LPAREN] = ACTIONS(1389),
    [anon_sym_AMP] = ACTIONS(1391),
    [anon_sym_GT] = ACTIONS(1391),
    [anon_sym_LT] = ACTIONS(1391),
    [anon_sym_GT_EQ] = ACTIONS(1389),
    [anon_sym_LT_EQ] = ACTIONS(1389),
    [anon_sym_EQ_EQ] = ACTIONS(1389),
    [anon_sym_BANG_EQ] = ACTIONS(1389),
    [anon_sym_AMP_AMP] = ACTIONS(1389),
    [anon_sym_PIPE_PIPE] = ACTIONS(1389),
    [anon_sym_PLUS] = ACTIONS(1391),
    [anon_sym_DASH] = ACTIONS(1391),
    [anon_sym_STAR] = ACTIONS(1391),
    [anon_sym_SLASH] = ACTIONS(1391),
    [anon_sym_PIPE] = ACTIONS(1391),
    [anon_sym_CARET] = ACTIONS(1389),
    [anon_sym_PERCENT] = ACTIONS(1389),
    [anon_sym_LT_LT] = ACTIONS(1389),
    [anon_sym_GT_GT] = ACTIONS(1391),
    [anon_sym_GT_GT_GT] = ACTIONS(1389),
    [anon_sym_in] = ACTIONS(1391),
    [anon_sym_STAR_STAR] = ACTIONS(1389),
    [anon_sym_instanceof] = ACTIONS(1391),
    [anon_sym_final] = ACTIONS(1391),
    [anon_sym_DASH_GT] = ACTIONS(1389),
    [anon_sym_COMMA] = ACTIONS(1389),
    [anon_sym_QMARK] = ACTIONS(1389),
    [anon_sym_BANG] = ACTIONS(1391),
    [anon_sym_TILDE] = ACTIONS(1389),
    [anon_sym_PLUS_PLUS] = ACTIONS(1389),
    [anon_sym_DASH_DASH] = ACTIONS(1389),
    [anon_sym_new] = ACTIONS(1391),
    [anon_sym_LBRACK] = ACTIONS(1389),
    [anon_sym_DOT] = ACTIONS(1391),
    [anon_sym_class] = ACTIONS(1391),
    [anon_sym_COLON_COLON] = ACTIONS(1389),
    [anon_sym_switch] = ACTIONS(1391),
    [anon_sym_LBRACE] = ACTIONS(1389),
    [anon_sym_default] = ACTIONS(1391),
    [sym_underscore_pattern] = ACTIONS(1391),
    [anon_sym_SEMI] = ACTIONS(1389),
    [anon_sym_assert] = ACTIONS(1391),
    [anon_sym_do] = ACTIONS(1391),
    [anon_sym_while] = ACTIONS(1391),
    [anon_sym_break] = ACTIONS(1391),
    [anon_sym_continue] = ACTIONS(1391),
    [anon_sym_return] = ACTIONS(1391),
    [anon_sym_yield] = ACTIONS(1391),
    [anon_sym_synchronized] = ACTIONS(1391),
    [anon_sym_throw] = ACTIONS(1391),
    [anon_sym_try] = ACTIONS(1391),
    [anon_sym_if] = ACTIONS(1391),
    [anon_sym_for] = ACTIONS(1391),
    [anon_sym_AT] = ACTIONS(1391),
    [anon_sym_open] = ACTIONS(1391),
    [anon_sym_module] = ACTIONS(1391),
    [anon_sym_static] = ACTIONS(1391),
    [anon_sym_with] = ACTIONS(1391),
    [anon_sym_package] = ACTIONS(1391),
    [anon_sym_import] = ACTIONS(1391),
    [anon_sym_enum] = ACTIONS(1391),
    [anon_sym_public] = ACTIONS(1391),
    [anon_sym_protected] = ACTIONS(1391),
    [anon_sym_private] = ACTIONS(1391),
    [anon_sym_abstract] = ACTIONS(1391),
    [anon_sym_strictfp] = ACTIONS(1391),
    [anon_sym_native] = ACTIONS(1391),
    [anon_sym_transient] = ACTIONS(1391),
    [anon_sym_volatile] = ACTIONS(1391),
    [anon_sym_sealed] = ACTIONS(1391),
    [anon_sym_non_DASHsealed] = ACTIONS(1389),
    [anon_sym_record] = ACTIONS(1391),
    [anon_sym_ATinterface] = ACTIONS(1389),
    [anon_sym_interface] = ACTIONS(1391),
    [anon_sym_byte] = ACTIONS(1391),
    [anon_sym_short] = ACTIONS(1391),
    [anon_sym_int] = ACTIONS(1391),
    [anon_sym_long] = ACTIONS(1391),
    [anon_sym_char] = ACTIONS(1391),
    [anon_sym_float] = ACTIONS(1391),
    [anon_sym_double] = ACTIONS(1391),
    [sym_boolean_type] = ACTIONS(1391),
    [sym_void_type] = ACTIONS(1391),
    [anon_sym_def] = ACTIONS(1391),
    [sym_this] = ACTIONS(1391),
    [sym_super] = ACTIONS(1391),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1389),
  },
  [429] = {
    [ts_builtin_sym_end] = ACTIONS(1196),
    [sym_identifier] = ACTIONS(1198),
    [sym_decimal_integer_literal] = ACTIONS(1198),
    [sym_hex_integer_literal] = ACTIONS(1198),
    [sym_octal_integer_literal] = ACTIONS(1198),
    [sym_binary_integer_literal] = ACTIONS(1196),
    [sym_decimal_floating_point_literal] = ACTIONS(1196),
    [sym_hex_floating_point_literal] = ACTIONS(1198),
    [sym_true] = ACTIONS(1198),
    [sym_false] = ACTIONS(1198),
    [sym_character_literal] = ACTIONS(1196),
    [anon_sym_DQUOTE] = ACTIONS(1198),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1196),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1196),
    [anon_sym_RBRACE] = ACTIONS(1196),
    [sym_null_literal] = ACTIONS(1198),
    [anon_sym_LPAREN] = ACTIONS(1196),
    [anon_sym_AMP] = ACTIONS(1198),
    [anon_sym_GT] = ACTIONS(1198),
    [anon_sym_LT] = ACTIONS(1198),
    [anon_sym_GT_EQ] = ACTIONS(1196),
    [anon_sym_LT_EQ] = ACTIONS(1196),
    [anon_sym_EQ_EQ] = ACTIONS(1196),
    [anon_sym_BANG_EQ] = ACTIONS(1196),
    [anon_sym_AMP_AMP] = ACTIONS(1196),
    [anon_sym_PIPE_PIPE] = ACTIONS(1196),
    [anon_sym_PLUS] = ACTIONS(1198),
    [anon_sym_DASH] = ACTIONS(1198),
    [anon_sym_STAR] = ACTIONS(1198),
    [anon_sym_SLASH] = ACTIONS(1198),
    [anon_sym_PIPE] = ACTIONS(1198),
    [anon_sym_CARET] = ACTIONS(1196),
    [anon_sym_PERCENT] = ACTIONS(1196),
    [anon_sym_LT_LT] = ACTIONS(1196),
    [anon_sym_GT_GT] = ACTIONS(1198),
    [anon_sym_GT_GT_GT] = ACTIONS(1196),
    [anon_sym_in] = ACTIONS(1198),
    [anon_sym_STAR_STAR] = ACTIONS(1196),
    [anon_sym_instanceof] = ACTIONS(1198),
    [anon_sym_final] = ACTIONS(1198),
    [anon_sym_DASH_GT] = ACTIONS(1196),
    [anon_sym_COMMA] = ACTIONS(1196),
    [anon_sym_QMARK] = ACTIONS(1196),
    [anon_sym_BANG] = ACTIONS(1198),
    [anon_sym_TILDE] = ACTIONS(1196),
    [anon_sym_PLUS_PLUS] = ACTIONS(1196),
    [anon_sym_DASH_DASH] = ACTIONS(1196),
    [anon_sym_new] = ACTIONS(1198),
    [anon_sym_LBRACK] = ACTIONS(1196),
    [anon_sym_DOT] = ACTIONS(1198),
    [anon_sym_class] = ACTIONS(1198),
    [anon_sym_COLON_COLON] = ACTIONS(1196),
    [anon_sym_switch] = ACTIONS(1198),
    [anon_sym_LBRACE] = ACTIONS(1196),
    [anon_sym_default] = ACTIONS(1198),
    [sym_underscore_pattern] = ACTIONS(1198),
    [anon_sym_SEMI] = ACTIONS(1196),
    [anon_sym_assert] = ACTIONS(1198),
    [anon_sym_do] = ACTIONS(1198),
    [anon_sym_while] = ACTIONS(1198),
    [anon_sym_break] = ACTIONS(1198),
    [anon_sym_continue] = ACTIONS(1198),
    [anon_sym_return] = ACTIONS(1198),
    [anon_sym_yield] = ACTIONS(1198),
    [anon_sym_synchronized] = ACTIONS(1198),
    [anon_sym_throw] = ACTIONS(1198),
    [anon_sym_try] = ACTIONS(1198),
    [anon_sym_if] = ACTIONS(1198),
    [anon_sym_for] = ACTIONS(1198),
    [anon_sym_AT] = ACTIONS(1198),
    [anon_sym_open] = ACTIONS(1198),
    [anon_sym_module] = ACTIONS(1198),
    [anon_sym_static] = ACTIONS(1198),
    [anon_sym_with] = ACTIONS(1198),
    [anon_sym_package] = ACTIONS(1198),
    [anon_sym_import] = ACTIONS(1198),
    [anon_sym_enum] = ACTIONS(1198),
    [anon_sym_public] = ACTIONS(1198),
    [anon_sym_protected] = ACTIONS(1198),
    [anon_sym_private] = ACTIONS(1198),
    [anon_sym_abstract] = ACTIONS(1198),
    [anon_sym_strictfp] = ACTIONS(1198),
    [anon_sym_native] = ACTIONS(1198),
    [anon_sym_transient] = ACTIONS(1198),
    [anon_sym_volatile] = ACTIONS(1198),
    [anon_sym_sealed] = ACTIONS(1198),
    [anon_sym_non_DASHsealed] = ACTIONS(1196),
    [anon_sym_record] = ACTIONS(1198),
    [anon_sym_ATinterface] = ACTIONS(1196),
    [anon_sym_interface] = ACTIONS(1198),
    [anon_sym_byte] = ACTIONS(1198),
    [anon_sym_short] = ACTIONS(1198),
    [anon_sym_int] = ACTIONS(1198),
    [anon_sym_long] = ACTIONS(1198),
    [anon_sym_char] = ACTIONS(1198),
    [anon_sym_float] = ACTIONS(1198),
    [anon_sym_double] = ACTIONS(1198),
    [sym_boolean_type] = ACTIONS(1198),
    [sym_void_type] = ACTIONS(1198),
    [anon_sym_def] = ACTIONS(1198),
    [sym_this] = ACTIONS(1198),
    [sym_super] = ACTIONS(1198),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1196),
  },
  [430] = {
    [ts_builtin_sym_end] = ACTIONS(265),
    [sym_identifier] = ACTIONS(273),
    [sym_decimal_integer_literal] = ACTIONS(273),
    [sym_hex_integer_literal] = ACTIONS(273),
    [sym_octal_integer_literal] = ACTIONS(273),
    [sym_binary_integer_literal] = ACTIONS(265),
    [sym_decimal_floating_point_literal] = ACTIONS(265),
    [sym_hex_floating_point_literal] = ACTIONS(273),
    [sym_true] = ACTIONS(273),
    [sym_false] = ACTIONS(273),
    [sym_character_literal] = ACTIONS(265),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(265),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(265),
    [anon_sym_RBRACE] = ACTIONS(265),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_AMP_AMP] = ACTIONS(265),
    [anon_sym_PIPE_PIPE] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(265),
    [anon_sym_PERCENT] = ACTIONS(265),
    [anon_sym_LT_LT] = ACTIONS(265),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_GT_GT_GT] = ACTIONS(265),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_instanceof] = ACTIONS(273),
    [anon_sym_final] = ACTIONS(273),
    [anon_sym_DASH_GT] = ACTIONS(265),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_QMARK] = ACTIONS(265),
    [anon_sym_BANG] = ACTIONS(273),
    [anon_sym_TILDE] = ACTIONS(265),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [anon_sym_new] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(265),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_class] = ACTIONS(273),
    [anon_sym_COLON_COLON] = ACTIONS(265),
    [anon_sym_switch] = ACTIONS(273),
    [anon_sym_LBRACE] = ACTIONS(265),
    [anon_sym_default] = ACTIONS(273),
    [sym_underscore_pattern] = ACTIONS(273),
    [anon_sym_SEMI] = ACTIONS(265),
    [anon_sym_assert] = ACTIONS(273),
    [anon_sym_do] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(273),
    [anon_sym_break] = ACTIONS(273),
    [anon_sym_continue] = ACTIONS(273),
    [anon_sym_return] = ACTIONS(273),
    [anon_sym_yield] = ACTIONS(273),
    [anon_sym_synchronized] = ACTIONS(273),
    [anon_sym_throw] = ACTIONS(273),
    [anon_sym_try] = ACTIONS(273),
    [anon_sym_if] = ACTIONS(273),
    [anon_sym_for] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_open] = ACTIONS(273),
    [anon_sym_module] = ACTIONS(273),
    [anon_sym_static] = ACTIONS(273),
    [anon_sym_with] = ACTIONS(273),
    [anon_sym_package] = ACTIONS(273),
    [anon_sym_import] = ACTIONS(273),
    [anon_sym_enum] = ACTIONS(273),
    [anon_sym_public] = ACTIONS(273),
    [anon_sym_protected] = ACTIONS(273),
    [anon_sym_private] = ACTIONS(273),
    [anon_sym_abstract] = ACTIONS(273),
    [anon_sym_strictfp] = ACTIONS(273),
    [anon_sym_native] = ACTIONS(273),
    [anon_sym_transient] = ACTIONS(273),
    [anon_sym_volatile] = ACTIONS(273),
    [anon_sym_sealed] = ACTIONS(273),
    [anon_sym_non_DASHsealed] = ACTIONS(265),
    [anon_sym_record] = ACTIONS(273),
    [anon_sym_ATinterface] = ACTIONS(265),
    [anon_sym_interface] = ACTIONS(273),
    [anon_sym_byte] = ACTIONS(273),
    [anon_sym_short] = ACTIONS(273),
    [anon_sym_int] = ACTIONS(273),
    [anon_sym_long] = ACTIONS(273),
    [anon_sym_char] = ACTIONS(273),
    [anon_sym_float] = ACTIONS(273),
    [anon_sym_double] = ACTIONS(273),
    [sym_boolean_type] = ACTIONS(273),
    [sym_void_type] = ACTIONS(273),
    [anon_sym_def] = ACTIONS(273),
    [sym_this] = ACTIONS(273),
    [sym_super] = ACTIONS(273),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(265),
  },
  [431] = {
    [ts_builtin_sym_end] = ACTIONS(1405),
    [sym_identifier] = ACTIONS(1407),
    [sym_decimal_integer_literal] = ACTIONS(1407),
    [sym_hex_integer_literal] = ACTIONS(1407),
    [sym_octal_integer_literal] = ACTIONS(1407),
    [sym_binary_integer_literal] = ACTIONS(1405),
    [sym_decimal_floating_point_literal] = ACTIONS(1405),
    [sym_hex_floating_point_literal] = ACTIONS(1407),
    [sym_true] = ACTIONS(1407),
    [sym_false] = ACTIONS(1407),
    [sym_character_literal] = ACTIONS(1405),
    [anon_sym_DQUOTE] = ACTIONS(1407),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1405),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1405),
    [anon_sym_RBRACE] = ACTIONS(1405),
    [sym_null_literal] = ACTIONS(1407),
    [anon_sym_LPAREN] = ACTIONS(1405),
    [anon_sym_AMP] = ACTIONS(1407),
    [anon_sym_GT] = ACTIONS(1407),
    [anon_sym_LT] = ACTIONS(1407),
    [anon_sym_GT_EQ] = ACTIONS(1405),
    [anon_sym_LT_EQ] = ACTIONS(1405),
    [anon_sym_EQ_EQ] = ACTIONS(1405),
    [anon_sym_BANG_EQ] = ACTIONS(1405),
    [anon_sym_AMP_AMP] = ACTIONS(1405),
    [anon_sym_PIPE_PIPE] = ACTIONS(1405),
    [anon_sym_PLUS] = ACTIONS(1407),
    [anon_sym_DASH] = ACTIONS(1407),
    [anon_sym_STAR] = ACTIONS(1407),
    [anon_sym_SLASH] = ACTIONS(1407),
    [anon_sym_PIPE] = ACTIONS(1407),
    [anon_sym_CARET] = ACTIONS(1405),
    [anon_sym_PERCENT] = ACTIONS(1405),
    [anon_sym_LT_LT] = ACTIONS(1405),
    [anon_sym_GT_GT] = ACTIONS(1407),
    [anon_sym_GT_GT_GT] = ACTIONS(1405),
    [anon_sym_in] = ACTIONS(1407),
    [anon_sym_STAR_STAR] = ACTIONS(1405),
    [anon_sym_instanceof] = ACTIONS(1407),
    [anon_sym_final] = ACTIONS(1407),
    [anon_sym_DASH_GT] = ACTIONS(1405),
    [anon_sym_COMMA] = ACTIONS(1405),
    [anon_sym_QMARK] = ACTIONS(1405),
    [anon_sym_BANG] = ACTIONS(1407),
    [anon_sym_TILDE] = ACTIONS(1405),
    [anon_sym_PLUS_PLUS] = ACTIONS(1405),
    [anon_sym_DASH_DASH] = ACTIONS(1405),
    [anon_sym_new] = ACTIONS(1407),
    [anon_sym_LBRACK] = ACTIONS(1405),
    [anon_sym_DOT] = ACTIONS(1407),
    [anon_sym_class] = ACTIONS(1407),
    [anon_sym_COLON_COLON] = ACTIONS(1405),
    [anon_sym_switch] = ACTIONS(1407),
    [anon_sym_LBRACE] = ACTIONS(1405),
    [anon_sym_default] = ACTIONS(1407),
    [sym_underscore_pattern] = ACTIONS(1407),
    [anon_sym_SEMI] = ACTIONS(1405),
    [anon_sym_assert] = ACTIONS(1407),
    [anon_sym_do] = ACTIONS(1407),
    [anon_sym_while] = ACTIONS(1407),
    [anon_sym_break] = ACTIONS(1407),
    [anon_sym_continue] = ACTIONS(1407),
    [anon_sym_return] = ACTIONS(1407),
    [anon_sym_yield] = ACTIONS(1407),
    [anon_sym_synchronized] = ACTIONS(1407),
    [anon_sym_throw] = ACTIONS(1407),
    [anon_sym_try] = ACTIONS(1407),
    [anon_sym_if] = ACTIONS(1407),
    [anon_sym_for] = ACTIONS(1407),
    [anon_sym_AT] = ACTIONS(1407),
    [anon_sym_open] = ACTIONS(1407),
    [anon_sym_module] = ACTIONS(1407),
    [anon_sym_static] = ACTIONS(1407),
    [anon_sym_with] = ACTIONS(1407),
    [anon_sym_package] = ACTIONS(1407),
    [anon_sym_import] = ACTIONS(1407),
    [anon_sym_enum] = ACTIONS(1407),
    [anon_sym_public] = ACTIONS(1407),
    [anon_sym_protected] = ACTIONS(1407),
    [anon_sym_private] = ACTIONS(1407),
    [anon_sym_abstract] = ACTIONS(1407),
    [anon_sym_strictfp] = ACTIONS(1407),
    [anon_sym_native] = ACTIONS(1407),
    [anon_sym_transient] = ACTIONS(1407),
    [anon_sym_volatile] = ACTIONS(1407),
    [anon_sym_sealed] = ACTIONS(1407),
    [anon_sym_non_DASHsealed] = ACTIONS(1405),
    [anon_sym_record] = ACTIONS(1407),
    [anon_sym_ATinterface] = ACTIONS(1405),
    [anon_sym_interface] = ACTIONS(1407),
    [anon_sym_byte] = ACTIONS(1407),
    [anon_sym_short] = ACTIONS(1407),
    [anon_sym_int] = ACTIONS(1407),
    [anon_sym_long] = ACTIONS(1407),
    [anon_sym_char] = ACTIONS(1407),
    [anon_sym_float] = ACTIONS(1407),
    [anon_sym_double] = ACTIONS(1407),
    [sym_boolean_type] = ACTIONS(1407),
    [sym_void_type] = ACTIONS(1407),
    [anon_sym_def] = ACTIONS(1407),
    [sym_this] = ACTIONS(1407),
    [sym_super] = ACTIONS(1407),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1405),
  },
  [432] = {
    [ts_builtin_sym_end] = ACTIONS(1401),
    [sym_identifier] = ACTIONS(1403),
    [sym_decimal_integer_literal] = ACTIONS(1403),
    [sym_hex_integer_literal] = ACTIONS(1403),
    [sym_octal_integer_literal] = ACTIONS(1403),
    [sym_binary_integer_literal] = ACTIONS(1401),
    [sym_decimal_floating_point_literal] = ACTIONS(1401),
    [sym_hex_floating_point_literal] = ACTIONS(1403),
    [sym_true] = ACTIONS(1403),
    [sym_false] = ACTIONS(1403),
    [sym_character_literal] = ACTIONS(1401),
    [anon_sym_DQUOTE] = ACTIONS(1403),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1401),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1401),
    [anon_sym_RBRACE] = ACTIONS(1401),
    [sym_null_literal] = ACTIONS(1403),
    [anon_sym_LPAREN] = ACTIONS(1401),
    [anon_sym_AMP] = ACTIONS(1403),
    [anon_sym_GT] = ACTIONS(1403),
    [anon_sym_LT] = ACTIONS(1403),
    [anon_sym_GT_EQ] = ACTIONS(1401),
    [anon_sym_LT_EQ] = ACTIONS(1401),
    [anon_sym_EQ_EQ] = ACTIONS(1401),
    [anon_sym_BANG_EQ] = ACTIONS(1401),
    [anon_sym_AMP_AMP] = ACTIONS(1401),
    [anon_sym_PIPE_PIPE] = ACTIONS(1401),
    [anon_sym_PLUS] = ACTIONS(1403),
    [anon_sym_DASH] = ACTIONS(1403),
    [anon_sym_STAR] = ACTIONS(1403),
    [anon_sym_SLASH] = ACTIONS(1403),
    [anon_sym_PIPE] = ACTIONS(1403),
    [anon_sym_CARET] = ACTIONS(1401),
    [anon_sym_PERCENT] = ACTIONS(1401),
    [anon_sym_LT_LT] = ACTIONS(1401),
    [anon_sym_GT_GT] = ACTIONS(1403),
    [anon_sym_GT_GT_GT] = ACTIONS(1401),
    [anon_sym_in] = ACTIONS(1403),
    [anon_sym_STAR_STAR] = ACTIONS(1401),
    [anon_sym_instanceof] = ACTIONS(1403),
    [anon_sym_final] = ACTIONS(1403),
    [anon_sym_DASH_GT] = ACTIONS(1401),
    [anon_sym_COMMA] = ACTIONS(1401),
    [anon_sym_QMARK] = ACTIONS(1401),
    [anon_sym_BANG] = ACTIONS(1403),
    [anon_sym_TILDE] = ACTIONS(1401),
    [anon_sym_PLUS_PLUS] = ACTIONS(1401),
    [anon_sym_DASH_DASH] = ACTIONS(1401),
    [anon_sym_new] = ACTIONS(1403),
    [anon_sym_LBRACK] = ACTIONS(1401),
    [anon_sym_DOT] = ACTIONS(1403),
    [anon_sym_class] = ACTIONS(1403),
    [anon_sym_COLON_COLON] = ACTIONS(1401),
    [anon_sym_switch] = ACTIONS(1403),
    [anon_sym_LBRACE] = ACTIONS(1401),
    [anon_sym_default] = ACTIONS(1403),
    [sym_underscore_pattern] = ACTIONS(1403),
    [anon_sym_SEMI] = ACTIONS(1401),
    [anon_sym_assert] = ACTIONS(1403),
    [anon_sym_do] = ACTIONS(1403),
    [anon_sym_while] = ACTIONS(1403),
    [anon_sym_break] = ACTIONS(1403),
    [anon_sym_continue] = ACTIONS(1403),
    [anon_sym_return] = ACTIONS(1403),
    [anon_sym_yield] = ACTIONS(1403),
    [anon_sym_synchronized] = ACTIONS(1403),
    [anon_sym_throw] = ACTIONS(1403),
    [anon_sym_try] = ACTIONS(1403),
    [anon_sym_if] = ACTIONS(1403),
    [anon_sym_for] = ACTIONS(1403),
    [anon_sym_AT] = ACTIONS(1403),
    [anon_sym_open] = ACTIONS(1403),
    [anon_sym_module] = ACTIONS(1403),
    [anon_sym_static] = ACTIONS(1403),
    [anon_sym_with] = ACTIONS(1403),
    [anon_sym_package] = ACTIONS(1403),
    [anon_sym_import] = ACTIONS(1403),
    [anon_sym_enum] = ACTIONS(1403),
    [anon_sym_public] = ACTIONS(1403),
    [anon_sym_protected] = ACTIONS(1403),
    [anon_sym_private] = ACTIONS(1403),
    [anon_sym_abstract] = ACTIONS(1403),
    [anon_sym_strictfp] = ACTIONS(1403),
    [anon_sym_native] = ACTIONS(1403),
    [anon_sym_transient] = ACTIONS(1403),
    [anon_sym_volatile] = ACTIONS(1403),
    [anon_sym_sealed] = ACTIONS(1403),
    [anon_sym_non_DASHsealed] = ACTIONS(1401),
    [anon_sym_record] = ACTIONS(1403),
    [anon_sym_ATinterface] = ACTIONS(1401),
    [anon_sym_interface] = ACTIONS(1403),
    [anon_sym_byte] = ACTIONS(1403),
    [anon_sym_short] = ACTIONS(1403),
    [anon_sym_int] = ACTIONS(1403),
    [anon_sym_long] = ACTIONS(1403),
    [anon_sym_char] = ACTIONS(1403),
    [anon_sym_float] = ACTIONS(1403),
    [anon_sym_double] = ACTIONS(1403),
    [sym_boolean_type] = ACTIONS(1403),
    [sym_void_type] = ACTIONS(1403),
    [anon_sym_def] = ACTIONS(1403),
    [sym_this] = ACTIONS(1403),
    [sym_super] = ACTIONS(1403),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1401),
  },
  [433] = {
    [ts_builtin_sym_end] = ACTIONS(1505),
    [sym_identifier] = ACTIONS(1507),
    [sym_decimal_integer_literal] = ACTIONS(1507),
    [sym_hex_integer_literal] = ACTIONS(1507),
    [sym_octal_integer_literal] = ACTIONS(1507),
    [sym_binary_integer_literal] = ACTIONS(1505),
    [sym_decimal_floating_point_literal] = ACTIONS(1505),
    [sym_hex_floating_point_literal] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_character_literal] = ACTIONS(1505),
    [anon_sym_DQUOTE] = ACTIONS(1507),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1505),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1505),
    [anon_sym_RBRACE] = ACTIONS(1505),
    [sym_null_literal] = ACTIONS(1507),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [anon_sym_AMP] = ACTIONS(1507),
    [anon_sym_GT] = ACTIONS(1507),
    [anon_sym_LT] = ACTIONS(1507),
    [anon_sym_GT_EQ] = ACTIONS(1505),
    [anon_sym_LT_EQ] = ACTIONS(1505),
    [anon_sym_EQ_EQ] = ACTIONS(1505),
    [anon_sym_BANG_EQ] = ACTIONS(1505),
    [anon_sym_AMP_AMP] = ACTIONS(1505),
    [anon_sym_PIPE_PIPE] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1507),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_STAR] = ACTIONS(1507),
    [anon_sym_SLASH] = ACTIONS(1507),
    [anon_sym_PIPE] = ACTIONS(1507),
    [anon_sym_CARET] = ACTIONS(1505),
    [anon_sym_PERCENT] = ACTIONS(1505),
    [anon_sym_LT_LT] = ACTIONS(1505),
    [anon_sym_GT_GT] = ACTIONS(1507),
    [anon_sym_GT_GT_GT] = ACTIONS(1505),
    [anon_sym_in] = ACTIONS(1507),
    [anon_sym_STAR_STAR] = ACTIONS(1505),
    [anon_sym_instanceof] = ACTIONS(1507),
    [anon_sym_final] = ACTIONS(1507),
    [anon_sym_DASH_GT] = ACTIONS(1505),
    [anon_sym_COMMA] = ACTIONS(1505),
    [anon_sym_QMARK] = ACTIONS(1505),
    [anon_sym_BANG] = ACTIONS(1507),
    [anon_sym_TILDE] = ACTIONS(1505),
    [anon_sym_PLUS_PLUS] = ACTIONS(1505),
    [anon_sym_DASH_DASH] = ACTIONS(1505),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [anon_sym_class] = ACTIONS(1507),
    [anon_sym_switch] = ACTIONS(1507),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_case] = ACTIONS(1507),
    [anon_sym_default] = ACTIONS(1507),
    [sym_underscore_pattern] = ACTIONS(1507),
    [anon_sym_SEMI] = ACTIONS(1505),
    [anon_sym_assert] = ACTIONS(1507),
    [anon_sym_do] = ACTIONS(1507),
    [anon_sym_while] = ACTIONS(1507),
    [anon_sym_break] = ACTIONS(1507),
    [anon_sym_continue] = ACTIONS(1507),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_yield] = ACTIONS(1507),
    [anon_sym_synchronized] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1507),
    [anon_sym_try] = ACTIONS(1507),
    [anon_sym_if] = ACTIONS(1507),
    [anon_sym_else] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1507),
    [anon_sym_AT] = ACTIONS(1507),
    [anon_sym_open] = ACTIONS(1507),
    [anon_sym_module] = ACTIONS(1507),
    [anon_sym_static] = ACTIONS(1507),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_package] = ACTIONS(1507),
    [anon_sym_import] = ACTIONS(1507),
    [anon_sym_enum] = ACTIONS(1507),
    [anon_sym_public] = ACTIONS(1507),
    [anon_sym_protected] = ACTIONS(1507),
    [anon_sym_private] = ACTIONS(1507),
    [anon_sym_abstract] = ACTIONS(1507),
    [anon_sym_strictfp] = ACTIONS(1507),
    [anon_sym_native] = ACTIONS(1507),
    [anon_sym_transient] = ACTIONS(1507),
    [anon_sym_volatile] = ACTIONS(1507),
    [anon_sym_sealed] = ACTIONS(1507),
    [anon_sym_non_DASHsealed] = ACTIONS(1505),
    [anon_sym_record] = ACTIONS(1507),
    [anon_sym_ATinterface] = ACTIONS(1505),
    [anon_sym_interface] = ACTIONS(1507),
    [anon_sym_byte] = ACTIONS(1507),
    [anon_sym_short] = ACTIONS(1507),
    [anon_sym_int] = ACTIONS(1507),
    [anon_sym_long] = ACTIONS(1507),
    [anon_sym_char] = ACTIONS(1507),
    [anon_sym_float] = ACTIONS(1507),
    [anon_sym_double] = ACTIONS(1507),
    [sym_boolean_type] = ACTIONS(1507),
    [sym_void_type] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1507),
    [sym_this] = ACTIONS(1507),
    [sym_super] = ACTIONS(1507),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1505),
  },
  [434] = {
    [ts_builtin_sym_end] = ACTIONS(1612),
    [sym_identifier] = ACTIONS(1607),
    [sym_decimal_integer_literal] = ACTIONS(1607),
    [sym_hex_integer_literal] = ACTIONS(1607),
    [sym_octal_integer_literal] = ACTIONS(1607),
    [sym_binary_integer_literal] = ACTIONS(1607),
    [sym_decimal_floating_point_literal] = ACTIONS(1607),
    [sym_hex_floating_point_literal] = ACTIONS(1607),
    [sym_true] = ACTIONS(1607),
    [sym_false] = ACTIONS(1607),
    [sym_character_literal] = ACTIONS(1607),
    [anon_sym_DQUOTE] = ACTIONS(1607),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1607),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1607),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [sym_null_literal] = ACTIONS(1607),
    [anon_sym_LPAREN] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_GT] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1225),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_PIPE] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1225),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1225),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_in] = ACTIONS(1225),
    [anon_sym_STAR_STAR] = ACTIONS(1225),
    [anon_sym_instanceof] = ACTIONS(1225),
    [anon_sym_final] = ACTIONS(1607),
    [anon_sym_DASH_GT] = ACTIONS(1607),
    [anon_sym_QMARK] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1225),
    [anon_sym_DASH_DASH] = ACTIONS(1225),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_class] = ACTIONS(1607),
    [anon_sym_switch] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1607),
    [anon_sym_default] = ACTIONS(1607),
    [sym_underscore_pattern] = ACTIONS(1607),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_expression_statement_token1] = ACTIONS(1223),
    [anon_sym_NULL] = ACTIONS(1225),
    [anon_sym_assert] = ACTIONS(1607),
    [anon_sym_do] = ACTIONS(1607),
    [anon_sym_while] = ACTIONS(1607),
    [anon_sym_break] = ACTIONS(1607),
    [anon_sym_continue] = ACTIONS(1607),
    [anon_sym_return] = ACTIONS(1607),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_synchronized] = ACTIONS(1607),
    [anon_sym_throw] = ACTIONS(1607),
    [anon_sym_try] = ACTIONS(1607),
    [anon_sym_if] = ACTIONS(1607),
    [anon_sym_else] = ACTIONS(1607),
    [anon_sym_for] = ACTIONS(1607),
    [anon_sym_AT] = ACTIONS(1607),
    [anon_sym_open] = ACTIONS(1607),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_static] = ACTIONS(1607),
    [anon_sym_with] = ACTIONS(1607),
    [anon_sym_package] = ACTIONS(1607),
    [anon_sym_import] = ACTIONS(1607),
    [anon_sym_enum] = ACTIONS(1607),
    [anon_sym_public] = ACTIONS(1607),
    [anon_sym_protected] = ACTIONS(1607),
    [anon_sym_private] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1607),
    [anon_sym_strictfp] = ACTIONS(1607),
    [anon_sym_native] = ACTIONS(1607),
    [anon_sym_transient] = ACTIONS(1607),
    [anon_sym_volatile] = ACTIONS(1607),
    [anon_sym_sealed] = ACTIONS(1607),
    [anon_sym_non_DASHsealed] = ACTIONS(1607),
    [anon_sym_record] = ACTIONS(1607),
    [anon_sym_ATinterface] = ACTIONS(1607),
    [anon_sym_interface] = ACTIONS(1607),
    [anon_sym_byte] = ACTIONS(1607),
    [anon_sym_short] = ACTIONS(1607),
    [anon_sym_int] = ACTIONS(1607),
    [anon_sym_long] = ACTIONS(1607),
    [anon_sym_char] = ACTIONS(1607),
    [anon_sym_float] = ACTIONS(1607),
    [anon_sym_double] = ACTIONS(1607),
    [sym_boolean_type] = ACTIONS(1607),
    [sym_void_type] = ACTIONS(1607),
    [anon_sym_def] = ACTIONS(1607),
    [sym_this] = ACTIONS(1607),
    [sym_super] = ACTIONS(1607),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1225),
  },
  [435] = {
    [ts_builtin_sym_end] = ACTIONS(1235),
    [sym_identifier] = ACTIONS(1237),
    [sym_decimal_integer_literal] = ACTIONS(1237),
    [sym_hex_integer_literal] = ACTIONS(1237),
    [sym_octal_integer_literal] = ACTIONS(1237),
    [sym_binary_integer_literal] = ACTIONS(1235),
    [sym_decimal_floating_point_literal] = ACTIONS(1235),
    [sym_hex_floating_point_literal] = ACTIONS(1237),
    [sym_true] = ACTIONS(1237),
    [sym_false] = ACTIONS(1237),
    [sym_character_literal] = ACTIONS(1235),
    [anon_sym_DQUOTE] = ACTIONS(1237),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1235),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1235),
    [anon_sym_RBRACE] = ACTIONS(1235),
    [sym_null_literal] = ACTIONS(1237),
    [anon_sym_LPAREN] = ACTIONS(1235),
    [anon_sym_AMP] = ACTIONS(1237),
    [anon_sym_GT] = ACTIONS(1237),
    [anon_sym_LT] = ACTIONS(1237),
    [anon_sym_GT_EQ] = ACTIONS(1235),
    [anon_sym_LT_EQ] = ACTIONS(1235),
    [anon_sym_EQ_EQ] = ACTIONS(1235),
    [anon_sym_BANG_EQ] = ACTIONS(1235),
    [anon_sym_AMP_AMP] = ACTIONS(1235),
    [anon_sym_PIPE_PIPE] = ACTIONS(1235),
    [anon_sym_PLUS] = ACTIONS(1237),
    [anon_sym_DASH] = ACTIONS(1237),
    [anon_sym_STAR] = ACTIONS(1237),
    [anon_sym_SLASH] = ACTIONS(1237),
    [anon_sym_PIPE] = ACTIONS(1237),
    [anon_sym_CARET] = ACTIONS(1235),
    [anon_sym_PERCENT] = ACTIONS(1235),
    [anon_sym_LT_LT] = ACTIONS(1235),
    [anon_sym_GT_GT] = ACTIONS(1237),
    [anon_sym_GT_GT_GT] = ACTIONS(1235),
    [anon_sym_in] = ACTIONS(1237),
    [anon_sym_STAR_STAR] = ACTIONS(1235),
    [anon_sym_instanceof] = ACTIONS(1237),
    [anon_sym_final] = ACTIONS(1237),
    [anon_sym_DASH_GT] = ACTIONS(1235),
    [anon_sym_COMMA] = ACTIONS(1235),
    [anon_sym_QMARK] = ACTIONS(1235),
    [anon_sym_BANG] = ACTIONS(1237),
    [anon_sym_TILDE] = ACTIONS(1235),
    [anon_sym_PLUS_PLUS] = ACTIONS(1235),
    [anon_sym_DASH_DASH] = ACTIONS(1235),
    [anon_sym_new] = ACTIONS(1237),
    [anon_sym_LBRACK] = ACTIONS(1235),
    [anon_sym_DOT] = ACTIONS(1237),
    [anon_sym_class] = ACTIONS(1237),
    [anon_sym_COLON_COLON] = ACTIONS(1235),
    [anon_sym_switch] = ACTIONS(1237),
    [anon_sym_LBRACE] = ACTIONS(1235),
    [anon_sym_default] = ACTIONS(1237),
    [sym_underscore_pattern] = ACTIONS(1237),
    [anon_sym_SEMI] = ACTIONS(1235),
    [anon_sym_assert] = ACTIONS(1237),
    [anon_sym_do] = ACTIONS(1237),
    [anon_sym_while] = ACTIONS(1237),
    [anon_sym_break] = ACTIONS(1237),
    [anon_sym_continue] = ACTIONS(1237),
    [anon_sym_return] = ACTIONS(1237),
    [anon_sym_yield] = ACTIONS(1237),
    [anon_sym_synchronized] = ACTIONS(1237),
    [anon_sym_throw] = ACTIONS(1237),
    [anon_sym_try] = ACTIONS(1237),
    [anon_sym_if] = ACTIONS(1237),
    [anon_sym_for] = ACTIONS(1237),
    [anon_sym_AT] = ACTIONS(1237),
    [anon_sym_open] = ACTIONS(1237),
    [anon_sym_module] = ACTIONS(1237),
    [anon_sym_static] = ACTIONS(1237),
    [anon_sym_with] = ACTIONS(1237),
    [anon_sym_package] = ACTIONS(1237),
    [anon_sym_import] = ACTIONS(1237),
    [anon_sym_enum] = ACTIONS(1237),
    [anon_sym_public] = ACTIONS(1237),
    [anon_sym_protected] = ACTIONS(1237),
    [anon_sym_private] = ACTIONS(1237),
    [anon_sym_abstract] = ACTIONS(1237),
    [anon_sym_strictfp] = ACTIONS(1237),
    [anon_sym_native] = ACTIONS(1237),
    [anon_sym_transient] = ACTIONS(1237),
    [anon_sym_volatile] = ACTIONS(1237),
    [anon_sym_sealed] = ACTIONS(1237),
    [anon_sym_non_DASHsealed] = ACTIONS(1235),
    [anon_sym_record] = ACTIONS(1237),
    [anon_sym_ATinterface] = ACTIONS(1235),
    [anon_sym_interface] = ACTIONS(1237),
    [anon_sym_byte] = ACTIONS(1237),
    [anon_sym_short] = ACTIONS(1237),
    [anon_sym_int] = ACTIONS(1237),
    [anon_sym_long] = ACTIONS(1237),
    [anon_sym_char] = ACTIONS(1237),
    [anon_sym_float] = ACTIONS(1237),
    [anon_sym_double] = ACTIONS(1237),
    [sym_boolean_type] = ACTIONS(1237),
    [sym_void_type] = ACTIONS(1237),
    [anon_sym_def] = ACTIONS(1237),
    [sym_this] = ACTIONS(1237),
    [sym_super] = ACTIONS(1237),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1235),
  },
  [436] = {
    [ts_builtin_sym_end] = ACTIONS(1192),
    [sym_identifier] = ACTIONS(1194),
    [sym_decimal_integer_literal] = ACTIONS(1194),
    [sym_hex_integer_literal] = ACTIONS(1194),
    [sym_octal_integer_literal] = ACTIONS(1194),
    [sym_binary_integer_literal] = ACTIONS(1192),
    [sym_decimal_floating_point_literal] = ACTIONS(1192),
    [sym_hex_floating_point_literal] = ACTIONS(1194),
    [sym_true] = ACTIONS(1194),
    [sym_false] = ACTIONS(1194),
    [sym_character_literal] = ACTIONS(1192),
    [anon_sym_DQUOTE] = ACTIONS(1194),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1192),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1192),
    [anon_sym_RBRACE] = ACTIONS(1192),
    [sym_null_literal] = ACTIONS(1194),
    [anon_sym_LPAREN] = ACTIONS(1192),
    [anon_sym_AMP] = ACTIONS(1194),
    [anon_sym_GT] = ACTIONS(1194),
    [anon_sym_LT] = ACTIONS(1194),
    [anon_sym_GT_EQ] = ACTIONS(1192),
    [anon_sym_LT_EQ] = ACTIONS(1192),
    [anon_sym_EQ_EQ] = ACTIONS(1192),
    [anon_sym_BANG_EQ] = ACTIONS(1192),
    [anon_sym_AMP_AMP] = ACTIONS(1192),
    [anon_sym_PIPE_PIPE] = ACTIONS(1192),
    [anon_sym_PLUS] = ACTIONS(1194),
    [anon_sym_DASH] = ACTIONS(1194),
    [anon_sym_STAR] = ACTIONS(1194),
    [anon_sym_SLASH] = ACTIONS(1194),
    [anon_sym_PIPE] = ACTIONS(1194),
    [anon_sym_CARET] = ACTIONS(1192),
    [anon_sym_PERCENT] = ACTIONS(1192),
    [anon_sym_LT_LT] = ACTIONS(1192),
    [anon_sym_GT_GT] = ACTIONS(1194),
    [anon_sym_GT_GT_GT] = ACTIONS(1192),
    [anon_sym_in] = ACTIONS(1194),
    [anon_sym_STAR_STAR] = ACTIONS(1192),
    [anon_sym_instanceof] = ACTIONS(1194),
    [anon_sym_final] = ACTIONS(1194),
    [anon_sym_DASH_GT] = ACTIONS(1192),
    [anon_sym_COMMA] = ACTIONS(1192),
    [anon_sym_QMARK] = ACTIONS(1192),
    [anon_sym_BANG] = ACTIONS(1194),
    [anon_sym_TILDE] = ACTIONS(1192),
    [anon_sym_PLUS_PLUS] = ACTIONS(1192),
    [anon_sym_DASH_DASH] = ACTIONS(1192),
    [anon_sym_new] = ACTIONS(1194),
    [anon_sym_LBRACK] = ACTIONS(1192),
    [anon_sym_DOT] = ACTIONS(1194),
    [anon_sym_class] = ACTIONS(1194),
    [anon_sym_COLON_COLON] = ACTIONS(1192),
    [anon_sym_switch] = ACTIONS(1194),
    [anon_sym_LBRACE] = ACTIONS(1192),
    [anon_sym_default] = ACTIONS(1194),
    [sym_underscore_pattern] = ACTIONS(1194),
    [anon_sym_SEMI] = ACTIONS(1192),
    [anon_sym_assert] = ACTIONS(1194),
    [anon_sym_do] = ACTIONS(1194),
    [anon_sym_while] = ACTIONS(1194),
    [anon_sym_break] = ACTIONS(1194),
    [anon_sym_continue] = ACTIONS(1194),
    [anon_sym_return] = ACTIONS(1194),
    [anon_sym_yield] = ACTIONS(1194),
    [anon_sym_synchronized] = ACTIONS(1194),
    [anon_sym_throw] = ACTIONS(1194),
    [anon_sym_try] = ACTIONS(1194),
    [anon_sym_if] = ACTIONS(1194),
    [anon_sym_for] = ACTIONS(1194),
    [anon_sym_AT] = ACTIONS(1194),
    [anon_sym_open] = ACTIONS(1194),
    [anon_sym_module] = ACTIONS(1194),
    [anon_sym_static] = ACTIONS(1194),
    [anon_sym_with] = ACTIONS(1194),
    [anon_sym_package] = ACTIONS(1194),
    [anon_sym_import] = ACTIONS(1194),
    [anon_sym_enum] = ACTIONS(1194),
    [anon_sym_public] = ACTIONS(1194),
    [anon_sym_protected] = ACTIONS(1194),
    [anon_sym_private] = ACTIONS(1194),
    [anon_sym_abstract] = ACTIONS(1194),
    [anon_sym_strictfp] = ACTIONS(1194),
    [anon_sym_native] = ACTIONS(1194),
    [anon_sym_transient] = ACTIONS(1194),
    [anon_sym_volatile] = ACTIONS(1194),
    [anon_sym_sealed] = ACTIONS(1194),
    [anon_sym_non_DASHsealed] = ACTIONS(1192),
    [anon_sym_record] = ACTIONS(1194),
    [anon_sym_ATinterface] = ACTIONS(1192),
    [anon_sym_interface] = ACTIONS(1194),
    [anon_sym_byte] = ACTIONS(1194),
    [anon_sym_short] = ACTIONS(1194),
    [anon_sym_int] = ACTIONS(1194),
    [anon_sym_long] = ACTIONS(1194),
    [anon_sym_char] = ACTIONS(1194),
    [anon_sym_float] = ACTIONS(1194),
    [anon_sym_double] = ACTIONS(1194),
    [sym_boolean_type] = ACTIONS(1194),
    [sym_void_type] = ACTIONS(1194),
    [anon_sym_def] = ACTIONS(1194),
    [sym_this] = ACTIONS(1194),
    [sym_super] = ACTIONS(1194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1192),
  },
  [437] = {
    [ts_builtin_sym_end] = ACTIONS(1128),
    [sym_identifier] = ACTIONS(1130),
    [sym_decimal_integer_literal] = ACTIONS(1130),
    [sym_hex_integer_literal] = ACTIONS(1130),
    [sym_octal_integer_literal] = ACTIONS(1130),
    [sym_binary_integer_literal] = ACTIONS(1128),
    [sym_decimal_floating_point_literal] = ACTIONS(1128),
    [sym_hex_floating_point_literal] = ACTIONS(1130),
    [sym_true] = ACTIONS(1130),
    [sym_false] = ACTIONS(1130),
    [sym_character_literal] = ACTIONS(1128),
    [anon_sym_DQUOTE] = ACTIONS(1130),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1128),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1128),
    [anon_sym_RBRACE] = ACTIONS(1128),
    [sym_null_literal] = ACTIONS(1130),
    [anon_sym_LPAREN] = ACTIONS(1128),
    [anon_sym_AMP] = ACTIONS(1130),
    [anon_sym_GT] = ACTIONS(1130),
    [anon_sym_LT] = ACTIONS(1130),
    [anon_sym_GT_EQ] = ACTIONS(1128),
    [anon_sym_LT_EQ] = ACTIONS(1128),
    [anon_sym_EQ_EQ] = ACTIONS(1128),
    [anon_sym_BANG_EQ] = ACTIONS(1128),
    [anon_sym_AMP_AMP] = ACTIONS(1128),
    [anon_sym_PIPE_PIPE] = ACTIONS(1128),
    [anon_sym_PLUS] = ACTIONS(1130),
    [anon_sym_DASH] = ACTIONS(1130),
    [anon_sym_STAR] = ACTIONS(1130),
    [anon_sym_SLASH] = ACTIONS(1130),
    [anon_sym_PIPE] = ACTIONS(1130),
    [anon_sym_CARET] = ACTIONS(1128),
    [anon_sym_PERCENT] = ACTIONS(1128),
    [anon_sym_LT_LT] = ACTIONS(1128),
    [anon_sym_GT_GT] = ACTIONS(1130),
    [anon_sym_GT_GT_GT] = ACTIONS(1128),
    [anon_sym_in] = ACTIONS(1130),
    [anon_sym_STAR_STAR] = ACTIONS(1128),
    [anon_sym_instanceof] = ACTIONS(1130),
    [anon_sym_final] = ACTIONS(1130),
    [anon_sym_DASH_GT] = ACTIONS(1128),
    [anon_sym_COMMA] = ACTIONS(1128),
    [anon_sym_QMARK] = ACTIONS(1128),
    [anon_sym_BANG] = ACTIONS(1130),
    [anon_sym_TILDE] = ACTIONS(1128),
    [anon_sym_PLUS_PLUS] = ACTIONS(1128),
    [anon_sym_DASH_DASH] = ACTIONS(1128),
    [anon_sym_new] = ACTIONS(1130),
    [anon_sym_LBRACK] = ACTIONS(1128),
    [anon_sym_DOT] = ACTIONS(1130),
    [anon_sym_class] = ACTIONS(1130),
    [anon_sym_COLON_COLON] = ACTIONS(1128),
    [anon_sym_switch] = ACTIONS(1130),
    [anon_sym_LBRACE] = ACTIONS(1128),
    [anon_sym_default] = ACTIONS(1130),
    [sym_underscore_pattern] = ACTIONS(1130),
    [anon_sym_SEMI] = ACTIONS(1128),
    [anon_sym_assert] = ACTIONS(1130),
    [anon_sym_do] = ACTIONS(1130),
    [anon_sym_while] = ACTIONS(1130),
    [anon_sym_break] = ACTIONS(1130),
    [anon_sym_continue] = ACTIONS(1130),
    [anon_sym_return] = ACTIONS(1130),
    [anon_sym_yield] = ACTIONS(1130),
    [anon_sym_synchronized] = ACTIONS(1130),
    [anon_sym_throw] = ACTIONS(1130),
    [anon_sym_try] = ACTIONS(1130),
    [anon_sym_if] = ACTIONS(1130),
    [anon_sym_for] = ACTIONS(1130),
    [anon_sym_AT] = ACTIONS(1130),
    [anon_sym_open] = ACTIONS(1130),
    [anon_sym_module] = ACTIONS(1130),
    [anon_sym_static] = ACTIONS(1130),
    [anon_sym_with] = ACTIONS(1130),
    [anon_sym_package] = ACTIONS(1130),
    [anon_sym_import] = ACTIONS(1130),
    [anon_sym_enum] = ACTIONS(1130),
    [anon_sym_public] = ACTIONS(1130),
    [anon_sym_protected] = ACTIONS(1130),
    [anon_sym_private] = ACTIONS(1130),
    [anon_sym_abstract] = ACTIONS(1130),
    [anon_sym_strictfp] = ACTIONS(1130),
    [anon_sym_native] = ACTIONS(1130),
    [anon_sym_transient] = ACTIONS(1130),
    [anon_sym_volatile] = ACTIONS(1130),
    [anon_sym_sealed] = ACTIONS(1130),
    [anon_sym_non_DASHsealed] = ACTIONS(1128),
    [anon_sym_record] = ACTIONS(1130),
    [anon_sym_ATinterface] = ACTIONS(1128),
    [anon_sym_interface] = ACTIONS(1130),
    [anon_sym_byte] = ACTIONS(1130),
    [anon_sym_short] = ACTIONS(1130),
    [anon_sym_int] = ACTIONS(1130),
    [anon_sym_long] = ACTIONS(1130),
    [anon_sym_char] = ACTIONS(1130),
    [anon_sym_float] = ACTIONS(1130),
    [anon_sym_double] = ACTIONS(1130),
    [sym_boolean_type] = ACTIONS(1130),
    [sym_void_type] = ACTIONS(1130),
    [anon_sym_def] = ACTIONS(1130),
    [sym_this] = ACTIONS(1130),
    [sym_super] = ACTIONS(1130),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1128),
  },
  [438] = {
    [ts_builtin_sym_end] = ACTIONS(1239),
    [sym_identifier] = ACTIONS(1241),
    [sym_decimal_integer_literal] = ACTIONS(1241),
    [sym_hex_integer_literal] = ACTIONS(1241),
    [sym_octal_integer_literal] = ACTIONS(1241),
    [sym_binary_integer_literal] = ACTIONS(1239),
    [sym_decimal_floating_point_literal] = ACTIONS(1239),
    [sym_hex_floating_point_literal] = ACTIONS(1241),
    [sym_true] = ACTIONS(1241),
    [sym_false] = ACTIONS(1241),
    [sym_character_literal] = ACTIONS(1239),
    [anon_sym_DQUOTE] = ACTIONS(1241),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1239),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1239),
    [anon_sym_RBRACE] = ACTIONS(1239),
    [sym_null_literal] = ACTIONS(1241),
    [anon_sym_LPAREN] = ACTIONS(1239),
    [anon_sym_AMP] = ACTIONS(1241),
    [anon_sym_GT] = ACTIONS(1241),
    [anon_sym_LT] = ACTIONS(1241),
    [anon_sym_GT_EQ] = ACTIONS(1239),
    [anon_sym_LT_EQ] = ACTIONS(1239),
    [anon_sym_EQ_EQ] = ACTIONS(1239),
    [anon_sym_BANG_EQ] = ACTIONS(1239),
    [anon_sym_AMP_AMP] = ACTIONS(1239),
    [anon_sym_PIPE_PIPE] = ACTIONS(1239),
    [anon_sym_PLUS] = ACTIONS(1241),
    [anon_sym_DASH] = ACTIONS(1241),
    [anon_sym_STAR] = ACTIONS(1241),
    [anon_sym_SLASH] = ACTIONS(1241),
    [anon_sym_PIPE] = ACTIONS(1241),
    [anon_sym_CARET] = ACTIONS(1239),
    [anon_sym_PERCENT] = ACTIONS(1239),
    [anon_sym_LT_LT] = ACTIONS(1239),
    [anon_sym_GT_GT] = ACTIONS(1241),
    [anon_sym_GT_GT_GT] = ACTIONS(1239),
    [anon_sym_in] = ACTIONS(1241),
    [anon_sym_STAR_STAR] = ACTIONS(1239),
    [anon_sym_instanceof] = ACTIONS(1241),
    [anon_sym_final] = ACTIONS(1241),
    [anon_sym_DASH_GT] = ACTIONS(1239),
    [anon_sym_COMMA] = ACTIONS(1239),
    [anon_sym_QMARK] = ACTIONS(1239),
    [anon_sym_BANG] = ACTIONS(1241),
    [anon_sym_TILDE] = ACTIONS(1239),
    [anon_sym_PLUS_PLUS] = ACTIONS(1239),
    [anon_sym_DASH_DASH] = ACTIONS(1239),
    [anon_sym_new] = ACTIONS(1241),
    [anon_sym_LBRACK] = ACTIONS(1239),
    [anon_sym_DOT] = ACTIONS(1241),
    [anon_sym_class] = ACTIONS(1241),
    [anon_sym_COLON_COLON] = ACTIONS(1239),
    [anon_sym_switch] = ACTIONS(1241),
    [anon_sym_LBRACE] = ACTIONS(1239),
    [anon_sym_default] = ACTIONS(1241),
    [sym_underscore_pattern] = ACTIONS(1241),
    [anon_sym_SEMI] = ACTIONS(1239),
    [anon_sym_assert] = ACTIONS(1241),
    [anon_sym_do] = ACTIONS(1241),
    [anon_sym_while] = ACTIONS(1241),
    [anon_sym_break] = ACTIONS(1241),
    [anon_sym_continue] = ACTIONS(1241),
    [anon_sym_return] = ACTIONS(1241),
    [anon_sym_yield] = ACTIONS(1241),
    [anon_sym_synchronized] = ACTIONS(1241),
    [anon_sym_throw] = ACTIONS(1241),
    [anon_sym_try] = ACTIONS(1241),
    [anon_sym_if] = ACTIONS(1241),
    [anon_sym_for] = ACTIONS(1241),
    [anon_sym_AT] = ACTIONS(1241),
    [anon_sym_open] = ACTIONS(1241),
    [anon_sym_module] = ACTIONS(1241),
    [anon_sym_static] = ACTIONS(1241),
    [anon_sym_with] = ACTIONS(1241),
    [anon_sym_package] = ACTIONS(1241),
    [anon_sym_import] = ACTIONS(1241),
    [anon_sym_enum] = ACTIONS(1241),
    [anon_sym_public] = ACTIONS(1241),
    [anon_sym_protected] = ACTIONS(1241),
    [anon_sym_private] = ACTIONS(1241),
    [anon_sym_abstract] = ACTIONS(1241),
    [anon_sym_strictfp] = ACTIONS(1241),
    [anon_sym_native] = ACTIONS(1241),
    [anon_sym_transient] = ACTIONS(1241),
    [anon_sym_volatile] = ACTIONS(1241),
    [anon_sym_sealed] = ACTIONS(1241),
    [anon_sym_non_DASHsealed] = ACTIONS(1239),
    [anon_sym_record] = ACTIONS(1241),
    [anon_sym_ATinterface] = ACTIONS(1239),
    [anon_sym_interface] = ACTIONS(1241),
    [anon_sym_byte] = ACTIONS(1241),
    [anon_sym_short] = ACTIONS(1241),
    [anon_sym_int] = ACTIONS(1241),
    [anon_sym_long] = ACTIONS(1241),
    [anon_sym_char] = ACTIONS(1241),
    [anon_sym_float] = ACTIONS(1241),
    [anon_sym_double] = ACTIONS(1241),
    [sym_boolean_type] = ACTIONS(1241),
    [sym_void_type] = ACTIONS(1241),
    [anon_sym_def] = ACTIONS(1241),
    [sym_this] = ACTIONS(1241),
    [sym_super] = ACTIONS(1241),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1239),
  },
  [439] = {
    [ts_builtin_sym_end] = ACTIONS(1211),
    [sym_identifier] = ACTIONS(1213),
    [sym_decimal_integer_literal] = ACTIONS(1213),
    [sym_hex_integer_literal] = ACTIONS(1213),
    [sym_octal_integer_literal] = ACTIONS(1213),
    [sym_binary_integer_literal] = ACTIONS(1211),
    [sym_decimal_floating_point_literal] = ACTIONS(1211),
    [sym_hex_floating_point_literal] = ACTIONS(1213),
    [sym_true] = ACTIONS(1213),
    [sym_false] = ACTIONS(1213),
    [sym_character_literal] = ACTIONS(1211),
    [anon_sym_DQUOTE] = ACTIONS(1213),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1211),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1211),
    [anon_sym_RBRACE] = ACTIONS(1211),
    [sym_null_literal] = ACTIONS(1213),
    [anon_sym_LPAREN] = ACTIONS(1211),
    [anon_sym_AMP] = ACTIONS(1213),
    [anon_sym_GT] = ACTIONS(1213),
    [anon_sym_LT] = ACTIONS(1213),
    [anon_sym_GT_EQ] = ACTIONS(1211),
    [anon_sym_LT_EQ] = ACTIONS(1211),
    [anon_sym_EQ_EQ] = ACTIONS(1211),
    [anon_sym_BANG_EQ] = ACTIONS(1211),
    [anon_sym_AMP_AMP] = ACTIONS(1211),
    [anon_sym_PIPE_PIPE] = ACTIONS(1211),
    [anon_sym_PLUS] = ACTIONS(1213),
    [anon_sym_DASH] = ACTIONS(1213),
    [anon_sym_STAR] = ACTIONS(1213),
    [anon_sym_SLASH] = ACTIONS(1213),
    [anon_sym_PIPE] = ACTIONS(1213),
    [anon_sym_CARET] = ACTIONS(1211),
    [anon_sym_PERCENT] = ACTIONS(1211),
    [anon_sym_LT_LT] = ACTIONS(1211),
    [anon_sym_GT_GT] = ACTIONS(1213),
    [anon_sym_GT_GT_GT] = ACTIONS(1211),
    [anon_sym_in] = ACTIONS(1213),
    [anon_sym_STAR_STAR] = ACTIONS(1211),
    [anon_sym_instanceof] = ACTIONS(1213),
    [anon_sym_final] = ACTIONS(1213),
    [anon_sym_DASH_GT] = ACTIONS(1211),
    [anon_sym_COMMA] = ACTIONS(1211),
    [anon_sym_QMARK] = ACTIONS(1211),
    [anon_sym_BANG] = ACTIONS(1213),
    [anon_sym_TILDE] = ACTIONS(1211),
    [anon_sym_PLUS_PLUS] = ACTIONS(1211),
    [anon_sym_DASH_DASH] = ACTIONS(1211),
    [anon_sym_new] = ACTIONS(1213),
    [anon_sym_LBRACK] = ACTIONS(1211),
    [anon_sym_DOT] = ACTIONS(1213),
    [anon_sym_class] = ACTIONS(1213),
    [anon_sym_COLON_COLON] = ACTIONS(1211),
    [anon_sym_switch] = ACTIONS(1213),
    [anon_sym_LBRACE] = ACTIONS(1211),
    [anon_sym_default] = ACTIONS(1213),
    [sym_underscore_pattern] = ACTIONS(1213),
    [anon_sym_SEMI] = ACTIONS(1211),
    [anon_sym_assert] = ACTIONS(1213),
    [anon_sym_do] = ACTIONS(1213),
    [anon_sym_while] = ACTIONS(1213),
    [anon_sym_break] = ACTIONS(1213),
    [anon_sym_continue] = ACTIONS(1213),
    [anon_sym_return] = ACTIONS(1213),
    [anon_sym_yield] = ACTIONS(1213),
    [anon_sym_synchronized] = ACTIONS(1213),
    [anon_sym_throw] = ACTIONS(1213),
    [anon_sym_try] = ACTIONS(1213),
    [anon_sym_if] = ACTIONS(1213),
    [anon_sym_for] = ACTIONS(1213),
    [anon_sym_AT] = ACTIONS(1213),
    [anon_sym_open] = ACTIONS(1213),
    [anon_sym_module] = ACTIONS(1213),
    [anon_sym_static] = ACTIONS(1213),
    [anon_sym_with] = ACTIONS(1213),
    [anon_sym_package] = ACTIONS(1213),
    [anon_sym_import] = ACTIONS(1213),
    [anon_sym_enum] = ACTIONS(1213),
    [anon_sym_public] = ACTIONS(1213),
    [anon_sym_protected] = ACTIONS(1213),
    [anon_sym_private] = ACTIONS(1213),
    [anon_sym_abstract] = ACTIONS(1213),
    [anon_sym_strictfp] = ACTIONS(1213),
    [anon_sym_native] = ACTIONS(1213),
    [anon_sym_transient] = ACTIONS(1213),
    [anon_sym_volatile] = ACTIONS(1213),
    [anon_sym_sealed] = ACTIONS(1213),
    [anon_sym_non_DASHsealed] = ACTIONS(1211),
    [anon_sym_record] = ACTIONS(1213),
    [anon_sym_ATinterface] = ACTIONS(1211),
    [anon_sym_interface] = ACTIONS(1213),
    [anon_sym_byte] = ACTIONS(1213),
    [anon_sym_short] = ACTIONS(1213),
    [anon_sym_int] = ACTIONS(1213),
    [anon_sym_long] = ACTIONS(1213),
    [anon_sym_char] = ACTIONS(1213),
    [anon_sym_float] = ACTIONS(1213),
    [anon_sym_double] = ACTIONS(1213),
    [sym_boolean_type] = ACTIONS(1213),
    [sym_void_type] = ACTIONS(1213),
    [anon_sym_def] = ACTIONS(1213),
    [sym_this] = ACTIONS(1213),
    [sym_super] = ACTIONS(1213),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1211),
  },
  [440] = {
    [ts_builtin_sym_end] = ACTIONS(1215),
    [sym_identifier] = ACTIONS(1217),
    [sym_decimal_integer_literal] = ACTIONS(1217),
    [sym_hex_integer_literal] = ACTIONS(1217),
    [sym_octal_integer_literal] = ACTIONS(1217),
    [sym_binary_integer_literal] = ACTIONS(1215),
    [sym_decimal_floating_point_literal] = ACTIONS(1215),
    [sym_hex_floating_point_literal] = ACTIONS(1217),
    [sym_true] = ACTIONS(1217),
    [sym_false] = ACTIONS(1217),
    [sym_character_literal] = ACTIONS(1215),
    [anon_sym_DQUOTE] = ACTIONS(1217),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1215),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1215),
    [anon_sym_RBRACE] = ACTIONS(1215),
    [sym_null_literal] = ACTIONS(1217),
    [anon_sym_LPAREN] = ACTIONS(1215),
    [anon_sym_AMP] = ACTIONS(1217),
    [anon_sym_GT] = ACTIONS(1217),
    [anon_sym_LT] = ACTIONS(1217),
    [anon_sym_GT_EQ] = ACTIONS(1215),
    [anon_sym_LT_EQ] = ACTIONS(1215),
    [anon_sym_EQ_EQ] = ACTIONS(1215),
    [anon_sym_BANG_EQ] = ACTIONS(1215),
    [anon_sym_AMP_AMP] = ACTIONS(1215),
    [anon_sym_PIPE_PIPE] = ACTIONS(1215),
    [anon_sym_PLUS] = ACTIONS(1217),
    [anon_sym_DASH] = ACTIONS(1217),
    [anon_sym_STAR] = ACTIONS(1217),
    [anon_sym_SLASH] = ACTIONS(1217),
    [anon_sym_PIPE] = ACTIONS(1217),
    [anon_sym_CARET] = ACTIONS(1215),
    [anon_sym_PERCENT] = ACTIONS(1215),
    [anon_sym_LT_LT] = ACTIONS(1215),
    [anon_sym_GT_GT] = ACTIONS(1217),
    [anon_sym_GT_GT_GT] = ACTIONS(1215),
    [anon_sym_in] = ACTIONS(1217),
    [anon_sym_STAR_STAR] = ACTIONS(1215),
    [anon_sym_instanceof] = ACTIONS(1217),
    [anon_sym_final] = ACTIONS(1217),
    [anon_sym_DASH_GT] = ACTIONS(1215),
    [anon_sym_COMMA] = ACTIONS(1215),
    [anon_sym_QMARK] = ACTIONS(1215),
    [anon_sym_BANG] = ACTIONS(1217),
    [anon_sym_TILDE] = ACTIONS(1215),
    [anon_sym_PLUS_PLUS] = ACTIONS(1215),
    [anon_sym_DASH_DASH] = ACTIONS(1215),
    [anon_sym_new] = ACTIONS(1217),
    [anon_sym_LBRACK] = ACTIONS(1215),
    [anon_sym_DOT] = ACTIONS(1217),
    [anon_sym_class] = ACTIONS(1217),
    [anon_sym_COLON_COLON] = ACTIONS(1215),
    [anon_sym_switch] = ACTIONS(1217),
    [anon_sym_LBRACE] = ACTIONS(1215),
    [anon_sym_default] = ACTIONS(1217),
    [sym_underscore_pattern] = ACTIONS(1217),
    [anon_sym_SEMI] = ACTIONS(1215),
    [anon_sym_assert] = ACTIONS(1217),
    [anon_sym_do] = ACTIONS(1217),
    [anon_sym_while] = ACTIONS(1217),
    [anon_sym_break] = ACTIONS(1217),
    [anon_sym_continue] = ACTIONS(1217),
    [anon_sym_return] = ACTIONS(1217),
    [anon_sym_yield] = ACTIONS(1217),
    [anon_sym_synchronized] = ACTIONS(1217),
    [anon_sym_throw] = ACTIONS(1217),
    [anon_sym_try] = ACTIONS(1217),
    [anon_sym_if] = ACTIONS(1217),
    [anon_sym_for] = ACTIONS(1217),
    [anon_sym_AT] = ACTIONS(1217),
    [anon_sym_open] = ACTIONS(1217),
    [anon_sym_module] = ACTIONS(1217),
    [anon_sym_static] = ACTIONS(1217),
    [anon_sym_with] = ACTIONS(1217),
    [anon_sym_package] = ACTIONS(1217),
    [anon_sym_import] = ACTIONS(1217),
    [anon_sym_enum] = ACTIONS(1217),
    [anon_sym_public] = ACTIONS(1217),
    [anon_sym_protected] = ACTIONS(1217),
    [anon_sym_private] = ACTIONS(1217),
    [anon_sym_abstract] = ACTIONS(1217),
    [anon_sym_strictfp] = ACTIONS(1217),
    [anon_sym_native] = ACTIONS(1217),
    [anon_sym_transient] = ACTIONS(1217),
    [anon_sym_volatile] = ACTIONS(1217),
    [anon_sym_sealed] = ACTIONS(1217),
    [anon_sym_non_DASHsealed] = ACTIONS(1215),
    [anon_sym_record] = ACTIONS(1217),
    [anon_sym_ATinterface] = ACTIONS(1215),
    [anon_sym_interface] = ACTIONS(1217),
    [anon_sym_byte] = ACTIONS(1217),
    [anon_sym_short] = ACTIONS(1217),
    [anon_sym_int] = ACTIONS(1217),
    [anon_sym_long] = ACTIONS(1217),
    [anon_sym_char] = ACTIONS(1217),
    [anon_sym_float] = ACTIONS(1217),
    [anon_sym_double] = ACTIONS(1217),
    [sym_boolean_type] = ACTIONS(1217),
    [sym_void_type] = ACTIONS(1217),
    [anon_sym_def] = ACTIONS(1217),
    [sym_this] = ACTIONS(1217),
    [sym_super] = ACTIONS(1217),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1215),
  },
  [441] = {
    [ts_builtin_sym_end] = ACTIONS(1227),
    [sym_identifier] = ACTIONS(1229),
    [sym_decimal_integer_literal] = ACTIONS(1229),
    [sym_hex_integer_literal] = ACTIONS(1229),
    [sym_octal_integer_literal] = ACTIONS(1229),
    [sym_binary_integer_literal] = ACTIONS(1227),
    [sym_decimal_floating_point_literal] = ACTIONS(1227),
    [sym_hex_floating_point_literal] = ACTIONS(1229),
    [sym_true] = ACTIONS(1229),
    [sym_false] = ACTIONS(1229),
    [sym_character_literal] = ACTIONS(1227),
    [anon_sym_DQUOTE] = ACTIONS(1229),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1227),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1227),
    [anon_sym_RBRACE] = ACTIONS(1227),
    [sym_null_literal] = ACTIONS(1229),
    [anon_sym_LPAREN] = ACTIONS(1227),
    [anon_sym_AMP] = ACTIONS(1229),
    [anon_sym_GT] = ACTIONS(1229),
    [anon_sym_LT] = ACTIONS(1229),
    [anon_sym_GT_EQ] = ACTIONS(1227),
    [anon_sym_LT_EQ] = ACTIONS(1227),
    [anon_sym_EQ_EQ] = ACTIONS(1227),
    [anon_sym_BANG_EQ] = ACTIONS(1227),
    [anon_sym_AMP_AMP] = ACTIONS(1227),
    [anon_sym_PIPE_PIPE] = ACTIONS(1227),
    [anon_sym_PLUS] = ACTIONS(1229),
    [anon_sym_DASH] = ACTIONS(1229),
    [anon_sym_STAR] = ACTIONS(1229),
    [anon_sym_SLASH] = ACTIONS(1229),
    [anon_sym_PIPE] = ACTIONS(1229),
    [anon_sym_CARET] = ACTIONS(1227),
    [anon_sym_PERCENT] = ACTIONS(1227),
    [anon_sym_LT_LT] = ACTIONS(1227),
    [anon_sym_GT_GT] = ACTIONS(1229),
    [anon_sym_GT_GT_GT] = ACTIONS(1227),
    [anon_sym_in] = ACTIONS(1229),
    [anon_sym_STAR_STAR] = ACTIONS(1227),
    [anon_sym_instanceof] = ACTIONS(1229),
    [anon_sym_final] = ACTIONS(1229),
    [anon_sym_DASH_GT] = ACTIONS(1227),
    [anon_sym_COMMA] = ACTIONS(1227),
    [anon_sym_QMARK] = ACTIONS(1227),
    [anon_sym_BANG] = ACTIONS(1229),
    [anon_sym_TILDE] = ACTIONS(1227),
    [anon_sym_PLUS_PLUS] = ACTIONS(1227),
    [anon_sym_DASH_DASH] = ACTIONS(1227),
    [anon_sym_new] = ACTIONS(1229),
    [anon_sym_LBRACK] = ACTIONS(1227),
    [anon_sym_DOT] = ACTIONS(1229),
    [anon_sym_class] = ACTIONS(1229),
    [anon_sym_COLON_COLON] = ACTIONS(1227),
    [anon_sym_switch] = ACTIONS(1229),
    [anon_sym_LBRACE] = ACTIONS(1227),
    [anon_sym_default] = ACTIONS(1229),
    [sym_underscore_pattern] = ACTIONS(1229),
    [anon_sym_SEMI] = ACTIONS(1227),
    [anon_sym_assert] = ACTIONS(1229),
    [anon_sym_do] = ACTIONS(1229),
    [anon_sym_while] = ACTIONS(1229),
    [anon_sym_break] = ACTIONS(1229),
    [anon_sym_continue] = ACTIONS(1229),
    [anon_sym_return] = ACTIONS(1229),
    [anon_sym_yield] = ACTIONS(1229),
    [anon_sym_synchronized] = ACTIONS(1229),
    [anon_sym_throw] = ACTIONS(1229),
    [anon_sym_try] = ACTIONS(1229),
    [anon_sym_if] = ACTIONS(1229),
    [anon_sym_for] = ACTIONS(1229),
    [anon_sym_AT] = ACTIONS(1229),
    [anon_sym_open] = ACTIONS(1229),
    [anon_sym_module] = ACTIONS(1229),
    [anon_sym_static] = ACTIONS(1229),
    [anon_sym_with] = ACTIONS(1229),
    [anon_sym_package] = ACTIONS(1229),
    [anon_sym_import] = ACTIONS(1229),
    [anon_sym_enum] = ACTIONS(1229),
    [anon_sym_public] = ACTIONS(1229),
    [anon_sym_protected] = ACTIONS(1229),
    [anon_sym_private] = ACTIONS(1229),
    [anon_sym_abstract] = ACTIONS(1229),
    [anon_sym_strictfp] = ACTIONS(1229),
    [anon_sym_native] = ACTIONS(1229),
    [anon_sym_transient] = ACTIONS(1229),
    [anon_sym_volatile] = ACTIONS(1229),
    [anon_sym_sealed] = ACTIONS(1229),
    [anon_sym_non_DASHsealed] = ACTIONS(1227),
    [anon_sym_record] = ACTIONS(1229),
    [anon_sym_ATinterface] = ACTIONS(1227),
    [anon_sym_interface] = ACTIONS(1229),
    [anon_sym_byte] = ACTIONS(1229),
    [anon_sym_short] = ACTIONS(1229),
    [anon_sym_int] = ACTIONS(1229),
    [anon_sym_long] = ACTIONS(1229),
    [anon_sym_char] = ACTIONS(1229),
    [anon_sym_float] = ACTIONS(1229),
    [anon_sym_double] = ACTIONS(1229),
    [sym_boolean_type] = ACTIONS(1229),
    [sym_void_type] = ACTIONS(1229),
    [anon_sym_def] = ACTIONS(1229),
    [sym_this] = ACTIONS(1229),
    [sym_super] = ACTIONS(1229),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1227),
  },
  [442] = {
    [sym_identifier] = ACTIONS(1614),
    [sym_decimal_integer_literal] = ACTIONS(1614),
    [sym_hex_integer_literal] = ACTIONS(1614),
    [sym_octal_integer_literal] = ACTIONS(1614),
    [sym_binary_integer_literal] = ACTIONS(1614),
    [sym_decimal_floating_point_literal] = ACTIONS(1614),
    [sym_hex_floating_point_literal] = ACTIONS(1614),
    [sym_true] = ACTIONS(1614),
    [sym_false] = ACTIONS(1614),
    [sym_character_literal] = ACTIONS(1614),
    [anon_sym_DQUOTE] = ACTIONS(1614),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1614),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1614),
    [anon_sym_RBRACE] = ACTIONS(1614),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_LPAREN] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1202),
    [anon_sym_BANG_EQ] = ACTIONS(1202),
    [anon_sym_AMP_AMP] = ACTIONS(1202),
    [anon_sym_PIPE_PIPE] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_SLASH] = ACTIONS(1202),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_CARET] = ACTIONS(1202),
    [anon_sym_PERCENT] = ACTIONS(1202),
    [anon_sym_LT_LT] = ACTIONS(1202),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1202),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_STAR_STAR] = ACTIONS(1202),
    [anon_sym_instanceof] = ACTIONS(1202),
    [anon_sym_final] = ACTIONS(1614),
    [anon_sym_DASH_GT] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1614),
    [anon_sym_TILDE] = ACTIONS(1614),
    [anon_sym_PLUS_PLUS] = ACTIONS(1604),
    [anon_sym_DASH_DASH] = ACTIONS(1604),
    [anon_sym_new] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1614),
    [anon_sym_class] = ACTIONS(1614),
    [anon_sym_switch] = ACTIONS(1614),
    [anon_sym_LBRACE] = ACTIONS(1614),
    [anon_sym_case] = ACTIONS(1614),
    [anon_sym_default] = ACTIONS(1614),
    [sym_underscore_pattern] = ACTIONS(1614),
    [anon_sym_SEMI] = ACTIONS(1604),
    [aux_sym_expression_statement_token1] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1202),
    [anon_sym_assert] = ACTIONS(1614),
    [anon_sym_do] = ACTIONS(1614),
    [anon_sym_while] = ACTIONS(1614),
    [anon_sym_break] = ACTIONS(1614),
    [anon_sym_continue] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1614),
    [anon_sym_yield] = ACTIONS(1614),
    [anon_sym_synchronized] = ACTIONS(1614),
    [anon_sym_throw] = ACTIONS(1614),
    [anon_sym_try] = ACTIONS(1614),
    [anon_sym_if] = ACTIONS(1614),
    [anon_sym_else] = ACTIONS(1614),
    [anon_sym_for] = ACTIONS(1614),
    [anon_sym_AT] = ACTIONS(1614),
    [anon_sym_open] = ACTIONS(1614),
    [anon_sym_module] = ACTIONS(1614),
    [anon_sym_static] = ACTIONS(1614),
    [anon_sym_with] = ACTIONS(1614),
    [anon_sym_package] = ACTIONS(1614),
    [anon_sym_import] = ACTIONS(1614),
    [anon_sym_enum] = ACTIONS(1614),
    [anon_sym_public] = ACTIONS(1614),
    [anon_sym_protected] = ACTIONS(1614),
    [anon_sym_private] = ACTIONS(1614),
    [anon_sym_abstract] = ACTIONS(1614),
    [anon_sym_strictfp] = ACTIONS(1614),
    [anon_sym_native] = ACTIONS(1614),
    [anon_sym_transient] = ACTIONS(1614),
    [anon_sym_volatile] = ACTIONS(1614),
    [anon_sym_sealed] = ACTIONS(1614),
    [anon_sym_non_DASHsealed] = ACTIONS(1614),
    [anon_sym_record] = ACTIONS(1614),
    [anon_sym_ATinterface] = ACTIONS(1614),
    [anon_sym_interface] = ACTIONS(1614),
    [anon_sym_byte] = ACTIONS(1614),
    [anon_sym_short] = ACTIONS(1614),
    [anon_sym_int] = ACTIONS(1614),
    [anon_sym_long] = ACTIONS(1614),
    [anon_sym_char] = ACTIONS(1614),
    [anon_sym_float] = ACTIONS(1614),
    [anon_sym_double] = ACTIONS(1614),
    [sym_boolean_type] = ACTIONS(1614),
    [sym_void_type] = ACTIONS(1614),
    [anon_sym_def] = ACTIONS(1614),
    [sym_this] = ACTIONS(1614),
    [sym_super] = ACTIONS(1614),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1202),
  },
  [443] = {
    [ts_builtin_sym_end] = ACTIONS(1311),
    [sym_identifier] = ACTIONS(1313),
    [sym_decimal_integer_literal] = ACTIONS(1313),
    [sym_hex_integer_literal] = ACTIONS(1313),
    [sym_octal_integer_literal] = ACTIONS(1313),
    [sym_binary_integer_literal] = ACTIONS(1311),
    [sym_decimal_floating_point_literal] = ACTIONS(1311),
    [sym_hex_floating_point_literal] = ACTIONS(1313),
    [sym_true] = ACTIONS(1313),
    [sym_false] = ACTIONS(1313),
    [sym_character_literal] = ACTIONS(1311),
    [anon_sym_DQUOTE] = ACTIONS(1313),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1311),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1311),
    [anon_sym_RBRACE] = ACTIONS(1311),
    [sym_null_literal] = ACTIONS(1313),
    [anon_sym_LPAREN] = ACTIONS(1311),
    [anon_sym_AMP] = ACTIONS(1313),
    [anon_sym_GT] = ACTIONS(1313),
    [anon_sym_LT] = ACTIONS(1313),
    [anon_sym_GT_EQ] = ACTIONS(1311),
    [anon_sym_LT_EQ] = ACTIONS(1311),
    [anon_sym_EQ_EQ] = ACTIONS(1311),
    [anon_sym_BANG_EQ] = ACTIONS(1311),
    [anon_sym_AMP_AMP] = ACTIONS(1311),
    [anon_sym_PIPE_PIPE] = ACTIONS(1311),
    [anon_sym_PLUS] = ACTIONS(1313),
    [anon_sym_DASH] = ACTIONS(1313),
    [anon_sym_STAR] = ACTIONS(1313),
    [anon_sym_SLASH] = ACTIONS(1313),
    [anon_sym_PIPE] = ACTIONS(1313),
    [anon_sym_CARET] = ACTIONS(1311),
    [anon_sym_PERCENT] = ACTIONS(1311),
    [anon_sym_LT_LT] = ACTIONS(1311),
    [anon_sym_GT_GT] = ACTIONS(1313),
    [anon_sym_GT_GT_GT] = ACTIONS(1311),
    [anon_sym_in] = ACTIONS(1313),
    [anon_sym_STAR_STAR] = ACTIONS(1311),
    [anon_sym_instanceof] = ACTIONS(1313),
    [anon_sym_final] = ACTIONS(1313),
    [anon_sym_DASH_GT] = ACTIONS(1311),
    [anon_sym_COMMA] = ACTIONS(1311),
    [anon_sym_QMARK] = ACTIONS(1311),
    [anon_sym_BANG] = ACTIONS(1313),
    [anon_sym_TILDE] = ACTIONS(1311),
    [anon_sym_PLUS_PLUS] = ACTIONS(1311),
    [anon_sym_DASH_DASH] = ACTIONS(1311),
    [anon_sym_new] = ACTIONS(1313),
    [anon_sym_LBRACK] = ACTIONS(1311),
    [anon_sym_DOT] = ACTIONS(1313),
    [anon_sym_class] = ACTIONS(1313),
    [anon_sym_COLON_COLON] = ACTIONS(1311),
    [anon_sym_switch] = ACTIONS(1313),
    [anon_sym_LBRACE] = ACTIONS(1311),
    [anon_sym_default] = ACTIONS(1313),
    [sym_underscore_pattern] = ACTIONS(1313),
    [anon_sym_SEMI] = ACTIONS(1311),
    [anon_sym_assert] = ACTIONS(1313),
    [anon_sym_do] = ACTIONS(1313),
    [anon_sym_while] = ACTIONS(1313),
    [anon_sym_break] = ACTIONS(1313),
    [anon_sym_continue] = ACTIONS(1313),
    [anon_sym_return] = ACTIONS(1313),
    [anon_sym_yield] = ACTIONS(1313),
    [anon_sym_synchronized] = ACTIONS(1313),
    [anon_sym_throw] = ACTIONS(1313),
    [anon_sym_try] = ACTIONS(1313),
    [anon_sym_if] = ACTIONS(1313),
    [anon_sym_for] = ACTIONS(1313),
    [anon_sym_AT] = ACTIONS(1313),
    [anon_sym_open] = ACTIONS(1313),
    [anon_sym_module] = ACTIONS(1313),
    [anon_sym_static] = ACTIONS(1313),
    [anon_sym_with] = ACTIONS(1313),
    [anon_sym_package] = ACTIONS(1313),
    [anon_sym_import] = ACTIONS(1313),
    [anon_sym_enum] = ACTIONS(1313),
    [anon_sym_public] = ACTIONS(1313),
    [anon_sym_protected] = ACTIONS(1313),
    [anon_sym_private] = ACTIONS(1313),
    [anon_sym_abstract] = ACTIONS(1313),
    [anon_sym_strictfp] = ACTIONS(1313),
    [anon_sym_native] = ACTIONS(1313),
    [anon_sym_transient] = ACTIONS(1313),
    [anon_sym_volatile] = ACTIONS(1313),
    [anon_sym_sealed] = ACTIONS(1313),
    [anon_sym_non_DASHsealed] = ACTIONS(1311),
    [anon_sym_record] = ACTIONS(1313),
    [anon_sym_ATinterface] = ACTIONS(1311),
    [anon_sym_interface] = ACTIONS(1313),
    [anon_sym_byte] = ACTIONS(1313),
    [anon_sym_short] = ACTIONS(1313),
    [anon_sym_int] = ACTIONS(1313),
    [anon_sym_long] = ACTIONS(1313),
    [anon_sym_char] = ACTIONS(1313),
    [anon_sym_float] = ACTIONS(1313),
    [anon_sym_double] = ACTIONS(1313),
    [sym_boolean_type] = ACTIONS(1313),
    [sym_void_type] = ACTIONS(1313),
    [anon_sym_def] = ACTIONS(1313),
    [sym_this] = ACTIONS(1313),
    [sym_super] = ACTIONS(1313),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1311),
  },
  [444] = {
    [ts_builtin_sym_end] = ACTIONS(1132),
    [sym_identifier] = ACTIONS(1134),
    [sym_decimal_integer_literal] = ACTIONS(1134),
    [sym_hex_integer_literal] = ACTIONS(1134),
    [sym_octal_integer_literal] = ACTIONS(1134),
    [sym_binary_integer_literal] = ACTIONS(1132),
    [sym_decimal_floating_point_literal] = ACTIONS(1132),
    [sym_hex_floating_point_literal] = ACTIONS(1134),
    [sym_true] = ACTIONS(1134),
    [sym_false] = ACTIONS(1134),
    [sym_character_literal] = ACTIONS(1132),
    [anon_sym_DQUOTE] = ACTIONS(1134),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1132),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1132),
    [anon_sym_RBRACE] = ACTIONS(1132),
    [sym_null_literal] = ACTIONS(1134),
    [anon_sym_LPAREN] = ACTIONS(1132),
    [anon_sym_AMP] = ACTIONS(1134),
    [anon_sym_GT] = ACTIONS(1134),
    [anon_sym_LT] = ACTIONS(1134),
    [anon_sym_GT_EQ] = ACTIONS(1132),
    [anon_sym_LT_EQ] = ACTIONS(1132),
    [anon_sym_EQ_EQ] = ACTIONS(1132),
    [anon_sym_BANG_EQ] = ACTIONS(1132),
    [anon_sym_AMP_AMP] = ACTIONS(1132),
    [anon_sym_PIPE_PIPE] = ACTIONS(1132),
    [anon_sym_PLUS] = ACTIONS(1134),
    [anon_sym_DASH] = ACTIONS(1134),
    [anon_sym_STAR] = ACTIONS(1134),
    [anon_sym_SLASH] = ACTIONS(1134),
    [anon_sym_PIPE] = ACTIONS(1134),
    [anon_sym_CARET] = ACTIONS(1132),
    [anon_sym_PERCENT] = ACTIONS(1132),
    [anon_sym_LT_LT] = ACTIONS(1132),
    [anon_sym_GT_GT] = ACTIONS(1134),
    [anon_sym_GT_GT_GT] = ACTIONS(1132),
    [anon_sym_in] = ACTIONS(1134),
    [anon_sym_STAR_STAR] = ACTIONS(1132),
    [anon_sym_instanceof] = ACTIONS(1134),
    [anon_sym_final] = ACTIONS(1134),
    [anon_sym_DASH_GT] = ACTIONS(1132),
    [anon_sym_COMMA] = ACTIONS(1132),
    [anon_sym_QMARK] = ACTIONS(1132),
    [anon_sym_BANG] = ACTIONS(1134),
    [anon_sym_TILDE] = ACTIONS(1132),
    [anon_sym_PLUS_PLUS] = ACTIONS(1132),
    [anon_sym_DASH_DASH] = ACTIONS(1132),
    [anon_sym_new] = ACTIONS(1134),
    [anon_sym_LBRACK] = ACTIONS(1132),
    [anon_sym_DOT] = ACTIONS(1134),
    [anon_sym_class] = ACTIONS(1134),
    [anon_sym_COLON_COLON] = ACTIONS(1132),
    [anon_sym_switch] = ACTIONS(1134),
    [anon_sym_LBRACE] = ACTIONS(1132),
    [anon_sym_default] = ACTIONS(1134),
    [sym_underscore_pattern] = ACTIONS(1134),
    [anon_sym_SEMI] = ACTIONS(1132),
    [anon_sym_assert] = ACTIONS(1134),
    [anon_sym_do] = ACTIONS(1134),
    [anon_sym_while] = ACTIONS(1134),
    [anon_sym_break] = ACTIONS(1134),
    [anon_sym_continue] = ACTIONS(1134),
    [anon_sym_return] = ACTIONS(1134),
    [anon_sym_yield] = ACTIONS(1134),
    [anon_sym_synchronized] = ACTIONS(1134),
    [anon_sym_throw] = ACTIONS(1134),
    [anon_sym_try] = ACTIONS(1134),
    [anon_sym_if] = ACTIONS(1134),
    [anon_sym_for] = ACTIONS(1134),
    [anon_sym_AT] = ACTIONS(1134),
    [anon_sym_open] = ACTIONS(1134),
    [anon_sym_module] = ACTIONS(1134),
    [anon_sym_static] = ACTIONS(1134),
    [anon_sym_with] = ACTIONS(1134),
    [anon_sym_package] = ACTIONS(1134),
    [anon_sym_import] = ACTIONS(1134),
    [anon_sym_enum] = ACTIONS(1134),
    [anon_sym_public] = ACTIONS(1134),
    [anon_sym_protected] = ACTIONS(1134),
    [anon_sym_private] = ACTIONS(1134),
    [anon_sym_abstract] = ACTIONS(1134),
    [anon_sym_strictfp] = ACTIONS(1134),
    [anon_sym_native] = ACTIONS(1134),
    [anon_sym_transient] = ACTIONS(1134),
    [anon_sym_volatile] = ACTIONS(1134),
    [anon_sym_sealed] = ACTIONS(1134),
    [anon_sym_non_DASHsealed] = ACTIONS(1132),
    [anon_sym_record] = ACTIONS(1134),
    [anon_sym_ATinterface] = ACTIONS(1132),
    [anon_sym_interface] = ACTIONS(1134),
    [anon_sym_byte] = ACTIONS(1134),
    [anon_sym_short] = ACTIONS(1134),
    [anon_sym_int] = ACTIONS(1134),
    [anon_sym_long] = ACTIONS(1134),
    [anon_sym_char] = ACTIONS(1134),
    [anon_sym_float] = ACTIONS(1134),
    [anon_sym_double] = ACTIONS(1134),
    [sym_boolean_type] = ACTIONS(1134),
    [sym_void_type] = ACTIONS(1134),
    [anon_sym_def] = ACTIONS(1134),
    [sym_this] = ACTIONS(1134),
    [sym_super] = ACTIONS(1134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1132),
  },
  [445] = {
    [ts_builtin_sym_end] = ACTIONS(1181),
    [sym_identifier] = ACTIONS(1183),
    [sym_decimal_integer_literal] = ACTIONS(1183),
    [sym_hex_integer_literal] = ACTIONS(1183),
    [sym_octal_integer_literal] = ACTIONS(1183),
    [sym_binary_integer_literal] = ACTIONS(1181),
    [sym_decimal_floating_point_literal] = ACTIONS(1181),
    [sym_hex_floating_point_literal] = ACTIONS(1183),
    [sym_true] = ACTIONS(1183),
    [sym_false] = ACTIONS(1183),
    [sym_character_literal] = ACTIONS(1181),
    [anon_sym_DQUOTE] = ACTIONS(1183),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1181),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1181),
    [anon_sym_RBRACE] = ACTIONS(1181),
    [sym_null_literal] = ACTIONS(1183),
    [anon_sym_LPAREN] = ACTIONS(1181),
    [anon_sym_AMP] = ACTIONS(1183),
    [anon_sym_GT] = ACTIONS(1183),
    [anon_sym_LT] = ACTIONS(1183),
    [anon_sym_GT_EQ] = ACTIONS(1181),
    [anon_sym_LT_EQ] = ACTIONS(1181),
    [anon_sym_EQ_EQ] = ACTIONS(1181),
    [anon_sym_BANG_EQ] = ACTIONS(1181),
    [anon_sym_AMP_AMP] = ACTIONS(1181),
    [anon_sym_PIPE_PIPE] = ACTIONS(1181),
    [anon_sym_PLUS] = ACTIONS(1183),
    [anon_sym_DASH] = ACTIONS(1183),
    [anon_sym_STAR] = ACTIONS(1183),
    [anon_sym_SLASH] = ACTIONS(1183),
    [anon_sym_PIPE] = ACTIONS(1183),
    [anon_sym_CARET] = ACTIONS(1181),
    [anon_sym_PERCENT] = ACTIONS(1181),
    [anon_sym_LT_LT] = ACTIONS(1181),
    [anon_sym_GT_GT] = ACTIONS(1183),
    [anon_sym_GT_GT_GT] = ACTIONS(1181),
    [anon_sym_in] = ACTIONS(1183),
    [anon_sym_STAR_STAR] = ACTIONS(1181),
    [anon_sym_instanceof] = ACTIONS(1183),
    [anon_sym_final] = ACTIONS(1183),
    [anon_sym_DASH_GT] = ACTIONS(1181),
    [anon_sym_COMMA] = ACTIONS(1181),
    [anon_sym_QMARK] = ACTIONS(1181),
    [anon_sym_BANG] = ACTIONS(1183),
    [anon_sym_TILDE] = ACTIONS(1181),
    [anon_sym_PLUS_PLUS] = ACTIONS(1181),
    [anon_sym_DASH_DASH] = ACTIONS(1181),
    [anon_sym_new] = ACTIONS(1183),
    [anon_sym_LBRACK] = ACTIONS(1181),
    [anon_sym_DOT] = ACTIONS(1183),
    [anon_sym_class] = ACTIONS(1183),
    [anon_sym_COLON_COLON] = ACTIONS(1181),
    [anon_sym_switch] = ACTIONS(1183),
    [anon_sym_LBRACE] = ACTIONS(1181),
    [anon_sym_default] = ACTIONS(1183),
    [sym_underscore_pattern] = ACTIONS(1183),
    [anon_sym_SEMI] = ACTIONS(1181),
    [anon_sym_assert] = ACTIONS(1183),
    [anon_sym_do] = ACTIONS(1183),
    [anon_sym_while] = ACTIONS(1183),
    [anon_sym_break] = ACTIONS(1183),
    [anon_sym_continue] = ACTIONS(1183),
    [anon_sym_return] = ACTIONS(1183),
    [anon_sym_yield] = ACTIONS(1183),
    [anon_sym_synchronized] = ACTIONS(1183),
    [anon_sym_throw] = ACTIONS(1183),
    [anon_sym_try] = ACTIONS(1183),
    [anon_sym_if] = ACTIONS(1183),
    [anon_sym_for] = ACTIONS(1183),
    [anon_sym_AT] = ACTIONS(1183),
    [anon_sym_open] = ACTIONS(1183),
    [anon_sym_module] = ACTIONS(1183),
    [anon_sym_static] = ACTIONS(1183),
    [anon_sym_with] = ACTIONS(1183),
    [anon_sym_package] = ACTIONS(1183),
    [anon_sym_import] = ACTIONS(1183),
    [anon_sym_enum] = ACTIONS(1183),
    [anon_sym_public] = ACTIONS(1183),
    [anon_sym_protected] = ACTIONS(1183),
    [anon_sym_private] = ACTIONS(1183),
    [anon_sym_abstract] = ACTIONS(1183),
    [anon_sym_strictfp] = ACTIONS(1183),
    [anon_sym_native] = ACTIONS(1183),
    [anon_sym_transient] = ACTIONS(1183),
    [anon_sym_volatile] = ACTIONS(1183),
    [anon_sym_sealed] = ACTIONS(1183),
    [anon_sym_non_DASHsealed] = ACTIONS(1181),
    [anon_sym_record] = ACTIONS(1183),
    [anon_sym_ATinterface] = ACTIONS(1181),
    [anon_sym_interface] = ACTIONS(1183),
    [anon_sym_byte] = ACTIONS(1183),
    [anon_sym_short] = ACTIONS(1183),
    [anon_sym_int] = ACTIONS(1183),
    [anon_sym_long] = ACTIONS(1183),
    [anon_sym_char] = ACTIONS(1183),
    [anon_sym_float] = ACTIONS(1183),
    [anon_sym_double] = ACTIONS(1183),
    [sym_boolean_type] = ACTIONS(1183),
    [sym_void_type] = ACTIONS(1183),
    [anon_sym_def] = ACTIONS(1183),
    [sym_this] = ACTIONS(1183),
    [sym_super] = ACTIONS(1183),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1181),
  },
  [446] = {
    [ts_builtin_sym_end] = ACTIONS(1185),
    [sym_identifier] = ACTIONS(1187),
    [sym_decimal_integer_literal] = ACTIONS(1187),
    [sym_hex_integer_literal] = ACTIONS(1187),
    [sym_octal_integer_literal] = ACTIONS(1187),
    [sym_binary_integer_literal] = ACTIONS(1185),
    [sym_decimal_floating_point_literal] = ACTIONS(1185),
    [sym_hex_floating_point_literal] = ACTIONS(1187),
    [sym_true] = ACTIONS(1187),
    [sym_false] = ACTIONS(1187),
    [sym_character_literal] = ACTIONS(1185),
    [anon_sym_DQUOTE] = ACTIONS(1187),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1185),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1185),
    [anon_sym_RBRACE] = ACTIONS(1185),
    [sym_null_literal] = ACTIONS(1187),
    [anon_sym_LPAREN] = ACTIONS(1185),
    [anon_sym_AMP] = ACTIONS(1187),
    [anon_sym_GT] = ACTIONS(1187),
    [anon_sym_LT] = ACTIONS(1187),
    [anon_sym_GT_EQ] = ACTIONS(1185),
    [anon_sym_LT_EQ] = ACTIONS(1185),
    [anon_sym_EQ_EQ] = ACTIONS(1185),
    [anon_sym_BANG_EQ] = ACTIONS(1185),
    [anon_sym_AMP_AMP] = ACTIONS(1185),
    [anon_sym_PIPE_PIPE] = ACTIONS(1185),
    [anon_sym_PLUS] = ACTIONS(1187),
    [anon_sym_DASH] = ACTIONS(1187),
    [anon_sym_STAR] = ACTIONS(1187),
    [anon_sym_SLASH] = ACTIONS(1187),
    [anon_sym_PIPE] = ACTIONS(1187),
    [anon_sym_CARET] = ACTIONS(1185),
    [anon_sym_PERCENT] = ACTIONS(1185),
    [anon_sym_LT_LT] = ACTIONS(1185),
    [anon_sym_GT_GT] = ACTIONS(1187),
    [anon_sym_GT_GT_GT] = ACTIONS(1185),
    [anon_sym_in] = ACTIONS(1187),
    [anon_sym_STAR_STAR] = ACTIONS(1185),
    [anon_sym_instanceof] = ACTIONS(1187),
    [anon_sym_final] = ACTIONS(1187),
    [anon_sym_DASH_GT] = ACTIONS(1185),
    [anon_sym_COMMA] = ACTIONS(1185),
    [anon_sym_QMARK] = ACTIONS(1185),
    [anon_sym_BANG] = ACTIONS(1187),
    [anon_sym_TILDE] = ACTIONS(1185),
    [anon_sym_PLUS_PLUS] = ACTIONS(1185),
    [anon_sym_DASH_DASH] = ACTIONS(1185),
    [anon_sym_new] = ACTIONS(1187),
    [anon_sym_LBRACK] = ACTIONS(1185),
    [anon_sym_DOT] = ACTIONS(1187),
    [anon_sym_class] = ACTIONS(1187),
    [anon_sym_COLON_COLON] = ACTIONS(1185),
    [anon_sym_switch] = ACTIONS(1187),
    [anon_sym_LBRACE] = ACTIONS(1185),
    [anon_sym_default] = ACTIONS(1187),
    [sym_underscore_pattern] = ACTIONS(1187),
    [anon_sym_SEMI] = ACTIONS(1185),
    [anon_sym_assert] = ACTIONS(1187),
    [anon_sym_do] = ACTIONS(1187),
    [anon_sym_while] = ACTIONS(1187),
    [anon_sym_break] = ACTIONS(1187),
    [anon_sym_continue] = ACTIONS(1187),
    [anon_sym_return] = ACTIONS(1187),
    [anon_sym_yield] = ACTIONS(1187),
    [anon_sym_synchronized] = ACTIONS(1187),
    [anon_sym_throw] = ACTIONS(1187),
    [anon_sym_try] = ACTIONS(1187),
    [anon_sym_if] = ACTIONS(1187),
    [anon_sym_for] = ACTIONS(1187),
    [anon_sym_AT] = ACTIONS(1187),
    [anon_sym_open] = ACTIONS(1187),
    [anon_sym_module] = ACTIONS(1187),
    [anon_sym_static] = ACTIONS(1187),
    [anon_sym_with] = ACTIONS(1187),
    [anon_sym_package] = ACTIONS(1187),
    [anon_sym_import] = ACTIONS(1187),
    [anon_sym_enum] = ACTIONS(1187),
    [anon_sym_public] = ACTIONS(1187),
    [anon_sym_protected] = ACTIONS(1187),
    [anon_sym_private] = ACTIONS(1187),
    [anon_sym_abstract] = ACTIONS(1187),
    [anon_sym_strictfp] = ACTIONS(1187),
    [anon_sym_native] = ACTIONS(1187),
    [anon_sym_transient] = ACTIONS(1187),
    [anon_sym_volatile] = ACTIONS(1187),
    [anon_sym_sealed] = ACTIONS(1187),
    [anon_sym_non_DASHsealed] = ACTIONS(1185),
    [anon_sym_record] = ACTIONS(1187),
    [anon_sym_ATinterface] = ACTIONS(1185),
    [anon_sym_interface] = ACTIONS(1187),
    [anon_sym_byte] = ACTIONS(1187),
    [anon_sym_short] = ACTIONS(1187),
    [anon_sym_int] = ACTIONS(1187),
    [anon_sym_long] = ACTIONS(1187),
    [anon_sym_char] = ACTIONS(1187),
    [anon_sym_float] = ACTIONS(1187),
    [anon_sym_double] = ACTIONS(1187),
    [sym_boolean_type] = ACTIONS(1187),
    [sym_void_type] = ACTIONS(1187),
    [anon_sym_def] = ACTIONS(1187),
    [sym_this] = ACTIONS(1187),
    [sym_super] = ACTIONS(1187),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1185),
  },
  [447] = {
    [ts_builtin_sym_end] = ACTIONS(1327),
    [sym_identifier] = ACTIONS(1329),
    [sym_decimal_integer_literal] = ACTIONS(1329),
    [sym_hex_integer_literal] = ACTIONS(1329),
    [sym_octal_integer_literal] = ACTIONS(1329),
    [sym_binary_integer_literal] = ACTIONS(1327),
    [sym_decimal_floating_point_literal] = ACTIONS(1327),
    [sym_hex_floating_point_literal] = ACTIONS(1329),
    [sym_true] = ACTIONS(1329),
    [sym_false] = ACTIONS(1329),
    [sym_character_literal] = ACTIONS(1327),
    [anon_sym_DQUOTE] = ACTIONS(1329),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1327),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1327),
    [anon_sym_RBRACE] = ACTIONS(1327),
    [sym_null_literal] = ACTIONS(1329),
    [anon_sym_LPAREN] = ACTIONS(1327),
    [anon_sym_AMP] = ACTIONS(1329),
    [anon_sym_GT] = ACTIONS(1329),
    [anon_sym_LT] = ACTIONS(1329),
    [anon_sym_GT_EQ] = ACTIONS(1327),
    [anon_sym_LT_EQ] = ACTIONS(1327),
    [anon_sym_EQ_EQ] = ACTIONS(1327),
    [anon_sym_BANG_EQ] = ACTIONS(1327),
    [anon_sym_AMP_AMP] = ACTIONS(1327),
    [anon_sym_PIPE_PIPE] = ACTIONS(1327),
    [anon_sym_PLUS] = ACTIONS(1329),
    [anon_sym_DASH] = ACTIONS(1329),
    [anon_sym_STAR] = ACTIONS(1329),
    [anon_sym_SLASH] = ACTIONS(1329),
    [anon_sym_PIPE] = ACTIONS(1329),
    [anon_sym_CARET] = ACTIONS(1327),
    [anon_sym_PERCENT] = ACTIONS(1327),
    [anon_sym_LT_LT] = ACTIONS(1327),
    [anon_sym_GT_GT] = ACTIONS(1329),
    [anon_sym_GT_GT_GT] = ACTIONS(1327),
    [anon_sym_in] = ACTIONS(1329),
    [anon_sym_STAR_STAR] = ACTIONS(1327),
    [anon_sym_instanceof] = ACTIONS(1329),
    [anon_sym_final] = ACTIONS(1329),
    [anon_sym_DASH_GT] = ACTIONS(1327),
    [anon_sym_COMMA] = ACTIONS(1327),
    [anon_sym_QMARK] = ACTIONS(1327),
    [anon_sym_BANG] = ACTIONS(1329),
    [anon_sym_TILDE] = ACTIONS(1327),
    [anon_sym_PLUS_PLUS] = ACTIONS(1327),
    [anon_sym_DASH_DASH] = ACTIONS(1327),
    [anon_sym_new] = ACTIONS(1329),
    [anon_sym_LBRACK] = ACTIONS(1327),
    [anon_sym_DOT] = ACTIONS(1329),
    [anon_sym_class] = ACTIONS(1329),
    [anon_sym_COLON_COLON] = ACTIONS(1327),
    [anon_sym_switch] = ACTIONS(1329),
    [anon_sym_LBRACE] = ACTIONS(1327),
    [anon_sym_default] = ACTIONS(1329),
    [sym_underscore_pattern] = ACTIONS(1329),
    [anon_sym_SEMI] = ACTIONS(1327),
    [anon_sym_assert] = ACTIONS(1329),
    [anon_sym_do] = ACTIONS(1329),
    [anon_sym_while] = ACTIONS(1329),
    [anon_sym_break] = ACTIONS(1329),
    [anon_sym_continue] = ACTIONS(1329),
    [anon_sym_return] = ACTIONS(1329),
    [anon_sym_yield] = ACTIONS(1329),
    [anon_sym_synchronized] = ACTIONS(1329),
    [anon_sym_throw] = ACTIONS(1329),
    [anon_sym_try] = ACTIONS(1329),
    [anon_sym_if] = ACTIONS(1329),
    [anon_sym_for] = ACTIONS(1329),
    [anon_sym_AT] = ACTIONS(1329),
    [anon_sym_open] = ACTIONS(1329),
    [anon_sym_module] = ACTIONS(1329),
    [anon_sym_static] = ACTIONS(1329),
    [anon_sym_with] = ACTIONS(1329),
    [anon_sym_package] = ACTIONS(1329),
    [anon_sym_import] = ACTIONS(1329),
    [anon_sym_enum] = ACTIONS(1329),
    [anon_sym_public] = ACTIONS(1329),
    [anon_sym_protected] = ACTIONS(1329),
    [anon_sym_private] = ACTIONS(1329),
    [anon_sym_abstract] = ACTIONS(1329),
    [anon_sym_strictfp] = ACTIONS(1329),
    [anon_sym_native] = ACTIONS(1329),
    [anon_sym_transient] = ACTIONS(1329),
    [anon_sym_volatile] = ACTIONS(1329),
    [anon_sym_sealed] = ACTIONS(1329),
    [anon_sym_non_DASHsealed] = ACTIONS(1327),
    [anon_sym_record] = ACTIONS(1329),
    [anon_sym_ATinterface] = ACTIONS(1327),
    [anon_sym_interface] = ACTIONS(1329),
    [anon_sym_byte] = ACTIONS(1329),
    [anon_sym_short] = ACTIONS(1329),
    [anon_sym_int] = ACTIONS(1329),
    [anon_sym_long] = ACTIONS(1329),
    [anon_sym_char] = ACTIONS(1329),
    [anon_sym_float] = ACTIONS(1329),
    [anon_sym_double] = ACTIONS(1329),
    [sym_boolean_type] = ACTIONS(1329),
    [sym_void_type] = ACTIONS(1329),
    [anon_sym_def] = ACTIONS(1329),
    [sym_this] = ACTIONS(1329),
    [sym_super] = ACTIONS(1329),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1327),
  },
  [448] = {
    [ts_builtin_sym_end] = ACTIONS(1335),
    [sym_identifier] = ACTIONS(1337),
    [sym_decimal_integer_literal] = ACTIONS(1337),
    [sym_hex_integer_literal] = ACTIONS(1337),
    [sym_octal_integer_literal] = ACTIONS(1337),
    [sym_binary_integer_literal] = ACTIONS(1335),
    [sym_decimal_floating_point_literal] = ACTIONS(1335),
    [sym_hex_floating_point_literal] = ACTIONS(1337),
    [sym_true] = ACTIONS(1337),
    [sym_false] = ACTIONS(1337),
    [sym_character_literal] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1337),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1335),
    [anon_sym_RBRACE] = ACTIONS(1335),
    [sym_null_literal] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_AMP] = ACTIONS(1337),
    [anon_sym_GT] = ACTIONS(1337),
    [anon_sym_LT] = ACTIONS(1337),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1337),
    [anon_sym_DASH] = ACTIONS(1337),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_SLASH] = ACTIONS(1337),
    [anon_sym_PIPE] = ACTIONS(1337),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [anon_sym_LT_LT] = ACTIONS(1335),
    [anon_sym_GT_GT] = ACTIONS(1337),
    [anon_sym_GT_GT_GT] = ACTIONS(1335),
    [anon_sym_in] = ACTIONS(1337),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_instanceof] = ACTIONS(1337),
    [anon_sym_final] = ACTIONS(1337),
    [anon_sym_DASH_GT] = ACTIONS(1335),
    [anon_sym_COMMA] = ACTIONS(1335),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1337),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_PLUS_PLUS] = ACTIONS(1335),
    [anon_sym_DASH_DASH] = ACTIONS(1335),
    [anon_sym_new] = ACTIONS(1337),
    [anon_sym_LBRACK] = ACTIONS(1335),
    [anon_sym_DOT] = ACTIONS(1616),
    [anon_sym_class] = ACTIONS(1337),
    [anon_sym_COLON_COLON] = ACTIONS(1618),
    [anon_sym_switch] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(1335),
    [anon_sym_default] = ACTIONS(1337),
    [sym_underscore_pattern] = ACTIONS(1337),
    [anon_sym_SEMI] = ACTIONS(1335),
    [anon_sym_assert] = ACTIONS(1337),
    [anon_sym_do] = ACTIONS(1337),
    [anon_sym_while] = ACTIONS(1337),
    [anon_sym_break] = ACTIONS(1337),
    [anon_sym_continue] = ACTIONS(1337),
    [anon_sym_return] = ACTIONS(1337),
    [anon_sym_yield] = ACTIONS(1337),
    [anon_sym_synchronized] = ACTIONS(1337),
    [anon_sym_throw] = ACTIONS(1337),
    [anon_sym_try] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1337),
    [anon_sym_for] = ACTIONS(1337),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_module] = ACTIONS(1337),
    [anon_sym_static] = ACTIONS(1337),
    [anon_sym_with] = ACTIONS(1337),
    [anon_sym_package] = ACTIONS(1337),
    [anon_sym_import] = ACTIONS(1337),
    [anon_sym_enum] = ACTIONS(1337),
    [anon_sym_public] = ACTIONS(1337),
    [anon_sym_protected] = ACTIONS(1337),
    [anon_sym_private] = ACTIONS(1337),
    [anon_sym_abstract] = ACTIONS(1337),
    [anon_sym_strictfp] = ACTIONS(1337),
    [anon_sym_native] = ACTIONS(1337),
    [anon_sym_transient] = ACTIONS(1337),
    [anon_sym_volatile] = ACTIONS(1337),
    [anon_sym_sealed] = ACTIONS(1337),
    [anon_sym_non_DASHsealed] = ACTIONS(1335),
    [anon_sym_record] = ACTIONS(1337),
    [anon_sym_ATinterface] = ACTIONS(1335),
    [anon_sym_interface] = ACTIONS(1337),
    [anon_sym_byte] = ACTIONS(1337),
    [anon_sym_short] = ACTIONS(1337),
    [anon_sym_int] = ACTIONS(1337),
    [anon_sym_long] = ACTIONS(1337),
    [anon_sym_char] = ACTIONS(1337),
    [anon_sym_float] = ACTIONS(1337),
    [anon_sym_double] = ACTIONS(1337),
    [sym_boolean_type] = ACTIONS(1337),
    [sym_void_type] = ACTIONS(1337),
    [anon_sym_def] = ACTIONS(1337),
    [sym_this] = ACTIONS(1337),
    [sym_super] = ACTIONS(1337),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1335),
  },
  [449] = {
    [ts_builtin_sym_end] = ACTIONS(1331),
    [sym_identifier] = ACTIONS(1333),
    [sym_decimal_integer_literal] = ACTIONS(1333),
    [sym_hex_integer_literal] = ACTIONS(1333),
    [sym_octal_integer_literal] = ACTIONS(1333),
    [sym_binary_integer_literal] = ACTIONS(1331),
    [sym_decimal_floating_point_literal] = ACTIONS(1331),
    [sym_hex_floating_point_literal] = ACTIONS(1333),
    [sym_true] = ACTIONS(1333),
    [sym_false] = ACTIONS(1333),
    [sym_character_literal] = ACTIONS(1331),
    [anon_sym_DQUOTE] = ACTIONS(1333),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1331),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1331),
    [anon_sym_RBRACE] = ACTIONS(1331),
    [sym_null_literal] = ACTIONS(1333),
    [anon_sym_LPAREN] = ACTIONS(1331),
    [anon_sym_AMP] = ACTIONS(1333),
    [anon_sym_GT] = ACTIONS(1333),
    [anon_sym_LT] = ACTIONS(1333),
    [anon_sym_GT_EQ] = ACTIONS(1331),
    [anon_sym_LT_EQ] = ACTIONS(1331),
    [anon_sym_EQ_EQ] = ACTIONS(1331),
    [anon_sym_BANG_EQ] = ACTIONS(1331),
    [anon_sym_AMP_AMP] = ACTIONS(1331),
    [anon_sym_PIPE_PIPE] = ACTIONS(1331),
    [anon_sym_PLUS] = ACTIONS(1333),
    [anon_sym_DASH] = ACTIONS(1333),
    [anon_sym_STAR] = ACTIONS(1333),
    [anon_sym_SLASH] = ACTIONS(1333),
    [anon_sym_PIPE] = ACTIONS(1333),
    [anon_sym_CARET] = ACTIONS(1331),
    [anon_sym_PERCENT] = ACTIONS(1331),
    [anon_sym_LT_LT] = ACTIONS(1331),
    [anon_sym_GT_GT] = ACTIONS(1333),
    [anon_sym_GT_GT_GT] = ACTIONS(1331),
    [anon_sym_in] = ACTIONS(1333),
    [anon_sym_STAR_STAR] = ACTIONS(1331),
    [anon_sym_instanceof] = ACTIONS(1333),
    [anon_sym_final] = ACTIONS(1333),
    [anon_sym_DASH_GT] = ACTIONS(1331),
    [anon_sym_COMMA] = ACTIONS(1331),
    [anon_sym_QMARK] = ACTIONS(1331),
    [anon_sym_BANG] = ACTIONS(1333),
    [anon_sym_TILDE] = ACTIONS(1331),
    [anon_sym_PLUS_PLUS] = ACTIONS(1331),
    [anon_sym_DASH_DASH] = ACTIONS(1331),
    [anon_sym_new] = ACTIONS(1333),
    [anon_sym_LBRACK] = ACTIONS(1331),
    [anon_sym_DOT] = ACTIONS(1333),
    [anon_sym_class] = ACTIONS(1333),
    [anon_sym_COLON_COLON] = ACTIONS(1331),
    [anon_sym_switch] = ACTIONS(1333),
    [anon_sym_LBRACE] = ACTIONS(1331),
    [anon_sym_default] = ACTIONS(1333),
    [sym_underscore_pattern] = ACTIONS(1333),
    [anon_sym_SEMI] = ACTIONS(1331),
    [anon_sym_assert] = ACTIONS(1333),
    [anon_sym_do] = ACTIONS(1333),
    [anon_sym_while] = ACTIONS(1333),
    [anon_sym_break] = ACTIONS(1333),
    [anon_sym_continue] = ACTIONS(1333),
    [anon_sym_return] = ACTIONS(1333),
    [anon_sym_yield] = ACTIONS(1333),
    [anon_sym_synchronized] = ACTIONS(1333),
    [anon_sym_throw] = ACTIONS(1333),
    [anon_sym_try] = ACTIONS(1333),
    [anon_sym_if] = ACTIONS(1333),
    [anon_sym_for] = ACTIONS(1333),
    [anon_sym_AT] = ACTIONS(1333),
    [anon_sym_open] = ACTIONS(1333),
    [anon_sym_module] = ACTIONS(1333),
    [anon_sym_static] = ACTIONS(1333),
    [anon_sym_with] = ACTIONS(1333),
    [anon_sym_package] = ACTIONS(1333),
    [anon_sym_import] = ACTIONS(1333),
    [anon_sym_enum] = ACTIONS(1333),
    [anon_sym_public] = ACTIONS(1333),
    [anon_sym_protected] = ACTIONS(1333),
    [anon_sym_private] = ACTIONS(1333),
    [anon_sym_abstract] = ACTIONS(1333),
    [anon_sym_strictfp] = ACTIONS(1333),
    [anon_sym_native] = ACTIONS(1333),
    [anon_sym_transient] = ACTIONS(1333),
    [anon_sym_volatile] = ACTIONS(1333),
    [anon_sym_sealed] = ACTIONS(1333),
    [anon_sym_non_DASHsealed] = ACTIONS(1331),
    [anon_sym_record] = ACTIONS(1333),
    [anon_sym_ATinterface] = ACTIONS(1331),
    [anon_sym_interface] = ACTIONS(1333),
    [anon_sym_byte] = ACTIONS(1333),
    [anon_sym_short] = ACTIONS(1333),
    [anon_sym_int] = ACTIONS(1333),
    [anon_sym_long] = ACTIONS(1333),
    [anon_sym_char] = ACTIONS(1333),
    [anon_sym_float] = ACTIONS(1333),
    [anon_sym_double] = ACTIONS(1333),
    [sym_boolean_type] = ACTIONS(1333),
    [sym_void_type] = ACTIONS(1333),
    [anon_sym_def] = ACTIONS(1333),
    [sym_this] = ACTIONS(1333),
    [sym_super] = ACTIONS(1333),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1331),
  },
  [450] = {
    [ts_builtin_sym_end] = ACTIONS(1112),
    [sym_identifier] = ACTIONS(1114),
    [sym_decimal_integer_literal] = ACTIONS(1114),
    [sym_hex_integer_literal] = ACTIONS(1114),
    [sym_octal_integer_literal] = ACTIONS(1114),
    [sym_binary_integer_literal] = ACTIONS(1112),
    [sym_decimal_floating_point_literal] = ACTIONS(1112),
    [sym_hex_floating_point_literal] = ACTIONS(1114),
    [sym_true] = ACTIONS(1114),
    [sym_false] = ACTIONS(1114),
    [sym_character_literal] = ACTIONS(1112),
    [anon_sym_DQUOTE] = ACTIONS(1114),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1112),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1112),
    [anon_sym_RBRACE] = ACTIONS(1112),
    [sym_null_literal] = ACTIONS(1114),
    [anon_sym_LPAREN] = ACTIONS(1112),
    [anon_sym_AMP] = ACTIONS(1114),
    [anon_sym_GT] = ACTIONS(1114),
    [anon_sym_LT] = ACTIONS(1114),
    [anon_sym_GT_EQ] = ACTIONS(1112),
    [anon_sym_LT_EQ] = ACTIONS(1112),
    [anon_sym_EQ_EQ] = ACTIONS(1112),
    [anon_sym_BANG_EQ] = ACTIONS(1112),
    [anon_sym_AMP_AMP] = ACTIONS(1112),
    [anon_sym_PIPE_PIPE] = ACTIONS(1112),
    [anon_sym_PLUS] = ACTIONS(1114),
    [anon_sym_DASH] = ACTIONS(1114),
    [anon_sym_STAR] = ACTIONS(1114),
    [anon_sym_SLASH] = ACTIONS(1114),
    [anon_sym_PIPE] = ACTIONS(1114),
    [anon_sym_CARET] = ACTIONS(1112),
    [anon_sym_PERCENT] = ACTIONS(1112),
    [anon_sym_LT_LT] = ACTIONS(1112),
    [anon_sym_GT_GT] = ACTIONS(1114),
    [anon_sym_GT_GT_GT] = ACTIONS(1112),
    [anon_sym_in] = ACTIONS(1114),
    [anon_sym_STAR_STAR] = ACTIONS(1112),
    [anon_sym_instanceof] = ACTIONS(1114),
    [anon_sym_final] = ACTIONS(1114),
    [anon_sym_DASH_GT] = ACTIONS(1112),
    [anon_sym_COMMA] = ACTIONS(1112),
    [anon_sym_QMARK] = ACTIONS(1112),
    [anon_sym_BANG] = ACTIONS(1114),
    [anon_sym_TILDE] = ACTIONS(1112),
    [anon_sym_PLUS_PLUS] = ACTIONS(1112),
    [anon_sym_DASH_DASH] = ACTIONS(1112),
    [anon_sym_new] = ACTIONS(1114),
    [anon_sym_LBRACK] = ACTIONS(1112),
    [anon_sym_DOT] = ACTIONS(1114),
    [anon_sym_class] = ACTIONS(1114),
    [anon_sym_COLON_COLON] = ACTIONS(1112),
    [anon_sym_switch] = ACTIONS(1114),
    [anon_sym_LBRACE] = ACTIONS(1112),
    [anon_sym_default] = ACTIONS(1114),
    [sym_underscore_pattern] = ACTIONS(1114),
    [anon_sym_SEMI] = ACTIONS(1112),
    [anon_sym_assert] = ACTIONS(1114),
    [anon_sym_do] = ACTIONS(1114),
    [anon_sym_while] = ACTIONS(1114),
    [anon_sym_break] = ACTIONS(1114),
    [anon_sym_continue] = ACTIONS(1114),
    [anon_sym_return] = ACTIONS(1114),
    [anon_sym_yield] = ACTIONS(1114),
    [anon_sym_synchronized] = ACTIONS(1114),
    [anon_sym_throw] = ACTIONS(1114),
    [anon_sym_try] = ACTIONS(1114),
    [anon_sym_if] = ACTIONS(1114),
    [anon_sym_for] = ACTIONS(1114),
    [anon_sym_AT] = ACTIONS(1114),
    [anon_sym_open] = ACTIONS(1114),
    [anon_sym_module] = ACTIONS(1114),
    [anon_sym_static] = ACTIONS(1114),
    [anon_sym_with] = ACTIONS(1114),
    [anon_sym_package] = ACTIONS(1114),
    [anon_sym_import] = ACTIONS(1114),
    [anon_sym_enum] = ACTIONS(1114),
    [anon_sym_public] = ACTIONS(1114),
    [anon_sym_protected] = ACTIONS(1114),
    [anon_sym_private] = ACTIONS(1114),
    [anon_sym_abstract] = ACTIONS(1114),
    [anon_sym_strictfp] = ACTIONS(1114),
    [anon_sym_native] = ACTIONS(1114),
    [anon_sym_transient] = ACTIONS(1114),
    [anon_sym_volatile] = ACTIONS(1114),
    [anon_sym_sealed] = ACTIONS(1114),
    [anon_sym_non_DASHsealed] = ACTIONS(1112),
    [anon_sym_record] = ACTIONS(1114),
    [anon_sym_ATinterface] = ACTIONS(1112),
    [anon_sym_interface] = ACTIONS(1114),
    [anon_sym_byte] = ACTIONS(1114),
    [anon_sym_short] = ACTIONS(1114),
    [anon_sym_int] = ACTIONS(1114),
    [anon_sym_long] = ACTIONS(1114),
    [anon_sym_char] = ACTIONS(1114),
    [anon_sym_float] = ACTIONS(1114),
    [anon_sym_double] = ACTIONS(1114),
    [sym_boolean_type] = ACTIONS(1114),
    [sym_void_type] = ACTIONS(1114),
    [anon_sym_def] = ACTIONS(1114),
    [sym_this] = ACTIONS(1114),
    [sym_super] = ACTIONS(1114),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1112),
  },
  [451] = {
    [ts_builtin_sym_end] = ACTIONS(1231),
    [sym_identifier] = ACTIONS(1233),
    [sym_decimal_integer_literal] = ACTIONS(1233),
    [sym_hex_integer_literal] = ACTIONS(1233),
    [sym_octal_integer_literal] = ACTIONS(1233),
    [sym_binary_integer_literal] = ACTIONS(1231),
    [sym_decimal_floating_point_literal] = ACTIONS(1231),
    [sym_hex_floating_point_literal] = ACTIONS(1233),
    [sym_true] = ACTIONS(1233),
    [sym_false] = ACTIONS(1233),
    [sym_character_literal] = ACTIONS(1231),
    [anon_sym_DQUOTE] = ACTIONS(1233),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1231),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1231),
    [anon_sym_RBRACE] = ACTIONS(1231),
    [sym_null_literal] = ACTIONS(1233),
    [anon_sym_LPAREN] = ACTIONS(1231),
    [anon_sym_AMP] = ACTIONS(1233),
    [anon_sym_GT] = ACTIONS(1233),
    [anon_sym_LT] = ACTIONS(1233),
    [anon_sym_GT_EQ] = ACTIONS(1231),
    [anon_sym_LT_EQ] = ACTIONS(1231),
    [anon_sym_EQ_EQ] = ACTIONS(1231),
    [anon_sym_BANG_EQ] = ACTIONS(1231),
    [anon_sym_AMP_AMP] = ACTIONS(1231),
    [anon_sym_PIPE_PIPE] = ACTIONS(1231),
    [anon_sym_PLUS] = ACTIONS(1233),
    [anon_sym_DASH] = ACTIONS(1233),
    [anon_sym_STAR] = ACTIONS(1233),
    [anon_sym_SLASH] = ACTIONS(1233),
    [anon_sym_PIPE] = ACTIONS(1233),
    [anon_sym_CARET] = ACTIONS(1231),
    [anon_sym_PERCENT] = ACTIONS(1231),
    [anon_sym_LT_LT] = ACTIONS(1231),
    [anon_sym_GT_GT] = ACTIONS(1233),
    [anon_sym_GT_GT_GT] = ACTIONS(1231),
    [anon_sym_in] = ACTIONS(1233),
    [anon_sym_STAR_STAR] = ACTIONS(1231),
    [anon_sym_instanceof] = ACTIONS(1233),
    [anon_sym_final] = ACTIONS(1233),
    [anon_sym_DASH_GT] = ACTIONS(1231),
    [anon_sym_COMMA] = ACTIONS(1231),
    [anon_sym_QMARK] = ACTIONS(1231),
    [anon_sym_BANG] = ACTIONS(1233),
    [anon_sym_TILDE] = ACTIONS(1231),
    [anon_sym_PLUS_PLUS] = ACTIONS(1231),
    [anon_sym_DASH_DASH] = ACTIONS(1231),
    [anon_sym_new] = ACTIONS(1233),
    [anon_sym_LBRACK] = ACTIONS(1231),
    [anon_sym_DOT] = ACTIONS(1233),
    [anon_sym_class] = ACTIONS(1233),
    [anon_sym_COLON_COLON] = ACTIONS(1231),
    [anon_sym_switch] = ACTIONS(1233),
    [anon_sym_LBRACE] = ACTIONS(1231),
    [anon_sym_default] = ACTIONS(1233),
    [sym_underscore_pattern] = ACTIONS(1233),
    [anon_sym_SEMI] = ACTIONS(1231),
    [anon_sym_assert] = ACTIONS(1233),
    [anon_sym_do] = ACTIONS(1233),
    [anon_sym_while] = ACTIONS(1233),
    [anon_sym_break] = ACTIONS(1233),
    [anon_sym_continue] = ACTIONS(1233),
    [anon_sym_return] = ACTIONS(1233),
    [anon_sym_yield] = ACTIONS(1233),
    [anon_sym_synchronized] = ACTIONS(1233),
    [anon_sym_throw] = ACTIONS(1233),
    [anon_sym_try] = ACTIONS(1233),
    [anon_sym_if] = ACTIONS(1233),
    [anon_sym_for] = ACTIONS(1233),
    [anon_sym_AT] = ACTIONS(1233),
    [anon_sym_open] = ACTIONS(1233),
    [anon_sym_module] = ACTIONS(1233),
    [anon_sym_static] = ACTIONS(1233),
    [anon_sym_with] = ACTIONS(1233),
    [anon_sym_package] = ACTIONS(1233),
    [anon_sym_import] = ACTIONS(1233),
    [anon_sym_enum] = ACTIONS(1233),
    [anon_sym_public] = ACTIONS(1233),
    [anon_sym_protected] = ACTIONS(1233),
    [anon_sym_private] = ACTIONS(1233),
    [anon_sym_abstract] = ACTIONS(1233),
    [anon_sym_strictfp] = ACTIONS(1233),
    [anon_sym_native] = ACTIONS(1233),
    [anon_sym_transient] = ACTIONS(1233),
    [anon_sym_volatile] = ACTIONS(1233),
    [anon_sym_sealed] = ACTIONS(1233),
    [anon_sym_non_DASHsealed] = ACTIONS(1231),
    [anon_sym_record] = ACTIONS(1233),
    [anon_sym_ATinterface] = ACTIONS(1231),
    [anon_sym_interface] = ACTIONS(1233),
    [anon_sym_byte] = ACTIONS(1233),
    [anon_sym_short] = ACTIONS(1233),
    [anon_sym_int] = ACTIONS(1233),
    [anon_sym_long] = ACTIONS(1233),
    [anon_sym_char] = ACTIONS(1233),
    [anon_sym_float] = ACTIONS(1233),
    [anon_sym_double] = ACTIONS(1233),
    [sym_boolean_type] = ACTIONS(1233),
    [sym_void_type] = ACTIONS(1233),
    [anon_sym_def] = ACTIONS(1233),
    [sym_this] = ACTIONS(1233),
    [sym_super] = ACTIONS(1233),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1231),
  },
  [452] = {
    [ts_builtin_sym_end] = ACTIONS(1251),
    [sym_identifier] = ACTIONS(1253),
    [sym_decimal_integer_literal] = ACTIONS(1253),
    [sym_hex_integer_literal] = ACTIONS(1253),
    [sym_octal_integer_literal] = ACTIONS(1253),
    [sym_binary_integer_literal] = ACTIONS(1251),
    [sym_decimal_floating_point_literal] = ACTIONS(1251),
    [sym_hex_floating_point_literal] = ACTIONS(1253),
    [sym_true] = ACTIONS(1253),
    [sym_false] = ACTIONS(1253),
    [sym_character_literal] = ACTIONS(1251),
    [anon_sym_DQUOTE] = ACTIONS(1253),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1251),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1251),
    [anon_sym_RBRACE] = ACTIONS(1251),
    [sym_null_literal] = ACTIONS(1253),
    [anon_sym_LPAREN] = ACTIONS(1251),
    [anon_sym_AMP] = ACTIONS(1253),
    [anon_sym_GT] = ACTIONS(1253),
    [anon_sym_LT] = ACTIONS(1253),
    [anon_sym_GT_EQ] = ACTIONS(1251),
    [anon_sym_LT_EQ] = ACTIONS(1251),
    [anon_sym_EQ_EQ] = ACTIONS(1251),
    [anon_sym_BANG_EQ] = ACTIONS(1251),
    [anon_sym_AMP_AMP] = ACTIONS(1251),
    [anon_sym_PIPE_PIPE] = ACTIONS(1251),
    [anon_sym_PLUS] = ACTIONS(1253),
    [anon_sym_DASH] = ACTIONS(1253),
    [anon_sym_STAR] = ACTIONS(1253),
    [anon_sym_SLASH] = ACTIONS(1253),
    [anon_sym_PIPE] = ACTIONS(1253),
    [anon_sym_CARET] = ACTIONS(1251),
    [anon_sym_PERCENT] = ACTIONS(1251),
    [anon_sym_LT_LT] = ACTIONS(1251),
    [anon_sym_GT_GT] = ACTIONS(1253),
    [anon_sym_GT_GT_GT] = ACTIONS(1251),
    [anon_sym_in] = ACTIONS(1253),
    [anon_sym_STAR_STAR] = ACTIONS(1251),
    [anon_sym_instanceof] = ACTIONS(1253),
    [anon_sym_final] = ACTIONS(1253),
    [anon_sym_DASH_GT] = ACTIONS(1251),
    [anon_sym_COMMA] = ACTIONS(1251),
    [anon_sym_QMARK] = ACTIONS(1251),
    [anon_sym_BANG] = ACTIONS(1253),
    [anon_sym_TILDE] = ACTIONS(1251),
    [anon_sym_PLUS_PLUS] = ACTIONS(1251),
    [anon_sym_DASH_DASH] = ACTIONS(1251),
    [anon_sym_new] = ACTIONS(1253),
    [anon_sym_LBRACK] = ACTIONS(1251),
    [anon_sym_DOT] = ACTIONS(1253),
    [anon_sym_class] = ACTIONS(1253),
    [anon_sym_COLON_COLON] = ACTIONS(1251),
    [anon_sym_switch] = ACTIONS(1253),
    [anon_sym_LBRACE] = ACTIONS(1251),
    [anon_sym_default] = ACTIONS(1253),
    [sym_underscore_pattern] = ACTIONS(1253),
    [anon_sym_SEMI] = ACTIONS(1251),
    [anon_sym_assert] = ACTIONS(1253),
    [anon_sym_do] = ACTIONS(1253),
    [anon_sym_while] = ACTIONS(1253),
    [anon_sym_break] = ACTIONS(1253),
    [anon_sym_continue] = ACTIONS(1253),
    [anon_sym_return] = ACTIONS(1253),
    [anon_sym_yield] = ACTIONS(1253),
    [anon_sym_synchronized] = ACTIONS(1253),
    [anon_sym_throw] = ACTIONS(1253),
    [anon_sym_try] = ACTIONS(1253),
    [anon_sym_if] = ACTIONS(1253),
    [anon_sym_for] = ACTIONS(1253),
    [anon_sym_AT] = ACTIONS(1253),
    [anon_sym_open] = ACTIONS(1253),
    [anon_sym_module] = ACTIONS(1253),
    [anon_sym_static] = ACTIONS(1253),
    [anon_sym_with] = ACTIONS(1253),
    [anon_sym_package] = ACTIONS(1253),
    [anon_sym_import] = ACTIONS(1253),
    [anon_sym_enum] = ACTIONS(1253),
    [anon_sym_public] = ACTIONS(1253),
    [anon_sym_protected] = ACTIONS(1253),
    [anon_sym_private] = ACTIONS(1253),
    [anon_sym_abstract] = ACTIONS(1253),
    [anon_sym_strictfp] = ACTIONS(1253),
    [anon_sym_native] = ACTIONS(1253),
    [anon_sym_transient] = ACTIONS(1253),
    [anon_sym_volatile] = ACTIONS(1253),
    [anon_sym_sealed] = ACTIONS(1253),
    [anon_sym_non_DASHsealed] = ACTIONS(1251),
    [anon_sym_record] = ACTIONS(1253),
    [anon_sym_ATinterface] = ACTIONS(1251),
    [anon_sym_interface] = ACTIONS(1253),
    [anon_sym_byte] = ACTIONS(1253),
    [anon_sym_short] = ACTIONS(1253),
    [anon_sym_int] = ACTIONS(1253),
    [anon_sym_long] = ACTIONS(1253),
    [anon_sym_char] = ACTIONS(1253),
    [anon_sym_float] = ACTIONS(1253),
    [anon_sym_double] = ACTIONS(1253),
    [sym_boolean_type] = ACTIONS(1253),
    [sym_void_type] = ACTIONS(1253),
    [anon_sym_def] = ACTIONS(1253),
    [sym_this] = ACTIONS(1253),
    [sym_super] = ACTIONS(1253),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1251),
  },
  [453] = {
    [ts_builtin_sym_end] = ACTIONS(1247),
    [sym_identifier] = ACTIONS(1249),
    [sym_decimal_integer_literal] = ACTIONS(1249),
    [sym_hex_integer_literal] = ACTIONS(1249),
    [sym_octal_integer_literal] = ACTIONS(1249),
    [sym_binary_integer_literal] = ACTIONS(1247),
    [sym_decimal_floating_point_literal] = ACTIONS(1247),
    [sym_hex_floating_point_literal] = ACTIONS(1249),
    [sym_true] = ACTIONS(1249),
    [sym_false] = ACTIONS(1249),
    [sym_character_literal] = ACTIONS(1247),
    [anon_sym_DQUOTE] = ACTIONS(1249),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1247),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1247),
    [anon_sym_RBRACE] = ACTIONS(1247),
    [sym_null_literal] = ACTIONS(1249),
    [anon_sym_LPAREN] = ACTIONS(1247),
    [anon_sym_AMP] = ACTIONS(1249),
    [anon_sym_GT] = ACTIONS(1249),
    [anon_sym_LT] = ACTIONS(1249),
    [anon_sym_GT_EQ] = ACTIONS(1247),
    [anon_sym_LT_EQ] = ACTIONS(1247),
    [anon_sym_EQ_EQ] = ACTIONS(1247),
    [anon_sym_BANG_EQ] = ACTIONS(1247),
    [anon_sym_AMP_AMP] = ACTIONS(1247),
    [anon_sym_PIPE_PIPE] = ACTIONS(1247),
    [anon_sym_PLUS] = ACTIONS(1249),
    [anon_sym_DASH] = ACTIONS(1249),
    [anon_sym_STAR] = ACTIONS(1249),
    [anon_sym_SLASH] = ACTIONS(1249),
    [anon_sym_PIPE] = ACTIONS(1249),
    [anon_sym_CARET] = ACTIONS(1247),
    [anon_sym_PERCENT] = ACTIONS(1247),
    [anon_sym_LT_LT] = ACTIONS(1247),
    [anon_sym_GT_GT] = ACTIONS(1249),
    [anon_sym_GT_GT_GT] = ACTIONS(1247),
    [anon_sym_in] = ACTIONS(1249),
    [anon_sym_STAR_STAR] = ACTIONS(1247),
    [anon_sym_instanceof] = ACTIONS(1249),
    [anon_sym_final] = ACTIONS(1249),
    [anon_sym_DASH_GT] = ACTIONS(1247),
    [anon_sym_COMMA] = ACTIONS(1247),
    [anon_sym_QMARK] = ACTIONS(1247),
    [anon_sym_BANG] = ACTIONS(1249),
    [anon_sym_TILDE] = ACTIONS(1247),
    [anon_sym_PLUS_PLUS] = ACTIONS(1247),
    [anon_sym_DASH_DASH] = ACTIONS(1247),
    [anon_sym_new] = ACTIONS(1249),
    [anon_sym_LBRACK] = ACTIONS(1247),
    [anon_sym_DOT] = ACTIONS(1249),
    [anon_sym_class] = ACTIONS(1249),
    [anon_sym_COLON_COLON] = ACTIONS(1247),
    [anon_sym_switch] = ACTIONS(1249),
    [anon_sym_LBRACE] = ACTIONS(1247),
    [anon_sym_default] = ACTIONS(1249),
    [sym_underscore_pattern] = ACTIONS(1249),
    [anon_sym_SEMI] = ACTIONS(1247),
    [anon_sym_assert] = ACTIONS(1249),
    [anon_sym_do] = ACTIONS(1249),
    [anon_sym_while] = ACTIONS(1249),
    [anon_sym_break] = ACTIONS(1249),
    [anon_sym_continue] = ACTIONS(1249),
    [anon_sym_return] = ACTIONS(1249),
    [anon_sym_yield] = ACTIONS(1249),
    [anon_sym_synchronized] = ACTIONS(1249),
    [anon_sym_throw] = ACTIONS(1249),
    [anon_sym_try] = ACTIONS(1249),
    [anon_sym_if] = ACTIONS(1249),
    [anon_sym_for] = ACTIONS(1249),
    [anon_sym_AT] = ACTIONS(1249),
    [anon_sym_open] = ACTIONS(1249),
    [anon_sym_module] = ACTIONS(1249),
    [anon_sym_static] = ACTIONS(1249),
    [anon_sym_with] = ACTIONS(1249),
    [anon_sym_package] = ACTIONS(1249),
    [anon_sym_import] = ACTIONS(1249),
    [anon_sym_enum] = ACTIONS(1249),
    [anon_sym_public] = ACTIONS(1249),
    [anon_sym_protected] = ACTIONS(1249),
    [anon_sym_private] = ACTIONS(1249),
    [anon_sym_abstract] = ACTIONS(1249),
    [anon_sym_strictfp] = ACTIONS(1249),
    [anon_sym_native] = ACTIONS(1249),
    [anon_sym_transient] = ACTIONS(1249),
    [anon_sym_volatile] = ACTIONS(1249),
    [anon_sym_sealed] = ACTIONS(1249),
    [anon_sym_non_DASHsealed] = ACTIONS(1247),
    [anon_sym_record] = ACTIONS(1249),
    [anon_sym_ATinterface] = ACTIONS(1247),
    [anon_sym_interface] = ACTIONS(1249),
    [anon_sym_byte] = ACTIONS(1249),
    [anon_sym_short] = ACTIONS(1249),
    [anon_sym_int] = ACTIONS(1249),
    [anon_sym_long] = ACTIONS(1249),
    [anon_sym_char] = ACTIONS(1249),
    [anon_sym_float] = ACTIONS(1249),
    [anon_sym_double] = ACTIONS(1249),
    [sym_boolean_type] = ACTIONS(1249),
    [sym_void_type] = ACTIONS(1249),
    [anon_sym_def] = ACTIONS(1249),
    [sym_this] = ACTIONS(1249),
    [sym_super] = ACTIONS(1249),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1247),
  },
  [454] = {
    [ts_builtin_sym_end] = ACTIONS(1259),
    [sym_identifier] = ACTIONS(1261),
    [sym_decimal_integer_literal] = ACTIONS(1261),
    [sym_hex_integer_literal] = ACTIONS(1261),
    [sym_octal_integer_literal] = ACTIONS(1261),
    [sym_binary_integer_literal] = ACTIONS(1259),
    [sym_decimal_floating_point_literal] = ACTIONS(1259),
    [sym_hex_floating_point_literal] = ACTIONS(1261),
    [sym_true] = ACTIONS(1261),
    [sym_false] = ACTIONS(1261),
    [sym_character_literal] = ACTIONS(1259),
    [anon_sym_DQUOTE] = ACTIONS(1261),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1259),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1259),
    [anon_sym_RBRACE] = ACTIONS(1259),
    [sym_null_literal] = ACTIONS(1261),
    [anon_sym_LPAREN] = ACTIONS(1259),
    [anon_sym_AMP] = ACTIONS(1261),
    [anon_sym_GT] = ACTIONS(1261),
    [anon_sym_LT] = ACTIONS(1261),
    [anon_sym_GT_EQ] = ACTIONS(1259),
    [anon_sym_LT_EQ] = ACTIONS(1259),
    [anon_sym_EQ_EQ] = ACTIONS(1259),
    [anon_sym_BANG_EQ] = ACTIONS(1259),
    [anon_sym_AMP_AMP] = ACTIONS(1259),
    [anon_sym_PIPE_PIPE] = ACTIONS(1259),
    [anon_sym_PLUS] = ACTIONS(1261),
    [anon_sym_DASH] = ACTIONS(1261),
    [anon_sym_STAR] = ACTIONS(1261),
    [anon_sym_SLASH] = ACTIONS(1261),
    [anon_sym_PIPE] = ACTIONS(1261),
    [anon_sym_CARET] = ACTIONS(1259),
    [anon_sym_PERCENT] = ACTIONS(1259),
    [anon_sym_LT_LT] = ACTIONS(1259),
    [anon_sym_GT_GT] = ACTIONS(1261),
    [anon_sym_GT_GT_GT] = ACTIONS(1259),
    [anon_sym_in] = ACTIONS(1261),
    [anon_sym_STAR_STAR] = ACTIONS(1259),
    [anon_sym_instanceof] = ACTIONS(1261),
    [anon_sym_final] = ACTIONS(1261),
    [anon_sym_DASH_GT] = ACTIONS(1259),
    [anon_sym_COMMA] = ACTIONS(1259),
    [anon_sym_QMARK] = ACTIONS(1259),
    [anon_sym_BANG] = ACTIONS(1261),
    [anon_sym_TILDE] = ACTIONS(1259),
    [anon_sym_PLUS_PLUS] = ACTIONS(1259),
    [anon_sym_DASH_DASH] = ACTIONS(1259),
    [anon_sym_new] = ACTIONS(1261),
    [anon_sym_LBRACK] = ACTIONS(1259),
    [anon_sym_DOT] = ACTIONS(1261),
    [anon_sym_class] = ACTIONS(1261),
    [anon_sym_COLON_COLON] = ACTIONS(1259),
    [anon_sym_switch] = ACTIONS(1261),
    [anon_sym_LBRACE] = ACTIONS(1259),
    [anon_sym_default] = ACTIONS(1261),
    [sym_underscore_pattern] = ACTIONS(1261),
    [anon_sym_SEMI] = ACTIONS(1259),
    [anon_sym_assert] = ACTIONS(1261),
    [anon_sym_do] = ACTIONS(1261),
    [anon_sym_while] = ACTIONS(1261),
    [anon_sym_break] = ACTIONS(1261),
    [anon_sym_continue] = ACTIONS(1261),
    [anon_sym_return] = ACTIONS(1261),
    [anon_sym_yield] = ACTIONS(1261),
    [anon_sym_synchronized] = ACTIONS(1261),
    [anon_sym_throw] = ACTIONS(1261),
    [anon_sym_try] = ACTIONS(1261),
    [anon_sym_if] = ACTIONS(1261),
    [anon_sym_for] = ACTIONS(1261),
    [anon_sym_AT] = ACTIONS(1261),
    [anon_sym_open] = ACTIONS(1261),
    [anon_sym_module] = ACTIONS(1261),
    [anon_sym_static] = ACTIONS(1261),
    [anon_sym_with] = ACTIONS(1261),
    [anon_sym_package] = ACTIONS(1261),
    [anon_sym_import] = ACTIONS(1261),
    [anon_sym_enum] = ACTIONS(1261),
    [anon_sym_public] = ACTIONS(1261),
    [anon_sym_protected] = ACTIONS(1261),
    [anon_sym_private] = ACTIONS(1261),
    [anon_sym_abstract] = ACTIONS(1261),
    [anon_sym_strictfp] = ACTIONS(1261),
    [anon_sym_native] = ACTIONS(1261),
    [anon_sym_transient] = ACTIONS(1261),
    [anon_sym_volatile] = ACTIONS(1261),
    [anon_sym_sealed] = ACTIONS(1261),
    [anon_sym_non_DASHsealed] = ACTIONS(1259),
    [anon_sym_record] = ACTIONS(1261),
    [anon_sym_ATinterface] = ACTIONS(1259),
    [anon_sym_interface] = ACTIONS(1261),
    [anon_sym_byte] = ACTIONS(1261),
    [anon_sym_short] = ACTIONS(1261),
    [anon_sym_int] = ACTIONS(1261),
    [anon_sym_long] = ACTIONS(1261),
    [anon_sym_char] = ACTIONS(1261),
    [anon_sym_float] = ACTIONS(1261),
    [anon_sym_double] = ACTIONS(1261),
    [sym_boolean_type] = ACTIONS(1261),
    [sym_void_type] = ACTIONS(1261),
    [anon_sym_def] = ACTIONS(1261),
    [sym_this] = ACTIONS(1261),
    [sym_super] = ACTIONS(1261),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1259),
  },
  [455] = {
    [ts_builtin_sym_end] = ACTIONS(1299),
    [sym_identifier] = ACTIONS(1301),
    [sym_decimal_integer_literal] = ACTIONS(1301),
    [sym_hex_integer_literal] = ACTIONS(1301),
    [sym_octal_integer_literal] = ACTIONS(1301),
    [sym_binary_integer_literal] = ACTIONS(1299),
    [sym_decimal_floating_point_literal] = ACTIONS(1299),
    [sym_hex_floating_point_literal] = ACTIONS(1301),
    [sym_true] = ACTIONS(1301),
    [sym_false] = ACTIONS(1301),
    [sym_character_literal] = ACTIONS(1299),
    [anon_sym_DQUOTE] = ACTIONS(1301),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1299),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1299),
    [anon_sym_RBRACE] = ACTIONS(1299),
    [sym_null_literal] = ACTIONS(1301),
    [anon_sym_LPAREN] = ACTIONS(1299),
    [anon_sym_AMP] = ACTIONS(1301),
    [anon_sym_GT] = ACTIONS(1301),
    [anon_sym_LT] = ACTIONS(1301),
    [anon_sym_GT_EQ] = ACTIONS(1299),
    [anon_sym_LT_EQ] = ACTIONS(1299),
    [anon_sym_EQ_EQ] = ACTIONS(1299),
    [anon_sym_BANG_EQ] = ACTIONS(1299),
    [anon_sym_AMP_AMP] = ACTIONS(1299),
    [anon_sym_PIPE_PIPE] = ACTIONS(1299),
    [anon_sym_PLUS] = ACTIONS(1301),
    [anon_sym_DASH] = ACTIONS(1301),
    [anon_sym_STAR] = ACTIONS(1301),
    [anon_sym_SLASH] = ACTIONS(1301),
    [anon_sym_PIPE] = ACTIONS(1301),
    [anon_sym_CARET] = ACTIONS(1299),
    [anon_sym_PERCENT] = ACTIONS(1299),
    [anon_sym_LT_LT] = ACTIONS(1299),
    [anon_sym_GT_GT] = ACTIONS(1301),
    [anon_sym_GT_GT_GT] = ACTIONS(1299),
    [anon_sym_in] = ACTIONS(1301),
    [anon_sym_STAR_STAR] = ACTIONS(1299),
    [anon_sym_instanceof] = ACTIONS(1301),
    [anon_sym_final] = ACTIONS(1301),
    [anon_sym_DASH_GT] = ACTIONS(1299),
    [anon_sym_COMMA] = ACTIONS(1299),
    [anon_sym_QMARK] = ACTIONS(1299),
    [anon_sym_BANG] = ACTIONS(1301),
    [anon_sym_TILDE] = ACTIONS(1299),
    [anon_sym_PLUS_PLUS] = ACTIONS(1299),
    [anon_sym_DASH_DASH] = ACTIONS(1299),
    [anon_sym_new] = ACTIONS(1301),
    [anon_sym_LBRACK] = ACTIONS(1299),
    [anon_sym_DOT] = ACTIONS(1301),
    [anon_sym_class] = ACTIONS(1301),
    [anon_sym_COLON_COLON] = ACTIONS(1299),
    [anon_sym_switch] = ACTIONS(1301),
    [anon_sym_LBRACE] = ACTIONS(1299),
    [anon_sym_default] = ACTIONS(1301),
    [sym_underscore_pattern] = ACTIONS(1301),
    [anon_sym_SEMI] = ACTIONS(1299),
    [anon_sym_assert] = ACTIONS(1301),
    [anon_sym_do] = ACTIONS(1301),
    [anon_sym_while] = ACTIONS(1301),
    [anon_sym_break] = ACTIONS(1301),
    [anon_sym_continue] = ACTIONS(1301),
    [anon_sym_return] = ACTIONS(1301),
    [anon_sym_yield] = ACTIONS(1301),
    [anon_sym_synchronized] = ACTIONS(1301),
    [anon_sym_throw] = ACTIONS(1301),
    [anon_sym_try] = ACTIONS(1301),
    [anon_sym_if] = ACTIONS(1301),
    [anon_sym_for] = ACTIONS(1301),
    [anon_sym_AT] = ACTIONS(1301),
    [anon_sym_open] = ACTIONS(1301),
    [anon_sym_module] = ACTIONS(1301),
    [anon_sym_static] = ACTIONS(1301),
    [anon_sym_with] = ACTIONS(1301),
    [anon_sym_package] = ACTIONS(1301),
    [anon_sym_import] = ACTIONS(1301),
    [anon_sym_enum] = ACTIONS(1301),
    [anon_sym_public] = ACTIONS(1301),
    [anon_sym_protected] = ACTIONS(1301),
    [anon_sym_private] = ACTIONS(1301),
    [anon_sym_abstract] = ACTIONS(1301),
    [anon_sym_strictfp] = ACTIONS(1301),
    [anon_sym_native] = ACTIONS(1301),
    [anon_sym_transient] = ACTIONS(1301),
    [anon_sym_volatile] = ACTIONS(1301),
    [anon_sym_sealed] = ACTIONS(1301),
    [anon_sym_non_DASHsealed] = ACTIONS(1299),
    [anon_sym_record] = ACTIONS(1301),
    [anon_sym_ATinterface] = ACTIONS(1299),
    [anon_sym_interface] = ACTIONS(1301),
    [anon_sym_byte] = ACTIONS(1301),
    [anon_sym_short] = ACTIONS(1301),
    [anon_sym_int] = ACTIONS(1301),
    [anon_sym_long] = ACTIONS(1301),
    [anon_sym_char] = ACTIONS(1301),
    [anon_sym_float] = ACTIONS(1301),
    [anon_sym_double] = ACTIONS(1301),
    [sym_boolean_type] = ACTIONS(1301),
    [sym_void_type] = ACTIONS(1301),
    [anon_sym_def] = ACTIONS(1301),
    [sym_this] = ACTIONS(1301),
    [sym_super] = ACTIONS(1301),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1299),
  },
  [456] = {
    [ts_builtin_sym_end] = ACTIONS(1303),
    [sym_identifier] = ACTIONS(1305),
    [sym_decimal_integer_literal] = ACTIONS(1305),
    [sym_hex_integer_literal] = ACTIONS(1305),
    [sym_octal_integer_literal] = ACTIONS(1305),
    [sym_binary_integer_literal] = ACTIONS(1303),
    [sym_decimal_floating_point_literal] = ACTIONS(1303),
    [sym_hex_floating_point_literal] = ACTIONS(1305),
    [sym_true] = ACTIONS(1305),
    [sym_false] = ACTIONS(1305),
    [sym_character_literal] = ACTIONS(1303),
    [anon_sym_DQUOTE] = ACTIONS(1305),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1303),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1303),
    [anon_sym_RBRACE] = ACTIONS(1303),
    [sym_null_literal] = ACTIONS(1305),
    [anon_sym_LPAREN] = ACTIONS(1303),
    [anon_sym_AMP] = ACTIONS(1305),
    [anon_sym_GT] = ACTIONS(1305),
    [anon_sym_LT] = ACTIONS(1305),
    [anon_sym_GT_EQ] = ACTIONS(1303),
    [anon_sym_LT_EQ] = ACTIONS(1303),
    [anon_sym_EQ_EQ] = ACTIONS(1303),
    [anon_sym_BANG_EQ] = ACTIONS(1303),
    [anon_sym_AMP_AMP] = ACTIONS(1303),
    [anon_sym_PIPE_PIPE] = ACTIONS(1303),
    [anon_sym_PLUS] = ACTIONS(1305),
    [anon_sym_DASH] = ACTIONS(1305),
    [anon_sym_STAR] = ACTIONS(1305),
    [anon_sym_SLASH] = ACTIONS(1305),
    [anon_sym_PIPE] = ACTIONS(1305),
    [anon_sym_CARET] = ACTIONS(1303),
    [anon_sym_PERCENT] = ACTIONS(1303),
    [anon_sym_LT_LT] = ACTIONS(1303),
    [anon_sym_GT_GT] = ACTIONS(1305),
    [anon_sym_GT_GT_GT] = ACTIONS(1303),
    [anon_sym_in] = ACTIONS(1305),
    [anon_sym_STAR_STAR] = ACTIONS(1303),
    [anon_sym_instanceof] = ACTIONS(1305),
    [anon_sym_final] = ACTIONS(1305),
    [anon_sym_DASH_GT] = ACTIONS(1303),
    [anon_sym_COMMA] = ACTIONS(1303),
    [anon_sym_QMARK] = ACTIONS(1303),
    [anon_sym_BANG] = ACTIONS(1305),
    [anon_sym_TILDE] = ACTIONS(1303),
    [anon_sym_PLUS_PLUS] = ACTIONS(1303),
    [anon_sym_DASH_DASH] = ACTIONS(1303),
    [anon_sym_new] = ACTIONS(1305),
    [anon_sym_LBRACK] = ACTIONS(1303),
    [anon_sym_DOT] = ACTIONS(1305),
    [anon_sym_class] = ACTIONS(1305),
    [anon_sym_COLON_COLON] = ACTIONS(1303),
    [anon_sym_switch] = ACTIONS(1305),
    [anon_sym_LBRACE] = ACTIONS(1303),
    [anon_sym_default] = ACTIONS(1305),
    [sym_underscore_pattern] = ACTIONS(1305),
    [anon_sym_SEMI] = ACTIONS(1303),
    [anon_sym_assert] = ACTIONS(1305),
    [anon_sym_do] = ACTIONS(1305),
    [anon_sym_while] = ACTIONS(1305),
    [anon_sym_break] = ACTIONS(1305),
    [anon_sym_continue] = ACTIONS(1305),
    [anon_sym_return] = ACTIONS(1305),
    [anon_sym_yield] = ACTIONS(1305),
    [anon_sym_synchronized] = ACTIONS(1305),
    [anon_sym_throw] = ACTIONS(1305),
    [anon_sym_try] = ACTIONS(1305),
    [anon_sym_if] = ACTIONS(1305),
    [anon_sym_for] = ACTIONS(1305),
    [anon_sym_AT] = ACTIONS(1305),
    [anon_sym_open] = ACTIONS(1305),
    [anon_sym_module] = ACTIONS(1305),
    [anon_sym_static] = ACTIONS(1305),
    [anon_sym_with] = ACTIONS(1305),
    [anon_sym_package] = ACTIONS(1305),
    [anon_sym_import] = ACTIONS(1305),
    [anon_sym_enum] = ACTIONS(1305),
    [anon_sym_public] = ACTIONS(1305),
    [anon_sym_protected] = ACTIONS(1305),
    [anon_sym_private] = ACTIONS(1305),
    [anon_sym_abstract] = ACTIONS(1305),
    [anon_sym_strictfp] = ACTIONS(1305),
    [anon_sym_native] = ACTIONS(1305),
    [anon_sym_transient] = ACTIONS(1305),
    [anon_sym_volatile] = ACTIONS(1305),
    [anon_sym_sealed] = ACTIONS(1305),
    [anon_sym_non_DASHsealed] = ACTIONS(1303),
    [anon_sym_record] = ACTIONS(1305),
    [anon_sym_ATinterface] = ACTIONS(1303),
    [anon_sym_interface] = ACTIONS(1305),
    [anon_sym_byte] = ACTIONS(1305),
    [anon_sym_short] = ACTIONS(1305),
    [anon_sym_int] = ACTIONS(1305),
    [anon_sym_long] = ACTIONS(1305),
    [anon_sym_char] = ACTIONS(1305),
    [anon_sym_float] = ACTIONS(1305),
    [anon_sym_double] = ACTIONS(1305),
    [sym_boolean_type] = ACTIONS(1305),
    [sym_void_type] = ACTIONS(1305),
    [anon_sym_def] = ACTIONS(1305),
    [sym_this] = ACTIONS(1305),
    [sym_super] = ACTIONS(1305),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1303),
  },
  [457] = {
    [ts_builtin_sym_end] = ACTIONS(1307),
    [sym_identifier] = ACTIONS(1309),
    [sym_decimal_integer_literal] = ACTIONS(1309),
    [sym_hex_integer_literal] = ACTIONS(1309),
    [sym_octal_integer_literal] = ACTIONS(1309),
    [sym_binary_integer_literal] = ACTIONS(1307),
    [sym_decimal_floating_point_literal] = ACTIONS(1307),
    [sym_hex_floating_point_literal] = ACTIONS(1309),
    [sym_true] = ACTIONS(1309),
    [sym_false] = ACTIONS(1309),
    [sym_character_literal] = ACTIONS(1307),
    [anon_sym_DQUOTE] = ACTIONS(1309),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1307),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1307),
    [anon_sym_RBRACE] = ACTIONS(1307),
    [sym_null_literal] = ACTIONS(1309),
    [anon_sym_LPAREN] = ACTIONS(1307),
    [anon_sym_AMP] = ACTIONS(1309),
    [anon_sym_GT] = ACTIONS(1309),
    [anon_sym_LT] = ACTIONS(1309),
    [anon_sym_GT_EQ] = ACTIONS(1307),
    [anon_sym_LT_EQ] = ACTIONS(1307),
    [anon_sym_EQ_EQ] = ACTIONS(1307),
    [anon_sym_BANG_EQ] = ACTIONS(1307),
    [anon_sym_AMP_AMP] = ACTIONS(1307),
    [anon_sym_PIPE_PIPE] = ACTIONS(1307),
    [anon_sym_PLUS] = ACTIONS(1309),
    [anon_sym_DASH] = ACTIONS(1309),
    [anon_sym_STAR] = ACTIONS(1309),
    [anon_sym_SLASH] = ACTIONS(1309),
    [anon_sym_PIPE] = ACTIONS(1309),
    [anon_sym_CARET] = ACTIONS(1307),
    [anon_sym_PERCENT] = ACTIONS(1307),
    [anon_sym_LT_LT] = ACTIONS(1307),
    [anon_sym_GT_GT] = ACTIONS(1309),
    [anon_sym_GT_GT_GT] = ACTIONS(1307),
    [anon_sym_in] = ACTIONS(1309),
    [anon_sym_STAR_STAR] = ACTIONS(1307),
    [anon_sym_instanceof] = ACTIONS(1309),
    [anon_sym_final] = ACTIONS(1309),
    [anon_sym_DASH_GT] = ACTIONS(1307),
    [anon_sym_COMMA] = ACTIONS(1307),
    [anon_sym_QMARK] = ACTIONS(1307),
    [anon_sym_BANG] = ACTIONS(1309),
    [anon_sym_TILDE] = ACTIONS(1307),
    [anon_sym_PLUS_PLUS] = ACTIONS(1307),
    [anon_sym_DASH_DASH] = ACTIONS(1307),
    [anon_sym_new] = ACTIONS(1309),
    [anon_sym_LBRACK] = ACTIONS(1307),
    [anon_sym_DOT] = ACTIONS(1309),
    [anon_sym_class] = ACTIONS(1309),
    [anon_sym_COLON_COLON] = ACTIONS(1307),
    [anon_sym_switch] = ACTIONS(1309),
    [anon_sym_LBRACE] = ACTIONS(1307),
    [anon_sym_default] = ACTIONS(1309),
    [sym_underscore_pattern] = ACTIONS(1309),
    [anon_sym_SEMI] = ACTIONS(1307),
    [anon_sym_assert] = ACTIONS(1309),
    [anon_sym_do] = ACTIONS(1309),
    [anon_sym_while] = ACTIONS(1309),
    [anon_sym_break] = ACTIONS(1309),
    [anon_sym_continue] = ACTIONS(1309),
    [anon_sym_return] = ACTIONS(1309),
    [anon_sym_yield] = ACTIONS(1309),
    [anon_sym_synchronized] = ACTIONS(1309),
    [anon_sym_throw] = ACTIONS(1309),
    [anon_sym_try] = ACTIONS(1309),
    [anon_sym_if] = ACTIONS(1309),
    [anon_sym_for] = ACTIONS(1309),
    [anon_sym_AT] = ACTIONS(1309),
    [anon_sym_open] = ACTIONS(1309),
    [anon_sym_module] = ACTIONS(1309),
    [anon_sym_static] = ACTIONS(1309),
    [anon_sym_with] = ACTIONS(1309),
    [anon_sym_package] = ACTIONS(1309),
    [anon_sym_import] = ACTIONS(1309),
    [anon_sym_enum] = ACTIONS(1309),
    [anon_sym_public] = ACTIONS(1309),
    [anon_sym_protected] = ACTIONS(1309),
    [anon_sym_private] = ACTIONS(1309),
    [anon_sym_abstract] = ACTIONS(1309),
    [anon_sym_strictfp] = ACTIONS(1309),
    [anon_sym_native] = ACTIONS(1309),
    [anon_sym_transient] = ACTIONS(1309),
    [anon_sym_volatile] = ACTIONS(1309),
    [anon_sym_sealed] = ACTIONS(1309),
    [anon_sym_non_DASHsealed] = ACTIONS(1307),
    [anon_sym_record] = ACTIONS(1309),
    [anon_sym_ATinterface] = ACTIONS(1307),
    [anon_sym_interface] = ACTIONS(1309),
    [anon_sym_byte] = ACTIONS(1309),
    [anon_sym_short] = ACTIONS(1309),
    [anon_sym_int] = ACTIONS(1309),
    [anon_sym_long] = ACTIONS(1309),
    [anon_sym_char] = ACTIONS(1309),
    [anon_sym_float] = ACTIONS(1309),
    [anon_sym_double] = ACTIONS(1309),
    [sym_boolean_type] = ACTIONS(1309),
    [sym_void_type] = ACTIONS(1309),
    [anon_sym_def] = ACTIONS(1309),
    [sym_this] = ACTIONS(1309),
    [sym_super] = ACTIONS(1309),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1307),
  },
  [458] = {
    [ts_builtin_sym_end] = ACTIONS(1341),
    [sym_identifier] = ACTIONS(1343),
    [sym_decimal_integer_literal] = ACTIONS(1343),
    [sym_hex_integer_literal] = ACTIONS(1343),
    [sym_octal_integer_literal] = ACTIONS(1343),
    [sym_binary_integer_literal] = ACTIONS(1341),
    [sym_decimal_floating_point_literal] = ACTIONS(1341),
    [sym_hex_floating_point_literal] = ACTIONS(1343),
    [sym_true] = ACTIONS(1343),
    [sym_false] = ACTIONS(1343),
    [sym_character_literal] = ACTIONS(1341),
    [anon_sym_DQUOTE] = ACTIONS(1343),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1341),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1341),
    [anon_sym_RBRACE] = ACTIONS(1341),
    [sym_null_literal] = ACTIONS(1343),
    [anon_sym_LPAREN] = ACTIONS(1341),
    [anon_sym_AMP] = ACTIONS(1343),
    [anon_sym_GT] = ACTIONS(1343),
    [anon_sym_LT] = ACTIONS(1343),
    [anon_sym_GT_EQ] = ACTIONS(1341),
    [anon_sym_LT_EQ] = ACTIONS(1341),
    [anon_sym_EQ_EQ] = ACTIONS(1341),
    [anon_sym_BANG_EQ] = ACTIONS(1341),
    [anon_sym_AMP_AMP] = ACTIONS(1341),
    [anon_sym_PIPE_PIPE] = ACTIONS(1341),
    [anon_sym_PLUS] = ACTIONS(1343),
    [anon_sym_DASH] = ACTIONS(1343),
    [anon_sym_STAR] = ACTIONS(1343),
    [anon_sym_SLASH] = ACTIONS(1343),
    [anon_sym_PIPE] = ACTIONS(1343),
    [anon_sym_CARET] = ACTIONS(1341),
    [anon_sym_PERCENT] = ACTIONS(1341),
    [anon_sym_LT_LT] = ACTIONS(1341),
    [anon_sym_GT_GT] = ACTIONS(1343),
    [anon_sym_GT_GT_GT] = ACTIONS(1341),
    [anon_sym_in] = ACTIONS(1343),
    [anon_sym_STAR_STAR] = ACTIONS(1341),
    [anon_sym_instanceof] = ACTIONS(1343),
    [anon_sym_final] = ACTIONS(1343),
    [anon_sym_DASH_GT] = ACTIONS(1341),
    [anon_sym_COMMA] = ACTIONS(1341),
    [anon_sym_QMARK] = ACTIONS(1341),
    [anon_sym_BANG] = ACTIONS(1343),
    [anon_sym_TILDE] = ACTIONS(1341),
    [anon_sym_PLUS_PLUS] = ACTIONS(1341),
    [anon_sym_DASH_DASH] = ACTIONS(1341),
    [anon_sym_new] = ACTIONS(1343),
    [anon_sym_LBRACK] = ACTIONS(1341),
    [anon_sym_DOT] = ACTIONS(1343),
    [anon_sym_class] = ACTIONS(1343),
    [anon_sym_COLON_COLON] = ACTIONS(1341),
    [anon_sym_switch] = ACTIONS(1343),
    [anon_sym_LBRACE] = ACTIONS(1341),
    [anon_sym_default] = ACTIONS(1343),
    [sym_underscore_pattern] = ACTIONS(1343),
    [anon_sym_SEMI] = ACTIONS(1341),
    [anon_sym_assert] = ACTIONS(1343),
    [anon_sym_do] = ACTIONS(1343),
    [anon_sym_while] = ACTIONS(1343),
    [anon_sym_break] = ACTIONS(1343),
    [anon_sym_continue] = ACTIONS(1343),
    [anon_sym_return] = ACTIONS(1343),
    [anon_sym_yield] = ACTIONS(1343),
    [anon_sym_synchronized] = ACTIONS(1343),
    [anon_sym_throw] = ACTIONS(1343),
    [anon_sym_try] = ACTIONS(1343),
    [anon_sym_if] = ACTIONS(1343),
    [anon_sym_for] = ACTIONS(1343),
    [anon_sym_AT] = ACTIONS(1343),
    [anon_sym_open] = ACTIONS(1343),
    [anon_sym_module] = ACTIONS(1343),
    [anon_sym_static] = ACTIONS(1343),
    [anon_sym_with] = ACTIONS(1343),
    [anon_sym_package] = ACTIONS(1343),
    [anon_sym_import] = ACTIONS(1343),
    [anon_sym_enum] = ACTIONS(1343),
    [anon_sym_public] = ACTIONS(1343),
    [anon_sym_protected] = ACTIONS(1343),
    [anon_sym_private] = ACTIONS(1343),
    [anon_sym_abstract] = ACTIONS(1343),
    [anon_sym_strictfp] = ACTIONS(1343),
    [anon_sym_native] = ACTIONS(1343),
    [anon_sym_transient] = ACTIONS(1343),
    [anon_sym_volatile] = ACTIONS(1343),
    [anon_sym_sealed] = ACTIONS(1343),
    [anon_sym_non_DASHsealed] = ACTIONS(1341),
    [anon_sym_record] = ACTIONS(1343),
    [anon_sym_ATinterface] = ACTIONS(1341),
    [anon_sym_interface] = ACTIONS(1343),
    [anon_sym_byte] = ACTIONS(1343),
    [anon_sym_short] = ACTIONS(1343),
    [anon_sym_int] = ACTIONS(1343),
    [anon_sym_long] = ACTIONS(1343),
    [anon_sym_char] = ACTIONS(1343),
    [anon_sym_float] = ACTIONS(1343),
    [anon_sym_double] = ACTIONS(1343),
    [sym_boolean_type] = ACTIONS(1343),
    [sym_void_type] = ACTIONS(1343),
    [anon_sym_def] = ACTIONS(1343),
    [sym_this] = ACTIONS(1343),
    [sym_super] = ACTIONS(1343),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1341),
  },
  [459] = {
    [ts_builtin_sym_end] = ACTIONS(1255),
    [sym_identifier] = ACTIONS(1257),
    [sym_decimal_integer_literal] = ACTIONS(1257),
    [sym_hex_integer_literal] = ACTIONS(1257),
    [sym_octal_integer_literal] = ACTIONS(1257),
    [sym_binary_integer_literal] = ACTIONS(1255),
    [sym_decimal_floating_point_literal] = ACTIONS(1255),
    [sym_hex_floating_point_literal] = ACTIONS(1257),
    [sym_true] = ACTIONS(1257),
    [sym_false] = ACTIONS(1257),
    [sym_character_literal] = ACTIONS(1255),
    [anon_sym_DQUOTE] = ACTIONS(1257),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1255),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1255),
    [anon_sym_RBRACE] = ACTIONS(1255),
    [sym_null_literal] = ACTIONS(1257),
    [anon_sym_LPAREN] = ACTIONS(1255),
    [anon_sym_AMP] = ACTIONS(1257),
    [anon_sym_GT] = ACTIONS(1257),
    [anon_sym_LT] = ACTIONS(1257),
    [anon_sym_GT_EQ] = ACTIONS(1255),
    [anon_sym_LT_EQ] = ACTIONS(1255),
    [anon_sym_EQ_EQ] = ACTIONS(1255),
    [anon_sym_BANG_EQ] = ACTIONS(1255),
    [anon_sym_AMP_AMP] = ACTIONS(1255),
    [anon_sym_PIPE_PIPE] = ACTIONS(1255),
    [anon_sym_PLUS] = ACTIONS(1257),
    [anon_sym_DASH] = ACTIONS(1257),
    [anon_sym_STAR] = ACTIONS(1257),
    [anon_sym_SLASH] = ACTIONS(1257),
    [anon_sym_PIPE] = ACTIONS(1257),
    [anon_sym_CARET] = ACTIONS(1255),
    [anon_sym_PERCENT] = ACTIONS(1255),
    [anon_sym_LT_LT] = ACTIONS(1255),
    [anon_sym_GT_GT] = ACTIONS(1257),
    [anon_sym_GT_GT_GT] = ACTIONS(1255),
    [anon_sym_in] = ACTIONS(1257),
    [anon_sym_STAR_STAR] = ACTIONS(1255),
    [anon_sym_instanceof] = ACTIONS(1257),
    [anon_sym_final] = ACTIONS(1257),
    [anon_sym_DASH_GT] = ACTIONS(1255),
    [anon_sym_COMMA] = ACTIONS(1255),
    [anon_sym_QMARK] = ACTIONS(1255),
    [anon_sym_BANG] = ACTIONS(1257),
    [anon_sym_TILDE] = ACTIONS(1255),
    [anon_sym_PLUS_PLUS] = ACTIONS(1255),
    [anon_sym_DASH_DASH] = ACTIONS(1255),
    [anon_sym_new] = ACTIONS(1257),
    [anon_sym_LBRACK] = ACTIONS(1255),
    [anon_sym_DOT] = ACTIONS(1257),
    [anon_sym_class] = ACTIONS(1257),
    [anon_sym_COLON_COLON] = ACTIONS(1255),
    [anon_sym_switch] = ACTIONS(1257),
    [anon_sym_LBRACE] = ACTIONS(1255),
    [anon_sym_default] = ACTIONS(1257),
    [sym_underscore_pattern] = ACTIONS(1257),
    [anon_sym_SEMI] = ACTIONS(1255),
    [anon_sym_assert] = ACTIONS(1257),
    [anon_sym_do] = ACTIONS(1257),
    [anon_sym_while] = ACTIONS(1257),
    [anon_sym_break] = ACTIONS(1257),
    [anon_sym_continue] = ACTIONS(1257),
    [anon_sym_return] = ACTIONS(1257),
    [anon_sym_yield] = ACTIONS(1257),
    [anon_sym_synchronized] = ACTIONS(1257),
    [anon_sym_throw] = ACTIONS(1257),
    [anon_sym_try] = ACTIONS(1257),
    [anon_sym_if] = ACTIONS(1257),
    [anon_sym_for] = ACTIONS(1257),
    [anon_sym_AT] = ACTIONS(1257),
    [anon_sym_open] = ACTIONS(1257),
    [anon_sym_module] = ACTIONS(1257),
    [anon_sym_static] = ACTIONS(1257),
    [anon_sym_with] = ACTIONS(1257),
    [anon_sym_package] = ACTIONS(1257),
    [anon_sym_import] = ACTIONS(1257),
    [anon_sym_enum] = ACTIONS(1257),
    [anon_sym_public] = ACTIONS(1257),
    [anon_sym_protected] = ACTIONS(1257),
    [anon_sym_private] = ACTIONS(1257),
    [anon_sym_abstract] = ACTIONS(1257),
    [anon_sym_strictfp] = ACTIONS(1257),
    [anon_sym_native] = ACTIONS(1257),
    [anon_sym_transient] = ACTIONS(1257),
    [anon_sym_volatile] = ACTIONS(1257),
    [anon_sym_sealed] = ACTIONS(1257),
    [anon_sym_non_DASHsealed] = ACTIONS(1255),
    [anon_sym_record] = ACTIONS(1257),
    [anon_sym_ATinterface] = ACTIONS(1255),
    [anon_sym_interface] = ACTIONS(1257),
    [anon_sym_byte] = ACTIONS(1257),
    [anon_sym_short] = ACTIONS(1257),
    [anon_sym_int] = ACTIONS(1257),
    [anon_sym_long] = ACTIONS(1257),
    [anon_sym_char] = ACTIONS(1257),
    [anon_sym_float] = ACTIONS(1257),
    [anon_sym_double] = ACTIONS(1257),
    [sym_boolean_type] = ACTIONS(1257),
    [sym_void_type] = ACTIONS(1257),
    [anon_sym_def] = ACTIONS(1257),
    [sym_this] = ACTIONS(1257),
    [sym_super] = ACTIONS(1257),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1255),
  },
  [460] = {
    [ts_builtin_sym_end] = ACTIONS(1319),
    [sym_identifier] = ACTIONS(1321),
    [sym_decimal_integer_literal] = ACTIONS(1321),
    [sym_hex_integer_literal] = ACTIONS(1321),
    [sym_octal_integer_literal] = ACTIONS(1321),
    [sym_binary_integer_literal] = ACTIONS(1319),
    [sym_decimal_floating_point_literal] = ACTIONS(1319),
    [sym_hex_floating_point_literal] = ACTIONS(1321),
    [sym_true] = ACTIONS(1321),
    [sym_false] = ACTIONS(1321),
    [sym_character_literal] = ACTIONS(1319),
    [anon_sym_DQUOTE] = ACTIONS(1321),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1319),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1319),
    [anon_sym_RBRACE] = ACTIONS(1319),
    [sym_null_literal] = ACTIONS(1321),
    [anon_sym_LPAREN] = ACTIONS(1319),
    [anon_sym_AMP] = ACTIONS(1321),
    [anon_sym_GT] = ACTIONS(1321),
    [anon_sym_LT] = ACTIONS(1321),
    [anon_sym_GT_EQ] = ACTIONS(1319),
    [anon_sym_LT_EQ] = ACTIONS(1319),
    [anon_sym_EQ_EQ] = ACTIONS(1319),
    [anon_sym_BANG_EQ] = ACTIONS(1319),
    [anon_sym_AMP_AMP] = ACTIONS(1319),
    [anon_sym_PIPE_PIPE] = ACTIONS(1319),
    [anon_sym_PLUS] = ACTIONS(1321),
    [anon_sym_DASH] = ACTIONS(1321),
    [anon_sym_STAR] = ACTIONS(1321),
    [anon_sym_SLASH] = ACTIONS(1321),
    [anon_sym_PIPE] = ACTIONS(1321),
    [anon_sym_CARET] = ACTIONS(1319),
    [anon_sym_PERCENT] = ACTIONS(1319),
    [anon_sym_LT_LT] = ACTIONS(1319),
    [anon_sym_GT_GT] = ACTIONS(1321),
    [anon_sym_GT_GT_GT] = ACTIONS(1319),
    [anon_sym_in] = ACTIONS(1321),
    [anon_sym_STAR_STAR] = ACTIONS(1319),
    [anon_sym_instanceof] = ACTIONS(1321),
    [anon_sym_final] = ACTIONS(1321),
    [anon_sym_DASH_GT] = ACTIONS(1319),
    [anon_sym_COMMA] = ACTIONS(1319),
    [anon_sym_QMARK] = ACTIONS(1319),
    [anon_sym_BANG] = ACTIONS(1321),
    [anon_sym_TILDE] = ACTIONS(1319),
    [anon_sym_PLUS_PLUS] = ACTIONS(1319),
    [anon_sym_DASH_DASH] = ACTIONS(1319),
    [anon_sym_new] = ACTIONS(1321),
    [anon_sym_LBRACK] = ACTIONS(1319),
    [anon_sym_DOT] = ACTIONS(1321),
    [anon_sym_class] = ACTIONS(1321),
    [anon_sym_COLON_COLON] = ACTIONS(1319),
    [anon_sym_switch] = ACTIONS(1321),
    [anon_sym_LBRACE] = ACTIONS(1319),
    [anon_sym_default] = ACTIONS(1321),
    [sym_underscore_pattern] = ACTIONS(1321),
    [anon_sym_SEMI] = ACTIONS(1319),
    [anon_sym_assert] = ACTIONS(1321),
    [anon_sym_do] = ACTIONS(1321),
    [anon_sym_while] = ACTIONS(1321),
    [anon_sym_break] = ACTIONS(1321),
    [anon_sym_continue] = ACTIONS(1321),
    [anon_sym_return] = ACTIONS(1321),
    [anon_sym_yield] = ACTIONS(1321),
    [anon_sym_synchronized] = ACTIONS(1321),
    [anon_sym_throw] = ACTIONS(1321),
    [anon_sym_try] = ACTIONS(1321),
    [anon_sym_if] = ACTIONS(1321),
    [anon_sym_for] = ACTIONS(1321),
    [anon_sym_AT] = ACTIONS(1321),
    [anon_sym_open] = ACTIONS(1321),
    [anon_sym_module] = ACTIONS(1321),
    [anon_sym_static] = ACTIONS(1321),
    [anon_sym_with] = ACTIONS(1321),
    [anon_sym_package] = ACTIONS(1321),
    [anon_sym_import] = ACTIONS(1321),
    [anon_sym_enum] = ACTIONS(1321),
    [anon_sym_public] = ACTIONS(1321),
    [anon_sym_protected] = ACTIONS(1321),
    [anon_sym_private] = ACTIONS(1321),
    [anon_sym_abstract] = ACTIONS(1321),
    [anon_sym_strictfp] = ACTIONS(1321),
    [anon_sym_native] = ACTIONS(1321),
    [anon_sym_transient] = ACTIONS(1321),
    [anon_sym_volatile] = ACTIONS(1321),
    [anon_sym_sealed] = ACTIONS(1321),
    [anon_sym_non_DASHsealed] = ACTIONS(1319),
    [anon_sym_record] = ACTIONS(1321),
    [anon_sym_ATinterface] = ACTIONS(1319),
    [anon_sym_interface] = ACTIONS(1321),
    [anon_sym_byte] = ACTIONS(1321),
    [anon_sym_short] = ACTIONS(1321),
    [anon_sym_int] = ACTIONS(1321),
    [anon_sym_long] = ACTIONS(1321),
    [anon_sym_char] = ACTIONS(1321),
    [anon_sym_float] = ACTIONS(1321),
    [anon_sym_double] = ACTIONS(1321),
    [sym_boolean_type] = ACTIONS(1321),
    [sym_void_type] = ACTIONS(1321),
    [anon_sym_def] = ACTIONS(1321),
    [sym_this] = ACTIONS(1321),
    [sym_super] = ACTIONS(1321),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1319),
  },
  [461] = {
    [ts_builtin_sym_end] = ACTIONS(1263),
    [sym_identifier] = ACTIONS(1265),
    [sym_decimal_integer_literal] = ACTIONS(1265),
    [sym_hex_integer_literal] = ACTIONS(1265),
    [sym_octal_integer_literal] = ACTIONS(1265),
    [sym_binary_integer_literal] = ACTIONS(1263),
    [sym_decimal_floating_point_literal] = ACTIONS(1263),
    [sym_hex_floating_point_literal] = ACTIONS(1265),
    [sym_true] = ACTIONS(1265),
    [sym_false] = ACTIONS(1265),
    [sym_character_literal] = ACTIONS(1263),
    [anon_sym_DQUOTE] = ACTIONS(1265),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1263),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1263),
    [anon_sym_RBRACE] = ACTIONS(1263),
    [sym_null_literal] = ACTIONS(1265),
    [anon_sym_LPAREN] = ACTIONS(1263),
    [anon_sym_AMP] = ACTIONS(1265),
    [anon_sym_GT] = ACTIONS(1265),
    [anon_sym_LT] = ACTIONS(1265),
    [anon_sym_GT_EQ] = ACTIONS(1263),
    [anon_sym_LT_EQ] = ACTIONS(1263),
    [anon_sym_EQ_EQ] = ACTIONS(1263),
    [anon_sym_BANG_EQ] = ACTIONS(1263),
    [anon_sym_AMP_AMP] = ACTIONS(1263),
    [anon_sym_PIPE_PIPE] = ACTIONS(1263),
    [anon_sym_PLUS] = ACTIONS(1265),
    [anon_sym_DASH] = ACTIONS(1265),
    [anon_sym_STAR] = ACTIONS(1265),
    [anon_sym_SLASH] = ACTIONS(1265),
    [anon_sym_PIPE] = ACTIONS(1265),
    [anon_sym_CARET] = ACTIONS(1263),
    [anon_sym_PERCENT] = ACTIONS(1263),
    [anon_sym_LT_LT] = ACTIONS(1263),
    [anon_sym_GT_GT] = ACTIONS(1265),
    [anon_sym_GT_GT_GT] = ACTIONS(1263),
    [anon_sym_in] = ACTIONS(1265),
    [anon_sym_STAR_STAR] = ACTIONS(1263),
    [anon_sym_instanceof] = ACTIONS(1265),
    [anon_sym_final] = ACTIONS(1265),
    [anon_sym_DASH_GT] = ACTIONS(1263),
    [anon_sym_COMMA] = ACTIONS(1263),
    [anon_sym_QMARK] = ACTIONS(1263),
    [anon_sym_BANG] = ACTIONS(1265),
    [anon_sym_TILDE] = ACTIONS(1263),
    [anon_sym_PLUS_PLUS] = ACTIONS(1263),
    [anon_sym_DASH_DASH] = ACTIONS(1263),
    [anon_sym_new] = ACTIONS(1265),
    [anon_sym_LBRACK] = ACTIONS(1263),
    [anon_sym_DOT] = ACTIONS(1265),
    [anon_sym_class] = ACTIONS(1265),
    [anon_sym_COLON_COLON] = ACTIONS(1263),
    [anon_sym_switch] = ACTIONS(1265),
    [anon_sym_LBRACE] = ACTIONS(1263),
    [anon_sym_default] = ACTIONS(1265),
    [sym_underscore_pattern] = ACTIONS(1265),
    [anon_sym_SEMI] = ACTIONS(1263),
    [anon_sym_assert] = ACTIONS(1265),
    [anon_sym_do] = ACTIONS(1265),
    [anon_sym_while] = ACTIONS(1265),
    [anon_sym_break] = ACTIONS(1265),
    [anon_sym_continue] = ACTIONS(1265),
    [anon_sym_return] = ACTIONS(1265),
    [anon_sym_yield] = ACTIONS(1265),
    [anon_sym_synchronized] = ACTIONS(1265),
    [anon_sym_throw] = ACTIONS(1265),
    [anon_sym_try] = ACTIONS(1265),
    [anon_sym_if] = ACTIONS(1265),
    [anon_sym_for] = ACTIONS(1265),
    [anon_sym_AT] = ACTIONS(1265),
    [anon_sym_open] = ACTIONS(1265),
    [anon_sym_module] = ACTIONS(1265),
    [anon_sym_static] = ACTIONS(1265),
    [anon_sym_with] = ACTIONS(1265),
    [anon_sym_package] = ACTIONS(1265),
    [anon_sym_import] = ACTIONS(1265),
    [anon_sym_enum] = ACTIONS(1265),
    [anon_sym_public] = ACTIONS(1265),
    [anon_sym_protected] = ACTIONS(1265),
    [anon_sym_private] = ACTIONS(1265),
    [anon_sym_abstract] = ACTIONS(1265),
    [anon_sym_strictfp] = ACTIONS(1265),
    [anon_sym_native] = ACTIONS(1265),
    [anon_sym_transient] = ACTIONS(1265),
    [anon_sym_volatile] = ACTIONS(1265),
    [anon_sym_sealed] = ACTIONS(1265),
    [anon_sym_non_DASHsealed] = ACTIONS(1263),
    [anon_sym_record] = ACTIONS(1265),
    [anon_sym_ATinterface] = ACTIONS(1263),
    [anon_sym_interface] = ACTIONS(1265),
    [anon_sym_byte] = ACTIONS(1265),
    [anon_sym_short] = ACTIONS(1265),
    [anon_sym_int] = ACTIONS(1265),
    [anon_sym_long] = ACTIONS(1265),
    [anon_sym_char] = ACTIONS(1265),
    [anon_sym_float] = ACTIONS(1265),
    [anon_sym_double] = ACTIONS(1265),
    [sym_boolean_type] = ACTIONS(1265),
    [sym_void_type] = ACTIONS(1265),
    [anon_sym_def] = ACTIONS(1265),
    [sym_this] = ACTIONS(1265),
    [sym_super] = ACTIONS(1265),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1263),
  },
  [462] = {
    [ts_builtin_sym_end] = ACTIONS(1267),
    [sym_identifier] = ACTIONS(1269),
    [sym_decimal_integer_literal] = ACTIONS(1269),
    [sym_hex_integer_literal] = ACTIONS(1269),
    [sym_octal_integer_literal] = ACTIONS(1269),
    [sym_binary_integer_literal] = ACTIONS(1267),
    [sym_decimal_floating_point_literal] = ACTIONS(1267),
    [sym_hex_floating_point_literal] = ACTIONS(1269),
    [sym_true] = ACTIONS(1269),
    [sym_false] = ACTIONS(1269),
    [sym_character_literal] = ACTIONS(1267),
    [anon_sym_DQUOTE] = ACTIONS(1269),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1267),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1267),
    [anon_sym_RBRACE] = ACTIONS(1267),
    [sym_null_literal] = ACTIONS(1269),
    [anon_sym_LPAREN] = ACTIONS(1267),
    [anon_sym_AMP] = ACTIONS(1269),
    [anon_sym_GT] = ACTIONS(1269),
    [anon_sym_LT] = ACTIONS(1269),
    [anon_sym_GT_EQ] = ACTIONS(1267),
    [anon_sym_LT_EQ] = ACTIONS(1267),
    [anon_sym_EQ_EQ] = ACTIONS(1267),
    [anon_sym_BANG_EQ] = ACTIONS(1267),
    [anon_sym_AMP_AMP] = ACTIONS(1267),
    [anon_sym_PIPE_PIPE] = ACTIONS(1267),
    [anon_sym_PLUS] = ACTIONS(1269),
    [anon_sym_DASH] = ACTIONS(1269),
    [anon_sym_STAR] = ACTIONS(1269),
    [anon_sym_SLASH] = ACTIONS(1269),
    [anon_sym_PIPE] = ACTIONS(1269),
    [anon_sym_CARET] = ACTIONS(1267),
    [anon_sym_PERCENT] = ACTIONS(1267),
    [anon_sym_LT_LT] = ACTIONS(1267),
    [anon_sym_GT_GT] = ACTIONS(1269),
    [anon_sym_GT_GT_GT] = ACTIONS(1267),
    [anon_sym_in] = ACTIONS(1269),
    [anon_sym_STAR_STAR] = ACTIONS(1267),
    [anon_sym_instanceof] = ACTIONS(1269),
    [anon_sym_final] = ACTIONS(1269),
    [anon_sym_DASH_GT] = ACTIONS(1267),
    [anon_sym_COMMA] = ACTIONS(1267),
    [anon_sym_QMARK] = ACTIONS(1267),
    [anon_sym_BANG] = ACTIONS(1269),
    [anon_sym_TILDE] = ACTIONS(1267),
    [anon_sym_PLUS_PLUS] = ACTIONS(1267),
    [anon_sym_DASH_DASH] = ACTIONS(1267),
    [anon_sym_new] = ACTIONS(1269),
    [anon_sym_LBRACK] = ACTIONS(1267),
    [anon_sym_DOT] = ACTIONS(1269),
    [anon_sym_class] = ACTIONS(1269),
    [anon_sym_COLON_COLON] = ACTIONS(1267),
    [anon_sym_switch] = ACTIONS(1269),
    [anon_sym_LBRACE] = ACTIONS(1267),
    [anon_sym_default] = ACTIONS(1269),
    [sym_underscore_pattern] = ACTIONS(1269),
    [anon_sym_SEMI] = ACTIONS(1267),
    [anon_sym_assert] = ACTIONS(1269),
    [anon_sym_do] = ACTIONS(1269),
    [anon_sym_while] = ACTIONS(1269),
    [anon_sym_break] = ACTIONS(1269),
    [anon_sym_continue] = ACTIONS(1269),
    [anon_sym_return] = ACTIONS(1269),
    [anon_sym_yield] = ACTIONS(1269),
    [anon_sym_synchronized] = ACTIONS(1269),
    [anon_sym_throw] = ACTIONS(1269),
    [anon_sym_try] = ACTIONS(1269),
    [anon_sym_if] = ACTIONS(1269),
    [anon_sym_for] = ACTIONS(1269),
    [anon_sym_AT] = ACTIONS(1269),
    [anon_sym_open] = ACTIONS(1269),
    [anon_sym_module] = ACTIONS(1269),
    [anon_sym_static] = ACTIONS(1269),
    [anon_sym_with] = ACTIONS(1269),
    [anon_sym_package] = ACTIONS(1269),
    [anon_sym_import] = ACTIONS(1269),
    [anon_sym_enum] = ACTIONS(1269),
    [anon_sym_public] = ACTIONS(1269),
    [anon_sym_protected] = ACTIONS(1269),
    [anon_sym_private] = ACTIONS(1269),
    [anon_sym_abstract] = ACTIONS(1269),
    [anon_sym_strictfp] = ACTIONS(1269),
    [anon_sym_native] = ACTIONS(1269),
    [anon_sym_transient] = ACTIONS(1269),
    [anon_sym_volatile] = ACTIONS(1269),
    [anon_sym_sealed] = ACTIONS(1269),
    [anon_sym_non_DASHsealed] = ACTIONS(1267),
    [anon_sym_record] = ACTIONS(1269),
    [anon_sym_ATinterface] = ACTIONS(1267),
    [anon_sym_interface] = ACTIONS(1269),
    [anon_sym_byte] = ACTIONS(1269),
    [anon_sym_short] = ACTIONS(1269),
    [anon_sym_int] = ACTIONS(1269),
    [anon_sym_long] = ACTIONS(1269),
    [anon_sym_char] = ACTIONS(1269),
    [anon_sym_float] = ACTIONS(1269),
    [anon_sym_double] = ACTIONS(1269),
    [sym_boolean_type] = ACTIONS(1269),
    [sym_void_type] = ACTIONS(1269),
    [anon_sym_def] = ACTIONS(1269),
    [sym_this] = ACTIONS(1269),
    [sym_super] = ACTIONS(1269),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1267),
  },
  [463] = {
    [ts_builtin_sym_end] = ACTIONS(1349),
    [sym_identifier] = ACTIONS(1351),
    [sym_decimal_integer_literal] = ACTIONS(1351),
    [sym_hex_integer_literal] = ACTIONS(1351),
    [sym_octal_integer_literal] = ACTIONS(1351),
    [sym_binary_integer_literal] = ACTIONS(1349),
    [sym_decimal_floating_point_literal] = ACTIONS(1349),
    [sym_hex_floating_point_literal] = ACTIONS(1351),
    [sym_true] = ACTIONS(1351),
    [sym_false] = ACTIONS(1351),
    [sym_character_literal] = ACTIONS(1349),
    [anon_sym_DQUOTE] = ACTIONS(1351),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1349),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1349),
    [anon_sym_RBRACE] = ACTIONS(1349),
    [sym_null_literal] = ACTIONS(1351),
    [anon_sym_LPAREN] = ACTIONS(1349),
    [anon_sym_AMP] = ACTIONS(1351),
    [anon_sym_GT] = ACTIONS(1351),
    [anon_sym_LT] = ACTIONS(1351),
    [anon_sym_GT_EQ] = ACTIONS(1349),
    [anon_sym_LT_EQ] = ACTIONS(1349),
    [anon_sym_EQ_EQ] = ACTIONS(1349),
    [anon_sym_BANG_EQ] = ACTIONS(1349),
    [anon_sym_AMP_AMP] = ACTIONS(1349),
    [anon_sym_PIPE_PIPE] = ACTIONS(1349),
    [anon_sym_PLUS] = ACTIONS(1351),
    [anon_sym_DASH] = ACTIONS(1351),
    [anon_sym_STAR] = ACTIONS(1351),
    [anon_sym_SLASH] = ACTIONS(1351),
    [anon_sym_PIPE] = ACTIONS(1351),
    [anon_sym_CARET] = ACTIONS(1349),
    [anon_sym_PERCENT] = ACTIONS(1349),
    [anon_sym_LT_LT] = ACTIONS(1349),
    [anon_sym_GT_GT] = ACTIONS(1351),
    [anon_sym_GT_GT_GT] = ACTIONS(1349),
    [anon_sym_in] = ACTIONS(1351),
    [anon_sym_STAR_STAR] = ACTIONS(1349),
    [anon_sym_instanceof] = ACTIONS(1351),
    [anon_sym_final] = ACTIONS(1351),
    [anon_sym_DASH_GT] = ACTIONS(1349),
    [anon_sym_COMMA] = ACTIONS(1349),
    [anon_sym_QMARK] = ACTIONS(1349),
    [anon_sym_BANG] = ACTIONS(1351),
    [anon_sym_TILDE] = ACTIONS(1349),
    [anon_sym_PLUS_PLUS] = ACTIONS(1349),
    [anon_sym_DASH_DASH] = ACTIONS(1349),
    [anon_sym_new] = ACTIONS(1351),
    [anon_sym_LBRACK] = ACTIONS(1349),
    [anon_sym_DOT] = ACTIONS(1351),
    [anon_sym_class] = ACTIONS(1351),
    [anon_sym_COLON_COLON] = ACTIONS(1349),
    [anon_sym_switch] = ACTIONS(1351),
    [anon_sym_LBRACE] = ACTIONS(1349),
    [anon_sym_default] = ACTIONS(1351),
    [sym_underscore_pattern] = ACTIONS(1351),
    [anon_sym_SEMI] = ACTIONS(1349),
    [anon_sym_assert] = ACTIONS(1351),
    [anon_sym_do] = ACTIONS(1351),
    [anon_sym_while] = ACTIONS(1351),
    [anon_sym_break] = ACTIONS(1351),
    [anon_sym_continue] = ACTIONS(1351),
    [anon_sym_return] = ACTIONS(1351),
    [anon_sym_yield] = ACTIONS(1351),
    [anon_sym_synchronized] = ACTIONS(1351),
    [anon_sym_throw] = ACTIONS(1351),
    [anon_sym_try] = ACTIONS(1351),
    [anon_sym_if] = ACTIONS(1351),
    [anon_sym_for] = ACTIONS(1351),
    [anon_sym_AT] = ACTIONS(1351),
    [anon_sym_open] = ACTIONS(1351),
    [anon_sym_module] = ACTIONS(1351),
    [anon_sym_static] = ACTIONS(1351),
    [anon_sym_with] = ACTIONS(1351),
    [anon_sym_package] = ACTIONS(1351),
    [anon_sym_import] = ACTIONS(1351),
    [anon_sym_enum] = ACTIONS(1351),
    [anon_sym_public] = ACTIONS(1351),
    [anon_sym_protected] = ACTIONS(1351),
    [anon_sym_private] = ACTIONS(1351),
    [anon_sym_abstract] = ACTIONS(1351),
    [anon_sym_strictfp] = ACTIONS(1351),
    [anon_sym_native] = ACTIONS(1351),
    [anon_sym_transient] = ACTIONS(1351),
    [anon_sym_volatile] = ACTIONS(1351),
    [anon_sym_sealed] = ACTIONS(1351),
    [anon_sym_non_DASHsealed] = ACTIONS(1349),
    [anon_sym_record] = ACTIONS(1351),
    [anon_sym_ATinterface] = ACTIONS(1349),
    [anon_sym_interface] = ACTIONS(1351),
    [anon_sym_byte] = ACTIONS(1351),
    [anon_sym_short] = ACTIONS(1351),
    [anon_sym_int] = ACTIONS(1351),
    [anon_sym_long] = ACTIONS(1351),
    [anon_sym_char] = ACTIONS(1351),
    [anon_sym_float] = ACTIONS(1351),
    [anon_sym_double] = ACTIONS(1351),
    [sym_boolean_type] = ACTIONS(1351),
    [sym_void_type] = ACTIONS(1351),
    [anon_sym_def] = ACTIONS(1351),
    [sym_this] = ACTIONS(1351),
    [sym_super] = ACTIONS(1351),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1349),
  },
  [464] = {
    [ts_builtin_sym_end] = ACTIONS(1361),
    [sym_identifier] = ACTIONS(1363),
    [sym_decimal_integer_literal] = ACTIONS(1363),
    [sym_hex_integer_literal] = ACTIONS(1363),
    [sym_octal_integer_literal] = ACTIONS(1363),
    [sym_binary_integer_literal] = ACTIONS(1361),
    [sym_decimal_floating_point_literal] = ACTIONS(1361),
    [sym_hex_floating_point_literal] = ACTIONS(1363),
    [sym_true] = ACTIONS(1363),
    [sym_false] = ACTIONS(1363),
    [sym_character_literal] = ACTIONS(1361),
    [anon_sym_DQUOTE] = ACTIONS(1363),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1361),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1361),
    [anon_sym_RBRACE] = ACTIONS(1361),
    [sym_null_literal] = ACTIONS(1363),
    [anon_sym_LPAREN] = ACTIONS(1361),
    [anon_sym_AMP] = ACTIONS(1363),
    [anon_sym_GT] = ACTIONS(1363),
    [anon_sym_LT] = ACTIONS(1363),
    [anon_sym_GT_EQ] = ACTIONS(1361),
    [anon_sym_LT_EQ] = ACTIONS(1361),
    [anon_sym_EQ_EQ] = ACTIONS(1361),
    [anon_sym_BANG_EQ] = ACTIONS(1361),
    [anon_sym_AMP_AMP] = ACTIONS(1361),
    [anon_sym_PIPE_PIPE] = ACTIONS(1361),
    [anon_sym_PLUS] = ACTIONS(1363),
    [anon_sym_DASH] = ACTIONS(1363),
    [anon_sym_STAR] = ACTIONS(1363),
    [anon_sym_SLASH] = ACTIONS(1363),
    [anon_sym_PIPE] = ACTIONS(1363),
    [anon_sym_CARET] = ACTIONS(1361),
    [anon_sym_PERCENT] = ACTIONS(1361),
    [anon_sym_LT_LT] = ACTIONS(1361),
    [anon_sym_GT_GT] = ACTIONS(1363),
    [anon_sym_GT_GT_GT] = ACTIONS(1361),
    [anon_sym_in] = ACTIONS(1363),
    [anon_sym_STAR_STAR] = ACTIONS(1361),
    [anon_sym_instanceof] = ACTIONS(1363),
    [anon_sym_final] = ACTIONS(1363),
    [anon_sym_DASH_GT] = ACTIONS(1361),
    [anon_sym_COMMA] = ACTIONS(1361),
    [anon_sym_QMARK] = ACTIONS(1361),
    [anon_sym_BANG] = ACTIONS(1363),
    [anon_sym_TILDE] = ACTIONS(1361),
    [anon_sym_PLUS_PLUS] = ACTIONS(1361),
    [anon_sym_DASH_DASH] = ACTIONS(1361),
    [anon_sym_new] = ACTIONS(1363),
    [anon_sym_LBRACK] = ACTIONS(1361),
    [anon_sym_DOT] = ACTIONS(1363),
    [anon_sym_class] = ACTIONS(1363),
    [anon_sym_COLON_COLON] = ACTIONS(1361),
    [anon_sym_switch] = ACTIONS(1363),
    [anon_sym_LBRACE] = ACTIONS(1361),
    [anon_sym_default] = ACTIONS(1363),
    [sym_underscore_pattern] = ACTIONS(1363),
    [anon_sym_SEMI] = ACTIONS(1361),
    [anon_sym_assert] = ACTIONS(1363),
    [anon_sym_do] = ACTIONS(1363),
    [anon_sym_while] = ACTIONS(1363),
    [anon_sym_break] = ACTIONS(1363),
    [anon_sym_continue] = ACTIONS(1363),
    [anon_sym_return] = ACTIONS(1363),
    [anon_sym_yield] = ACTIONS(1363),
    [anon_sym_synchronized] = ACTIONS(1363),
    [anon_sym_throw] = ACTIONS(1363),
    [anon_sym_try] = ACTIONS(1363),
    [anon_sym_if] = ACTIONS(1363),
    [anon_sym_for] = ACTIONS(1363),
    [anon_sym_AT] = ACTIONS(1363),
    [anon_sym_open] = ACTIONS(1363),
    [anon_sym_module] = ACTIONS(1363),
    [anon_sym_static] = ACTIONS(1363),
    [anon_sym_with] = ACTIONS(1363),
    [anon_sym_package] = ACTIONS(1363),
    [anon_sym_import] = ACTIONS(1363),
    [anon_sym_enum] = ACTIONS(1363),
    [anon_sym_public] = ACTIONS(1363),
    [anon_sym_protected] = ACTIONS(1363),
    [anon_sym_private] = ACTIONS(1363),
    [anon_sym_abstract] = ACTIONS(1363),
    [anon_sym_strictfp] = ACTIONS(1363),
    [anon_sym_native] = ACTIONS(1363),
    [anon_sym_transient] = ACTIONS(1363),
    [anon_sym_volatile] = ACTIONS(1363),
    [anon_sym_sealed] = ACTIONS(1363),
    [anon_sym_non_DASHsealed] = ACTIONS(1361),
    [anon_sym_record] = ACTIONS(1363),
    [anon_sym_ATinterface] = ACTIONS(1361),
    [anon_sym_interface] = ACTIONS(1363),
    [anon_sym_byte] = ACTIONS(1363),
    [anon_sym_short] = ACTIONS(1363),
    [anon_sym_int] = ACTIONS(1363),
    [anon_sym_long] = ACTIONS(1363),
    [anon_sym_char] = ACTIONS(1363),
    [anon_sym_float] = ACTIONS(1363),
    [anon_sym_double] = ACTIONS(1363),
    [sym_boolean_type] = ACTIONS(1363),
    [sym_void_type] = ACTIONS(1363),
    [anon_sym_def] = ACTIONS(1363),
    [sym_this] = ACTIONS(1363),
    [sym_super] = ACTIONS(1363),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1361),
  },
  [465] = {
    [ts_builtin_sym_end] = ACTIONS(1271),
    [sym_identifier] = ACTIONS(1273),
    [sym_decimal_integer_literal] = ACTIONS(1273),
    [sym_hex_integer_literal] = ACTIONS(1273),
    [sym_octal_integer_literal] = ACTIONS(1273),
    [sym_binary_integer_literal] = ACTIONS(1271),
    [sym_decimal_floating_point_literal] = ACTIONS(1271),
    [sym_hex_floating_point_literal] = ACTIONS(1273),
    [sym_true] = ACTIONS(1273),
    [sym_false] = ACTIONS(1273),
    [sym_character_literal] = ACTIONS(1271),
    [anon_sym_DQUOTE] = ACTIONS(1273),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1271),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1271),
    [anon_sym_RBRACE] = ACTIONS(1271),
    [sym_null_literal] = ACTIONS(1273),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_AMP] = ACTIONS(1273),
    [anon_sym_GT] = ACTIONS(1273),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_GT_EQ] = ACTIONS(1271),
    [anon_sym_LT_EQ] = ACTIONS(1271),
    [anon_sym_EQ_EQ] = ACTIONS(1271),
    [anon_sym_BANG_EQ] = ACTIONS(1271),
    [anon_sym_AMP_AMP] = ACTIONS(1271),
    [anon_sym_PIPE_PIPE] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_SLASH] = ACTIONS(1273),
    [anon_sym_PIPE] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1271),
    [anon_sym_PERCENT] = ACTIONS(1271),
    [anon_sym_LT_LT] = ACTIONS(1271),
    [anon_sym_GT_GT] = ACTIONS(1273),
    [anon_sym_GT_GT_GT] = ACTIONS(1271),
    [anon_sym_in] = ACTIONS(1273),
    [anon_sym_STAR_STAR] = ACTIONS(1271),
    [anon_sym_instanceof] = ACTIONS(1273),
    [anon_sym_final] = ACTIONS(1273),
    [anon_sym_DASH_GT] = ACTIONS(1271),
    [anon_sym_COMMA] = ACTIONS(1271),
    [anon_sym_QMARK] = ACTIONS(1271),
    [anon_sym_BANG] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1271),
    [anon_sym_PLUS_PLUS] = ACTIONS(1271),
    [anon_sym_DASH_DASH] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_DOT] = ACTIONS(1620),
    [anon_sym_class] = ACTIONS(1273),
    [anon_sym_COLON_COLON] = ACTIONS(1618),
    [anon_sym_switch] = ACTIONS(1273),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_default] = ACTIONS(1273),
    [sym_underscore_pattern] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1271),
    [anon_sym_assert] = ACTIONS(1273),
    [anon_sym_do] = ACTIONS(1273),
    [anon_sym_while] = ACTIONS(1273),
    [anon_sym_break] = ACTIONS(1273),
    [anon_sym_continue] = ACTIONS(1273),
    [anon_sym_return] = ACTIONS(1273),
    [anon_sym_yield] = ACTIONS(1273),
    [anon_sym_synchronized] = ACTIONS(1273),
    [anon_sym_throw] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1273),
    [anon_sym_if] = ACTIONS(1273),
    [anon_sym_for] = ACTIONS(1273),
    [anon_sym_AT] = ACTIONS(1273),
    [anon_sym_open] = ACTIONS(1273),
    [anon_sym_module] = ACTIONS(1273),
    [anon_sym_static] = ACTIONS(1273),
    [anon_sym_with] = ACTIONS(1273),
    [anon_sym_package] = ACTIONS(1273),
    [anon_sym_import] = ACTIONS(1273),
    [anon_sym_enum] = ACTIONS(1273),
    [anon_sym_public] = ACTIONS(1273),
    [anon_sym_protected] = ACTIONS(1273),
    [anon_sym_private] = ACTIONS(1273),
    [anon_sym_abstract] = ACTIONS(1273),
    [anon_sym_strictfp] = ACTIONS(1273),
    [anon_sym_native] = ACTIONS(1273),
    [anon_sym_transient] = ACTIONS(1273),
    [anon_sym_volatile] = ACTIONS(1273),
    [anon_sym_sealed] = ACTIONS(1273),
    [anon_sym_non_DASHsealed] = ACTIONS(1271),
    [anon_sym_record] = ACTIONS(1273),
    [anon_sym_ATinterface] = ACTIONS(1271),
    [anon_sym_interface] = ACTIONS(1273),
    [anon_sym_byte] = ACTIONS(1273),
    [anon_sym_short] = ACTIONS(1273),
    [anon_sym_int] = ACTIONS(1273),
    [anon_sym_long] = ACTIONS(1273),
    [anon_sym_char] = ACTIONS(1273),
    [anon_sym_float] = ACTIONS(1273),
    [anon_sym_double] = ACTIONS(1273),
    [sym_boolean_type] = ACTIONS(1273),
    [sym_void_type] = ACTIONS(1273),
    [anon_sym_def] = ACTIONS(1273),
    [sym_this] = ACTIONS(1273),
    [sym_super] = ACTIONS(1273),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1271),
  },
  [466] = {
    [ts_builtin_sym_end] = ACTIONS(1275),
    [sym_identifier] = ACTIONS(1277),
    [sym_decimal_integer_literal] = ACTIONS(1277),
    [sym_hex_integer_literal] = ACTIONS(1277),
    [sym_octal_integer_literal] = ACTIONS(1277),
    [sym_binary_integer_literal] = ACTIONS(1275),
    [sym_decimal_floating_point_literal] = ACTIONS(1275),
    [sym_hex_floating_point_literal] = ACTIONS(1277),
    [sym_true] = ACTIONS(1277),
    [sym_false] = ACTIONS(1277),
    [sym_character_literal] = ACTIONS(1275),
    [anon_sym_DQUOTE] = ACTIONS(1277),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1275),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1275),
    [anon_sym_RBRACE] = ACTIONS(1275),
    [sym_null_literal] = ACTIONS(1277),
    [anon_sym_LPAREN] = ACTIONS(1275),
    [anon_sym_AMP] = ACTIONS(1277),
    [anon_sym_GT] = ACTIONS(1277),
    [anon_sym_LT] = ACTIONS(1277),
    [anon_sym_GT_EQ] = ACTIONS(1275),
    [anon_sym_LT_EQ] = ACTIONS(1275),
    [anon_sym_EQ_EQ] = ACTIONS(1275),
    [anon_sym_BANG_EQ] = ACTIONS(1275),
    [anon_sym_AMP_AMP] = ACTIONS(1275),
    [anon_sym_PIPE_PIPE] = ACTIONS(1275),
    [anon_sym_PLUS] = ACTIONS(1277),
    [anon_sym_DASH] = ACTIONS(1277),
    [anon_sym_STAR] = ACTIONS(1277),
    [anon_sym_SLASH] = ACTIONS(1277),
    [anon_sym_PIPE] = ACTIONS(1277),
    [anon_sym_CARET] = ACTIONS(1275),
    [anon_sym_PERCENT] = ACTIONS(1275),
    [anon_sym_LT_LT] = ACTIONS(1275),
    [anon_sym_GT_GT] = ACTIONS(1277),
    [anon_sym_GT_GT_GT] = ACTIONS(1275),
    [anon_sym_in] = ACTIONS(1277),
    [anon_sym_STAR_STAR] = ACTIONS(1275),
    [anon_sym_instanceof] = ACTIONS(1277),
    [anon_sym_final] = ACTIONS(1277),
    [anon_sym_DASH_GT] = ACTIONS(1275),
    [anon_sym_COMMA] = ACTIONS(1275),
    [anon_sym_QMARK] = ACTIONS(1275),
    [anon_sym_BANG] = ACTIONS(1277),
    [anon_sym_TILDE] = ACTIONS(1275),
    [anon_sym_PLUS_PLUS] = ACTIONS(1275),
    [anon_sym_DASH_DASH] = ACTIONS(1275),
    [anon_sym_new] = ACTIONS(1277),
    [anon_sym_LBRACK] = ACTIONS(1275),
    [anon_sym_DOT] = ACTIONS(1277),
    [anon_sym_class] = ACTIONS(1277),
    [anon_sym_COLON_COLON] = ACTIONS(1275),
    [anon_sym_switch] = ACTIONS(1277),
    [anon_sym_LBRACE] = ACTIONS(1275),
    [anon_sym_default] = ACTIONS(1277),
    [sym_underscore_pattern] = ACTIONS(1277),
    [anon_sym_SEMI] = ACTIONS(1275),
    [anon_sym_assert] = ACTIONS(1277),
    [anon_sym_do] = ACTIONS(1277),
    [anon_sym_while] = ACTIONS(1277),
    [anon_sym_break] = ACTIONS(1277),
    [anon_sym_continue] = ACTIONS(1277),
    [anon_sym_return] = ACTIONS(1277),
    [anon_sym_yield] = ACTIONS(1277),
    [anon_sym_synchronized] = ACTIONS(1277),
    [anon_sym_throw] = ACTIONS(1277),
    [anon_sym_try] = ACTIONS(1277),
    [anon_sym_if] = ACTIONS(1277),
    [anon_sym_for] = ACTIONS(1277),
    [anon_sym_AT] = ACTIONS(1277),
    [anon_sym_open] = ACTIONS(1277),
    [anon_sym_module] = ACTIONS(1277),
    [anon_sym_static] = ACTIONS(1277),
    [anon_sym_with] = ACTIONS(1277),
    [anon_sym_package] = ACTIONS(1277),
    [anon_sym_import] = ACTIONS(1277),
    [anon_sym_enum] = ACTIONS(1277),
    [anon_sym_public] = ACTIONS(1277),
    [anon_sym_protected] = ACTIONS(1277),
    [anon_sym_private] = ACTIONS(1277),
    [anon_sym_abstract] = ACTIONS(1277),
    [anon_sym_strictfp] = ACTIONS(1277),
    [anon_sym_native] = ACTIONS(1277),
    [anon_sym_transient] = ACTIONS(1277),
    [anon_sym_volatile] = ACTIONS(1277),
    [anon_sym_sealed] = ACTIONS(1277),
    [anon_sym_non_DASHsealed] = ACTIONS(1275),
    [anon_sym_record] = ACTIONS(1277),
    [anon_sym_ATinterface] = ACTIONS(1275),
    [anon_sym_interface] = ACTIONS(1277),
    [anon_sym_byte] = ACTIONS(1277),
    [anon_sym_short] = ACTIONS(1277),
    [anon_sym_int] = ACTIONS(1277),
    [anon_sym_long] = ACTIONS(1277),
    [anon_sym_char] = ACTIONS(1277),
    [anon_sym_float] = ACTIONS(1277),
    [anon_sym_double] = ACTIONS(1277),
    [sym_boolean_type] = ACTIONS(1277),
    [sym_void_type] = ACTIONS(1277),
    [anon_sym_def] = ACTIONS(1277),
    [sym_this] = ACTIONS(1277),
    [sym_super] = ACTIONS(1277),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1275),
  },
  [467] = {
    [ts_builtin_sym_end] = ACTIONS(1279),
    [sym_identifier] = ACTIONS(1281),
    [sym_decimal_integer_literal] = ACTIONS(1281),
    [sym_hex_integer_literal] = ACTIONS(1281),
    [sym_octal_integer_literal] = ACTIONS(1281),
    [sym_binary_integer_literal] = ACTIONS(1279),
    [sym_decimal_floating_point_literal] = ACTIONS(1279),
    [sym_hex_floating_point_literal] = ACTIONS(1281),
    [sym_true] = ACTIONS(1281),
    [sym_false] = ACTIONS(1281),
    [sym_character_literal] = ACTIONS(1279),
    [anon_sym_DQUOTE] = ACTIONS(1281),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1279),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1279),
    [anon_sym_RBRACE] = ACTIONS(1279),
    [sym_null_literal] = ACTIONS(1281),
    [anon_sym_LPAREN] = ACTIONS(1279),
    [anon_sym_AMP] = ACTIONS(1281),
    [anon_sym_GT] = ACTIONS(1281),
    [anon_sym_LT] = ACTIONS(1281),
    [anon_sym_GT_EQ] = ACTIONS(1279),
    [anon_sym_LT_EQ] = ACTIONS(1279),
    [anon_sym_EQ_EQ] = ACTIONS(1279),
    [anon_sym_BANG_EQ] = ACTIONS(1279),
    [anon_sym_AMP_AMP] = ACTIONS(1279),
    [anon_sym_PIPE_PIPE] = ACTIONS(1279),
    [anon_sym_PLUS] = ACTIONS(1281),
    [anon_sym_DASH] = ACTIONS(1281),
    [anon_sym_STAR] = ACTIONS(1281),
    [anon_sym_SLASH] = ACTIONS(1281),
    [anon_sym_PIPE] = ACTIONS(1281),
    [anon_sym_CARET] = ACTIONS(1279),
    [anon_sym_PERCENT] = ACTIONS(1279),
    [anon_sym_LT_LT] = ACTIONS(1279),
    [anon_sym_GT_GT] = ACTIONS(1281),
    [anon_sym_GT_GT_GT] = ACTIONS(1279),
    [anon_sym_in] = ACTIONS(1281),
    [anon_sym_STAR_STAR] = ACTIONS(1279),
    [anon_sym_instanceof] = ACTIONS(1281),
    [anon_sym_final] = ACTIONS(1281),
    [anon_sym_DASH_GT] = ACTIONS(1279),
    [anon_sym_COMMA] = ACTIONS(1279),
    [anon_sym_QMARK] = ACTIONS(1279),
    [anon_sym_BANG] = ACTIONS(1281),
    [anon_sym_TILDE] = ACTIONS(1279),
    [anon_sym_PLUS_PLUS] = ACTIONS(1279),
    [anon_sym_DASH_DASH] = ACTIONS(1279),
    [anon_sym_new] = ACTIONS(1281),
    [anon_sym_LBRACK] = ACTIONS(1279),
    [anon_sym_DOT] = ACTIONS(1281),
    [anon_sym_class] = ACTIONS(1281),
    [anon_sym_COLON_COLON] = ACTIONS(1279),
    [anon_sym_switch] = ACTIONS(1281),
    [anon_sym_LBRACE] = ACTIONS(1279),
    [anon_sym_default] = ACTIONS(1281),
    [sym_underscore_pattern] = ACTIONS(1281),
    [anon_sym_SEMI] = ACTIONS(1279),
    [anon_sym_assert] = ACTIONS(1281),
    [anon_sym_do] = ACTIONS(1281),
    [anon_sym_while] = ACTIONS(1281),
    [anon_sym_break] = ACTIONS(1281),
    [anon_sym_continue] = ACTIONS(1281),
    [anon_sym_return] = ACTIONS(1281),
    [anon_sym_yield] = ACTIONS(1281),
    [anon_sym_synchronized] = ACTIONS(1281),
    [anon_sym_throw] = ACTIONS(1281),
    [anon_sym_try] = ACTIONS(1281),
    [anon_sym_if] = ACTIONS(1281),
    [anon_sym_for] = ACTIONS(1281),
    [anon_sym_AT] = ACTIONS(1281),
    [anon_sym_open] = ACTIONS(1281),
    [anon_sym_module] = ACTIONS(1281),
    [anon_sym_static] = ACTIONS(1281),
    [anon_sym_with] = ACTIONS(1281),
    [anon_sym_package] = ACTIONS(1281),
    [anon_sym_import] = ACTIONS(1281),
    [anon_sym_enum] = ACTIONS(1281),
    [anon_sym_public] = ACTIONS(1281),
    [anon_sym_protected] = ACTIONS(1281),
    [anon_sym_private] = ACTIONS(1281),
    [anon_sym_abstract] = ACTIONS(1281),
    [anon_sym_strictfp] = ACTIONS(1281),
    [anon_sym_native] = ACTIONS(1281),
    [anon_sym_transient] = ACTIONS(1281),
    [anon_sym_volatile] = ACTIONS(1281),
    [anon_sym_sealed] = ACTIONS(1281),
    [anon_sym_non_DASHsealed] = ACTIONS(1279),
    [anon_sym_record] = ACTIONS(1281),
    [anon_sym_ATinterface] = ACTIONS(1279),
    [anon_sym_interface] = ACTIONS(1281),
    [anon_sym_byte] = ACTIONS(1281),
    [anon_sym_short] = ACTIONS(1281),
    [anon_sym_int] = ACTIONS(1281),
    [anon_sym_long] = ACTIONS(1281),
    [anon_sym_char] = ACTIONS(1281),
    [anon_sym_float] = ACTIONS(1281),
    [anon_sym_double] = ACTIONS(1281),
    [sym_boolean_type] = ACTIONS(1281),
    [sym_void_type] = ACTIONS(1281),
    [anon_sym_def] = ACTIONS(1281),
    [sym_this] = ACTIONS(1281),
    [sym_super] = ACTIONS(1281),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1279),
  },
  [468] = {
    [ts_builtin_sym_end] = ACTIONS(1283),
    [sym_identifier] = ACTIONS(1285),
    [sym_decimal_integer_literal] = ACTIONS(1285),
    [sym_hex_integer_literal] = ACTIONS(1285),
    [sym_octal_integer_literal] = ACTIONS(1285),
    [sym_binary_integer_literal] = ACTIONS(1283),
    [sym_decimal_floating_point_literal] = ACTIONS(1283),
    [sym_hex_floating_point_literal] = ACTIONS(1285),
    [sym_true] = ACTIONS(1285),
    [sym_false] = ACTIONS(1285),
    [sym_character_literal] = ACTIONS(1283),
    [anon_sym_DQUOTE] = ACTIONS(1285),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1283),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1283),
    [anon_sym_RBRACE] = ACTIONS(1283),
    [sym_null_literal] = ACTIONS(1285),
    [anon_sym_LPAREN] = ACTIONS(1283),
    [anon_sym_AMP] = ACTIONS(1285),
    [anon_sym_GT] = ACTIONS(1285),
    [anon_sym_LT] = ACTIONS(1285),
    [anon_sym_GT_EQ] = ACTIONS(1283),
    [anon_sym_LT_EQ] = ACTIONS(1283),
    [anon_sym_EQ_EQ] = ACTIONS(1283),
    [anon_sym_BANG_EQ] = ACTIONS(1283),
    [anon_sym_AMP_AMP] = ACTIONS(1283),
    [anon_sym_PIPE_PIPE] = ACTIONS(1283),
    [anon_sym_PLUS] = ACTIONS(1285),
    [anon_sym_DASH] = ACTIONS(1285),
    [anon_sym_STAR] = ACTIONS(1285),
    [anon_sym_SLASH] = ACTIONS(1285),
    [anon_sym_PIPE] = ACTIONS(1285),
    [anon_sym_CARET] = ACTIONS(1283),
    [anon_sym_PERCENT] = ACTIONS(1283),
    [anon_sym_LT_LT] = ACTIONS(1283),
    [anon_sym_GT_GT] = ACTIONS(1285),
    [anon_sym_GT_GT_GT] = ACTIONS(1283),
    [anon_sym_in] = ACTIONS(1285),
    [anon_sym_STAR_STAR] = ACTIONS(1283),
    [anon_sym_instanceof] = ACTIONS(1285),
    [anon_sym_final] = ACTIONS(1285),
    [anon_sym_DASH_GT] = ACTIONS(1283),
    [anon_sym_COMMA] = ACTIONS(1283),
    [anon_sym_QMARK] = ACTIONS(1283),
    [anon_sym_BANG] = ACTIONS(1285),
    [anon_sym_TILDE] = ACTIONS(1283),
    [anon_sym_PLUS_PLUS] = ACTIONS(1283),
    [anon_sym_DASH_DASH] = ACTIONS(1283),
    [anon_sym_new] = ACTIONS(1285),
    [anon_sym_LBRACK] = ACTIONS(1283),
    [anon_sym_DOT] = ACTIONS(1285),
    [anon_sym_class] = ACTIONS(1285),
    [anon_sym_COLON_COLON] = ACTIONS(1283),
    [anon_sym_switch] = ACTIONS(1285),
    [anon_sym_LBRACE] = ACTIONS(1283),
    [anon_sym_default] = ACTIONS(1285),
    [sym_underscore_pattern] = ACTIONS(1285),
    [anon_sym_SEMI] = ACTIONS(1283),
    [anon_sym_assert] = ACTIONS(1285),
    [anon_sym_do] = ACTIONS(1285),
    [anon_sym_while] = ACTIONS(1285),
    [anon_sym_break] = ACTIONS(1285),
    [anon_sym_continue] = ACTIONS(1285),
    [anon_sym_return] = ACTIONS(1285),
    [anon_sym_yield] = ACTIONS(1285),
    [anon_sym_synchronized] = ACTIONS(1285),
    [anon_sym_throw] = ACTIONS(1285),
    [anon_sym_try] = ACTIONS(1285),
    [anon_sym_if] = ACTIONS(1285),
    [anon_sym_for] = ACTIONS(1285),
    [anon_sym_AT] = ACTIONS(1285),
    [anon_sym_open] = ACTIONS(1285),
    [anon_sym_module] = ACTIONS(1285),
    [anon_sym_static] = ACTIONS(1285),
    [anon_sym_with] = ACTIONS(1285),
    [anon_sym_package] = ACTIONS(1285),
    [anon_sym_import] = ACTIONS(1285),
    [anon_sym_enum] = ACTIONS(1285),
    [anon_sym_public] = ACTIONS(1285),
    [anon_sym_protected] = ACTIONS(1285),
    [anon_sym_private] = ACTIONS(1285),
    [anon_sym_abstract] = ACTIONS(1285),
    [anon_sym_strictfp] = ACTIONS(1285),
    [anon_sym_native] = ACTIONS(1285),
    [anon_sym_transient] = ACTIONS(1285),
    [anon_sym_volatile] = ACTIONS(1285),
    [anon_sym_sealed] = ACTIONS(1285),
    [anon_sym_non_DASHsealed] = ACTIONS(1283),
    [anon_sym_record] = ACTIONS(1285),
    [anon_sym_ATinterface] = ACTIONS(1283),
    [anon_sym_interface] = ACTIONS(1285),
    [anon_sym_byte] = ACTIONS(1285),
    [anon_sym_short] = ACTIONS(1285),
    [anon_sym_int] = ACTIONS(1285),
    [anon_sym_long] = ACTIONS(1285),
    [anon_sym_char] = ACTIONS(1285),
    [anon_sym_float] = ACTIONS(1285),
    [anon_sym_double] = ACTIONS(1285),
    [sym_boolean_type] = ACTIONS(1285),
    [sym_void_type] = ACTIONS(1285),
    [anon_sym_def] = ACTIONS(1285),
    [sym_this] = ACTIONS(1285),
    [sym_super] = ACTIONS(1285),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1283),
  },
  [469] = {
    [ts_builtin_sym_end] = ACTIONS(1287),
    [sym_identifier] = ACTIONS(1289),
    [sym_decimal_integer_literal] = ACTIONS(1289),
    [sym_hex_integer_literal] = ACTIONS(1289),
    [sym_octal_integer_literal] = ACTIONS(1289),
    [sym_binary_integer_literal] = ACTIONS(1287),
    [sym_decimal_floating_point_literal] = ACTIONS(1287),
    [sym_hex_floating_point_literal] = ACTIONS(1289),
    [sym_true] = ACTIONS(1289),
    [sym_false] = ACTIONS(1289),
    [sym_character_literal] = ACTIONS(1287),
    [anon_sym_DQUOTE] = ACTIONS(1289),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1287),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1287),
    [anon_sym_RBRACE] = ACTIONS(1287),
    [sym_null_literal] = ACTIONS(1289),
    [anon_sym_LPAREN] = ACTIONS(1287),
    [anon_sym_AMP] = ACTIONS(1289),
    [anon_sym_GT] = ACTIONS(1289),
    [anon_sym_LT] = ACTIONS(1289),
    [anon_sym_GT_EQ] = ACTIONS(1287),
    [anon_sym_LT_EQ] = ACTIONS(1287),
    [anon_sym_EQ_EQ] = ACTIONS(1287),
    [anon_sym_BANG_EQ] = ACTIONS(1287),
    [anon_sym_AMP_AMP] = ACTIONS(1287),
    [anon_sym_PIPE_PIPE] = ACTIONS(1287),
    [anon_sym_PLUS] = ACTIONS(1289),
    [anon_sym_DASH] = ACTIONS(1289),
    [anon_sym_STAR] = ACTIONS(1289),
    [anon_sym_SLASH] = ACTIONS(1289),
    [anon_sym_PIPE] = ACTIONS(1289),
    [anon_sym_CARET] = ACTIONS(1287),
    [anon_sym_PERCENT] = ACTIONS(1287),
    [anon_sym_LT_LT] = ACTIONS(1287),
    [anon_sym_GT_GT] = ACTIONS(1289),
    [anon_sym_GT_GT_GT] = ACTIONS(1287),
    [anon_sym_in] = ACTIONS(1289),
    [anon_sym_STAR_STAR] = ACTIONS(1287),
    [anon_sym_instanceof] = ACTIONS(1289),
    [anon_sym_final] = ACTIONS(1289),
    [anon_sym_DASH_GT] = ACTIONS(1287),
    [anon_sym_COMMA] = ACTIONS(1287),
    [anon_sym_QMARK] = ACTIONS(1287),
    [anon_sym_BANG] = ACTIONS(1289),
    [anon_sym_TILDE] = ACTIONS(1287),
    [anon_sym_PLUS_PLUS] = ACTIONS(1287),
    [anon_sym_DASH_DASH] = ACTIONS(1287),
    [anon_sym_new] = ACTIONS(1289),
    [anon_sym_LBRACK] = ACTIONS(1287),
    [anon_sym_DOT] = ACTIONS(1289),
    [anon_sym_class] = ACTIONS(1289),
    [anon_sym_COLON_COLON] = ACTIONS(1287),
    [anon_sym_switch] = ACTIONS(1289),
    [anon_sym_LBRACE] = ACTIONS(1287),
    [anon_sym_default] = ACTIONS(1289),
    [sym_underscore_pattern] = ACTIONS(1289),
    [anon_sym_SEMI] = ACTIONS(1287),
    [anon_sym_assert] = ACTIONS(1289),
    [anon_sym_do] = ACTIONS(1289),
    [anon_sym_while] = ACTIONS(1289),
    [anon_sym_break] = ACTIONS(1289),
    [anon_sym_continue] = ACTIONS(1289),
    [anon_sym_return] = ACTIONS(1289),
    [anon_sym_yield] = ACTIONS(1289),
    [anon_sym_synchronized] = ACTIONS(1289),
    [anon_sym_throw] = ACTIONS(1289),
    [anon_sym_try] = ACTIONS(1289),
    [anon_sym_if] = ACTIONS(1289),
    [anon_sym_for] = ACTIONS(1289),
    [anon_sym_AT] = ACTIONS(1289),
    [anon_sym_open] = ACTIONS(1289),
    [anon_sym_module] = ACTIONS(1289),
    [anon_sym_static] = ACTIONS(1289),
    [anon_sym_with] = ACTIONS(1289),
    [anon_sym_package] = ACTIONS(1289),
    [anon_sym_import] = ACTIONS(1289),
    [anon_sym_enum] = ACTIONS(1289),
    [anon_sym_public] = ACTIONS(1289),
    [anon_sym_protected] = ACTIONS(1289),
    [anon_sym_private] = ACTIONS(1289),
    [anon_sym_abstract] = ACTIONS(1289),
    [anon_sym_strictfp] = ACTIONS(1289),
    [anon_sym_native] = ACTIONS(1289),
    [anon_sym_transient] = ACTIONS(1289),
    [anon_sym_volatile] = ACTIONS(1289),
    [anon_sym_sealed] = ACTIONS(1289),
    [anon_sym_non_DASHsealed] = ACTIONS(1287),
    [anon_sym_record] = ACTIONS(1289),
    [anon_sym_ATinterface] = ACTIONS(1287),
    [anon_sym_interface] = ACTIONS(1289),
    [anon_sym_byte] = ACTIONS(1289),
    [anon_sym_short] = ACTIONS(1289),
    [anon_sym_int] = ACTIONS(1289),
    [anon_sym_long] = ACTIONS(1289),
    [anon_sym_char] = ACTIONS(1289),
    [anon_sym_float] = ACTIONS(1289),
    [anon_sym_double] = ACTIONS(1289),
    [sym_boolean_type] = ACTIONS(1289),
    [sym_void_type] = ACTIONS(1289),
    [anon_sym_def] = ACTIONS(1289),
    [sym_this] = ACTIONS(1289),
    [sym_super] = ACTIONS(1289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1287),
  },
  [470] = {
    [ts_builtin_sym_end] = ACTIONS(1291),
    [sym_identifier] = ACTIONS(1293),
    [sym_decimal_integer_literal] = ACTIONS(1293),
    [sym_hex_integer_literal] = ACTIONS(1293),
    [sym_octal_integer_literal] = ACTIONS(1293),
    [sym_binary_integer_literal] = ACTIONS(1291),
    [sym_decimal_floating_point_literal] = ACTIONS(1291),
    [sym_hex_floating_point_literal] = ACTIONS(1293),
    [sym_true] = ACTIONS(1293),
    [sym_false] = ACTIONS(1293),
    [sym_character_literal] = ACTIONS(1291),
    [anon_sym_DQUOTE] = ACTIONS(1293),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1291),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1291),
    [anon_sym_RBRACE] = ACTIONS(1291),
    [sym_null_literal] = ACTIONS(1293),
    [anon_sym_LPAREN] = ACTIONS(1291),
    [anon_sym_AMP] = ACTIONS(1293),
    [anon_sym_GT] = ACTIONS(1293),
    [anon_sym_LT] = ACTIONS(1293),
    [anon_sym_GT_EQ] = ACTIONS(1291),
    [anon_sym_LT_EQ] = ACTIONS(1291),
    [anon_sym_EQ_EQ] = ACTIONS(1291),
    [anon_sym_BANG_EQ] = ACTIONS(1291),
    [anon_sym_AMP_AMP] = ACTIONS(1291),
    [anon_sym_PIPE_PIPE] = ACTIONS(1291),
    [anon_sym_PLUS] = ACTIONS(1293),
    [anon_sym_DASH] = ACTIONS(1293),
    [anon_sym_STAR] = ACTIONS(1293),
    [anon_sym_SLASH] = ACTIONS(1293),
    [anon_sym_PIPE] = ACTIONS(1293),
    [anon_sym_CARET] = ACTIONS(1291),
    [anon_sym_PERCENT] = ACTIONS(1291),
    [anon_sym_LT_LT] = ACTIONS(1291),
    [anon_sym_GT_GT] = ACTIONS(1293),
    [anon_sym_GT_GT_GT] = ACTIONS(1291),
    [anon_sym_in] = ACTIONS(1293),
    [anon_sym_STAR_STAR] = ACTIONS(1291),
    [anon_sym_instanceof] = ACTIONS(1293),
    [anon_sym_final] = ACTIONS(1293),
    [anon_sym_DASH_GT] = ACTIONS(1291),
    [anon_sym_COMMA] = ACTIONS(1291),
    [anon_sym_QMARK] = ACTIONS(1291),
    [anon_sym_BANG] = ACTIONS(1293),
    [anon_sym_TILDE] = ACTIONS(1291),
    [anon_sym_PLUS_PLUS] = ACTIONS(1291),
    [anon_sym_DASH_DASH] = ACTIONS(1291),
    [anon_sym_new] = ACTIONS(1293),
    [anon_sym_LBRACK] = ACTIONS(1291),
    [anon_sym_DOT] = ACTIONS(1293),
    [anon_sym_class] = ACTIONS(1293),
    [anon_sym_COLON_COLON] = ACTIONS(1291),
    [anon_sym_switch] = ACTIONS(1293),
    [anon_sym_LBRACE] = ACTIONS(1291),
    [anon_sym_default] = ACTIONS(1293),
    [sym_underscore_pattern] = ACTIONS(1293),
    [anon_sym_SEMI] = ACTIONS(1291),
    [anon_sym_assert] = ACTIONS(1293),
    [anon_sym_do] = ACTIONS(1293),
    [anon_sym_while] = ACTIONS(1293),
    [anon_sym_break] = ACTIONS(1293),
    [anon_sym_continue] = ACTIONS(1293),
    [anon_sym_return] = ACTIONS(1293),
    [anon_sym_yield] = ACTIONS(1293),
    [anon_sym_synchronized] = ACTIONS(1293),
    [anon_sym_throw] = ACTIONS(1293),
    [anon_sym_try] = ACTIONS(1293),
    [anon_sym_if] = ACTIONS(1293),
    [anon_sym_for] = ACTIONS(1293),
    [anon_sym_AT] = ACTIONS(1293),
    [anon_sym_open] = ACTIONS(1293),
    [anon_sym_module] = ACTIONS(1293),
    [anon_sym_static] = ACTIONS(1293),
    [anon_sym_with] = ACTIONS(1293),
    [anon_sym_package] = ACTIONS(1293),
    [anon_sym_import] = ACTIONS(1293),
    [anon_sym_enum] = ACTIONS(1293),
    [anon_sym_public] = ACTIONS(1293),
    [anon_sym_protected] = ACTIONS(1293),
    [anon_sym_private] = ACTIONS(1293),
    [anon_sym_abstract] = ACTIONS(1293),
    [anon_sym_strictfp] = ACTIONS(1293),
    [anon_sym_native] = ACTIONS(1293),
    [anon_sym_transient] = ACTIONS(1293),
    [anon_sym_volatile] = ACTIONS(1293),
    [anon_sym_sealed] = ACTIONS(1293),
    [anon_sym_non_DASHsealed] = ACTIONS(1291),
    [anon_sym_record] = ACTIONS(1293),
    [anon_sym_ATinterface] = ACTIONS(1291),
    [anon_sym_interface] = ACTIONS(1293),
    [anon_sym_byte] = ACTIONS(1293),
    [anon_sym_short] = ACTIONS(1293),
    [anon_sym_int] = ACTIONS(1293),
    [anon_sym_long] = ACTIONS(1293),
    [anon_sym_char] = ACTIONS(1293),
    [anon_sym_float] = ACTIONS(1293),
    [anon_sym_double] = ACTIONS(1293),
    [sym_boolean_type] = ACTIONS(1293),
    [sym_void_type] = ACTIONS(1293),
    [anon_sym_def] = ACTIONS(1293),
    [sym_this] = ACTIONS(1293),
    [sym_super] = ACTIONS(1293),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1291),
  },
  [471] = {
    [ts_builtin_sym_end] = ACTIONS(1323),
    [sym_identifier] = ACTIONS(1325),
    [sym_decimal_integer_literal] = ACTIONS(1325),
    [sym_hex_integer_literal] = ACTIONS(1325),
    [sym_octal_integer_literal] = ACTIONS(1325),
    [sym_binary_integer_literal] = ACTIONS(1323),
    [sym_decimal_floating_point_literal] = ACTIONS(1323),
    [sym_hex_floating_point_literal] = ACTIONS(1325),
    [sym_true] = ACTIONS(1325),
    [sym_false] = ACTIONS(1325),
    [sym_character_literal] = ACTIONS(1323),
    [anon_sym_DQUOTE] = ACTIONS(1325),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1323),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1323),
    [anon_sym_RBRACE] = ACTIONS(1323),
    [sym_null_literal] = ACTIONS(1325),
    [anon_sym_LPAREN] = ACTIONS(1323),
    [anon_sym_AMP] = ACTIONS(1325),
    [anon_sym_GT] = ACTIONS(1325),
    [anon_sym_LT] = ACTIONS(1325),
    [anon_sym_GT_EQ] = ACTIONS(1323),
    [anon_sym_LT_EQ] = ACTIONS(1323),
    [anon_sym_EQ_EQ] = ACTIONS(1323),
    [anon_sym_BANG_EQ] = ACTIONS(1323),
    [anon_sym_AMP_AMP] = ACTIONS(1323),
    [anon_sym_PIPE_PIPE] = ACTIONS(1323),
    [anon_sym_PLUS] = ACTIONS(1325),
    [anon_sym_DASH] = ACTIONS(1325),
    [anon_sym_STAR] = ACTIONS(1325),
    [anon_sym_SLASH] = ACTIONS(1325),
    [anon_sym_PIPE] = ACTIONS(1325),
    [anon_sym_CARET] = ACTIONS(1323),
    [anon_sym_PERCENT] = ACTIONS(1323),
    [anon_sym_LT_LT] = ACTIONS(1323),
    [anon_sym_GT_GT] = ACTIONS(1325),
    [anon_sym_GT_GT_GT] = ACTIONS(1323),
    [anon_sym_in] = ACTIONS(1325),
    [anon_sym_STAR_STAR] = ACTIONS(1323),
    [anon_sym_instanceof] = ACTIONS(1325),
    [anon_sym_final] = ACTIONS(1325),
    [anon_sym_DASH_GT] = ACTIONS(1323),
    [anon_sym_COMMA] = ACTIONS(1323),
    [anon_sym_QMARK] = ACTIONS(1323),
    [anon_sym_BANG] = ACTIONS(1325),
    [anon_sym_TILDE] = ACTIONS(1323),
    [anon_sym_PLUS_PLUS] = ACTIONS(1323),
    [anon_sym_DASH_DASH] = ACTIONS(1323),
    [anon_sym_new] = ACTIONS(1325),
    [anon_sym_LBRACK] = ACTIONS(1323),
    [anon_sym_DOT] = ACTIONS(1325),
    [anon_sym_class] = ACTIONS(1325),
    [anon_sym_COLON_COLON] = ACTIONS(1323),
    [anon_sym_switch] = ACTIONS(1325),
    [anon_sym_LBRACE] = ACTIONS(1323),
    [anon_sym_default] = ACTIONS(1325),
    [sym_underscore_pattern] = ACTIONS(1325),
    [anon_sym_SEMI] = ACTIONS(1323),
    [anon_sym_assert] = ACTIONS(1325),
    [anon_sym_do] = ACTIONS(1325),
    [anon_sym_while] = ACTIONS(1325),
    [anon_sym_break] = ACTIONS(1325),
    [anon_sym_continue] = ACTIONS(1325),
    [anon_sym_return] = ACTIONS(1325),
    [anon_sym_yield] = ACTIONS(1325),
    [anon_sym_synchronized] = ACTIONS(1325),
    [anon_sym_throw] = ACTIONS(1325),
    [anon_sym_try] = ACTIONS(1325),
    [anon_sym_if] = ACTIONS(1325),
    [anon_sym_for] = ACTIONS(1325),
    [anon_sym_AT] = ACTIONS(1325),
    [anon_sym_open] = ACTIONS(1325),
    [anon_sym_module] = ACTIONS(1325),
    [anon_sym_static] = ACTIONS(1325),
    [anon_sym_with] = ACTIONS(1325),
    [anon_sym_package] = ACTIONS(1325),
    [anon_sym_import] = ACTIONS(1325),
    [anon_sym_enum] = ACTIONS(1325),
    [anon_sym_public] = ACTIONS(1325),
    [anon_sym_protected] = ACTIONS(1325),
    [anon_sym_private] = ACTIONS(1325),
    [anon_sym_abstract] = ACTIONS(1325),
    [anon_sym_strictfp] = ACTIONS(1325),
    [anon_sym_native] = ACTIONS(1325),
    [anon_sym_transient] = ACTIONS(1325),
    [anon_sym_volatile] = ACTIONS(1325),
    [anon_sym_sealed] = ACTIONS(1325),
    [anon_sym_non_DASHsealed] = ACTIONS(1323),
    [anon_sym_record] = ACTIONS(1325),
    [anon_sym_ATinterface] = ACTIONS(1323),
    [anon_sym_interface] = ACTIONS(1325),
    [anon_sym_byte] = ACTIONS(1325),
    [anon_sym_short] = ACTIONS(1325),
    [anon_sym_int] = ACTIONS(1325),
    [anon_sym_long] = ACTIONS(1325),
    [anon_sym_char] = ACTIONS(1325),
    [anon_sym_float] = ACTIONS(1325),
    [anon_sym_double] = ACTIONS(1325),
    [sym_boolean_type] = ACTIONS(1325),
    [sym_void_type] = ACTIONS(1325),
    [anon_sym_def] = ACTIONS(1325),
    [sym_this] = ACTIONS(1325),
    [sym_super] = ACTIONS(1325),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1323),
  },
  [472] = {
    [ts_builtin_sym_end] = ACTIONS(1219),
    [sym_identifier] = ACTIONS(1221),
    [sym_decimal_integer_literal] = ACTIONS(1221),
    [sym_hex_integer_literal] = ACTIONS(1221),
    [sym_octal_integer_literal] = ACTIONS(1221),
    [sym_binary_integer_literal] = ACTIONS(1219),
    [sym_decimal_floating_point_literal] = ACTIONS(1219),
    [sym_hex_floating_point_literal] = ACTIONS(1221),
    [sym_true] = ACTIONS(1221),
    [sym_false] = ACTIONS(1221),
    [sym_character_literal] = ACTIONS(1219),
    [anon_sym_DQUOTE] = ACTIONS(1221),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1219),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1219),
    [anon_sym_RBRACE] = ACTIONS(1219),
    [sym_null_literal] = ACTIONS(1221),
    [anon_sym_LPAREN] = ACTIONS(1219),
    [anon_sym_AMP] = ACTIONS(1221),
    [anon_sym_GT] = ACTIONS(1221),
    [anon_sym_LT] = ACTIONS(1221),
    [anon_sym_GT_EQ] = ACTIONS(1219),
    [anon_sym_LT_EQ] = ACTIONS(1219),
    [anon_sym_EQ_EQ] = ACTIONS(1219),
    [anon_sym_BANG_EQ] = ACTIONS(1219),
    [anon_sym_AMP_AMP] = ACTIONS(1219),
    [anon_sym_PIPE_PIPE] = ACTIONS(1219),
    [anon_sym_PLUS] = ACTIONS(1221),
    [anon_sym_DASH] = ACTIONS(1221),
    [anon_sym_STAR] = ACTIONS(1221),
    [anon_sym_SLASH] = ACTIONS(1221),
    [anon_sym_PIPE] = ACTIONS(1221),
    [anon_sym_CARET] = ACTIONS(1219),
    [anon_sym_PERCENT] = ACTIONS(1219),
    [anon_sym_LT_LT] = ACTIONS(1219),
    [anon_sym_GT_GT] = ACTIONS(1221),
    [anon_sym_GT_GT_GT] = ACTIONS(1219),
    [anon_sym_in] = ACTIONS(1221),
    [anon_sym_STAR_STAR] = ACTIONS(1219),
    [anon_sym_instanceof] = ACTIONS(1221),
    [anon_sym_final] = ACTIONS(1221),
    [anon_sym_DASH_GT] = ACTIONS(1219),
    [anon_sym_COMMA] = ACTIONS(1219),
    [anon_sym_QMARK] = ACTIONS(1219),
    [anon_sym_BANG] = ACTIONS(1221),
    [anon_sym_TILDE] = ACTIONS(1219),
    [anon_sym_PLUS_PLUS] = ACTIONS(1219),
    [anon_sym_DASH_DASH] = ACTIONS(1219),
    [anon_sym_new] = ACTIONS(1221),
    [anon_sym_LBRACK] = ACTIONS(1219),
    [anon_sym_DOT] = ACTIONS(1221),
    [anon_sym_class] = ACTIONS(1221),
    [anon_sym_COLON_COLON] = ACTIONS(1219),
    [anon_sym_switch] = ACTIONS(1221),
    [anon_sym_LBRACE] = ACTIONS(1219),
    [anon_sym_default] = ACTIONS(1221),
    [sym_underscore_pattern] = ACTIONS(1221),
    [anon_sym_SEMI] = ACTIONS(1219),
    [anon_sym_assert] = ACTIONS(1221),
    [anon_sym_do] = ACTIONS(1221),
    [anon_sym_while] = ACTIONS(1221),
    [anon_sym_break] = ACTIONS(1221),
    [anon_sym_continue] = ACTIONS(1221),
    [anon_sym_return] = ACTIONS(1221),
    [anon_sym_yield] = ACTIONS(1221),
    [anon_sym_synchronized] = ACTIONS(1221),
    [anon_sym_throw] = ACTIONS(1221),
    [anon_sym_try] = ACTIONS(1221),
    [anon_sym_if] = ACTIONS(1221),
    [anon_sym_for] = ACTIONS(1221),
    [anon_sym_AT] = ACTIONS(1221),
    [anon_sym_open] = ACTIONS(1221),
    [anon_sym_module] = ACTIONS(1221),
    [anon_sym_static] = ACTIONS(1221),
    [anon_sym_with] = ACTIONS(1221),
    [anon_sym_package] = ACTIONS(1221),
    [anon_sym_import] = ACTIONS(1221),
    [anon_sym_enum] = ACTIONS(1221),
    [anon_sym_public] = ACTIONS(1221),
    [anon_sym_protected] = ACTIONS(1221),
    [anon_sym_private] = ACTIONS(1221),
    [anon_sym_abstract] = ACTIONS(1221),
    [anon_sym_strictfp] = ACTIONS(1221),
    [anon_sym_native] = ACTIONS(1221),
    [anon_sym_transient] = ACTIONS(1221),
    [anon_sym_volatile] = ACTIONS(1221),
    [anon_sym_sealed] = ACTIONS(1221),
    [anon_sym_non_DASHsealed] = ACTIONS(1219),
    [anon_sym_record] = ACTIONS(1221),
    [anon_sym_ATinterface] = ACTIONS(1219),
    [anon_sym_interface] = ACTIONS(1221),
    [anon_sym_byte] = ACTIONS(1221),
    [anon_sym_short] = ACTIONS(1221),
    [anon_sym_int] = ACTIONS(1221),
    [anon_sym_long] = ACTIONS(1221),
    [anon_sym_char] = ACTIONS(1221),
    [anon_sym_float] = ACTIONS(1221),
    [anon_sym_double] = ACTIONS(1221),
    [sym_boolean_type] = ACTIONS(1221),
    [sym_void_type] = ACTIONS(1221),
    [anon_sym_def] = ACTIONS(1221),
    [sym_this] = ACTIONS(1221),
    [sym_super] = ACTIONS(1221),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1219),
  },
  [473] = {
    [sym_identifier] = ACTIONS(1622),
    [sym_decimal_integer_literal] = ACTIONS(1622),
    [sym_hex_integer_literal] = ACTIONS(1622),
    [sym_octal_integer_literal] = ACTIONS(1622),
    [sym_binary_integer_literal] = ACTIONS(1622),
    [sym_decimal_floating_point_literal] = ACTIONS(1622),
    [sym_hex_floating_point_literal] = ACTIONS(1622),
    [sym_true] = ACTIONS(1622),
    [sym_false] = ACTIONS(1622),
    [sym_character_literal] = ACTIONS(1622),
    [anon_sym_DQUOTE] = ACTIONS(1622),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1622),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1622),
    [anon_sym_RBRACE] = ACTIONS(1622),
    [sym_null_literal] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1521),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_AMP_AMP] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PERCENT] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1537),
    [anon_sym_GT_GT] = ACTIONS(1537),
    [anon_sym_GT_GT_GT] = ACTIONS(1537),
    [anon_sym_in] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1539),
    [anon_sym_final] = ACTIONS(1622),
    [anon_sym_DASH_GT] = ACTIONS(1622),
    [anon_sym_QMARK] = ACTIONS(1541),
    [anon_sym_BANG] = ACTIONS(1622),
    [anon_sym_TILDE] = ACTIONS(1622),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_new] = ACTIONS(1622),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [anon_sym_class] = ACTIONS(1622),
    [anon_sym_switch] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym_case] = ACTIONS(1622),
    [anon_sym_default] = ACTIONS(1622),
    [sym_underscore_pattern] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(1624),
    [aux_sym_expression_statement_token1] = ACTIONS(1626),
    [anon_sym_NULL] = ACTIONS(1624),
    [anon_sym_assert] = ACTIONS(1622),
    [anon_sym_do] = ACTIONS(1622),
    [anon_sym_while] = ACTIONS(1622),
    [anon_sym_break] = ACTIONS(1622),
    [anon_sym_continue] = ACTIONS(1622),
    [anon_sym_return] = ACTIONS(1622),
    [anon_sym_yield] = ACTIONS(1622),
    [anon_sym_synchronized] = ACTIONS(1622),
    [anon_sym_throw] = ACTIONS(1622),
    [anon_sym_try] = ACTIONS(1622),
    [anon_sym_if] = ACTIONS(1622),
    [anon_sym_else] = ACTIONS(1628),
    [anon_sym_for] = ACTIONS(1622),
    [anon_sym_AT] = ACTIONS(1622),
    [anon_sym_open] = ACTIONS(1622),
    [anon_sym_module] = ACTIONS(1622),
    [anon_sym_static] = ACTIONS(1622),
    [anon_sym_with] = ACTIONS(1622),
    [anon_sym_package] = ACTIONS(1622),
    [anon_sym_import] = ACTIONS(1622),
    [anon_sym_enum] = ACTIONS(1622),
    [anon_sym_public] = ACTIONS(1622),
    [anon_sym_protected] = ACTIONS(1622),
    [anon_sym_private] = ACTIONS(1622),
    [anon_sym_abstract] = ACTIONS(1622),
    [anon_sym_strictfp] = ACTIONS(1622),
    [anon_sym_native] = ACTIONS(1622),
    [anon_sym_transient] = ACTIONS(1622),
    [anon_sym_volatile] = ACTIONS(1622),
    [anon_sym_sealed] = ACTIONS(1622),
    [anon_sym_non_DASHsealed] = ACTIONS(1622),
    [anon_sym_record] = ACTIONS(1622),
    [anon_sym_ATinterface] = ACTIONS(1622),
    [anon_sym_interface] = ACTIONS(1622),
    [anon_sym_byte] = ACTIONS(1622),
    [anon_sym_short] = ACTIONS(1622),
    [anon_sym_int] = ACTIONS(1622),
    [anon_sym_long] = ACTIONS(1622),
    [anon_sym_char] = ACTIONS(1622),
    [anon_sym_float] = ACTIONS(1622),
    [anon_sym_double] = ACTIONS(1622),
    [sym_boolean_type] = ACTIONS(1622),
    [sym_void_type] = ACTIONS(1622),
    [anon_sym_def] = ACTIONS(1622),
    [sym_this] = ACTIONS(1622),
    [sym_super] = ACTIONS(1622),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1545),
  },
  [474] = {
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_identifier] = ACTIONS(1202),
    [sym_decimal_integer_literal] = ACTIONS(1202),
    [sym_hex_integer_literal] = ACTIONS(1202),
    [sym_octal_integer_literal] = ACTIONS(1202),
    [sym_binary_integer_literal] = ACTIONS(1200),
    [sym_decimal_floating_point_literal] = ACTIONS(1200),
    [sym_hex_floating_point_literal] = ACTIONS(1202),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1200),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_EQ_EQ] = ACTIONS(1200),
    [anon_sym_BANG_EQ] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_SLASH] = ACTIONS(1202),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_PERCENT] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1200),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1200),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_STAR_STAR] = ACTIONS(1200),
    [anon_sym_instanceof] = ACTIONS(1202),
    [anon_sym_final] = ACTIONS(1202),
    [anon_sym_DASH_GT] = ACTIONS(1200),
    [anon_sym_COMMA] = ACTIONS(1200),
    [anon_sym_QMARK] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1630),
    [anon_sym_DOT] = ACTIONS(1620),
    [anon_sym_class] = ACTIONS(1202),
    [anon_sym_COLON_COLON] = ACTIONS(1618),
    [anon_sym_switch] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1202),
    [sym_underscore_pattern] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1200),
    [anon_sym_assert] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1202),
    [anon_sym_while] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_yield] = ACTIONS(1202),
    [anon_sym_synchronized] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_try] = ACTIONS(1202),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [anon_sym_open] = ACTIONS(1202),
    [anon_sym_module] = ACTIONS(1202),
    [anon_sym_static] = ACTIONS(1202),
    [anon_sym_with] = ACTIONS(1202),
    [anon_sym_package] = ACTIONS(1202),
    [anon_sym_import] = ACTIONS(1202),
    [anon_sym_enum] = ACTIONS(1202),
    [anon_sym_public] = ACTIONS(1202),
    [anon_sym_protected] = ACTIONS(1202),
    [anon_sym_private] = ACTIONS(1202),
    [anon_sym_abstract] = ACTIONS(1202),
    [anon_sym_strictfp] = ACTIONS(1202),
    [anon_sym_native] = ACTIONS(1202),
    [anon_sym_transient] = ACTIONS(1202),
    [anon_sym_volatile] = ACTIONS(1202),
    [anon_sym_sealed] = ACTIONS(1202),
    [anon_sym_non_DASHsealed] = ACTIONS(1200),
    [anon_sym_record] = ACTIONS(1202),
    [anon_sym_ATinterface] = ACTIONS(1200),
    [anon_sym_interface] = ACTIONS(1202),
    [anon_sym_byte] = ACTIONS(1202),
    [anon_sym_short] = ACTIONS(1202),
    [anon_sym_int] = ACTIONS(1202),
    [anon_sym_long] = ACTIONS(1202),
    [anon_sym_char] = ACTIONS(1202),
    [anon_sym_float] = ACTIONS(1202),
    [anon_sym_double] = ACTIONS(1202),
    [sym_boolean_type] = ACTIONS(1202),
    [sym_void_type] = ACTIONS(1202),
    [anon_sym_def] = ACTIONS(1202),
    [sym_this] = ACTIONS(1202),
    [sym_super] = ACTIONS(1202),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1200),
  },
  [475] = {
    [ts_builtin_sym_end] = ACTIONS(1315),
    [sym_identifier] = ACTIONS(1317),
    [sym_decimal_integer_literal] = ACTIONS(1317),
    [sym_hex_integer_literal] = ACTIONS(1317),
    [sym_octal_integer_literal] = ACTIONS(1317),
    [sym_binary_integer_literal] = ACTIONS(1315),
    [sym_decimal_floating_point_literal] = ACTIONS(1315),
    [sym_hex_floating_point_literal] = ACTIONS(1317),
    [sym_true] = ACTIONS(1317),
    [sym_false] = ACTIONS(1317),
    [sym_character_literal] = ACTIONS(1315),
    [anon_sym_DQUOTE] = ACTIONS(1317),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1315),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1315),
    [anon_sym_RBRACE] = ACTIONS(1315),
    [sym_null_literal] = ACTIONS(1317),
    [anon_sym_LPAREN] = ACTIONS(1315),
    [anon_sym_AMP] = ACTIONS(1317),
    [anon_sym_GT] = ACTIONS(1317),
    [anon_sym_LT] = ACTIONS(1317),
    [anon_sym_GT_EQ] = ACTIONS(1315),
    [anon_sym_LT_EQ] = ACTIONS(1315),
    [anon_sym_EQ_EQ] = ACTIONS(1315),
    [anon_sym_BANG_EQ] = ACTIONS(1315),
    [anon_sym_AMP_AMP] = ACTIONS(1315),
    [anon_sym_PIPE_PIPE] = ACTIONS(1315),
    [anon_sym_PLUS] = ACTIONS(1317),
    [anon_sym_DASH] = ACTIONS(1317),
    [anon_sym_STAR] = ACTIONS(1317),
    [anon_sym_SLASH] = ACTIONS(1317),
    [anon_sym_PIPE] = ACTIONS(1317),
    [anon_sym_CARET] = ACTIONS(1315),
    [anon_sym_PERCENT] = ACTIONS(1315),
    [anon_sym_LT_LT] = ACTIONS(1315),
    [anon_sym_GT_GT] = ACTIONS(1317),
    [anon_sym_GT_GT_GT] = ACTIONS(1315),
    [anon_sym_in] = ACTIONS(1317),
    [anon_sym_STAR_STAR] = ACTIONS(1315),
    [anon_sym_instanceof] = ACTIONS(1317),
    [anon_sym_final] = ACTIONS(1317),
    [anon_sym_DASH_GT] = ACTIONS(1315),
    [anon_sym_COMMA] = ACTIONS(1315),
    [anon_sym_QMARK] = ACTIONS(1315),
    [anon_sym_BANG] = ACTIONS(1317),
    [anon_sym_TILDE] = ACTIONS(1315),
    [anon_sym_PLUS_PLUS] = ACTIONS(1315),
    [anon_sym_DASH_DASH] = ACTIONS(1315),
    [anon_sym_new] = ACTIONS(1317),
    [anon_sym_LBRACK] = ACTIONS(1315),
    [anon_sym_DOT] = ACTIONS(1317),
    [anon_sym_class] = ACTIONS(1317),
    [anon_sym_COLON_COLON] = ACTIONS(1315),
    [anon_sym_switch] = ACTIONS(1317),
    [anon_sym_LBRACE] = ACTIONS(1315),
    [anon_sym_default] = ACTIONS(1317),
    [sym_underscore_pattern] = ACTIONS(1317),
    [anon_sym_SEMI] = ACTIONS(1315),
    [anon_sym_assert] = ACTIONS(1317),
    [anon_sym_do] = ACTIONS(1317),
    [anon_sym_while] = ACTIONS(1317),
    [anon_sym_break] = ACTIONS(1317),
    [anon_sym_continue] = ACTIONS(1317),
    [anon_sym_return] = ACTIONS(1317),
    [anon_sym_yield] = ACTIONS(1317),
    [anon_sym_synchronized] = ACTIONS(1317),
    [anon_sym_throw] = ACTIONS(1317),
    [anon_sym_try] = ACTIONS(1317),
    [anon_sym_if] = ACTIONS(1317),
    [anon_sym_for] = ACTIONS(1317),
    [anon_sym_AT] = ACTIONS(1317),
    [anon_sym_open] = ACTIONS(1317),
    [anon_sym_module] = ACTIONS(1317),
    [anon_sym_static] = ACTIONS(1317),
    [anon_sym_with] = ACTIONS(1317),
    [anon_sym_package] = ACTIONS(1317),
    [anon_sym_import] = ACTIONS(1317),
    [anon_sym_enum] = ACTIONS(1317),
    [anon_sym_public] = ACTIONS(1317),
    [anon_sym_protected] = ACTIONS(1317),
    [anon_sym_private] = ACTIONS(1317),
    [anon_sym_abstract] = ACTIONS(1317),
    [anon_sym_strictfp] = ACTIONS(1317),
    [anon_sym_native] = ACTIONS(1317),
    [anon_sym_transient] = ACTIONS(1317),
    [anon_sym_volatile] = ACTIONS(1317),
    [anon_sym_sealed] = ACTIONS(1317),
    [anon_sym_non_DASHsealed] = ACTIONS(1315),
    [anon_sym_record] = ACTIONS(1317),
    [anon_sym_ATinterface] = ACTIONS(1315),
    [anon_sym_interface] = ACTIONS(1317),
    [anon_sym_byte] = ACTIONS(1317),
    [anon_sym_short] = ACTIONS(1317),
    [anon_sym_int] = ACTIONS(1317),
    [anon_sym_long] = ACTIONS(1317),
    [anon_sym_char] = ACTIONS(1317),
    [anon_sym_float] = ACTIONS(1317),
    [anon_sym_double] = ACTIONS(1317),
    [sym_boolean_type] = ACTIONS(1317),
    [sym_void_type] = ACTIONS(1317),
    [anon_sym_def] = ACTIONS(1317),
    [sym_this] = ACTIONS(1317),
    [sym_super] = ACTIONS(1317),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1315),
  },
  [476] = {
    [ts_builtin_sym_end] = ACTIONS(1243),
    [sym_identifier] = ACTIONS(1245),
    [sym_decimal_integer_literal] = ACTIONS(1245),
    [sym_hex_integer_literal] = ACTIONS(1245),
    [sym_octal_integer_literal] = ACTIONS(1245),
    [sym_binary_integer_literal] = ACTIONS(1243),
    [sym_decimal_floating_point_literal] = ACTIONS(1243),
    [sym_hex_floating_point_literal] = ACTIONS(1245),
    [sym_true] = ACTIONS(1245),
    [sym_false] = ACTIONS(1245),
    [sym_character_literal] = ACTIONS(1243),
    [anon_sym_DQUOTE] = ACTIONS(1245),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1243),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1243),
    [anon_sym_RBRACE] = ACTIONS(1243),
    [sym_null_literal] = ACTIONS(1245),
    [anon_sym_LPAREN] = ACTIONS(1243),
    [anon_sym_AMP] = ACTIONS(1245),
    [anon_sym_GT] = ACTIONS(1245),
    [anon_sym_LT] = ACTIONS(1245),
    [anon_sym_GT_EQ] = ACTIONS(1243),
    [anon_sym_LT_EQ] = ACTIONS(1243),
    [anon_sym_EQ_EQ] = ACTIONS(1243),
    [anon_sym_BANG_EQ] = ACTIONS(1243),
    [anon_sym_AMP_AMP] = ACTIONS(1243),
    [anon_sym_PIPE_PIPE] = ACTIONS(1243),
    [anon_sym_PLUS] = ACTIONS(1245),
    [anon_sym_DASH] = ACTIONS(1245),
    [anon_sym_STAR] = ACTIONS(1245),
    [anon_sym_SLASH] = ACTIONS(1245),
    [anon_sym_PIPE] = ACTIONS(1245),
    [anon_sym_CARET] = ACTIONS(1243),
    [anon_sym_PERCENT] = ACTIONS(1243),
    [anon_sym_LT_LT] = ACTIONS(1243),
    [anon_sym_GT_GT] = ACTIONS(1245),
    [anon_sym_GT_GT_GT] = ACTIONS(1243),
    [anon_sym_in] = ACTIONS(1245),
    [anon_sym_STAR_STAR] = ACTIONS(1243),
    [anon_sym_instanceof] = ACTIONS(1245),
    [anon_sym_final] = ACTIONS(1245),
    [anon_sym_DASH_GT] = ACTIONS(1243),
    [anon_sym_COMMA] = ACTIONS(1243),
    [anon_sym_QMARK] = ACTIONS(1243),
    [anon_sym_BANG] = ACTIONS(1245),
    [anon_sym_TILDE] = ACTIONS(1243),
    [anon_sym_PLUS_PLUS] = ACTIONS(1243),
    [anon_sym_DASH_DASH] = ACTIONS(1243),
    [anon_sym_new] = ACTIONS(1245),
    [anon_sym_LBRACK] = ACTIONS(1243),
    [anon_sym_DOT] = ACTIONS(1245),
    [anon_sym_class] = ACTIONS(1245),
    [anon_sym_COLON_COLON] = ACTIONS(1243),
    [anon_sym_switch] = ACTIONS(1245),
    [anon_sym_LBRACE] = ACTIONS(1243),
    [anon_sym_default] = ACTIONS(1245),
    [sym_underscore_pattern] = ACTIONS(1245),
    [anon_sym_SEMI] = ACTIONS(1243),
    [anon_sym_assert] = ACTIONS(1245),
    [anon_sym_do] = ACTIONS(1245),
    [anon_sym_while] = ACTIONS(1245),
    [anon_sym_break] = ACTIONS(1245),
    [anon_sym_continue] = ACTIONS(1245),
    [anon_sym_return] = ACTIONS(1245),
    [anon_sym_yield] = ACTIONS(1245),
    [anon_sym_synchronized] = ACTIONS(1245),
    [anon_sym_throw] = ACTIONS(1245),
    [anon_sym_try] = ACTIONS(1245),
    [anon_sym_if] = ACTIONS(1245),
    [anon_sym_for] = ACTIONS(1245),
    [anon_sym_AT] = ACTIONS(1245),
    [anon_sym_open] = ACTIONS(1245),
    [anon_sym_module] = ACTIONS(1245),
    [anon_sym_static] = ACTIONS(1245),
    [anon_sym_with] = ACTIONS(1245),
    [anon_sym_package] = ACTIONS(1245),
    [anon_sym_import] = ACTIONS(1245),
    [anon_sym_enum] = ACTIONS(1245),
    [anon_sym_public] = ACTIONS(1245),
    [anon_sym_protected] = ACTIONS(1245),
    [anon_sym_private] = ACTIONS(1245),
    [anon_sym_abstract] = ACTIONS(1245),
    [anon_sym_strictfp] = ACTIONS(1245),
    [anon_sym_native] = ACTIONS(1245),
    [anon_sym_transient] = ACTIONS(1245),
    [anon_sym_volatile] = ACTIONS(1245),
    [anon_sym_sealed] = ACTIONS(1245),
    [anon_sym_non_DASHsealed] = ACTIONS(1243),
    [anon_sym_record] = ACTIONS(1245),
    [anon_sym_ATinterface] = ACTIONS(1243),
    [anon_sym_interface] = ACTIONS(1245),
    [anon_sym_byte] = ACTIONS(1245),
    [anon_sym_short] = ACTIONS(1245),
    [anon_sym_int] = ACTIONS(1245),
    [anon_sym_long] = ACTIONS(1245),
    [anon_sym_char] = ACTIONS(1245),
    [anon_sym_float] = ACTIONS(1245),
    [anon_sym_double] = ACTIONS(1245),
    [sym_boolean_type] = ACTIONS(1245),
    [sym_void_type] = ACTIONS(1245),
    [anon_sym_def] = ACTIONS(1245),
    [sym_this] = ACTIONS(1245),
    [sym_super] = ACTIONS(1245),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1243),
  },
  [477] = {
    [ts_builtin_sym_end] = ACTIONS(1413),
    [sym_identifier] = ACTIONS(1415),
    [sym_decimal_integer_literal] = ACTIONS(1415),
    [sym_hex_integer_literal] = ACTIONS(1415),
    [sym_octal_integer_literal] = ACTIONS(1415),
    [sym_binary_integer_literal] = ACTIONS(1413),
    [sym_decimal_floating_point_literal] = ACTIONS(1413),
    [sym_hex_floating_point_literal] = ACTIONS(1415),
    [sym_true] = ACTIONS(1415),
    [sym_false] = ACTIONS(1415),
    [sym_character_literal] = ACTIONS(1413),
    [anon_sym_DQUOTE] = ACTIONS(1415),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1413),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1413),
    [anon_sym_RBRACE] = ACTIONS(1413),
    [sym_null_literal] = ACTIONS(1415),
    [anon_sym_LPAREN] = ACTIONS(1413),
    [anon_sym_AMP] = ACTIONS(1415),
    [anon_sym_GT] = ACTIONS(1415),
    [anon_sym_LT] = ACTIONS(1415),
    [anon_sym_GT_EQ] = ACTIONS(1413),
    [anon_sym_LT_EQ] = ACTIONS(1413),
    [anon_sym_EQ_EQ] = ACTIONS(1413),
    [anon_sym_BANG_EQ] = ACTIONS(1413),
    [anon_sym_AMP_AMP] = ACTIONS(1413),
    [anon_sym_PIPE_PIPE] = ACTIONS(1413),
    [anon_sym_PLUS] = ACTIONS(1415),
    [anon_sym_DASH] = ACTIONS(1415),
    [anon_sym_STAR] = ACTIONS(1415),
    [anon_sym_SLASH] = ACTIONS(1415),
    [anon_sym_PIPE] = ACTIONS(1415),
    [anon_sym_CARET] = ACTIONS(1413),
    [anon_sym_PERCENT] = ACTIONS(1413),
    [anon_sym_LT_LT] = ACTIONS(1413),
    [anon_sym_GT_GT] = ACTIONS(1415),
    [anon_sym_GT_GT_GT] = ACTIONS(1413),
    [anon_sym_in] = ACTIONS(1415),
    [anon_sym_STAR_STAR] = ACTIONS(1413),
    [anon_sym_instanceof] = ACTIONS(1415),
    [anon_sym_final] = ACTIONS(1415),
    [anon_sym_DASH_GT] = ACTIONS(1413),
    [anon_sym_COMMA] = ACTIONS(1413),
    [anon_sym_QMARK] = ACTIONS(1413),
    [anon_sym_BANG] = ACTIONS(1415),
    [anon_sym_TILDE] = ACTIONS(1413),
    [anon_sym_PLUS_PLUS] = ACTIONS(1413),
    [anon_sym_DASH_DASH] = ACTIONS(1413),
    [anon_sym_new] = ACTIONS(1415),
    [anon_sym_LBRACK] = ACTIONS(1413),
    [anon_sym_DOT] = ACTIONS(1415),
    [anon_sym_class] = ACTIONS(1415),
    [anon_sym_switch] = ACTIONS(1415),
    [anon_sym_LBRACE] = ACTIONS(1413),
    [anon_sym_default] = ACTIONS(1415),
    [sym_underscore_pattern] = ACTIONS(1415),
    [anon_sym_SEMI] = ACTIONS(1413),
    [anon_sym_assert] = ACTIONS(1415),
    [anon_sym_do] = ACTIONS(1415),
    [anon_sym_while] = ACTIONS(1415),
    [anon_sym_break] = ACTIONS(1415),
    [anon_sym_continue] = ACTIONS(1415),
    [anon_sym_return] = ACTIONS(1415),
    [anon_sym_yield] = ACTIONS(1415),
    [anon_sym_synchronized] = ACTIONS(1415),
    [anon_sym_throw] = ACTIONS(1415),
    [anon_sym_try] = ACTIONS(1415),
    [anon_sym_if] = ACTIONS(1415),
    [anon_sym_for] = ACTIONS(1415),
    [anon_sym_AT] = ACTIONS(1415),
    [anon_sym_open] = ACTIONS(1415),
    [anon_sym_module] = ACTIONS(1415),
    [anon_sym_static] = ACTIONS(1415),
    [anon_sym_with] = ACTIONS(1415),
    [anon_sym_package] = ACTIONS(1415),
    [anon_sym_import] = ACTIONS(1415),
    [anon_sym_enum] = ACTIONS(1415),
    [anon_sym_public] = ACTIONS(1415),
    [anon_sym_protected] = ACTIONS(1415),
    [anon_sym_private] = ACTIONS(1415),
    [anon_sym_abstract] = ACTIONS(1415),
    [anon_sym_strictfp] = ACTIONS(1415),
    [anon_sym_native] = ACTIONS(1415),
    [anon_sym_transient] = ACTIONS(1415),
    [anon_sym_volatile] = ACTIONS(1415),
    [anon_sym_sealed] = ACTIONS(1415),
    [anon_sym_non_DASHsealed] = ACTIONS(1413),
    [anon_sym_record] = ACTIONS(1415),
    [anon_sym_ATinterface] = ACTIONS(1413),
    [anon_sym_interface] = ACTIONS(1415),
    [anon_sym_byte] = ACTIONS(1415),
    [anon_sym_short] = ACTIONS(1415),
    [anon_sym_int] = ACTIONS(1415),
    [anon_sym_long] = ACTIONS(1415),
    [anon_sym_char] = ACTIONS(1415),
    [anon_sym_float] = ACTIONS(1415),
    [anon_sym_double] = ACTIONS(1415),
    [sym_boolean_type] = ACTIONS(1415),
    [sym_void_type] = ACTIONS(1415),
    [anon_sym_def] = ACTIONS(1415),
    [sym_this] = ACTIONS(1415),
    [sym_super] = ACTIONS(1415),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1413),
  },
  [478] = {
    [ts_builtin_sym_end] = ACTIONS(1417),
    [sym_identifier] = ACTIONS(1419),
    [sym_decimal_integer_literal] = ACTIONS(1419),
    [sym_hex_integer_literal] = ACTIONS(1419),
    [sym_octal_integer_literal] = ACTIONS(1419),
    [sym_binary_integer_literal] = ACTIONS(1417),
    [sym_decimal_floating_point_literal] = ACTIONS(1417),
    [sym_hex_floating_point_literal] = ACTIONS(1419),
    [sym_true] = ACTIONS(1419),
    [sym_false] = ACTIONS(1419),
    [sym_character_literal] = ACTIONS(1417),
    [anon_sym_DQUOTE] = ACTIONS(1419),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1417),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1417),
    [anon_sym_RBRACE] = ACTIONS(1417),
    [sym_null_literal] = ACTIONS(1419),
    [anon_sym_LPAREN] = ACTIONS(1417),
    [anon_sym_AMP] = ACTIONS(1419),
    [anon_sym_GT] = ACTIONS(1419),
    [anon_sym_LT] = ACTIONS(1419),
    [anon_sym_GT_EQ] = ACTIONS(1417),
    [anon_sym_LT_EQ] = ACTIONS(1417),
    [anon_sym_EQ_EQ] = ACTIONS(1417),
    [anon_sym_BANG_EQ] = ACTIONS(1417),
    [anon_sym_AMP_AMP] = ACTIONS(1417),
    [anon_sym_PIPE_PIPE] = ACTIONS(1417),
    [anon_sym_PLUS] = ACTIONS(1419),
    [anon_sym_DASH] = ACTIONS(1419),
    [anon_sym_STAR] = ACTIONS(1419),
    [anon_sym_SLASH] = ACTIONS(1419),
    [anon_sym_PIPE] = ACTIONS(1419),
    [anon_sym_CARET] = ACTIONS(1417),
    [anon_sym_PERCENT] = ACTIONS(1417),
    [anon_sym_LT_LT] = ACTIONS(1417),
    [anon_sym_GT_GT] = ACTIONS(1419),
    [anon_sym_GT_GT_GT] = ACTIONS(1417),
    [anon_sym_in] = ACTIONS(1419),
    [anon_sym_STAR_STAR] = ACTIONS(1417),
    [anon_sym_instanceof] = ACTIONS(1419),
    [anon_sym_final] = ACTIONS(1419),
    [anon_sym_DASH_GT] = ACTIONS(1417),
    [anon_sym_COMMA] = ACTIONS(1417),
    [anon_sym_QMARK] = ACTIONS(1417),
    [anon_sym_BANG] = ACTIONS(1419),
    [anon_sym_TILDE] = ACTIONS(1417),
    [anon_sym_PLUS_PLUS] = ACTIONS(1417),
    [anon_sym_DASH_DASH] = ACTIONS(1417),
    [anon_sym_new] = ACTIONS(1419),
    [anon_sym_LBRACK] = ACTIONS(1417),
    [anon_sym_DOT] = ACTIONS(1419),
    [anon_sym_class] = ACTIONS(1419),
    [anon_sym_switch] = ACTIONS(1419),
    [anon_sym_LBRACE] = ACTIONS(1417),
    [anon_sym_default] = ACTIONS(1419),
    [sym_underscore_pattern] = ACTIONS(1419),
    [anon_sym_SEMI] = ACTIONS(1417),
    [anon_sym_assert] = ACTIONS(1419),
    [anon_sym_do] = ACTIONS(1419),
    [anon_sym_while] = ACTIONS(1419),
    [anon_sym_break] = ACTIONS(1419),
    [anon_sym_continue] = ACTIONS(1419),
    [anon_sym_return] = ACTIONS(1419),
    [anon_sym_yield] = ACTIONS(1419),
    [anon_sym_synchronized] = ACTIONS(1419),
    [anon_sym_throw] = ACTIONS(1419),
    [anon_sym_try] = ACTIONS(1419),
    [anon_sym_if] = ACTIONS(1419),
    [anon_sym_for] = ACTIONS(1419),
    [anon_sym_AT] = ACTIONS(1419),
    [anon_sym_open] = ACTIONS(1419),
    [anon_sym_module] = ACTIONS(1419),
    [anon_sym_static] = ACTIONS(1419),
    [anon_sym_with] = ACTIONS(1419),
    [anon_sym_package] = ACTIONS(1419),
    [anon_sym_import] = ACTIONS(1419),
    [anon_sym_enum] = ACTIONS(1419),
    [anon_sym_public] = ACTIONS(1419),
    [anon_sym_protected] = ACTIONS(1419),
    [anon_sym_private] = ACTIONS(1419),
    [anon_sym_abstract] = ACTIONS(1419),
    [anon_sym_strictfp] = ACTIONS(1419),
    [anon_sym_native] = ACTIONS(1419),
    [anon_sym_transient] = ACTIONS(1419),
    [anon_sym_volatile] = ACTIONS(1419),
    [anon_sym_sealed] = ACTIONS(1419),
    [anon_sym_non_DASHsealed] = ACTIONS(1417),
    [anon_sym_record] = ACTIONS(1419),
    [anon_sym_ATinterface] = ACTIONS(1417),
    [anon_sym_interface] = ACTIONS(1419),
    [anon_sym_byte] = ACTIONS(1419),
    [anon_sym_short] = ACTIONS(1419),
    [anon_sym_int] = ACTIONS(1419),
    [anon_sym_long] = ACTIONS(1419),
    [anon_sym_char] = ACTIONS(1419),
    [anon_sym_float] = ACTIONS(1419),
    [anon_sym_double] = ACTIONS(1419),
    [sym_boolean_type] = ACTIONS(1419),
    [sym_void_type] = ACTIONS(1419),
    [anon_sym_def] = ACTIONS(1419),
    [sym_this] = ACTIONS(1419),
    [sym_super] = ACTIONS(1419),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1417),
  },
  [479] = {
    [ts_builtin_sym_end] = ACTIONS(1451),
    [sym_identifier] = ACTIONS(1453),
    [sym_decimal_integer_literal] = ACTIONS(1453),
    [sym_hex_integer_literal] = ACTIONS(1453),
    [sym_octal_integer_literal] = ACTIONS(1453),
    [sym_binary_integer_literal] = ACTIONS(1451),
    [sym_decimal_floating_point_literal] = ACTIONS(1451),
    [sym_hex_floating_point_literal] = ACTIONS(1453),
    [sym_true] = ACTIONS(1453),
    [sym_false] = ACTIONS(1453),
    [sym_character_literal] = ACTIONS(1451),
    [anon_sym_DQUOTE] = ACTIONS(1453),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1451),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1451),
    [anon_sym_RBRACE] = ACTIONS(1451),
    [sym_null_literal] = ACTIONS(1453),
    [anon_sym_LPAREN] = ACTIONS(1451),
    [anon_sym_AMP] = ACTIONS(1453),
    [anon_sym_GT] = ACTIONS(1453),
    [anon_sym_LT] = ACTIONS(1453),
    [anon_sym_GT_EQ] = ACTIONS(1451),
    [anon_sym_LT_EQ] = ACTIONS(1451),
    [anon_sym_EQ_EQ] = ACTIONS(1451),
    [anon_sym_BANG_EQ] = ACTIONS(1451),
    [anon_sym_AMP_AMP] = ACTIONS(1451),
    [anon_sym_PIPE_PIPE] = ACTIONS(1451),
    [anon_sym_PLUS] = ACTIONS(1453),
    [anon_sym_DASH] = ACTIONS(1453),
    [anon_sym_STAR] = ACTIONS(1453),
    [anon_sym_SLASH] = ACTIONS(1453),
    [anon_sym_PIPE] = ACTIONS(1453),
    [anon_sym_CARET] = ACTIONS(1451),
    [anon_sym_PERCENT] = ACTIONS(1451),
    [anon_sym_LT_LT] = ACTIONS(1451),
    [anon_sym_GT_GT] = ACTIONS(1453),
    [anon_sym_GT_GT_GT] = ACTIONS(1451),
    [anon_sym_in] = ACTIONS(1453),
    [anon_sym_STAR_STAR] = ACTIONS(1451),
    [anon_sym_instanceof] = ACTIONS(1453),
    [anon_sym_final] = ACTIONS(1453),
    [anon_sym_DASH_GT] = ACTIONS(1451),
    [anon_sym_COMMA] = ACTIONS(1451),
    [anon_sym_QMARK] = ACTIONS(1451),
    [anon_sym_BANG] = ACTIONS(1453),
    [anon_sym_TILDE] = ACTIONS(1451),
    [anon_sym_PLUS_PLUS] = ACTIONS(1451),
    [anon_sym_DASH_DASH] = ACTIONS(1451),
    [anon_sym_new] = ACTIONS(1453),
    [anon_sym_LBRACK] = ACTIONS(1451),
    [anon_sym_DOT] = ACTIONS(1453),
    [anon_sym_class] = ACTIONS(1453),
    [anon_sym_switch] = ACTIONS(1453),
    [anon_sym_LBRACE] = ACTIONS(1451),
    [anon_sym_default] = ACTIONS(1453),
    [sym_underscore_pattern] = ACTIONS(1453),
    [anon_sym_SEMI] = ACTIONS(1451),
    [anon_sym_assert] = ACTIONS(1453),
    [anon_sym_do] = ACTIONS(1453),
    [anon_sym_while] = ACTIONS(1453),
    [anon_sym_break] = ACTIONS(1453),
    [anon_sym_continue] = ACTIONS(1453),
    [anon_sym_return] = ACTIONS(1453),
    [anon_sym_yield] = ACTIONS(1453),
    [anon_sym_synchronized] = ACTIONS(1453),
    [anon_sym_throw] = ACTIONS(1453),
    [anon_sym_try] = ACTIONS(1453),
    [anon_sym_if] = ACTIONS(1453),
    [anon_sym_for] = ACTIONS(1453),
    [anon_sym_AT] = ACTIONS(1453),
    [anon_sym_open] = ACTIONS(1453),
    [anon_sym_module] = ACTIONS(1453),
    [anon_sym_static] = ACTIONS(1453),
    [anon_sym_with] = ACTIONS(1453),
    [anon_sym_package] = ACTIONS(1453),
    [anon_sym_import] = ACTIONS(1453),
    [anon_sym_enum] = ACTIONS(1453),
    [anon_sym_public] = ACTIONS(1453),
    [anon_sym_protected] = ACTIONS(1453),
    [anon_sym_private] = ACTIONS(1453),
    [anon_sym_abstract] = ACTIONS(1453),
    [anon_sym_strictfp] = ACTIONS(1453),
    [anon_sym_native] = ACTIONS(1453),
    [anon_sym_transient] = ACTIONS(1453),
    [anon_sym_volatile] = ACTIONS(1453),
    [anon_sym_sealed] = ACTIONS(1453),
    [anon_sym_non_DASHsealed] = ACTIONS(1451),
    [anon_sym_record] = ACTIONS(1453),
    [anon_sym_ATinterface] = ACTIONS(1451),
    [anon_sym_interface] = ACTIONS(1453),
    [anon_sym_byte] = ACTIONS(1453),
    [anon_sym_short] = ACTIONS(1453),
    [anon_sym_int] = ACTIONS(1453),
    [anon_sym_long] = ACTIONS(1453),
    [anon_sym_char] = ACTIONS(1453),
    [anon_sym_float] = ACTIONS(1453),
    [anon_sym_double] = ACTIONS(1453),
    [sym_boolean_type] = ACTIONS(1453),
    [sym_void_type] = ACTIONS(1453),
    [anon_sym_def] = ACTIONS(1453),
    [sym_this] = ACTIONS(1453),
    [sym_super] = ACTIONS(1453),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1451),
  },
  [480] = {
    [sym_identifier] = ACTIONS(1607),
    [sym_decimal_integer_literal] = ACTIONS(1607),
    [sym_hex_integer_literal] = ACTIONS(1607),
    [sym_octal_integer_literal] = ACTIONS(1607),
    [sym_binary_integer_literal] = ACTIONS(1607),
    [sym_decimal_floating_point_literal] = ACTIONS(1607),
    [sym_hex_floating_point_literal] = ACTIONS(1607),
    [sym_true] = ACTIONS(1607),
    [sym_false] = ACTIONS(1607),
    [sym_character_literal] = ACTIONS(1607),
    [anon_sym_DQUOTE] = ACTIONS(1607),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1607),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1607),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [sym_null_literal] = ACTIONS(1607),
    [anon_sym_LPAREN] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_GT] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1225),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_PIPE] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1225),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1225),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_in] = ACTIONS(1225),
    [anon_sym_STAR_STAR] = ACTIONS(1225),
    [anon_sym_instanceof] = ACTIONS(1225),
    [anon_sym_final] = ACTIONS(1607),
    [anon_sym_DASH_GT] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_QMARK] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1225),
    [anon_sym_DASH_DASH] = ACTIONS(1225),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_class] = ACTIONS(1607),
    [anon_sym_switch] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1607),
    [anon_sym_default] = ACTIONS(1607),
    [sym_underscore_pattern] = ACTIONS(1607),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_expression_statement_token1] = ACTIONS(1223),
    [anon_sym_NULL] = ACTIONS(1225),
    [anon_sym_assert] = ACTIONS(1607),
    [anon_sym_do] = ACTIONS(1607),
    [anon_sym_while] = ACTIONS(1607),
    [anon_sym_break] = ACTIONS(1607),
    [anon_sym_continue] = ACTIONS(1607),
    [anon_sym_return] = ACTIONS(1607),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_synchronized] = ACTIONS(1607),
    [anon_sym_throw] = ACTIONS(1607),
    [anon_sym_try] = ACTIONS(1607),
    [anon_sym_if] = ACTIONS(1607),
    [anon_sym_for] = ACTIONS(1607),
    [anon_sym_AT] = ACTIONS(1607),
    [anon_sym_open] = ACTIONS(1607),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_static] = ACTIONS(1607),
    [anon_sym_with] = ACTIONS(1607),
    [anon_sym_package] = ACTIONS(1607),
    [anon_sym_import] = ACTIONS(1607),
    [anon_sym_enum] = ACTIONS(1607),
    [anon_sym_public] = ACTIONS(1607),
    [anon_sym_protected] = ACTIONS(1607),
    [anon_sym_private] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1607),
    [anon_sym_strictfp] = ACTIONS(1607),
    [anon_sym_native] = ACTIONS(1607),
    [anon_sym_transient] = ACTIONS(1607),
    [anon_sym_volatile] = ACTIONS(1607),
    [anon_sym_sealed] = ACTIONS(1607),
    [anon_sym_non_DASHsealed] = ACTIONS(1607),
    [anon_sym_record] = ACTIONS(1607),
    [anon_sym_ATinterface] = ACTIONS(1607),
    [anon_sym_interface] = ACTIONS(1607),
    [anon_sym_byte] = ACTIONS(1607),
    [anon_sym_short] = ACTIONS(1607),
    [anon_sym_int] = ACTIONS(1607),
    [anon_sym_long] = ACTIONS(1607),
    [anon_sym_char] = ACTIONS(1607),
    [anon_sym_float] = ACTIONS(1607),
    [anon_sym_double] = ACTIONS(1607),
    [sym_boolean_type] = ACTIONS(1607),
    [sym_void_type] = ACTIONS(1607),
    [anon_sym_def] = ACTIONS(1607),
    [sym_this] = ACTIONS(1607),
    [sym_super] = ACTIONS(1607),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1225),
  },
  [481] = {
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_identifier] = ACTIONS(1146),
    [sym_decimal_integer_literal] = ACTIONS(1146),
    [sym_hex_integer_literal] = ACTIONS(1146),
    [sym_octal_integer_literal] = ACTIONS(1146),
    [sym_binary_integer_literal] = ACTIONS(1144),
    [sym_decimal_floating_point_literal] = ACTIONS(1144),
    [sym_hex_floating_point_literal] = ACTIONS(1146),
    [sym_true] = ACTIONS(1146),
    [sym_false] = ACTIONS(1146),
    [sym_character_literal] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1144),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [sym_null_literal] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_AMP] = ACTIONS(1146),
    [anon_sym_GT] = ACTIONS(1146),
    [anon_sym_LT] = ACTIONS(1146),
    [anon_sym_GT_EQ] = ACTIONS(1144),
    [anon_sym_LT_EQ] = ACTIONS(1144),
    [anon_sym_EQ_EQ] = ACTIONS(1144),
    [anon_sym_BANG_EQ] = ACTIONS(1144),
    [anon_sym_AMP_AMP] = ACTIONS(1144),
    [anon_sym_PIPE_PIPE] = ACTIONS(1144),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1146),
    [anon_sym_SLASH] = ACTIONS(1146),
    [anon_sym_PIPE] = ACTIONS(1146),
    [anon_sym_CARET] = ACTIONS(1144),
    [anon_sym_PERCENT] = ACTIONS(1144),
    [anon_sym_LT_LT] = ACTIONS(1144),
    [anon_sym_GT_GT] = ACTIONS(1146),
    [anon_sym_GT_GT_GT] = ACTIONS(1144),
    [anon_sym_in] = ACTIONS(1146),
    [anon_sym_STAR_STAR] = ACTIONS(1144),
    [anon_sym_instanceof] = ACTIONS(1146),
    [anon_sym_final] = ACTIONS(1146),
    [anon_sym_DASH_GT] = ACTIONS(1144),
    [anon_sym_COMMA] = ACTIONS(1144),
    [anon_sym_QMARK] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_new] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_DOT] = ACTIONS(1602),
    [anon_sym_class] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1146),
    [sym_underscore_pattern] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1144),
    [anon_sym_assert] = ACTIONS(1146),
    [anon_sym_do] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1146),
    [anon_sym_break] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1146),
    [anon_sym_return] = ACTIONS(1146),
    [anon_sym_yield] = ACTIONS(1146),
    [anon_sym_synchronized] = ACTIONS(1146),
    [anon_sym_throw] = ACTIONS(1146),
    [anon_sym_try] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1146),
    [anon_sym_for] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1146),
    [anon_sym_open] = ACTIONS(1146),
    [anon_sym_module] = ACTIONS(1146),
    [anon_sym_static] = ACTIONS(1146),
    [anon_sym_with] = ACTIONS(1146),
    [anon_sym_package] = ACTIONS(1146),
    [anon_sym_import] = ACTIONS(1146),
    [anon_sym_enum] = ACTIONS(1146),
    [anon_sym_public] = ACTIONS(1146),
    [anon_sym_protected] = ACTIONS(1146),
    [anon_sym_private] = ACTIONS(1146),
    [anon_sym_abstract] = ACTIONS(1146),
    [anon_sym_strictfp] = ACTIONS(1146),
    [anon_sym_native] = ACTIONS(1146),
    [anon_sym_transient] = ACTIONS(1146),
    [anon_sym_volatile] = ACTIONS(1146),
    [anon_sym_sealed] = ACTIONS(1146),
    [anon_sym_non_DASHsealed] = ACTIONS(1144),
    [anon_sym_record] = ACTIONS(1146),
    [anon_sym_ATinterface] = ACTIONS(1144),
    [anon_sym_interface] = ACTIONS(1146),
    [anon_sym_byte] = ACTIONS(1146),
    [anon_sym_short] = ACTIONS(1146),
    [anon_sym_int] = ACTIONS(1146),
    [anon_sym_long] = ACTIONS(1146),
    [anon_sym_char] = ACTIONS(1146),
    [anon_sym_float] = ACTIONS(1146),
    [anon_sym_double] = ACTIONS(1146),
    [sym_boolean_type] = ACTIONS(1146),
    [sym_void_type] = ACTIONS(1146),
    [anon_sym_def] = ACTIONS(1146),
    [sym_this] = ACTIONS(1146),
    [sym_super] = ACTIONS(1146),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1144),
  },
  [482] = {
    [ts_builtin_sym_end] = ACTIONS(1433),
    [sym_identifier] = ACTIONS(1435),
    [sym_decimal_integer_literal] = ACTIONS(1435),
    [sym_hex_integer_literal] = ACTIONS(1435),
    [sym_octal_integer_literal] = ACTIONS(1435),
    [sym_binary_integer_literal] = ACTIONS(1433),
    [sym_decimal_floating_point_literal] = ACTIONS(1433),
    [sym_hex_floating_point_literal] = ACTIONS(1435),
    [sym_true] = ACTIONS(1435),
    [sym_false] = ACTIONS(1435),
    [sym_character_literal] = ACTIONS(1433),
    [anon_sym_DQUOTE] = ACTIONS(1435),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1433),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1433),
    [anon_sym_RBRACE] = ACTIONS(1433),
    [sym_null_literal] = ACTIONS(1435),
    [anon_sym_LPAREN] = ACTIONS(1433),
    [anon_sym_AMP] = ACTIONS(1435),
    [anon_sym_GT] = ACTIONS(1435),
    [anon_sym_LT] = ACTIONS(1435),
    [anon_sym_GT_EQ] = ACTIONS(1433),
    [anon_sym_LT_EQ] = ACTIONS(1433),
    [anon_sym_EQ_EQ] = ACTIONS(1433),
    [anon_sym_BANG_EQ] = ACTIONS(1433),
    [anon_sym_AMP_AMP] = ACTIONS(1433),
    [anon_sym_PIPE_PIPE] = ACTIONS(1433),
    [anon_sym_PLUS] = ACTIONS(1435),
    [anon_sym_DASH] = ACTIONS(1435),
    [anon_sym_STAR] = ACTIONS(1435),
    [anon_sym_SLASH] = ACTIONS(1435),
    [anon_sym_PIPE] = ACTIONS(1435),
    [anon_sym_CARET] = ACTIONS(1433),
    [anon_sym_PERCENT] = ACTIONS(1433),
    [anon_sym_LT_LT] = ACTIONS(1433),
    [anon_sym_GT_GT] = ACTIONS(1435),
    [anon_sym_GT_GT_GT] = ACTIONS(1433),
    [anon_sym_in] = ACTIONS(1435),
    [anon_sym_STAR_STAR] = ACTIONS(1433),
    [anon_sym_instanceof] = ACTIONS(1435),
    [anon_sym_final] = ACTIONS(1435),
    [anon_sym_DASH_GT] = ACTIONS(1433),
    [anon_sym_COMMA] = ACTIONS(1433),
    [anon_sym_QMARK] = ACTIONS(1433),
    [anon_sym_BANG] = ACTIONS(1435),
    [anon_sym_TILDE] = ACTIONS(1433),
    [anon_sym_PLUS_PLUS] = ACTIONS(1433),
    [anon_sym_DASH_DASH] = ACTIONS(1433),
    [anon_sym_new] = ACTIONS(1435),
    [anon_sym_LBRACK] = ACTIONS(1433),
    [anon_sym_DOT] = ACTIONS(1435),
    [anon_sym_class] = ACTIONS(1435),
    [anon_sym_switch] = ACTIONS(1435),
    [anon_sym_LBRACE] = ACTIONS(1433),
    [anon_sym_default] = ACTIONS(1435),
    [sym_underscore_pattern] = ACTIONS(1435),
    [anon_sym_SEMI] = ACTIONS(1433),
    [anon_sym_assert] = ACTIONS(1435),
    [anon_sym_do] = ACTIONS(1435),
    [anon_sym_while] = ACTIONS(1435),
    [anon_sym_break] = ACTIONS(1435),
    [anon_sym_continue] = ACTIONS(1435),
    [anon_sym_return] = ACTIONS(1435),
    [anon_sym_yield] = ACTIONS(1435),
    [anon_sym_synchronized] = ACTIONS(1435),
    [anon_sym_throw] = ACTIONS(1435),
    [anon_sym_try] = ACTIONS(1435),
    [anon_sym_if] = ACTIONS(1435),
    [anon_sym_for] = ACTIONS(1435),
    [anon_sym_AT] = ACTIONS(1435),
    [anon_sym_open] = ACTIONS(1435),
    [anon_sym_module] = ACTIONS(1435),
    [anon_sym_static] = ACTIONS(1435),
    [anon_sym_with] = ACTIONS(1435),
    [anon_sym_package] = ACTIONS(1435),
    [anon_sym_import] = ACTIONS(1435),
    [anon_sym_enum] = ACTIONS(1435),
    [anon_sym_public] = ACTIONS(1435),
    [anon_sym_protected] = ACTIONS(1435),
    [anon_sym_private] = ACTIONS(1435),
    [anon_sym_abstract] = ACTIONS(1435),
    [anon_sym_strictfp] = ACTIONS(1435),
    [anon_sym_native] = ACTIONS(1435),
    [anon_sym_transient] = ACTIONS(1435),
    [anon_sym_volatile] = ACTIONS(1435),
    [anon_sym_sealed] = ACTIONS(1435),
    [anon_sym_non_DASHsealed] = ACTIONS(1433),
    [anon_sym_record] = ACTIONS(1435),
    [anon_sym_ATinterface] = ACTIONS(1433),
    [anon_sym_interface] = ACTIONS(1435),
    [anon_sym_byte] = ACTIONS(1435),
    [anon_sym_short] = ACTIONS(1435),
    [anon_sym_int] = ACTIONS(1435),
    [anon_sym_long] = ACTIONS(1435),
    [anon_sym_char] = ACTIONS(1435),
    [anon_sym_float] = ACTIONS(1435),
    [anon_sym_double] = ACTIONS(1435),
    [sym_boolean_type] = ACTIONS(1435),
    [sym_void_type] = ACTIONS(1435),
    [anon_sym_def] = ACTIONS(1435),
    [sym_this] = ACTIONS(1435),
    [sym_super] = ACTIONS(1435),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1433),
  },
  [483] = {
    [ts_builtin_sym_end] = ACTIONS(1421),
    [sym_identifier] = ACTIONS(1423),
    [sym_decimal_integer_literal] = ACTIONS(1423),
    [sym_hex_integer_literal] = ACTIONS(1423),
    [sym_octal_integer_literal] = ACTIONS(1423),
    [sym_binary_integer_literal] = ACTIONS(1421),
    [sym_decimal_floating_point_literal] = ACTIONS(1421),
    [sym_hex_floating_point_literal] = ACTIONS(1423),
    [sym_true] = ACTIONS(1423),
    [sym_false] = ACTIONS(1423),
    [sym_character_literal] = ACTIONS(1421),
    [anon_sym_DQUOTE] = ACTIONS(1423),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1421),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1421),
    [anon_sym_RBRACE] = ACTIONS(1421),
    [sym_null_literal] = ACTIONS(1423),
    [anon_sym_LPAREN] = ACTIONS(1421),
    [anon_sym_AMP] = ACTIONS(1423),
    [anon_sym_GT] = ACTIONS(1423),
    [anon_sym_LT] = ACTIONS(1423),
    [anon_sym_GT_EQ] = ACTIONS(1421),
    [anon_sym_LT_EQ] = ACTIONS(1421),
    [anon_sym_EQ_EQ] = ACTIONS(1421),
    [anon_sym_BANG_EQ] = ACTIONS(1421),
    [anon_sym_AMP_AMP] = ACTIONS(1421),
    [anon_sym_PIPE_PIPE] = ACTIONS(1421),
    [anon_sym_PLUS] = ACTIONS(1423),
    [anon_sym_DASH] = ACTIONS(1423),
    [anon_sym_STAR] = ACTIONS(1423),
    [anon_sym_SLASH] = ACTIONS(1423),
    [anon_sym_PIPE] = ACTIONS(1423),
    [anon_sym_CARET] = ACTIONS(1421),
    [anon_sym_PERCENT] = ACTIONS(1421),
    [anon_sym_LT_LT] = ACTIONS(1421),
    [anon_sym_GT_GT] = ACTIONS(1423),
    [anon_sym_GT_GT_GT] = ACTIONS(1421),
    [anon_sym_in] = ACTIONS(1423),
    [anon_sym_STAR_STAR] = ACTIONS(1421),
    [anon_sym_instanceof] = ACTIONS(1423),
    [anon_sym_final] = ACTIONS(1423),
    [anon_sym_DASH_GT] = ACTIONS(1421),
    [anon_sym_COMMA] = ACTIONS(1421),
    [anon_sym_QMARK] = ACTIONS(1421),
    [anon_sym_BANG] = ACTIONS(1423),
    [anon_sym_TILDE] = ACTIONS(1421),
    [anon_sym_PLUS_PLUS] = ACTIONS(1421),
    [anon_sym_DASH_DASH] = ACTIONS(1421),
    [anon_sym_new] = ACTIONS(1423),
    [anon_sym_LBRACK] = ACTIONS(1421),
    [anon_sym_DOT] = ACTIONS(1423),
    [anon_sym_class] = ACTIONS(1423),
    [anon_sym_switch] = ACTIONS(1423),
    [anon_sym_LBRACE] = ACTIONS(1421),
    [anon_sym_default] = ACTIONS(1423),
    [sym_underscore_pattern] = ACTIONS(1423),
    [anon_sym_SEMI] = ACTIONS(1421),
    [anon_sym_assert] = ACTIONS(1423),
    [anon_sym_do] = ACTIONS(1423),
    [anon_sym_while] = ACTIONS(1423),
    [anon_sym_break] = ACTIONS(1423),
    [anon_sym_continue] = ACTIONS(1423),
    [anon_sym_return] = ACTIONS(1423),
    [anon_sym_yield] = ACTIONS(1423),
    [anon_sym_synchronized] = ACTIONS(1423),
    [anon_sym_throw] = ACTIONS(1423),
    [anon_sym_try] = ACTIONS(1423),
    [anon_sym_if] = ACTIONS(1423),
    [anon_sym_for] = ACTIONS(1423),
    [anon_sym_AT] = ACTIONS(1423),
    [anon_sym_open] = ACTIONS(1423),
    [anon_sym_module] = ACTIONS(1423),
    [anon_sym_static] = ACTIONS(1423),
    [anon_sym_with] = ACTIONS(1423),
    [anon_sym_package] = ACTIONS(1423),
    [anon_sym_import] = ACTIONS(1423),
    [anon_sym_enum] = ACTIONS(1423),
    [anon_sym_public] = ACTIONS(1423),
    [anon_sym_protected] = ACTIONS(1423),
    [anon_sym_private] = ACTIONS(1423),
    [anon_sym_abstract] = ACTIONS(1423),
    [anon_sym_strictfp] = ACTIONS(1423),
    [anon_sym_native] = ACTIONS(1423),
    [anon_sym_transient] = ACTIONS(1423),
    [anon_sym_volatile] = ACTIONS(1423),
    [anon_sym_sealed] = ACTIONS(1423),
    [anon_sym_non_DASHsealed] = ACTIONS(1421),
    [anon_sym_record] = ACTIONS(1423),
    [anon_sym_ATinterface] = ACTIONS(1421),
    [anon_sym_interface] = ACTIONS(1423),
    [anon_sym_byte] = ACTIONS(1423),
    [anon_sym_short] = ACTIONS(1423),
    [anon_sym_int] = ACTIONS(1423),
    [anon_sym_long] = ACTIONS(1423),
    [anon_sym_char] = ACTIONS(1423),
    [anon_sym_float] = ACTIONS(1423),
    [anon_sym_double] = ACTIONS(1423),
    [sym_boolean_type] = ACTIONS(1423),
    [sym_void_type] = ACTIONS(1423),
    [anon_sym_def] = ACTIONS(1423),
    [sym_this] = ACTIONS(1423),
    [sym_super] = ACTIONS(1423),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1421),
  },
  [484] = {
    [ts_builtin_sym_end] = ACTIONS(1447),
    [sym_identifier] = ACTIONS(1449),
    [sym_decimal_integer_literal] = ACTIONS(1449),
    [sym_hex_integer_literal] = ACTIONS(1449),
    [sym_octal_integer_literal] = ACTIONS(1449),
    [sym_binary_integer_literal] = ACTIONS(1447),
    [sym_decimal_floating_point_literal] = ACTIONS(1447),
    [sym_hex_floating_point_literal] = ACTIONS(1449),
    [sym_true] = ACTIONS(1449),
    [sym_false] = ACTIONS(1449),
    [sym_character_literal] = ACTIONS(1447),
    [anon_sym_DQUOTE] = ACTIONS(1449),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1447),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1447),
    [anon_sym_RBRACE] = ACTIONS(1447),
    [sym_null_literal] = ACTIONS(1449),
    [anon_sym_LPAREN] = ACTIONS(1447),
    [anon_sym_AMP] = ACTIONS(1449),
    [anon_sym_GT] = ACTIONS(1449),
    [anon_sym_LT] = ACTIONS(1449),
    [anon_sym_GT_EQ] = ACTIONS(1447),
    [anon_sym_LT_EQ] = ACTIONS(1447),
    [anon_sym_EQ_EQ] = ACTIONS(1447),
    [anon_sym_BANG_EQ] = ACTIONS(1447),
    [anon_sym_AMP_AMP] = ACTIONS(1447),
    [anon_sym_PIPE_PIPE] = ACTIONS(1447),
    [anon_sym_PLUS] = ACTIONS(1449),
    [anon_sym_DASH] = ACTIONS(1449),
    [anon_sym_STAR] = ACTIONS(1449),
    [anon_sym_SLASH] = ACTIONS(1449),
    [anon_sym_PIPE] = ACTIONS(1449),
    [anon_sym_CARET] = ACTIONS(1447),
    [anon_sym_PERCENT] = ACTIONS(1447),
    [anon_sym_LT_LT] = ACTIONS(1447),
    [anon_sym_GT_GT] = ACTIONS(1449),
    [anon_sym_GT_GT_GT] = ACTIONS(1447),
    [anon_sym_in] = ACTIONS(1449),
    [anon_sym_STAR_STAR] = ACTIONS(1447),
    [anon_sym_instanceof] = ACTIONS(1449),
    [anon_sym_final] = ACTIONS(1449),
    [anon_sym_DASH_GT] = ACTIONS(1447),
    [anon_sym_COMMA] = ACTIONS(1447),
    [anon_sym_QMARK] = ACTIONS(1447),
    [anon_sym_BANG] = ACTIONS(1449),
    [anon_sym_TILDE] = ACTIONS(1447),
    [anon_sym_PLUS_PLUS] = ACTIONS(1447),
    [anon_sym_DASH_DASH] = ACTIONS(1447),
    [anon_sym_new] = ACTIONS(1449),
    [anon_sym_LBRACK] = ACTIONS(1447),
    [anon_sym_DOT] = ACTIONS(1449),
    [anon_sym_class] = ACTIONS(1449),
    [anon_sym_switch] = ACTIONS(1449),
    [anon_sym_LBRACE] = ACTIONS(1447),
    [anon_sym_default] = ACTIONS(1449),
    [sym_underscore_pattern] = ACTIONS(1449),
    [anon_sym_SEMI] = ACTIONS(1447),
    [anon_sym_assert] = ACTIONS(1449),
    [anon_sym_do] = ACTIONS(1449),
    [anon_sym_while] = ACTIONS(1449),
    [anon_sym_break] = ACTIONS(1449),
    [anon_sym_continue] = ACTIONS(1449),
    [anon_sym_return] = ACTIONS(1449),
    [anon_sym_yield] = ACTIONS(1449),
    [anon_sym_synchronized] = ACTIONS(1449),
    [anon_sym_throw] = ACTIONS(1449),
    [anon_sym_try] = ACTIONS(1449),
    [anon_sym_if] = ACTIONS(1449),
    [anon_sym_for] = ACTIONS(1449),
    [anon_sym_AT] = ACTIONS(1449),
    [anon_sym_open] = ACTIONS(1449),
    [anon_sym_module] = ACTIONS(1449),
    [anon_sym_static] = ACTIONS(1449),
    [anon_sym_with] = ACTIONS(1449),
    [anon_sym_package] = ACTIONS(1449),
    [anon_sym_import] = ACTIONS(1449),
    [anon_sym_enum] = ACTIONS(1449),
    [anon_sym_public] = ACTIONS(1449),
    [anon_sym_protected] = ACTIONS(1449),
    [anon_sym_private] = ACTIONS(1449),
    [anon_sym_abstract] = ACTIONS(1449),
    [anon_sym_strictfp] = ACTIONS(1449),
    [anon_sym_native] = ACTIONS(1449),
    [anon_sym_transient] = ACTIONS(1449),
    [anon_sym_volatile] = ACTIONS(1449),
    [anon_sym_sealed] = ACTIONS(1449),
    [anon_sym_non_DASHsealed] = ACTIONS(1447),
    [anon_sym_record] = ACTIONS(1449),
    [anon_sym_ATinterface] = ACTIONS(1447),
    [anon_sym_interface] = ACTIONS(1449),
    [anon_sym_byte] = ACTIONS(1449),
    [anon_sym_short] = ACTIONS(1449),
    [anon_sym_int] = ACTIONS(1449),
    [anon_sym_long] = ACTIONS(1449),
    [anon_sym_char] = ACTIONS(1449),
    [anon_sym_float] = ACTIONS(1449),
    [anon_sym_double] = ACTIONS(1449),
    [sym_boolean_type] = ACTIONS(1449),
    [sym_void_type] = ACTIONS(1449),
    [anon_sym_def] = ACTIONS(1449),
    [sym_this] = ACTIONS(1449),
    [sym_super] = ACTIONS(1449),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1447),
  },
  [485] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [sym_identifier] = ACTIONS(1614),
    [sym_decimal_integer_literal] = ACTIONS(1614),
    [sym_hex_integer_literal] = ACTIONS(1614),
    [sym_octal_integer_literal] = ACTIONS(1614),
    [sym_binary_integer_literal] = ACTIONS(1614),
    [sym_decimal_floating_point_literal] = ACTIONS(1614),
    [sym_hex_floating_point_literal] = ACTIONS(1614),
    [sym_true] = ACTIONS(1614),
    [sym_false] = ACTIONS(1614),
    [sym_character_literal] = ACTIONS(1614),
    [anon_sym_DQUOTE] = ACTIONS(1614),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1614),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1614),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_LPAREN] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_GT_EQ] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1202),
    [anon_sym_BANG_EQ] = ACTIONS(1202),
    [anon_sym_AMP_AMP] = ACTIONS(1202),
    [anon_sym_PIPE_PIPE] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_SLASH] = ACTIONS(1202),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_CARET] = ACTIONS(1202),
    [anon_sym_PERCENT] = ACTIONS(1202),
    [anon_sym_LT_LT] = ACTIONS(1202),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1202),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_STAR_STAR] = ACTIONS(1202),
    [anon_sym_instanceof] = ACTIONS(1202),
    [anon_sym_final] = ACTIONS(1614),
    [anon_sym_DASH_GT] = ACTIONS(1614),
    [anon_sym_QMARK] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1614),
    [anon_sym_TILDE] = ACTIONS(1614),
    [anon_sym_PLUS_PLUS] = ACTIONS(1604),
    [anon_sym_DASH_DASH] = ACTIONS(1604),
    [anon_sym_new] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1614),
    [anon_sym_class] = ACTIONS(1614),
    [anon_sym_switch] = ACTIONS(1614),
    [anon_sym_LBRACE] = ACTIONS(1614),
    [anon_sym_default] = ACTIONS(1614),
    [sym_underscore_pattern] = ACTIONS(1614),
    [anon_sym_SEMI] = ACTIONS(1604),
    [aux_sym_expression_statement_token1] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1202),
    [anon_sym_assert] = ACTIONS(1614),
    [anon_sym_do] = ACTIONS(1614),
    [anon_sym_while] = ACTIONS(1614),
    [anon_sym_break] = ACTIONS(1614),
    [anon_sym_continue] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1614),
    [anon_sym_yield] = ACTIONS(1614),
    [anon_sym_synchronized] = ACTIONS(1614),
    [anon_sym_throw] = ACTIONS(1614),
    [anon_sym_try] = ACTIONS(1614),
    [anon_sym_if] = ACTIONS(1614),
    [anon_sym_else] = ACTIONS(1614),
    [anon_sym_for] = ACTIONS(1614),
    [anon_sym_AT] = ACTIONS(1614),
    [anon_sym_open] = ACTIONS(1614),
    [anon_sym_module] = ACTIONS(1614),
    [anon_sym_static] = ACTIONS(1614),
    [anon_sym_with] = ACTIONS(1614),
    [anon_sym_package] = ACTIONS(1614),
    [anon_sym_import] = ACTIONS(1614),
    [anon_sym_enum] = ACTIONS(1614),
    [anon_sym_public] = ACTIONS(1614),
    [anon_sym_protected] = ACTIONS(1614),
    [anon_sym_private] = ACTIONS(1614),
    [anon_sym_abstract] = ACTIONS(1614),
    [anon_sym_strictfp] = ACTIONS(1614),
    [anon_sym_native] = ACTIONS(1614),
    [anon_sym_transient] = ACTIONS(1614),
    [anon_sym_volatile] = ACTIONS(1614),
    [anon_sym_sealed] = ACTIONS(1614),
    [anon_sym_non_DASHsealed] = ACTIONS(1614),
    [anon_sym_record] = ACTIONS(1614),
    [anon_sym_ATinterface] = ACTIONS(1614),
    [anon_sym_interface] = ACTIONS(1614),
    [anon_sym_byte] = ACTIONS(1614),
    [anon_sym_short] = ACTIONS(1614),
    [anon_sym_int] = ACTIONS(1614),
    [anon_sym_long] = ACTIONS(1614),
    [anon_sym_char] = ACTIONS(1614),
    [anon_sym_float] = ACTIONS(1614),
    [anon_sym_double] = ACTIONS(1614),
    [sym_boolean_type] = ACTIONS(1614),
    [sym_void_type] = ACTIONS(1614),
    [anon_sym_def] = ACTIONS(1614),
    [sym_this] = ACTIONS(1614),
    [sym_super] = ACTIONS(1614),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1202),
  },
  [486] = {
    [ts_builtin_sym_end] = ACTIONS(1459),
    [sym_identifier] = ACTIONS(1461),
    [sym_decimal_integer_literal] = ACTIONS(1461),
    [sym_hex_integer_literal] = ACTIONS(1461),
    [sym_octal_integer_literal] = ACTIONS(1461),
    [sym_binary_integer_literal] = ACTIONS(1459),
    [sym_decimal_floating_point_literal] = ACTIONS(1459),
    [sym_hex_floating_point_literal] = ACTIONS(1461),
    [sym_true] = ACTIONS(1461),
    [sym_false] = ACTIONS(1461),
    [sym_character_literal] = ACTIONS(1459),
    [anon_sym_DQUOTE] = ACTIONS(1461),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1459),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1459),
    [anon_sym_RBRACE] = ACTIONS(1459),
    [sym_null_literal] = ACTIONS(1461),
    [anon_sym_LPAREN] = ACTIONS(1459),
    [anon_sym_AMP] = ACTIONS(1461),
    [anon_sym_GT] = ACTIONS(1461),
    [anon_sym_LT] = ACTIONS(1461),
    [anon_sym_GT_EQ] = ACTIONS(1459),
    [anon_sym_LT_EQ] = ACTIONS(1459),
    [anon_sym_EQ_EQ] = ACTIONS(1459),
    [anon_sym_BANG_EQ] = ACTIONS(1459),
    [anon_sym_AMP_AMP] = ACTIONS(1459),
    [anon_sym_PIPE_PIPE] = ACTIONS(1459),
    [anon_sym_PLUS] = ACTIONS(1461),
    [anon_sym_DASH] = ACTIONS(1461),
    [anon_sym_STAR] = ACTIONS(1461),
    [anon_sym_SLASH] = ACTIONS(1461),
    [anon_sym_PIPE] = ACTIONS(1461),
    [anon_sym_CARET] = ACTIONS(1459),
    [anon_sym_PERCENT] = ACTIONS(1459),
    [anon_sym_LT_LT] = ACTIONS(1459),
    [anon_sym_GT_GT] = ACTIONS(1461),
    [anon_sym_GT_GT_GT] = ACTIONS(1459),
    [anon_sym_in] = ACTIONS(1461),
    [anon_sym_STAR_STAR] = ACTIONS(1459),
    [anon_sym_instanceof] = ACTIONS(1461),
    [anon_sym_final] = ACTIONS(1461),
    [anon_sym_DASH_GT] = ACTIONS(1459),
    [anon_sym_COMMA] = ACTIONS(1459),
    [anon_sym_QMARK] = ACTIONS(1459),
    [anon_sym_BANG] = ACTIONS(1461),
    [anon_sym_TILDE] = ACTIONS(1459),
    [anon_sym_PLUS_PLUS] = ACTIONS(1459),
    [anon_sym_DASH_DASH] = ACTIONS(1459),
    [anon_sym_new] = ACTIONS(1461),
    [anon_sym_LBRACK] = ACTIONS(1459),
    [anon_sym_DOT] = ACTIONS(1461),
    [anon_sym_class] = ACTIONS(1461),
    [anon_sym_switch] = ACTIONS(1461),
    [anon_sym_LBRACE] = ACTIONS(1459),
    [anon_sym_default] = ACTIONS(1461),
    [sym_underscore_pattern] = ACTIONS(1461),
    [anon_sym_SEMI] = ACTIONS(1459),
    [anon_sym_assert] = ACTIONS(1461),
    [anon_sym_do] = ACTIONS(1461),
    [anon_sym_while] = ACTIONS(1461),
    [anon_sym_break] = ACTIONS(1461),
    [anon_sym_continue] = ACTIONS(1461),
    [anon_sym_return] = ACTIONS(1461),
    [anon_sym_yield] = ACTIONS(1461),
    [anon_sym_synchronized] = ACTIONS(1461),
    [anon_sym_throw] = ACTIONS(1461),
    [anon_sym_try] = ACTIONS(1461),
    [anon_sym_if] = ACTIONS(1461),
    [anon_sym_for] = ACTIONS(1461),
    [anon_sym_AT] = ACTIONS(1461),
    [anon_sym_open] = ACTIONS(1461),
    [anon_sym_module] = ACTIONS(1461),
    [anon_sym_static] = ACTIONS(1461),
    [anon_sym_with] = ACTIONS(1461),
    [anon_sym_package] = ACTIONS(1461),
    [anon_sym_import] = ACTIONS(1461),
    [anon_sym_enum] = ACTIONS(1461),
    [anon_sym_public] = ACTIONS(1461),
    [anon_sym_protected] = ACTIONS(1461),
    [anon_sym_private] = ACTIONS(1461),
    [anon_sym_abstract] = ACTIONS(1461),
    [anon_sym_strictfp] = ACTIONS(1461),
    [anon_sym_native] = ACTIONS(1461),
    [anon_sym_transient] = ACTIONS(1461),
    [anon_sym_volatile] = ACTIONS(1461),
    [anon_sym_sealed] = ACTIONS(1461),
    [anon_sym_non_DASHsealed] = ACTIONS(1459),
    [anon_sym_record] = ACTIONS(1461),
    [anon_sym_ATinterface] = ACTIONS(1459),
    [anon_sym_interface] = ACTIONS(1461),
    [anon_sym_byte] = ACTIONS(1461),
    [anon_sym_short] = ACTIONS(1461),
    [anon_sym_int] = ACTIONS(1461),
    [anon_sym_long] = ACTIONS(1461),
    [anon_sym_char] = ACTIONS(1461),
    [anon_sym_float] = ACTIONS(1461),
    [anon_sym_double] = ACTIONS(1461),
    [sym_boolean_type] = ACTIONS(1461),
    [sym_void_type] = ACTIONS(1461),
    [anon_sym_def] = ACTIONS(1461),
    [sym_this] = ACTIONS(1461),
    [sym_super] = ACTIONS(1461),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1459),
  },
  [487] = {
    [sym__reserved_identifier] = STATE(525),
    [ts_builtin_sym_end] = ACTIONS(1467),
    [sym_identifier] = ACTIONS(1635),
    [sym_decimal_integer_literal] = ACTIONS(1472),
    [sym_hex_integer_literal] = ACTIONS(1472),
    [sym_octal_integer_literal] = ACTIONS(1472),
    [sym_binary_integer_literal] = ACTIONS(1467),
    [sym_decimal_floating_point_literal] = ACTIONS(1467),
    [sym_hex_floating_point_literal] = ACTIONS(1472),
    [sym_true] = ACTIONS(1472),
    [sym_false] = ACTIONS(1472),
    [sym_character_literal] = ACTIONS(1467),
    [anon_sym_DQUOTE] = ACTIONS(1472),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1467),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1467),
    [anon_sym_RBRACE] = ACTIONS(1467),
    [sym_null_literal] = ACTIONS(1472),
    [anon_sym_LPAREN] = ACTIONS(1467),
    [anon_sym_AMP] = ACTIONS(1472),
    [anon_sym_GT] = ACTIONS(1472),
    [anon_sym_LT] = ACTIONS(1472),
    [anon_sym_GT_EQ] = ACTIONS(1467),
    [anon_sym_LT_EQ] = ACTIONS(1467),
    [anon_sym_EQ_EQ] = ACTIONS(1467),
    [anon_sym_BANG_EQ] = ACTIONS(1467),
    [anon_sym_AMP_AMP] = ACTIONS(1467),
    [anon_sym_PIPE_PIPE] = ACTIONS(1467),
    [anon_sym_PLUS] = ACTIONS(1472),
    [anon_sym_DASH] = ACTIONS(1472),
    [anon_sym_STAR] = ACTIONS(1472),
    [anon_sym_SLASH] = ACTIONS(1472),
    [anon_sym_PIPE] = ACTIONS(1472),
    [anon_sym_CARET] = ACTIONS(1467),
    [anon_sym_PERCENT] = ACTIONS(1467),
    [anon_sym_LT_LT] = ACTIONS(1467),
    [anon_sym_GT_GT] = ACTIONS(1472),
    [anon_sym_GT_GT_GT] = ACTIONS(1467),
    [anon_sym_in] = ACTIONS(1472),
    [anon_sym_STAR_STAR] = ACTIONS(1467),
    [anon_sym_instanceof] = ACTIONS(1472),
    [anon_sym_final] = ACTIONS(1472),
    [anon_sym_DASH_GT] = ACTIONS(1467),
    [anon_sym_COMMA] = ACTIONS(1467),
    [anon_sym_QMARK] = ACTIONS(1467),
    [anon_sym_BANG] = ACTIONS(1472),
    [anon_sym_TILDE] = ACTIONS(1467),
    [anon_sym_PLUS_PLUS] = ACTIONS(1467),
    [anon_sym_DASH_DASH] = ACTIONS(1467),
    [anon_sym_new] = ACTIONS(1472),
    [anon_sym_LBRACK] = ACTIONS(1467),
    [anon_sym_class] = ACTIONS(1472),
    [anon_sym_switch] = ACTIONS(1472),
    [anon_sym_LBRACE] = ACTIONS(1467),
    [anon_sym_default] = ACTIONS(1472),
    [sym_underscore_pattern] = ACTIONS(1472),
    [anon_sym_SEMI] = ACTIONS(1467),
    [anon_sym_assert] = ACTIONS(1472),
    [anon_sym_do] = ACTIONS(1472),
    [anon_sym_while] = ACTIONS(1472),
    [anon_sym_break] = ACTIONS(1472),
    [anon_sym_continue] = ACTIONS(1472),
    [anon_sym_return] = ACTIONS(1472),
    [anon_sym_yield] = ACTIONS(1638),
    [anon_sym_synchronized] = ACTIONS(1472),
    [anon_sym_throw] = ACTIONS(1472),
    [anon_sym_try] = ACTIONS(1472),
    [anon_sym_if] = ACTIONS(1472),
    [anon_sym_for] = ACTIONS(1472),
    [anon_sym_AT] = ACTIONS(1472),
    [anon_sym_open] = ACTIONS(1638),
    [anon_sym_module] = ACTIONS(1638),
    [anon_sym_static] = ACTIONS(1472),
    [anon_sym_with] = ACTIONS(1638),
    [anon_sym_package] = ACTIONS(1472),
    [anon_sym_import] = ACTIONS(1472),
    [anon_sym_enum] = ACTIONS(1472),
    [anon_sym_public] = ACTIONS(1472),
    [anon_sym_protected] = ACTIONS(1472),
    [anon_sym_private] = ACTIONS(1472),
    [anon_sym_abstract] = ACTIONS(1472),
    [anon_sym_strictfp] = ACTIONS(1472),
    [anon_sym_native] = ACTIONS(1472),
    [anon_sym_transient] = ACTIONS(1472),
    [anon_sym_volatile] = ACTIONS(1472),
    [anon_sym_sealed] = ACTIONS(1638),
    [anon_sym_non_DASHsealed] = ACTIONS(1467),
    [anon_sym_record] = ACTIONS(1638),
    [anon_sym_ATinterface] = ACTIONS(1467),
    [anon_sym_interface] = ACTIONS(1472),
    [anon_sym_byte] = ACTIONS(1472),
    [anon_sym_short] = ACTIONS(1472),
    [anon_sym_int] = ACTIONS(1472),
    [anon_sym_long] = ACTIONS(1472),
    [anon_sym_char] = ACTIONS(1472),
    [anon_sym_float] = ACTIONS(1472),
    [anon_sym_double] = ACTIONS(1472),
    [sym_boolean_type] = ACTIONS(1472),
    [sym_void_type] = ACTIONS(1472),
    [anon_sym_def] = ACTIONS(1472),
    [sym_this] = ACTIONS(1472),
    [sym_super] = ACTIONS(1472),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1467),
  },
  [488] = {
    [ts_builtin_sym_end] = ACTIONS(1641),
    [sym_identifier] = ACTIONS(1622),
    [sym_decimal_integer_literal] = ACTIONS(1622),
    [sym_hex_integer_literal] = ACTIONS(1622),
    [sym_octal_integer_literal] = ACTIONS(1622),
    [sym_binary_integer_literal] = ACTIONS(1622),
    [sym_decimal_floating_point_literal] = ACTIONS(1622),
    [sym_hex_floating_point_literal] = ACTIONS(1622),
    [sym_true] = ACTIONS(1622),
    [sym_false] = ACTIONS(1622),
    [sym_character_literal] = ACTIONS(1622),
    [anon_sym_DQUOTE] = ACTIONS(1622),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1622),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1622),
    [sym_null_literal] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1622),
    [anon_sym_AMP] = ACTIONS(1519),
    [anon_sym_GT] = ACTIONS(1521),
    [anon_sym_LT] = ACTIONS(1521),
    [anon_sym_GT_EQ] = ACTIONS(1521),
    [anon_sym_LT_EQ] = ACTIONS(1521),
    [anon_sym_EQ_EQ] = ACTIONS(1523),
    [anon_sym_BANG_EQ] = ACTIONS(1523),
    [anon_sym_AMP_AMP] = ACTIONS(1525),
    [anon_sym_PIPE_PIPE] = ACTIONS(1527),
    [anon_sym_PLUS] = ACTIONS(1529),
    [anon_sym_DASH] = ACTIONS(1529),
    [anon_sym_STAR] = ACTIONS(1531),
    [anon_sym_SLASH] = ACTIONS(1531),
    [anon_sym_PIPE] = ACTIONS(1533),
    [anon_sym_CARET] = ACTIONS(1535),
    [anon_sym_PERCENT] = ACTIONS(1531),
    [anon_sym_LT_LT] = ACTIONS(1537),
    [anon_sym_GT_GT] = ACTIONS(1537),
    [anon_sym_GT_GT_GT] = ACTIONS(1537),
    [anon_sym_in] = ACTIONS(1521),
    [anon_sym_STAR_STAR] = ACTIONS(1513),
    [anon_sym_instanceof] = ACTIONS(1539),
    [anon_sym_final] = ACTIONS(1622),
    [anon_sym_DASH_GT] = ACTIONS(1622),
    [anon_sym_QMARK] = ACTIONS(1541),
    [anon_sym_BANG] = ACTIONS(1622),
    [anon_sym_TILDE] = ACTIONS(1622),
    [anon_sym_PLUS_PLUS] = ACTIONS(1543),
    [anon_sym_DASH_DASH] = ACTIONS(1543),
    [anon_sym_new] = ACTIONS(1622),
    [anon_sym_LBRACK] = ACTIONS(1622),
    [anon_sym_class] = ACTIONS(1622),
    [anon_sym_switch] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(1622),
    [anon_sym_default] = ACTIONS(1622),
    [sym_underscore_pattern] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(1624),
    [aux_sym_expression_statement_token1] = ACTIONS(1626),
    [anon_sym_NULL] = ACTIONS(1624),
    [anon_sym_assert] = ACTIONS(1622),
    [anon_sym_do] = ACTIONS(1622),
    [anon_sym_while] = ACTIONS(1622),
    [anon_sym_break] = ACTIONS(1622),
    [anon_sym_continue] = ACTIONS(1622),
    [anon_sym_return] = ACTIONS(1622),
    [anon_sym_yield] = ACTIONS(1622),
    [anon_sym_synchronized] = ACTIONS(1622),
    [anon_sym_throw] = ACTIONS(1622),
    [anon_sym_try] = ACTIONS(1622),
    [anon_sym_if] = ACTIONS(1622),
    [anon_sym_else] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1622),
    [anon_sym_AT] = ACTIONS(1622),
    [anon_sym_open] = ACTIONS(1622),
    [anon_sym_module] = ACTIONS(1622),
    [anon_sym_static] = ACTIONS(1622),
    [anon_sym_with] = ACTIONS(1622),
    [anon_sym_package] = ACTIONS(1622),
    [anon_sym_import] = ACTIONS(1622),
    [anon_sym_enum] = ACTIONS(1622),
    [anon_sym_public] = ACTIONS(1622),
    [anon_sym_protected] = ACTIONS(1622),
    [anon_sym_private] = ACTIONS(1622),
    [anon_sym_abstract] = ACTIONS(1622),
    [anon_sym_strictfp] = ACTIONS(1622),
    [anon_sym_native] = ACTIONS(1622),
    [anon_sym_transient] = ACTIONS(1622),
    [anon_sym_volatile] = ACTIONS(1622),
    [anon_sym_sealed] = ACTIONS(1622),
    [anon_sym_non_DASHsealed] = ACTIONS(1622),
    [anon_sym_record] = ACTIONS(1622),
    [anon_sym_ATinterface] = ACTIONS(1622),
    [anon_sym_interface] = ACTIONS(1622),
    [anon_sym_byte] = ACTIONS(1622),
    [anon_sym_short] = ACTIONS(1622),
    [anon_sym_int] = ACTIONS(1622),
    [anon_sym_long] = ACTIONS(1622),
    [anon_sym_char] = ACTIONS(1622),
    [anon_sym_float] = ACTIONS(1622),
    [anon_sym_double] = ACTIONS(1622),
    [sym_boolean_type] = ACTIONS(1622),
    [sym_void_type] = ACTIONS(1622),
    [anon_sym_def] = ACTIONS(1622),
    [sym_this] = ACTIONS(1622),
    [sym_super] = ACTIONS(1622),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1545),
  },
  [489] = {
    [ts_builtin_sym_end] = ACTIONS(1645),
    [sym_identifier] = ACTIONS(1604),
    [sym_decimal_integer_literal] = ACTIONS(1604),
    [sym_hex_integer_literal] = ACTIONS(1604),
    [sym_octal_integer_literal] = ACTIONS(1604),
    [sym_binary_integer_literal] = ACTIONS(1604),
    [sym_decimal_floating_point_literal] = ACTIONS(1604),
    [sym_hex_floating_point_literal] = ACTIONS(1604),
    [sym_true] = ACTIONS(1604),
    [sym_false] = ACTIONS(1604),
    [sym_character_literal] = ACTIONS(1604),
    [anon_sym_DQUOTE] = ACTIONS(1604),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1604),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1604),
    [sym_null_literal] = ACTIONS(1604),
    [anon_sym_LPAREN] = ACTIONS(1604),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_LT] = ACTIONS(1604),
    [anon_sym_GT_EQ] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1202),
    [anon_sym_BANG_EQ] = ACTIONS(1202),
    [anon_sym_AMP_AMP] = ACTIONS(1202),
    [anon_sym_PIPE_PIPE] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_SLASH] = ACTIONS(1202),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_CARET] = ACTIONS(1202),
    [anon_sym_PERCENT] = ACTIONS(1202),
    [anon_sym_LT_LT] = ACTIONS(1202),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1202),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_STAR_STAR] = ACTIONS(1202),
    [anon_sym_instanceof] = ACTIONS(1202),
    [anon_sym_final] = ACTIONS(1604),
    [anon_sym_DASH_GT] = ACTIONS(1604),
    [anon_sym_QMARK] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1604),
    [anon_sym_TILDE] = ACTIONS(1604),
    [anon_sym_PLUS_PLUS] = ACTIONS(1604),
    [anon_sym_DASH_DASH] = ACTIONS(1604),
    [anon_sym_new] = ACTIONS(1604),
    [anon_sym_LBRACK] = ACTIONS(1604),
    [anon_sym_class] = ACTIONS(1604),
    [anon_sym_switch] = ACTIONS(1604),
    [anon_sym_LBRACE] = ACTIONS(1604),
    [anon_sym_default] = ACTIONS(1604),
    [sym_underscore_pattern] = ACTIONS(1604),
    [anon_sym_SEMI] = ACTIONS(1604),
    [aux_sym_expression_statement_token1] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1202),
    [anon_sym_assert] = ACTIONS(1604),
    [anon_sym_do] = ACTIONS(1604),
    [anon_sym_while] = ACTIONS(1604),
    [anon_sym_break] = ACTIONS(1604),
    [anon_sym_continue] = ACTIONS(1604),
    [anon_sym_return] = ACTIONS(1604),
    [anon_sym_yield] = ACTIONS(1604),
    [anon_sym_synchronized] = ACTIONS(1604),
    [anon_sym_throw] = ACTIONS(1604),
    [anon_sym_try] = ACTIONS(1604),
    [anon_sym_if] = ACTIONS(1604),
    [anon_sym_else] = ACTIONS(1604),
    [anon_sym_for] = ACTIONS(1604),
    [anon_sym_AT] = ACTIONS(1604),
    [anon_sym_open] = ACTIONS(1604),
    [anon_sym_module] = ACTIONS(1604),
    [anon_sym_static] = ACTIONS(1604),
    [anon_sym_with] = ACTIONS(1604),
    [anon_sym_package] = ACTIONS(1604),
    [anon_sym_import] = ACTIONS(1604),
    [anon_sym_enum] = ACTIONS(1604),
    [anon_sym_public] = ACTIONS(1604),
    [anon_sym_protected] = ACTIONS(1604),
    [anon_sym_private] = ACTIONS(1604),
    [anon_sym_abstract] = ACTIONS(1604),
    [anon_sym_strictfp] = ACTIONS(1604),
    [anon_sym_native] = ACTIONS(1604),
    [anon_sym_transient] = ACTIONS(1604),
    [anon_sym_volatile] = ACTIONS(1604),
    [anon_sym_sealed] = ACTIONS(1604),
    [anon_sym_non_DASHsealed] = ACTIONS(1604),
    [anon_sym_record] = ACTIONS(1604),
    [anon_sym_ATinterface] = ACTIONS(1604),
    [anon_sym_interface] = ACTIONS(1604),
    [anon_sym_byte] = ACTIONS(1604),
    [anon_sym_short] = ACTIONS(1604),
    [anon_sym_int] = ACTIONS(1604),
    [anon_sym_long] = ACTIONS(1604),
    [anon_sym_char] = ACTIONS(1604),
    [anon_sym_float] = ACTIONS(1604),
    [anon_sym_double] = ACTIONS(1604),
    [sym_boolean_type] = ACTIONS(1604),
    [sym_void_type] = ACTIONS(1604),
    [anon_sym_def] = ACTIONS(1604),
    [sym_this] = ACTIONS(1604),
    [sym_super] = ACTIONS(1604),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1202),
  },
  [490] = {
    [sym__reserved_identifier] = STATE(496),
    [ts_builtin_sym_end] = ACTIONS(1437),
    [sym_identifier] = ACTIONS(1648),
    [sym_decimal_integer_literal] = ACTIONS(1442),
    [sym_hex_integer_literal] = ACTIONS(1442),
    [sym_octal_integer_literal] = ACTIONS(1442),
    [sym_binary_integer_literal] = ACTIONS(1437),
    [sym_decimal_floating_point_literal] = ACTIONS(1437),
    [sym_hex_floating_point_literal] = ACTIONS(1442),
    [sym_true] = ACTIONS(1442),
    [sym_false] = ACTIONS(1442),
    [sym_character_literal] = ACTIONS(1437),
    [anon_sym_DQUOTE] = ACTIONS(1442),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1437),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1437),
    [anon_sym_RBRACE] = ACTIONS(1437),
    [sym_null_literal] = ACTIONS(1442),
    [anon_sym_LPAREN] = ACTIONS(1437),
    [anon_sym_AMP] = ACTIONS(1442),
    [anon_sym_GT] = ACTIONS(1442),
    [anon_sym_LT] = ACTIONS(1442),
    [anon_sym_GT_EQ] = ACTIONS(1437),
    [anon_sym_LT_EQ] = ACTIONS(1437),
    [anon_sym_EQ_EQ] = ACTIONS(1437),
    [anon_sym_BANG_EQ] = ACTIONS(1437),
    [anon_sym_AMP_AMP] = ACTIONS(1437),
    [anon_sym_PIPE_PIPE] = ACTIONS(1437),
    [anon_sym_PLUS] = ACTIONS(1442),
    [anon_sym_DASH] = ACTIONS(1442),
    [anon_sym_STAR] = ACTIONS(1442),
    [anon_sym_SLASH] = ACTIONS(1442),
    [anon_sym_PIPE] = ACTIONS(1442),
    [anon_sym_CARET] = ACTIONS(1437),
    [anon_sym_PERCENT] = ACTIONS(1437),
    [anon_sym_LT_LT] = ACTIONS(1437),
    [anon_sym_GT_GT] = ACTIONS(1442),
    [anon_sym_GT_GT_GT] = ACTIONS(1437),
    [anon_sym_in] = ACTIONS(1442),
    [anon_sym_STAR_STAR] = ACTIONS(1437),
    [anon_sym_instanceof] = ACTIONS(1442),
    [anon_sym_final] = ACTIONS(1442),
    [anon_sym_DASH_GT] = ACTIONS(1437),
    [anon_sym_COMMA] = ACTIONS(1437),
    [anon_sym_QMARK] = ACTIONS(1437),
    [anon_sym_BANG] = ACTIONS(1442),
    [anon_sym_TILDE] = ACTIONS(1437),
    [anon_sym_PLUS_PLUS] = ACTIONS(1437),
    [anon_sym_DASH_DASH] = ACTIONS(1437),
    [anon_sym_new] = ACTIONS(1442),
    [anon_sym_LBRACK] = ACTIONS(1437),
    [anon_sym_class] = ACTIONS(1442),
    [anon_sym_switch] = ACTIONS(1442),
    [anon_sym_LBRACE] = ACTIONS(1437),
    [anon_sym_default] = ACTIONS(1442),
    [sym_underscore_pattern] = ACTIONS(1442),
    [anon_sym_SEMI] = ACTIONS(1437),
    [anon_sym_assert] = ACTIONS(1442),
    [anon_sym_do] = ACTIONS(1442),
    [anon_sym_while] = ACTIONS(1442),
    [anon_sym_break] = ACTIONS(1442),
    [anon_sym_continue] = ACTIONS(1442),
    [anon_sym_return] = ACTIONS(1442),
    [anon_sym_yield] = ACTIONS(1651),
    [anon_sym_synchronized] = ACTIONS(1442),
    [anon_sym_throw] = ACTIONS(1442),
    [anon_sym_try] = ACTIONS(1442),
    [anon_sym_if] = ACTIONS(1442),
    [anon_sym_for] = ACTIONS(1442),
    [anon_sym_AT] = ACTIONS(1442),
    [anon_sym_open] = ACTIONS(1651),
    [anon_sym_module] = ACTIONS(1651),
    [anon_sym_static] = ACTIONS(1442),
    [anon_sym_with] = ACTIONS(1651),
    [anon_sym_package] = ACTIONS(1442),
    [anon_sym_import] = ACTIONS(1442),
    [anon_sym_enum] = ACTIONS(1442),
    [anon_sym_public] = ACTIONS(1442),
    [anon_sym_protected] = ACTIONS(1442),
    [anon_sym_private] = ACTIONS(1442),
    [anon_sym_abstract] = ACTIONS(1442),
    [anon_sym_strictfp] = ACTIONS(1442),
    [anon_sym_native] = ACTIONS(1442),
    [anon_sym_transient] = ACTIONS(1442),
    [anon_sym_volatile] = ACTIONS(1442),
    [anon_sym_sealed] = ACTIONS(1651),
    [anon_sym_non_DASHsealed] = ACTIONS(1437),
    [anon_sym_record] = ACTIONS(1651),
    [anon_sym_ATinterface] = ACTIONS(1437),
    [anon_sym_interface] = ACTIONS(1442),
    [anon_sym_byte] = ACTIONS(1442),
    [anon_sym_short] = ACTIONS(1442),
    [anon_sym_int] = ACTIONS(1442),
    [anon_sym_long] = ACTIONS(1442),
    [anon_sym_char] = ACTIONS(1442),
    [anon_sym_float] = ACTIONS(1442),
    [anon_sym_double] = ACTIONS(1442),
    [sym_boolean_type] = ACTIONS(1442),
    [sym_void_type] = ACTIONS(1442),
    [anon_sym_def] = ACTIONS(1442),
    [sym_this] = ACTIONS(1442),
    [sym_super] = ACTIONS(1442),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1437),
  },
  [491] = {
    [ts_builtin_sym_end] = ACTIONS(1409),
    [sym_identifier] = ACTIONS(1411),
    [sym_decimal_integer_literal] = ACTIONS(1411),
    [sym_hex_integer_literal] = ACTIONS(1411),
    [sym_octal_integer_literal] = ACTIONS(1411),
    [sym_binary_integer_literal] = ACTIONS(1409),
    [sym_decimal_floating_point_literal] = ACTIONS(1409),
    [sym_hex_floating_point_literal] = ACTIONS(1411),
    [sym_true] = ACTIONS(1411),
    [sym_false] = ACTIONS(1411),
    [sym_character_literal] = ACTIONS(1409),
    [anon_sym_DQUOTE] = ACTIONS(1411),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1409),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1409),
    [anon_sym_RBRACE] = ACTIONS(1409),
    [sym_null_literal] = ACTIONS(1411),
    [anon_sym_LPAREN] = ACTIONS(1409),
    [anon_sym_AMP] = ACTIONS(1411),
    [anon_sym_GT] = ACTIONS(1411),
    [anon_sym_LT] = ACTIONS(1411),
    [anon_sym_GT_EQ] = ACTIONS(1409),
    [anon_sym_LT_EQ] = ACTIONS(1409),
    [anon_sym_EQ_EQ] = ACTIONS(1409),
    [anon_sym_BANG_EQ] = ACTIONS(1409),
    [anon_sym_AMP_AMP] = ACTIONS(1409),
    [anon_sym_PIPE_PIPE] = ACTIONS(1409),
    [anon_sym_PLUS] = ACTIONS(1411),
    [anon_sym_DASH] = ACTIONS(1411),
    [anon_sym_STAR] = ACTIONS(1411),
    [anon_sym_SLASH] = ACTIONS(1411),
    [anon_sym_PIPE] = ACTIONS(1411),
    [anon_sym_CARET] = ACTIONS(1409),
    [anon_sym_PERCENT] = ACTIONS(1409),
    [anon_sym_LT_LT] = ACTIONS(1409),
    [anon_sym_GT_GT] = ACTIONS(1411),
    [anon_sym_GT_GT_GT] = ACTIONS(1409),
    [anon_sym_in] = ACTIONS(1411),
    [anon_sym_STAR_STAR] = ACTIONS(1409),
    [anon_sym_instanceof] = ACTIONS(1411),
    [anon_sym_final] = ACTIONS(1411),
    [anon_sym_DASH_GT] = ACTIONS(1409),
    [anon_sym_COMMA] = ACTIONS(1409),
    [anon_sym_QMARK] = ACTIONS(1409),
    [anon_sym_BANG] = ACTIONS(1411),
    [anon_sym_TILDE] = ACTIONS(1409),
    [anon_sym_PLUS_PLUS] = ACTIONS(1409),
    [anon_sym_DASH_DASH] = ACTIONS(1409),
    [anon_sym_new] = ACTIONS(1411),
    [anon_sym_LBRACK] = ACTIONS(1409),
    [anon_sym_DOT] = ACTIONS(1411),
    [anon_sym_class] = ACTIONS(1411),
    [anon_sym_switch] = ACTIONS(1411),
    [anon_sym_LBRACE] = ACTIONS(1409),
    [anon_sym_default] = ACTIONS(1411),
    [sym_underscore_pattern] = ACTIONS(1411),
    [anon_sym_SEMI] = ACTIONS(1409),
    [anon_sym_assert] = ACTIONS(1411),
    [anon_sym_do] = ACTIONS(1411),
    [anon_sym_while] = ACTIONS(1411),
    [anon_sym_break] = ACTIONS(1411),
    [anon_sym_continue] = ACTIONS(1411),
    [anon_sym_return] = ACTIONS(1411),
    [anon_sym_yield] = ACTIONS(1411),
    [anon_sym_synchronized] = ACTIONS(1411),
    [anon_sym_throw] = ACTIONS(1411),
    [anon_sym_try] = ACTIONS(1411),
    [anon_sym_if] = ACTIONS(1411),
    [anon_sym_for] = ACTIONS(1411),
    [anon_sym_AT] = ACTIONS(1411),
    [anon_sym_open] = ACTIONS(1411),
    [anon_sym_module] = ACTIONS(1411),
    [anon_sym_static] = ACTIONS(1411),
    [anon_sym_with] = ACTIONS(1411),
    [anon_sym_package] = ACTIONS(1411),
    [anon_sym_import] = ACTIONS(1411),
    [anon_sym_enum] = ACTIONS(1411),
    [anon_sym_public] = ACTIONS(1411),
    [anon_sym_protected] = ACTIONS(1411),
    [anon_sym_private] = ACTIONS(1411),
    [anon_sym_abstract] = ACTIONS(1411),
    [anon_sym_strictfp] = ACTIONS(1411),
    [anon_sym_native] = ACTIONS(1411),
    [anon_sym_transient] = ACTIONS(1411),
    [anon_sym_volatile] = ACTIONS(1411),
    [anon_sym_sealed] = ACTIONS(1411),
    [anon_sym_non_DASHsealed] = ACTIONS(1409),
    [anon_sym_record] = ACTIONS(1411),
    [anon_sym_ATinterface] = ACTIONS(1409),
    [anon_sym_interface] = ACTIONS(1411),
    [anon_sym_byte] = ACTIONS(1411),
    [anon_sym_short] = ACTIONS(1411),
    [anon_sym_int] = ACTIONS(1411),
    [anon_sym_long] = ACTIONS(1411),
    [anon_sym_char] = ACTIONS(1411),
    [anon_sym_float] = ACTIONS(1411),
    [anon_sym_double] = ACTIONS(1411),
    [sym_boolean_type] = ACTIONS(1411),
    [sym_void_type] = ACTIONS(1411),
    [anon_sym_def] = ACTIONS(1411),
    [sym_this] = ACTIONS(1411),
    [sym_super] = ACTIONS(1411),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1409),
  },
  [492] = {
    [sym_identifier] = ACTIONS(1614),
    [sym_decimal_integer_literal] = ACTIONS(1614),
    [sym_hex_integer_literal] = ACTIONS(1614),
    [sym_octal_integer_literal] = ACTIONS(1614),
    [sym_binary_integer_literal] = ACTIONS(1614),
    [sym_decimal_floating_point_literal] = ACTIONS(1614),
    [sym_hex_floating_point_literal] = ACTIONS(1614),
    [sym_true] = ACTIONS(1614),
    [sym_false] = ACTIONS(1614),
    [sym_character_literal] = ACTIONS(1614),
    [anon_sym_DQUOTE] = ACTIONS(1614),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1614),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1614),
    [anon_sym_RBRACE] = ACTIONS(1604),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_LPAREN] = ACTIONS(1614),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1202),
    [anon_sym_LT_EQ] = ACTIONS(1202),
    [anon_sym_EQ_EQ] = ACTIONS(1202),
    [anon_sym_BANG_EQ] = ACTIONS(1202),
    [anon_sym_AMP_AMP] = ACTIONS(1202),
    [anon_sym_PIPE_PIPE] = ACTIONS(1202),
    [anon_sym_PLUS] = ACTIONS(1604),
    [anon_sym_DASH] = ACTIONS(1604),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_SLASH] = ACTIONS(1202),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_CARET] = ACTIONS(1202),
    [anon_sym_PERCENT] = ACTIONS(1202),
    [anon_sym_LT_LT] = ACTIONS(1202),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1202),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_STAR_STAR] = ACTIONS(1202),
    [anon_sym_instanceof] = ACTIONS(1202),
    [anon_sym_final] = ACTIONS(1614),
    [anon_sym_DASH_GT] = ACTIONS(1614),
    [anon_sym_COMMA] = ACTIONS(1202),
    [anon_sym_QMARK] = ACTIONS(1202),
    [anon_sym_BANG] = ACTIONS(1614),
    [anon_sym_TILDE] = ACTIONS(1614),
    [anon_sym_PLUS_PLUS] = ACTIONS(1604),
    [anon_sym_DASH_DASH] = ACTIONS(1604),
    [anon_sym_new] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1614),
    [anon_sym_class] = ACTIONS(1614),
    [anon_sym_switch] = ACTIONS(1614),
    [anon_sym_LBRACE] = ACTIONS(1614),
    [anon_sym_default] = ACTIONS(1614),
    [sym_underscore_pattern] = ACTIONS(1614),
    [anon_sym_SEMI] = ACTIONS(1604),
    [aux_sym_expression_statement_token1] = ACTIONS(1200),
    [anon_sym_NULL] = ACTIONS(1202),
    [anon_sym_assert] = ACTIONS(1614),
    [anon_sym_do] = ACTIONS(1614),
    [anon_sym_while] = ACTIONS(1614),
    [anon_sym_break] = ACTIONS(1614),
    [anon_sym_continue] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1614),
    [anon_sym_yield] = ACTIONS(1614),
    [anon_sym_synchronized] = ACTIONS(1614),
    [anon_sym_throw] = ACTIONS(1614),
    [anon_sym_try] = ACTIONS(1614),
    [anon_sym_if] = ACTIONS(1614),
    [anon_sym_for] = ACTIONS(1614),
    [anon_sym_AT] = ACTIONS(1614),
    [anon_sym_open] = ACTIONS(1614),
    [anon_sym_module] = ACTIONS(1614),
    [anon_sym_static] = ACTIONS(1614),
    [anon_sym_with] = ACTIONS(1614),
    [anon_sym_package] = ACTIONS(1614),
    [anon_sym_import] = ACTIONS(1614),
    [anon_sym_enum] = ACTIONS(1614),
    [anon_sym_public] = ACTIONS(1614),
    [anon_sym_protected] = ACTIONS(1614),
    [anon_sym_private] = ACTIONS(1614),
    [anon_sym_abstract] = ACTIONS(1614),
    [anon_sym_strictfp] = ACTIONS(1614),
    [anon_sym_native] = ACTIONS(1614),
    [anon_sym_transient] = ACTIONS(1614),
    [anon_sym_volatile] = ACTIONS(1614),
    [anon_sym_sealed] = ACTIONS(1614),
    [anon_sym_non_DASHsealed] = ACTIONS(1614),
    [anon_sym_record] = ACTIONS(1614),
    [anon_sym_ATinterface] = ACTIONS(1614),
    [anon_sym_interface] = ACTIONS(1614),
    [anon_sym_byte] = ACTIONS(1614),
    [anon_sym_short] = ACTIONS(1614),
    [anon_sym_int] = ACTIONS(1614),
    [anon_sym_long] = ACTIONS(1614),
    [anon_sym_char] = ACTIONS(1614),
    [anon_sym_float] = ACTIONS(1614),
    [anon_sym_double] = ACTIONS(1614),
    [sym_boolean_type] = ACTIONS(1614),
    [sym_void_type] = ACTIONS(1614),
    [anon_sym_def] = ACTIONS(1614),
    [sym_this] = ACTIONS(1614),
    [sym_super] = ACTIONS(1614),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1202),
  },
  [493] = {
    [ts_builtin_sym_end] = ACTIONS(1425),
    [sym_identifier] = ACTIONS(1427),
    [sym_decimal_integer_literal] = ACTIONS(1427),
    [sym_hex_integer_literal] = ACTIONS(1427),
    [sym_octal_integer_literal] = ACTIONS(1427),
    [sym_binary_integer_literal] = ACTIONS(1425),
    [sym_decimal_floating_point_literal] = ACTIONS(1425),
    [sym_hex_floating_point_literal] = ACTIONS(1427),
    [sym_true] = ACTIONS(1427),
    [sym_false] = ACTIONS(1427),
    [sym_character_literal] = ACTIONS(1425),
    [anon_sym_DQUOTE] = ACTIONS(1427),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1425),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1425),
    [anon_sym_RBRACE] = ACTIONS(1425),
    [sym_null_literal] = ACTIONS(1427),
    [anon_sym_LPAREN] = ACTIONS(1425),
    [anon_sym_AMP] = ACTIONS(1427),
    [anon_sym_GT] = ACTIONS(1427),
    [anon_sym_LT] = ACTIONS(1427),
    [anon_sym_GT_EQ] = ACTIONS(1425),
    [anon_sym_LT_EQ] = ACTIONS(1425),
    [anon_sym_EQ_EQ] = ACTIONS(1425),
    [anon_sym_BANG_EQ] = ACTIONS(1425),
    [anon_sym_AMP_AMP] = ACTIONS(1425),
    [anon_sym_PIPE_PIPE] = ACTIONS(1425),
    [anon_sym_PLUS] = ACTIONS(1427),
    [anon_sym_DASH] = ACTIONS(1427),
    [anon_sym_STAR] = ACTIONS(1427),
    [anon_sym_SLASH] = ACTIONS(1427),
    [anon_sym_PIPE] = ACTIONS(1427),
    [anon_sym_CARET] = ACTIONS(1425),
    [anon_sym_PERCENT] = ACTIONS(1425),
    [anon_sym_LT_LT] = ACTIONS(1425),
    [anon_sym_GT_GT] = ACTIONS(1427),
    [anon_sym_GT_GT_GT] = ACTIONS(1425),
    [anon_sym_in] = ACTIONS(1427),
    [anon_sym_STAR_STAR] = ACTIONS(1425),
    [anon_sym_instanceof] = ACTIONS(1427),
    [anon_sym_final] = ACTIONS(1427),
    [anon_sym_DASH_GT] = ACTIONS(1425),
    [anon_sym_COMMA] = ACTIONS(1425),
    [anon_sym_QMARK] = ACTIONS(1425),
    [anon_sym_BANG] = ACTIONS(1427),
    [anon_sym_TILDE] = ACTIONS(1425),
    [anon_sym_PLUS_PLUS] = ACTIONS(1425),
    [anon_sym_DASH_DASH] = ACTIONS(1425),
    [anon_sym_new] = ACTIONS(1427),
    [anon_sym_LBRACK] = ACTIONS(1425),
    [anon_sym_DOT] = ACTIONS(1427),
    [anon_sym_class] = ACTIONS(1427),
    [anon_sym_switch] = ACTIONS(1427),
    [anon_sym_LBRACE] = ACTIONS(1425),
    [anon_sym_default] = ACTIONS(1427),
    [sym_underscore_pattern] = ACTIONS(1427),
    [anon_sym_SEMI] = ACTIONS(1425),
    [anon_sym_assert] = ACTIONS(1427),
    [anon_sym_do] = ACTIONS(1427),
    [anon_sym_while] = ACTIONS(1427),
    [anon_sym_break] = ACTIONS(1427),
    [anon_sym_continue] = ACTIONS(1427),
    [anon_sym_return] = ACTIONS(1427),
    [anon_sym_yield] = ACTIONS(1427),
    [anon_sym_synchronized] = ACTIONS(1427),
    [anon_sym_throw] = ACTIONS(1427),
    [anon_sym_try] = ACTIONS(1427),
    [anon_sym_if] = ACTIONS(1427),
    [anon_sym_for] = ACTIONS(1427),
    [anon_sym_AT] = ACTIONS(1427),
    [anon_sym_open] = ACTIONS(1427),
    [anon_sym_module] = ACTIONS(1427),
    [anon_sym_static] = ACTIONS(1427),
    [anon_sym_with] = ACTIONS(1427),
    [anon_sym_package] = ACTIONS(1427),
    [anon_sym_import] = ACTIONS(1427),
    [anon_sym_enum] = ACTIONS(1427),
    [anon_sym_public] = ACTIONS(1427),
    [anon_sym_protected] = ACTIONS(1427),
    [anon_sym_private] = ACTIONS(1427),
    [anon_sym_abstract] = ACTIONS(1427),
    [anon_sym_strictfp] = ACTIONS(1427),
    [anon_sym_native] = ACTIONS(1427),
    [anon_sym_transient] = ACTIONS(1427),
    [anon_sym_volatile] = ACTIONS(1427),
    [anon_sym_sealed] = ACTIONS(1427),
    [anon_sym_non_DASHsealed] = ACTIONS(1425),
    [anon_sym_record] = ACTIONS(1427),
    [anon_sym_ATinterface] = ACTIONS(1425),
    [anon_sym_interface] = ACTIONS(1427),
    [anon_sym_byte] = ACTIONS(1427),
    [anon_sym_short] = ACTIONS(1427),
    [anon_sym_int] = ACTIONS(1427),
    [anon_sym_long] = ACTIONS(1427),
    [anon_sym_char] = ACTIONS(1427),
    [anon_sym_float] = ACTIONS(1427),
    [anon_sym_double] = ACTIONS(1427),
    [sym_boolean_type] = ACTIONS(1427),
    [sym_void_type] = ACTIONS(1427),
    [anon_sym_def] = ACTIONS(1427),
    [sym_this] = ACTIONS(1427),
    [sym_super] = ACTIONS(1427),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1425),
  },
  [494] = {
    [sym_identifier] = ACTIONS(1607),
    [sym_decimal_integer_literal] = ACTIONS(1607),
    [sym_hex_integer_literal] = ACTIONS(1607),
    [sym_octal_integer_literal] = ACTIONS(1607),
    [sym_binary_integer_literal] = ACTIONS(1607),
    [sym_decimal_floating_point_literal] = ACTIONS(1607),
    [sym_hex_floating_point_literal] = ACTIONS(1607),
    [sym_true] = ACTIONS(1607),
    [sym_false] = ACTIONS(1607),
    [sym_character_literal] = ACTIONS(1607),
    [anon_sym_DQUOTE] = ACTIONS(1607),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1607),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1607),
    [anon_sym_RBRACE] = ACTIONS(1225),
    [sym_null_literal] = ACTIONS(1607),
    [anon_sym_LPAREN] = ACTIONS(1607),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_GT] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1225),
    [anon_sym_LT_EQ] = ACTIONS(1225),
    [anon_sym_EQ_EQ] = ACTIONS(1225),
    [anon_sym_BANG_EQ] = ACTIONS(1225),
    [anon_sym_AMP_AMP] = ACTIONS(1225),
    [anon_sym_PIPE_PIPE] = ACTIONS(1225),
    [anon_sym_PLUS] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1225),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_PIPE] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1225),
    [anon_sym_PERCENT] = ACTIONS(1225),
    [anon_sym_LT_LT] = ACTIONS(1225),
    [anon_sym_GT_GT] = ACTIONS(1225),
    [anon_sym_GT_GT_GT] = ACTIONS(1225),
    [anon_sym_in] = ACTIONS(1225),
    [anon_sym_STAR_STAR] = ACTIONS(1225),
    [anon_sym_instanceof] = ACTIONS(1225),
    [anon_sym_final] = ACTIONS(1607),
    [anon_sym_DASH_GT] = ACTIONS(1607),
    [anon_sym_COMMA] = ACTIONS(1225),
    [anon_sym_QMARK] = ACTIONS(1225),
    [anon_sym_BANG] = ACTIONS(1607),
    [anon_sym_TILDE] = ACTIONS(1607),
    [anon_sym_PLUS_PLUS] = ACTIONS(1225),
    [anon_sym_DASH_DASH] = ACTIONS(1225),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1607),
    [anon_sym_class] = ACTIONS(1607),
    [anon_sym_switch] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1607),
    [anon_sym_default] = ACTIONS(1607),
    [sym_underscore_pattern] = ACTIONS(1607),
    [anon_sym_SEMI] = ACTIONS(1225),
    [aux_sym_expression_statement_token1] = ACTIONS(1223),
    [anon_sym_NULL] = ACTIONS(1225),
    [anon_sym_assert] = ACTIONS(1607),
    [anon_sym_do] = ACTIONS(1607),
    [anon_sym_while] = ACTIONS(1607),
    [anon_sym_break] = ACTIONS(1607),
    [anon_sym_continue] = ACTIONS(1607),
    [anon_sym_return] = ACTIONS(1607),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_synchronized] = ACTIONS(1607),
    [anon_sym_throw] = ACTIONS(1607),
    [anon_sym_try] = ACTIONS(1607),
    [anon_sym_if] = ACTIONS(1607),
    [anon_sym_for] = ACTIONS(1607),
    [anon_sym_AT] = ACTIONS(1607),
    [anon_sym_open] = ACTIONS(1607),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_static] = ACTIONS(1607),
    [anon_sym_with] = ACTIONS(1607),
    [anon_sym_package] = ACTIONS(1607),
    [anon_sym_import] = ACTIONS(1607),
    [anon_sym_enum] = ACTIONS(1607),
    [anon_sym_public] = ACTIONS(1607),
    [anon_sym_protected] = ACTIONS(1607),
    [anon_sym_private] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1607),
    [anon_sym_strictfp] = ACTIONS(1607),
    [anon_sym_native] = ACTIONS(1607),
    [anon_sym_transient] = ACTIONS(1607),
    [anon_sym_volatile] = ACTIONS(1607),
    [anon_sym_sealed] = ACTIONS(1607),
    [anon_sym_non_DASHsealed] = ACTIONS(1607),
    [anon_sym_record] = ACTIONS(1607),
    [anon_sym_ATinterface] = ACTIONS(1607),
    [anon_sym_interface] = ACTIONS(1607),
    [anon_sym_byte] = ACTIONS(1607),
    [anon_sym_short] = ACTIONS(1607),
    [anon_sym_int] = ACTIONS(1607),
    [anon_sym_long] = ACTIONS(1607),
    [anon_sym_char] = ACTIONS(1607),
    [anon_sym_float] = ACTIONS(1607),
    [anon_sym_double] = ACTIONS(1607),
    [sym_boolean_type] = ACTIONS(1607),
    [sym_void_type] = ACTIONS(1607),
    [anon_sym_def] = ACTIONS(1607),
    [sym_this] = ACTIONS(1607),
    [sym_super] = ACTIONS(1607),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(1225),
  },
  [495] = {
    [ts_builtin_sym_end] = ACTIONS(1335),
    [sym_identifier] = ACTIONS(1337),
    [sym_decimal_integer_literal] = ACTIONS(1337),
    [sym_hex_integer_literal] = ACTIONS(1337),
    [sym_octal_integer_literal] = ACTIONS(1337),
    [sym_binary_integer_literal] = ACTIONS(1335),
    [sym_decimal_floating_point_literal] = ACTIONS(1335),
    [sym_hex_floating_point_literal] = ACTIONS(1337),
    [sym_true] = ACTIONS(1337),
    [sym_false] = ACTIONS(1337),
    [sym_character_literal] = ACTIONS(1335),
    [anon_sym_DQUOTE] = ACTIONS(1337),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1335),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1335),
    [anon_sym_RBRACE] = ACTIONS(1335),
    [sym_null_literal] = ACTIONS(1337),
    [anon_sym_LPAREN] = ACTIONS(1335),
    [anon_sym_AMP] = ACTIONS(1337),
    [anon_sym_GT] = ACTIONS(1337),
    [anon_sym_LT] = ACTIONS(1337),
    [anon_sym_GT_EQ] = ACTIONS(1335),
    [anon_sym_LT_EQ] = ACTIONS(1335),
    [anon_sym_EQ_EQ] = ACTIONS(1335),
    [anon_sym_BANG_EQ] = ACTIONS(1335),
    [anon_sym_AMP_AMP] = ACTIONS(1335),
    [anon_sym_PIPE_PIPE] = ACTIONS(1335),
    [anon_sym_PLUS] = ACTIONS(1337),
    [anon_sym_DASH] = ACTIONS(1337),
    [anon_sym_STAR] = ACTIONS(1337),
    [anon_sym_SLASH] = ACTIONS(1337),
    [anon_sym_PIPE] = ACTIONS(1337),
    [anon_sym_CARET] = ACTIONS(1335),
    [anon_sym_PERCENT] = ACTIONS(1335),
    [anon_sym_LT_LT] = ACTIONS(1335),
    [anon_sym_GT_GT] = ACTIONS(1337),
    [anon_sym_GT_GT_GT] = ACTIONS(1335),
    [anon_sym_in] = ACTIONS(1337),
    [anon_sym_STAR_STAR] = ACTIONS(1335),
    [anon_sym_instanceof] = ACTIONS(1337),
    [anon_sym_final] = ACTIONS(1337),
    [anon_sym_DASH_GT] = ACTIONS(1335),
    [anon_sym_COMMA] = ACTIONS(1335),
    [anon_sym_QMARK] = ACTIONS(1335),
    [anon_sym_BANG] = ACTIONS(1337),
    [anon_sym_TILDE] = ACTIONS(1335),
    [anon_sym_PLUS_PLUS] = ACTIONS(1335),
    [anon_sym_DASH_DASH] = ACTIONS(1335),
    [anon_sym_new] = ACTIONS(1337),
    [anon_sym_LBRACK] = ACTIONS(1335),
    [anon_sym_class] = ACTIONS(1337),
    [anon_sym_switch] = ACTIONS(1337),
    [anon_sym_LBRACE] = ACTIONS(1335),
    [anon_sym_default] = ACTIONS(1337),
    [sym_underscore_pattern] = ACTIONS(1337),
    [anon_sym_SEMI] = ACTIONS(1335),
    [anon_sym_assert] = ACTIONS(1337),
    [anon_sym_do] = ACTIONS(1337),
    [anon_sym_while] = ACTIONS(1337),
    [anon_sym_break] = ACTIONS(1337),
    [anon_sym_continue] = ACTIONS(1337),
    [anon_sym_return] = ACTIONS(1337),
    [anon_sym_yield] = ACTIONS(1337),
    [anon_sym_synchronized] = ACTIONS(1337),
    [anon_sym_throw] = ACTIONS(1337),
    [anon_sym_try] = ACTIONS(1337),
    [anon_sym_if] = ACTIONS(1337),
    [anon_sym_for] = ACTIONS(1337),
    [anon_sym_AT] = ACTIONS(1337),
    [anon_sym_open] = ACTIONS(1337),
    [anon_sym_module] = ACTIONS(1337),
    [anon_sym_static] = ACTIONS(1337),
    [anon_sym_with] = ACTIONS(1337),
    [anon_sym_package] = ACTIONS(1337),
    [anon_sym_import] = ACTIONS(1337),
    [anon_sym_enum] = ACTIONS(1337),
    [anon_sym_public] = ACTIONS(1337),
    [anon_sym_protected] = ACTIONS(1337),
    [anon_sym_private] = ACTIONS(1337),
    [anon_sym_abstract] = ACTIONS(1337),
    [anon_sym_strictfp] = ACTIONS(1337),
    [anon_sym_native] = ACTIONS(1337),
    [anon_sym_transient] = ACTIONS(1337),
    [anon_sym_volatile] = ACTIONS(1337),
    [anon_sym_sealed] = ACTIONS(1337),
    [anon_sym_non_DASHsealed] = ACTIONS(1335),
    [anon_sym_record] = ACTIONS(1337),
    [anon_sym_ATinterface] = ACTIONS(1335),
    [anon_sym_interface] = ACTIONS(1337),
    [anon_sym_byte] = ACTIONS(1337),
    [anon_sym_short] = ACTIONS(1337),
    [anon_sym_int] = ACTIONS(1337),
    [anon_sym_long] = ACTIONS(1337),
    [anon_sym_char] = ACTIONS(1337),
    [anon_sym_float] = ACTIONS(1337),
    [anon_sym_double] = ACTIONS(1337),
    [sym_boolean_type] = ACTIONS(1337),
    [sym_void_type] = ACTIONS(1337),
    [anon_sym_def] = ACTIONS(1337),
    [sym_this] = ACTIONS(1337),
    [sym_super] = ACTIONS(1337),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1335),
  },
  [496] = {
    [ts_builtin_sym_end] = ACTIONS(1587),
    [sym_identifier] = ACTIONS(1589),
    [sym_decimal_integer_literal] = ACTIONS(1589),
    [sym_hex_integer_literal] = ACTIONS(1589),
    [sym_octal_integer_literal] = ACTIONS(1589),
    [sym_binary_integer_literal] = ACTIONS(1587),
    [sym_decimal_floating_point_literal] = ACTIONS(1587),
    [sym_hex_floating_point_literal] = ACTIONS(1589),
    [sym_true] = ACTIONS(1589),
    [sym_false] = ACTIONS(1589),
    [sym_character_literal] = ACTIONS(1587),
    [anon_sym_DQUOTE] = ACTIONS(1589),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1587),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1587),
    [anon_sym_RBRACE] = ACTIONS(1587),
    [sym_null_literal] = ACTIONS(1589),
    [anon_sym_LPAREN] = ACTIONS(1587),
    [anon_sym_AMP] = ACTIONS(1589),
    [anon_sym_GT] = ACTIONS(1589),
    [anon_sym_LT] = ACTIONS(1589),
    [anon_sym_GT_EQ] = ACTIONS(1587),
    [anon_sym_LT_EQ] = ACTIONS(1587),
    [anon_sym_EQ_EQ] = ACTIONS(1587),
    [anon_sym_BANG_EQ] = ACTIONS(1587),
    [anon_sym_AMP_AMP] = ACTIONS(1587),
    [anon_sym_PIPE_PIPE] = ACTIONS(1587),
    [anon_sym_PLUS] = ACTIONS(1589),
    [anon_sym_DASH] = ACTIONS(1589),
    [anon_sym_STAR] = ACTIONS(1589),
    [anon_sym_SLASH] = ACTIONS(1589),
    [anon_sym_PIPE] = ACTIONS(1589),
    [anon_sym_CARET] = ACTIONS(1587),
    [anon_sym_PERCENT] = ACTIONS(1587),
    [anon_sym_LT_LT] = ACTIONS(1587),
    [anon_sym_GT_GT] = ACTIONS(1589),
    [anon_sym_GT_GT_GT] = ACTIONS(1587),
    [anon_sym_in] = ACTIONS(1589),
    [anon_sym_STAR_STAR] = ACTIONS(1587),
    [anon_sym_instanceof] = ACTIONS(1589),
    [anon_sym_final] = ACTIONS(1589),
    [anon_sym_DASH_GT] = ACTIONS(1587),
    [anon_sym_COMMA] = ACTIONS(1587),
    [anon_sym_QMARK] = ACTIONS(1587),
    [anon_sym_BANG] = ACTIONS(1589),
    [anon_sym_TILDE] = ACTIONS(1587),
    [anon_sym_PLUS_PLUS] = ACTIONS(1587),
    [anon_sym_DASH_DASH] = ACTIONS(1587),
    [anon_sym_new] = ACTIONS(1589),
    [anon_sym_LBRACK] = ACTIONS(1587),
    [anon_sym_class] = ACTIONS(1589),
    [anon_sym_switch] = ACTIONS(1589),
    [anon_sym_LBRACE] = ACTIONS(1587),
    [anon_sym_default] = ACTIONS(1589),
    [sym_underscore_pattern] = ACTIONS(1589),
    [anon_sym_SEMI] = ACTIONS(1587),
    [anon_sym_assert] = ACTIONS(1589),
    [anon_sym_do] = ACTIONS(1589),
    [anon_sym_while] = ACTIONS(1589),
    [anon_sym_break] = ACTIONS(1589),
    [anon_sym_continue] = ACTIONS(1589),
    [anon_sym_return] = ACTIONS(1589),
    [anon_sym_yield] = ACTIONS(1589),
    [anon_sym_synchronized] = ACTIONS(1589),
    [anon_sym_throw] = ACTIONS(1589),
    [anon_sym_try] = ACTIONS(1589),
    [anon_sym_if] = ACTIONS(1589),
    [anon_sym_for] = ACTIONS(1589),
    [anon_sym_AT] = ACTIONS(1589),
    [anon_sym_open] = ACTIONS(1589),
    [anon_sym_module] = ACTIONS(1589),
    [anon_sym_static] = ACTIONS(1589),
    [anon_sym_with] = ACTIONS(1589),
    [anon_sym_package] = ACTIONS(1589),
    [anon_sym_import] = ACTIONS(1589),
    [anon_sym_enum] = ACTIONS(1589),
    [anon_sym_public] = ACTIONS(1589),
    [anon_sym_protected] = ACTIONS(1589),
    [anon_sym_private] = ACTIONS(1589),
    [anon_sym_abstract] = ACTIONS(1589),
    [anon_sym_strictfp] = ACTIONS(1589),
    [anon_sym_native] = ACTIONS(1589),
    [anon_sym_transient] = ACTIONS(1589),
    [anon_sym_volatile] = ACTIONS(1589),
    [anon_sym_sealed] = ACTIONS(1589),
    [anon_sym_non_DASHsealed] = ACTIONS(1587),
    [anon_sym_record] = ACTIONS(1589),
    [anon_sym_ATinterface] = ACTIONS(1587),
    [anon_sym_interface] = ACTIONS(1589),
    [anon_sym_byte] = ACTIONS(1589),
    [anon_sym_short] = ACTIONS(1589),
    [anon_sym_int] = ACTIONS(1589),
    [anon_sym_long] = ACTIONS(1589),
    [anon_sym_char] = ACTIONS(1589),
    [anon_sym_float] = ACTIONS(1589),
    [anon_sym_double] = ACTIONS(1589),
    [sym_boolean_type] = ACTIONS(1589),
    [sym_void_type] = ACTIONS(1589),
    [anon_sym_def] = ACTIONS(1589),
    [sym_this] = ACTIONS(1589),
    [sym_super] = ACTIONS(1589),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1587),
  },
  [497] = {
    [ts_builtin_sym_end] = ACTIONS(1654),
    [sym_identifier] = ACTIONS(1656),
    [sym_decimal_integer_literal] = ACTIONS(1656),
    [sym_hex_integer_literal] = ACTIONS(1656),
    [sym_octal_integer_literal] = ACTIONS(1656),
    [sym_binary_integer_literal] = ACTIONS(1654),
    [sym_decimal_floating_point_literal] = ACTIONS(1654),
    [sym_hex_floating_point_literal] = ACTIONS(1656),
    [sym_true] = ACTIONS(1656),
    [sym_false] = ACTIONS(1656),
    [sym_character_literal] = ACTIONS(1654),
    [anon_sym_DQUOTE] = ACTIONS(1656),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1654),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1654),
    [anon_sym_RBRACE] = ACTIONS(1654),
    [sym_null_literal] = ACTIONS(1656),
    [anon_sym_LPAREN] = ACTIONS(1654),
    [anon_sym_AMP] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1660),
    [anon_sym_LT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1662),
    [anon_sym_LT_EQ] = ACTIONS(1662),
    [anon_sym_EQ_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1664),
    [anon_sym_AMP_AMP] = ACTIONS(1666),
    [anon_sym_PIPE_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_CARET] = ACTIONS(1676),
    [anon_sym_PERCENT] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1682),
    [anon_sym_GT_GT_GT] = ACTIONS(1680),
    [anon_sym_in] = ACTIONS(1660),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1686),
    [anon_sym_final] = ACTIONS(1656),
    [anon_sym_DASH_GT] = ACTIONS(1654),
    [anon_sym_COMMA] = ACTIONS(1654),
    [anon_sym_QMARK] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(1656),
    [anon_sym_TILDE] = ACTIONS(1654),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_new] = ACTIONS(1656),
    [anon_sym_LBRACK] = ACTIONS(1654),
    [anon_sym_class] = ACTIONS(1656),
    [anon_sym_switch] = ACTIONS(1656),
    [anon_sym_LBRACE] = ACTIONS(1654),
    [anon_sym_default] = ACTIONS(1656),
    [sym_underscore_pattern] = ACTIONS(1656),
    [anon_sym_SEMI] = ACTIONS(1654),
    [anon_sym_assert] = ACTIONS(1656),
    [anon_sym_do] = ACTIONS(1656),
    [anon_sym_while] = ACTIONS(1656),
    [anon_sym_break] = ACTIONS(1656),
    [anon_sym_continue] = ACTIONS(1656),
    [anon_sym_return] = ACTIONS(1656),
    [anon_sym_yield] = ACTIONS(1656),
    [anon_sym_synchronized] = ACTIONS(1656),
    [anon_sym_throw] = ACTIONS(1656),
    [anon_sym_try] = ACTIONS(1656),
    [anon_sym_if] = ACTIONS(1656),
    [anon_sym_for] = ACTIONS(1656),
    [anon_sym_AT] = ACTIONS(1656),
    [anon_sym_open] = ACTIONS(1656),
    [anon_sym_module] = ACTIONS(1656),
    [anon_sym_static] = ACTIONS(1656),
    [anon_sym_with] = ACTIONS(1656),
    [anon_sym_package] = ACTIONS(1656),
    [anon_sym_import] = ACTIONS(1656),
    [anon_sym_enum] = ACTIONS(1656),
    [anon_sym_public] = ACTIONS(1656),
    [anon_sym_protected] = ACTIONS(1656),
    [anon_sym_private] = ACTIONS(1656),
    [anon_sym_abstract] = ACTIONS(1656),
    [anon_sym_strictfp] = ACTIONS(1656),
    [anon_sym_native] = ACTIONS(1656),
    [anon_sym_transient] = ACTIONS(1656),
    [anon_sym_volatile] = ACTIONS(1656),
    [anon_sym_sealed] = ACTIONS(1656),
    [anon_sym_non_DASHsealed] = ACTIONS(1654),
    [anon_sym_record] = ACTIONS(1656),
    [anon_sym_ATinterface] = ACTIONS(1654),
    [anon_sym_interface] = ACTIONS(1656),
    [anon_sym_byte] = ACTIONS(1656),
    [anon_sym_short] = ACTIONS(1656),
    [anon_sym_int] = ACTIONS(1656),
    [anon_sym_long] = ACTIONS(1656),
    [anon_sym_char] = ACTIONS(1656),
    [anon_sym_float] = ACTIONS(1656),
    [anon_sym_double] = ACTIONS(1656),
    [sym_boolean_type] = ACTIONS(1656),
    [sym_void_type] = ACTIONS(1656),
    [anon_sym_def] = ACTIONS(1656),
    [sym_this] = ACTIONS(1656),
    [sym_super] = ACTIONS(1656),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1692),
  },
  [498] = {
    [ts_builtin_sym_end] = ACTIONS(980),
    [sym_identifier] = ACTIONS(982),
    [sym_decimal_integer_literal] = ACTIONS(982),
    [sym_hex_integer_literal] = ACTIONS(982),
    [sym_octal_integer_literal] = ACTIONS(982),
    [sym_binary_integer_literal] = ACTIONS(980),
    [sym_decimal_floating_point_literal] = ACTIONS(980),
    [sym_hex_floating_point_literal] = ACTIONS(982),
    [sym_true] = ACTIONS(982),
    [sym_false] = ACTIONS(982),
    [sym_character_literal] = ACTIONS(980),
    [anon_sym_DQUOTE] = ACTIONS(982),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(980),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(980),
    [anon_sym_RBRACE] = ACTIONS(980),
    [sym_null_literal] = ACTIONS(982),
    [anon_sym_LPAREN] = ACTIONS(980),
    [anon_sym_AMP] = ACTIONS(982),
    [anon_sym_GT] = ACTIONS(982),
    [anon_sym_LT] = ACTIONS(982),
    [anon_sym_GT_EQ] = ACTIONS(980),
    [anon_sym_LT_EQ] = ACTIONS(980),
    [anon_sym_EQ_EQ] = ACTIONS(980),
    [anon_sym_BANG_EQ] = ACTIONS(980),
    [anon_sym_AMP_AMP] = ACTIONS(980),
    [anon_sym_PIPE_PIPE] = ACTIONS(980),
    [anon_sym_PLUS] = ACTIONS(982),
    [anon_sym_DASH] = ACTIONS(982),
    [anon_sym_STAR] = ACTIONS(982),
    [anon_sym_SLASH] = ACTIONS(982),
    [anon_sym_PIPE] = ACTIONS(982),
    [anon_sym_CARET] = ACTIONS(980),
    [anon_sym_PERCENT] = ACTIONS(980),
    [anon_sym_LT_LT] = ACTIONS(980),
    [anon_sym_GT_GT] = ACTIONS(982),
    [anon_sym_GT_GT_GT] = ACTIONS(980),
    [anon_sym_in] = ACTIONS(982),
    [anon_sym_STAR_STAR] = ACTIONS(980),
    [anon_sym_instanceof] = ACTIONS(982),
    [anon_sym_final] = ACTIONS(982),
    [anon_sym_DASH_GT] = ACTIONS(980),
    [anon_sym_COMMA] = ACTIONS(980),
    [anon_sym_QMARK] = ACTIONS(980),
    [anon_sym_BANG] = ACTIONS(982),
    [anon_sym_TILDE] = ACTIONS(980),
    [anon_sym_PLUS_PLUS] = ACTIONS(980),
    [anon_sym_DASH_DASH] = ACTIONS(980),
    [anon_sym_new] = ACTIONS(982),
    [anon_sym_LBRACK] = ACTIONS(980),
    [anon_sym_class] = ACTIONS(982),
    [anon_sym_switch] = ACTIONS(982),
    [anon_sym_LBRACE] = ACTIONS(980),
    [anon_sym_default] = ACTIONS(982),
    [sym_underscore_pattern] = ACTIONS(982),
    [anon_sym_SEMI] = ACTIONS(980),
    [anon_sym_assert] = ACTIONS(982),
    [anon_sym_do] = ACTIONS(982),
    [anon_sym_while] = ACTIONS(982),
    [anon_sym_break] = ACTIONS(982),
    [anon_sym_continue] = ACTIONS(982),
    [anon_sym_return] = ACTIONS(982),
    [anon_sym_yield] = ACTIONS(982),
    [anon_sym_synchronized] = ACTIONS(982),
    [anon_sym_throw] = ACTIONS(982),
    [anon_sym_try] = ACTIONS(982),
    [anon_sym_if] = ACTIONS(982),
    [anon_sym_for] = ACTIONS(982),
    [anon_sym_AT] = ACTIONS(982),
    [anon_sym_open] = ACTIONS(982),
    [anon_sym_module] = ACTIONS(982),
    [anon_sym_static] = ACTIONS(982),
    [anon_sym_with] = ACTIONS(982),
    [anon_sym_package] = ACTIONS(982),
    [anon_sym_import] = ACTIONS(982),
    [anon_sym_enum] = ACTIONS(982),
    [anon_sym_public] = ACTIONS(982),
    [anon_sym_protected] = ACTIONS(982),
    [anon_sym_private] = ACTIONS(982),
    [anon_sym_abstract] = ACTIONS(982),
    [anon_sym_strictfp] = ACTIONS(982),
    [anon_sym_native] = ACTIONS(982),
    [anon_sym_transient] = ACTIONS(982),
    [anon_sym_volatile] = ACTIONS(982),
    [anon_sym_sealed] = ACTIONS(982),
    [anon_sym_non_DASHsealed] = ACTIONS(980),
    [anon_sym_record] = ACTIONS(982),
    [anon_sym_ATinterface] = ACTIONS(980),
    [anon_sym_interface] = ACTIONS(982),
    [anon_sym_byte] = ACTIONS(982),
    [anon_sym_short] = ACTIONS(982),
    [anon_sym_int] = ACTIONS(982),
    [anon_sym_long] = ACTIONS(982),
    [anon_sym_char] = ACTIONS(982),
    [anon_sym_float] = ACTIONS(982),
    [anon_sym_double] = ACTIONS(982),
    [sym_boolean_type] = ACTIONS(982),
    [sym_void_type] = ACTIONS(982),
    [anon_sym_def] = ACTIONS(982),
    [sym_this] = ACTIONS(982),
    [sym_super] = ACTIONS(982),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(980),
  },
  [499] = {
    [ts_builtin_sym_end] = ACTIONS(1455),
    [sym_identifier] = ACTIONS(1457),
    [sym_decimal_integer_literal] = ACTIONS(1457),
    [sym_hex_integer_literal] = ACTIONS(1457),
    [sym_octal_integer_literal] = ACTIONS(1457),
    [sym_binary_integer_literal] = ACTIONS(1455),
    [sym_decimal_floating_point_literal] = ACTIONS(1455),
    [sym_hex_floating_point_literal] = ACTIONS(1457),
    [sym_true] = ACTIONS(1457),
    [sym_false] = ACTIONS(1457),
    [sym_character_literal] = ACTIONS(1455),
    [anon_sym_DQUOTE] = ACTIONS(1457),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1455),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1455),
    [anon_sym_RBRACE] = ACTIONS(1455),
    [sym_null_literal] = ACTIONS(1457),
    [anon_sym_LPAREN] = ACTIONS(1455),
    [anon_sym_AMP] = ACTIONS(1457),
    [anon_sym_GT] = ACTIONS(1457),
    [anon_sym_LT] = ACTIONS(1457),
    [anon_sym_GT_EQ] = ACTIONS(1455),
    [anon_sym_LT_EQ] = ACTIONS(1455),
    [anon_sym_EQ_EQ] = ACTIONS(1455),
    [anon_sym_BANG_EQ] = ACTIONS(1455),
    [anon_sym_AMP_AMP] = ACTIONS(1455),
    [anon_sym_PIPE_PIPE] = ACTIONS(1455),
    [anon_sym_PLUS] = ACTIONS(1457),
    [anon_sym_DASH] = ACTIONS(1457),
    [anon_sym_STAR] = ACTIONS(1457),
    [anon_sym_SLASH] = ACTIONS(1457),
    [anon_sym_PIPE] = ACTIONS(1457),
    [anon_sym_CARET] = ACTIONS(1455),
    [anon_sym_PERCENT] = ACTIONS(1455),
    [anon_sym_LT_LT] = ACTIONS(1455),
    [anon_sym_GT_GT] = ACTIONS(1457),
    [anon_sym_GT_GT_GT] = ACTIONS(1455),
    [anon_sym_in] = ACTIONS(1457),
    [anon_sym_STAR_STAR] = ACTIONS(1455),
    [anon_sym_instanceof] = ACTIONS(1457),
    [anon_sym_final] = ACTIONS(1457),
    [anon_sym_DASH_GT] = ACTIONS(1455),
    [anon_sym_COMMA] = ACTIONS(1455),
    [anon_sym_QMARK] = ACTIONS(1455),
    [anon_sym_BANG] = ACTIONS(1457),
    [anon_sym_TILDE] = ACTIONS(1455),
    [anon_sym_PLUS_PLUS] = ACTIONS(1455),
    [anon_sym_DASH_DASH] = ACTIONS(1455),
    [anon_sym_new] = ACTIONS(1457),
    [anon_sym_LBRACK] = ACTIONS(1455),
    [anon_sym_class] = ACTIONS(1457),
    [anon_sym_switch] = ACTIONS(1457),
    [anon_sym_LBRACE] = ACTIONS(1455),
    [anon_sym_default] = ACTIONS(1457),
    [sym_underscore_pattern] = ACTIONS(1457),
    [anon_sym_SEMI] = ACTIONS(1455),
    [anon_sym_assert] = ACTIONS(1457),
    [anon_sym_do] = ACTIONS(1457),
    [anon_sym_while] = ACTIONS(1457),
    [anon_sym_break] = ACTIONS(1457),
    [anon_sym_continue] = ACTIONS(1457),
    [anon_sym_return] = ACTIONS(1457),
    [anon_sym_yield] = ACTIONS(1457),
    [anon_sym_synchronized] = ACTIONS(1457),
    [anon_sym_throw] = ACTIONS(1457),
    [anon_sym_try] = ACTIONS(1457),
    [anon_sym_if] = ACTIONS(1457),
    [anon_sym_for] = ACTIONS(1457),
    [anon_sym_AT] = ACTIONS(1457),
    [anon_sym_open] = ACTIONS(1457),
    [anon_sym_module] = ACTIONS(1457),
    [anon_sym_static] = ACTIONS(1457),
    [anon_sym_with] = ACTIONS(1457),
    [anon_sym_package] = ACTIONS(1457),
    [anon_sym_import] = ACTIONS(1457),
    [anon_sym_enum] = ACTIONS(1457),
    [anon_sym_public] = ACTIONS(1457),
    [anon_sym_protected] = ACTIONS(1457),
    [anon_sym_private] = ACTIONS(1457),
    [anon_sym_abstract] = ACTIONS(1457),
    [anon_sym_strictfp] = ACTIONS(1457),
    [anon_sym_native] = ACTIONS(1457),
    [anon_sym_transient] = ACTIONS(1457),
    [anon_sym_volatile] = ACTIONS(1457),
    [anon_sym_sealed] = ACTIONS(1457),
    [anon_sym_non_DASHsealed] = ACTIONS(1455),
    [anon_sym_record] = ACTIONS(1457),
    [anon_sym_ATinterface] = ACTIONS(1455),
    [anon_sym_interface] = ACTIONS(1457),
    [anon_sym_byte] = ACTIONS(1457),
    [anon_sym_short] = ACTIONS(1457),
    [anon_sym_int] = ACTIONS(1457),
    [anon_sym_long] = ACTIONS(1457),
    [anon_sym_char] = ACTIONS(1457),
    [anon_sym_float] = ACTIONS(1457),
    [anon_sym_double] = ACTIONS(1457),
    [sym_boolean_type] = ACTIONS(1457),
    [sym_void_type] = ACTIONS(1457),
    [anon_sym_def] = ACTIONS(1457),
    [sym_this] = ACTIONS(1457),
    [sym_super] = ACTIONS(1457),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1455),
  },
  [500] = {
    [ts_builtin_sym_end] = ACTIONS(1481),
    [sym_identifier] = ACTIONS(1483),
    [sym_decimal_integer_literal] = ACTIONS(1483),
    [sym_hex_integer_literal] = ACTIONS(1483),
    [sym_octal_integer_literal] = ACTIONS(1483),
    [sym_binary_integer_literal] = ACTIONS(1481),
    [sym_decimal_floating_point_literal] = ACTIONS(1481),
    [sym_hex_floating_point_literal] = ACTIONS(1483),
    [sym_true] = ACTIONS(1483),
    [sym_false] = ACTIONS(1483),
    [sym_character_literal] = ACTIONS(1481),
    [anon_sym_DQUOTE] = ACTIONS(1483),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1481),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1481),
    [anon_sym_RBRACE] = ACTIONS(1481),
    [sym_null_literal] = ACTIONS(1483),
    [anon_sym_LPAREN] = ACTIONS(1481),
    [anon_sym_AMP] = ACTIONS(1483),
    [anon_sym_GT] = ACTIONS(1483),
    [anon_sym_LT] = ACTIONS(1483),
    [anon_sym_GT_EQ] = ACTIONS(1481),
    [anon_sym_LT_EQ] = ACTIONS(1481),
    [anon_sym_EQ_EQ] = ACTIONS(1481),
    [anon_sym_BANG_EQ] = ACTIONS(1481),
    [anon_sym_AMP_AMP] = ACTIONS(1481),
    [anon_sym_PIPE_PIPE] = ACTIONS(1481),
    [anon_sym_PLUS] = ACTIONS(1483),
    [anon_sym_DASH] = ACTIONS(1483),
    [anon_sym_STAR] = ACTIONS(1483),
    [anon_sym_SLASH] = ACTIONS(1483),
    [anon_sym_PIPE] = ACTIONS(1483),
    [anon_sym_CARET] = ACTIONS(1481),
    [anon_sym_PERCENT] = ACTIONS(1481),
    [anon_sym_LT_LT] = ACTIONS(1481),
    [anon_sym_GT_GT] = ACTIONS(1483),
    [anon_sym_GT_GT_GT] = ACTIONS(1481),
    [anon_sym_in] = ACTIONS(1483),
    [anon_sym_STAR_STAR] = ACTIONS(1481),
    [anon_sym_instanceof] = ACTIONS(1483),
    [anon_sym_final] = ACTIONS(1483),
    [anon_sym_DASH_GT] = ACTIONS(1481),
    [anon_sym_COMMA] = ACTIONS(1481),
    [anon_sym_QMARK] = ACTIONS(1481),
    [anon_sym_BANG] = ACTIONS(1483),
    [anon_sym_TILDE] = ACTIONS(1481),
    [anon_sym_PLUS_PLUS] = ACTIONS(1481),
    [anon_sym_DASH_DASH] = ACTIONS(1481),
    [anon_sym_new] = ACTIONS(1483),
    [anon_sym_LBRACK] = ACTIONS(1481),
    [anon_sym_class] = ACTIONS(1483),
    [anon_sym_switch] = ACTIONS(1483),
    [anon_sym_LBRACE] = ACTIONS(1481),
    [anon_sym_default] = ACTIONS(1483),
    [sym_underscore_pattern] = ACTIONS(1483),
    [anon_sym_SEMI] = ACTIONS(1481),
    [anon_sym_assert] = ACTIONS(1483),
    [anon_sym_do] = ACTIONS(1483),
    [anon_sym_while] = ACTIONS(1483),
    [anon_sym_break] = ACTIONS(1483),
    [anon_sym_continue] = ACTIONS(1483),
    [anon_sym_return] = ACTIONS(1483),
    [anon_sym_yield] = ACTIONS(1483),
    [anon_sym_synchronized] = ACTIONS(1483),
    [anon_sym_throw] = ACTIONS(1483),
    [anon_sym_try] = ACTIONS(1483),
    [anon_sym_if] = ACTIONS(1483),
    [anon_sym_for] = ACTIONS(1483),
    [anon_sym_AT] = ACTIONS(1483),
    [anon_sym_open] = ACTIONS(1483),
    [anon_sym_module] = ACTIONS(1483),
    [anon_sym_static] = ACTIONS(1483),
    [anon_sym_with] = ACTIONS(1483),
    [anon_sym_package] = ACTIONS(1483),
    [anon_sym_import] = ACTIONS(1483),
    [anon_sym_enum] = ACTIONS(1483),
    [anon_sym_public] = ACTIONS(1483),
    [anon_sym_protected] = ACTIONS(1483),
    [anon_sym_private] = ACTIONS(1483),
    [anon_sym_abstract] = ACTIONS(1483),
    [anon_sym_strictfp] = ACTIONS(1483),
    [anon_sym_native] = ACTIONS(1483),
    [anon_sym_transient] = ACTIONS(1483),
    [anon_sym_volatile] = ACTIONS(1483),
    [anon_sym_sealed] = ACTIONS(1483),
    [anon_sym_non_DASHsealed] = ACTIONS(1481),
    [anon_sym_record] = ACTIONS(1483),
    [anon_sym_ATinterface] = ACTIONS(1481),
    [anon_sym_interface] = ACTIONS(1483),
    [anon_sym_byte] = ACTIONS(1483),
    [anon_sym_short] = ACTIONS(1483),
    [anon_sym_int] = ACTIONS(1483),
    [anon_sym_long] = ACTIONS(1483),
    [anon_sym_char] = ACTIONS(1483),
    [anon_sym_float] = ACTIONS(1483),
    [anon_sym_double] = ACTIONS(1483),
    [sym_boolean_type] = ACTIONS(1483),
    [sym_void_type] = ACTIONS(1483),
    [anon_sym_def] = ACTIONS(1483),
    [sym_this] = ACTIONS(1483),
    [sym_super] = ACTIONS(1483),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1481),
  },
  [501] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1517),
    [sym_decimal_integer_literal] = ACTIONS(1517),
    [sym_hex_integer_literal] = ACTIONS(1517),
    [sym_octal_integer_literal] = ACTIONS(1517),
    [sym_binary_integer_literal] = ACTIONS(1515),
    [sym_decimal_floating_point_literal] = ACTIONS(1515),
    [sym_hex_floating_point_literal] = ACTIONS(1517),
    [sym_true] = ACTIONS(1517),
    [sym_false] = ACTIONS(1517),
    [sym_character_literal] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1517),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [sym_null_literal] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1517),
    [anon_sym_GT] = ACTIONS(1517),
    [anon_sym_LT] = ACTIONS(1517),
    [anon_sym_GT_EQ] = ACTIONS(1515),
    [anon_sym_LT_EQ] = ACTIONS(1515),
    [anon_sym_EQ_EQ] = ACTIONS(1515),
    [anon_sym_BANG_EQ] = ACTIONS(1515),
    [anon_sym_AMP_AMP] = ACTIONS(1515),
    [anon_sym_PIPE_PIPE] = ACTIONS(1515),
    [anon_sym_PLUS] = ACTIONS(1517),
    [anon_sym_DASH] = ACTIONS(1517),
    [anon_sym_STAR] = ACTIONS(1517),
    [anon_sym_SLASH] = ACTIONS(1517),
    [anon_sym_PIPE] = ACTIONS(1517),
    [anon_sym_CARET] = ACTIONS(1515),
    [anon_sym_PERCENT] = ACTIONS(1515),
    [anon_sym_LT_LT] = ACTIONS(1515),
    [anon_sym_GT_GT] = ACTIONS(1517),
    [anon_sym_GT_GT_GT] = ACTIONS(1515),
    [anon_sym_in] = ACTIONS(1517),
    [anon_sym_STAR_STAR] = ACTIONS(1515),
    [anon_sym_instanceof] = ACTIONS(1517),
    [anon_sym_final] = ACTIONS(1517),
    [anon_sym_DASH_GT] = ACTIONS(1515),
    [anon_sym_COMMA] = ACTIONS(1515),
    [anon_sym_QMARK] = ACTIONS(1515),
    [anon_sym_BANG] = ACTIONS(1517),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1515),
    [anon_sym_DASH_DASH] = ACTIONS(1515),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_class] = ACTIONS(1517),
    [anon_sym_switch] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_default] = ACTIONS(1517),
    [sym_underscore_pattern] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_assert] = ACTIONS(1517),
    [anon_sym_do] = ACTIONS(1517),
    [anon_sym_while] = ACTIONS(1517),
    [anon_sym_break] = ACTIONS(1517),
    [anon_sym_continue] = ACTIONS(1517),
    [anon_sym_return] = ACTIONS(1517),
    [anon_sym_yield] = ACTIONS(1517),
    [anon_sym_synchronized] = ACTIONS(1517),
    [anon_sym_throw] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_if] = ACTIONS(1517),
    [anon_sym_for] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(1517),
    [anon_sym_open] = ACTIONS(1517),
    [anon_sym_module] = ACTIONS(1517),
    [anon_sym_static] = ACTIONS(1517),
    [anon_sym_with] = ACTIONS(1517),
    [anon_sym_package] = ACTIONS(1517),
    [anon_sym_import] = ACTIONS(1517),
    [anon_sym_enum] = ACTIONS(1517),
    [anon_sym_public] = ACTIONS(1517),
    [anon_sym_protected] = ACTIONS(1517),
    [anon_sym_private] = ACTIONS(1517),
    [anon_sym_abstract] = ACTIONS(1517),
    [anon_sym_strictfp] = ACTIONS(1517),
    [anon_sym_native] = ACTIONS(1517),
    [anon_sym_transient] = ACTIONS(1517),
    [anon_sym_volatile] = ACTIONS(1517),
    [anon_sym_sealed] = ACTIONS(1517),
    [anon_sym_non_DASHsealed] = ACTIONS(1515),
    [anon_sym_record] = ACTIONS(1517),
    [anon_sym_ATinterface] = ACTIONS(1515),
    [anon_sym_interface] = ACTIONS(1517),
    [anon_sym_byte] = ACTIONS(1517),
    [anon_sym_short] = ACTIONS(1517),
    [anon_sym_int] = ACTIONS(1517),
    [anon_sym_long] = ACTIONS(1517),
    [anon_sym_char] = ACTIONS(1517),
    [anon_sym_float] = ACTIONS(1517),
    [anon_sym_double] = ACTIONS(1517),
    [sym_boolean_type] = ACTIONS(1517),
    [sym_void_type] = ACTIONS(1517),
    [anon_sym_def] = ACTIONS(1517),
    [sym_this] = ACTIONS(1517),
    [sym_super] = ACTIONS(1517),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1515),
  },
  [502] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1563),
    [sym_decimal_floating_point_literal] = ACTIONS(1563),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1563),
    [anon_sym_RBRACE] = ACTIONS(1563),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1660),
    [anon_sym_LT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1662),
    [anon_sym_LT_EQ] = ACTIONS(1662),
    [anon_sym_EQ_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1664),
    [anon_sym_AMP_AMP] = ACTIONS(1563),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1563),
    [anon_sym_PERCENT] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1682),
    [anon_sym_GT_GT_GT] = ACTIONS(1680),
    [anon_sym_in] = ACTIONS(1660),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1686),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1563),
    [anon_sym_COMMA] = ACTIONS(1563),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1563),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1563),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1692),
  },
  [503] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1563),
    [sym_decimal_floating_point_literal] = ACTIONS(1563),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1563),
    [anon_sym_RBRACE] = ACTIONS(1563),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_EQ_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_AMP_AMP] = ACTIONS(1563),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1563),
    [anon_sym_PERCENT] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1682),
    [anon_sym_GT_GT_GT] = ACTIONS(1680),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1565),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1563),
    [anon_sym_COMMA] = ACTIONS(1563),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1563),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1563),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1692),
  },
  [504] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1563),
    [sym_decimal_floating_point_literal] = ACTIONS(1563),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1563),
    [anon_sym_RBRACE] = ACTIONS(1563),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1660),
    [anon_sym_LT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1662),
    [anon_sym_LT_EQ] = ACTIONS(1662),
    [anon_sym_EQ_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_AMP_AMP] = ACTIONS(1563),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1563),
    [anon_sym_PERCENT] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1682),
    [anon_sym_GT_GT_GT] = ACTIONS(1680),
    [anon_sym_in] = ACTIONS(1660),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1686),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1563),
    [anon_sym_COMMA] = ACTIONS(1563),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1563),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1563),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1692),
  },
  [505] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1563),
    [sym_decimal_floating_point_literal] = ACTIONS(1563),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1563),
    [anon_sym_RBRACE] = ACTIONS(1563),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1660),
    [anon_sym_LT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1662),
    [anon_sym_LT_EQ] = ACTIONS(1662),
    [anon_sym_EQ_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1664),
    [anon_sym_AMP_AMP] = ACTIONS(1563),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_CARET] = ACTIONS(1676),
    [anon_sym_PERCENT] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1682),
    [anon_sym_GT_GT_GT] = ACTIONS(1680),
    [anon_sym_in] = ACTIONS(1660),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1686),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1563),
    [anon_sym_COMMA] = ACTIONS(1563),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1563),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1563),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1692),
  },
  [506] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1563),
    [sym_decimal_floating_point_literal] = ACTIONS(1563),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1563),
    [anon_sym_RBRACE] = ACTIONS(1563),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1660),
    [anon_sym_LT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1662),
    [anon_sym_LT_EQ] = ACTIONS(1662),
    [anon_sym_EQ_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1664),
    [anon_sym_AMP_AMP] = ACTIONS(1666),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_CARET] = ACTIONS(1676),
    [anon_sym_PERCENT] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1682),
    [anon_sym_GT_GT_GT] = ACTIONS(1680),
    [anon_sym_in] = ACTIONS(1660),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1686),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1563),
    [anon_sym_COMMA] = ACTIONS(1563),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1563),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1563),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1692),
  },
  [507] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1563),
    [sym_decimal_floating_point_literal] = ACTIONS(1563),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1563),
    [anon_sym_RBRACE] = ACTIONS(1563),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_EQ_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_AMP_AMP] = ACTIONS(1563),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1563),
    [anon_sym_PERCENT] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1563),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_GT_GT_GT] = ACTIONS(1563),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1565),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1563),
    [anon_sym_COMMA] = ACTIONS(1563),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1563),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1563),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1692),
  },
  [508] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1563),
    [sym_decimal_floating_point_literal] = ACTIONS(1563),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1563),
    [anon_sym_RBRACE] = ACTIONS(1563),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_EQ_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_AMP_AMP] = ACTIONS(1563),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1563),
    [anon_sym_PERCENT] = ACTIONS(1563),
    [anon_sym_LT_LT] = ACTIONS(1563),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_GT_GT_GT] = ACTIONS(1563),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1565),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1563),
    [anon_sym_COMMA] = ACTIONS(1563),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1563),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1563),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1692),
  },
  [509] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1563),
    [sym_decimal_floating_point_literal] = ACTIONS(1563),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1563),
    [anon_sym_RBRACE] = ACTIONS(1563),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1660),
    [anon_sym_LT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1662),
    [anon_sym_LT_EQ] = ACTIONS(1662),
    [anon_sym_EQ_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1664),
    [anon_sym_AMP_AMP] = ACTIONS(1563),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1676),
    [anon_sym_PERCENT] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1682),
    [anon_sym_GT_GT_GT] = ACTIONS(1680),
    [anon_sym_in] = ACTIONS(1660),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1686),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1563),
    [anon_sym_COMMA] = ACTIONS(1563),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1563),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1563),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1692),
  },
  [510] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1563),
    [sym_decimal_floating_point_literal] = ACTIONS(1563),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1563),
    [anon_sym_RBRACE] = ACTIONS(1563),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1660),
    [anon_sym_LT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1662),
    [anon_sym_LT_EQ] = ACTIONS(1662),
    [anon_sym_EQ_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1664),
    [anon_sym_AMP_AMP] = ACTIONS(1563),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1563),
    [anon_sym_PERCENT] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1682),
    [anon_sym_GT_GT_GT] = ACTIONS(1680),
    [anon_sym_in] = ACTIONS(1660),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1686),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1563),
    [anon_sym_COMMA] = ACTIONS(1563),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1563),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1563),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1692),
  },
  [511] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1563),
    [sym_decimal_floating_point_literal] = ACTIONS(1563),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1563),
    [anon_sym_RBRACE] = ACTIONS(1563),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_EQ_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_AMP_AMP] = ACTIONS(1563),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1563),
    [anon_sym_PERCENT] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1563),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_GT_GT_GT] = ACTIONS(1563),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1565),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1563),
    [anon_sym_COMMA] = ACTIONS(1563),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1563),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1563),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1692),
  },
  [512] = {
    [ts_builtin_sym_end] = ACTIONS(1563),
    [sym_identifier] = ACTIONS(1565),
    [sym_decimal_integer_literal] = ACTIONS(1565),
    [sym_hex_integer_literal] = ACTIONS(1565),
    [sym_octal_integer_literal] = ACTIONS(1565),
    [sym_binary_integer_literal] = ACTIONS(1563),
    [sym_decimal_floating_point_literal] = ACTIONS(1563),
    [sym_hex_floating_point_literal] = ACTIONS(1565),
    [sym_true] = ACTIONS(1565),
    [sym_false] = ACTIONS(1565),
    [sym_character_literal] = ACTIONS(1563),
    [anon_sym_DQUOTE] = ACTIONS(1565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1563),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1563),
    [anon_sym_RBRACE] = ACTIONS(1563),
    [sym_null_literal] = ACTIONS(1565),
    [anon_sym_LPAREN] = ACTIONS(1563),
    [anon_sym_AMP] = ACTIONS(1565),
    [anon_sym_GT] = ACTIONS(1565),
    [anon_sym_LT] = ACTIONS(1565),
    [anon_sym_GT_EQ] = ACTIONS(1563),
    [anon_sym_LT_EQ] = ACTIONS(1563),
    [anon_sym_EQ_EQ] = ACTIONS(1563),
    [anon_sym_BANG_EQ] = ACTIONS(1563),
    [anon_sym_AMP_AMP] = ACTIONS(1563),
    [anon_sym_PIPE_PIPE] = ACTIONS(1563),
    [anon_sym_PLUS] = ACTIONS(1565),
    [anon_sym_DASH] = ACTIONS(1565),
    [anon_sym_STAR] = ACTIONS(1565),
    [anon_sym_SLASH] = ACTIONS(1565),
    [anon_sym_PIPE] = ACTIONS(1565),
    [anon_sym_CARET] = ACTIONS(1563),
    [anon_sym_PERCENT] = ACTIONS(1563),
    [anon_sym_LT_LT] = ACTIONS(1563),
    [anon_sym_GT_GT] = ACTIONS(1565),
    [anon_sym_GT_GT_GT] = ACTIONS(1563),
    [anon_sym_in] = ACTIONS(1565),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1565),
    [anon_sym_final] = ACTIONS(1565),
    [anon_sym_DASH_GT] = ACTIONS(1563),
    [anon_sym_COMMA] = ACTIONS(1563),
    [anon_sym_QMARK] = ACTIONS(1563),
    [anon_sym_BANG] = ACTIONS(1565),
    [anon_sym_TILDE] = ACTIONS(1563),
    [anon_sym_PLUS_PLUS] = ACTIONS(1563),
    [anon_sym_DASH_DASH] = ACTIONS(1563),
    [anon_sym_new] = ACTIONS(1565),
    [anon_sym_LBRACK] = ACTIONS(1563),
    [anon_sym_class] = ACTIONS(1565),
    [anon_sym_switch] = ACTIONS(1565),
    [anon_sym_LBRACE] = ACTIONS(1563),
    [anon_sym_default] = ACTIONS(1565),
    [sym_underscore_pattern] = ACTIONS(1565),
    [anon_sym_SEMI] = ACTIONS(1563),
    [anon_sym_assert] = ACTIONS(1565),
    [anon_sym_do] = ACTIONS(1565),
    [anon_sym_while] = ACTIONS(1565),
    [anon_sym_break] = ACTIONS(1565),
    [anon_sym_continue] = ACTIONS(1565),
    [anon_sym_return] = ACTIONS(1565),
    [anon_sym_yield] = ACTIONS(1565),
    [anon_sym_synchronized] = ACTIONS(1565),
    [anon_sym_throw] = ACTIONS(1565),
    [anon_sym_try] = ACTIONS(1565),
    [anon_sym_if] = ACTIONS(1565),
    [anon_sym_for] = ACTIONS(1565),
    [anon_sym_AT] = ACTIONS(1565),
    [anon_sym_open] = ACTIONS(1565),
    [anon_sym_module] = ACTIONS(1565),
    [anon_sym_static] = ACTIONS(1565),
    [anon_sym_with] = ACTIONS(1565),
    [anon_sym_package] = ACTIONS(1565),
    [anon_sym_import] = ACTIONS(1565),
    [anon_sym_enum] = ACTIONS(1565),
    [anon_sym_public] = ACTIONS(1565),
    [anon_sym_protected] = ACTIONS(1565),
    [anon_sym_private] = ACTIONS(1565),
    [anon_sym_abstract] = ACTIONS(1565),
    [anon_sym_strictfp] = ACTIONS(1565),
    [anon_sym_native] = ACTIONS(1565),
    [anon_sym_transient] = ACTIONS(1565),
    [anon_sym_volatile] = ACTIONS(1565),
    [anon_sym_sealed] = ACTIONS(1565),
    [anon_sym_non_DASHsealed] = ACTIONS(1563),
    [anon_sym_record] = ACTIONS(1565),
    [anon_sym_ATinterface] = ACTIONS(1563),
    [anon_sym_interface] = ACTIONS(1565),
    [anon_sym_byte] = ACTIONS(1565),
    [anon_sym_short] = ACTIONS(1565),
    [anon_sym_int] = ACTIONS(1565),
    [anon_sym_long] = ACTIONS(1565),
    [anon_sym_char] = ACTIONS(1565),
    [anon_sym_float] = ACTIONS(1565),
    [anon_sym_double] = ACTIONS(1565),
    [sym_boolean_type] = ACTIONS(1565),
    [sym_void_type] = ACTIONS(1565),
    [anon_sym_def] = ACTIONS(1565),
    [sym_this] = ACTIONS(1565),
    [sym_super] = ACTIONS(1565),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1563),
  },
  [513] = {
    [ts_builtin_sym_end] = ACTIONS(1567),
    [sym_identifier] = ACTIONS(1569),
    [sym_decimal_integer_literal] = ACTIONS(1569),
    [sym_hex_integer_literal] = ACTIONS(1569),
    [sym_octal_integer_literal] = ACTIONS(1569),
    [sym_binary_integer_literal] = ACTIONS(1567),
    [sym_decimal_floating_point_literal] = ACTIONS(1567),
    [sym_hex_floating_point_literal] = ACTIONS(1569),
    [sym_true] = ACTIONS(1569),
    [sym_false] = ACTIONS(1569),
    [sym_character_literal] = ACTIONS(1567),
    [anon_sym_DQUOTE] = ACTIONS(1569),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1567),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1567),
    [anon_sym_RBRACE] = ACTIONS(1567),
    [sym_null_literal] = ACTIONS(1569),
    [anon_sym_LPAREN] = ACTIONS(1567),
    [anon_sym_AMP] = ACTIONS(1569),
    [anon_sym_GT] = ACTIONS(1569),
    [anon_sym_LT] = ACTIONS(1569),
    [anon_sym_GT_EQ] = ACTIONS(1567),
    [anon_sym_LT_EQ] = ACTIONS(1567),
    [anon_sym_EQ_EQ] = ACTIONS(1567),
    [anon_sym_BANG_EQ] = ACTIONS(1567),
    [anon_sym_AMP_AMP] = ACTIONS(1567),
    [anon_sym_PIPE_PIPE] = ACTIONS(1567),
    [anon_sym_PLUS] = ACTIONS(1569),
    [anon_sym_DASH] = ACTIONS(1569),
    [anon_sym_STAR] = ACTIONS(1569),
    [anon_sym_SLASH] = ACTIONS(1569),
    [anon_sym_PIPE] = ACTIONS(1569),
    [anon_sym_CARET] = ACTIONS(1567),
    [anon_sym_PERCENT] = ACTIONS(1567),
    [anon_sym_LT_LT] = ACTIONS(1567),
    [anon_sym_GT_GT] = ACTIONS(1569),
    [anon_sym_GT_GT_GT] = ACTIONS(1567),
    [anon_sym_in] = ACTIONS(1569),
    [anon_sym_STAR_STAR] = ACTIONS(1567),
    [anon_sym_instanceof] = ACTIONS(1569),
    [anon_sym_final] = ACTIONS(1569),
    [anon_sym_DASH_GT] = ACTIONS(1567),
    [anon_sym_COMMA] = ACTIONS(1567),
    [anon_sym_QMARK] = ACTIONS(1567),
    [anon_sym_BANG] = ACTIONS(1569),
    [anon_sym_TILDE] = ACTIONS(1567),
    [anon_sym_PLUS_PLUS] = ACTIONS(1567),
    [anon_sym_DASH_DASH] = ACTIONS(1567),
    [anon_sym_new] = ACTIONS(1569),
    [anon_sym_LBRACK] = ACTIONS(1567),
    [anon_sym_class] = ACTIONS(1569),
    [anon_sym_switch] = ACTIONS(1569),
    [anon_sym_LBRACE] = ACTIONS(1567),
    [anon_sym_default] = ACTIONS(1569),
    [sym_underscore_pattern] = ACTIONS(1569),
    [anon_sym_SEMI] = ACTIONS(1567),
    [anon_sym_assert] = ACTIONS(1569),
    [anon_sym_do] = ACTIONS(1569),
    [anon_sym_while] = ACTIONS(1569),
    [anon_sym_break] = ACTIONS(1569),
    [anon_sym_continue] = ACTIONS(1569),
    [anon_sym_return] = ACTIONS(1569),
    [anon_sym_yield] = ACTIONS(1569),
    [anon_sym_synchronized] = ACTIONS(1569),
    [anon_sym_throw] = ACTIONS(1569),
    [anon_sym_try] = ACTIONS(1569),
    [anon_sym_if] = ACTIONS(1569),
    [anon_sym_for] = ACTIONS(1569),
    [anon_sym_AT] = ACTIONS(1569),
    [anon_sym_open] = ACTIONS(1569),
    [anon_sym_module] = ACTIONS(1569),
    [anon_sym_static] = ACTIONS(1569),
    [anon_sym_with] = ACTIONS(1569),
    [anon_sym_package] = ACTIONS(1569),
    [anon_sym_import] = ACTIONS(1569),
    [anon_sym_enum] = ACTIONS(1569),
    [anon_sym_public] = ACTIONS(1569),
    [anon_sym_protected] = ACTIONS(1569),
    [anon_sym_private] = ACTIONS(1569),
    [anon_sym_abstract] = ACTIONS(1569),
    [anon_sym_strictfp] = ACTIONS(1569),
    [anon_sym_native] = ACTIONS(1569),
    [anon_sym_transient] = ACTIONS(1569),
    [anon_sym_volatile] = ACTIONS(1569),
    [anon_sym_sealed] = ACTIONS(1569),
    [anon_sym_non_DASHsealed] = ACTIONS(1567),
    [anon_sym_record] = ACTIONS(1569),
    [anon_sym_ATinterface] = ACTIONS(1567),
    [anon_sym_interface] = ACTIONS(1569),
    [anon_sym_byte] = ACTIONS(1569),
    [anon_sym_short] = ACTIONS(1569),
    [anon_sym_int] = ACTIONS(1569),
    [anon_sym_long] = ACTIONS(1569),
    [anon_sym_char] = ACTIONS(1569),
    [anon_sym_float] = ACTIONS(1569),
    [anon_sym_double] = ACTIONS(1569),
    [sym_boolean_type] = ACTIONS(1569),
    [sym_void_type] = ACTIONS(1569),
    [anon_sym_def] = ACTIONS(1569),
    [sym_this] = ACTIONS(1569),
    [sym_super] = ACTIONS(1569),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1567),
  },
  [514] = {
    [ts_builtin_sym_end] = ACTIONS(1200),
    [sym_identifier] = ACTIONS(1202),
    [sym_decimal_integer_literal] = ACTIONS(1202),
    [sym_hex_integer_literal] = ACTIONS(1202),
    [sym_octal_integer_literal] = ACTIONS(1202),
    [sym_binary_integer_literal] = ACTIONS(1200),
    [sym_decimal_floating_point_literal] = ACTIONS(1200),
    [sym_hex_floating_point_literal] = ACTIONS(1202),
    [sym_true] = ACTIONS(1202),
    [sym_false] = ACTIONS(1202),
    [sym_character_literal] = ACTIONS(1200),
    [anon_sym_DQUOTE] = ACTIONS(1202),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1200),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1200),
    [anon_sym_RBRACE] = ACTIONS(1200),
    [sym_null_literal] = ACTIONS(1202),
    [anon_sym_LPAREN] = ACTIONS(1200),
    [anon_sym_AMP] = ACTIONS(1202),
    [anon_sym_GT] = ACTIONS(1202),
    [anon_sym_LT] = ACTIONS(1202),
    [anon_sym_GT_EQ] = ACTIONS(1200),
    [anon_sym_LT_EQ] = ACTIONS(1200),
    [anon_sym_EQ_EQ] = ACTIONS(1200),
    [anon_sym_BANG_EQ] = ACTIONS(1200),
    [anon_sym_AMP_AMP] = ACTIONS(1200),
    [anon_sym_PIPE_PIPE] = ACTIONS(1200),
    [anon_sym_PLUS] = ACTIONS(1202),
    [anon_sym_DASH] = ACTIONS(1202),
    [anon_sym_STAR] = ACTIONS(1202),
    [anon_sym_SLASH] = ACTIONS(1202),
    [anon_sym_PIPE] = ACTIONS(1202),
    [anon_sym_CARET] = ACTIONS(1200),
    [anon_sym_PERCENT] = ACTIONS(1200),
    [anon_sym_LT_LT] = ACTIONS(1200),
    [anon_sym_GT_GT] = ACTIONS(1202),
    [anon_sym_GT_GT_GT] = ACTIONS(1200),
    [anon_sym_in] = ACTIONS(1202),
    [anon_sym_STAR_STAR] = ACTIONS(1200),
    [anon_sym_instanceof] = ACTIONS(1202),
    [anon_sym_final] = ACTIONS(1202),
    [anon_sym_DASH_GT] = ACTIONS(1200),
    [anon_sym_COMMA] = ACTIONS(1200),
    [anon_sym_QMARK] = ACTIONS(1200),
    [anon_sym_BANG] = ACTIONS(1202),
    [anon_sym_TILDE] = ACTIONS(1200),
    [anon_sym_PLUS_PLUS] = ACTIONS(1200),
    [anon_sym_DASH_DASH] = ACTIONS(1200),
    [anon_sym_new] = ACTIONS(1202),
    [anon_sym_LBRACK] = ACTIONS(1200),
    [anon_sym_class] = ACTIONS(1202),
    [anon_sym_switch] = ACTIONS(1202),
    [anon_sym_LBRACE] = ACTIONS(1200),
    [anon_sym_default] = ACTIONS(1202),
    [sym_underscore_pattern] = ACTIONS(1202),
    [anon_sym_SEMI] = ACTIONS(1200),
    [anon_sym_assert] = ACTIONS(1202),
    [anon_sym_do] = ACTIONS(1202),
    [anon_sym_while] = ACTIONS(1202),
    [anon_sym_break] = ACTIONS(1202),
    [anon_sym_continue] = ACTIONS(1202),
    [anon_sym_return] = ACTIONS(1202),
    [anon_sym_yield] = ACTIONS(1202),
    [anon_sym_synchronized] = ACTIONS(1202),
    [anon_sym_throw] = ACTIONS(1202),
    [anon_sym_try] = ACTIONS(1202),
    [anon_sym_if] = ACTIONS(1202),
    [anon_sym_for] = ACTIONS(1202),
    [anon_sym_AT] = ACTIONS(1202),
    [anon_sym_open] = ACTIONS(1202),
    [anon_sym_module] = ACTIONS(1202),
    [anon_sym_static] = ACTIONS(1202),
    [anon_sym_with] = ACTIONS(1202),
    [anon_sym_package] = ACTIONS(1202),
    [anon_sym_import] = ACTIONS(1202),
    [anon_sym_enum] = ACTIONS(1202),
    [anon_sym_public] = ACTIONS(1202),
    [anon_sym_protected] = ACTIONS(1202),
    [anon_sym_private] = ACTIONS(1202),
    [anon_sym_abstract] = ACTIONS(1202),
    [anon_sym_strictfp] = ACTIONS(1202),
    [anon_sym_native] = ACTIONS(1202),
    [anon_sym_transient] = ACTIONS(1202),
    [anon_sym_volatile] = ACTIONS(1202),
    [anon_sym_sealed] = ACTIONS(1202),
    [anon_sym_non_DASHsealed] = ACTIONS(1200),
    [anon_sym_record] = ACTIONS(1202),
    [anon_sym_ATinterface] = ACTIONS(1200),
    [anon_sym_interface] = ACTIONS(1202),
    [anon_sym_byte] = ACTIONS(1202),
    [anon_sym_short] = ACTIONS(1202),
    [anon_sym_int] = ACTIONS(1202),
    [anon_sym_long] = ACTIONS(1202),
    [anon_sym_char] = ACTIONS(1202),
    [anon_sym_float] = ACTIONS(1202),
    [anon_sym_double] = ACTIONS(1202),
    [sym_boolean_type] = ACTIONS(1202),
    [sym_void_type] = ACTIONS(1202),
    [anon_sym_def] = ACTIONS(1202),
    [sym_this] = ACTIONS(1202),
    [sym_super] = ACTIONS(1202),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1200),
  },
  [515] = {
    [ts_builtin_sym_end] = ACTIONS(1571),
    [sym_identifier] = ACTIONS(1573),
    [sym_decimal_integer_literal] = ACTIONS(1573),
    [sym_hex_integer_literal] = ACTIONS(1573),
    [sym_octal_integer_literal] = ACTIONS(1573),
    [sym_binary_integer_literal] = ACTIONS(1571),
    [sym_decimal_floating_point_literal] = ACTIONS(1571),
    [sym_hex_floating_point_literal] = ACTIONS(1573),
    [sym_true] = ACTIONS(1573),
    [sym_false] = ACTIONS(1573),
    [sym_character_literal] = ACTIONS(1571),
    [anon_sym_DQUOTE] = ACTIONS(1573),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1571),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1571),
    [anon_sym_RBRACE] = ACTIONS(1571),
    [sym_null_literal] = ACTIONS(1573),
    [anon_sym_LPAREN] = ACTIONS(1571),
    [anon_sym_AMP] = ACTIONS(1573),
    [anon_sym_GT] = ACTIONS(1573),
    [anon_sym_LT] = ACTIONS(1573),
    [anon_sym_GT_EQ] = ACTIONS(1571),
    [anon_sym_LT_EQ] = ACTIONS(1571),
    [anon_sym_EQ_EQ] = ACTIONS(1571),
    [anon_sym_BANG_EQ] = ACTIONS(1571),
    [anon_sym_AMP_AMP] = ACTIONS(1571),
    [anon_sym_PIPE_PIPE] = ACTIONS(1571),
    [anon_sym_PLUS] = ACTIONS(1573),
    [anon_sym_DASH] = ACTIONS(1573),
    [anon_sym_STAR] = ACTIONS(1573),
    [anon_sym_SLASH] = ACTIONS(1573),
    [anon_sym_PIPE] = ACTIONS(1573),
    [anon_sym_CARET] = ACTIONS(1571),
    [anon_sym_PERCENT] = ACTIONS(1571),
    [anon_sym_LT_LT] = ACTIONS(1571),
    [anon_sym_GT_GT] = ACTIONS(1573),
    [anon_sym_GT_GT_GT] = ACTIONS(1571),
    [anon_sym_in] = ACTIONS(1573),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1573),
    [anon_sym_final] = ACTIONS(1573),
    [anon_sym_DASH_GT] = ACTIONS(1571),
    [anon_sym_COMMA] = ACTIONS(1571),
    [anon_sym_QMARK] = ACTIONS(1571),
    [anon_sym_BANG] = ACTIONS(1573),
    [anon_sym_TILDE] = ACTIONS(1571),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_new] = ACTIONS(1573),
    [anon_sym_LBRACK] = ACTIONS(1571),
    [anon_sym_class] = ACTIONS(1573),
    [anon_sym_switch] = ACTIONS(1573),
    [anon_sym_LBRACE] = ACTIONS(1571),
    [anon_sym_default] = ACTIONS(1573),
    [sym_underscore_pattern] = ACTIONS(1573),
    [anon_sym_SEMI] = ACTIONS(1571),
    [anon_sym_assert] = ACTIONS(1573),
    [anon_sym_do] = ACTIONS(1573),
    [anon_sym_while] = ACTIONS(1573),
    [anon_sym_break] = ACTIONS(1573),
    [anon_sym_continue] = ACTIONS(1573),
    [anon_sym_return] = ACTIONS(1573),
    [anon_sym_yield] = ACTIONS(1573),
    [anon_sym_synchronized] = ACTIONS(1573),
    [anon_sym_throw] = ACTIONS(1573),
    [anon_sym_try] = ACTIONS(1573),
    [anon_sym_if] = ACTIONS(1573),
    [anon_sym_for] = ACTIONS(1573),
    [anon_sym_AT] = ACTIONS(1573),
    [anon_sym_open] = ACTIONS(1573),
    [anon_sym_module] = ACTIONS(1573),
    [anon_sym_static] = ACTIONS(1573),
    [anon_sym_with] = ACTIONS(1573),
    [anon_sym_package] = ACTIONS(1573),
    [anon_sym_import] = ACTIONS(1573),
    [anon_sym_enum] = ACTIONS(1573),
    [anon_sym_public] = ACTIONS(1573),
    [anon_sym_protected] = ACTIONS(1573),
    [anon_sym_private] = ACTIONS(1573),
    [anon_sym_abstract] = ACTIONS(1573),
    [anon_sym_strictfp] = ACTIONS(1573),
    [anon_sym_native] = ACTIONS(1573),
    [anon_sym_transient] = ACTIONS(1573),
    [anon_sym_volatile] = ACTIONS(1573),
    [anon_sym_sealed] = ACTIONS(1573),
    [anon_sym_non_DASHsealed] = ACTIONS(1571),
    [anon_sym_record] = ACTIONS(1573),
    [anon_sym_ATinterface] = ACTIONS(1571),
    [anon_sym_interface] = ACTIONS(1573),
    [anon_sym_byte] = ACTIONS(1573),
    [anon_sym_short] = ACTIONS(1573),
    [anon_sym_int] = ACTIONS(1573),
    [anon_sym_long] = ACTIONS(1573),
    [anon_sym_char] = ACTIONS(1573),
    [anon_sym_float] = ACTIONS(1573),
    [anon_sym_double] = ACTIONS(1573),
    [sym_boolean_type] = ACTIONS(1573),
    [sym_void_type] = ACTIONS(1573),
    [anon_sym_def] = ACTIONS(1573),
    [sym_this] = ACTIONS(1573),
    [sym_super] = ACTIONS(1573),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1692),
  },
  [516] = {
    [ts_builtin_sym_end] = ACTIONS(1489),
    [sym_identifier] = ACTIONS(1491),
    [sym_decimal_integer_literal] = ACTIONS(1491),
    [sym_hex_integer_literal] = ACTIONS(1491),
    [sym_octal_integer_literal] = ACTIONS(1491),
    [sym_binary_integer_literal] = ACTIONS(1489),
    [sym_decimal_floating_point_literal] = ACTIONS(1489),
    [sym_hex_floating_point_literal] = ACTIONS(1491),
    [sym_true] = ACTIONS(1491),
    [sym_false] = ACTIONS(1491),
    [sym_character_literal] = ACTIONS(1489),
    [anon_sym_DQUOTE] = ACTIONS(1491),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1489),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1489),
    [anon_sym_RBRACE] = ACTIONS(1489),
    [sym_null_literal] = ACTIONS(1491),
    [anon_sym_LPAREN] = ACTIONS(1489),
    [anon_sym_AMP] = ACTIONS(1491),
    [anon_sym_GT] = ACTIONS(1491),
    [anon_sym_LT] = ACTIONS(1491),
    [anon_sym_GT_EQ] = ACTIONS(1489),
    [anon_sym_LT_EQ] = ACTIONS(1489),
    [anon_sym_EQ_EQ] = ACTIONS(1489),
    [anon_sym_BANG_EQ] = ACTIONS(1489),
    [anon_sym_AMP_AMP] = ACTIONS(1489),
    [anon_sym_PIPE_PIPE] = ACTIONS(1489),
    [anon_sym_PLUS] = ACTIONS(1491),
    [anon_sym_DASH] = ACTIONS(1491),
    [anon_sym_STAR] = ACTIONS(1491),
    [anon_sym_SLASH] = ACTIONS(1491),
    [anon_sym_PIPE] = ACTIONS(1491),
    [anon_sym_CARET] = ACTIONS(1489),
    [anon_sym_PERCENT] = ACTIONS(1489),
    [anon_sym_LT_LT] = ACTIONS(1489),
    [anon_sym_GT_GT] = ACTIONS(1491),
    [anon_sym_GT_GT_GT] = ACTIONS(1489),
    [anon_sym_in] = ACTIONS(1491),
    [anon_sym_STAR_STAR] = ACTIONS(1489),
    [anon_sym_instanceof] = ACTIONS(1491),
    [anon_sym_final] = ACTIONS(1491),
    [anon_sym_DASH_GT] = ACTIONS(1489),
    [anon_sym_COMMA] = ACTIONS(1489),
    [anon_sym_QMARK] = ACTIONS(1489),
    [anon_sym_BANG] = ACTIONS(1491),
    [anon_sym_TILDE] = ACTIONS(1489),
    [anon_sym_PLUS_PLUS] = ACTIONS(1489),
    [anon_sym_DASH_DASH] = ACTIONS(1489),
    [anon_sym_new] = ACTIONS(1491),
    [anon_sym_LBRACK] = ACTIONS(1489),
    [anon_sym_class] = ACTIONS(1491),
    [anon_sym_switch] = ACTIONS(1491),
    [anon_sym_LBRACE] = ACTIONS(1489),
    [anon_sym_default] = ACTIONS(1491),
    [sym_underscore_pattern] = ACTIONS(1491),
    [anon_sym_SEMI] = ACTIONS(1489),
    [anon_sym_assert] = ACTIONS(1491),
    [anon_sym_do] = ACTIONS(1491),
    [anon_sym_while] = ACTIONS(1491),
    [anon_sym_break] = ACTIONS(1491),
    [anon_sym_continue] = ACTIONS(1491),
    [anon_sym_return] = ACTIONS(1491),
    [anon_sym_yield] = ACTIONS(1491),
    [anon_sym_synchronized] = ACTIONS(1491),
    [anon_sym_throw] = ACTIONS(1491),
    [anon_sym_try] = ACTIONS(1491),
    [anon_sym_if] = ACTIONS(1491),
    [anon_sym_for] = ACTIONS(1491),
    [anon_sym_AT] = ACTIONS(1491),
    [anon_sym_open] = ACTIONS(1491),
    [anon_sym_module] = ACTIONS(1491),
    [anon_sym_static] = ACTIONS(1491),
    [anon_sym_with] = ACTIONS(1491),
    [anon_sym_package] = ACTIONS(1491),
    [anon_sym_import] = ACTIONS(1491),
    [anon_sym_enum] = ACTIONS(1491),
    [anon_sym_public] = ACTIONS(1491),
    [anon_sym_protected] = ACTIONS(1491),
    [anon_sym_private] = ACTIONS(1491),
    [anon_sym_abstract] = ACTIONS(1491),
    [anon_sym_strictfp] = ACTIONS(1491),
    [anon_sym_native] = ACTIONS(1491),
    [anon_sym_transient] = ACTIONS(1491),
    [anon_sym_volatile] = ACTIONS(1491),
    [anon_sym_sealed] = ACTIONS(1491),
    [anon_sym_non_DASHsealed] = ACTIONS(1489),
    [anon_sym_record] = ACTIONS(1491),
    [anon_sym_ATinterface] = ACTIONS(1489),
    [anon_sym_interface] = ACTIONS(1491),
    [anon_sym_byte] = ACTIONS(1491),
    [anon_sym_short] = ACTIONS(1491),
    [anon_sym_int] = ACTIONS(1491),
    [anon_sym_long] = ACTIONS(1491),
    [anon_sym_char] = ACTIONS(1491),
    [anon_sym_float] = ACTIONS(1491),
    [anon_sym_double] = ACTIONS(1491),
    [sym_boolean_type] = ACTIONS(1491),
    [sym_void_type] = ACTIONS(1491),
    [anon_sym_def] = ACTIONS(1491),
    [sym_this] = ACTIONS(1491),
    [sym_super] = ACTIONS(1491),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1489),
  },
  [517] = {
    [ts_builtin_sym_end] = ACTIONS(1595),
    [sym_identifier] = ACTIONS(1597),
    [sym_decimal_integer_literal] = ACTIONS(1597),
    [sym_hex_integer_literal] = ACTIONS(1597),
    [sym_octal_integer_literal] = ACTIONS(1597),
    [sym_binary_integer_literal] = ACTIONS(1595),
    [sym_decimal_floating_point_literal] = ACTIONS(1595),
    [sym_hex_floating_point_literal] = ACTIONS(1597),
    [sym_true] = ACTIONS(1597),
    [sym_false] = ACTIONS(1597),
    [sym_character_literal] = ACTIONS(1595),
    [anon_sym_DQUOTE] = ACTIONS(1597),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1595),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1595),
    [anon_sym_RBRACE] = ACTIONS(1595),
    [sym_null_literal] = ACTIONS(1597),
    [anon_sym_LPAREN] = ACTIONS(1595),
    [anon_sym_AMP] = ACTIONS(1597),
    [anon_sym_GT] = ACTIONS(1597),
    [anon_sym_LT] = ACTIONS(1597),
    [anon_sym_GT_EQ] = ACTIONS(1595),
    [anon_sym_LT_EQ] = ACTIONS(1595),
    [anon_sym_EQ_EQ] = ACTIONS(1595),
    [anon_sym_BANG_EQ] = ACTIONS(1595),
    [anon_sym_AMP_AMP] = ACTIONS(1595),
    [anon_sym_PIPE_PIPE] = ACTIONS(1595),
    [anon_sym_PLUS] = ACTIONS(1597),
    [anon_sym_DASH] = ACTIONS(1597),
    [anon_sym_STAR] = ACTIONS(1597),
    [anon_sym_SLASH] = ACTIONS(1597),
    [anon_sym_PIPE] = ACTIONS(1597),
    [anon_sym_CARET] = ACTIONS(1595),
    [anon_sym_PERCENT] = ACTIONS(1595),
    [anon_sym_LT_LT] = ACTIONS(1595),
    [anon_sym_GT_GT] = ACTIONS(1597),
    [anon_sym_GT_GT_GT] = ACTIONS(1595),
    [anon_sym_in] = ACTIONS(1597),
    [anon_sym_STAR_STAR] = ACTIONS(1595),
    [anon_sym_instanceof] = ACTIONS(1597),
    [anon_sym_final] = ACTIONS(1597),
    [anon_sym_DASH_GT] = ACTIONS(1595),
    [anon_sym_COMMA] = ACTIONS(1595),
    [anon_sym_QMARK] = ACTIONS(1595),
    [anon_sym_BANG] = ACTIONS(1597),
    [anon_sym_TILDE] = ACTIONS(1595),
    [anon_sym_PLUS_PLUS] = ACTIONS(1595),
    [anon_sym_DASH_DASH] = ACTIONS(1595),
    [anon_sym_new] = ACTIONS(1597),
    [anon_sym_LBRACK] = ACTIONS(1595),
    [anon_sym_class] = ACTIONS(1597),
    [anon_sym_switch] = ACTIONS(1597),
    [anon_sym_LBRACE] = ACTIONS(1595),
    [anon_sym_default] = ACTIONS(1597),
    [sym_underscore_pattern] = ACTIONS(1597),
    [anon_sym_SEMI] = ACTIONS(1595),
    [anon_sym_assert] = ACTIONS(1597),
    [anon_sym_do] = ACTIONS(1597),
    [anon_sym_while] = ACTIONS(1597),
    [anon_sym_break] = ACTIONS(1597),
    [anon_sym_continue] = ACTIONS(1597),
    [anon_sym_return] = ACTIONS(1597),
    [anon_sym_yield] = ACTIONS(1597),
    [anon_sym_synchronized] = ACTIONS(1597),
    [anon_sym_throw] = ACTIONS(1597),
    [anon_sym_try] = ACTIONS(1597),
    [anon_sym_if] = ACTIONS(1597),
    [anon_sym_for] = ACTIONS(1597),
    [anon_sym_AT] = ACTIONS(1597),
    [anon_sym_open] = ACTIONS(1597),
    [anon_sym_module] = ACTIONS(1597),
    [anon_sym_static] = ACTIONS(1597),
    [anon_sym_with] = ACTIONS(1597),
    [anon_sym_package] = ACTIONS(1597),
    [anon_sym_import] = ACTIONS(1597),
    [anon_sym_enum] = ACTIONS(1597),
    [anon_sym_public] = ACTIONS(1597),
    [anon_sym_protected] = ACTIONS(1597),
    [anon_sym_private] = ACTIONS(1597),
    [anon_sym_abstract] = ACTIONS(1597),
    [anon_sym_strictfp] = ACTIONS(1597),
    [anon_sym_native] = ACTIONS(1597),
    [anon_sym_transient] = ACTIONS(1597),
    [anon_sym_volatile] = ACTIONS(1597),
    [anon_sym_sealed] = ACTIONS(1597),
    [anon_sym_non_DASHsealed] = ACTIONS(1595),
    [anon_sym_record] = ACTIONS(1597),
    [anon_sym_ATinterface] = ACTIONS(1595),
    [anon_sym_interface] = ACTIONS(1597),
    [anon_sym_byte] = ACTIONS(1597),
    [anon_sym_short] = ACTIONS(1597),
    [anon_sym_int] = ACTIONS(1597),
    [anon_sym_long] = ACTIONS(1597),
    [anon_sym_char] = ACTIONS(1597),
    [anon_sym_float] = ACTIONS(1597),
    [anon_sym_double] = ACTIONS(1597),
    [sym_boolean_type] = ACTIONS(1597),
    [sym_void_type] = ACTIONS(1597),
    [anon_sym_def] = ACTIONS(1597),
    [sym_this] = ACTIONS(1597),
    [sym_super] = ACTIONS(1597),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1595),
  },
  [518] = {
    [ts_builtin_sym_end] = ACTIONS(1429),
    [sym_identifier] = ACTIONS(1431),
    [sym_decimal_integer_literal] = ACTIONS(1431),
    [sym_hex_integer_literal] = ACTIONS(1431),
    [sym_octal_integer_literal] = ACTIONS(1431),
    [sym_binary_integer_literal] = ACTIONS(1429),
    [sym_decimal_floating_point_literal] = ACTIONS(1429),
    [sym_hex_floating_point_literal] = ACTIONS(1431),
    [sym_true] = ACTIONS(1431),
    [sym_false] = ACTIONS(1431),
    [sym_character_literal] = ACTIONS(1429),
    [anon_sym_DQUOTE] = ACTIONS(1431),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1429),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1429),
    [anon_sym_RBRACE] = ACTIONS(1429),
    [sym_null_literal] = ACTIONS(1431),
    [anon_sym_LPAREN] = ACTIONS(1429),
    [anon_sym_AMP] = ACTIONS(1431),
    [anon_sym_GT] = ACTIONS(1431),
    [anon_sym_LT] = ACTIONS(1431),
    [anon_sym_GT_EQ] = ACTIONS(1429),
    [anon_sym_LT_EQ] = ACTIONS(1429),
    [anon_sym_EQ_EQ] = ACTIONS(1429),
    [anon_sym_BANG_EQ] = ACTIONS(1429),
    [anon_sym_AMP_AMP] = ACTIONS(1429),
    [anon_sym_PIPE_PIPE] = ACTIONS(1429),
    [anon_sym_PLUS] = ACTIONS(1431),
    [anon_sym_DASH] = ACTIONS(1431),
    [anon_sym_STAR] = ACTIONS(1431),
    [anon_sym_SLASH] = ACTIONS(1431),
    [anon_sym_PIPE] = ACTIONS(1431),
    [anon_sym_CARET] = ACTIONS(1429),
    [anon_sym_PERCENT] = ACTIONS(1429),
    [anon_sym_LT_LT] = ACTIONS(1429),
    [anon_sym_GT_GT] = ACTIONS(1431),
    [anon_sym_GT_GT_GT] = ACTIONS(1429),
    [anon_sym_in] = ACTIONS(1431),
    [anon_sym_STAR_STAR] = ACTIONS(1429),
    [anon_sym_instanceof] = ACTIONS(1431),
    [anon_sym_final] = ACTIONS(1431),
    [anon_sym_DASH_GT] = ACTIONS(1429),
    [anon_sym_COMMA] = ACTIONS(1429),
    [anon_sym_QMARK] = ACTIONS(1429),
    [anon_sym_BANG] = ACTIONS(1431),
    [anon_sym_TILDE] = ACTIONS(1429),
    [anon_sym_PLUS_PLUS] = ACTIONS(1429),
    [anon_sym_DASH_DASH] = ACTIONS(1429),
    [anon_sym_new] = ACTIONS(1431),
    [anon_sym_LBRACK] = ACTIONS(1429),
    [anon_sym_class] = ACTIONS(1431),
    [anon_sym_switch] = ACTIONS(1431),
    [anon_sym_LBRACE] = ACTIONS(1429),
    [anon_sym_default] = ACTIONS(1431),
    [sym_underscore_pattern] = ACTIONS(1431),
    [anon_sym_SEMI] = ACTIONS(1429),
    [anon_sym_assert] = ACTIONS(1431),
    [anon_sym_do] = ACTIONS(1431),
    [anon_sym_while] = ACTIONS(1431),
    [anon_sym_break] = ACTIONS(1431),
    [anon_sym_continue] = ACTIONS(1431),
    [anon_sym_return] = ACTIONS(1431),
    [anon_sym_yield] = ACTIONS(1431),
    [anon_sym_synchronized] = ACTIONS(1431),
    [anon_sym_throw] = ACTIONS(1431),
    [anon_sym_try] = ACTIONS(1431),
    [anon_sym_if] = ACTIONS(1431),
    [anon_sym_for] = ACTIONS(1431),
    [anon_sym_AT] = ACTIONS(1431),
    [anon_sym_open] = ACTIONS(1431),
    [anon_sym_module] = ACTIONS(1431),
    [anon_sym_static] = ACTIONS(1431),
    [anon_sym_with] = ACTIONS(1431),
    [anon_sym_package] = ACTIONS(1431),
    [anon_sym_import] = ACTIONS(1431),
    [anon_sym_enum] = ACTIONS(1431),
    [anon_sym_public] = ACTIONS(1431),
    [anon_sym_protected] = ACTIONS(1431),
    [anon_sym_private] = ACTIONS(1431),
    [anon_sym_abstract] = ACTIONS(1431),
    [anon_sym_strictfp] = ACTIONS(1431),
    [anon_sym_native] = ACTIONS(1431),
    [anon_sym_transient] = ACTIONS(1431),
    [anon_sym_volatile] = ACTIONS(1431),
    [anon_sym_sealed] = ACTIONS(1431),
    [anon_sym_non_DASHsealed] = ACTIONS(1429),
    [anon_sym_record] = ACTIONS(1431),
    [anon_sym_ATinterface] = ACTIONS(1429),
    [anon_sym_interface] = ACTIONS(1431),
    [anon_sym_byte] = ACTIONS(1431),
    [anon_sym_short] = ACTIONS(1431),
    [anon_sym_int] = ACTIONS(1431),
    [anon_sym_long] = ACTIONS(1431),
    [anon_sym_char] = ACTIONS(1431),
    [anon_sym_float] = ACTIONS(1431),
    [anon_sym_double] = ACTIONS(1431),
    [sym_boolean_type] = ACTIONS(1431),
    [sym_void_type] = ACTIONS(1431),
    [anon_sym_def] = ACTIONS(1431),
    [sym_this] = ACTIONS(1431),
    [sym_super] = ACTIONS(1431),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1429),
  },
  [519] = {
    [ts_builtin_sym_end] = ACTIONS(1271),
    [sym_identifier] = ACTIONS(1273),
    [sym_decimal_integer_literal] = ACTIONS(1273),
    [sym_hex_integer_literal] = ACTIONS(1273),
    [sym_octal_integer_literal] = ACTIONS(1273),
    [sym_binary_integer_literal] = ACTIONS(1271),
    [sym_decimal_floating_point_literal] = ACTIONS(1271),
    [sym_hex_floating_point_literal] = ACTIONS(1273),
    [sym_true] = ACTIONS(1273),
    [sym_false] = ACTIONS(1273),
    [sym_character_literal] = ACTIONS(1271),
    [anon_sym_DQUOTE] = ACTIONS(1273),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1271),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1271),
    [anon_sym_RBRACE] = ACTIONS(1271),
    [sym_null_literal] = ACTIONS(1273),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_AMP] = ACTIONS(1273),
    [anon_sym_GT] = ACTIONS(1273),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_GT_EQ] = ACTIONS(1271),
    [anon_sym_LT_EQ] = ACTIONS(1271),
    [anon_sym_EQ_EQ] = ACTIONS(1271),
    [anon_sym_BANG_EQ] = ACTIONS(1271),
    [anon_sym_AMP_AMP] = ACTIONS(1271),
    [anon_sym_PIPE_PIPE] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_SLASH] = ACTIONS(1273),
    [anon_sym_PIPE] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1271),
    [anon_sym_PERCENT] = ACTIONS(1271),
    [anon_sym_LT_LT] = ACTIONS(1271),
    [anon_sym_GT_GT] = ACTIONS(1273),
    [anon_sym_GT_GT_GT] = ACTIONS(1271),
    [anon_sym_in] = ACTIONS(1273),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1273),
    [anon_sym_final] = ACTIONS(1273),
    [anon_sym_DASH_GT] = ACTIONS(1271),
    [anon_sym_COMMA] = ACTIONS(1271),
    [anon_sym_QMARK] = ACTIONS(1271),
    [anon_sym_BANG] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1271),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_class] = ACTIONS(1273),
    [anon_sym_switch] = ACTIONS(1273),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_default] = ACTIONS(1273),
    [sym_underscore_pattern] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1271),
    [anon_sym_assert] = ACTIONS(1273),
    [anon_sym_do] = ACTIONS(1273),
    [anon_sym_while] = ACTIONS(1273),
    [anon_sym_break] = ACTIONS(1273),
    [anon_sym_continue] = ACTIONS(1273),
    [anon_sym_return] = ACTIONS(1273),
    [anon_sym_yield] = ACTIONS(1273),
    [anon_sym_synchronized] = ACTIONS(1273),
    [anon_sym_throw] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1273),
    [anon_sym_if] = ACTIONS(1273),
    [anon_sym_for] = ACTIONS(1273),
    [anon_sym_AT] = ACTIONS(1273),
    [anon_sym_open] = ACTIONS(1273),
    [anon_sym_module] = ACTIONS(1273),
    [anon_sym_static] = ACTIONS(1273),
    [anon_sym_with] = ACTIONS(1273),
    [anon_sym_package] = ACTIONS(1273),
    [anon_sym_import] = ACTIONS(1273),
    [anon_sym_enum] = ACTIONS(1273),
    [anon_sym_public] = ACTIONS(1273),
    [anon_sym_protected] = ACTIONS(1273),
    [anon_sym_private] = ACTIONS(1273),
    [anon_sym_abstract] = ACTIONS(1273),
    [anon_sym_strictfp] = ACTIONS(1273),
    [anon_sym_native] = ACTIONS(1273),
    [anon_sym_transient] = ACTIONS(1273),
    [anon_sym_volatile] = ACTIONS(1273),
    [anon_sym_sealed] = ACTIONS(1273),
    [anon_sym_non_DASHsealed] = ACTIONS(1271),
    [anon_sym_record] = ACTIONS(1273),
    [anon_sym_ATinterface] = ACTIONS(1271),
    [anon_sym_interface] = ACTIONS(1273),
    [anon_sym_byte] = ACTIONS(1273),
    [anon_sym_short] = ACTIONS(1273),
    [anon_sym_int] = ACTIONS(1273),
    [anon_sym_long] = ACTIONS(1273),
    [anon_sym_char] = ACTIONS(1273),
    [anon_sym_float] = ACTIONS(1273),
    [anon_sym_double] = ACTIONS(1273),
    [sym_boolean_type] = ACTIONS(1273),
    [sym_void_type] = ACTIONS(1273),
    [anon_sym_def] = ACTIONS(1273),
    [sym_this] = ACTIONS(1273),
    [sym_super] = ACTIONS(1273),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1692),
  },
  [520] = {
    [ts_builtin_sym_end] = ACTIONS(1271),
    [sym_identifier] = ACTIONS(1273),
    [sym_decimal_integer_literal] = ACTIONS(1273),
    [sym_hex_integer_literal] = ACTIONS(1273),
    [sym_octal_integer_literal] = ACTIONS(1273),
    [sym_binary_integer_literal] = ACTIONS(1271),
    [sym_decimal_floating_point_literal] = ACTIONS(1271),
    [sym_hex_floating_point_literal] = ACTIONS(1273),
    [sym_true] = ACTIONS(1273),
    [sym_false] = ACTIONS(1273),
    [sym_character_literal] = ACTIONS(1271),
    [anon_sym_DQUOTE] = ACTIONS(1273),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1271),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1271),
    [anon_sym_RBRACE] = ACTIONS(1271),
    [sym_null_literal] = ACTIONS(1273),
    [anon_sym_LPAREN] = ACTIONS(1271),
    [anon_sym_AMP] = ACTIONS(1273),
    [anon_sym_GT] = ACTIONS(1273),
    [anon_sym_LT] = ACTIONS(1273),
    [anon_sym_GT_EQ] = ACTIONS(1271),
    [anon_sym_LT_EQ] = ACTIONS(1271),
    [anon_sym_EQ_EQ] = ACTIONS(1271),
    [anon_sym_BANG_EQ] = ACTIONS(1271),
    [anon_sym_AMP_AMP] = ACTIONS(1271),
    [anon_sym_PIPE_PIPE] = ACTIONS(1271),
    [anon_sym_PLUS] = ACTIONS(1273),
    [anon_sym_DASH] = ACTIONS(1273),
    [anon_sym_STAR] = ACTIONS(1273),
    [anon_sym_SLASH] = ACTIONS(1273),
    [anon_sym_PIPE] = ACTIONS(1273),
    [anon_sym_CARET] = ACTIONS(1271),
    [anon_sym_PERCENT] = ACTIONS(1271),
    [anon_sym_LT_LT] = ACTIONS(1271),
    [anon_sym_GT_GT] = ACTIONS(1273),
    [anon_sym_GT_GT_GT] = ACTIONS(1271),
    [anon_sym_in] = ACTIONS(1273),
    [anon_sym_STAR_STAR] = ACTIONS(1271),
    [anon_sym_instanceof] = ACTIONS(1273),
    [anon_sym_final] = ACTIONS(1273),
    [anon_sym_DASH_GT] = ACTIONS(1271),
    [anon_sym_COMMA] = ACTIONS(1271),
    [anon_sym_QMARK] = ACTIONS(1271),
    [anon_sym_BANG] = ACTIONS(1273),
    [anon_sym_TILDE] = ACTIONS(1271),
    [anon_sym_PLUS_PLUS] = ACTIONS(1271),
    [anon_sym_DASH_DASH] = ACTIONS(1271),
    [anon_sym_new] = ACTIONS(1273),
    [anon_sym_LBRACK] = ACTIONS(1271),
    [anon_sym_class] = ACTIONS(1273),
    [anon_sym_switch] = ACTIONS(1273),
    [anon_sym_LBRACE] = ACTIONS(1271),
    [anon_sym_default] = ACTIONS(1273),
    [sym_underscore_pattern] = ACTIONS(1273),
    [anon_sym_SEMI] = ACTIONS(1271),
    [anon_sym_assert] = ACTIONS(1273),
    [anon_sym_do] = ACTIONS(1273),
    [anon_sym_while] = ACTIONS(1273),
    [anon_sym_break] = ACTIONS(1273),
    [anon_sym_continue] = ACTIONS(1273),
    [anon_sym_return] = ACTIONS(1273),
    [anon_sym_yield] = ACTIONS(1273),
    [anon_sym_synchronized] = ACTIONS(1273),
    [anon_sym_throw] = ACTIONS(1273),
    [anon_sym_try] = ACTIONS(1273),
    [anon_sym_if] = ACTIONS(1273),
    [anon_sym_for] = ACTIONS(1273),
    [anon_sym_AT] = ACTIONS(1273),
    [anon_sym_open] = ACTIONS(1273),
    [anon_sym_module] = ACTIONS(1273),
    [anon_sym_static] = ACTIONS(1273),
    [anon_sym_with] = ACTIONS(1273),
    [anon_sym_package] = ACTIONS(1273),
    [anon_sym_import] = ACTIONS(1273),
    [anon_sym_enum] = ACTIONS(1273),
    [anon_sym_public] = ACTIONS(1273),
    [anon_sym_protected] = ACTIONS(1273),
    [anon_sym_private] = ACTIONS(1273),
    [anon_sym_abstract] = ACTIONS(1273),
    [anon_sym_strictfp] = ACTIONS(1273),
    [anon_sym_native] = ACTIONS(1273),
    [anon_sym_transient] = ACTIONS(1273),
    [anon_sym_volatile] = ACTIONS(1273),
    [anon_sym_sealed] = ACTIONS(1273),
    [anon_sym_non_DASHsealed] = ACTIONS(1271),
    [anon_sym_record] = ACTIONS(1273),
    [anon_sym_ATinterface] = ACTIONS(1271),
    [anon_sym_interface] = ACTIONS(1273),
    [anon_sym_byte] = ACTIONS(1273),
    [anon_sym_short] = ACTIONS(1273),
    [anon_sym_int] = ACTIONS(1273),
    [anon_sym_long] = ACTIONS(1273),
    [anon_sym_char] = ACTIONS(1273),
    [anon_sym_float] = ACTIONS(1273),
    [anon_sym_double] = ACTIONS(1273),
    [sym_boolean_type] = ACTIONS(1273),
    [sym_void_type] = ACTIONS(1273),
    [anon_sym_def] = ACTIONS(1273),
    [sym_this] = ACTIONS(1273),
    [sym_super] = ACTIONS(1273),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1271),
  },
  [521] = {
    [ts_builtin_sym_end] = ACTIONS(1477),
    [sym_identifier] = ACTIONS(1479),
    [sym_decimal_integer_literal] = ACTIONS(1479),
    [sym_hex_integer_literal] = ACTIONS(1479),
    [sym_octal_integer_literal] = ACTIONS(1479),
    [sym_binary_integer_literal] = ACTIONS(1477),
    [sym_decimal_floating_point_literal] = ACTIONS(1477),
    [sym_hex_floating_point_literal] = ACTIONS(1479),
    [sym_true] = ACTIONS(1479),
    [sym_false] = ACTIONS(1479),
    [sym_character_literal] = ACTIONS(1477),
    [anon_sym_DQUOTE] = ACTIONS(1479),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1477),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1477),
    [anon_sym_RBRACE] = ACTIONS(1477),
    [sym_null_literal] = ACTIONS(1479),
    [anon_sym_LPAREN] = ACTIONS(1477),
    [anon_sym_AMP] = ACTIONS(1479),
    [anon_sym_GT] = ACTIONS(1479),
    [anon_sym_LT] = ACTIONS(1479),
    [anon_sym_GT_EQ] = ACTIONS(1477),
    [anon_sym_LT_EQ] = ACTIONS(1477),
    [anon_sym_EQ_EQ] = ACTIONS(1477),
    [anon_sym_BANG_EQ] = ACTIONS(1477),
    [anon_sym_AMP_AMP] = ACTIONS(1477),
    [anon_sym_PIPE_PIPE] = ACTIONS(1477),
    [anon_sym_PLUS] = ACTIONS(1479),
    [anon_sym_DASH] = ACTIONS(1479),
    [anon_sym_STAR] = ACTIONS(1479),
    [anon_sym_SLASH] = ACTIONS(1479),
    [anon_sym_PIPE] = ACTIONS(1479),
    [anon_sym_CARET] = ACTIONS(1477),
    [anon_sym_PERCENT] = ACTIONS(1477),
    [anon_sym_LT_LT] = ACTIONS(1477),
    [anon_sym_GT_GT] = ACTIONS(1479),
    [anon_sym_GT_GT_GT] = ACTIONS(1477),
    [anon_sym_in] = ACTIONS(1479),
    [anon_sym_STAR_STAR] = ACTIONS(1477),
    [anon_sym_instanceof] = ACTIONS(1479),
    [anon_sym_final] = ACTIONS(1479),
    [anon_sym_DASH_GT] = ACTIONS(1477),
    [anon_sym_COMMA] = ACTIONS(1477),
    [anon_sym_QMARK] = ACTIONS(1477),
    [anon_sym_BANG] = ACTIONS(1479),
    [anon_sym_TILDE] = ACTIONS(1477),
    [anon_sym_PLUS_PLUS] = ACTIONS(1477),
    [anon_sym_DASH_DASH] = ACTIONS(1477),
    [anon_sym_new] = ACTIONS(1479),
    [anon_sym_LBRACK] = ACTIONS(1477),
    [anon_sym_class] = ACTIONS(1479),
    [anon_sym_switch] = ACTIONS(1479),
    [anon_sym_LBRACE] = ACTIONS(1477),
    [anon_sym_default] = ACTIONS(1479),
    [sym_underscore_pattern] = ACTIONS(1479),
    [anon_sym_SEMI] = ACTIONS(1477),
    [anon_sym_assert] = ACTIONS(1479),
    [anon_sym_do] = ACTIONS(1479),
    [anon_sym_while] = ACTIONS(1479),
    [anon_sym_break] = ACTIONS(1479),
    [anon_sym_continue] = ACTIONS(1479),
    [anon_sym_return] = ACTIONS(1479),
    [anon_sym_yield] = ACTIONS(1479),
    [anon_sym_synchronized] = ACTIONS(1479),
    [anon_sym_throw] = ACTIONS(1479),
    [anon_sym_try] = ACTIONS(1479),
    [anon_sym_if] = ACTIONS(1479),
    [anon_sym_for] = ACTIONS(1479),
    [anon_sym_AT] = ACTIONS(1479),
    [anon_sym_open] = ACTIONS(1479),
    [anon_sym_module] = ACTIONS(1479),
    [anon_sym_static] = ACTIONS(1479),
    [anon_sym_with] = ACTIONS(1479),
    [anon_sym_package] = ACTIONS(1479),
    [anon_sym_import] = ACTIONS(1479),
    [anon_sym_enum] = ACTIONS(1479),
    [anon_sym_public] = ACTIONS(1479),
    [anon_sym_protected] = ACTIONS(1479),
    [anon_sym_private] = ACTIONS(1479),
    [anon_sym_abstract] = ACTIONS(1479),
    [anon_sym_strictfp] = ACTIONS(1479),
    [anon_sym_native] = ACTIONS(1479),
    [anon_sym_transient] = ACTIONS(1479),
    [anon_sym_volatile] = ACTIONS(1479),
    [anon_sym_sealed] = ACTIONS(1479),
    [anon_sym_non_DASHsealed] = ACTIONS(1477),
    [anon_sym_record] = ACTIONS(1479),
    [anon_sym_ATinterface] = ACTIONS(1477),
    [anon_sym_interface] = ACTIONS(1479),
    [anon_sym_byte] = ACTIONS(1479),
    [anon_sym_short] = ACTIONS(1479),
    [anon_sym_int] = ACTIONS(1479),
    [anon_sym_long] = ACTIONS(1479),
    [anon_sym_char] = ACTIONS(1479),
    [anon_sym_float] = ACTIONS(1479),
    [anon_sym_double] = ACTIONS(1479),
    [sym_boolean_type] = ACTIONS(1479),
    [sym_void_type] = ACTIONS(1479),
    [anon_sym_def] = ACTIONS(1479),
    [sym_this] = ACTIONS(1479),
    [sym_super] = ACTIONS(1479),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1477),
  },
  [522] = {
    [ts_builtin_sym_end] = ACTIONS(1501),
    [sym_identifier] = ACTIONS(1503),
    [sym_decimal_integer_literal] = ACTIONS(1503),
    [sym_hex_integer_literal] = ACTIONS(1503),
    [sym_octal_integer_literal] = ACTIONS(1503),
    [sym_binary_integer_literal] = ACTIONS(1501),
    [sym_decimal_floating_point_literal] = ACTIONS(1501),
    [sym_hex_floating_point_literal] = ACTIONS(1503),
    [sym_true] = ACTIONS(1503),
    [sym_false] = ACTIONS(1503),
    [sym_character_literal] = ACTIONS(1501),
    [anon_sym_DQUOTE] = ACTIONS(1503),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1501),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1501),
    [anon_sym_RBRACE] = ACTIONS(1501),
    [sym_null_literal] = ACTIONS(1503),
    [anon_sym_LPAREN] = ACTIONS(1501),
    [anon_sym_AMP] = ACTIONS(1503),
    [anon_sym_GT] = ACTIONS(1503),
    [anon_sym_LT] = ACTIONS(1503),
    [anon_sym_GT_EQ] = ACTIONS(1501),
    [anon_sym_LT_EQ] = ACTIONS(1501),
    [anon_sym_EQ_EQ] = ACTIONS(1501),
    [anon_sym_BANG_EQ] = ACTIONS(1501),
    [anon_sym_AMP_AMP] = ACTIONS(1501),
    [anon_sym_PIPE_PIPE] = ACTIONS(1501),
    [anon_sym_PLUS] = ACTIONS(1503),
    [anon_sym_DASH] = ACTIONS(1503),
    [anon_sym_STAR] = ACTIONS(1503),
    [anon_sym_SLASH] = ACTIONS(1503),
    [anon_sym_PIPE] = ACTIONS(1503),
    [anon_sym_CARET] = ACTIONS(1501),
    [anon_sym_PERCENT] = ACTIONS(1501),
    [anon_sym_LT_LT] = ACTIONS(1501),
    [anon_sym_GT_GT] = ACTIONS(1503),
    [anon_sym_GT_GT_GT] = ACTIONS(1501),
    [anon_sym_in] = ACTIONS(1503),
    [anon_sym_STAR_STAR] = ACTIONS(1501),
    [anon_sym_instanceof] = ACTIONS(1503),
    [anon_sym_final] = ACTIONS(1503),
    [anon_sym_DASH_GT] = ACTIONS(1501),
    [anon_sym_COMMA] = ACTIONS(1501),
    [anon_sym_QMARK] = ACTIONS(1501),
    [anon_sym_BANG] = ACTIONS(1503),
    [anon_sym_TILDE] = ACTIONS(1501),
    [anon_sym_PLUS_PLUS] = ACTIONS(1501),
    [anon_sym_DASH_DASH] = ACTIONS(1501),
    [anon_sym_new] = ACTIONS(1503),
    [anon_sym_LBRACK] = ACTIONS(1501),
    [anon_sym_class] = ACTIONS(1503),
    [anon_sym_switch] = ACTIONS(1503),
    [anon_sym_LBRACE] = ACTIONS(1501),
    [anon_sym_default] = ACTIONS(1503),
    [sym_underscore_pattern] = ACTIONS(1503),
    [anon_sym_SEMI] = ACTIONS(1501),
    [anon_sym_assert] = ACTIONS(1503),
    [anon_sym_do] = ACTIONS(1503),
    [anon_sym_while] = ACTIONS(1503),
    [anon_sym_break] = ACTIONS(1503),
    [anon_sym_continue] = ACTIONS(1503),
    [anon_sym_return] = ACTIONS(1503),
    [anon_sym_yield] = ACTIONS(1503),
    [anon_sym_synchronized] = ACTIONS(1503),
    [anon_sym_throw] = ACTIONS(1503),
    [anon_sym_try] = ACTIONS(1503),
    [anon_sym_if] = ACTIONS(1503),
    [anon_sym_for] = ACTIONS(1503),
    [anon_sym_AT] = ACTIONS(1503),
    [anon_sym_open] = ACTIONS(1503),
    [anon_sym_module] = ACTIONS(1503),
    [anon_sym_static] = ACTIONS(1503),
    [anon_sym_with] = ACTIONS(1503),
    [anon_sym_package] = ACTIONS(1503),
    [anon_sym_import] = ACTIONS(1503),
    [anon_sym_enum] = ACTIONS(1503),
    [anon_sym_public] = ACTIONS(1503),
    [anon_sym_protected] = ACTIONS(1503),
    [anon_sym_private] = ACTIONS(1503),
    [anon_sym_abstract] = ACTIONS(1503),
    [anon_sym_strictfp] = ACTIONS(1503),
    [anon_sym_native] = ACTIONS(1503),
    [anon_sym_transient] = ACTIONS(1503),
    [anon_sym_volatile] = ACTIONS(1503),
    [anon_sym_sealed] = ACTIONS(1503),
    [anon_sym_non_DASHsealed] = ACTIONS(1501),
    [anon_sym_record] = ACTIONS(1503),
    [anon_sym_ATinterface] = ACTIONS(1501),
    [anon_sym_interface] = ACTIONS(1503),
    [anon_sym_byte] = ACTIONS(1503),
    [anon_sym_short] = ACTIONS(1503),
    [anon_sym_int] = ACTIONS(1503),
    [anon_sym_long] = ACTIONS(1503),
    [anon_sym_char] = ACTIONS(1503),
    [anon_sym_float] = ACTIONS(1503),
    [anon_sym_double] = ACTIONS(1503),
    [sym_boolean_type] = ACTIONS(1503),
    [sym_void_type] = ACTIONS(1503),
    [anon_sym_def] = ACTIONS(1503),
    [sym_this] = ACTIONS(1503),
    [sym_super] = ACTIONS(1503),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1501),
  },
  [523] = {
    [ts_builtin_sym_end] = ACTIONS(1144),
    [sym_identifier] = ACTIONS(1146),
    [sym_decimal_integer_literal] = ACTIONS(1146),
    [sym_hex_integer_literal] = ACTIONS(1146),
    [sym_octal_integer_literal] = ACTIONS(1146),
    [sym_binary_integer_literal] = ACTIONS(1144),
    [sym_decimal_floating_point_literal] = ACTIONS(1144),
    [sym_hex_floating_point_literal] = ACTIONS(1146),
    [sym_true] = ACTIONS(1146),
    [sym_false] = ACTIONS(1146),
    [sym_character_literal] = ACTIONS(1144),
    [anon_sym_DQUOTE] = ACTIONS(1146),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1144),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1144),
    [anon_sym_RBRACE] = ACTIONS(1144),
    [sym_null_literal] = ACTIONS(1146),
    [anon_sym_LPAREN] = ACTIONS(1144),
    [anon_sym_AMP] = ACTIONS(1146),
    [anon_sym_GT] = ACTIONS(1146),
    [anon_sym_LT] = ACTIONS(1146),
    [anon_sym_GT_EQ] = ACTIONS(1144),
    [anon_sym_LT_EQ] = ACTIONS(1144),
    [anon_sym_EQ_EQ] = ACTIONS(1144),
    [anon_sym_BANG_EQ] = ACTIONS(1144),
    [anon_sym_AMP_AMP] = ACTIONS(1144),
    [anon_sym_PIPE_PIPE] = ACTIONS(1144),
    [anon_sym_PLUS] = ACTIONS(1146),
    [anon_sym_DASH] = ACTIONS(1146),
    [anon_sym_STAR] = ACTIONS(1146),
    [anon_sym_SLASH] = ACTIONS(1146),
    [anon_sym_PIPE] = ACTIONS(1146),
    [anon_sym_CARET] = ACTIONS(1144),
    [anon_sym_PERCENT] = ACTIONS(1144),
    [anon_sym_LT_LT] = ACTIONS(1144),
    [anon_sym_GT_GT] = ACTIONS(1146),
    [anon_sym_GT_GT_GT] = ACTIONS(1144),
    [anon_sym_in] = ACTIONS(1146),
    [anon_sym_STAR_STAR] = ACTIONS(1144),
    [anon_sym_instanceof] = ACTIONS(1146),
    [anon_sym_final] = ACTIONS(1146),
    [anon_sym_DASH_GT] = ACTIONS(1144),
    [anon_sym_COMMA] = ACTIONS(1144),
    [anon_sym_QMARK] = ACTIONS(1144),
    [anon_sym_BANG] = ACTIONS(1146),
    [anon_sym_TILDE] = ACTIONS(1144),
    [anon_sym_PLUS_PLUS] = ACTIONS(1144),
    [anon_sym_DASH_DASH] = ACTIONS(1144),
    [anon_sym_new] = ACTIONS(1146),
    [anon_sym_LBRACK] = ACTIONS(1144),
    [anon_sym_class] = ACTIONS(1146),
    [anon_sym_switch] = ACTIONS(1146),
    [anon_sym_LBRACE] = ACTIONS(1144),
    [anon_sym_default] = ACTIONS(1146),
    [sym_underscore_pattern] = ACTIONS(1146),
    [anon_sym_SEMI] = ACTIONS(1144),
    [anon_sym_assert] = ACTIONS(1146),
    [anon_sym_do] = ACTIONS(1146),
    [anon_sym_while] = ACTIONS(1146),
    [anon_sym_break] = ACTIONS(1146),
    [anon_sym_continue] = ACTIONS(1146),
    [anon_sym_return] = ACTIONS(1146),
    [anon_sym_yield] = ACTIONS(1146),
    [anon_sym_synchronized] = ACTIONS(1146),
    [anon_sym_throw] = ACTIONS(1146),
    [anon_sym_try] = ACTIONS(1146),
    [anon_sym_if] = ACTIONS(1146),
    [anon_sym_for] = ACTIONS(1146),
    [anon_sym_AT] = ACTIONS(1146),
    [anon_sym_open] = ACTIONS(1146),
    [anon_sym_module] = ACTIONS(1146),
    [anon_sym_static] = ACTIONS(1146),
    [anon_sym_with] = ACTIONS(1146),
    [anon_sym_package] = ACTIONS(1146),
    [anon_sym_import] = ACTIONS(1146),
    [anon_sym_enum] = ACTIONS(1146),
    [anon_sym_public] = ACTIONS(1146),
    [anon_sym_protected] = ACTIONS(1146),
    [anon_sym_private] = ACTIONS(1146),
    [anon_sym_abstract] = ACTIONS(1146),
    [anon_sym_strictfp] = ACTIONS(1146),
    [anon_sym_native] = ACTIONS(1146),
    [anon_sym_transient] = ACTIONS(1146),
    [anon_sym_volatile] = ACTIONS(1146),
    [anon_sym_sealed] = ACTIONS(1146),
    [anon_sym_non_DASHsealed] = ACTIONS(1144),
    [anon_sym_record] = ACTIONS(1146),
    [anon_sym_ATinterface] = ACTIONS(1144),
    [anon_sym_interface] = ACTIONS(1146),
    [anon_sym_byte] = ACTIONS(1146),
    [anon_sym_short] = ACTIONS(1146),
    [anon_sym_int] = ACTIONS(1146),
    [anon_sym_long] = ACTIONS(1146),
    [anon_sym_char] = ACTIONS(1146),
    [anon_sym_float] = ACTIONS(1146),
    [anon_sym_double] = ACTIONS(1146),
    [sym_boolean_type] = ACTIONS(1146),
    [sym_void_type] = ACTIONS(1146),
    [anon_sym_def] = ACTIONS(1146),
    [sym_this] = ACTIONS(1146),
    [sym_super] = ACTIONS(1146),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1144),
  },
  [524] = {
    [ts_builtin_sym_end] = ACTIONS(1515),
    [sym_identifier] = ACTIONS(1517),
    [sym_decimal_integer_literal] = ACTIONS(1517),
    [sym_hex_integer_literal] = ACTIONS(1517),
    [sym_octal_integer_literal] = ACTIONS(1517),
    [sym_binary_integer_literal] = ACTIONS(1515),
    [sym_decimal_floating_point_literal] = ACTIONS(1515),
    [sym_hex_floating_point_literal] = ACTIONS(1517),
    [sym_true] = ACTIONS(1517),
    [sym_false] = ACTIONS(1517),
    [sym_character_literal] = ACTIONS(1515),
    [anon_sym_DQUOTE] = ACTIONS(1517),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1515),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1515),
    [anon_sym_RBRACE] = ACTIONS(1515),
    [sym_null_literal] = ACTIONS(1517),
    [anon_sym_LPAREN] = ACTIONS(1515),
    [anon_sym_AMP] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1660),
    [anon_sym_LT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1662),
    [anon_sym_LT_EQ] = ACTIONS(1662),
    [anon_sym_EQ_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1664),
    [anon_sym_AMP_AMP] = ACTIONS(1666),
    [anon_sym_PIPE_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_CARET] = ACTIONS(1676),
    [anon_sym_PERCENT] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1682),
    [anon_sym_GT_GT_GT] = ACTIONS(1680),
    [anon_sym_in] = ACTIONS(1660),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1686),
    [anon_sym_final] = ACTIONS(1517),
    [anon_sym_DASH_GT] = ACTIONS(1515),
    [anon_sym_COMMA] = ACTIONS(1515),
    [anon_sym_QMARK] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(1517),
    [anon_sym_TILDE] = ACTIONS(1515),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_new] = ACTIONS(1517),
    [anon_sym_LBRACK] = ACTIONS(1515),
    [anon_sym_class] = ACTIONS(1517),
    [anon_sym_switch] = ACTIONS(1517),
    [anon_sym_LBRACE] = ACTIONS(1515),
    [anon_sym_default] = ACTIONS(1517),
    [sym_underscore_pattern] = ACTIONS(1517),
    [anon_sym_SEMI] = ACTIONS(1515),
    [anon_sym_assert] = ACTIONS(1517),
    [anon_sym_do] = ACTIONS(1517),
    [anon_sym_while] = ACTIONS(1517),
    [anon_sym_break] = ACTIONS(1517),
    [anon_sym_continue] = ACTIONS(1517),
    [anon_sym_return] = ACTIONS(1517),
    [anon_sym_yield] = ACTIONS(1517),
    [anon_sym_synchronized] = ACTIONS(1517),
    [anon_sym_throw] = ACTIONS(1517),
    [anon_sym_try] = ACTIONS(1517),
    [anon_sym_if] = ACTIONS(1517),
    [anon_sym_for] = ACTIONS(1517),
    [anon_sym_AT] = ACTIONS(1517),
    [anon_sym_open] = ACTIONS(1517),
    [anon_sym_module] = ACTIONS(1517),
    [anon_sym_static] = ACTIONS(1517),
    [anon_sym_with] = ACTIONS(1517),
    [anon_sym_package] = ACTIONS(1517),
    [anon_sym_import] = ACTIONS(1517),
    [anon_sym_enum] = ACTIONS(1517),
    [anon_sym_public] = ACTIONS(1517),
    [anon_sym_protected] = ACTIONS(1517),
    [anon_sym_private] = ACTIONS(1517),
    [anon_sym_abstract] = ACTIONS(1517),
    [anon_sym_strictfp] = ACTIONS(1517),
    [anon_sym_native] = ACTIONS(1517),
    [anon_sym_transient] = ACTIONS(1517),
    [anon_sym_volatile] = ACTIONS(1517),
    [anon_sym_sealed] = ACTIONS(1517),
    [anon_sym_non_DASHsealed] = ACTIONS(1515),
    [anon_sym_record] = ACTIONS(1517),
    [anon_sym_ATinterface] = ACTIONS(1515),
    [anon_sym_interface] = ACTIONS(1517),
    [anon_sym_byte] = ACTIONS(1517),
    [anon_sym_short] = ACTIONS(1517),
    [anon_sym_int] = ACTIONS(1517),
    [anon_sym_long] = ACTIONS(1517),
    [anon_sym_char] = ACTIONS(1517),
    [anon_sym_float] = ACTIONS(1517),
    [anon_sym_double] = ACTIONS(1517),
    [sym_boolean_type] = ACTIONS(1517),
    [sym_void_type] = ACTIONS(1517),
    [anon_sym_def] = ACTIONS(1517),
    [sym_this] = ACTIONS(1517),
    [sym_super] = ACTIONS(1517),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1692),
  },
  [525] = {
    [ts_builtin_sym_end] = ACTIONS(1547),
    [sym_identifier] = ACTIONS(1549),
    [sym_decimal_integer_literal] = ACTIONS(1549),
    [sym_hex_integer_literal] = ACTIONS(1549),
    [sym_octal_integer_literal] = ACTIONS(1549),
    [sym_binary_integer_literal] = ACTIONS(1547),
    [sym_decimal_floating_point_literal] = ACTIONS(1547),
    [sym_hex_floating_point_literal] = ACTIONS(1549),
    [sym_true] = ACTIONS(1549),
    [sym_false] = ACTIONS(1549),
    [sym_character_literal] = ACTIONS(1547),
    [anon_sym_DQUOTE] = ACTIONS(1549),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1547),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1547),
    [anon_sym_RBRACE] = ACTIONS(1547),
    [sym_null_literal] = ACTIONS(1549),
    [anon_sym_LPAREN] = ACTIONS(1547),
    [anon_sym_AMP] = ACTIONS(1549),
    [anon_sym_GT] = ACTIONS(1549),
    [anon_sym_LT] = ACTIONS(1549),
    [anon_sym_GT_EQ] = ACTIONS(1547),
    [anon_sym_LT_EQ] = ACTIONS(1547),
    [anon_sym_EQ_EQ] = ACTIONS(1547),
    [anon_sym_BANG_EQ] = ACTIONS(1547),
    [anon_sym_AMP_AMP] = ACTIONS(1547),
    [anon_sym_PIPE_PIPE] = ACTIONS(1547),
    [anon_sym_PLUS] = ACTIONS(1549),
    [anon_sym_DASH] = ACTIONS(1549),
    [anon_sym_STAR] = ACTIONS(1549),
    [anon_sym_SLASH] = ACTIONS(1549),
    [anon_sym_PIPE] = ACTIONS(1549),
    [anon_sym_CARET] = ACTIONS(1547),
    [anon_sym_PERCENT] = ACTIONS(1547),
    [anon_sym_LT_LT] = ACTIONS(1547),
    [anon_sym_GT_GT] = ACTIONS(1549),
    [anon_sym_GT_GT_GT] = ACTIONS(1547),
    [anon_sym_in] = ACTIONS(1549),
    [anon_sym_STAR_STAR] = ACTIONS(1547),
    [anon_sym_instanceof] = ACTIONS(1549),
    [anon_sym_final] = ACTIONS(1549),
    [anon_sym_DASH_GT] = ACTIONS(1547),
    [anon_sym_COMMA] = ACTIONS(1547),
    [anon_sym_QMARK] = ACTIONS(1547),
    [anon_sym_BANG] = ACTIONS(1549),
    [anon_sym_TILDE] = ACTIONS(1547),
    [anon_sym_PLUS_PLUS] = ACTIONS(1547),
    [anon_sym_DASH_DASH] = ACTIONS(1547),
    [anon_sym_new] = ACTIONS(1549),
    [anon_sym_LBRACK] = ACTIONS(1547),
    [anon_sym_class] = ACTIONS(1549),
    [anon_sym_switch] = ACTIONS(1549),
    [anon_sym_LBRACE] = ACTIONS(1547),
    [anon_sym_default] = ACTIONS(1549),
    [sym_underscore_pattern] = ACTIONS(1549),
    [anon_sym_SEMI] = ACTIONS(1547),
    [anon_sym_assert] = ACTIONS(1549),
    [anon_sym_do] = ACTIONS(1549),
    [anon_sym_while] = ACTIONS(1549),
    [anon_sym_break] = ACTIONS(1549),
    [anon_sym_continue] = ACTIONS(1549),
    [anon_sym_return] = ACTIONS(1549),
    [anon_sym_yield] = ACTIONS(1549),
    [anon_sym_synchronized] = ACTIONS(1549),
    [anon_sym_throw] = ACTIONS(1549),
    [anon_sym_try] = ACTIONS(1549),
    [anon_sym_if] = ACTIONS(1549),
    [anon_sym_for] = ACTIONS(1549),
    [anon_sym_AT] = ACTIONS(1549),
    [anon_sym_open] = ACTIONS(1549),
    [anon_sym_module] = ACTIONS(1549),
    [anon_sym_static] = ACTIONS(1549),
    [anon_sym_with] = ACTIONS(1549),
    [anon_sym_package] = ACTIONS(1549),
    [anon_sym_import] = ACTIONS(1549),
    [anon_sym_enum] = ACTIONS(1549),
    [anon_sym_public] = ACTIONS(1549),
    [anon_sym_protected] = ACTIONS(1549),
    [anon_sym_private] = ACTIONS(1549),
    [anon_sym_abstract] = ACTIONS(1549),
    [anon_sym_strictfp] = ACTIONS(1549),
    [anon_sym_native] = ACTIONS(1549),
    [anon_sym_transient] = ACTIONS(1549),
    [anon_sym_volatile] = ACTIONS(1549),
    [anon_sym_sealed] = ACTIONS(1549),
    [anon_sym_non_DASHsealed] = ACTIONS(1547),
    [anon_sym_record] = ACTIONS(1549),
    [anon_sym_ATinterface] = ACTIONS(1547),
    [anon_sym_interface] = ACTIONS(1549),
    [anon_sym_byte] = ACTIONS(1549),
    [anon_sym_short] = ACTIONS(1549),
    [anon_sym_int] = ACTIONS(1549),
    [anon_sym_long] = ACTIONS(1549),
    [anon_sym_char] = ACTIONS(1549),
    [anon_sym_float] = ACTIONS(1549),
    [anon_sym_double] = ACTIONS(1549),
    [sym_boolean_type] = ACTIONS(1549),
    [sym_void_type] = ACTIONS(1549),
    [anon_sym_def] = ACTIONS(1549),
    [sym_this] = ACTIONS(1549),
    [sym_super] = ACTIONS(1549),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1547),
  },
  [526] = {
    [ts_builtin_sym_end] = ACTIONS(1575),
    [sym_identifier] = ACTIONS(1577),
    [sym_decimal_integer_literal] = ACTIONS(1577),
    [sym_hex_integer_literal] = ACTIONS(1577),
    [sym_octal_integer_literal] = ACTIONS(1577),
    [sym_binary_integer_literal] = ACTIONS(1575),
    [sym_decimal_floating_point_literal] = ACTIONS(1575),
    [sym_hex_floating_point_literal] = ACTIONS(1577),
    [sym_true] = ACTIONS(1577),
    [sym_false] = ACTIONS(1577),
    [sym_character_literal] = ACTIONS(1575),
    [anon_sym_DQUOTE] = ACTIONS(1577),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1575),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1575),
    [anon_sym_RBRACE] = ACTIONS(1575),
    [sym_null_literal] = ACTIONS(1577),
    [anon_sym_LPAREN] = ACTIONS(1575),
    [anon_sym_AMP] = ACTIONS(1577),
    [anon_sym_GT] = ACTIONS(1577),
    [anon_sym_LT] = ACTIONS(1577),
    [anon_sym_GT_EQ] = ACTIONS(1575),
    [anon_sym_LT_EQ] = ACTIONS(1575),
    [anon_sym_EQ_EQ] = ACTIONS(1575),
    [anon_sym_BANG_EQ] = ACTIONS(1575),
    [anon_sym_AMP_AMP] = ACTIONS(1575),
    [anon_sym_PIPE_PIPE] = ACTIONS(1575),
    [anon_sym_PLUS] = ACTIONS(1577),
    [anon_sym_DASH] = ACTIONS(1577),
    [anon_sym_STAR] = ACTIONS(1577),
    [anon_sym_SLASH] = ACTIONS(1577),
    [anon_sym_PIPE] = ACTIONS(1577),
    [anon_sym_CARET] = ACTIONS(1575),
    [anon_sym_PERCENT] = ACTIONS(1575),
    [anon_sym_LT_LT] = ACTIONS(1575),
    [anon_sym_GT_GT] = ACTIONS(1577),
    [anon_sym_GT_GT_GT] = ACTIONS(1575),
    [anon_sym_in] = ACTIONS(1577),
    [anon_sym_STAR_STAR] = ACTIONS(1575),
    [anon_sym_instanceof] = ACTIONS(1577),
    [anon_sym_final] = ACTIONS(1577),
    [anon_sym_DASH_GT] = ACTIONS(1575),
    [anon_sym_COMMA] = ACTIONS(1575),
    [anon_sym_QMARK] = ACTIONS(1575),
    [anon_sym_BANG] = ACTIONS(1577),
    [anon_sym_TILDE] = ACTIONS(1575),
    [anon_sym_PLUS_PLUS] = ACTIONS(1575),
    [anon_sym_DASH_DASH] = ACTIONS(1575),
    [anon_sym_new] = ACTIONS(1577),
    [anon_sym_LBRACK] = ACTIONS(1575),
    [anon_sym_class] = ACTIONS(1577),
    [anon_sym_switch] = ACTIONS(1577),
    [anon_sym_LBRACE] = ACTIONS(1575),
    [anon_sym_default] = ACTIONS(1577),
    [sym_underscore_pattern] = ACTIONS(1577),
    [anon_sym_SEMI] = ACTIONS(1575),
    [anon_sym_assert] = ACTIONS(1577),
    [anon_sym_do] = ACTIONS(1577),
    [anon_sym_while] = ACTIONS(1577),
    [anon_sym_break] = ACTIONS(1577),
    [anon_sym_continue] = ACTIONS(1577),
    [anon_sym_return] = ACTIONS(1577),
    [anon_sym_yield] = ACTIONS(1577),
    [anon_sym_synchronized] = ACTIONS(1577),
    [anon_sym_throw] = ACTIONS(1577),
    [anon_sym_try] = ACTIONS(1577),
    [anon_sym_if] = ACTIONS(1577),
    [anon_sym_for] = ACTIONS(1577),
    [anon_sym_AT] = ACTIONS(1577),
    [anon_sym_open] = ACTIONS(1577),
    [anon_sym_module] = ACTIONS(1577),
    [anon_sym_static] = ACTIONS(1577),
    [anon_sym_with] = ACTIONS(1577),
    [anon_sym_package] = ACTIONS(1577),
    [anon_sym_import] = ACTIONS(1577),
    [anon_sym_enum] = ACTIONS(1577),
    [anon_sym_public] = ACTIONS(1577),
    [anon_sym_protected] = ACTIONS(1577),
    [anon_sym_private] = ACTIONS(1577),
    [anon_sym_abstract] = ACTIONS(1577),
    [anon_sym_strictfp] = ACTIONS(1577),
    [anon_sym_native] = ACTIONS(1577),
    [anon_sym_transient] = ACTIONS(1577),
    [anon_sym_volatile] = ACTIONS(1577),
    [anon_sym_sealed] = ACTIONS(1577),
    [anon_sym_non_DASHsealed] = ACTIONS(1575),
    [anon_sym_record] = ACTIONS(1577),
    [anon_sym_ATinterface] = ACTIONS(1575),
    [anon_sym_interface] = ACTIONS(1577),
    [anon_sym_byte] = ACTIONS(1577),
    [anon_sym_short] = ACTIONS(1577),
    [anon_sym_int] = ACTIONS(1577),
    [anon_sym_long] = ACTIONS(1577),
    [anon_sym_char] = ACTIONS(1577),
    [anon_sym_float] = ACTIONS(1577),
    [anon_sym_double] = ACTIONS(1577),
    [sym_boolean_type] = ACTIONS(1577),
    [sym_void_type] = ACTIONS(1577),
    [anon_sym_def] = ACTIONS(1577),
    [sym_this] = ACTIONS(1577),
    [sym_super] = ACTIONS(1577),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1575),
  },
  [527] = {
    [ts_builtin_sym_end] = ACTIONS(1555),
    [sym_identifier] = ACTIONS(1557),
    [sym_decimal_integer_literal] = ACTIONS(1557),
    [sym_hex_integer_literal] = ACTIONS(1557),
    [sym_octal_integer_literal] = ACTIONS(1557),
    [sym_binary_integer_literal] = ACTIONS(1555),
    [sym_decimal_floating_point_literal] = ACTIONS(1555),
    [sym_hex_floating_point_literal] = ACTIONS(1557),
    [sym_true] = ACTIONS(1557),
    [sym_false] = ACTIONS(1557),
    [sym_character_literal] = ACTIONS(1555),
    [anon_sym_DQUOTE] = ACTIONS(1557),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1555),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1555),
    [anon_sym_RBRACE] = ACTIONS(1555),
    [sym_null_literal] = ACTIONS(1557),
    [anon_sym_LPAREN] = ACTIONS(1555),
    [anon_sym_AMP] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1660),
    [anon_sym_LT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1662),
    [anon_sym_LT_EQ] = ACTIONS(1662),
    [anon_sym_EQ_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1664),
    [anon_sym_AMP_AMP] = ACTIONS(1666),
    [anon_sym_PIPE_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_CARET] = ACTIONS(1676),
    [anon_sym_PERCENT] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1682),
    [anon_sym_GT_GT_GT] = ACTIONS(1680),
    [anon_sym_in] = ACTIONS(1660),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1686),
    [anon_sym_final] = ACTIONS(1557),
    [anon_sym_DASH_GT] = ACTIONS(1555),
    [anon_sym_COMMA] = ACTIONS(1555),
    [anon_sym_QMARK] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(1557),
    [anon_sym_TILDE] = ACTIONS(1555),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_new] = ACTIONS(1557),
    [anon_sym_LBRACK] = ACTIONS(1555),
    [anon_sym_class] = ACTIONS(1557),
    [anon_sym_switch] = ACTIONS(1557),
    [anon_sym_LBRACE] = ACTIONS(1555),
    [anon_sym_default] = ACTIONS(1557),
    [sym_underscore_pattern] = ACTIONS(1557),
    [anon_sym_SEMI] = ACTIONS(1555),
    [anon_sym_assert] = ACTIONS(1557),
    [anon_sym_do] = ACTIONS(1557),
    [anon_sym_while] = ACTIONS(1557),
    [anon_sym_break] = ACTIONS(1557),
    [anon_sym_continue] = ACTIONS(1557),
    [anon_sym_return] = ACTIONS(1557),
    [anon_sym_yield] = ACTIONS(1557),
    [anon_sym_synchronized] = ACTIONS(1557),
    [anon_sym_throw] = ACTIONS(1557),
    [anon_sym_try] = ACTIONS(1557),
    [anon_sym_if] = ACTIONS(1557),
    [anon_sym_for] = ACTIONS(1557),
    [anon_sym_AT] = ACTIONS(1557),
    [anon_sym_open] = ACTIONS(1557),
    [anon_sym_module] = ACTIONS(1557),
    [anon_sym_static] = ACTIONS(1557),
    [anon_sym_with] = ACTIONS(1557),
    [anon_sym_package] = ACTIONS(1557),
    [anon_sym_import] = ACTIONS(1557),
    [anon_sym_enum] = ACTIONS(1557),
    [anon_sym_public] = ACTIONS(1557),
    [anon_sym_protected] = ACTIONS(1557),
    [anon_sym_private] = ACTIONS(1557),
    [anon_sym_abstract] = ACTIONS(1557),
    [anon_sym_strictfp] = ACTIONS(1557),
    [anon_sym_native] = ACTIONS(1557),
    [anon_sym_transient] = ACTIONS(1557),
    [anon_sym_volatile] = ACTIONS(1557),
    [anon_sym_sealed] = ACTIONS(1557),
    [anon_sym_non_DASHsealed] = ACTIONS(1555),
    [anon_sym_record] = ACTIONS(1557),
    [anon_sym_ATinterface] = ACTIONS(1555),
    [anon_sym_interface] = ACTIONS(1557),
    [anon_sym_byte] = ACTIONS(1557),
    [anon_sym_short] = ACTIONS(1557),
    [anon_sym_int] = ACTIONS(1557),
    [anon_sym_long] = ACTIONS(1557),
    [anon_sym_char] = ACTIONS(1557),
    [anon_sym_float] = ACTIONS(1557),
    [anon_sym_double] = ACTIONS(1557),
    [sym_boolean_type] = ACTIONS(1557),
    [sym_void_type] = ACTIONS(1557),
    [anon_sym_def] = ACTIONS(1557),
    [sym_this] = ACTIONS(1557),
    [sym_super] = ACTIONS(1557),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1692),
  },
  [528] = {
    [ts_builtin_sym_end] = ACTIONS(1559),
    [sym_identifier] = ACTIONS(1561),
    [sym_decimal_integer_literal] = ACTIONS(1561),
    [sym_hex_integer_literal] = ACTIONS(1561),
    [sym_octal_integer_literal] = ACTIONS(1561),
    [sym_binary_integer_literal] = ACTIONS(1559),
    [sym_decimal_floating_point_literal] = ACTIONS(1559),
    [sym_hex_floating_point_literal] = ACTIONS(1561),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_character_literal] = ACTIONS(1559),
    [anon_sym_DQUOTE] = ACTIONS(1561),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1559),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1559),
    [anon_sym_RBRACE] = ACTIONS(1559),
    [sym_null_literal] = ACTIONS(1561),
    [anon_sym_LPAREN] = ACTIONS(1559),
    [anon_sym_AMP] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1660),
    [anon_sym_LT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1662),
    [anon_sym_LT_EQ] = ACTIONS(1662),
    [anon_sym_EQ_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1664),
    [anon_sym_AMP_AMP] = ACTIONS(1666),
    [anon_sym_PIPE_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_CARET] = ACTIONS(1676),
    [anon_sym_PERCENT] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1682),
    [anon_sym_GT_GT_GT] = ACTIONS(1680),
    [anon_sym_in] = ACTIONS(1660),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1686),
    [anon_sym_final] = ACTIONS(1561),
    [anon_sym_DASH_GT] = ACTIONS(1559),
    [anon_sym_COMMA] = ACTIONS(1559),
    [anon_sym_QMARK] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(1561),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_new] = ACTIONS(1561),
    [anon_sym_LBRACK] = ACTIONS(1559),
    [anon_sym_class] = ACTIONS(1561),
    [anon_sym_switch] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_default] = ACTIONS(1561),
    [sym_underscore_pattern] = ACTIONS(1561),
    [anon_sym_SEMI] = ACTIONS(1559),
    [anon_sym_assert] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1561),
    [anon_sym_continue] = ACTIONS(1561),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_yield] = ACTIONS(1561),
    [anon_sym_synchronized] = ACTIONS(1561),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_try] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_AT] = ACTIONS(1561),
    [anon_sym_open] = ACTIONS(1561),
    [anon_sym_module] = ACTIONS(1561),
    [anon_sym_static] = ACTIONS(1561),
    [anon_sym_with] = ACTIONS(1561),
    [anon_sym_package] = ACTIONS(1561),
    [anon_sym_import] = ACTIONS(1561),
    [anon_sym_enum] = ACTIONS(1561),
    [anon_sym_public] = ACTIONS(1561),
    [anon_sym_protected] = ACTIONS(1561),
    [anon_sym_private] = ACTIONS(1561),
    [anon_sym_abstract] = ACTIONS(1561),
    [anon_sym_strictfp] = ACTIONS(1561),
    [anon_sym_native] = ACTIONS(1561),
    [anon_sym_transient] = ACTIONS(1561),
    [anon_sym_volatile] = ACTIONS(1561),
    [anon_sym_sealed] = ACTIONS(1561),
    [anon_sym_non_DASHsealed] = ACTIONS(1559),
    [anon_sym_record] = ACTIONS(1561),
    [anon_sym_ATinterface] = ACTIONS(1559),
    [anon_sym_interface] = ACTIONS(1561),
    [anon_sym_byte] = ACTIONS(1561),
    [anon_sym_short] = ACTIONS(1561),
    [anon_sym_int] = ACTIONS(1561),
    [anon_sym_long] = ACTIONS(1561),
    [anon_sym_char] = ACTIONS(1561),
    [anon_sym_float] = ACTIONS(1561),
    [anon_sym_double] = ACTIONS(1561),
    [sym_boolean_type] = ACTIONS(1561),
    [sym_void_type] = ACTIONS(1561),
    [anon_sym_def] = ACTIONS(1561),
    [sym_this] = ACTIONS(1561),
    [sym_super] = ACTIONS(1561),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1692),
  },
  [529] = {
    [ts_builtin_sym_end] = ACTIONS(1223),
    [sym_identifier] = ACTIONS(1225),
    [sym_decimal_integer_literal] = ACTIONS(1225),
    [sym_hex_integer_literal] = ACTIONS(1225),
    [sym_octal_integer_literal] = ACTIONS(1225),
    [sym_binary_integer_literal] = ACTIONS(1223),
    [sym_decimal_floating_point_literal] = ACTIONS(1223),
    [sym_hex_floating_point_literal] = ACTIONS(1225),
    [sym_true] = ACTIONS(1225),
    [sym_false] = ACTIONS(1225),
    [sym_character_literal] = ACTIONS(1223),
    [anon_sym_DQUOTE] = ACTIONS(1225),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1223),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1223),
    [anon_sym_RBRACE] = ACTIONS(1223),
    [sym_null_literal] = ACTIONS(1225),
    [anon_sym_LPAREN] = ACTIONS(1223),
    [anon_sym_AMP] = ACTIONS(1225),
    [anon_sym_GT] = ACTIONS(1225),
    [anon_sym_LT] = ACTIONS(1225),
    [anon_sym_GT_EQ] = ACTIONS(1223),
    [anon_sym_LT_EQ] = ACTIONS(1223),
    [anon_sym_EQ_EQ] = ACTIONS(1223),
    [anon_sym_BANG_EQ] = ACTIONS(1223),
    [anon_sym_AMP_AMP] = ACTIONS(1223),
    [anon_sym_PIPE_PIPE] = ACTIONS(1223),
    [anon_sym_PLUS] = ACTIONS(1225),
    [anon_sym_DASH] = ACTIONS(1225),
    [anon_sym_STAR] = ACTIONS(1225),
    [anon_sym_SLASH] = ACTIONS(1225),
    [anon_sym_PIPE] = ACTIONS(1225),
    [anon_sym_CARET] = ACTIONS(1223),
    [anon_sym_PERCENT] = ACTIONS(1223),
    [anon_sym_LT_LT] = ACTIONS(1223),
    [anon_sym_GT_GT] = ACTIONS(1225),
    [anon_sym_GT_GT_GT] = ACTIONS(1223),
    [anon_sym_in] = ACTIONS(1225),
    [anon_sym_STAR_STAR] = ACTIONS(1223),
    [anon_sym_instanceof] = ACTIONS(1225),
    [anon_sym_final] = ACTIONS(1225),
    [anon_sym_DASH_GT] = ACTIONS(1223),
    [anon_sym_COMMA] = ACTIONS(1223),
    [anon_sym_QMARK] = ACTIONS(1223),
    [anon_sym_BANG] = ACTIONS(1225),
    [anon_sym_TILDE] = ACTIONS(1223),
    [anon_sym_PLUS_PLUS] = ACTIONS(1223),
    [anon_sym_DASH_DASH] = ACTIONS(1223),
    [anon_sym_new] = ACTIONS(1225),
    [anon_sym_LBRACK] = ACTIONS(1223),
    [anon_sym_class] = ACTIONS(1225),
    [anon_sym_switch] = ACTIONS(1225),
    [anon_sym_LBRACE] = ACTIONS(1223),
    [anon_sym_default] = ACTIONS(1225),
    [sym_underscore_pattern] = ACTIONS(1225),
    [anon_sym_SEMI] = ACTIONS(1223),
    [anon_sym_assert] = ACTIONS(1225),
    [anon_sym_do] = ACTIONS(1225),
    [anon_sym_while] = ACTIONS(1225),
    [anon_sym_break] = ACTIONS(1225),
    [anon_sym_continue] = ACTIONS(1225),
    [anon_sym_return] = ACTIONS(1225),
    [anon_sym_yield] = ACTIONS(1225),
    [anon_sym_synchronized] = ACTIONS(1225),
    [anon_sym_throw] = ACTIONS(1225),
    [anon_sym_try] = ACTIONS(1225),
    [anon_sym_if] = ACTIONS(1225),
    [anon_sym_for] = ACTIONS(1225),
    [anon_sym_AT] = ACTIONS(1225),
    [anon_sym_open] = ACTIONS(1225),
    [anon_sym_module] = ACTIONS(1225),
    [anon_sym_static] = ACTIONS(1225),
    [anon_sym_with] = ACTIONS(1225),
    [anon_sym_package] = ACTIONS(1225),
    [anon_sym_import] = ACTIONS(1225),
    [anon_sym_enum] = ACTIONS(1225),
    [anon_sym_public] = ACTIONS(1225),
    [anon_sym_protected] = ACTIONS(1225),
    [anon_sym_private] = ACTIONS(1225),
    [anon_sym_abstract] = ACTIONS(1225),
    [anon_sym_strictfp] = ACTIONS(1225),
    [anon_sym_native] = ACTIONS(1225),
    [anon_sym_transient] = ACTIONS(1225),
    [anon_sym_volatile] = ACTIONS(1225),
    [anon_sym_sealed] = ACTIONS(1225),
    [anon_sym_non_DASHsealed] = ACTIONS(1223),
    [anon_sym_record] = ACTIONS(1225),
    [anon_sym_ATinterface] = ACTIONS(1223),
    [anon_sym_interface] = ACTIONS(1225),
    [anon_sym_byte] = ACTIONS(1225),
    [anon_sym_short] = ACTIONS(1225),
    [anon_sym_int] = ACTIONS(1225),
    [anon_sym_long] = ACTIONS(1225),
    [anon_sym_char] = ACTIONS(1225),
    [anon_sym_float] = ACTIONS(1225),
    [anon_sym_double] = ACTIONS(1225),
    [sym_boolean_type] = ACTIONS(1225),
    [sym_void_type] = ACTIONS(1225),
    [anon_sym_def] = ACTIONS(1225),
    [sym_this] = ACTIONS(1225),
    [sym_super] = ACTIONS(1225),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1223),
  },
  [530] = {
    [ts_builtin_sym_end] = ACTIONS(1694),
    [sym_identifier] = ACTIONS(1696),
    [sym_decimal_integer_literal] = ACTIONS(1696),
    [sym_hex_integer_literal] = ACTIONS(1696),
    [sym_octal_integer_literal] = ACTIONS(1696),
    [sym_binary_integer_literal] = ACTIONS(1694),
    [sym_decimal_floating_point_literal] = ACTIONS(1694),
    [sym_hex_floating_point_literal] = ACTIONS(1696),
    [sym_true] = ACTIONS(1696),
    [sym_false] = ACTIONS(1696),
    [sym_character_literal] = ACTIONS(1694),
    [anon_sym_DQUOTE] = ACTIONS(1696),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1694),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1694),
    [anon_sym_RBRACE] = ACTIONS(1694),
    [sym_null_literal] = ACTIONS(1696),
    [anon_sym_LPAREN] = ACTIONS(1694),
    [anon_sym_AMP] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1660),
    [anon_sym_LT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1662),
    [anon_sym_LT_EQ] = ACTIONS(1662),
    [anon_sym_EQ_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1664),
    [anon_sym_AMP_AMP] = ACTIONS(1666),
    [anon_sym_PIPE_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_CARET] = ACTIONS(1676),
    [anon_sym_PERCENT] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1682),
    [anon_sym_GT_GT_GT] = ACTIONS(1680),
    [anon_sym_in] = ACTIONS(1660),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1686),
    [anon_sym_final] = ACTIONS(1696),
    [anon_sym_DASH_GT] = ACTIONS(1694),
    [anon_sym_COMMA] = ACTIONS(1694),
    [anon_sym_QMARK] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(1696),
    [anon_sym_TILDE] = ACTIONS(1694),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_new] = ACTIONS(1696),
    [anon_sym_LBRACK] = ACTIONS(1694),
    [anon_sym_class] = ACTIONS(1696),
    [anon_sym_switch] = ACTIONS(1696),
    [anon_sym_LBRACE] = ACTIONS(1694),
    [anon_sym_default] = ACTIONS(1696),
    [sym_underscore_pattern] = ACTIONS(1696),
    [anon_sym_SEMI] = ACTIONS(1694),
    [anon_sym_assert] = ACTIONS(1696),
    [anon_sym_do] = ACTIONS(1696),
    [anon_sym_while] = ACTIONS(1696),
    [anon_sym_break] = ACTIONS(1696),
    [anon_sym_continue] = ACTIONS(1696),
    [anon_sym_return] = ACTIONS(1696),
    [anon_sym_yield] = ACTIONS(1696),
    [anon_sym_synchronized] = ACTIONS(1696),
    [anon_sym_throw] = ACTIONS(1696),
    [anon_sym_try] = ACTIONS(1696),
    [anon_sym_if] = ACTIONS(1696),
    [anon_sym_for] = ACTIONS(1696),
    [anon_sym_AT] = ACTIONS(1696),
    [anon_sym_open] = ACTIONS(1696),
    [anon_sym_module] = ACTIONS(1696),
    [anon_sym_static] = ACTIONS(1696),
    [anon_sym_with] = ACTIONS(1696),
    [anon_sym_package] = ACTIONS(1696),
    [anon_sym_import] = ACTIONS(1696),
    [anon_sym_enum] = ACTIONS(1696),
    [anon_sym_public] = ACTIONS(1696),
    [anon_sym_protected] = ACTIONS(1696),
    [anon_sym_private] = ACTIONS(1696),
    [anon_sym_abstract] = ACTIONS(1696),
    [anon_sym_strictfp] = ACTIONS(1696),
    [anon_sym_native] = ACTIONS(1696),
    [anon_sym_transient] = ACTIONS(1696),
    [anon_sym_volatile] = ACTIONS(1696),
    [anon_sym_sealed] = ACTIONS(1696),
    [anon_sym_non_DASHsealed] = ACTIONS(1694),
    [anon_sym_record] = ACTIONS(1696),
    [anon_sym_ATinterface] = ACTIONS(1694),
    [anon_sym_interface] = ACTIONS(1696),
    [anon_sym_byte] = ACTIONS(1696),
    [anon_sym_short] = ACTIONS(1696),
    [anon_sym_int] = ACTIONS(1696),
    [anon_sym_long] = ACTIONS(1696),
    [anon_sym_char] = ACTIONS(1696),
    [anon_sym_float] = ACTIONS(1696),
    [anon_sym_double] = ACTIONS(1696),
    [sym_boolean_type] = ACTIONS(1696),
    [sym_void_type] = ACTIONS(1696),
    [anon_sym_def] = ACTIONS(1696),
    [sym_this] = ACTIONS(1696),
    [sym_super] = ACTIONS(1696),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1692),
  },
  [531] = {
    [ts_builtin_sym_end] = ACTIONS(1559),
    [sym_identifier] = ACTIONS(1561),
    [sym_decimal_integer_literal] = ACTIONS(1561),
    [sym_hex_integer_literal] = ACTIONS(1561),
    [sym_octal_integer_literal] = ACTIONS(1561),
    [sym_binary_integer_literal] = ACTIONS(1559),
    [sym_decimal_floating_point_literal] = ACTIONS(1559),
    [sym_hex_floating_point_literal] = ACTIONS(1561),
    [sym_true] = ACTIONS(1561),
    [sym_false] = ACTIONS(1561),
    [sym_character_literal] = ACTIONS(1559),
    [anon_sym_DQUOTE] = ACTIONS(1561),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1559),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1559),
    [anon_sym_RBRACE] = ACTIONS(1559),
    [sym_null_literal] = ACTIONS(1561),
    [anon_sym_LPAREN] = ACTIONS(1559),
    [anon_sym_AMP] = ACTIONS(1561),
    [anon_sym_GT] = ACTIONS(1561),
    [anon_sym_LT] = ACTIONS(1561),
    [anon_sym_GT_EQ] = ACTIONS(1559),
    [anon_sym_LT_EQ] = ACTIONS(1559),
    [anon_sym_EQ_EQ] = ACTIONS(1559),
    [anon_sym_BANG_EQ] = ACTIONS(1559),
    [anon_sym_AMP_AMP] = ACTIONS(1559),
    [anon_sym_PIPE_PIPE] = ACTIONS(1559),
    [anon_sym_PLUS] = ACTIONS(1561),
    [anon_sym_DASH] = ACTIONS(1561),
    [anon_sym_STAR] = ACTIONS(1561),
    [anon_sym_SLASH] = ACTIONS(1561),
    [anon_sym_PIPE] = ACTIONS(1561),
    [anon_sym_CARET] = ACTIONS(1559),
    [anon_sym_PERCENT] = ACTIONS(1559),
    [anon_sym_LT_LT] = ACTIONS(1559),
    [anon_sym_GT_GT] = ACTIONS(1561),
    [anon_sym_GT_GT_GT] = ACTIONS(1559),
    [anon_sym_in] = ACTIONS(1561),
    [anon_sym_STAR_STAR] = ACTIONS(1559),
    [anon_sym_instanceof] = ACTIONS(1561),
    [anon_sym_final] = ACTIONS(1561),
    [anon_sym_DASH_GT] = ACTIONS(1559),
    [anon_sym_COMMA] = ACTIONS(1559),
    [anon_sym_QMARK] = ACTIONS(1559),
    [anon_sym_BANG] = ACTIONS(1561),
    [anon_sym_TILDE] = ACTIONS(1559),
    [anon_sym_PLUS_PLUS] = ACTIONS(1559),
    [anon_sym_DASH_DASH] = ACTIONS(1559),
    [anon_sym_new] = ACTIONS(1561),
    [anon_sym_LBRACK] = ACTIONS(1559),
    [anon_sym_class] = ACTIONS(1561),
    [anon_sym_switch] = ACTIONS(1561),
    [anon_sym_LBRACE] = ACTIONS(1559),
    [anon_sym_default] = ACTIONS(1561),
    [sym_underscore_pattern] = ACTIONS(1561),
    [anon_sym_SEMI] = ACTIONS(1559),
    [anon_sym_assert] = ACTIONS(1561),
    [anon_sym_do] = ACTIONS(1561),
    [anon_sym_while] = ACTIONS(1561),
    [anon_sym_break] = ACTIONS(1561),
    [anon_sym_continue] = ACTIONS(1561),
    [anon_sym_return] = ACTIONS(1561),
    [anon_sym_yield] = ACTIONS(1561),
    [anon_sym_synchronized] = ACTIONS(1561),
    [anon_sym_throw] = ACTIONS(1561),
    [anon_sym_try] = ACTIONS(1561),
    [anon_sym_if] = ACTIONS(1561),
    [anon_sym_for] = ACTIONS(1561),
    [anon_sym_AT] = ACTIONS(1561),
    [anon_sym_open] = ACTIONS(1561),
    [anon_sym_module] = ACTIONS(1561),
    [anon_sym_static] = ACTIONS(1561),
    [anon_sym_with] = ACTIONS(1561),
    [anon_sym_package] = ACTIONS(1561),
    [anon_sym_import] = ACTIONS(1561),
    [anon_sym_enum] = ACTIONS(1561),
    [anon_sym_public] = ACTIONS(1561),
    [anon_sym_protected] = ACTIONS(1561),
    [anon_sym_private] = ACTIONS(1561),
    [anon_sym_abstract] = ACTIONS(1561),
    [anon_sym_strictfp] = ACTIONS(1561),
    [anon_sym_native] = ACTIONS(1561),
    [anon_sym_transient] = ACTIONS(1561),
    [anon_sym_volatile] = ACTIONS(1561),
    [anon_sym_sealed] = ACTIONS(1561),
    [anon_sym_non_DASHsealed] = ACTIONS(1559),
    [anon_sym_record] = ACTIONS(1561),
    [anon_sym_ATinterface] = ACTIONS(1559),
    [anon_sym_interface] = ACTIONS(1561),
    [anon_sym_byte] = ACTIONS(1561),
    [anon_sym_short] = ACTIONS(1561),
    [anon_sym_int] = ACTIONS(1561),
    [anon_sym_long] = ACTIONS(1561),
    [anon_sym_char] = ACTIONS(1561),
    [anon_sym_float] = ACTIONS(1561),
    [anon_sym_double] = ACTIONS(1561),
    [sym_boolean_type] = ACTIONS(1561),
    [sym_void_type] = ACTIONS(1561),
    [anon_sym_def] = ACTIONS(1561),
    [sym_this] = ACTIONS(1561),
    [sym_super] = ACTIONS(1561),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1559),
  },
  [532] = {
    [ts_builtin_sym_end] = ACTIONS(1591),
    [sym_identifier] = ACTIONS(1593),
    [sym_decimal_integer_literal] = ACTIONS(1593),
    [sym_hex_integer_literal] = ACTIONS(1593),
    [sym_octal_integer_literal] = ACTIONS(1593),
    [sym_binary_integer_literal] = ACTIONS(1591),
    [sym_decimal_floating_point_literal] = ACTIONS(1591),
    [sym_hex_floating_point_literal] = ACTIONS(1593),
    [sym_true] = ACTIONS(1593),
    [sym_false] = ACTIONS(1593),
    [sym_character_literal] = ACTIONS(1591),
    [anon_sym_DQUOTE] = ACTIONS(1593),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1591),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1591),
    [anon_sym_RBRACE] = ACTIONS(1591),
    [sym_null_literal] = ACTIONS(1593),
    [anon_sym_LPAREN] = ACTIONS(1591),
    [anon_sym_AMP] = ACTIONS(1658),
    [anon_sym_GT] = ACTIONS(1660),
    [anon_sym_LT] = ACTIONS(1660),
    [anon_sym_GT_EQ] = ACTIONS(1662),
    [anon_sym_LT_EQ] = ACTIONS(1662),
    [anon_sym_EQ_EQ] = ACTIONS(1664),
    [anon_sym_BANG_EQ] = ACTIONS(1664),
    [anon_sym_AMP_AMP] = ACTIONS(1666),
    [anon_sym_PIPE_PIPE] = ACTIONS(1668),
    [anon_sym_PLUS] = ACTIONS(1670),
    [anon_sym_DASH] = ACTIONS(1670),
    [anon_sym_STAR] = ACTIONS(1672),
    [anon_sym_SLASH] = ACTIONS(1672),
    [anon_sym_PIPE] = ACTIONS(1674),
    [anon_sym_CARET] = ACTIONS(1676),
    [anon_sym_PERCENT] = ACTIONS(1678),
    [anon_sym_LT_LT] = ACTIONS(1680),
    [anon_sym_GT_GT] = ACTIONS(1682),
    [anon_sym_GT_GT_GT] = ACTIONS(1680),
    [anon_sym_in] = ACTIONS(1660),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1686),
    [anon_sym_final] = ACTIONS(1593),
    [anon_sym_DASH_GT] = ACTIONS(1591),
    [anon_sym_COMMA] = ACTIONS(1591),
    [anon_sym_QMARK] = ACTIONS(1688),
    [anon_sym_BANG] = ACTIONS(1593),
    [anon_sym_TILDE] = ACTIONS(1591),
    [anon_sym_PLUS_PLUS] = ACTIONS(1690),
    [anon_sym_DASH_DASH] = ACTIONS(1690),
    [anon_sym_new] = ACTIONS(1593),
    [anon_sym_LBRACK] = ACTIONS(1591),
    [anon_sym_class] = ACTIONS(1593),
    [anon_sym_switch] = ACTIONS(1593),
    [anon_sym_LBRACE] = ACTIONS(1591),
    [anon_sym_default] = ACTIONS(1593),
    [sym_underscore_pattern] = ACTIONS(1593),
    [anon_sym_SEMI] = ACTIONS(1591),
    [anon_sym_assert] = ACTIONS(1593),
    [anon_sym_do] = ACTIONS(1593),
    [anon_sym_while] = ACTIONS(1593),
    [anon_sym_break] = ACTIONS(1593),
    [anon_sym_continue] = ACTIONS(1593),
    [anon_sym_return] = ACTIONS(1593),
    [anon_sym_yield] = ACTIONS(1593),
    [anon_sym_synchronized] = ACTIONS(1593),
    [anon_sym_throw] = ACTIONS(1593),
    [anon_sym_try] = ACTIONS(1593),
    [anon_sym_if] = ACTIONS(1593),
    [anon_sym_for] = ACTIONS(1593),
    [anon_sym_AT] = ACTIONS(1593),
    [anon_sym_open] = ACTIONS(1593),
    [anon_sym_module] = ACTIONS(1593),
    [anon_sym_static] = ACTIONS(1593),
    [anon_sym_with] = ACTIONS(1593),
    [anon_sym_package] = ACTIONS(1593),
    [anon_sym_import] = ACTIONS(1593),
    [anon_sym_enum] = ACTIONS(1593),
    [anon_sym_public] = ACTIONS(1593),
    [anon_sym_protected] = ACTIONS(1593),
    [anon_sym_private] = ACTIONS(1593),
    [anon_sym_abstract] = ACTIONS(1593),
    [anon_sym_strictfp] = ACTIONS(1593),
    [anon_sym_native] = ACTIONS(1593),
    [anon_sym_transient] = ACTIONS(1593),
    [anon_sym_volatile] = ACTIONS(1593),
    [anon_sym_sealed] = ACTIONS(1593),
    [anon_sym_non_DASHsealed] = ACTIONS(1591),
    [anon_sym_record] = ACTIONS(1593),
    [anon_sym_ATinterface] = ACTIONS(1591),
    [anon_sym_interface] = ACTIONS(1593),
    [anon_sym_byte] = ACTIONS(1593),
    [anon_sym_short] = ACTIONS(1593),
    [anon_sym_int] = ACTIONS(1593),
    [anon_sym_long] = ACTIONS(1593),
    [anon_sym_char] = ACTIONS(1593),
    [anon_sym_float] = ACTIONS(1593),
    [anon_sym_double] = ACTIONS(1593),
    [sym_boolean_type] = ACTIONS(1593),
    [sym_void_type] = ACTIONS(1593),
    [anon_sym_def] = ACTIONS(1593),
    [sym_this] = ACTIONS(1593),
    [sym_super] = ACTIONS(1593),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1692),
  },
  [533] = {
    [ts_builtin_sym_end] = ACTIONS(1579),
    [sym_identifier] = ACTIONS(1581),
    [sym_decimal_integer_literal] = ACTIONS(1581),
    [sym_hex_integer_literal] = ACTIONS(1581),
    [sym_octal_integer_literal] = ACTIONS(1581),
    [sym_binary_integer_literal] = ACTIONS(1579),
    [sym_decimal_floating_point_literal] = ACTIONS(1579),
    [sym_hex_floating_point_literal] = ACTIONS(1581),
    [sym_true] = ACTIONS(1581),
    [sym_false] = ACTIONS(1581),
    [sym_character_literal] = ACTIONS(1579),
    [anon_sym_DQUOTE] = ACTIONS(1581),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1579),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1579),
    [anon_sym_RBRACE] = ACTIONS(1579),
    [sym_null_literal] = ACTIONS(1581),
    [anon_sym_LPAREN] = ACTIONS(1579),
    [anon_sym_AMP] = ACTIONS(1581),
    [anon_sym_GT] = ACTIONS(1581),
    [anon_sym_LT] = ACTIONS(1581),
    [anon_sym_GT_EQ] = ACTIONS(1579),
    [anon_sym_LT_EQ] = ACTIONS(1579),
    [anon_sym_EQ_EQ] = ACTIONS(1579),
    [anon_sym_BANG_EQ] = ACTIONS(1579),
    [anon_sym_AMP_AMP] = ACTIONS(1579),
    [anon_sym_PIPE_PIPE] = ACTIONS(1579),
    [anon_sym_PLUS] = ACTIONS(1581),
    [anon_sym_DASH] = ACTIONS(1581),
    [anon_sym_STAR] = ACTIONS(1581),
    [anon_sym_SLASH] = ACTIONS(1581),
    [anon_sym_PIPE] = ACTIONS(1581),
    [anon_sym_CARET] = ACTIONS(1579),
    [anon_sym_PERCENT] = ACTIONS(1579),
    [anon_sym_LT_LT] = ACTIONS(1579),
    [anon_sym_GT_GT] = ACTIONS(1581),
    [anon_sym_GT_GT_GT] = ACTIONS(1579),
    [anon_sym_in] = ACTIONS(1581),
    [anon_sym_STAR_STAR] = ACTIONS(1579),
    [anon_sym_instanceof] = ACTIONS(1581),
    [anon_sym_final] = ACTIONS(1581),
    [anon_sym_DASH_GT] = ACTIONS(1579),
    [anon_sym_COMMA] = ACTIONS(1579),
    [anon_sym_QMARK] = ACTIONS(1579),
    [anon_sym_BANG] = ACTIONS(1581),
    [anon_sym_TILDE] = ACTIONS(1579),
    [anon_sym_PLUS_PLUS] = ACTIONS(1579),
    [anon_sym_DASH_DASH] = ACTIONS(1579),
    [anon_sym_new] = ACTIONS(1581),
    [anon_sym_LBRACK] = ACTIONS(1579),
    [anon_sym_class] = ACTIONS(1581),
    [anon_sym_switch] = ACTIONS(1581),
    [anon_sym_LBRACE] = ACTIONS(1579),
    [anon_sym_default] = ACTIONS(1581),
    [sym_underscore_pattern] = ACTIONS(1581),
    [anon_sym_SEMI] = ACTIONS(1579),
    [anon_sym_assert] = ACTIONS(1581),
    [anon_sym_do] = ACTIONS(1581),
    [anon_sym_while] = ACTIONS(1581),
    [anon_sym_break] = ACTIONS(1581),
    [anon_sym_continue] = ACTIONS(1581),
    [anon_sym_return] = ACTIONS(1581),
    [anon_sym_yield] = ACTIONS(1581),
    [anon_sym_synchronized] = ACTIONS(1581),
    [anon_sym_throw] = ACTIONS(1581),
    [anon_sym_try] = ACTIONS(1581),
    [anon_sym_if] = ACTIONS(1581),
    [anon_sym_for] = ACTIONS(1581),
    [anon_sym_AT] = ACTIONS(1581),
    [anon_sym_open] = ACTIONS(1581),
    [anon_sym_module] = ACTIONS(1581),
    [anon_sym_static] = ACTIONS(1581),
    [anon_sym_with] = ACTIONS(1581),
    [anon_sym_package] = ACTIONS(1581),
    [anon_sym_import] = ACTIONS(1581),
    [anon_sym_enum] = ACTIONS(1581),
    [anon_sym_public] = ACTIONS(1581),
    [anon_sym_protected] = ACTIONS(1581),
    [anon_sym_private] = ACTIONS(1581),
    [anon_sym_abstract] = ACTIONS(1581),
    [anon_sym_strictfp] = ACTIONS(1581),
    [anon_sym_native] = ACTIONS(1581),
    [anon_sym_transient] = ACTIONS(1581),
    [anon_sym_volatile] = ACTIONS(1581),
    [anon_sym_sealed] = ACTIONS(1581),
    [anon_sym_non_DASHsealed] = ACTIONS(1579),
    [anon_sym_record] = ACTIONS(1581),
    [anon_sym_ATinterface] = ACTIONS(1579),
    [anon_sym_interface] = ACTIONS(1581),
    [anon_sym_byte] = ACTIONS(1581),
    [anon_sym_short] = ACTIONS(1581),
    [anon_sym_int] = ACTIONS(1581),
    [anon_sym_long] = ACTIONS(1581),
    [anon_sym_char] = ACTIONS(1581),
    [anon_sym_float] = ACTIONS(1581),
    [anon_sym_double] = ACTIONS(1581),
    [sym_boolean_type] = ACTIONS(1581),
    [sym_void_type] = ACTIONS(1581),
    [anon_sym_def] = ACTIONS(1581),
    [sym_this] = ACTIONS(1581),
    [sym_super] = ACTIONS(1581),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1579),
  },
  [534] = {
    [ts_builtin_sym_end] = ACTIONS(1551),
    [sym_identifier] = ACTIONS(1553),
    [sym_decimal_integer_literal] = ACTIONS(1553),
    [sym_hex_integer_literal] = ACTIONS(1553),
    [sym_octal_integer_literal] = ACTIONS(1553),
    [sym_binary_integer_literal] = ACTIONS(1551),
    [sym_decimal_floating_point_literal] = ACTIONS(1551),
    [sym_hex_floating_point_literal] = ACTIONS(1553),
    [sym_true] = ACTIONS(1553),
    [sym_false] = ACTIONS(1553),
    [sym_character_literal] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1553),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1551),
    [anon_sym_RBRACE] = ACTIONS(1551),
    [sym_null_literal] = ACTIONS(1553),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(1553),
    [anon_sym_GT] = ACTIONS(1553),
    [anon_sym_LT] = ACTIONS(1553),
    [anon_sym_GT_EQ] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1551),
    [anon_sym_BANG_EQ] = ACTIONS(1551),
    [anon_sym_AMP_AMP] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_STAR] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(1553),
    [anon_sym_PIPE] = ACTIONS(1553),
    [anon_sym_CARET] = ACTIONS(1551),
    [anon_sym_PERCENT] = ACTIONS(1551),
    [anon_sym_LT_LT] = ACTIONS(1551),
    [anon_sym_GT_GT] = ACTIONS(1553),
    [anon_sym_GT_GT_GT] = ACTIONS(1551),
    [anon_sym_in] = ACTIONS(1553),
    [anon_sym_STAR_STAR] = ACTIONS(1551),
    [anon_sym_instanceof] = ACTIONS(1553),
    [anon_sym_final] = ACTIONS(1553),
    [anon_sym_DASH_GT] = ACTIONS(1551),
    [anon_sym_COMMA] = ACTIONS(1551),
    [anon_sym_QMARK] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1553),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1551),
    [anon_sym_DASH_DASH] = ACTIONS(1551),
    [anon_sym_new] = ACTIONS(1553),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_class] = ACTIONS(1553),
    [anon_sym_switch] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [sym_underscore_pattern] = ACTIONS(1553),
    [anon_sym_SEMI] = ACTIONS(1551),
    [anon_sym_assert] = ACTIONS(1553),
    [anon_sym_do] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_break] = ACTIONS(1553),
    [anon_sym_continue] = ACTIONS(1553),
    [anon_sym_return] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1553),
    [anon_sym_synchronized] = ACTIONS(1553),
    [anon_sym_throw] = ACTIONS(1553),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_AT] = ACTIONS(1553),
    [anon_sym_open] = ACTIONS(1553),
    [anon_sym_module] = ACTIONS(1553),
    [anon_sym_static] = ACTIONS(1553),
    [anon_sym_with] = ACTIONS(1553),
    [anon_sym_package] = ACTIONS(1553),
    [anon_sym_import] = ACTIONS(1553),
    [anon_sym_enum] = ACTIONS(1553),
    [anon_sym_public] = ACTIONS(1553),
    [anon_sym_protected] = ACTIONS(1553),
    [anon_sym_private] = ACTIONS(1553),
    [anon_sym_abstract] = ACTIONS(1553),
    [anon_sym_strictfp] = ACTIONS(1553),
    [anon_sym_native] = ACTIONS(1553),
    [anon_sym_transient] = ACTIONS(1553),
    [anon_sym_volatile] = ACTIONS(1553),
    [anon_sym_sealed] = ACTIONS(1553),
    [anon_sym_non_DASHsealed] = ACTIONS(1551),
    [anon_sym_record] = ACTIONS(1553),
    [anon_sym_ATinterface] = ACTIONS(1551),
    [anon_sym_interface] = ACTIONS(1553),
    [anon_sym_byte] = ACTIONS(1553),
    [anon_sym_short] = ACTIONS(1553),
    [anon_sym_int] = ACTIONS(1553),
    [anon_sym_long] = ACTIONS(1553),
    [anon_sym_char] = ACTIONS(1553),
    [anon_sym_float] = ACTIONS(1553),
    [anon_sym_double] = ACTIONS(1553),
    [sym_boolean_type] = ACTIONS(1553),
    [sym_void_type] = ACTIONS(1553),
    [anon_sym_def] = ACTIONS(1553),
    [sym_this] = ACTIONS(1553),
    [sym_super] = ACTIONS(1553),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1551),
  },
  [535] = {
    [ts_builtin_sym_end] = ACTIONS(1509),
    [sym_identifier] = ACTIONS(1511),
    [sym_decimal_integer_literal] = ACTIONS(1511),
    [sym_hex_integer_literal] = ACTIONS(1511),
    [sym_octal_integer_literal] = ACTIONS(1511),
    [sym_binary_integer_literal] = ACTIONS(1509),
    [sym_decimal_floating_point_literal] = ACTIONS(1509),
    [sym_hex_floating_point_literal] = ACTIONS(1511),
    [sym_true] = ACTIONS(1511),
    [sym_false] = ACTIONS(1511),
    [sym_character_literal] = ACTIONS(1509),
    [anon_sym_DQUOTE] = ACTIONS(1511),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1509),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1509),
    [anon_sym_RBRACE] = ACTIONS(1509),
    [sym_null_literal] = ACTIONS(1511),
    [anon_sym_LPAREN] = ACTIONS(1509),
    [anon_sym_AMP] = ACTIONS(1511),
    [anon_sym_GT] = ACTIONS(1511),
    [anon_sym_LT] = ACTIONS(1511),
    [anon_sym_GT_EQ] = ACTIONS(1509),
    [anon_sym_LT_EQ] = ACTIONS(1509),
    [anon_sym_EQ_EQ] = ACTIONS(1509),
    [anon_sym_BANG_EQ] = ACTIONS(1509),
    [anon_sym_AMP_AMP] = ACTIONS(1509),
    [anon_sym_PIPE_PIPE] = ACTIONS(1509),
    [anon_sym_PLUS] = ACTIONS(1511),
    [anon_sym_DASH] = ACTIONS(1511),
    [anon_sym_STAR] = ACTIONS(1511),
    [anon_sym_SLASH] = ACTIONS(1511),
    [anon_sym_PIPE] = ACTIONS(1511),
    [anon_sym_CARET] = ACTIONS(1509),
    [anon_sym_PERCENT] = ACTIONS(1509),
    [anon_sym_LT_LT] = ACTIONS(1509),
    [anon_sym_GT_GT] = ACTIONS(1511),
    [anon_sym_GT_GT_GT] = ACTIONS(1509),
    [anon_sym_in] = ACTIONS(1511),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1511),
    [anon_sym_final] = ACTIONS(1511),
    [anon_sym_DASH_GT] = ACTIONS(1509),
    [anon_sym_COMMA] = ACTIONS(1509),
    [anon_sym_QMARK] = ACTIONS(1509),
    [anon_sym_BANG] = ACTIONS(1511),
    [anon_sym_TILDE] = ACTIONS(1509),
    [anon_sym_PLUS_PLUS] = ACTIONS(1509),
    [anon_sym_DASH_DASH] = ACTIONS(1509),
    [anon_sym_new] = ACTIONS(1511),
    [anon_sym_LBRACK] = ACTIONS(1509),
    [anon_sym_class] = ACTIONS(1511),
    [anon_sym_switch] = ACTIONS(1511),
    [anon_sym_LBRACE] = ACTIONS(1509),
    [anon_sym_default] = ACTIONS(1511),
    [sym_underscore_pattern] = ACTIONS(1511),
    [anon_sym_SEMI] = ACTIONS(1509),
    [anon_sym_assert] = ACTIONS(1511),
    [anon_sym_do] = ACTIONS(1511),
    [anon_sym_while] = ACTIONS(1511),
    [anon_sym_break] = ACTIONS(1511),
    [anon_sym_continue] = ACTIONS(1511),
    [anon_sym_return] = ACTIONS(1511),
    [anon_sym_yield] = ACTIONS(1511),
    [anon_sym_synchronized] = ACTIONS(1511),
    [anon_sym_throw] = ACTIONS(1511),
    [anon_sym_try] = ACTIONS(1511),
    [anon_sym_if] = ACTIONS(1511),
    [anon_sym_for] = ACTIONS(1511),
    [anon_sym_AT] = ACTIONS(1511),
    [anon_sym_open] = ACTIONS(1511),
    [anon_sym_module] = ACTIONS(1511),
    [anon_sym_static] = ACTIONS(1511),
    [anon_sym_with] = ACTIONS(1511),
    [anon_sym_package] = ACTIONS(1511),
    [anon_sym_import] = ACTIONS(1511),
    [anon_sym_enum] = ACTIONS(1511),
    [anon_sym_public] = ACTIONS(1511),
    [anon_sym_protected] = ACTIONS(1511),
    [anon_sym_private] = ACTIONS(1511),
    [anon_sym_abstract] = ACTIONS(1511),
    [anon_sym_strictfp] = ACTIONS(1511),
    [anon_sym_native] = ACTIONS(1511),
    [anon_sym_transient] = ACTIONS(1511),
    [anon_sym_volatile] = ACTIONS(1511),
    [anon_sym_sealed] = ACTIONS(1511),
    [anon_sym_non_DASHsealed] = ACTIONS(1509),
    [anon_sym_record] = ACTIONS(1511),
    [anon_sym_ATinterface] = ACTIONS(1509),
    [anon_sym_interface] = ACTIONS(1511),
    [anon_sym_byte] = ACTIONS(1511),
    [anon_sym_short] = ACTIONS(1511),
    [anon_sym_int] = ACTIONS(1511),
    [anon_sym_long] = ACTIONS(1511),
    [anon_sym_char] = ACTIONS(1511),
    [anon_sym_float] = ACTIONS(1511),
    [anon_sym_double] = ACTIONS(1511),
    [sym_boolean_type] = ACTIONS(1511),
    [sym_void_type] = ACTIONS(1511),
    [anon_sym_def] = ACTIONS(1511),
    [sym_this] = ACTIONS(1511),
    [sym_super] = ACTIONS(1511),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1509),
  },
  [536] = {
    [ts_builtin_sym_end] = ACTIONS(1463),
    [sym_identifier] = ACTIONS(1465),
    [sym_decimal_integer_literal] = ACTIONS(1465),
    [sym_hex_integer_literal] = ACTIONS(1465),
    [sym_octal_integer_literal] = ACTIONS(1465),
    [sym_binary_integer_literal] = ACTIONS(1463),
    [sym_decimal_floating_point_literal] = ACTIONS(1463),
    [sym_hex_floating_point_literal] = ACTIONS(1465),
    [sym_true] = ACTIONS(1465),
    [sym_false] = ACTIONS(1465),
    [sym_character_literal] = ACTIONS(1463),
    [anon_sym_DQUOTE] = ACTIONS(1465),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1463),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1463),
    [anon_sym_RBRACE] = ACTIONS(1463),
    [sym_null_literal] = ACTIONS(1465),
    [anon_sym_LPAREN] = ACTIONS(1463),
    [anon_sym_AMP] = ACTIONS(1465),
    [anon_sym_GT] = ACTIONS(1465),
    [anon_sym_LT] = ACTIONS(1465),
    [anon_sym_GT_EQ] = ACTIONS(1463),
    [anon_sym_LT_EQ] = ACTIONS(1463),
    [anon_sym_EQ_EQ] = ACTIONS(1463),
    [anon_sym_BANG_EQ] = ACTIONS(1463),
    [anon_sym_AMP_AMP] = ACTIONS(1463),
    [anon_sym_PIPE_PIPE] = ACTIONS(1463),
    [anon_sym_PLUS] = ACTIONS(1465),
    [anon_sym_DASH] = ACTIONS(1465),
    [anon_sym_STAR] = ACTIONS(1465),
    [anon_sym_SLASH] = ACTIONS(1465),
    [anon_sym_PIPE] = ACTIONS(1465),
    [anon_sym_CARET] = ACTIONS(1463),
    [anon_sym_PERCENT] = ACTIONS(1463),
    [anon_sym_LT_LT] = ACTIONS(1463),
    [anon_sym_GT_GT] = ACTIONS(1465),
    [anon_sym_GT_GT_GT] = ACTIONS(1463),
    [anon_sym_in] = ACTIONS(1465),
    [anon_sym_STAR_STAR] = ACTIONS(1463),
    [anon_sym_instanceof] = ACTIONS(1465),
    [anon_sym_final] = ACTIONS(1465),
    [anon_sym_DASH_GT] = ACTIONS(1463),
    [anon_sym_COMMA] = ACTIONS(1463),
    [anon_sym_QMARK] = ACTIONS(1463),
    [anon_sym_BANG] = ACTIONS(1465),
    [anon_sym_TILDE] = ACTIONS(1463),
    [anon_sym_PLUS_PLUS] = ACTIONS(1463),
    [anon_sym_DASH_DASH] = ACTIONS(1463),
    [anon_sym_new] = ACTIONS(1465),
    [anon_sym_LBRACK] = ACTIONS(1463),
    [anon_sym_class] = ACTIONS(1465),
    [anon_sym_switch] = ACTIONS(1465),
    [anon_sym_LBRACE] = ACTIONS(1463),
    [anon_sym_default] = ACTIONS(1465),
    [sym_underscore_pattern] = ACTIONS(1465),
    [anon_sym_SEMI] = ACTIONS(1463),
    [anon_sym_assert] = ACTIONS(1465),
    [anon_sym_do] = ACTIONS(1465),
    [anon_sym_while] = ACTIONS(1465),
    [anon_sym_break] = ACTIONS(1465),
    [anon_sym_continue] = ACTIONS(1465),
    [anon_sym_return] = ACTIONS(1465),
    [anon_sym_yield] = ACTIONS(1465),
    [anon_sym_synchronized] = ACTIONS(1465),
    [anon_sym_throw] = ACTIONS(1465),
    [anon_sym_try] = ACTIONS(1465),
    [anon_sym_if] = ACTIONS(1465),
    [anon_sym_for] = ACTIONS(1465),
    [anon_sym_AT] = ACTIONS(1465),
    [anon_sym_open] = ACTIONS(1465),
    [anon_sym_module] = ACTIONS(1465),
    [anon_sym_static] = ACTIONS(1465),
    [anon_sym_with] = ACTIONS(1465),
    [anon_sym_package] = ACTIONS(1465),
    [anon_sym_import] = ACTIONS(1465),
    [anon_sym_enum] = ACTIONS(1465),
    [anon_sym_public] = ACTIONS(1465),
    [anon_sym_protected] = ACTIONS(1465),
    [anon_sym_private] = ACTIONS(1465),
    [anon_sym_abstract] = ACTIONS(1465),
    [anon_sym_strictfp] = ACTIONS(1465),
    [anon_sym_native] = ACTIONS(1465),
    [anon_sym_transient] = ACTIONS(1465),
    [anon_sym_volatile] = ACTIONS(1465),
    [anon_sym_sealed] = ACTIONS(1465),
    [anon_sym_non_DASHsealed] = ACTIONS(1463),
    [anon_sym_record] = ACTIONS(1465),
    [anon_sym_ATinterface] = ACTIONS(1463),
    [anon_sym_interface] = ACTIONS(1465),
    [anon_sym_byte] = ACTIONS(1465),
    [anon_sym_short] = ACTIONS(1465),
    [anon_sym_int] = ACTIONS(1465),
    [anon_sym_long] = ACTIONS(1465),
    [anon_sym_char] = ACTIONS(1465),
    [anon_sym_float] = ACTIONS(1465),
    [anon_sym_double] = ACTIONS(1465),
    [sym_boolean_type] = ACTIONS(1465),
    [sym_void_type] = ACTIONS(1465),
    [anon_sym_def] = ACTIONS(1465),
    [sym_this] = ACTIONS(1465),
    [sym_super] = ACTIONS(1465),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1463),
  },
  [537] = {
    [ts_builtin_sym_end] = ACTIONS(1583),
    [sym_identifier] = ACTIONS(1585),
    [sym_decimal_integer_literal] = ACTIONS(1585),
    [sym_hex_integer_literal] = ACTIONS(1585),
    [sym_octal_integer_literal] = ACTIONS(1585),
    [sym_binary_integer_literal] = ACTIONS(1583),
    [sym_decimal_floating_point_literal] = ACTIONS(1583),
    [sym_hex_floating_point_literal] = ACTIONS(1585),
    [sym_true] = ACTIONS(1585),
    [sym_false] = ACTIONS(1585),
    [sym_character_literal] = ACTIONS(1583),
    [anon_sym_DQUOTE] = ACTIONS(1585),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1583),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1583),
    [anon_sym_RBRACE] = ACTIONS(1583),
    [sym_null_literal] = ACTIONS(1585),
    [anon_sym_LPAREN] = ACTIONS(1583),
    [anon_sym_AMP] = ACTIONS(1585),
    [anon_sym_GT] = ACTIONS(1585),
    [anon_sym_LT] = ACTIONS(1585),
    [anon_sym_GT_EQ] = ACTIONS(1583),
    [anon_sym_LT_EQ] = ACTIONS(1583),
    [anon_sym_EQ_EQ] = ACTIONS(1583),
    [anon_sym_BANG_EQ] = ACTIONS(1583),
    [anon_sym_AMP_AMP] = ACTIONS(1583),
    [anon_sym_PIPE_PIPE] = ACTIONS(1583),
    [anon_sym_PLUS] = ACTIONS(1585),
    [anon_sym_DASH] = ACTIONS(1585),
    [anon_sym_STAR] = ACTIONS(1585),
    [anon_sym_SLASH] = ACTIONS(1585),
    [anon_sym_PIPE] = ACTIONS(1585),
    [anon_sym_CARET] = ACTIONS(1583),
    [anon_sym_PERCENT] = ACTIONS(1583),
    [anon_sym_LT_LT] = ACTIONS(1583),
    [anon_sym_GT_GT] = ACTIONS(1585),
    [anon_sym_GT_GT_GT] = ACTIONS(1583),
    [anon_sym_in] = ACTIONS(1585),
    [anon_sym_STAR_STAR] = ACTIONS(1583),
    [anon_sym_instanceof] = ACTIONS(1585),
    [anon_sym_final] = ACTIONS(1585),
    [anon_sym_DASH_GT] = ACTIONS(1583),
    [anon_sym_COMMA] = ACTIONS(1583),
    [anon_sym_QMARK] = ACTIONS(1583),
    [anon_sym_BANG] = ACTIONS(1585),
    [anon_sym_TILDE] = ACTIONS(1583),
    [anon_sym_PLUS_PLUS] = ACTIONS(1583),
    [anon_sym_DASH_DASH] = ACTIONS(1583),
    [anon_sym_new] = ACTIONS(1585),
    [anon_sym_LBRACK] = ACTIONS(1583),
    [anon_sym_class] = ACTIONS(1585),
    [anon_sym_switch] = ACTIONS(1585),
    [anon_sym_LBRACE] = ACTIONS(1583),
    [anon_sym_default] = ACTIONS(1585),
    [sym_underscore_pattern] = ACTIONS(1585),
    [anon_sym_SEMI] = ACTIONS(1583),
    [anon_sym_assert] = ACTIONS(1585),
    [anon_sym_do] = ACTIONS(1585),
    [anon_sym_while] = ACTIONS(1585),
    [anon_sym_break] = ACTIONS(1585),
    [anon_sym_continue] = ACTIONS(1585),
    [anon_sym_return] = ACTIONS(1585),
    [anon_sym_yield] = ACTIONS(1585),
    [anon_sym_synchronized] = ACTIONS(1585),
    [anon_sym_throw] = ACTIONS(1585),
    [anon_sym_try] = ACTIONS(1585),
    [anon_sym_if] = ACTIONS(1585),
    [anon_sym_for] = ACTIONS(1585),
    [anon_sym_AT] = ACTIONS(1585),
    [anon_sym_open] = ACTIONS(1585),
    [anon_sym_module] = ACTIONS(1585),
    [anon_sym_static] = ACTIONS(1585),
    [anon_sym_with] = ACTIONS(1585),
    [anon_sym_package] = ACTIONS(1585),
    [anon_sym_import] = ACTIONS(1585),
    [anon_sym_enum] = ACTIONS(1585),
    [anon_sym_public] = ACTIONS(1585),
    [anon_sym_protected] = ACTIONS(1585),
    [anon_sym_private] = ACTIONS(1585),
    [anon_sym_abstract] = ACTIONS(1585),
    [anon_sym_strictfp] = ACTIONS(1585),
    [anon_sym_native] = ACTIONS(1585),
    [anon_sym_transient] = ACTIONS(1585),
    [anon_sym_volatile] = ACTIONS(1585),
    [anon_sym_sealed] = ACTIONS(1585),
    [anon_sym_non_DASHsealed] = ACTIONS(1583),
    [anon_sym_record] = ACTIONS(1585),
    [anon_sym_ATinterface] = ACTIONS(1583),
    [anon_sym_interface] = ACTIONS(1585),
    [anon_sym_byte] = ACTIONS(1585),
    [anon_sym_short] = ACTIONS(1585),
    [anon_sym_int] = ACTIONS(1585),
    [anon_sym_long] = ACTIONS(1585),
    [anon_sym_char] = ACTIONS(1585),
    [anon_sym_float] = ACTIONS(1585),
    [anon_sym_double] = ACTIONS(1585),
    [sym_boolean_type] = ACTIONS(1585),
    [sym_void_type] = ACTIONS(1585),
    [anon_sym_def] = ACTIONS(1585),
    [sym_this] = ACTIONS(1585),
    [sym_super] = ACTIONS(1585),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1583),
  },
  [538] = {
    [ts_builtin_sym_end] = ACTIONS(1551),
    [sym_identifier] = ACTIONS(1553),
    [sym_decimal_integer_literal] = ACTIONS(1553),
    [sym_hex_integer_literal] = ACTIONS(1553),
    [sym_octal_integer_literal] = ACTIONS(1553),
    [sym_binary_integer_literal] = ACTIONS(1551),
    [sym_decimal_floating_point_literal] = ACTIONS(1551),
    [sym_hex_floating_point_literal] = ACTIONS(1553),
    [sym_true] = ACTIONS(1553),
    [sym_false] = ACTIONS(1553),
    [sym_character_literal] = ACTIONS(1551),
    [anon_sym_DQUOTE] = ACTIONS(1553),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1551),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1551),
    [anon_sym_RBRACE] = ACTIONS(1551),
    [sym_null_literal] = ACTIONS(1553),
    [anon_sym_LPAREN] = ACTIONS(1551),
    [anon_sym_AMP] = ACTIONS(1553),
    [anon_sym_GT] = ACTIONS(1553),
    [anon_sym_LT] = ACTIONS(1553),
    [anon_sym_GT_EQ] = ACTIONS(1551),
    [anon_sym_LT_EQ] = ACTIONS(1551),
    [anon_sym_EQ_EQ] = ACTIONS(1551),
    [anon_sym_BANG_EQ] = ACTIONS(1551),
    [anon_sym_AMP_AMP] = ACTIONS(1551),
    [anon_sym_PIPE_PIPE] = ACTIONS(1551),
    [anon_sym_PLUS] = ACTIONS(1553),
    [anon_sym_DASH] = ACTIONS(1553),
    [anon_sym_STAR] = ACTIONS(1553),
    [anon_sym_SLASH] = ACTIONS(1553),
    [anon_sym_PIPE] = ACTIONS(1553),
    [anon_sym_CARET] = ACTIONS(1551),
    [anon_sym_PERCENT] = ACTIONS(1551),
    [anon_sym_LT_LT] = ACTIONS(1551),
    [anon_sym_GT_GT] = ACTIONS(1553),
    [anon_sym_GT_GT_GT] = ACTIONS(1551),
    [anon_sym_in] = ACTIONS(1553),
    [anon_sym_STAR_STAR] = ACTIONS(1684),
    [anon_sym_instanceof] = ACTIONS(1553),
    [anon_sym_final] = ACTIONS(1553),
    [anon_sym_DASH_GT] = ACTIONS(1551),
    [anon_sym_COMMA] = ACTIONS(1551),
    [anon_sym_QMARK] = ACTIONS(1551),
    [anon_sym_BANG] = ACTIONS(1553),
    [anon_sym_TILDE] = ACTIONS(1551),
    [anon_sym_PLUS_PLUS] = ACTIONS(1551),
    [anon_sym_DASH_DASH] = ACTIONS(1551),
    [anon_sym_new] = ACTIONS(1553),
    [anon_sym_LBRACK] = ACTIONS(1551),
    [anon_sym_class] = ACTIONS(1553),
    [anon_sym_switch] = ACTIONS(1553),
    [anon_sym_LBRACE] = ACTIONS(1551),
    [anon_sym_default] = ACTIONS(1553),
    [sym_underscore_pattern] = ACTIONS(1553),
    [anon_sym_SEMI] = ACTIONS(1551),
    [anon_sym_assert] = ACTIONS(1553),
    [anon_sym_do] = ACTIONS(1553),
    [anon_sym_while] = ACTIONS(1553),
    [anon_sym_break] = ACTIONS(1553),
    [anon_sym_continue] = ACTIONS(1553),
    [anon_sym_return] = ACTIONS(1553),
    [anon_sym_yield] = ACTIONS(1553),
    [anon_sym_synchronized] = ACTIONS(1553),
    [anon_sym_throw] = ACTIONS(1553),
    [anon_sym_try] = ACTIONS(1553),
    [anon_sym_if] = ACTIONS(1553),
    [anon_sym_for] = ACTIONS(1553),
    [anon_sym_AT] = ACTIONS(1553),
    [anon_sym_open] = ACTIONS(1553),
    [anon_sym_module] = ACTIONS(1553),
    [anon_sym_static] = ACTIONS(1553),
    [anon_sym_with] = ACTIONS(1553),
    [anon_sym_package] = ACTIONS(1553),
    [anon_sym_import] = ACTIONS(1553),
    [anon_sym_enum] = ACTIONS(1553),
    [anon_sym_public] = ACTIONS(1553),
    [anon_sym_protected] = ACTIONS(1553),
    [anon_sym_private] = ACTIONS(1553),
    [anon_sym_abstract] = ACTIONS(1553),
    [anon_sym_strictfp] = ACTIONS(1553),
    [anon_sym_native] = ACTIONS(1553),
    [anon_sym_transient] = ACTIONS(1553),
    [anon_sym_volatile] = ACTIONS(1553),
    [anon_sym_sealed] = ACTIONS(1553),
    [anon_sym_non_DASHsealed] = ACTIONS(1551),
    [anon_sym_record] = ACTIONS(1553),
    [anon_sym_ATinterface] = ACTIONS(1551),
    [anon_sym_interface] = ACTIONS(1553),
    [anon_sym_byte] = ACTIONS(1553),
    [anon_sym_short] = ACTIONS(1553),
    [anon_sym_int] = ACTIONS(1553),
    [anon_sym_long] = ACTIONS(1553),
    [anon_sym_char] = ACTIONS(1553),
    [anon_sym_float] = ACTIONS(1553),
    [anon_sym_double] = ACTIONS(1553),
    [sym_boolean_type] = ACTIONS(1553),
    [sym_void_type] = ACTIONS(1553),
    [anon_sym_def] = ACTIONS(1553),
    [sym_this] = ACTIONS(1553),
    [sym_super] = ACTIONS(1553),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(1551),
  },
  [539] = {
    [sym_identifier] = ACTIONS(846),
    [sym_decimal_integer_literal] = ACTIONS(273),
    [sym_hex_integer_literal] = ACTIONS(273),
    [sym_octal_integer_literal] = ACTIONS(273),
    [sym_binary_integer_literal] = ACTIONS(273),
    [sym_decimal_floating_point_literal] = ACTIONS(273),
    [sym_hex_floating_point_literal] = ACTIONS(273),
    [sym_true] = ACTIONS(273),
    [sym_false] = ACTIONS(273),
    [sym_character_literal] = ACTIONS(273),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(273),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(273),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(273),
    [anon_sym_PLUS_EQ] = ACTIONS(273),
    [anon_sym_DASH_EQ] = ACTIONS(273),
    [anon_sym_STAR_EQ] = ACTIONS(273),
    [anon_sym_SLASH_EQ] = ACTIONS(273),
    [anon_sym_AMP_EQ] = ACTIONS(273),
    [anon_sym_PIPE_EQ] = ACTIONS(273),
    [anon_sym_CARET_EQ] = ACTIONS(273),
    [anon_sym_PERCENT_EQ] = ACTIONS(273),
    [anon_sym_LT_LT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(846),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_AMP_AMP] = ACTIONS(273),
    [anon_sym_PIPE_PIPE] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_GT_GT_GT] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_instanceof] = ACTIONS(273),
    [anon_sym_final] = ACTIONS(846),
    [anon_sym_DASH_GT] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_QMARK] = ACTIONS(273),
    [anon_sym_PLUS_PLUS] = ACTIONS(273),
    [anon_sym_DASH_DASH] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_class] = ACTIONS(846),
    [anon_sym_COLON_COLON] = ACTIONS(273),
    [anon_sym_LBRACE] = ACTIONS(273),
    [anon_sym_default] = ACTIONS(846),
    [sym_underscore_pattern] = ACTIONS(846),
    [anon_sym_SEMI] = ACTIONS(273),
    [aux_sym_expression_statement_token1] = ACTIONS(265),
    [anon_sym_NULL] = ACTIONS(273),
    [anon_sym_yield] = ACTIONS(846),
    [anon_sym_synchronized] = ACTIONS(846),
    [anon_sym_AT] = ACTIONS(846),
    [anon_sym_open] = ACTIONS(846),
    [anon_sym_module] = ACTIONS(846),
    [anon_sym_static] = ACTIONS(846),
    [anon_sym_with] = ACTIONS(846),
    [anon_sym_enum] = ACTIONS(846),
    [anon_sym_public] = ACTIONS(846),
    [anon_sym_protected] = ACTIONS(846),
    [anon_sym_private] = ACTIONS(846),
    [anon_sym_abstract] = ACTIONS(846),
    [anon_sym_strictfp] = ACTIONS(846),
    [anon_sym_native] = ACTIONS(846),
    [anon_sym_transient] = ACTIONS(846),
    [anon_sym_volatile] = ACTIONS(846),
    [anon_sym_sealed] = ACTIONS(846),
    [anon_sym_non_DASHsealed] = ACTIONS(846),
    [anon_sym_record] = ACTIONS(846),
    [anon_sym_ATinterface] = ACTIONS(846),
    [anon_sym_interface] = ACTIONS(846),
    [anon_sym_byte] = ACTIONS(846),
    [anon_sym_short] = ACTIONS(846),
    [anon_sym_int] = ACTIONS(846),
    [anon_sym_long] = ACTIONS(846),
    [anon_sym_char] = ACTIONS(846),
    [anon_sym_float] = ACTIONS(846),
    [anon_sym_double] = ACTIONS(846),
    [sym_boolean_type] = ACTIONS(846),
    [sym_void_type] = ACTIONS(846),
    [anon_sym_def] = ACTIONS(846),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(273),
  },
  [540] = {
    [sym__literal] = STATE(1483),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1654),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym_record_pattern] = STATE(2512),
    [sym_record_pattern_component] = STATE(2512),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(1901),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1962),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1190),
    [sym_map_item] = STATE(2445),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1698),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_RPAREN] = ACTIONS(1702),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_COMMA] = ACTIONS(1704),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [sym_underscore_pattern] = ACTIONS(1706),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [541] = {
    [sym__literal] = STATE(1483),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1654),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym_record_pattern] = STATE(2512),
    [sym_record_pattern_component] = STATE(2512),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(1901),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1962),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1190),
    [sym_map_item] = STATE(2445),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1698),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_RPAREN] = ACTIONS(1710),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_COMMA] = ACTIONS(1704),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [sym_underscore_pattern] = ACTIONS(1706),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [542] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1617),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym_block] = STATE(2621),
    [sym_expression_statement] = STATE(2621),
    [sym_throw_statement] = STATE(2621),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(709),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_throw] = ACTIONS(63),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [543] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1600),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1924),
    [sym_marker_annotation] = STATE(1924),
    [sym_annotation] = STATE(1924),
    [sym_element_value_pair] = STATE(2566),
    [sym__element_value] = STATE(2903),
    [sym_element_value_array_initializer] = STATE(2903),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1712),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1714),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1716),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [544] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1600),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1924),
    [sym_marker_annotation] = STATE(1924),
    [sym_annotation] = STATE(1924),
    [sym_element_value_pair] = STATE(2447),
    [sym__element_value] = STATE(2876),
    [sym_element_value_array_initializer] = STATE(2876),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1712),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1718),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1716),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [545] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1600),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1924),
    [sym_marker_annotation] = STATE(1924),
    [sym_annotation] = STATE(1924),
    [sym_element_value_pair] = STATE(2571),
    [sym__element_value] = STATE(2912),
    [sym_element_value_array_initializer] = STATE(2912),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1712),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1720),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1716),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [546] = {
    [sym__literal] = STATE(1483),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1627),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_map_item] = STATE(2484),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1722),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_COMMA] = ACTIONS(1724),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1726),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [547] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1622),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym_array_initializer] = STATE(2462),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [anon_sym_RBRACE] = ACTIONS(1730),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_COMMA] = ACTIONS(315),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1732),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [548] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1615),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym_array_initializer] = STATE(2583),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [anon_sym_RBRACE] = ACTIONS(1734),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_COMMA] = ACTIONS(1736),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1732),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [549] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1600),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1924),
    [sym_marker_annotation] = STATE(1924),
    [sym_annotation] = STATE(1924),
    [sym__element_value] = STATE(2780),
    [sym_element_value_array_initializer] = STATE(2780),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [anon_sym_RBRACE] = ACTIONS(1738),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1716),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [550] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1563),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym_pattern] = STATE(2625),
    [sym_type_pattern] = STATE(2463),
    [sym_record_pattern] = STATE(2463),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(1904),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1962),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1187),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1740),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [551] = {
    [sym__literal] = STATE(1483),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1621),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_map_item] = STATE(2434),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1722),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_COMMA] = ACTIONS(1742),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1744),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [552] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1618),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym_array_initializer] = STATE(2500),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [anon_sym_RBRACE] = ACTIONS(1746),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_COMMA] = ACTIONS(321),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1732),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [553] = {
    [sym__literal] = STATE(1483),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1623),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_map_item] = STATE(2448),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1722),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_RPAREN] = ACTIONS(1748),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_COMMA] = ACTIONS(1750),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [554] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1626),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym_array_initializer] = STATE(2461),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [anon_sym_RBRACE] = ACTIONS(1752),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_COMMA] = ACTIONS(1754),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1732),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [555] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1600),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1924),
    [sym_marker_annotation] = STATE(1924),
    [sym_annotation] = STATE(1924),
    [sym__element_value] = STATE(2780),
    [sym_element_value_array_initializer] = STATE(2780),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [anon_sym_RBRACE] = ACTIONS(1756),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1716),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [556] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1628),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(9),
    [sym_decimal_floating_point_literal] = ACTIONS(9),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(9),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(269),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(271),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(275),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(277),
    [anon_sym_BANG] = ACTIONS(23),
    [anon_sym_TILDE] = ACTIONS(23),
    [anon_sym_PLUS_PLUS] = ACTIONS(279),
    [anon_sym_DASH_DASH] = ACTIONS(279),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(281),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_SEMI] = ACTIONS(1758),
    [aux_sym_expression_statement_token1] = ACTIONS(1760),
    [anon_sym_NULL] = ACTIONS(1758),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(287),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
  },
  [557] = {
    [sym__literal] = STATE(1483),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1631),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_map_item] = STATE(2473),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1722),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_RPAREN] = ACTIONS(1762),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_COMMA] = ACTIONS(1764),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [558] = {
    [sym__literal] = STATE(1483),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1654),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_map_item] = STATE(2445),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1722),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_RPAREN] = ACTIONS(1766),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_COMMA] = ACTIONS(1704),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [559] = {
    [sym__literal] = STATE(1483),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1644),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_map_item] = STATE(2599),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1722),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_COMMA] = ACTIONS(1768),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1770),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [560] = {
    [sym__literal] = STATE(1483),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1634),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_map_item] = STATE(2486),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1722),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_COMMA] = ACTIONS(1772),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1774),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [561] = {
    [sym__literal] = STATE(1483),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1635),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_map_item] = STATE(2527),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1722),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_RPAREN] = ACTIONS(1776),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_COMMA] = ACTIONS(1778),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [562] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1505),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym_pattern] = STATE(2358),
    [sym_type_pattern] = STATE(2463),
    [sym_record_pattern] = STATE(2463),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(1904),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1962),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1188),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1780),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [563] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1663),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym_array_initializer] = STATE(2730),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [anon_sym_RBRACE] = ACTIONS(1792),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1732),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [564] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1663),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym_array_initializer] = STATE(2730),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [anon_sym_RBRACE] = ACTIONS(1794),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1732),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [565] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1663),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym_array_initializer] = STATE(2730),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [anon_sym_RBRACE] = ACTIONS(1796),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1732),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [566] = {
    [sym__literal] = STATE(1483),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1669),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_map_item] = STATE(2688),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1722),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_RPAREN] = ACTIONS(1798),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [567] = {
    [sym__literal] = STATE(1483),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1669),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_map_item] = STATE(2688),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1722),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_RPAREN] = ACTIONS(1800),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [568] = {
    [sym__literal] = STATE(1483),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1669),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_map_item] = STATE(2688),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1722),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_RPAREN] = ACTIONS(1802),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [569] = {
    [sym__literal] = STATE(1483),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1669),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_map_item] = STATE(2688),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1722),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_RPAREN] = ACTIONS(1804),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [570] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1600),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1924),
    [sym_marker_annotation] = STATE(1924),
    [sym_annotation] = STATE(1924),
    [sym__element_value] = STATE(2712),
    [sym_element_value_array_initializer] = STATE(2712),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1716),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [571] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1667),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1924),
    [sym_marker_annotation] = STATE(1924),
    [sym_annotation] = STATE(1924),
    [sym__element_value] = STATE(2712),
    [sym_element_value_array_initializer] = STATE(2712),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1716),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [572] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1663),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym_array_initializer] = STATE(2730),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [anon_sym_RBRACE] = ACTIONS(1806),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1732),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [573] = {
    [sym__literal] = STATE(1483),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1669),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_map_item] = STATE(2688),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1722),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_RPAREN] = ACTIONS(1808),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [574] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1600),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1924),
    [sym_marker_annotation] = STATE(1924),
    [sym_annotation] = STATE(1924),
    [sym__element_value] = STATE(2780),
    [sym_element_value_array_initializer] = STATE(2780),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1716),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [575] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1663),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym_array_initializer] = STATE(2730),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [anon_sym_RBRACE] = ACTIONS(1810),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1732),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [576] = {
    [sym__literal] = STATE(1483),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1669),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_map_item] = STATE(2688),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1722),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_RPAREN] = ACTIONS(1812),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [577] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1663),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym_array_initializer] = STATE(2730),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [anon_sym_RBRACE] = ACTIONS(1814),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1732),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [578] = {
    [sym__literal] = STATE(1483),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1669),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_map_item] = STATE(2688),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1722),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_RPAREN] = ACTIONS(1816),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [579] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1600),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1924),
    [sym_marker_annotation] = STATE(1924),
    [sym_annotation] = STATE(1924),
    [sym__element_value] = STATE(2897),
    [sym_element_value_array_initializer] = STATE(2897),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1716),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [580] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1663),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym_array_initializer] = STATE(2730),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [anon_sym_RBRACE] = ACTIONS(1818),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1732),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [581] = {
    [sym__literal] = STATE(1483),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1669),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_map_item] = STATE(2688),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1722),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_RPAREN] = ACTIONS(1820),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [582] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1663),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym_array_initializer] = STATE(2730),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [anon_sym_RBRACE] = ACTIONS(1822),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1732),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [583] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1658),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1824),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [584] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(524),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(514),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym_block] = STATE(501),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1854),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [585] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1619),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1862),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [586] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1620),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1864),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [587] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1699),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_SEMI] = ACTIONS(1866),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [588] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1625),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1868),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [589] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1546),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym_block] = STATE(1484),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1870),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [590] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(528),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(514),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym_block] = STATE(531),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1854),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [591] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1655),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1872),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [592] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1656),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1874),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [593] = {
    [sym__literal] = STATE(1483),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1669),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_map_item] = STATE(2688),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1722),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1700),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [594] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1599),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym_array_initializer] = STATE(2418),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1876),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [595] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1633),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1878),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [596] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1663),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym_array_initializer] = STATE(2730),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1732),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [597] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1681),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1880),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [598] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1602),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1882),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [599] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1572),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym_block] = STATE(1417),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1886),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [600] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1553),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym_block] = STATE(1492),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1870),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [601] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1496),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym_block] = STATE(1437),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1886),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [602] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1460),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym_block] = STATE(1417),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1886),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [603] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1616),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym_array_initializer] = STATE(2538),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1732),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [604] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(364),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(358),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(266),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(358),
    [sym_block] = STATE(366),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(2028),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym__reserved_identifier] = STATE(162),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1888),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(1890),
    [anon_sym_yield] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(755),
    [anon_sym_module] = ACTIONS(755),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_sealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(755),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [605] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1681),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1892),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [606] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1602),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1894),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [607] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1729),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1896),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [608] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1602),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1898),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [609] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1722),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_SEMI] = ACTIONS(1900),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [610] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1676),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_SEMI] = ACTIONS(1902),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [611] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(376),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(358),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(266),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(358),
    [sym_block] = STATE(377),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(2028),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym__reserved_identifier] = STATE(162),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1888),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(1890),
    [anon_sym_yield] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(755),
    [anon_sym_module] = ACTIONS(755),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_sealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(755),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [612] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1580),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym_block] = STATE(1437),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(1886),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [613] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1735),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1904),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [614] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1602),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1906),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [615] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1739),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1908),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [616] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1602),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1910),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [617] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1729),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1912),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [618] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1602),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1914),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [619] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1653),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1916),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [620] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1720),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_SEMI] = ACTIONS(1918),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [621] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1624),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1920),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [622] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1721),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1922),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [623] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1738),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_SEMI] = ACTIONS(1924),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [624] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1683),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1926),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [625] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1602),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1928),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [626] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1689),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1930),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [627] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1700),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1932),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [628] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1564),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2849),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1216),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1216),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym_block] = STATE(1492),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym__reserved_identifier] = STATE(1184),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1934),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [629] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1530),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2849),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1216),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1216),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym_block] = STATE(1484),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym__reserved_identifier] = STATE(1184),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1934),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1936),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [630] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1735),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1880),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [631] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1739),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1912),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [632] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1636),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1938),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [633] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1637),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1940),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [634] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1638),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [635] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1639),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1944),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [636] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1640),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1946),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [637] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1641),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1948),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [638] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1642),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1950),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [639] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1721),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1880),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [640] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1683),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1912),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [641] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1643),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1952),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [642] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1645),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1954),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [643] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1646),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1956),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [644] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1647),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1958),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [645] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1648),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1960),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [646] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1649),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1962),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [647] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1650),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1964),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [648] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1651),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_RPAREN] = ACTIONS(1966),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [649] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1689),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1880),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [650] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1700),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1912),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [651] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1728),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_SEMI] = ACTIONS(1968),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [652] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1730),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_SEMI] = ACTIONS(1970),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [653] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1731),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_SEMI] = ACTIONS(1972),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [654] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1732),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_SEMI] = ACTIONS(1974),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [655] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1734),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_SEMI] = ACTIONS(1976),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [656] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1736),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_SEMI] = ACTIONS(1978),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [657] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1737),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_SEMI] = ACTIONS(1980),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [658] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1602),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_RBRACK] = ACTIONS(1982),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [659] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(367),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(358),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(266),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(358),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(2028),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym__reserved_identifier] = STATE(162),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1888),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(755),
    [anon_sym_module] = ACTIONS(755),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_sealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(755),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [660] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(512),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(514),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [661] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(515),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(514),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [662] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(519),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(520),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(465),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [663] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1729),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [664] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1517),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [665] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1518),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [666] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1520),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [667] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1664),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [668] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1665),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [669] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1521),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [670] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1666),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [671] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1524),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [672] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1552),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [673] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1681),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [674] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1742),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [675] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1744),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [676] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1555),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [677] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1566),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [678] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1525),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [679] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1560),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [680] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1557),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [681] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1746),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [682] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1544),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [683] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1678),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [684] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(532),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(514),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [685] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1741),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [686] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1514),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1486),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1405),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [687] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1629),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [688] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1632),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [689] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1602),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [690] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1550),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [691] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1682),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [692] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1571),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [693] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1573),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [694] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1574),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [695] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1575),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [696] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1576),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [697] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1577),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [698] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1578),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [699] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1582),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [700] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1585),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [701] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1586),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [702] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1587),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [703] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1588),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [704] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1612),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [705] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1593),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1452),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1389),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [706] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1495),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [707] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1456),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [708] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1594),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [709] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1713),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [710] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1458),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [711] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1463),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [712] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1464),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [713] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1465),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [714] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1466),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [715] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1467),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [716] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1468),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [717] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1469),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [718] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1470),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [719] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1471),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [720] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1472),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [721] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1473),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [722] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1482),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [723] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1487),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1452),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1389),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [724] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1696),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [725] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1461),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [726] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(363),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(358),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(266),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(358),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(2028),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym__reserved_identifier] = STATE(162),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1888),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(755),
    [anon_sym_module] = ACTIONS(755),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_sealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(755),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [727] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(530),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(514),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [728] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1735),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [729] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(497),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(514),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [730] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1589),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [731] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1739),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [732] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1745),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [733] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1733),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [734] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(375),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(358),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(266),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(358),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(2028),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym__reserved_identifier] = STATE(162),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1888),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(755),
    [anon_sym_module] = ACTIONS(755),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_sealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(755),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [735] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(378),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(358),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(266),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(358),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(2028),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym__reserved_identifier] = STATE(162),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1888),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(755),
    [anon_sym_module] = ACTIONS(755),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_sealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(755),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [736] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(380),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(358),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(266),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(358),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(2028),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym__reserved_identifier] = STATE(162),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1888),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(755),
    [anon_sym_module] = ACTIONS(755),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_sealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(755),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [737] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(381),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(358),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(266),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(358),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(2028),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym__reserved_identifier] = STATE(162),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1888),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(755),
    [anon_sym_module] = ACTIONS(755),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_sealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(755),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [738] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(382),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(358),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(266),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(358),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(2028),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym__reserved_identifier] = STATE(162),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1888),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(755),
    [anon_sym_module] = ACTIONS(755),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_sealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(755),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [739] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(383),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(358),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(266),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(358),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(2028),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym__reserved_identifier] = STATE(162),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1888),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(755),
    [anon_sym_module] = ACTIONS(755),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_sealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(755),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [740] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(384),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(358),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(266),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(358),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(2028),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym__reserved_identifier] = STATE(162),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1888),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(755),
    [anon_sym_module] = ACTIONS(755),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_sealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(755),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [741] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(385),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(358),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(266),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(358),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(2028),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym__reserved_identifier] = STATE(162),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1888),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(755),
    [anon_sym_module] = ACTIONS(755),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_sealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(755),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [742] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(386),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(358),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(266),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(358),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(2028),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym__reserved_identifier] = STATE(162),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1888),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(755),
    [anon_sym_module] = ACTIONS(755),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_sealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(755),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [743] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(387),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(358),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(266),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(358),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(2028),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym__reserved_identifier] = STATE(162),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1888),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(755),
    [anon_sym_module] = ACTIONS(755),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_sealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(755),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [744] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(388),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(358),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(266),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(358),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(2028),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym__reserved_identifier] = STATE(162),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1888),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(755),
    [anon_sym_module] = ACTIONS(755),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_sealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(755),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [745] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(390),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(358),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(266),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(358),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(2028),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym__reserved_identifier] = STATE(162),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1888),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(755),
    [anon_sym_module] = ACTIONS(755),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_sealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(755),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [746] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(391),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(392),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(282),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(358),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(2028),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym__reserved_identifier] = STATE(162),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1888),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(755),
    [anon_sym_module] = ACTIONS(755),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_sealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(755),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [747] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1579),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [748] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1581),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2858),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1237),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1237),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1198),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1884),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(1782),
    [anon_sym_PLUS] = ACTIONS(1784),
    [anon_sym_DASH] = ACTIONS(1784),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_BANG] = ACTIONS(1788),
    [anon_sym_TILDE] = ACTIONS(1788),
    [anon_sym_PLUS_PLUS] = ACTIONS(1790),
    [anon_sym_DASH_DASH] = ACTIONS(1790),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [749] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1670),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [750] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1659),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [751] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1687),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [752] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1721),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [753] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(535),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(514),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [754] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1683),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [755] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(538),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(514),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [756] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1662),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [757] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1723),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [758] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1725),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [759] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1671),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [760] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1689),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [761] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(405),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(358),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(266),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(358),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(2028),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym__reserved_identifier] = STATE(162),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1888),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(755),
    [anon_sym_module] = ACTIONS(755),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_sealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(755),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [762] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1700),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [763] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1539),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [764] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1705),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [765] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1565),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2849),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1216),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1216),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym__reserved_identifier] = STATE(1184),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1934),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [766] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1719),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [767] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1674),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [768] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1529),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2849),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1216),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1216),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym__reserved_identifier] = STATE(1184),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1934),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [769] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1740),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [770] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1531),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2849),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1216),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1216),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym__reserved_identifier] = STATE(1184),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1934),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [771] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1532),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2849),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1216),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1216),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym__reserved_identifier] = STATE(1184),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1934),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [772] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1533),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2849),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1216),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1216),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym__reserved_identifier] = STATE(1184),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1934),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [773] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1511),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2849),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1216),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1216),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym__reserved_identifier] = STATE(1184),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1934),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [774] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1535),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2849),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1216),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1216),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym__reserved_identifier] = STATE(1184),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1934),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [775] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1536),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2849),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1216),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1216),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym__reserved_identifier] = STATE(1184),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1934),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [776] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1537),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2849),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1216),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1216),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym__reserved_identifier] = STATE(1184),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1934),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [777] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1538),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2849),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1216),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1216),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym__reserved_identifier] = STATE(1184),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1934),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [778] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1568),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2849),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1216),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1216),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym__reserved_identifier] = STATE(1184),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1934),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [779] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1540),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2849),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1216),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1216),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym__reserved_identifier] = STATE(1184),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1934),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [780] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1541),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2849),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1216),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1216),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym__reserved_identifier] = STATE(1184),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1934),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [781] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1724),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [782] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1542),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2849),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1216),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1216),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym__reserved_identifier] = STATE(1184),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1934),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [783] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1673),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [784] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1543),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1486),
    [sym_inferred_parameters] = STATE(2849),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1405),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1216),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1216),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym__reserved_identifier] = STATE(1184),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1934),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [785] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1743),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [786] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1694),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [787] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1549),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2849),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1216),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1216),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym__reserved_identifier] = STATE(1184),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1934),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [788] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1528),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [789] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1660),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [790] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1567),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2915),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1059),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1059),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1180),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(267),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(19),
    [anon_sym_PLUS] = ACTIONS(23),
    [anon_sym_DASH] = ACTIONS(23),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_BANG] = ACTIONS(29),
    [anon_sym_TILDE] = ACTIONS(29),
    [anon_sym_PLUS_PLUS] = ACTIONS(31),
    [anon_sym_DASH_DASH] = ACTIONS(31),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [791] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1703),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [792] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1679),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [793] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1704),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [794] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(527),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(514),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [795] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1686),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [796] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1688),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [797] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(502),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(514),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [798] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(503),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(514),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [799] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1706),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [800] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1711),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [801] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1716),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [802] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_expression] = STATE(1562),
    [sym_cast_expression] = STATE(1462),
    [sym_assignment_expression] = STATE(1462),
    [sym_binary_expression] = STATE(1462),
    [sym_instanceof_expression] = STATE(1462),
    [sym_lambda_expression] = STATE(1462),
    [sym_inferred_parameters] = STATE(2849),
    [sym_ternary_expression] = STATE(1462),
    [sym_unary_expression] = STATE(1462),
    [sym_update_expression] = STATE(1462),
    [sym_primary_expression] = STATE(1409),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1216),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1216),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym_switch_expression] = STATE(1462),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym__reserved_identifier] = STATE(1184),
    [sym_closure] = STATE(1462),
    [sym_range_expression] = STATE(1462),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1934),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(699),
    [anon_sym_PLUS] = ACTIONS(701),
    [anon_sym_DASH] = ACTIONS(701),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_BANG] = ACTIONS(705),
    [anon_sym_TILDE] = ACTIONS(705),
    [anon_sym_PLUS_PLUS] = ACTIONS(707),
    [anon_sym_DASH_DASH] = ACTIONS(707),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_switch] = ACTIONS(283),
    [anon_sym_LBRACE] = ACTIONS(1986),
    [anon_sym_yield] = ACTIONS(77),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(77),
    [anon_sym_module] = ACTIONS(77),
    [anon_sym_with] = ACTIONS(77),
    [anon_sym_sealed] = ACTIONS(77),
    [anon_sym_record] = ACTIONS(77),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(289),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [803] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(504),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(514),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [804] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(505),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(514),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [805] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(506),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(514),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [806] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1684),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [807] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1685),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [808] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(507),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(514),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [809] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1690),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [810] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1691),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [811] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1692),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [812] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1693),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [813] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1697),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [814] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1698),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [815] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(508),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(514),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [816] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(509),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(514),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [817] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(510),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(514),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [818] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1701),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [819] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1702),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [820] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_expression] = STATE(511),
    [sym_cast_expression] = STATE(514),
    [sym_assignment_expression] = STATE(514),
    [sym_binary_expression] = STATE(514),
    [sym_instanceof_expression] = STATE(514),
    [sym_lambda_expression] = STATE(514),
    [sym_inferred_parameters] = STATE(2910),
    [sym_ternary_expression] = STATE(514),
    [sym_unary_expression] = STATE(514),
    [sym_update_expression] = STATE(514),
    [sym_primary_expression] = STATE(474),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(180),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(180),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym_switch_expression] = STATE(514),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(174),
    [sym_closure] = STATE(514),
    [sym_range_expression] = STATE(514),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1826),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(1838),
    [anon_sym_PLUS] = ACTIONS(1840),
    [anon_sym_DASH] = ACTIONS(1840),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_BANG] = ACTIONS(1844),
    [anon_sym_TILDE] = ACTIONS(1844),
    [anon_sym_PLUS_PLUS] = ACTIONS(1846),
    [anon_sym_DASH_DASH] = ACTIONS(1846),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_switch] = ACTIONS(1852),
    [anon_sym_LBRACE] = ACTIONS(1487),
    [anon_sym_yield] = ACTIONS(1856),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(1856),
    [anon_sym_module] = ACTIONS(1856),
    [anon_sym_with] = ACTIONS(1856),
    [anon_sym_sealed] = ACTIONS(1856),
    [anon_sym_record] = ACTIONS(1856),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(1860),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [821] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1707),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [822] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1708),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [823] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1709),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [824] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1710),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [825] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1714),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [826] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1715),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [827] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1726),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [828] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_expression] = STATE(1727),
    [sym_cast_expression] = STATE(1419),
    [sym_assignment_expression] = STATE(1419),
    [sym_binary_expression] = STATE(1419),
    [sym_instanceof_expression] = STATE(1419),
    [sym_lambda_expression] = STATE(1419),
    [sym_inferred_parameters] = STATE(2830),
    [sym_ternary_expression] = STATE(1419),
    [sym_unary_expression] = STATE(1419),
    [sym_update_expression] = STATE(1419),
    [sym_primary_expression] = STATE(1391),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1205),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1205),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_switch_expression] = STATE(1419),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1109),
    [sym_closure] = STATE(1419),
    [sym_range_expression] = STATE(1419),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(942),
    [anon_sym_PLUS] = ACTIONS(944),
    [anon_sym_DASH] = ACTIONS(944),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_BANG] = ACTIONS(950),
    [anon_sym_TILDE] = ACTIONS(950),
    [anon_sym_PLUS_PLUS] = ACTIONS(952),
    [anon_sym_DASH_DASH] = ACTIONS(952),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_switch] = ACTIONS(958),
    [anon_sym_LBRACE] = ACTIONS(960),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [829] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_expression] = STATE(379),
    [sym_cast_expression] = STATE(358),
    [sym_assignment_expression] = STATE(358),
    [sym_binary_expression] = STATE(358),
    [sym_instanceof_expression] = STATE(358),
    [sym_lambda_expression] = STATE(358),
    [sym_inferred_parameters] = STATE(2837),
    [sym_ternary_expression] = STATE(358),
    [sym_unary_expression] = STATE(358),
    [sym_update_expression] = STATE(358),
    [sym_primary_expression] = STATE(266),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(172),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(172),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym_switch_expression] = STATE(358),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(2028),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym__reserved_identifier] = STATE(162),
    [sym_closure] = STATE(358),
    [sym_range_expression] = STATE(358),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(1888),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(733),
    [anon_sym_PLUS] = ACTIONS(735),
    [anon_sym_DASH] = ACTIONS(735),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_BANG] = ACTIONS(739),
    [anon_sym_TILDE] = ACTIONS(739),
    [anon_sym_PLUS_PLUS] = ACTIONS(741),
    [anon_sym_DASH_DASH] = ACTIONS(741),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_switch] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(1984),
    [anon_sym_yield] = ACTIONS(755),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(755),
    [anon_sym_module] = ACTIONS(755),
    [anon_sym_with] = ACTIONS(755),
    [anon_sym_sealed] = ACTIONS(755),
    [anon_sym_record] = ACTIONS(755),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(761),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [830] = {
    [sym_catch_clause] = STATE(833),
    [sym_finally_clause] = STATE(917),
    [aux_sym_try_statement_repeat1] = STATE(833),
    [ts_builtin_sym_end] = ACTIONS(1988),
    [sym_identifier] = ACTIONS(1990),
    [sym_decimal_integer_literal] = ACTIONS(1990),
    [sym_hex_integer_literal] = ACTIONS(1990),
    [sym_octal_integer_literal] = ACTIONS(1990),
    [sym_binary_integer_literal] = ACTIONS(1988),
    [sym_decimal_floating_point_literal] = ACTIONS(1988),
    [sym_hex_floating_point_literal] = ACTIONS(1990),
    [sym_true] = ACTIONS(1990),
    [sym_false] = ACTIONS(1990),
    [sym_character_literal] = ACTIONS(1988),
    [anon_sym_DQUOTE] = ACTIONS(1990),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1988),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1988),
    [anon_sym_RBRACE] = ACTIONS(1988),
    [sym_null_literal] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1988),
    [anon_sym_LT] = ACTIONS(1988),
    [anon_sym_PLUS] = ACTIONS(1990),
    [anon_sym_DASH] = ACTIONS(1990),
    [anon_sym_final] = ACTIONS(1990),
    [anon_sym_DASH_GT] = ACTIONS(1988),
    [anon_sym_BANG] = ACTIONS(1988),
    [anon_sym_TILDE] = ACTIONS(1988),
    [anon_sym_PLUS_PLUS] = ACTIONS(1988),
    [anon_sym_DASH_DASH] = ACTIONS(1988),
    [anon_sym_new] = ACTIONS(1990),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_class] = ACTIONS(1990),
    [anon_sym_switch] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1988),
    [anon_sym_case] = ACTIONS(1990),
    [anon_sym_default] = ACTIONS(1990),
    [sym_underscore_pattern] = ACTIONS(1990),
    [anon_sym_SEMI] = ACTIONS(1988),
    [anon_sym_assert] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1990),
    [anon_sym_while] = ACTIONS(1990),
    [anon_sym_break] = ACTIONS(1990),
    [anon_sym_continue] = ACTIONS(1990),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_yield] = ACTIONS(1990),
    [anon_sym_synchronized] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1990),
    [anon_sym_catch] = ACTIONS(1992),
    [anon_sym_finally] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1990),
    [anon_sym_else] = ACTIONS(1990),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_AT] = ACTIONS(1990),
    [anon_sym_open] = ACTIONS(1990),
    [anon_sym_module] = ACTIONS(1990),
    [anon_sym_static] = ACTIONS(1990),
    [anon_sym_with] = ACTIONS(1990),
    [anon_sym_package] = ACTIONS(1990),
    [anon_sym_import] = ACTIONS(1990),
    [anon_sym_enum] = ACTIONS(1990),
    [anon_sym_public] = ACTIONS(1990),
    [anon_sym_protected] = ACTIONS(1990),
    [anon_sym_private] = ACTIONS(1990),
    [anon_sym_abstract] = ACTIONS(1990),
    [anon_sym_strictfp] = ACTIONS(1990),
    [anon_sym_native] = ACTIONS(1990),
    [anon_sym_transient] = ACTIONS(1990),
    [anon_sym_volatile] = ACTIONS(1990),
    [anon_sym_sealed] = ACTIONS(1990),
    [anon_sym_non_DASHsealed] = ACTIONS(1988),
    [anon_sym_record] = ACTIONS(1990),
    [anon_sym_ATinterface] = ACTIONS(1988),
    [anon_sym_interface] = ACTIONS(1990),
    [anon_sym_byte] = ACTIONS(1990),
    [anon_sym_short] = ACTIONS(1990),
    [anon_sym_int] = ACTIONS(1990),
    [anon_sym_long] = ACTIONS(1990),
    [anon_sym_char] = ACTIONS(1990),
    [anon_sym_float] = ACTIONS(1990),
    [anon_sym_double] = ACTIONS(1990),
    [sym_boolean_type] = ACTIONS(1990),
    [sym_void_type] = ACTIONS(1990),
    [anon_sym_def] = ACTIONS(1990),
    [sym_this] = ACTIONS(1990),
    [sym_super] = ACTIONS(1990),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [831] = {
    [sym_catch_clause] = STATE(832),
    [sym_finally_clause] = STATE(918),
    [aux_sym_try_statement_repeat1] = STATE(832),
    [ts_builtin_sym_end] = ACTIONS(1996),
    [sym_identifier] = ACTIONS(1998),
    [sym_decimal_integer_literal] = ACTIONS(1998),
    [sym_hex_integer_literal] = ACTIONS(1998),
    [sym_octal_integer_literal] = ACTIONS(1998),
    [sym_binary_integer_literal] = ACTIONS(1996),
    [sym_decimal_floating_point_literal] = ACTIONS(1996),
    [sym_hex_floating_point_literal] = ACTIONS(1998),
    [sym_true] = ACTIONS(1998),
    [sym_false] = ACTIONS(1998),
    [sym_character_literal] = ACTIONS(1996),
    [anon_sym_DQUOTE] = ACTIONS(1998),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1996),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1996),
    [anon_sym_RBRACE] = ACTIONS(1996),
    [sym_null_literal] = ACTIONS(1998),
    [anon_sym_LPAREN] = ACTIONS(1996),
    [anon_sym_LT] = ACTIONS(1996),
    [anon_sym_PLUS] = ACTIONS(1998),
    [anon_sym_DASH] = ACTIONS(1998),
    [anon_sym_final] = ACTIONS(1998),
    [anon_sym_DASH_GT] = ACTIONS(1996),
    [anon_sym_BANG] = ACTIONS(1996),
    [anon_sym_TILDE] = ACTIONS(1996),
    [anon_sym_PLUS_PLUS] = ACTIONS(1996),
    [anon_sym_DASH_DASH] = ACTIONS(1996),
    [anon_sym_new] = ACTIONS(1998),
    [anon_sym_LBRACK] = ACTIONS(1996),
    [anon_sym_class] = ACTIONS(1998),
    [anon_sym_switch] = ACTIONS(1998),
    [anon_sym_LBRACE] = ACTIONS(1996),
    [anon_sym_case] = ACTIONS(1998),
    [anon_sym_default] = ACTIONS(1998),
    [sym_underscore_pattern] = ACTIONS(1998),
    [anon_sym_SEMI] = ACTIONS(1996),
    [anon_sym_assert] = ACTIONS(1998),
    [anon_sym_do] = ACTIONS(1998),
    [anon_sym_while] = ACTIONS(1998),
    [anon_sym_break] = ACTIONS(1998),
    [anon_sym_continue] = ACTIONS(1998),
    [anon_sym_return] = ACTIONS(1998),
    [anon_sym_yield] = ACTIONS(1998),
    [anon_sym_synchronized] = ACTIONS(1998),
    [anon_sym_throw] = ACTIONS(1998),
    [anon_sym_try] = ACTIONS(1998),
    [anon_sym_catch] = ACTIONS(1992),
    [anon_sym_finally] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(1998),
    [anon_sym_else] = ACTIONS(1998),
    [anon_sym_for] = ACTIONS(1998),
    [anon_sym_AT] = ACTIONS(1998),
    [anon_sym_open] = ACTIONS(1998),
    [anon_sym_module] = ACTIONS(1998),
    [anon_sym_static] = ACTIONS(1998),
    [anon_sym_with] = ACTIONS(1998),
    [anon_sym_package] = ACTIONS(1998),
    [anon_sym_import] = ACTIONS(1998),
    [anon_sym_enum] = ACTIONS(1998),
    [anon_sym_public] = ACTIONS(1998),
    [anon_sym_protected] = ACTIONS(1998),
    [anon_sym_private] = ACTIONS(1998),
    [anon_sym_abstract] = ACTIONS(1998),
    [anon_sym_strictfp] = ACTIONS(1998),
    [anon_sym_native] = ACTIONS(1998),
    [anon_sym_transient] = ACTIONS(1998),
    [anon_sym_volatile] = ACTIONS(1998),
    [anon_sym_sealed] = ACTIONS(1998),
    [anon_sym_non_DASHsealed] = ACTIONS(1996),
    [anon_sym_record] = ACTIONS(1998),
    [anon_sym_ATinterface] = ACTIONS(1996),
    [anon_sym_interface] = ACTIONS(1998),
    [anon_sym_byte] = ACTIONS(1998),
    [anon_sym_short] = ACTIONS(1998),
    [anon_sym_int] = ACTIONS(1998),
    [anon_sym_long] = ACTIONS(1998),
    [anon_sym_char] = ACTIONS(1998),
    [anon_sym_float] = ACTIONS(1998),
    [anon_sym_double] = ACTIONS(1998),
    [sym_boolean_type] = ACTIONS(1998),
    [sym_void_type] = ACTIONS(1998),
    [anon_sym_def] = ACTIONS(1998),
    [sym_this] = ACTIONS(1998),
    [sym_super] = ACTIONS(1998),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [832] = {
    [sym_catch_clause] = STATE(833),
    [sym_finally_clause] = STATE(929),
    [aux_sym_try_statement_repeat1] = STATE(833),
    [ts_builtin_sym_end] = ACTIONS(2000),
    [sym_identifier] = ACTIONS(2002),
    [sym_decimal_integer_literal] = ACTIONS(2002),
    [sym_hex_integer_literal] = ACTIONS(2002),
    [sym_octal_integer_literal] = ACTIONS(2002),
    [sym_binary_integer_literal] = ACTIONS(2000),
    [sym_decimal_floating_point_literal] = ACTIONS(2000),
    [sym_hex_floating_point_literal] = ACTIONS(2002),
    [sym_true] = ACTIONS(2002),
    [sym_false] = ACTIONS(2002),
    [sym_character_literal] = ACTIONS(2000),
    [anon_sym_DQUOTE] = ACTIONS(2002),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2000),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [anon_sym_RBRACE] = ACTIONS(2000),
    [sym_null_literal] = ACTIONS(2002),
    [anon_sym_LPAREN] = ACTIONS(2000),
    [anon_sym_LT] = ACTIONS(2000),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2002),
    [anon_sym_final] = ACTIONS(2002),
    [anon_sym_DASH_GT] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_PLUS_PLUS] = ACTIONS(2000),
    [anon_sym_DASH_DASH] = ACTIONS(2000),
    [anon_sym_new] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2000),
    [anon_sym_class] = ACTIONS(2002),
    [anon_sym_switch] = ACTIONS(2002),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym_case] = ACTIONS(2002),
    [anon_sym_default] = ACTIONS(2002),
    [sym_underscore_pattern] = ACTIONS(2002),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_assert] = ACTIONS(2002),
    [anon_sym_do] = ACTIONS(2002),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_break] = ACTIONS(2002),
    [anon_sym_continue] = ACTIONS(2002),
    [anon_sym_return] = ACTIONS(2002),
    [anon_sym_yield] = ACTIONS(2002),
    [anon_sym_synchronized] = ACTIONS(2002),
    [anon_sym_throw] = ACTIONS(2002),
    [anon_sym_try] = ACTIONS(2002),
    [anon_sym_catch] = ACTIONS(1992),
    [anon_sym_finally] = ACTIONS(1994),
    [anon_sym_if] = ACTIONS(2002),
    [anon_sym_else] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2002),
    [anon_sym_AT] = ACTIONS(2002),
    [anon_sym_open] = ACTIONS(2002),
    [anon_sym_module] = ACTIONS(2002),
    [anon_sym_static] = ACTIONS(2002),
    [anon_sym_with] = ACTIONS(2002),
    [anon_sym_package] = ACTIONS(2002),
    [anon_sym_import] = ACTIONS(2002),
    [anon_sym_enum] = ACTIONS(2002),
    [anon_sym_public] = ACTIONS(2002),
    [anon_sym_protected] = ACTIONS(2002),
    [anon_sym_private] = ACTIONS(2002),
    [anon_sym_abstract] = ACTIONS(2002),
    [anon_sym_strictfp] = ACTIONS(2002),
    [anon_sym_native] = ACTIONS(2002),
    [anon_sym_transient] = ACTIONS(2002),
    [anon_sym_volatile] = ACTIONS(2002),
    [anon_sym_sealed] = ACTIONS(2002),
    [anon_sym_non_DASHsealed] = ACTIONS(2000),
    [anon_sym_record] = ACTIONS(2002),
    [anon_sym_ATinterface] = ACTIONS(2000),
    [anon_sym_interface] = ACTIONS(2002),
    [anon_sym_byte] = ACTIONS(2002),
    [anon_sym_short] = ACTIONS(2002),
    [anon_sym_int] = ACTIONS(2002),
    [anon_sym_long] = ACTIONS(2002),
    [anon_sym_char] = ACTIONS(2002),
    [anon_sym_float] = ACTIONS(2002),
    [anon_sym_double] = ACTIONS(2002),
    [sym_boolean_type] = ACTIONS(2002),
    [sym_void_type] = ACTIONS(2002),
    [anon_sym_def] = ACTIONS(2002),
    [sym_this] = ACTIONS(2002),
    [sym_super] = ACTIONS(2002),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [833] = {
    [sym_catch_clause] = STATE(833),
    [aux_sym_try_statement_repeat1] = STATE(833),
    [ts_builtin_sym_end] = ACTIONS(2004),
    [sym_identifier] = ACTIONS(2006),
    [sym_decimal_integer_literal] = ACTIONS(2006),
    [sym_hex_integer_literal] = ACTIONS(2006),
    [sym_octal_integer_literal] = ACTIONS(2006),
    [sym_binary_integer_literal] = ACTIONS(2004),
    [sym_decimal_floating_point_literal] = ACTIONS(2004),
    [sym_hex_floating_point_literal] = ACTIONS(2006),
    [sym_true] = ACTIONS(2006),
    [sym_false] = ACTIONS(2006),
    [sym_character_literal] = ACTIONS(2004),
    [anon_sym_DQUOTE] = ACTIONS(2006),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2004),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2004),
    [anon_sym_RBRACE] = ACTIONS(2004),
    [sym_null_literal] = ACTIONS(2006),
    [anon_sym_LPAREN] = ACTIONS(2004),
    [anon_sym_LT] = ACTIONS(2004),
    [anon_sym_PLUS] = ACTIONS(2006),
    [anon_sym_DASH] = ACTIONS(2006),
    [anon_sym_final] = ACTIONS(2006),
    [anon_sym_DASH_GT] = ACTIONS(2004),
    [anon_sym_BANG] = ACTIONS(2004),
    [anon_sym_TILDE] = ACTIONS(2004),
    [anon_sym_PLUS_PLUS] = ACTIONS(2004),
    [anon_sym_DASH_DASH] = ACTIONS(2004),
    [anon_sym_new] = ACTIONS(2006),
    [anon_sym_LBRACK] = ACTIONS(2004),
    [anon_sym_class] = ACTIONS(2006),
    [anon_sym_switch] = ACTIONS(2006),
    [anon_sym_LBRACE] = ACTIONS(2004),
    [anon_sym_case] = ACTIONS(2006),
    [anon_sym_default] = ACTIONS(2006),
    [sym_underscore_pattern] = ACTIONS(2006),
    [anon_sym_SEMI] = ACTIONS(2004),
    [anon_sym_assert] = ACTIONS(2006),
    [anon_sym_do] = ACTIONS(2006),
    [anon_sym_while] = ACTIONS(2006),
    [anon_sym_break] = ACTIONS(2006),
    [anon_sym_continue] = ACTIONS(2006),
    [anon_sym_return] = ACTIONS(2006),
    [anon_sym_yield] = ACTIONS(2006),
    [anon_sym_synchronized] = ACTIONS(2006),
    [anon_sym_throw] = ACTIONS(2006),
    [anon_sym_try] = ACTIONS(2006),
    [anon_sym_catch] = ACTIONS(2008),
    [anon_sym_finally] = ACTIONS(2006),
    [anon_sym_if] = ACTIONS(2006),
    [anon_sym_else] = ACTIONS(2006),
    [anon_sym_for] = ACTIONS(2006),
    [anon_sym_AT] = ACTIONS(2006),
    [anon_sym_open] = ACTIONS(2006),
    [anon_sym_module] = ACTIONS(2006),
    [anon_sym_static] = ACTIONS(2006),
    [anon_sym_with] = ACTIONS(2006),
    [anon_sym_package] = ACTIONS(2006),
    [anon_sym_import] = ACTIONS(2006),
    [anon_sym_enum] = ACTIONS(2006),
    [anon_sym_public] = ACTIONS(2006),
    [anon_sym_protected] = ACTIONS(2006),
    [anon_sym_private] = ACTIONS(2006),
    [anon_sym_abstract] = ACTIONS(2006),
    [anon_sym_strictfp] = ACTIONS(2006),
    [anon_sym_native] = ACTIONS(2006),
    [anon_sym_transient] = ACTIONS(2006),
    [anon_sym_volatile] = ACTIONS(2006),
    [anon_sym_sealed] = ACTIONS(2006),
    [anon_sym_non_DASHsealed] = ACTIONS(2004),
    [anon_sym_record] = ACTIONS(2006),
    [anon_sym_ATinterface] = ACTIONS(2004),
    [anon_sym_interface] = ACTIONS(2006),
    [anon_sym_byte] = ACTIONS(2006),
    [anon_sym_short] = ACTIONS(2006),
    [anon_sym_int] = ACTIONS(2006),
    [anon_sym_long] = ACTIONS(2006),
    [anon_sym_char] = ACTIONS(2006),
    [anon_sym_float] = ACTIONS(2006),
    [anon_sym_double] = ACTIONS(2006),
    [sym_boolean_type] = ACTIONS(2006),
    [sym_void_type] = ACTIONS(2006),
    [anon_sym_def] = ACTIONS(2006),
    [sym_this] = ACTIONS(2006),
    [sym_super] = ACTIONS(2006),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [834] = {
    [ts_builtin_sym_end] = ACTIONS(1505),
    [sym_identifier] = ACTIONS(1507),
    [sym_decimal_integer_literal] = ACTIONS(1507),
    [sym_hex_integer_literal] = ACTIONS(1507),
    [sym_octal_integer_literal] = ACTIONS(1507),
    [sym_binary_integer_literal] = ACTIONS(1505),
    [sym_decimal_floating_point_literal] = ACTIONS(1505),
    [sym_hex_floating_point_literal] = ACTIONS(1507),
    [sym_true] = ACTIONS(1507),
    [sym_false] = ACTIONS(1507),
    [sym_character_literal] = ACTIONS(1505),
    [anon_sym_DQUOTE] = ACTIONS(1507),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1505),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1505),
    [anon_sym_RBRACE] = ACTIONS(1505),
    [sym_null_literal] = ACTIONS(1507),
    [anon_sym_LPAREN] = ACTIONS(1505),
    [anon_sym_LT] = ACTIONS(1505),
    [anon_sym_PLUS] = ACTIONS(1507),
    [anon_sym_DASH] = ACTIONS(1507),
    [anon_sym_final] = ACTIONS(1507),
    [anon_sym_DASH_GT] = ACTIONS(1505),
    [anon_sym_BANG] = ACTIONS(1505),
    [anon_sym_TILDE] = ACTIONS(1505),
    [anon_sym_PLUS_PLUS] = ACTIONS(1505),
    [anon_sym_DASH_DASH] = ACTIONS(1505),
    [anon_sym_new] = ACTIONS(1507),
    [anon_sym_LBRACK] = ACTIONS(1505),
    [anon_sym_class] = ACTIONS(1507),
    [anon_sym_switch] = ACTIONS(1507),
    [anon_sym_LBRACE] = ACTIONS(1505),
    [anon_sym_case] = ACTIONS(1507),
    [anon_sym_default] = ACTIONS(1507),
    [sym_underscore_pattern] = ACTIONS(1507),
    [anon_sym_SEMI] = ACTIONS(1505),
    [anon_sym_assert] = ACTIONS(1507),
    [anon_sym_do] = ACTIONS(1507),
    [anon_sym_while] = ACTIONS(1507),
    [anon_sym_break] = ACTIONS(1507),
    [anon_sym_continue] = ACTIONS(1507),
    [anon_sym_return] = ACTIONS(1507),
    [anon_sym_yield] = ACTIONS(1507),
    [anon_sym_synchronized] = ACTIONS(1507),
    [anon_sym_throw] = ACTIONS(1507),
    [anon_sym_try] = ACTIONS(1507),
    [anon_sym_catch] = ACTIONS(1507),
    [anon_sym_finally] = ACTIONS(1507),
    [anon_sym_if] = ACTIONS(1507),
    [anon_sym_else] = ACTIONS(1507),
    [anon_sym_for] = ACTIONS(1507),
    [anon_sym_AT] = ACTIONS(1507),
    [anon_sym_open] = ACTIONS(1507),
    [anon_sym_module] = ACTIONS(1507),
    [anon_sym_static] = ACTIONS(1507),
    [anon_sym_with] = ACTIONS(1507),
    [anon_sym_package] = ACTIONS(1507),
    [anon_sym_import] = ACTIONS(1507),
    [anon_sym_enum] = ACTIONS(1507),
    [anon_sym_public] = ACTIONS(1507),
    [anon_sym_protected] = ACTIONS(1507),
    [anon_sym_private] = ACTIONS(1507),
    [anon_sym_abstract] = ACTIONS(1507),
    [anon_sym_strictfp] = ACTIONS(1507),
    [anon_sym_native] = ACTIONS(1507),
    [anon_sym_transient] = ACTIONS(1507),
    [anon_sym_volatile] = ACTIONS(1507),
    [anon_sym_sealed] = ACTIONS(1507),
    [anon_sym_non_DASHsealed] = ACTIONS(1505),
    [anon_sym_record] = ACTIONS(1507),
    [anon_sym_ATinterface] = ACTIONS(1505),
    [anon_sym_interface] = ACTIONS(1507),
    [anon_sym_byte] = ACTIONS(1507),
    [anon_sym_short] = ACTIONS(1507),
    [anon_sym_int] = ACTIONS(1507),
    [anon_sym_long] = ACTIONS(1507),
    [anon_sym_char] = ACTIONS(1507),
    [anon_sym_float] = ACTIONS(1507),
    [anon_sym_double] = ACTIONS(1507),
    [sym_boolean_type] = ACTIONS(1507),
    [sym_void_type] = ACTIONS(1507),
    [anon_sym_def] = ACTIONS(1507),
    [sym_this] = ACTIONS(1507),
    [sym_super] = ACTIONS(1507),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [835] = {
    [ts_builtin_sym_end] = ACTIONS(1612),
    [sym_identifier] = ACTIONS(1607),
    [sym_decimal_integer_literal] = ACTIONS(1607),
    [sym_hex_integer_literal] = ACTIONS(1607),
    [sym_octal_integer_literal] = ACTIONS(1607),
    [sym_binary_integer_literal] = ACTIONS(1612),
    [sym_decimal_floating_point_literal] = ACTIONS(1612),
    [sym_hex_floating_point_literal] = ACTIONS(1607),
    [sym_true] = ACTIONS(1607),
    [sym_false] = ACTIONS(1607),
    [sym_character_literal] = ACTIONS(1612),
    [anon_sym_DQUOTE] = ACTIONS(1607),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1612),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1612),
    [anon_sym_RBRACE] = ACTIONS(1612),
    [sym_null_literal] = ACTIONS(1607),
    [anon_sym_LPAREN] = ACTIONS(1612),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_PLUS] = ACTIONS(1607),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_final] = ACTIONS(1607),
    [anon_sym_DASH_GT] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(1612),
    [anon_sym_TILDE] = ACTIONS(1612),
    [anon_sym_PLUS_PLUS] = ACTIONS(1612),
    [anon_sym_DASH_DASH] = ACTIONS(1612),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1612),
    [anon_sym_class] = ACTIONS(1607),
    [anon_sym_switch] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1612),
    [anon_sym_case] = ACTIONS(1607),
    [anon_sym_default] = ACTIONS(1607),
    [sym_underscore_pattern] = ACTIONS(1607),
    [anon_sym_SEMI] = ACTIONS(1612),
    [anon_sym_assert] = ACTIONS(1607),
    [anon_sym_do] = ACTIONS(1607),
    [anon_sym_while] = ACTIONS(1607),
    [anon_sym_break] = ACTIONS(1607),
    [anon_sym_continue] = ACTIONS(1607),
    [anon_sym_return] = ACTIONS(1607),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_synchronized] = ACTIONS(1607),
    [anon_sym_throw] = ACTIONS(1607),
    [anon_sym_try] = ACTIONS(1607),
    [anon_sym_catch] = ACTIONS(1607),
    [anon_sym_finally] = ACTIONS(1607),
    [anon_sym_if] = ACTIONS(1607),
    [anon_sym_else] = ACTIONS(1607),
    [anon_sym_for] = ACTIONS(1607),
    [anon_sym_AT] = ACTIONS(1607),
    [anon_sym_open] = ACTIONS(1607),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_static] = ACTIONS(1607),
    [anon_sym_with] = ACTIONS(1607),
    [anon_sym_package] = ACTIONS(1607),
    [anon_sym_import] = ACTIONS(1607),
    [anon_sym_enum] = ACTIONS(1607),
    [anon_sym_public] = ACTIONS(1607),
    [anon_sym_protected] = ACTIONS(1607),
    [anon_sym_private] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1607),
    [anon_sym_strictfp] = ACTIONS(1607),
    [anon_sym_native] = ACTIONS(1607),
    [anon_sym_transient] = ACTIONS(1607),
    [anon_sym_volatile] = ACTIONS(1607),
    [anon_sym_sealed] = ACTIONS(1607),
    [anon_sym_non_DASHsealed] = ACTIONS(1612),
    [anon_sym_record] = ACTIONS(1607),
    [anon_sym_ATinterface] = ACTIONS(1612),
    [anon_sym_interface] = ACTIONS(1607),
    [anon_sym_byte] = ACTIONS(1607),
    [anon_sym_short] = ACTIONS(1607),
    [anon_sym_int] = ACTIONS(1607),
    [anon_sym_long] = ACTIONS(1607),
    [anon_sym_char] = ACTIONS(1607),
    [anon_sym_float] = ACTIONS(1607),
    [anon_sym_double] = ACTIONS(1607),
    [sym_boolean_type] = ACTIONS(1607),
    [sym_void_type] = ACTIONS(1607),
    [anon_sym_def] = ACTIONS(1607),
    [sym_this] = ACTIONS(1607),
    [sym_super] = ACTIONS(1607),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [836] = {
    [ts_builtin_sym_end] = ACTIONS(2011),
    [sym_identifier] = ACTIONS(2013),
    [sym_decimal_integer_literal] = ACTIONS(2013),
    [sym_hex_integer_literal] = ACTIONS(2013),
    [sym_octal_integer_literal] = ACTIONS(2013),
    [sym_binary_integer_literal] = ACTIONS(2011),
    [sym_decimal_floating_point_literal] = ACTIONS(2011),
    [sym_hex_floating_point_literal] = ACTIONS(2013),
    [sym_true] = ACTIONS(2013),
    [sym_false] = ACTIONS(2013),
    [sym_character_literal] = ACTIONS(2011),
    [anon_sym_DQUOTE] = ACTIONS(2013),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2011),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2011),
    [anon_sym_RBRACE] = ACTIONS(2011),
    [sym_null_literal] = ACTIONS(2013),
    [anon_sym_LPAREN] = ACTIONS(2011),
    [anon_sym_LT] = ACTIONS(2011),
    [anon_sym_PLUS] = ACTIONS(2013),
    [anon_sym_DASH] = ACTIONS(2013),
    [anon_sym_final] = ACTIONS(2013),
    [anon_sym_DASH_GT] = ACTIONS(2011),
    [anon_sym_BANG] = ACTIONS(2011),
    [anon_sym_TILDE] = ACTIONS(2011),
    [anon_sym_PLUS_PLUS] = ACTIONS(2011),
    [anon_sym_DASH_DASH] = ACTIONS(2011),
    [anon_sym_new] = ACTIONS(2013),
    [anon_sym_LBRACK] = ACTIONS(2011),
    [anon_sym_class] = ACTIONS(2013),
    [anon_sym_switch] = ACTIONS(2013),
    [anon_sym_LBRACE] = ACTIONS(2011),
    [anon_sym_case] = ACTIONS(2013),
    [anon_sym_default] = ACTIONS(2013),
    [sym_underscore_pattern] = ACTIONS(2013),
    [anon_sym_SEMI] = ACTIONS(2011),
    [anon_sym_assert] = ACTIONS(2013),
    [anon_sym_do] = ACTIONS(2013),
    [anon_sym_while] = ACTIONS(2013),
    [anon_sym_break] = ACTIONS(2013),
    [anon_sym_continue] = ACTIONS(2013),
    [anon_sym_return] = ACTIONS(2013),
    [anon_sym_yield] = ACTIONS(2013),
    [anon_sym_synchronized] = ACTIONS(2013),
    [anon_sym_throw] = ACTIONS(2013),
    [anon_sym_try] = ACTIONS(2013),
    [anon_sym_catch] = ACTIONS(2013),
    [anon_sym_finally] = ACTIONS(2013),
    [anon_sym_if] = ACTIONS(2013),
    [anon_sym_else] = ACTIONS(2013),
    [anon_sym_for] = ACTIONS(2013),
    [anon_sym_AT] = ACTIONS(2013),
    [anon_sym_open] = ACTIONS(2013),
    [anon_sym_module] = ACTIONS(2013),
    [anon_sym_static] = ACTIONS(2013),
    [anon_sym_with] = ACTIONS(2013),
    [anon_sym_package] = ACTIONS(2013),
    [anon_sym_import] = ACTIONS(2013),
    [anon_sym_enum] = ACTIONS(2013),
    [anon_sym_public] = ACTIONS(2013),
    [anon_sym_protected] = ACTIONS(2013),
    [anon_sym_private] = ACTIONS(2013),
    [anon_sym_abstract] = ACTIONS(2013),
    [anon_sym_strictfp] = ACTIONS(2013),
    [anon_sym_native] = ACTIONS(2013),
    [anon_sym_transient] = ACTIONS(2013),
    [anon_sym_volatile] = ACTIONS(2013),
    [anon_sym_sealed] = ACTIONS(2013),
    [anon_sym_non_DASHsealed] = ACTIONS(2011),
    [anon_sym_record] = ACTIONS(2013),
    [anon_sym_ATinterface] = ACTIONS(2011),
    [anon_sym_interface] = ACTIONS(2013),
    [anon_sym_byte] = ACTIONS(2013),
    [anon_sym_short] = ACTIONS(2013),
    [anon_sym_int] = ACTIONS(2013),
    [anon_sym_long] = ACTIONS(2013),
    [anon_sym_char] = ACTIONS(2013),
    [anon_sym_float] = ACTIONS(2013),
    [anon_sym_double] = ACTIONS(2013),
    [sym_boolean_type] = ACTIONS(2013),
    [sym_void_type] = ACTIONS(2013),
    [anon_sym_def] = ACTIONS(2013),
    [sym_this] = ACTIONS(2013),
    [sym_super] = ACTIONS(2013),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [837] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_primary_expression] = STATE(2600),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(2328),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1358),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_resource] = STATE(2750),
    [sym__annotation] = STATE(1506),
    [sym_marker_annotation] = STATE(1506),
    [sym_annotation] = STATE(1506),
    [sym_modifiers] = STATE(1918),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(1872),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym__reserved_identifier] = STATE(2144),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [aux_sym_modifiers_repeat1] = STATE(1604),
    [sym_identifier] = ACTIONS(2015),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(2017),
    [anon_sym_RPAREN] = ACTIONS(2019),
    [anon_sym_final] = ACTIONS(1014),
    [anon_sym_new] = ACTIONS(2021),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_default] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_synchronized] = ACTIONS(1014),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_abstract] = ACTIONS(1014),
    [anon_sym_strictfp] = ACTIONS(1014),
    [anon_sym_native] = ACTIONS(1014),
    [anon_sym_transient] = ACTIONS(1014),
    [anon_sym_volatile] = ACTIONS(1014),
    [anon_sym_sealed] = ACTIONS(1016),
    [anon_sym_non_DASHsealed] = ACTIONS(1018),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [838] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_primary_expression] = STATE(2600),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(2328),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1358),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_resource] = STATE(2750),
    [sym__annotation] = STATE(1506),
    [sym_marker_annotation] = STATE(1506),
    [sym_annotation] = STATE(1506),
    [sym_modifiers] = STATE(1918),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(1872),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym__reserved_identifier] = STATE(2144),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [aux_sym_modifiers_repeat1] = STATE(1604),
    [sym_identifier] = ACTIONS(2015),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(2017),
    [anon_sym_RPAREN] = ACTIONS(2023),
    [anon_sym_final] = ACTIONS(1014),
    [anon_sym_new] = ACTIONS(2021),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_default] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_synchronized] = ACTIONS(1014),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_abstract] = ACTIONS(1014),
    [anon_sym_strictfp] = ACTIONS(1014),
    [anon_sym_native] = ACTIONS(1014),
    [anon_sym_transient] = ACTIONS(1014),
    [anon_sym_volatile] = ACTIONS(1014),
    [anon_sym_sealed] = ACTIONS(1016),
    [anon_sym_non_DASHsealed] = ACTIONS(1018),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [839] = {
    [aux_sym__juxt_argument_list_repeat1] = STATE(907),
    [ts_builtin_sym_end] = ACTIONS(2025),
    [sym_identifier] = ACTIONS(2027),
    [sym_decimal_integer_literal] = ACTIONS(2027),
    [sym_hex_integer_literal] = ACTIONS(2027),
    [sym_octal_integer_literal] = ACTIONS(2027),
    [sym_binary_integer_literal] = ACTIONS(2025),
    [sym_decimal_floating_point_literal] = ACTIONS(2025),
    [sym_hex_floating_point_literal] = ACTIONS(2027),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [sym_character_literal] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2027),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2025),
    [anon_sym_RBRACE] = ACTIONS(2025),
    [sym_null_literal] = ACTIONS(2027),
    [anon_sym_LPAREN] = ACTIONS(2025),
    [anon_sym_LT] = ACTIONS(2025),
    [anon_sym_PLUS] = ACTIONS(2027),
    [anon_sym_DASH] = ACTIONS(2027),
    [anon_sym_final] = ACTIONS(2027),
    [anon_sym_DASH_GT] = ACTIONS(2025),
    [anon_sym_COMMA] = ACTIONS(2029),
    [anon_sym_COLON] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_new] = ACTIONS(2027),
    [anon_sym_LBRACK] = ACTIONS(2025),
    [anon_sym_class] = ACTIONS(2027),
    [anon_sym_switch] = ACTIONS(2027),
    [anon_sym_LBRACE] = ACTIONS(2025),
    [anon_sym_default] = ACTIONS(2027),
    [sym_underscore_pattern] = ACTIONS(2027),
    [anon_sym_SEMI] = ACTIONS(2025),
    [anon_sym_assert] = ACTIONS(2027),
    [anon_sym_do] = ACTIONS(2027),
    [anon_sym_while] = ACTIONS(2027),
    [anon_sym_break] = ACTIONS(2027),
    [anon_sym_continue] = ACTIONS(2027),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_yield] = ACTIONS(2027),
    [anon_sym_synchronized] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2027),
    [anon_sym_try] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2027),
    [anon_sym_for] = ACTIONS(2027),
    [anon_sym_AT] = ACTIONS(2027),
    [anon_sym_open] = ACTIONS(2027),
    [anon_sym_module] = ACTIONS(2027),
    [anon_sym_static] = ACTIONS(2027),
    [anon_sym_with] = ACTIONS(2027),
    [anon_sym_package] = ACTIONS(2027),
    [anon_sym_import] = ACTIONS(2027),
    [anon_sym_enum] = ACTIONS(2027),
    [anon_sym_public] = ACTIONS(2027),
    [anon_sym_protected] = ACTIONS(2027),
    [anon_sym_private] = ACTIONS(2027),
    [anon_sym_abstract] = ACTIONS(2027),
    [anon_sym_strictfp] = ACTIONS(2027),
    [anon_sym_native] = ACTIONS(2027),
    [anon_sym_transient] = ACTIONS(2027),
    [anon_sym_volatile] = ACTIONS(2027),
    [anon_sym_sealed] = ACTIONS(2027),
    [anon_sym_non_DASHsealed] = ACTIONS(2025),
    [anon_sym_record] = ACTIONS(2027),
    [anon_sym_ATinterface] = ACTIONS(2025),
    [anon_sym_interface] = ACTIONS(2027),
    [anon_sym_byte] = ACTIONS(2027),
    [anon_sym_short] = ACTIONS(2027),
    [anon_sym_int] = ACTIONS(2027),
    [anon_sym_long] = ACTIONS(2027),
    [anon_sym_char] = ACTIONS(2027),
    [anon_sym_float] = ACTIONS(2027),
    [anon_sym_double] = ACTIONS(2027),
    [sym_boolean_type] = ACTIONS(2027),
    [sym_void_type] = ACTIONS(2027),
    [anon_sym_def] = ACTIONS(2027),
    [sym_this] = ACTIONS(2027),
    [sym_super] = ACTIONS(2027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [840] = {
    [ts_builtin_sym_end] = ACTIONS(2033),
    [sym_identifier] = ACTIONS(2035),
    [sym_decimal_integer_literal] = ACTIONS(2035),
    [sym_hex_integer_literal] = ACTIONS(2035),
    [sym_octal_integer_literal] = ACTIONS(2035),
    [sym_binary_integer_literal] = ACTIONS(2033),
    [sym_decimal_floating_point_literal] = ACTIONS(2033),
    [sym_hex_floating_point_literal] = ACTIONS(2035),
    [sym_true] = ACTIONS(2035),
    [sym_false] = ACTIONS(2035),
    [sym_character_literal] = ACTIONS(2033),
    [anon_sym_DQUOTE] = ACTIONS(2035),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2033),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2033),
    [anon_sym_RBRACE] = ACTIONS(2033),
    [sym_null_literal] = ACTIONS(2035),
    [anon_sym_LPAREN] = ACTIONS(2033),
    [anon_sym_LT] = ACTIONS(2033),
    [anon_sym_PLUS] = ACTIONS(2035),
    [anon_sym_DASH] = ACTIONS(2035),
    [anon_sym_final] = ACTIONS(2035),
    [anon_sym_DASH_GT] = ACTIONS(2033),
    [anon_sym_BANG] = ACTIONS(2033),
    [anon_sym_TILDE] = ACTIONS(2033),
    [anon_sym_PLUS_PLUS] = ACTIONS(2033),
    [anon_sym_DASH_DASH] = ACTIONS(2033),
    [anon_sym_new] = ACTIONS(2035),
    [anon_sym_LBRACK] = ACTIONS(2033),
    [anon_sym_class] = ACTIONS(2035),
    [anon_sym_switch] = ACTIONS(2035),
    [anon_sym_LBRACE] = ACTIONS(2033),
    [anon_sym_case] = ACTIONS(2035),
    [anon_sym_default] = ACTIONS(2035),
    [sym_underscore_pattern] = ACTIONS(2035),
    [anon_sym_SEMI] = ACTIONS(2033),
    [anon_sym_assert] = ACTIONS(2035),
    [anon_sym_do] = ACTIONS(2035),
    [anon_sym_while] = ACTIONS(2035),
    [anon_sym_break] = ACTIONS(2035),
    [anon_sym_continue] = ACTIONS(2035),
    [anon_sym_return] = ACTIONS(2035),
    [anon_sym_yield] = ACTIONS(2035),
    [anon_sym_synchronized] = ACTIONS(2035),
    [anon_sym_throw] = ACTIONS(2035),
    [anon_sym_try] = ACTIONS(2035),
    [anon_sym_if] = ACTIONS(2035),
    [anon_sym_else] = ACTIONS(2035),
    [anon_sym_for] = ACTIONS(2035),
    [anon_sym_AT] = ACTIONS(2035),
    [anon_sym_open] = ACTIONS(2035),
    [anon_sym_module] = ACTIONS(2035),
    [anon_sym_static] = ACTIONS(2035),
    [anon_sym_with] = ACTIONS(2035),
    [anon_sym_package] = ACTIONS(2035),
    [anon_sym_import] = ACTIONS(2035),
    [anon_sym_enum] = ACTIONS(2035),
    [anon_sym_public] = ACTIONS(2035),
    [anon_sym_protected] = ACTIONS(2035),
    [anon_sym_private] = ACTIONS(2035),
    [anon_sym_abstract] = ACTIONS(2035),
    [anon_sym_strictfp] = ACTIONS(2035),
    [anon_sym_native] = ACTIONS(2035),
    [anon_sym_transient] = ACTIONS(2035),
    [anon_sym_volatile] = ACTIONS(2035),
    [anon_sym_sealed] = ACTIONS(2035),
    [anon_sym_non_DASHsealed] = ACTIONS(2033),
    [anon_sym_record] = ACTIONS(2035),
    [anon_sym_ATinterface] = ACTIONS(2033),
    [anon_sym_interface] = ACTIONS(2035),
    [anon_sym_byte] = ACTIONS(2035),
    [anon_sym_short] = ACTIONS(2035),
    [anon_sym_int] = ACTIONS(2035),
    [anon_sym_long] = ACTIONS(2035),
    [anon_sym_char] = ACTIONS(2035),
    [anon_sym_float] = ACTIONS(2035),
    [anon_sym_double] = ACTIONS(2035),
    [sym_boolean_type] = ACTIONS(2035),
    [sym_void_type] = ACTIONS(2035),
    [anon_sym_def] = ACTIONS(2035),
    [sym_this] = ACTIONS(2035),
    [sym_super] = ACTIONS(2035),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [841] = {
    [ts_builtin_sym_end] = ACTIONS(2037),
    [sym_identifier] = ACTIONS(2039),
    [sym_decimal_integer_literal] = ACTIONS(2039),
    [sym_hex_integer_literal] = ACTIONS(2039),
    [sym_octal_integer_literal] = ACTIONS(2039),
    [sym_binary_integer_literal] = ACTIONS(2037),
    [sym_decimal_floating_point_literal] = ACTIONS(2037),
    [sym_hex_floating_point_literal] = ACTIONS(2039),
    [sym_true] = ACTIONS(2039),
    [sym_false] = ACTIONS(2039),
    [sym_character_literal] = ACTIONS(2037),
    [anon_sym_DQUOTE] = ACTIONS(2039),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2037),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2037),
    [anon_sym_RBRACE] = ACTIONS(2037),
    [sym_null_literal] = ACTIONS(2039),
    [anon_sym_LPAREN] = ACTIONS(2037),
    [anon_sym_LT] = ACTIONS(2037),
    [anon_sym_PLUS] = ACTIONS(2039),
    [anon_sym_DASH] = ACTIONS(2039),
    [anon_sym_final] = ACTIONS(2039),
    [anon_sym_DASH_GT] = ACTIONS(2037),
    [anon_sym_BANG] = ACTIONS(2037),
    [anon_sym_TILDE] = ACTIONS(2037),
    [anon_sym_PLUS_PLUS] = ACTIONS(2037),
    [anon_sym_DASH_DASH] = ACTIONS(2037),
    [anon_sym_new] = ACTIONS(2039),
    [anon_sym_LBRACK] = ACTIONS(2037),
    [anon_sym_class] = ACTIONS(2039),
    [anon_sym_switch] = ACTIONS(2039),
    [anon_sym_LBRACE] = ACTIONS(2037),
    [anon_sym_case] = ACTIONS(2039),
    [anon_sym_default] = ACTIONS(2039),
    [sym_underscore_pattern] = ACTIONS(2039),
    [anon_sym_SEMI] = ACTIONS(2037),
    [anon_sym_assert] = ACTIONS(2039),
    [anon_sym_do] = ACTIONS(2039),
    [anon_sym_while] = ACTIONS(2039),
    [anon_sym_break] = ACTIONS(2039),
    [anon_sym_continue] = ACTIONS(2039),
    [anon_sym_return] = ACTIONS(2039),
    [anon_sym_yield] = ACTIONS(2039),
    [anon_sym_synchronized] = ACTIONS(2039),
    [anon_sym_throw] = ACTIONS(2039),
    [anon_sym_try] = ACTIONS(2039),
    [anon_sym_if] = ACTIONS(2039),
    [anon_sym_else] = ACTIONS(2039),
    [anon_sym_for] = ACTIONS(2039),
    [anon_sym_AT] = ACTIONS(2039),
    [anon_sym_open] = ACTIONS(2039),
    [anon_sym_module] = ACTIONS(2039),
    [anon_sym_static] = ACTIONS(2039),
    [anon_sym_with] = ACTIONS(2039),
    [anon_sym_package] = ACTIONS(2039),
    [anon_sym_import] = ACTIONS(2039),
    [anon_sym_enum] = ACTIONS(2039),
    [anon_sym_public] = ACTIONS(2039),
    [anon_sym_protected] = ACTIONS(2039),
    [anon_sym_private] = ACTIONS(2039),
    [anon_sym_abstract] = ACTIONS(2039),
    [anon_sym_strictfp] = ACTIONS(2039),
    [anon_sym_native] = ACTIONS(2039),
    [anon_sym_transient] = ACTIONS(2039),
    [anon_sym_volatile] = ACTIONS(2039),
    [anon_sym_sealed] = ACTIONS(2039),
    [anon_sym_non_DASHsealed] = ACTIONS(2037),
    [anon_sym_record] = ACTIONS(2039),
    [anon_sym_ATinterface] = ACTIONS(2037),
    [anon_sym_interface] = ACTIONS(2039),
    [anon_sym_byte] = ACTIONS(2039),
    [anon_sym_short] = ACTIONS(2039),
    [anon_sym_int] = ACTIONS(2039),
    [anon_sym_long] = ACTIONS(2039),
    [anon_sym_char] = ACTIONS(2039),
    [anon_sym_float] = ACTIONS(2039),
    [anon_sym_double] = ACTIONS(2039),
    [sym_boolean_type] = ACTIONS(2039),
    [sym_void_type] = ACTIONS(2039),
    [anon_sym_def] = ACTIONS(2039),
    [sym_this] = ACTIONS(2039),
    [sym_super] = ACTIONS(2039),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [842] = {
    [sym_argument_list] = STATE(1112),
    [sym_type_arguments] = STATE(1792),
    [sym_dimensions] = STATE(2138),
    [sym__annotation] = STATE(2221),
    [sym_marker_annotation] = STATE(2221),
    [sym_annotation] = STATE(2221),
    [sym_closure] = STATE(1122),
    [aux_sym_array_creation_expression_repeat1] = STATE(2221),
    [aux_sym_dimensions_repeat1] = STATE(1053),
    [sym_identifier] = ACTIONS(2041),
    [sym_decimal_integer_literal] = ACTIONS(2045),
    [sym_hex_integer_literal] = ACTIONS(2045),
    [sym_octal_integer_literal] = ACTIONS(2045),
    [sym_binary_integer_literal] = ACTIONS(2045),
    [sym_decimal_floating_point_literal] = ACTIONS(2045),
    [sym_hex_floating_point_literal] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_character_literal] = ACTIONS(2045),
    [anon_sym_DQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2045),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2045),
    [anon_sym_RBRACE] = ACTIONS(772),
    [sym_null_literal] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_PLUS_EQ] = ACTIONS(2052),
    [anon_sym_DASH_EQ] = ACTIONS(2052),
    [anon_sym_STAR_EQ] = ACTIONS(2052),
    [anon_sym_SLASH_EQ] = ACTIONS(2052),
    [anon_sym_AMP_EQ] = ACTIONS(2052),
    [anon_sym_PIPE_EQ] = ACTIONS(2052),
    [anon_sym_CARET_EQ] = ACTIONS(2052),
    [anon_sym_PERCENT_EQ] = ACTIONS(2052),
    [anon_sym_LT_LT_EQ] = ACTIONS(2052),
    [anon_sym_GT_GT_EQ] = ACTIONS(2052),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2052),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(772),
    [anon_sym_EQ_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_AMP_AMP] = ACTIONS(772),
    [anon_sym_PIPE_PIPE] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(772),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(2054),
    [anon_sym_COMMA] = ACTIONS(800),
    [anon_sym_QMARK] = ACTIONS(772),
    [anon_sym_COLON] = ACTIONS(787),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(2056),
    [anon_sym_DOT] = ACTIONS(793),
    [anon_sym_COLON_COLON] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(285),
    [sym_underscore_pattern] = ACTIONS(1074),
    [anon_sym_SEMI] = ACTIONS(800),
    [aux_sym_expression_statement_token1] = ACTIONS(803),
    [anon_sym_NULL] = ACTIONS(800),
    [anon_sym_yield] = ACTIONS(1074),
    [anon_sym_AT] = ACTIONS(2061),
    [anon_sym_open] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_with] = ACTIONS(1074),
    [anon_sym_sealed] = ACTIONS(1074),
    [anon_sym_record] = ACTIONS(1074),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [843] = {
    [ts_builtin_sym_end] = ACTIONS(2064),
    [sym_identifier] = ACTIONS(2066),
    [sym_decimal_integer_literal] = ACTIONS(2066),
    [sym_hex_integer_literal] = ACTIONS(2066),
    [sym_octal_integer_literal] = ACTIONS(2066),
    [sym_binary_integer_literal] = ACTIONS(2064),
    [sym_decimal_floating_point_literal] = ACTIONS(2064),
    [sym_hex_floating_point_literal] = ACTIONS(2066),
    [sym_true] = ACTIONS(2066),
    [sym_false] = ACTIONS(2066),
    [sym_character_literal] = ACTIONS(2064),
    [anon_sym_DQUOTE] = ACTIONS(2066),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2064),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2064),
    [anon_sym_RBRACE] = ACTIONS(2064),
    [sym_null_literal] = ACTIONS(2066),
    [anon_sym_LPAREN] = ACTIONS(2064),
    [anon_sym_LT] = ACTIONS(2064),
    [anon_sym_PLUS] = ACTIONS(2066),
    [anon_sym_DASH] = ACTIONS(2066),
    [anon_sym_final] = ACTIONS(2066),
    [anon_sym_DASH_GT] = ACTIONS(2064),
    [anon_sym_BANG] = ACTIONS(2064),
    [anon_sym_TILDE] = ACTIONS(2064),
    [anon_sym_PLUS_PLUS] = ACTIONS(2064),
    [anon_sym_DASH_DASH] = ACTIONS(2064),
    [anon_sym_new] = ACTIONS(2066),
    [anon_sym_LBRACK] = ACTIONS(2064),
    [anon_sym_class] = ACTIONS(2066),
    [anon_sym_switch] = ACTIONS(2066),
    [anon_sym_LBRACE] = ACTIONS(2064),
    [anon_sym_case] = ACTIONS(2066),
    [anon_sym_default] = ACTIONS(2066),
    [sym_underscore_pattern] = ACTIONS(2066),
    [anon_sym_SEMI] = ACTIONS(2064),
    [anon_sym_assert] = ACTIONS(2066),
    [anon_sym_do] = ACTIONS(2066),
    [anon_sym_while] = ACTIONS(2066),
    [anon_sym_break] = ACTIONS(2066),
    [anon_sym_continue] = ACTIONS(2066),
    [anon_sym_return] = ACTIONS(2066),
    [anon_sym_yield] = ACTIONS(2066),
    [anon_sym_synchronized] = ACTIONS(2066),
    [anon_sym_throw] = ACTIONS(2066),
    [anon_sym_try] = ACTIONS(2066),
    [anon_sym_if] = ACTIONS(2066),
    [anon_sym_else] = ACTIONS(2066),
    [anon_sym_for] = ACTIONS(2066),
    [anon_sym_AT] = ACTIONS(2066),
    [anon_sym_open] = ACTIONS(2066),
    [anon_sym_module] = ACTIONS(2066),
    [anon_sym_static] = ACTIONS(2066),
    [anon_sym_with] = ACTIONS(2066),
    [anon_sym_package] = ACTIONS(2066),
    [anon_sym_import] = ACTIONS(2066),
    [anon_sym_enum] = ACTIONS(2066),
    [anon_sym_public] = ACTIONS(2066),
    [anon_sym_protected] = ACTIONS(2066),
    [anon_sym_private] = ACTIONS(2066),
    [anon_sym_abstract] = ACTIONS(2066),
    [anon_sym_strictfp] = ACTIONS(2066),
    [anon_sym_native] = ACTIONS(2066),
    [anon_sym_transient] = ACTIONS(2066),
    [anon_sym_volatile] = ACTIONS(2066),
    [anon_sym_sealed] = ACTIONS(2066),
    [anon_sym_non_DASHsealed] = ACTIONS(2064),
    [anon_sym_record] = ACTIONS(2066),
    [anon_sym_ATinterface] = ACTIONS(2064),
    [anon_sym_interface] = ACTIONS(2066),
    [anon_sym_byte] = ACTIONS(2066),
    [anon_sym_short] = ACTIONS(2066),
    [anon_sym_int] = ACTIONS(2066),
    [anon_sym_long] = ACTIONS(2066),
    [anon_sym_char] = ACTIONS(2066),
    [anon_sym_float] = ACTIONS(2066),
    [anon_sym_double] = ACTIONS(2066),
    [sym_boolean_type] = ACTIONS(2066),
    [sym_void_type] = ACTIONS(2066),
    [anon_sym_def] = ACTIONS(2066),
    [sym_this] = ACTIONS(2066),
    [sym_super] = ACTIONS(2066),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [844] = {
    [ts_builtin_sym_end] = ACTIONS(2068),
    [sym_identifier] = ACTIONS(2070),
    [sym_decimal_integer_literal] = ACTIONS(2070),
    [sym_hex_integer_literal] = ACTIONS(2070),
    [sym_octal_integer_literal] = ACTIONS(2070),
    [sym_binary_integer_literal] = ACTIONS(2068),
    [sym_decimal_floating_point_literal] = ACTIONS(2068),
    [sym_hex_floating_point_literal] = ACTIONS(2070),
    [sym_true] = ACTIONS(2070),
    [sym_false] = ACTIONS(2070),
    [sym_character_literal] = ACTIONS(2068),
    [anon_sym_DQUOTE] = ACTIONS(2070),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2068),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2068),
    [anon_sym_RBRACE] = ACTIONS(2068),
    [sym_null_literal] = ACTIONS(2070),
    [anon_sym_LPAREN] = ACTIONS(2068),
    [anon_sym_LT] = ACTIONS(2068),
    [anon_sym_PLUS] = ACTIONS(2070),
    [anon_sym_DASH] = ACTIONS(2070),
    [anon_sym_final] = ACTIONS(2070),
    [anon_sym_DASH_GT] = ACTIONS(2068),
    [anon_sym_BANG] = ACTIONS(2068),
    [anon_sym_TILDE] = ACTIONS(2068),
    [anon_sym_PLUS_PLUS] = ACTIONS(2068),
    [anon_sym_DASH_DASH] = ACTIONS(2068),
    [anon_sym_new] = ACTIONS(2070),
    [anon_sym_LBRACK] = ACTIONS(2068),
    [anon_sym_class] = ACTIONS(2070),
    [anon_sym_switch] = ACTIONS(2070),
    [anon_sym_LBRACE] = ACTIONS(2068),
    [anon_sym_case] = ACTIONS(2070),
    [anon_sym_default] = ACTIONS(2070),
    [sym_underscore_pattern] = ACTIONS(2070),
    [anon_sym_SEMI] = ACTIONS(2068),
    [anon_sym_assert] = ACTIONS(2070),
    [anon_sym_do] = ACTIONS(2070),
    [anon_sym_while] = ACTIONS(2070),
    [anon_sym_break] = ACTIONS(2070),
    [anon_sym_continue] = ACTIONS(2070),
    [anon_sym_return] = ACTIONS(2070),
    [anon_sym_yield] = ACTIONS(2070),
    [anon_sym_synchronized] = ACTIONS(2070),
    [anon_sym_throw] = ACTIONS(2070),
    [anon_sym_try] = ACTIONS(2070),
    [anon_sym_if] = ACTIONS(2070),
    [anon_sym_else] = ACTIONS(2070),
    [anon_sym_for] = ACTIONS(2070),
    [anon_sym_AT] = ACTIONS(2070),
    [anon_sym_open] = ACTIONS(2070),
    [anon_sym_module] = ACTIONS(2070),
    [anon_sym_static] = ACTIONS(2070),
    [anon_sym_with] = ACTIONS(2070),
    [anon_sym_package] = ACTIONS(2070),
    [anon_sym_import] = ACTIONS(2070),
    [anon_sym_enum] = ACTIONS(2070),
    [anon_sym_public] = ACTIONS(2070),
    [anon_sym_protected] = ACTIONS(2070),
    [anon_sym_private] = ACTIONS(2070),
    [anon_sym_abstract] = ACTIONS(2070),
    [anon_sym_strictfp] = ACTIONS(2070),
    [anon_sym_native] = ACTIONS(2070),
    [anon_sym_transient] = ACTIONS(2070),
    [anon_sym_volatile] = ACTIONS(2070),
    [anon_sym_sealed] = ACTIONS(2070),
    [anon_sym_non_DASHsealed] = ACTIONS(2068),
    [anon_sym_record] = ACTIONS(2070),
    [anon_sym_ATinterface] = ACTIONS(2068),
    [anon_sym_interface] = ACTIONS(2070),
    [anon_sym_byte] = ACTIONS(2070),
    [anon_sym_short] = ACTIONS(2070),
    [anon_sym_int] = ACTIONS(2070),
    [anon_sym_long] = ACTIONS(2070),
    [anon_sym_char] = ACTIONS(2070),
    [anon_sym_float] = ACTIONS(2070),
    [anon_sym_double] = ACTIONS(2070),
    [sym_boolean_type] = ACTIONS(2070),
    [sym_void_type] = ACTIONS(2070),
    [anon_sym_def] = ACTIONS(2070),
    [sym_this] = ACTIONS(2070),
    [sym_super] = ACTIONS(2070),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [845] = {
    [ts_builtin_sym_end] = ACTIONS(2072),
    [sym_identifier] = ACTIONS(2074),
    [sym_decimal_integer_literal] = ACTIONS(2074),
    [sym_hex_integer_literal] = ACTIONS(2074),
    [sym_octal_integer_literal] = ACTIONS(2074),
    [sym_binary_integer_literal] = ACTIONS(2072),
    [sym_decimal_floating_point_literal] = ACTIONS(2072),
    [sym_hex_floating_point_literal] = ACTIONS(2074),
    [sym_true] = ACTIONS(2074),
    [sym_false] = ACTIONS(2074),
    [sym_character_literal] = ACTIONS(2072),
    [anon_sym_DQUOTE] = ACTIONS(2074),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2072),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2072),
    [anon_sym_RBRACE] = ACTIONS(2072),
    [sym_null_literal] = ACTIONS(2074),
    [anon_sym_LPAREN] = ACTIONS(2072),
    [anon_sym_LT] = ACTIONS(2072),
    [anon_sym_PLUS] = ACTIONS(2074),
    [anon_sym_DASH] = ACTIONS(2074),
    [anon_sym_final] = ACTIONS(2074),
    [anon_sym_DASH_GT] = ACTIONS(2072),
    [anon_sym_BANG] = ACTIONS(2072),
    [anon_sym_TILDE] = ACTIONS(2072),
    [anon_sym_PLUS_PLUS] = ACTIONS(2072),
    [anon_sym_DASH_DASH] = ACTIONS(2072),
    [anon_sym_new] = ACTIONS(2074),
    [anon_sym_LBRACK] = ACTIONS(2072),
    [anon_sym_class] = ACTIONS(2074),
    [anon_sym_switch] = ACTIONS(2074),
    [anon_sym_LBRACE] = ACTIONS(2072),
    [anon_sym_case] = ACTIONS(2074),
    [anon_sym_default] = ACTIONS(2074),
    [sym_underscore_pattern] = ACTIONS(2074),
    [anon_sym_SEMI] = ACTIONS(2072),
    [anon_sym_assert] = ACTIONS(2074),
    [anon_sym_do] = ACTIONS(2074),
    [anon_sym_while] = ACTIONS(2074),
    [anon_sym_break] = ACTIONS(2074),
    [anon_sym_continue] = ACTIONS(2074),
    [anon_sym_return] = ACTIONS(2074),
    [anon_sym_yield] = ACTIONS(2074),
    [anon_sym_synchronized] = ACTIONS(2074),
    [anon_sym_throw] = ACTIONS(2074),
    [anon_sym_try] = ACTIONS(2074),
    [anon_sym_if] = ACTIONS(2074),
    [anon_sym_else] = ACTIONS(2074),
    [anon_sym_for] = ACTIONS(2074),
    [anon_sym_AT] = ACTIONS(2074),
    [anon_sym_open] = ACTIONS(2074),
    [anon_sym_module] = ACTIONS(2074),
    [anon_sym_static] = ACTIONS(2074),
    [anon_sym_with] = ACTIONS(2074),
    [anon_sym_package] = ACTIONS(2074),
    [anon_sym_import] = ACTIONS(2074),
    [anon_sym_enum] = ACTIONS(2074),
    [anon_sym_public] = ACTIONS(2074),
    [anon_sym_protected] = ACTIONS(2074),
    [anon_sym_private] = ACTIONS(2074),
    [anon_sym_abstract] = ACTIONS(2074),
    [anon_sym_strictfp] = ACTIONS(2074),
    [anon_sym_native] = ACTIONS(2074),
    [anon_sym_transient] = ACTIONS(2074),
    [anon_sym_volatile] = ACTIONS(2074),
    [anon_sym_sealed] = ACTIONS(2074),
    [anon_sym_non_DASHsealed] = ACTIONS(2072),
    [anon_sym_record] = ACTIONS(2074),
    [anon_sym_ATinterface] = ACTIONS(2072),
    [anon_sym_interface] = ACTIONS(2074),
    [anon_sym_byte] = ACTIONS(2074),
    [anon_sym_short] = ACTIONS(2074),
    [anon_sym_int] = ACTIONS(2074),
    [anon_sym_long] = ACTIONS(2074),
    [anon_sym_char] = ACTIONS(2074),
    [anon_sym_float] = ACTIONS(2074),
    [anon_sym_double] = ACTIONS(2074),
    [sym_boolean_type] = ACTIONS(2074),
    [sym_void_type] = ACTIONS(2074),
    [anon_sym_def] = ACTIONS(2074),
    [sym_this] = ACTIONS(2074),
    [sym_super] = ACTIONS(2074),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [846] = {
    [ts_builtin_sym_end] = ACTIONS(2076),
    [sym_identifier] = ACTIONS(2078),
    [sym_decimal_integer_literal] = ACTIONS(2078),
    [sym_hex_integer_literal] = ACTIONS(2078),
    [sym_octal_integer_literal] = ACTIONS(2078),
    [sym_binary_integer_literal] = ACTIONS(2076),
    [sym_decimal_floating_point_literal] = ACTIONS(2076),
    [sym_hex_floating_point_literal] = ACTIONS(2078),
    [sym_true] = ACTIONS(2078),
    [sym_false] = ACTIONS(2078),
    [sym_character_literal] = ACTIONS(2076),
    [anon_sym_DQUOTE] = ACTIONS(2078),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2076),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2076),
    [anon_sym_RBRACE] = ACTIONS(2076),
    [sym_null_literal] = ACTIONS(2078),
    [anon_sym_LPAREN] = ACTIONS(2076),
    [anon_sym_LT] = ACTIONS(2076),
    [anon_sym_PLUS] = ACTIONS(2078),
    [anon_sym_DASH] = ACTIONS(2078),
    [anon_sym_final] = ACTIONS(2078),
    [anon_sym_DASH_GT] = ACTIONS(2076),
    [anon_sym_BANG] = ACTIONS(2076),
    [anon_sym_TILDE] = ACTIONS(2076),
    [anon_sym_PLUS_PLUS] = ACTIONS(2076),
    [anon_sym_DASH_DASH] = ACTIONS(2076),
    [anon_sym_new] = ACTIONS(2078),
    [anon_sym_LBRACK] = ACTIONS(2076),
    [anon_sym_class] = ACTIONS(2078),
    [anon_sym_switch] = ACTIONS(2078),
    [anon_sym_LBRACE] = ACTIONS(2076),
    [anon_sym_case] = ACTIONS(2078),
    [anon_sym_default] = ACTIONS(2078),
    [sym_underscore_pattern] = ACTIONS(2078),
    [anon_sym_SEMI] = ACTIONS(2076),
    [anon_sym_assert] = ACTIONS(2078),
    [anon_sym_do] = ACTIONS(2078),
    [anon_sym_while] = ACTIONS(2078),
    [anon_sym_break] = ACTIONS(2078),
    [anon_sym_continue] = ACTIONS(2078),
    [anon_sym_return] = ACTIONS(2078),
    [anon_sym_yield] = ACTIONS(2078),
    [anon_sym_synchronized] = ACTIONS(2078),
    [anon_sym_throw] = ACTIONS(2078),
    [anon_sym_try] = ACTIONS(2078),
    [anon_sym_if] = ACTIONS(2078),
    [anon_sym_else] = ACTIONS(2078),
    [anon_sym_for] = ACTIONS(2078),
    [anon_sym_AT] = ACTIONS(2078),
    [anon_sym_open] = ACTIONS(2078),
    [anon_sym_module] = ACTIONS(2078),
    [anon_sym_static] = ACTIONS(2078),
    [anon_sym_with] = ACTIONS(2078),
    [anon_sym_package] = ACTIONS(2078),
    [anon_sym_import] = ACTIONS(2078),
    [anon_sym_enum] = ACTIONS(2078),
    [anon_sym_public] = ACTIONS(2078),
    [anon_sym_protected] = ACTIONS(2078),
    [anon_sym_private] = ACTIONS(2078),
    [anon_sym_abstract] = ACTIONS(2078),
    [anon_sym_strictfp] = ACTIONS(2078),
    [anon_sym_native] = ACTIONS(2078),
    [anon_sym_transient] = ACTIONS(2078),
    [anon_sym_volatile] = ACTIONS(2078),
    [anon_sym_sealed] = ACTIONS(2078),
    [anon_sym_non_DASHsealed] = ACTIONS(2076),
    [anon_sym_record] = ACTIONS(2078),
    [anon_sym_ATinterface] = ACTIONS(2076),
    [anon_sym_interface] = ACTIONS(2078),
    [anon_sym_byte] = ACTIONS(2078),
    [anon_sym_short] = ACTIONS(2078),
    [anon_sym_int] = ACTIONS(2078),
    [anon_sym_long] = ACTIONS(2078),
    [anon_sym_char] = ACTIONS(2078),
    [anon_sym_float] = ACTIONS(2078),
    [anon_sym_double] = ACTIONS(2078),
    [sym_boolean_type] = ACTIONS(2078),
    [sym_void_type] = ACTIONS(2078),
    [anon_sym_def] = ACTIONS(2078),
    [sym_this] = ACTIONS(2078),
    [sym_super] = ACTIONS(2078),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [847] = {
    [ts_builtin_sym_end] = ACTIONS(2080),
    [sym_identifier] = ACTIONS(2082),
    [sym_decimal_integer_literal] = ACTIONS(2082),
    [sym_hex_integer_literal] = ACTIONS(2082),
    [sym_octal_integer_literal] = ACTIONS(2082),
    [sym_binary_integer_literal] = ACTIONS(2080),
    [sym_decimal_floating_point_literal] = ACTIONS(2080),
    [sym_hex_floating_point_literal] = ACTIONS(2082),
    [sym_true] = ACTIONS(2082),
    [sym_false] = ACTIONS(2082),
    [sym_character_literal] = ACTIONS(2080),
    [anon_sym_DQUOTE] = ACTIONS(2082),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2080),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2080),
    [anon_sym_RBRACE] = ACTIONS(2080),
    [sym_null_literal] = ACTIONS(2082),
    [anon_sym_LPAREN] = ACTIONS(2080),
    [anon_sym_LT] = ACTIONS(2080),
    [anon_sym_PLUS] = ACTIONS(2082),
    [anon_sym_DASH] = ACTIONS(2082),
    [anon_sym_final] = ACTIONS(2082),
    [anon_sym_DASH_GT] = ACTIONS(2080),
    [anon_sym_BANG] = ACTIONS(2080),
    [anon_sym_TILDE] = ACTIONS(2080),
    [anon_sym_PLUS_PLUS] = ACTIONS(2080),
    [anon_sym_DASH_DASH] = ACTIONS(2080),
    [anon_sym_new] = ACTIONS(2082),
    [anon_sym_LBRACK] = ACTIONS(2080),
    [anon_sym_class] = ACTIONS(2082),
    [anon_sym_switch] = ACTIONS(2082),
    [anon_sym_LBRACE] = ACTIONS(2080),
    [anon_sym_case] = ACTIONS(2082),
    [anon_sym_default] = ACTIONS(2082),
    [sym_underscore_pattern] = ACTIONS(2082),
    [anon_sym_SEMI] = ACTIONS(2080),
    [anon_sym_assert] = ACTIONS(2082),
    [anon_sym_do] = ACTIONS(2082),
    [anon_sym_while] = ACTIONS(2082),
    [anon_sym_break] = ACTIONS(2082),
    [anon_sym_continue] = ACTIONS(2082),
    [anon_sym_return] = ACTIONS(2082),
    [anon_sym_yield] = ACTIONS(2082),
    [anon_sym_synchronized] = ACTIONS(2082),
    [anon_sym_throw] = ACTIONS(2082),
    [anon_sym_try] = ACTIONS(2082),
    [anon_sym_if] = ACTIONS(2082),
    [anon_sym_else] = ACTIONS(2082),
    [anon_sym_for] = ACTIONS(2082),
    [anon_sym_AT] = ACTIONS(2082),
    [anon_sym_open] = ACTIONS(2082),
    [anon_sym_module] = ACTIONS(2082),
    [anon_sym_static] = ACTIONS(2082),
    [anon_sym_with] = ACTIONS(2082),
    [anon_sym_package] = ACTIONS(2082),
    [anon_sym_import] = ACTIONS(2082),
    [anon_sym_enum] = ACTIONS(2082),
    [anon_sym_public] = ACTIONS(2082),
    [anon_sym_protected] = ACTIONS(2082),
    [anon_sym_private] = ACTIONS(2082),
    [anon_sym_abstract] = ACTIONS(2082),
    [anon_sym_strictfp] = ACTIONS(2082),
    [anon_sym_native] = ACTIONS(2082),
    [anon_sym_transient] = ACTIONS(2082),
    [anon_sym_volatile] = ACTIONS(2082),
    [anon_sym_sealed] = ACTIONS(2082),
    [anon_sym_non_DASHsealed] = ACTIONS(2080),
    [anon_sym_record] = ACTIONS(2082),
    [anon_sym_ATinterface] = ACTIONS(2080),
    [anon_sym_interface] = ACTIONS(2082),
    [anon_sym_byte] = ACTIONS(2082),
    [anon_sym_short] = ACTIONS(2082),
    [anon_sym_int] = ACTIONS(2082),
    [anon_sym_long] = ACTIONS(2082),
    [anon_sym_char] = ACTIONS(2082),
    [anon_sym_float] = ACTIONS(2082),
    [anon_sym_double] = ACTIONS(2082),
    [sym_boolean_type] = ACTIONS(2082),
    [sym_void_type] = ACTIONS(2082),
    [anon_sym_def] = ACTIONS(2082),
    [sym_this] = ACTIONS(2082),
    [sym_super] = ACTIONS(2082),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [848] = {
    [ts_builtin_sym_end] = ACTIONS(2084),
    [sym_identifier] = ACTIONS(2086),
    [sym_decimal_integer_literal] = ACTIONS(2086),
    [sym_hex_integer_literal] = ACTIONS(2086),
    [sym_octal_integer_literal] = ACTIONS(2086),
    [sym_binary_integer_literal] = ACTIONS(2084),
    [sym_decimal_floating_point_literal] = ACTIONS(2084),
    [sym_hex_floating_point_literal] = ACTIONS(2086),
    [sym_true] = ACTIONS(2086),
    [sym_false] = ACTIONS(2086),
    [sym_character_literal] = ACTIONS(2084),
    [anon_sym_DQUOTE] = ACTIONS(2086),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2084),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2084),
    [anon_sym_RBRACE] = ACTIONS(2084),
    [sym_null_literal] = ACTIONS(2086),
    [anon_sym_LPAREN] = ACTIONS(2084),
    [anon_sym_LT] = ACTIONS(2084),
    [anon_sym_PLUS] = ACTIONS(2086),
    [anon_sym_DASH] = ACTIONS(2086),
    [anon_sym_final] = ACTIONS(2086),
    [anon_sym_DASH_GT] = ACTIONS(2084),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [anon_sym_PLUS_PLUS] = ACTIONS(2084),
    [anon_sym_DASH_DASH] = ACTIONS(2084),
    [anon_sym_new] = ACTIONS(2086),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_class] = ACTIONS(2086),
    [anon_sym_switch] = ACTIONS(2086),
    [anon_sym_LBRACE] = ACTIONS(2084),
    [anon_sym_case] = ACTIONS(2086),
    [anon_sym_default] = ACTIONS(2086),
    [sym_underscore_pattern] = ACTIONS(2086),
    [anon_sym_SEMI] = ACTIONS(2084),
    [anon_sym_assert] = ACTIONS(2086),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_while] = ACTIONS(2086),
    [anon_sym_break] = ACTIONS(2086),
    [anon_sym_continue] = ACTIONS(2086),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_yield] = ACTIONS(2086),
    [anon_sym_synchronized] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2086),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_if] = ACTIONS(2086),
    [anon_sym_else] = ACTIONS(2086),
    [anon_sym_for] = ACTIONS(2086),
    [anon_sym_AT] = ACTIONS(2086),
    [anon_sym_open] = ACTIONS(2086),
    [anon_sym_module] = ACTIONS(2086),
    [anon_sym_static] = ACTIONS(2086),
    [anon_sym_with] = ACTIONS(2086),
    [anon_sym_package] = ACTIONS(2086),
    [anon_sym_import] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_public] = ACTIONS(2086),
    [anon_sym_protected] = ACTIONS(2086),
    [anon_sym_private] = ACTIONS(2086),
    [anon_sym_abstract] = ACTIONS(2086),
    [anon_sym_strictfp] = ACTIONS(2086),
    [anon_sym_native] = ACTIONS(2086),
    [anon_sym_transient] = ACTIONS(2086),
    [anon_sym_volatile] = ACTIONS(2086),
    [anon_sym_sealed] = ACTIONS(2086),
    [anon_sym_non_DASHsealed] = ACTIONS(2084),
    [anon_sym_record] = ACTIONS(2086),
    [anon_sym_ATinterface] = ACTIONS(2084),
    [anon_sym_interface] = ACTIONS(2086),
    [anon_sym_byte] = ACTIONS(2086),
    [anon_sym_short] = ACTIONS(2086),
    [anon_sym_int] = ACTIONS(2086),
    [anon_sym_long] = ACTIONS(2086),
    [anon_sym_char] = ACTIONS(2086),
    [anon_sym_float] = ACTIONS(2086),
    [anon_sym_double] = ACTIONS(2086),
    [sym_boolean_type] = ACTIONS(2086),
    [sym_void_type] = ACTIONS(2086),
    [anon_sym_def] = ACTIONS(2086),
    [sym_this] = ACTIONS(2086),
    [sym_super] = ACTIONS(2086),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [849] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_primary_expression] = STATE(2600),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(2328),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1358),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_resource] = STATE(2605),
    [sym__annotation] = STATE(1506),
    [sym_marker_annotation] = STATE(1506),
    [sym_annotation] = STATE(1506),
    [sym_modifiers] = STATE(1918),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(1872),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym__reserved_identifier] = STATE(2144),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [aux_sym_modifiers_repeat1] = STATE(1604),
    [sym_identifier] = ACTIONS(2015),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(2017),
    [anon_sym_final] = ACTIONS(1014),
    [anon_sym_new] = ACTIONS(2021),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_default] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_synchronized] = ACTIONS(1014),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_abstract] = ACTIONS(1014),
    [anon_sym_strictfp] = ACTIONS(1014),
    [anon_sym_native] = ACTIONS(1014),
    [anon_sym_transient] = ACTIONS(1014),
    [anon_sym_volatile] = ACTIONS(1014),
    [anon_sym_sealed] = ACTIONS(1016),
    [anon_sym_non_DASHsealed] = ACTIONS(1018),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [850] = {
    [ts_builtin_sym_end] = ACTIONS(2088),
    [sym_identifier] = ACTIONS(2090),
    [sym_decimal_integer_literal] = ACTIONS(2090),
    [sym_hex_integer_literal] = ACTIONS(2090),
    [sym_octal_integer_literal] = ACTIONS(2090),
    [sym_binary_integer_literal] = ACTIONS(2088),
    [sym_decimal_floating_point_literal] = ACTIONS(2088),
    [sym_hex_floating_point_literal] = ACTIONS(2090),
    [sym_true] = ACTIONS(2090),
    [sym_false] = ACTIONS(2090),
    [sym_character_literal] = ACTIONS(2088),
    [anon_sym_DQUOTE] = ACTIONS(2090),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2088),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2088),
    [anon_sym_RBRACE] = ACTIONS(2088),
    [sym_null_literal] = ACTIONS(2090),
    [anon_sym_LPAREN] = ACTIONS(2088),
    [anon_sym_LT] = ACTIONS(2088),
    [anon_sym_PLUS] = ACTIONS(2090),
    [anon_sym_DASH] = ACTIONS(2090),
    [anon_sym_final] = ACTIONS(2090),
    [anon_sym_DASH_GT] = ACTIONS(2088),
    [anon_sym_BANG] = ACTIONS(2088),
    [anon_sym_TILDE] = ACTIONS(2088),
    [anon_sym_PLUS_PLUS] = ACTIONS(2088),
    [anon_sym_DASH_DASH] = ACTIONS(2088),
    [anon_sym_new] = ACTIONS(2090),
    [anon_sym_LBRACK] = ACTIONS(2088),
    [anon_sym_class] = ACTIONS(2090),
    [anon_sym_switch] = ACTIONS(2090),
    [anon_sym_LBRACE] = ACTIONS(2088),
    [anon_sym_case] = ACTIONS(2090),
    [anon_sym_default] = ACTIONS(2090),
    [sym_underscore_pattern] = ACTIONS(2090),
    [anon_sym_SEMI] = ACTIONS(2088),
    [anon_sym_assert] = ACTIONS(2090),
    [anon_sym_do] = ACTIONS(2090),
    [anon_sym_while] = ACTIONS(2090),
    [anon_sym_break] = ACTIONS(2090),
    [anon_sym_continue] = ACTIONS(2090),
    [anon_sym_return] = ACTIONS(2090),
    [anon_sym_yield] = ACTIONS(2090),
    [anon_sym_synchronized] = ACTIONS(2090),
    [anon_sym_throw] = ACTIONS(2090),
    [anon_sym_try] = ACTIONS(2090),
    [anon_sym_if] = ACTIONS(2090),
    [anon_sym_else] = ACTIONS(2090),
    [anon_sym_for] = ACTIONS(2090),
    [anon_sym_AT] = ACTIONS(2090),
    [anon_sym_open] = ACTIONS(2090),
    [anon_sym_module] = ACTIONS(2090),
    [anon_sym_static] = ACTIONS(2090),
    [anon_sym_with] = ACTIONS(2090),
    [anon_sym_package] = ACTIONS(2090),
    [anon_sym_import] = ACTIONS(2090),
    [anon_sym_enum] = ACTIONS(2090),
    [anon_sym_public] = ACTIONS(2090),
    [anon_sym_protected] = ACTIONS(2090),
    [anon_sym_private] = ACTIONS(2090),
    [anon_sym_abstract] = ACTIONS(2090),
    [anon_sym_strictfp] = ACTIONS(2090),
    [anon_sym_native] = ACTIONS(2090),
    [anon_sym_transient] = ACTIONS(2090),
    [anon_sym_volatile] = ACTIONS(2090),
    [anon_sym_sealed] = ACTIONS(2090),
    [anon_sym_non_DASHsealed] = ACTIONS(2088),
    [anon_sym_record] = ACTIONS(2090),
    [anon_sym_ATinterface] = ACTIONS(2088),
    [anon_sym_interface] = ACTIONS(2090),
    [anon_sym_byte] = ACTIONS(2090),
    [anon_sym_short] = ACTIONS(2090),
    [anon_sym_int] = ACTIONS(2090),
    [anon_sym_long] = ACTIONS(2090),
    [anon_sym_char] = ACTIONS(2090),
    [anon_sym_float] = ACTIONS(2090),
    [anon_sym_double] = ACTIONS(2090),
    [sym_boolean_type] = ACTIONS(2090),
    [sym_void_type] = ACTIONS(2090),
    [anon_sym_def] = ACTIONS(2090),
    [sym_this] = ACTIONS(2090),
    [sym_super] = ACTIONS(2090),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [851] = {
    [ts_builtin_sym_end] = ACTIONS(2092),
    [sym_identifier] = ACTIONS(2094),
    [sym_decimal_integer_literal] = ACTIONS(2094),
    [sym_hex_integer_literal] = ACTIONS(2094),
    [sym_octal_integer_literal] = ACTIONS(2094),
    [sym_binary_integer_literal] = ACTIONS(2092),
    [sym_decimal_floating_point_literal] = ACTIONS(2092),
    [sym_hex_floating_point_literal] = ACTIONS(2094),
    [sym_true] = ACTIONS(2094),
    [sym_false] = ACTIONS(2094),
    [sym_character_literal] = ACTIONS(2092),
    [anon_sym_DQUOTE] = ACTIONS(2094),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2092),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2092),
    [anon_sym_RBRACE] = ACTIONS(2092),
    [sym_null_literal] = ACTIONS(2094),
    [anon_sym_LPAREN] = ACTIONS(2092),
    [anon_sym_LT] = ACTIONS(2092),
    [anon_sym_PLUS] = ACTIONS(2094),
    [anon_sym_DASH] = ACTIONS(2094),
    [anon_sym_final] = ACTIONS(2094),
    [anon_sym_DASH_GT] = ACTIONS(2092),
    [anon_sym_BANG] = ACTIONS(2092),
    [anon_sym_TILDE] = ACTIONS(2092),
    [anon_sym_PLUS_PLUS] = ACTIONS(2092),
    [anon_sym_DASH_DASH] = ACTIONS(2092),
    [anon_sym_new] = ACTIONS(2094),
    [anon_sym_LBRACK] = ACTIONS(2092),
    [anon_sym_class] = ACTIONS(2094),
    [anon_sym_switch] = ACTIONS(2094),
    [anon_sym_LBRACE] = ACTIONS(2092),
    [anon_sym_case] = ACTIONS(2094),
    [anon_sym_default] = ACTIONS(2094),
    [sym_underscore_pattern] = ACTIONS(2094),
    [anon_sym_SEMI] = ACTIONS(2092),
    [anon_sym_assert] = ACTIONS(2094),
    [anon_sym_do] = ACTIONS(2094),
    [anon_sym_while] = ACTIONS(2094),
    [anon_sym_break] = ACTIONS(2094),
    [anon_sym_continue] = ACTIONS(2094),
    [anon_sym_return] = ACTIONS(2094),
    [anon_sym_yield] = ACTIONS(2094),
    [anon_sym_synchronized] = ACTIONS(2094),
    [anon_sym_throw] = ACTIONS(2094),
    [anon_sym_try] = ACTIONS(2094),
    [anon_sym_if] = ACTIONS(2094),
    [anon_sym_else] = ACTIONS(2094),
    [anon_sym_for] = ACTIONS(2094),
    [anon_sym_AT] = ACTIONS(2094),
    [anon_sym_open] = ACTIONS(2094),
    [anon_sym_module] = ACTIONS(2094),
    [anon_sym_static] = ACTIONS(2094),
    [anon_sym_with] = ACTIONS(2094),
    [anon_sym_package] = ACTIONS(2094),
    [anon_sym_import] = ACTIONS(2094),
    [anon_sym_enum] = ACTIONS(2094),
    [anon_sym_public] = ACTIONS(2094),
    [anon_sym_protected] = ACTIONS(2094),
    [anon_sym_private] = ACTIONS(2094),
    [anon_sym_abstract] = ACTIONS(2094),
    [anon_sym_strictfp] = ACTIONS(2094),
    [anon_sym_native] = ACTIONS(2094),
    [anon_sym_transient] = ACTIONS(2094),
    [anon_sym_volatile] = ACTIONS(2094),
    [anon_sym_sealed] = ACTIONS(2094),
    [anon_sym_non_DASHsealed] = ACTIONS(2092),
    [anon_sym_record] = ACTIONS(2094),
    [anon_sym_ATinterface] = ACTIONS(2092),
    [anon_sym_interface] = ACTIONS(2094),
    [anon_sym_byte] = ACTIONS(2094),
    [anon_sym_short] = ACTIONS(2094),
    [anon_sym_int] = ACTIONS(2094),
    [anon_sym_long] = ACTIONS(2094),
    [anon_sym_char] = ACTIONS(2094),
    [anon_sym_float] = ACTIONS(2094),
    [anon_sym_double] = ACTIONS(2094),
    [sym_boolean_type] = ACTIONS(2094),
    [sym_void_type] = ACTIONS(2094),
    [anon_sym_def] = ACTIONS(2094),
    [sym_this] = ACTIONS(2094),
    [sym_super] = ACTIONS(2094),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [852] = {
    [ts_builtin_sym_end] = ACTIONS(2096),
    [sym_identifier] = ACTIONS(2098),
    [sym_decimal_integer_literal] = ACTIONS(2098),
    [sym_hex_integer_literal] = ACTIONS(2098),
    [sym_octal_integer_literal] = ACTIONS(2098),
    [sym_binary_integer_literal] = ACTIONS(2096),
    [sym_decimal_floating_point_literal] = ACTIONS(2096),
    [sym_hex_floating_point_literal] = ACTIONS(2098),
    [sym_true] = ACTIONS(2098),
    [sym_false] = ACTIONS(2098),
    [sym_character_literal] = ACTIONS(2096),
    [anon_sym_DQUOTE] = ACTIONS(2098),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2096),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2096),
    [anon_sym_RBRACE] = ACTIONS(2096),
    [sym_null_literal] = ACTIONS(2098),
    [anon_sym_LPAREN] = ACTIONS(2096),
    [anon_sym_LT] = ACTIONS(2096),
    [anon_sym_PLUS] = ACTIONS(2098),
    [anon_sym_DASH] = ACTIONS(2098),
    [anon_sym_final] = ACTIONS(2098),
    [anon_sym_DASH_GT] = ACTIONS(2096),
    [anon_sym_BANG] = ACTIONS(2096),
    [anon_sym_TILDE] = ACTIONS(2096),
    [anon_sym_PLUS_PLUS] = ACTIONS(2096),
    [anon_sym_DASH_DASH] = ACTIONS(2096),
    [anon_sym_new] = ACTIONS(2098),
    [anon_sym_LBRACK] = ACTIONS(2096),
    [anon_sym_class] = ACTIONS(2098),
    [anon_sym_switch] = ACTIONS(2098),
    [anon_sym_LBRACE] = ACTIONS(2096),
    [anon_sym_case] = ACTIONS(2098),
    [anon_sym_default] = ACTIONS(2098),
    [sym_underscore_pattern] = ACTIONS(2098),
    [anon_sym_SEMI] = ACTIONS(2096),
    [anon_sym_assert] = ACTIONS(2098),
    [anon_sym_do] = ACTIONS(2098),
    [anon_sym_while] = ACTIONS(2098),
    [anon_sym_break] = ACTIONS(2098),
    [anon_sym_continue] = ACTIONS(2098),
    [anon_sym_return] = ACTIONS(2098),
    [anon_sym_yield] = ACTIONS(2098),
    [anon_sym_synchronized] = ACTIONS(2098),
    [anon_sym_throw] = ACTIONS(2098),
    [anon_sym_try] = ACTIONS(2098),
    [anon_sym_if] = ACTIONS(2098),
    [anon_sym_else] = ACTIONS(2098),
    [anon_sym_for] = ACTIONS(2098),
    [anon_sym_AT] = ACTIONS(2098),
    [anon_sym_open] = ACTIONS(2098),
    [anon_sym_module] = ACTIONS(2098),
    [anon_sym_static] = ACTIONS(2098),
    [anon_sym_with] = ACTIONS(2098),
    [anon_sym_package] = ACTIONS(2098),
    [anon_sym_import] = ACTIONS(2098),
    [anon_sym_enum] = ACTIONS(2098),
    [anon_sym_public] = ACTIONS(2098),
    [anon_sym_protected] = ACTIONS(2098),
    [anon_sym_private] = ACTIONS(2098),
    [anon_sym_abstract] = ACTIONS(2098),
    [anon_sym_strictfp] = ACTIONS(2098),
    [anon_sym_native] = ACTIONS(2098),
    [anon_sym_transient] = ACTIONS(2098),
    [anon_sym_volatile] = ACTIONS(2098),
    [anon_sym_sealed] = ACTIONS(2098),
    [anon_sym_non_DASHsealed] = ACTIONS(2096),
    [anon_sym_record] = ACTIONS(2098),
    [anon_sym_ATinterface] = ACTIONS(2096),
    [anon_sym_interface] = ACTIONS(2098),
    [anon_sym_byte] = ACTIONS(2098),
    [anon_sym_short] = ACTIONS(2098),
    [anon_sym_int] = ACTIONS(2098),
    [anon_sym_long] = ACTIONS(2098),
    [anon_sym_char] = ACTIONS(2098),
    [anon_sym_float] = ACTIONS(2098),
    [anon_sym_double] = ACTIONS(2098),
    [sym_boolean_type] = ACTIONS(2098),
    [sym_void_type] = ACTIONS(2098),
    [anon_sym_def] = ACTIONS(2098),
    [sym_this] = ACTIONS(2098),
    [sym_super] = ACTIONS(2098),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [853] = {
    [ts_builtin_sym_end] = ACTIONS(2100),
    [sym_identifier] = ACTIONS(2102),
    [sym_decimal_integer_literal] = ACTIONS(2102),
    [sym_hex_integer_literal] = ACTIONS(2102),
    [sym_octal_integer_literal] = ACTIONS(2102),
    [sym_binary_integer_literal] = ACTIONS(2100),
    [sym_decimal_floating_point_literal] = ACTIONS(2100),
    [sym_hex_floating_point_literal] = ACTIONS(2102),
    [sym_true] = ACTIONS(2102),
    [sym_false] = ACTIONS(2102),
    [sym_character_literal] = ACTIONS(2100),
    [anon_sym_DQUOTE] = ACTIONS(2102),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2100),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2100),
    [anon_sym_RBRACE] = ACTIONS(2100),
    [sym_null_literal] = ACTIONS(2102),
    [anon_sym_LPAREN] = ACTIONS(2100),
    [anon_sym_LT] = ACTIONS(2100),
    [anon_sym_PLUS] = ACTIONS(2102),
    [anon_sym_DASH] = ACTIONS(2102),
    [anon_sym_final] = ACTIONS(2102),
    [anon_sym_DASH_GT] = ACTIONS(2100),
    [anon_sym_BANG] = ACTIONS(2100),
    [anon_sym_TILDE] = ACTIONS(2100),
    [anon_sym_PLUS_PLUS] = ACTIONS(2100),
    [anon_sym_DASH_DASH] = ACTIONS(2100),
    [anon_sym_new] = ACTIONS(2102),
    [anon_sym_LBRACK] = ACTIONS(2100),
    [anon_sym_class] = ACTIONS(2102),
    [anon_sym_switch] = ACTIONS(2102),
    [anon_sym_LBRACE] = ACTIONS(2100),
    [anon_sym_case] = ACTIONS(2102),
    [anon_sym_default] = ACTIONS(2102),
    [sym_underscore_pattern] = ACTIONS(2102),
    [anon_sym_SEMI] = ACTIONS(2100),
    [anon_sym_assert] = ACTIONS(2102),
    [anon_sym_do] = ACTIONS(2102),
    [anon_sym_while] = ACTIONS(2102),
    [anon_sym_break] = ACTIONS(2102),
    [anon_sym_continue] = ACTIONS(2102),
    [anon_sym_return] = ACTIONS(2102),
    [anon_sym_yield] = ACTIONS(2102),
    [anon_sym_synchronized] = ACTIONS(2102),
    [anon_sym_throw] = ACTIONS(2102),
    [anon_sym_try] = ACTIONS(2102),
    [anon_sym_if] = ACTIONS(2102),
    [anon_sym_else] = ACTIONS(2102),
    [anon_sym_for] = ACTIONS(2102),
    [anon_sym_AT] = ACTIONS(2102),
    [anon_sym_open] = ACTIONS(2102),
    [anon_sym_module] = ACTIONS(2102),
    [anon_sym_static] = ACTIONS(2102),
    [anon_sym_with] = ACTIONS(2102),
    [anon_sym_package] = ACTIONS(2102),
    [anon_sym_import] = ACTIONS(2102),
    [anon_sym_enum] = ACTIONS(2102),
    [anon_sym_public] = ACTIONS(2102),
    [anon_sym_protected] = ACTIONS(2102),
    [anon_sym_private] = ACTIONS(2102),
    [anon_sym_abstract] = ACTIONS(2102),
    [anon_sym_strictfp] = ACTIONS(2102),
    [anon_sym_native] = ACTIONS(2102),
    [anon_sym_transient] = ACTIONS(2102),
    [anon_sym_volatile] = ACTIONS(2102),
    [anon_sym_sealed] = ACTIONS(2102),
    [anon_sym_non_DASHsealed] = ACTIONS(2100),
    [anon_sym_record] = ACTIONS(2102),
    [anon_sym_ATinterface] = ACTIONS(2100),
    [anon_sym_interface] = ACTIONS(2102),
    [anon_sym_byte] = ACTIONS(2102),
    [anon_sym_short] = ACTIONS(2102),
    [anon_sym_int] = ACTIONS(2102),
    [anon_sym_long] = ACTIONS(2102),
    [anon_sym_char] = ACTIONS(2102),
    [anon_sym_float] = ACTIONS(2102),
    [anon_sym_double] = ACTIONS(2102),
    [sym_boolean_type] = ACTIONS(2102),
    [sym_void_type] = ACTIONS(2102),
    [anon_sym_def] = ACTIONS(2102),
    [sym_this] = ACTIONS(2102),
    [sym_super] = ACTIONS(2102),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [854] = {
    [ts_builtin_sym_end] = ACTIONS(2104),
    [sym_identifier] = ACTIONS(2106),
    [sym_decimal_integer_literal] = ACTIONS(2106),
    [sym_hex_integer_literal] = ACTIONS(2106),
    [sym_octal_integer_literal] = ACTIONS(2106),
    [sym_binary_integer_literal] = ACTIONS(2104),
    [sym_decimal_floating_point_literal] = ACTIONS(2104),
    [sym_hex_floating_point_literal] = ACTIONS(2106),
    [sym_true] = ACTIONS(2106),
    [sym_false] = ACTIONS(2106),
    [sym_character_literal] = ACTIONS(2104),
    [anon_sym_DQUOTE] = ACTIONS(2106),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2104),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2104),
    [anon_sym_RBRACE] = ACTIONS(2104),
    [sym_null_literal] = ACTIONS(2106),
    [anon_sym_LPAREN] = ACTIONS(2104),
    [anon_sym_LT] = ACTIONS(2104),
    [anon_sym_PLUS] = ACTIONS(2106),
    [anon_sym_DASH] = ACTIONS(2106),
    [anon_sym_final] = ACTIONS(2106),
    [anon_sym_DASH_GT] = ACTIONS(2104),
    [anon_sym_BANG] = ACTIONS(2104),
    [anon_sym_TILDE] = ACTIONS(2104),
    [anon_sym_PLUS_PLUS] = ACTIONS(2104),
    [anon_sym_DASH_DASH] = ACTIONS(2104),
    [anon_sym_new] = ACTIONS(2106),
    [anon_sym_LBRACK] = ACTIONS(2104),
    [anon_sym_class] = ACTIONS(2106),
    [anon_sym_switch] = ACTIONS(2106),
    [anon_sym_LBRACE] = ACTIONS(2104),
    [anon_sym_case] = ACTIONS(2106),
    [anon_sym_default] = ACTIONS(2106),
    [sym_underscore_pattern] = ACTIONS(2106),
    [anon_sym_SEMI] = ACTIONS(2104),
    [anon_sym_assert] = ACTIONS(2106),
    [anon_sym_do] = ACTIONS(2106),
    [anon_sym_while] = ACTIONS(2106),
    [anon_sym_break] = ACTIONS(2106),
    [anon_sym_continue] = ACTIONS(2106),
    [anon_sym_return] = ACTIONS(2106),
    [anon_sym_yield] = ACTIONS(2106),
    [anon_sym_synchronized] = ACTIONS(2106),
    [anon_sym_throw] = ACTIONS(2106),
    [anon_sym_try] = ACTIONS(2106),
    [anon_sym_if] = ACTIONS(2106),
    [anon_sym_else] = ACTIONS(2106),
    [anon_sym_for] = ACTIONS(2106),
    [anon_sym_AT] = ACTIONS(2106),
    [anon_sym_open] = ACTIONS(2106),
    [anon_sym_module] = ACTIONS(2106),
    [anon_sym_static] = ACTIONS(2106),
    [anon_sym_with] = ACTIONS(2106),
    [anon_sym_package] = ACTIONS(2106),
    [anon_sym_import] = ACTIONS(2106),
    [anon_sym_enum] = ACTIONS(2106),
    [anon_sym_public] = ACTIONS(2106),
    [anon_sym_protected] = ACTIONS(2106),
    [anon_sym_private] = ACTIONS(2106),
    [anon_sym_abstract] = ACTIONS(2106),
    [anon_sym_strictfp] = ACTIONS(2106),
    [anon_sym_native] = ACTIONS(2106),
    [anon_sym_transient] = ACTIONS(2106),
    [anon_sym_volatile] = ACTIONS(2106),
    [anon_sym_sealed] = ACTIONS(2106),
    [anon_sym_non_DASHsealed] = ACTIONS(2104),
    [anon_sym_record] = ACTIONS(2106),
    [anon_sym_ATinterface] = ACTIONS(2104),
    [anon_sym_interface] = ACTIONS(2106),
    [anon_sym_byte] = ACTIONS(2106),
    [anon_sym_short] = ACTIONS(2106),
    [anon_sym_int] = ACTIONS(2106),
    [anon_sym_long] = ACTIONS(2106),
    [anon_sym_char] = ACTIONS(2106),
    [anon_sym_float] = ACTIONS(2106),
    [anon_sym_double] = ACTIONS(2106),
    [sym_boolean_type] = ACTIONS(2106),
    [sym_void_type] = ACTIONS(2106),
    [anon_sym_def] = ACTIONS(2106),
    [sym_this] = ACTIONS(2106),
    [sym_super] = ACTIONS(2106),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [855] = {
    [ts_builtin_sym_end] = ACTIONS(2108),
    [sym_identifier] = ACTIONS(2110),
    [sym_decimal_integer_literal] = ACTIONS(2110),
    [sym_hex_integer_literal] = ACTIONS(2110),
    [sym_octal_integer_literal] = ACTIONS(2110),
    [sym_binary_integer_literal] = ACTIONS(2108),
    [sym_decimal_floating_point_literal] = ACTIONS(2108),
    [sym_hex_floating_point_literal] = ACTIONS(2110),
    [sym_true] = ACTIONS(2110),
    [sym_false] = ACTIONS(2110),
    [sym_character_literal] = ACTIONS(2108),
    [anon_sym_DQUOTE] = ACTIONS(2110),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2108),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2108),
    [anon_sym_RBRACE] = ACTIONS(2108),
    [sym_null_literal] = ACTIONS(2110),
    [anon_sym_LPAREN] = ACTIONS(2108),
    [anon_sym_LT] = ACTIONS(2108),
    [anon_sym_PLUS] = ACTIONS(2110),
    [anon_sym_DASH] = ACTIONS(2110),
    [anon_sym_final] = ACTIONS(2110),
    [anon_sym_DASH_GT] = ACTIONS(2108),
    [anon_sym_BANG] = ACTIONS(2108),
    [anon_sym_TILDE] = ACTIONS(2108),
    [anon_sym_PLUS_PLUS] = ACTIONS(2108),
    [anon_sym_DASH_DASH] = ACTIONS(2108),
    [anon_sym_new] = ACTIONS(2110),
    [anon_sym_LBRACK] = ACTIONS(2108),
    [anon_sym_class] = ACTIONS(2110),
    [anon_sym_switch] = ACTIONS(2110),
    [anon_sym_LBRACE] = ACTIONS(2108),
    [anon_sym_case] = ACTIONS(2110),
    [anon_sym_default] = ACTIONS(2110),
    [sym_underscore_pattern] = ACTIONS(2110),
    [anon_sym_SEMI] = ACTIONS(2108),
    [anon_sym_assert] = ACTIONS(2110),
    [anon_sym_do] = ACTIONS(2110),
    [anon_sym_while] = ACTIONS(2110),
    [anon_sym_break] = ACTIONS(2110),
    [anon_sym_continue] = ACTIONS(2110),
    [anon_sym_return] = ACTIONS(2110),
    [anon_sym_yield] = ACTIONS(2110),
    [anon_sym_synchronized] = ACTIONS(2110),
    [anon_sym_throw] = ACTIONS(2110),
    [anon_sym_try] = ACTIONS(2110),
    [anon_sym_if] = ACTIONS(2110),
    [anon_sym_else] = ACTIONS(2110),
    [anon_sym_for] = ACTIONS(2110),
    [anon_sym_AT] = ACTIONS(2110),
    [anon_sym_open] = ACTIONS(2110),
    [anon_sym_module] = ACTIONS(2110),
    [anon_sym_static] = ACTIONS(2110),
    [anon_sym_with] = ACTIONS(2110),
    [anon_sym_package] = ACTIONS(2110),
    [anon_sym_import] = ACTIONS(2110),
    [anon_sym_enum] = ACTIONS(2110),
    [anon_sym_public] = ACTIONS(2110),
    [anon_sym_protected] = ACTIONS(2110),
    [anon_sym_private] = ACTIONS(2110),
    [anon_sym_abstract] = ACTIONS(2110),
    [anon_sym_strictfp] = ACTIONS(2110),
    [anon_sym_native] = ACTIONS(2110),
    [anon_sym_transient] = ACTIONS(2110),
    [anon_sym_volatile] = ACTIONS(2110),
    [anon_sym_sealed] = ACTIONS(2110),
    [anon_sym_non_DASHsealed] = ACTIONS(2108),
    [anon_sym_record] = ACTIONS(2110),
    [anon_sym_ATinterface] = ACTIONS(2108),
    [anon_sym_interface] = ACTIONS(2110),
    [anon_sym_byte] = ACTIONS(2110),
    [anon_sym_short] = ACTIONS(2110),
    [anon_sym_int] = ACTIONS(2110),
    [anon_sym_long] = ACTIONS(2110),
    [anon_sym_char] = ACTIONS(2110),
    [anon_sym_float] = ACTIONS(2110),
    [anon_sym_double] = ACTIONS(2110),
    [sym_boolean_type] = ACTIONS(2110),
    [sym_void_type] = ACTIONS(2110),
    [anon_sym_def] = ACTIONS(2110),
    [sym_this] = ACTIONS(2110),
    [sym_super] = ACTIONS(2110),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [856] = {
    [ts_builtin_sym_end] = ACTIONS(1612),
    [sym_identifier] = ACTIONS(1607),
    [sym_decimal_integer_literal] = ACTIONS(1607),
    [sym_hex_integer_literal] = ACTIONS(1607),
    [sym_octal_integer_literal] = ACTIONS(1607),
    [sym_binary_integer_literal] = ACTIONS(1612),
    [sym_decimal_floating_point_literal] = ACTIONS(1612),
    [sym_hex_floating_point_literal] = ACTIONS(1607),
    [sym_true] = ACTIONS(1607),
    [sym_false] = ACTIONS(1607),
    [sym_character_literal] = ACTIONS(1612),
    [anon_sym_DQUOTE] = ACTIONS(1607),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1612),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1612),
    [anon_sym_RBRACE] = ACTIONS(1612),
    [sym_null_literal] = ACTIONS(1607),
    [anon_sym_LPAREN] = ACTIONS(1612),
    [anon_sym_LT] = ACTIONS(1612),
    [anon_sym_PLUS] = ACTIONS(1607),
    [anon_sym_DASH] = ACTIONS(1607),
    [anon_sym_final] = ACTIONS(1607),
    [anon_sym_DASH_GT] = ACTIONS(1612),
    [anon_sym_BANG] = ACTIONS(1612),
    [anon_sym_TILDE] = ACTIONS(1612),
    [anon_sym_PLUS_PLUS] = ACTIONS(1612),
    [anon_sym_DASH_DASH] = ACTIONS(1612),
    [anon_sym_new] = ACTIONS(1607),
    [anon_sym_LBRACK] = ACTIONS(1612),
    [anon_sym_class] = ACTIONS(1607),
    [anon_sym_switch] = ACTIONS(1607),
    [anon_sym_LBRACE] = ACTIONS(1612),
    [anon_sym_case] = ACTIONS(1607),
    [anon_sym_default] = ACTIONS(1607),
    [sym_underscore_pattern] = ACTIONS(1607),
    [anon_sym_SEMI] = ACTIONS(1612),
    [anon_sym_assert] = ACTIONS(1607),
    [anon_sym_do] = ACTIONS(1607),
    [anon_sym_while] = ACTIONS(1607),
    [anon_sym_break] = ACTIONS(1607),
    [anon_sym_continue] = ACTIONS(1607),
    [anon_sym_return] = ACTIONS(1607),
    [anon_sym_yield] = ACTIONS(1607),
    [anon_sym_synchronized] = ACTIONS(1607),
    [anon_sym_throw] = ACTIONS(1607),
    [anon_sym_try] = ACTIONS(1607),
    [anon_sym_if] = ACTIONS(1607),
    [anon_sym_else] = ACTIONS(1607),
    [anon_sym_for] = ACTIONS(1607),
    [anon_sym_AT] = ACTIONS(1607),
    [anon_sym_open] = ACTIONS(1607),
    [anon_sym_module] = ACTIONS(1607),
    [anon_sym_static] = ACTIONS(1607),
    [anon_sym_with] = ACTIONS(1607),
    [anon_sym_package] = ACTIONS(1607),
    [anon_sym_import] = ACTIONS(1607),
    [anon_sym_enum] = ACTIONS(1607),
    [anon_sym_public] = ACTIONS(1607),
    [anon_sym_protected] = ACTIONS(1607),
    [anon_sym_private] = ACTIONS(1607),
    [anon_sym_abstract] = ACTIONS(1607),
    [anon_sym_strictfp] = ACTIONS(1607),
    [anon_sym_native] = ACTIONS(1607),
    [anon_sym_transient] = ACTIONS(1607),
    [anon_sym_volatile] = ACTIONS(1607),
    [anon_sym_sealed] = ACTIONS(1607),
    [anon_sym_non_DASHsealed] = ACTIONS(1612),
    [anon_sym_record] = ACTIONS(1607),
    [anon_sym_ATinterface] = ACTIONS(1612),
    [anon_sym_interface] = ACTIONS(1607),
    [anon_sym_byte] = ACTIONS(1607),
    [anon_sym_short] = ACTIONS(1607),
    [anon_sym_int] = ACTIONS(1607),
    [anon_sym_long] = ACTIONS(1607),
    [anon_sym_char] = ACTIONS(1607),
    [anon_sym_float] = ACTIONS(1607),
    [anon_sym_double] = ACTIONS(1607),
    [sym_boolean_type] = ACTIONS(1607),
    [sym_void_type] = ACTIONS(1607),
    [anon_sym_def] = ACTIONS(1607),
    [sym_this] = ACTIONS(1607),
    [sym_super] = ACTIONS(1607),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [857] = {
    [ts_builtin_sym_end] = ACTIONS(2112),
    [sym_identifier] = ACTIONS(2114),
    [sym_decimal_integer_literal] = ACTIONS(2114),
    [sym_hex_integer_literal] = ACTIONS(2114),
    [sym_octal_integer_literal] = ACTIONS(2114),
    [sym_binary_integer_literal] = ACTIONS(2112),
    [sym_decimal_floating_point_literal] = ACTIONS(2112),
    [sym_hex_floating_point_literal] = ACTIONS(2114),
    [sym_true] = ACTIONS(2114),
    [sym_false] = ACTIONS(2114),
    [sym_character_literal] = ACTIONS(2112),
    [anon_sym_DQUOTE] = ACTIONS(2114),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2112),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2112),
    [anon_sym_RBRACE] = ACTIONS(2112),
    [sym_null_literal] = ACTIONS(2114),
    [anon_sym_LPAREN] = ACTIONS(2112),
    [anon_sym_LT] = ACTIONS(2112),
    [anon_sym_PLUS] = ACTIONS(2114),
    [anon_sym_DASH] = ACTIONS(2114),
    [anon_sym_final] = ACTIONS(2114),
    [anon_sym_DASH_GT] = ACTIONS(2112),
    [anon_sym_BANG] = ACTIONS(2112),
    [anon_sym_TILDE] = ACTIONS(2112),
    [anon_sym_PLUS_PLUS] = ACTIONS(2112),
    [anon_sym_DASH_DASH] = ACTIONS(2112),
    [anon_sym_new] = ACTIONS(2114),
    [anon_sym_LBRACK] = ACTIONS(2112),
    [anon_sym_class] = ACTIONS(2114),
    [anon_sym_switch] = ACTIONS(2114),
    [anon_sym_LBRACE] = ACTIONS(2112),
    [anon_sym_case] = ACTIONS(2114),
    [anon_sym_default] = ACTIONS(2114),
    [sym_underscore_pattern] = ACTIONS(2114),
    [anon_sym_SEMI] = ACTIONS(2112),
    [anon_sym_assert] = ACTIONS(2114),
    [anon_sym_do] = ACTIONS(2114),
    [anon_sym_while] = ACTIONS(2114),
    [anon_sym_break] = ACTIONS(2114),
    [anon_sym_continue] = ACTIONS(2114),
    [anon_sym_return] = ACTIONS(2114),
    [anon_sym_yield] = ACTIONS(2114),
    [anon_sym_synchronized] = ACTIONS(2114),
    [anon_sym_throw] = ACTIONS(2114),
    [anon_sym_try] = ACTIONS(2114),
    [anon_sym_if] = ACTIONS(2114),
    [anon_sym_else] = ACTIONS(2114),
    [anon_sym_for] = ACTIONS(2114),
    [anon_sym_AT] = ACTIONS(2114),
    [anon_sym_open] = ACTIONS(2114),
    [anon_sym_module] = ACTIONS(2114),
    [anon_sym_static] = ACTIONS(2114),
    [anon_sym_with] = ACTIONS(2114),
    [anon_sym_package] = ACTIONS(2114),
    [anon_sym_import] = ACTIONS(2114),
    [anon_sym_enum] = ACTIONS(2114),
    [anon_sym_public] = ACTIONS(2114),
    [anon_sym_protected] = ACTIONS(2114),
    [anon_sym_private] = ACTIONS(2114),
    [anon_sym_abstract] = ACTIONS(2114),
    [anon_sym_strictfp] = ACTIONS(2114),
    [anon_sym_native] = ACTIONS(2114),
    [anon_sym_transient] = ACTIONS(2114),
    [anon_sym_volatile] = ACTIONS(2114),
    [anon_sym_sealed] = ACTIONS(2114),
    [anon_sym_non_DASHsealed] = ACTIONS(2112),
    [anon_sym_record] = ACTIONS(2114),
    [anon_sym_ATinterface] = ACTIONS(2112),
    [anon_sym_interface] = ACTIONS(2114),
    [anon_sym_byte] = ACTIONS(2114),
    [anon_sym_short] = ACTIONS(2114),
    [anon_sym_int] = ACTIONS(2114),
    [anon_sym_long] = ACTIONS(2114),
    [anon_sym_char] = ACTIONS(2114),
    [anon_sym_float] = ACTIONS(2114),
    [anon_sym_double] = ACTIONS(2114),
    [sym_boolean_type] = ACTIONS(2114),
    [sym_void_type] = ACTIONS(2114),
    [anon_sym_def] = ACTIONS(2114),
    [sym_this] = ACTIONS(2114),
    [sym_super] = ACTIONS(2114),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [858] = {
    [ts_builtin_sym_end] = ACTIONS(2116),
    [sym_identifier] = ACTIONS(2118),
    [sym_decimal_integer_literal] = ACTIONS(2118),
    [sym_hex_integer_literal] = ACTIONS(2118),
    [sym_octal_integer_literal] = ACTIONS(2118),
    [sym_binary_integer_literal] = ACTIONS(2116),
    [sym_decimal_floating_point_literal] = ACTIONS(2116),
    [sym_hex_floating_point_literal] = ACTIONS(2118),
    [sym_true] = ACTIONS(2118),
    [sym_false] = ACTIONS(2118),
    [sym_character_literal] = ACTIONS(2116),
    [anon_sym_DQUOTE] = ACTIONS(2118),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2116),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2116),
    [anon_sym_RBRACE] = ACTIONS(2116),
    [sym_null_literal] = ACTIONS(2118),
    [anon_sym_LPAREN] = ACTIONS(2116),
    [anon_sym_LT] = ACTIONS(2116),
    [anon_sym_PLUS] = ACTIONS(2118),
    [anon_sym_DASH] = ACTIONS(2118),
    [anon_sym_final] = ACTIONS(2118),
    [anon_sym_DASH_GT] = ACTIONS(2116),
    [anon_sym_BANG] = ACTIONS(2116),
    [anon_sym_TILDE] = ACTIONS(2116),
    [anon_sym_PLUS_PLUS] = ACTIONS(2116),
    [anon_sym_DASH_DASH] = ACTIONS(2116),
    [anon_sym_new] = ACTIONS(2118),
    [anon_sym_LBRACK] = ACTIONS(2116),
    [anon_sym_class] = ACTIONS(2118),
    [anon_sym_switch] = ACTIONS(2118),
    [anon_sym_LBRACE] = ACTIONS(2116),
    [anon_sym_case] = ACTIONS(2118),
    [anon_sym_default] = ACTIONS(2118),
    [sym_underscore_pattern] = ACTIONS(2118),
    [anon_sym_SEMI] = ACTIONS(2116),
    [anon_sym_assert] = ACTIONS(2118),
    [anon_sym_do] = ACTIONS(2118),
    [anon_sym_while] = ACTIONS(2118),
    [anon_sym_break] = ACTIONS(2118),
    [anon_sym_continue] = ACTIONS(2118),
    [anon_sym_return] = ACTIONS(2118),
    [anon_sym_yield] = ACTIONS(2118),
    [anon_sym_synchronized] = ACTIONS(2118),
    [anon_sym_throw] = ACTIONS(2118),
    [anon_sym_try] = ACTIONS(2118),
    [anon_sym_if] = ACTIONS(2118),
    [anon_sym_else] = ACTIONS(2118),
    [anon_sym_for] = ACTIONS(2118),
    [anon_sym_AT] = ACTIONS(2118),
    [anon_sym_open] = ACTIONS(2118),
    [anon_sym_module] = ACTIONS(2118),
    [anon_sym_static] = ACTIONS(2118),
    [anon_sym_with] = ACTIONS(2118),
    [anon_sym_package] = ACTIONS(2118),
    [anon_sym_import] = ACTIONS(2118),
    [anon_sym_enum] = ACTIONS(2118),
    [anon_sym_public] = ACTIONS(2118),
    [anon_sym_protected] = ACTIONS(2118),
    [anon_sym_private] = ACTIONS(2118),
    [anon_sym_abstract] = ACTIONS(2118),
    [anon_sym_strictfp] = ACTIONS(2118),
    [anon_sym_native] = ACTIONS(2118),
    [anon_sym_transient] = ACTIONS(2118),
    [anon_sym_volatile] = ACTIONS(2118),
    [anon_sym_sealed] = ACTIONS(2118),
    [anon_sym_non_DASHsealed] = ACTIONS(2116),
    [anon_sym_record] = ACTIONS(2118),
    [anon_sym_ATinterface] = ACTIONS(2116),
    [anon_sym_interface] = ACTIONS(2118),
    [anon_sym_byte] = ACTIONS(2118),
    [anon_sym_short] = ACTIONS(2118),
    [anon_sym_int] = ACTIONS(2118),
    [anon_sym_long] = ACTIONS(2118),
    [anon_sym_char] = ACTIONS(2118),
    [anon_sym_float] = ACTIONS(2118),
    [anon_sym_double] = ACTIONS(2118),
    [sym_boolean_type] = ACTIONS(2118),
    [sym_void_type] = ACTIONS(2118),
    [anon_sym_def] = ACTIONS(2118),
    [sym_this] = ACTIONS(2118),
    [sym_super] = ACTIONS(2118),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [859] = {
    [ts_builtin_sym_end] = ACTIONS(2120),
    [sym_identifier] = ACTIONS(2122),
    [sym_decimal_integer_literal] = ACTIONS(2122),
    [sym_hex_integer_literal] = ACTIONS(2122),
    [sym_octal_integer_literal] = ACTIONS(2122),
    [sym_binary_integer_literal] = ACTIONS(2120),
    [sym_decimal_floating_point_literal] = ACTIONS(2120),
    [sym_hex_floating_point_literal] = ACTIONS(2122),
    [sym_true] = ACTIONS(2122),
    [sym_false] = ACTIONS(2122),
    [sym_character_literal] = ACTIONS(2120),
    [anon_sym_DQUOTE] = ACTIONS(2122),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2120),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2120),
    [anon_sym_RBRACE] = ACTIONS(2120),
    [sym_null_literal] = ACTIONS(2122),
    [anon_sym_LPAREN] = ACTIONS(2120),
    [anon_sym_LT] = ACTIONS(2120),
    [anon_sym_PLUS] = ACTIONS(2122),
    [anon_sym_DASH] = ACTIONS(2122),
    [anon_sym_final] = ACTIONS(2122),
    [anon_sym_DASH_GT] = ACTIONS(2120),
    [anon_sym_BANG] = ACTIONS(2120),
    [anon_sym_TILDE] = ACTIONS(2120),
    [anon_sym_PLUS_PLUS] = ACTIONS(2120),
    [anon_sym_DASH_DASH] = ACTIONS(2120),
    [anon_sym_new] = ACTIONS(2122),
    [anon_sym_LBRACK] = ACTIONS(2120),
    [anon_sym_class] = ACTIONS(2122),
    [anon_sym_switch] = ACTIONS(2122),
    [anon_sym_LBRACE] = ACTIONS(2120),
    [anon_sym_case] = ACTIONS(2122),
    [anon_sym_default] = ACTIONS(2122),
    [sym_underscore_pattern] = ACTIONS(2122),
    [anon_sym_SEMI] = ACTIONS(2120),
    [anon_sym_assert] = ACTIONS(2122),
    [anon_sym_do] = ACTIONS(2122),
    [anon_sym_while] = ACTIONS(2122),
    [anon_sym_break] = ACTIONS(2122),
    [anon_sym_continue] = ACTIONS(2122),
    [anon_sym_return] = ACTIONS(2122),
    [anon_sym_yield] = ACTIONS(2122),
    [anon_sym_synchronized] = ACTIONS(2122),
    [anon_sym_throw] = ACTIONS(2122),
    [anon_sym_try] = ACTIONS(2122),
    [anon_sym_if] = ACTIONS(2122),
    [anon_sym_else] = ACTIONS(2122),
    [anon_sym_for] = ACTIONS(2122),
    [anon_sym_AT] = ACTIONS(2122),
    [anon_sym_open] = ACTIONS(2122),
    [anon_sym_module] = ACTIONS(2122),
    [anon_sym_static] = ACTIONS(2122),
    [anon_sym_with] = ACTIONS(2122),
    [anon_sym_package] = ACTIONS(2122),
    [anon_sym_import] = ACTIONS(2122),
    [anon_sym_enum] = ACTIONS(2122),
    [anon_sym_public] = ACTIONS(2122),
    [anon_sym_protected] = ACTIONS(2122),
    [anon_sym_private] = ACTIONS(2122),
    [anon_sym_abstract] = ACTIONS(2122),
    [anon_sym_strictfp] = ACTIONS(2122),
    [anon_sym_native] = ACTIONS(2122),
    [anon_sym_transient] = ACTIONS(2122),
    [anon_sym_volatile] = ACTIONS(2122),
    [anon_sym_sealed] = ACTIONS(2122),
    [anon_sym_non_DASHsealed] = ACTIONS(2120),
    [anon_sym_record] = ACTIONS(2122),
    [anon_sym_ATinterface] = ACTIONS(2120),
    [anon_sym_interface] = ACTIONS(2122),
    [anon_sym_byte] = ACTIONS(2122),
    [anon_sym_short] = ACTIONS(2122),
    [anon_sym_int] = ACTIONS(2122),
    [anon_sym_long] = ACTIONS(2122),
    [anon_sym_char] = ACTIONS(2122),
    [anon_sym_float] = ACTIONS(2122),
    [anon_sym_double] = ACTIONS(2122),
    [sym_boolean_type] = ACTIONS(2122),
    [sym_void_type] = ACTIONS(2122),
    [anon_sym_def] = ACTIONS(2122),
    [sym_this] = ACTIONS(2122),
    [sym_super] = ACTIONS(2122),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [860] = {
    [ts_builtin_sym_end] = ACTIONS(2124),
    [sym_identifier] = ACTIONS(2126),
    [sym_decimal_integer_literal] = ACTIONS(2126),
    [sym_hex_integer_literal] = ACTIONS(2126),
    [sym_octal_integer_literal] = ACTIONS(2126),
    [sym_binary_integer_literal] = ACTIONS(2124),
    [sym_decimal_floating_point_literal] = ACTIONS(2124),
    [sym_hex_floating_point_literal] = ACTIONS(2126),
    [sym_true] = ACTIONS(2126),
    [sym_false] = ACTIONS(2126),
    [sym_character_literal] = ACTIONS(2124),
    [anon_sym_DQUOTE] = ACTIONS(2126),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2124),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2124),
    [anon_sym_RBRACE] = ACTIONS(2124),
    [sym_null_literal] = ACTIONS(2126),
    [anon_sym_LPAREN] = ACTIONS(2124),
    [anon_sym_LT] = ACTIONS(2124),
    [anon_sym_PLUS] = ACTIONS(2126),
    [anon_sym_DASH] = ACTIONS(2126),
    [anon_sym_final] = ACTIONS(2126),
    [anon_sym_DASH_GT] = ACTIONS(2124),
    [anon_sym_BANG] = ACTIONS(2124),
    [anon_sym_TILDE] = ACTIONS(2124),
    [anon_sym_PLUS_PLUS] = ACTIONS(2124),
    [anon_sym_DASH_DASH] = ACTIONS(2124),
    [anon_sym_new] = ACTIONS(2126),
    [anon_sym_LBRACK] = ACTIONS(2124),
    [anon_sym_class] = ACTIONS(2126),
    [anon_sym_switch] = ACTIONS(2126),
    [anon_sym_LBRACE] = ACTIONS(2124),
    [anon_sym_case] = ACTIONS(2126),
    [anon_sym_default] = ACTIONS(2126),
    [sym_underscore_pattern] = ACTIONS(2126),
    [anon_sym_SEMI] = ACTIONS(2124),
    [anon_sym_assert] = ACTIONS(2126),
    [anon_sym_do] = ACTIONS(2126),
    [anon_sym_while] = ACTIONS(2126),
    [anon_sym_break] = ACTIONS(2126),
    [anon_sym_continue] = ACTIONS(2126),
    [anon_sym_return] = ACTIONS(2126),
    [anon_sym_yield] = ACTIONS(2126),
    [anon_sym_synchronized] = ACTIONS(2126),
    [anon_sym_throw] = ACTIONS(2126),
    [anon_sym_try] = ACTIONS(2126),
    [anon_sym_if] = ACTIONS(2126),
    [anon_sym_else] = ACTIONS(2126),
    [anon_sym_for] = ACTIONS(2126),
    [anon_sym_AT] = ACTIONS(2126),
    [anon_sym_open] = ACTIONS(2126),
    [anon_sym_module] = ACTIONS(2126),
    [anon_sym_static] = ACTIONS(2126),
    [anon_sym_with] = ACTIONS(2126),
    [anon_sym_package] = ACTIONS(2126),
    [anon_sym_import] = ACTIONS(2126),
    [anon_sym_enum] = ACTIONS(2126),
    [anon_sym_public] = ACTIONS(2126),
    [anon_sym_protected] = ACTIONS(2126),
    [anon_sym_private] = ACTIONS(2126),
    [anon_sym_abstract] = ACTIONS(2126),
    [anon_sym_strictfp] = ACTIONS(2126),
    [anon_sym_native] = ACTIONS(2126),
    [anon_sym_transient] = ACTIONS(2126),
    [anon_sym_volatile] = ACTIONS(2126),
    [anon_sym_sealed] = ACTIONS(2126),
    [anon_sym_non_DASHsealed] = ACTIONS(2124),
    [anon_sym_record] = ACTIONS(2126),
    [anon_sym_ATinterface] = ACTIONS(2124),
    [anon_sym_interface] = ACTIONS(2126),
    [anon_sym_byte] = ACTIONS(2126),
    [anon_sym_short] = ACTIONS(2126),
    [anon_sym_int] = ACTIONS(2126),
    [anon_sym_long] = ACTIONS(2126),
    [anon_sym_char] = ACTIONS(2126),
    [anon_sym_float] = ACTIONS(2126),
    [anon_sym_double] = ACTIONS(2126),
    [sym_boolean_type] = ACTIONS(2126),
    [sym_void_type] = ACTIONS(2126),
    [anon_sym_def] = ACTIONS(2126),
    [sym_this] = ACTIONS(2126),
    [sym_super] = ACTIONS(2126),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [861] = {
    [ts_builtin_sym_end] = ACTIONS(2128),
    [sym_identifier] = ACTIONS(2130),
    [sym_decimal_integer_literal] = ACTIONS(2130),
    [sym_hex_integer_literal] = ACTIONS(2130),
    [sym_octal_integer_literal] = ACTIONS(2130),
    [sym_binary_integer_literal] = ACTIONS(2128),
    [sym_decimal_floating_point_literal] = ACTIONS(2128),
    [sym_hex_floating_point_literal] = ACTIONS(2130),
    [sym_true] = ACTIONS(2130),
    [sym_false] = ACTIONS(2130),
    [sym_character_literal] = ACTIONS(2128),
    [anon_sym_DQUOTE] = ACTIONS(2130),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2128),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2128),
    [anon_sym_RBRACE] = ACTIONS(2128),
    [sym_null_literal] = ACTIONS(2130),
    [anon_sym_LPAREN] = ACTIONS(2128),
    [anon_sym_LT] = ACTIONS(2128),
    [anon_sym_PLUS] = ACTIONS(2130),
    [anon_sym_DASH] = ACTIONS(2130),
    [anon_sym_final] = ACTIONS(2130),
    [anon_sym_DASH_GT] = ACTIONS(2128),
    [anon_sym_BANG] = ACTIONS(2128),
    [anon_sym_TILDE] = ACTIONS(2128),
    [anon_sym_PLUS_PLUS] = ACTIONS(2128),
    [anon_sym_DASH_DASH] = ACTIONS(2128),
    [anon_sym_new] = ACTIONS(2130),
    [anon_sym_LBRACK] = ACTIONS(2128),
    [anon_sym_class] = ACTIONS(2130),
    [anon_sym_switch] = ACTIONS(2130),
    [anon_sym_LBRACE] = ACTIONS(2128),
    [anon_sym_case] = ACTIONS(2130),
    [anon_sym_default] = ACTIONS(2130),
    [sym_underscore_pattern] = ACTIONS(2130),
    [anon_sym_SEMI] = ACTIONS(2128),
    [anon_sym_assert] = ACTIONS(2130),
    [anon_sym_do] = ACTIONS(2130),
    [anon_sym_while] = ACTIONS(2130),
    [anon_sym_break] = ACTIONS(2130),
    [anon_sym_continue] = ACTIONS(2130),
    [anon_sym_return] = ACTIONS(2130),
    [anon_sym_yield] = ACTIONS(2130),
    [anon_sym_synchronized] = ACTIONS(2130),
    [anon_sym_throw] = ACTIONS(2130),
    [anon_sym_try] = ACTIONS(2130),
    [anon_sym_if] = ACTIONS(2130),
    [anon_sym_else] = ACTIONS(2130),
    [anon_sym_for] = ACTIONS(2130),
    [anon_sym_AT] = ACTIONS(2130),
    [anon_sym_open] = ACTIONS(2130),
    [anon_sym_module] = ACTIONS(2130),
    [anon_sym_static] = ACTIONS(2130),
    [anon_sym_with] = ACTIONS(2130),
    [anon_sym_package] = ACTIONS(2130),
    [anon_sym_import] = ACTIONS(2130),
    [anon_sym_enum] = ACTIONS(2130),
    [anon_sym_public] = ACTIONS(2130),
    [anon_sym_protected] = ACTIONS(2130),
    [anon_sym_private] = ACTIONS(2130),
    [anon_sym_abstract] = ACTIONS(2130),
    [anon_sym_strictfp] = ACTIONS(2130),
    [anon_sym_native] = ACTIONS(2130),
    [anon_sym_transient] = ACTIONS(2130),
    [anon_sym_volatile] = ACTIONS(2130),
    [anon_sym_sealed] = ACTIONS(2130),
    [anon_sym_non_DASHsealed] = ACTIONS(2128),
    [anon_sym_record] = ACTIONS(2130),
    [anon_sym_ATinterface] = ACTIONS(2128),
    [anon_sym_interface] = ACTIONS(2130),
    [anon_sym_byte] = ACTIONS(2130),
    [anon_sym_short] = ACTIONS(2130),
    [anon_sym_int] = ACTIONS(2130),
    [anon_sym_long] = ACTIONS(2130),
    [anon_sym_char] = ACTIONS(2130),
    [anon_sym_float] = ACTIONS(2130),
    [anon_sym_double] = ACTIONS(2130),
    [sym_boolean_type] = ACTIONS(2130),
    [sym_void_type] = ACTIONS(2130),
    [anon_sym_def] = ACTIONS(2130),
    [sym_this] = ACTIONS(2130),
    [sym_super] = ACTIONS(2130),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [862] = {
    [ts_builtin_sym_end] = ACTIONS(2132),
    [sym_identifier] = ACTIONS(2134),
    [sym_decimal_integer_literal] = ACTIONS(2134),
    [sym_hex_integer_literal] = ACTIONS(2134),
    [sym_octal_integer_literal] = ACTIONS(2134),
    [sym_binary_integer_literal] = ACTIONS(2132),
    [sym_decimal_floating_point_literal] = ACTIONS(2132),
    [sym_hex_floating_point_literal] = ACTIONS(2134),
    [sym_true] = ACTIONS(2134),
    [sym_false] = ACTIONS(2134),
    [sym_character_literal] = ACTIONS(2132),
    [anon_sym_DQUOTE] = ACTIONS(2134),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2132),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2132),
    [anon_sym_RBRACE] = ACTIONS(2132),
    [sym_null_literal] = ACTIONS(2134),
    [anon_sym_LPAREN] = ACTIONS(2132),
    [anon_sym_LT] = ACTIONS(2132),
    [anon_sym_PLUS] = ACTIONS(2134),
    [anon_sym_DASH] = ACTIONS(2134),
    [anon_sym_final] = ACTIONS(2134),
    [anon_sym_DASH_GT] = ACTIONS(2132),
    [anon_sym_BANG] = ACTIONS(2132),
    [anon_sym_TILDE] = ACTIONS(2132),
    [anon_sym_PLUS_PLUS] = ACTIONS(2132),
    [anon_sym_DASH_DASH] = ACTIONS(2132),
    [anon_sym_new] = ACTIONS(2134),
    [anon_sym_LBRACK] = ACTIONS(2132),
    [anon_sym_class] = ACTIONS(2134),
    [anon_sym_switch] = ACTIONS(2134),
    [anon_sym_LBRACE] = ACTIONS(2132),
    [anon_sym_case] = ACTIONS(2134),
    [anon_sym_default] = ACTIONS(2134),
    [sym_underscore_pattern] = ACTIONS(2134),
    [anon_sym_SEMI] = ACTIONS(2132),
    [anon_sym_assert] = ACTIONS(2134),
    [anon_sym_do] = ACTIONS(2134),
    [anon_sym_while] = ACTIONS(2134),
    [anon_sym_break] = ACTIONS(2134),
    [anon_sym_continue] = ACTIONS(2134),
    [anon_sym_return] = ACTIONS(2134),
    [anon_sym_yield] = ACTIONS(2134),
    [anon_sym_synchronized] = ACTIONS(2134),
    [anon_sym_throw] = ACTIONS(2134),
    [anon_sym_try] = ACTIONS(2134),
    [anon_sym_if] = ACTIONS(2134),
    [anon_sym_else] = ACTIONS(2134),
    [anon_sym_for] = ACTIONS(2134),
    [anon_sym_AT] = ACTIONS(2134),
    [anon_sym_open] = ACTIONS(2134),
    [anon_sym_module] = ACTIONS(2134),
    [anon_sym_static] = ACTIONS(2134),
    [anon_sym_with] = ACTIONS(2134),
    [anon_sym_package] = ACTIONS(2134),
    [anon_sym_import] = ACTIONS(2134),
    [anon_sym_enum] = ACTIONS(2134),
    [anon_sym_public] = ACTIONS(2134),
    [anon_sym_protected] = ACTIONS(2134),
    [anon_sym_private] = ACTIONS(2134),
    [anon_sym_abstract] = ACTIONS(2134),
    [anon_sym_strictfp] = ACTIONS(2134),
    [anon_sym_native] = ACTIONS(2134),
    [anon_sym_transient] = ACTIONS(2134),
    [anon_sym_volatile] = ACTIONS(2134),
    [anon_sym_sealed] = ACTIONS(2134),
    [anon_sym_non_DASHsealed] = ACTIONS(2132),
    [anon_sym_record] = ACTIONS(2134),
    [anon_sym_ATinterface] = ACTIONS(2132),
    [anon_sym_interface] = ACTIONS(2134),
    [anon_sym_byte] = ACTIONS(2134),
    [anon_sym_short] = ACTIONS(2134),
    [anon_sym_int] = ACTIONS(2134),
    [anon_sym_long] = ACTIONS(2134),
    [anon_sym_char] = ACTIONS(2134),
    [anon_sym_float] = ACTIONS(2134),
    [anon_sym_double] = ACTIONS(2134),
    [sym_boolean_type] = ACTIONS(2134),
    [sym_void_type] = ACTIONS(2134),
    [anon_sym_def] = ACTIONS(2134),
    [sym_this] = ACTIONS(2134),
    [sym_super] = ACTIONS(2134),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [863] = {
    [ts_builtin_sym_end] = ACTIONS(2136),
    [sym_identifier] = ACTIONS(2138),
    [sym_decimal_integer_literal] = ACTIONS(2138),
    [sym_hex_integer_literal] = ACTIONS(2138),
    [sym_octal_integer_literal] = ACTIONS(2138),
    [sym_binary_integer_literal] = ACTIONS(2136),
    [sym_decimal_floating_point_literal] = ACTIONS(2136),
    [sym_hex_floating_point_literal] = ACTIONS(2138),
    [sym_true] = ACTIONS(2138),
    [sym_false] = ACTIONS(2138),
    [sym_character_literal] = ACTIONS(2136),
    [anon_sym_DQUOTE] = ACTIONS(2138),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2136),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2136),
    [anon_sym_RBRACE] = ACTIONS(2136),
    [sym_null_literal] = ACTIONS(2138),
    [anon_sym_LPAREN] = ACTIONS(2136),
    [anon_sym_LT] = ACTIONS(2136),
    [anon_sym_PLUS] = ACTIONS(2138),
    [anon_sym_DASH] = ACTIONS(2138),
    [anon_sym_final] = ACTIONS(2138),
    [anon_sym_DASH_GT] = ACTIONS(2136),
    [anon_sym_BANG] = ACTIONS(2136),
    [anon_sym_TILDE] = ACTIONS(2136),
    [anon_sym_PLUS_PLUS] = ACTIONS(2136),
    [anon_sym_DASH_DASH] = ACTIONS(2136),
    [anon_sym_new] = ACTIONS(2138),
    [anon_sym_LBRACK] = ACTIONS(2136),
    [anon_sym_class] = ACTIONS(2138),
    [anon_sym_switch] = ACTIONS(2138),
    [anon_sym_LBRACE] = ACTIONS(2136),
    [anon_sym_case] = ACTIONS(2138),
    [anon_sym_default] = ACTIONS(2138),
    [sym_underscore_pattern] = ACTIONS(2138),
    [anon_sym_SEMI] = ACTIONS(2136),
    [anon_sym_assert] = ACTIONS(2138),
    [anon_sym_do] = ACTIONS(2138),
    [anon_sym_while] = ACTIONS(2138),
    [anon_sym_break] = ACTIONS(2138),
    [anon_sym_continue] = ACTIONS(2138),
    [anon_sym_return] = ACTIONS(2138),
    [anon_sym_yield] = ACTIONS(2138),
    [anon_sym_synchronized] = ACTIONS(2138),
    [anon_sym_throw] = ACTIONS(2138),
    [anon_sym_try] = ACTIONS(2138),
    [anon_sym_if] = ACTIONS(2138),
    [anon_sym_else] = ACTIONS(2138),
    [anon_sym_for] = ACTIONS(2138),
    [anon_sym_AT] = ACTIONS(2138),
    [anon_sym_open] = ACTIONS(2138),
    [anon_sym_module] = ACTIONS(2138),
    [anon_sym_static] = ACTIONS(2138),
    [anon_sym_with] = ACTIONS(2138),
    [anon_sym_package] = ACTIONS(2138),
    [anon_sym_import] = ACTIONS(2138),
    [anon_sym_enum] = ACTIONS(2138),
    [anon_sym_public] = ACTIONS(2138),
    [anon_sym_protected] = ACTIONS(2138),
    [anon_sym_private] = ACTIONS(2138),
    [anon_sym_abstract] = ACTIONS(2138),
    [anon_sym_strictfp] = ACTIONS(2138),
    [anon_sym_native] = ACTIONS(2138),
    [anon_sym_transient] = ACTIONS(2138),
    [anon_sym_volatile] = ACTIONS(2138),
    [anon_sym_sealed] = ACTIONS(2138),
    [anon_sym_non_DASHsealed] = ACTIONS(2136),
    [anon_sym_record] = ACTIONS(2138),
    [anon_sym_ATinterface] = ACTIONS(2136),
    [anon_sym_interface] = ACTIONS(2138),
    [anon_sym_byte] = ACTIONS(2138),
    [anon_sym_short] = ACTIONS(2138),
    [anon_sym_int] = ACTIONS(2138),
    [anon_sym_long] = ACTIONS(2138),
    [anon_sym_char] = ACTIONS(2138),
    [anon_sym_float] = ACTIONS(2138),
    [anon_sym_double] = ACTIONS(2138),
    [sym_boolean_type] = ACTIONS(2138),
    [sym_void_type] = ACTIONS(2138),
    [anon_sym_def] = ACTIONS(2138),
    [sym_this] = ACTIONS(2138),
    [sym_super] = ACTIONS(2138),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [864] = {
    [ts_builtin_sym_end] = ACTIONS(2140),
    [sym_identifier] = ACTIONS(2142),
    [sym_decimal_integer_literal] = ACTIONS(2142),
    [sym_hex_integer_literal] = ACTIONS(2142),
    [sym_octal_integer_literal] = ACTIONS(2142),
    [sym_binary_integer_literal] = ACTIONS(2140),
    [sym_decimal_floating_point_literal] = ACTIONS(2140),
    [sym_hex_floating_point_literal] = ACTIONS(2142),
    [sym_true] = ACTIONS(2142),
    [sym_false] = ACTIONS(2142),
    [sym_character_literal] = ACTIONS(2140),
    [anon_sym_DQUOTE] = ACTIONS(2142),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2140),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2140),
    [anon_sym_RBRACE] = ACTIONS(2140),
    [sym_null_literal] = ACTIONS(2142),
    [anon_sym_LPAREN] = ACTIONS(2140),
    [anon_sym_LT] = ACTIONS(2140),
    [anon_sym_PLUS] = ACTIONS(2142),
    [anon_sym_DASH] = ACTIONS(2142),
    [anon_sym_final] = ACTIONS(2142),
    [anon_sym_DASH_GT] = ACTIONS(2140),
    [anon_sym_BANG] = ACTIONS(2140),
    [anon_sym_TILDE] = ACTIONS(2140),
    [anon_sym_PLUS_PLUS] = ACTIONS(2140),
    [anon_sym_DASH_DASH] = ACTIONS(2140),
    [anon_sym_new] = ACTIONS(2142),
    [anon_sym_LBRACK] = ACTIONS(2140),
    [anon_sym_class] = ACTIONS(2142),
    [anon_sym_switch] = ACTIONS(2142),
    [anon_sym_LBRACE] = ACTIONS(2140),
    [anon_sym_case] = ACTIONS(2142),
    [anon_sym_default] = ACTIONS(2142),
    [sym_underscore_pattern] = ACTIONS(2142),
    [anon_sym_SEMI] = ACTIONS(2140),
    [anon_sym_assert] = ACTIONS(2142),
    [anon_sym_do] = ACTIONS(2142),
    [anon_sym_while] = ACTIONS(2142),
    [anon_sym_break] = ACTIONS(2142),
    [anon_sym_continue] = ACTIONS(2142),
    [anon_sym_return] = ACTIONS(2142),
    [anon_sym_yield] = ACTIONS(2142),
    [anon_sym_synchronized] = ACTIONS(2142),
    [anon_sym_throw] = ACTIONS(2142),
    [anon_sym_try] = ACTIONS(2142),
    [anon_sym_if] = ACTIONS(2142),
    [anon_sym_else] = ACTIONS(2142),
    [anon_sym_for] = ACTIONS(2142),
    [anon_sym_AT] = ACTIONS(2142),
    [anon_sym_open] = ACTIONS(2142),
    [anon_sym_module] = ACTIONS(2142),
    [anon_sym_static] = ACTIONS(2142),
    [anon_sym_with] = ACTIONS(2142),
    [anon_sym_package] = ACTIONS(2142),
    [anon_sym_import] = ACTIONS(2142),
    [anon_sym_enum] = ACTIONS(2142),
    [anon_sym_public] = ACTIONS(2142),
    [anon_sym_protected] = ACTIONS(2142),
    [anon_sym_private] = ACTIONS(2142),
    [anon_sym_abstract] = ACTIONS(2142),
    [anon_sym_strictfp] = ACTIONS(2142),
    [anon_sym_native] = ACTIONS(2142),
    [anon_sym_transient] = ACTIONS(2142),
    [anon_sym_volatile] = ACTIONS(2142),
    [anon_sym_sealed] = ACTIONS(2142),
    [anon_sym_non_DASHsealed] = ACTIONS(2140),
    [anon_sym_record] = ACTIONS(2142),
    [anon_sym_ATinterface] = ACTIONS(2140),
    [anon_sym_interface] = ACTIONS(2142),
    [anon_sym_byte] = ACTIONS(2142),
    [anon_sym_short] = ACTIONS(2142),
    [anon_sym_int] = ACTIONS(2142),
    [anon_sym_long] = ACTIONS(2142),
    [anon_sym_char] = ACTIONS(2142),
    [anon_sym_float] = ACTIONS(2142),
    [anon_sym_double] = ACTIONS(2142),
    [sym_boolean_type] = ACTIONS(2142),
    [sym_void_type] = ACTIONS(2142),
    [anon_sym_def] = ACTIONS(2142),
    [sym_this] = ACTIONS(2142),
    [sym_super] = ACTIONS(2142),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [865] = {
    [ts_builtin_sym_end] = ACTIONS(2144),
    [sym_identifier] = ACTIONS(2146),
    [sym_decimal_integer_literal] = ACTIONS(2146),
    [sym_hex_integer_literal] = ACTIONS(2146),
    [sym_octal_integer_literal] = ACTIONS(2146),
    [sym_binary_integer_literal] = ACTIONS(2144),
    [sym_decimal_floating_point_literal] = ACTIONS(2144),
    [sym_hex_floating_point_literal] = ACTIONS(2146),
    [sym_true] = ACTIONS(2146),
    [sym_false] = ACTIONS(2146),
    [sym_character_literal] = ACTIONS(2144),
    [anon_sym_DQUOTE] = ACTIONS(2146),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2144),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2144),
    [anon_sym_RBRACE] = ACTIONS(2144),
    [sym_null_literal] = ACTIONS(2146),
    [anon_sym_LPAREN] = ACTIONS(2144),
    [anon_sym_LT] = ACTIONS(2144),
    [anon_sym_PLUS] = ACTIONS(2146),
    [anon_sym_DASH] = ACTIONS(2146),
    [anon_sym_final] = ACTIONS(2146),
    [anon_sym_DASH_GT] = ACTIONS(2144),
    [anon_sym_BANG] = ACTIONS(2144),
    [anon_sym_TILDE] = ACTIONS(2144),
    [anon_sym_PLUS_PLUS] = ACTIONS(2144),
    [anon_sym_DASH_DASH] = ACTIONS(2144),
    [anon_sym_new] = ACTIONS(2146),
    [anon_sym_LBRACK] = ACTIONS(2144),
    [anon_sym_class] = ACTIONS(2146),
    [anon_sym_switch] = ACTIONS(2146),
    [anon_sym_LBRACE] = ACTIONS(2144),
    [anon_sym_case] = ACTIONS(2146),
    [anon_sym_default] = ACTIONS(2146),
    [sym_underscore_pattern] = ACTIONS(2146),
    [anon_sym_SEMI] = ACTIONS(2144),
    [anon_sym_assert] = ACTIONS(2146),
    [anon_sym_do] = ACTIONS(2146),
    [anon_sym_while] = ACTIONS(2146),
    [anon_sym_break] = ACTIONS(2146),
    [anon_sym_continue] = ACTIONS(2146),
    [anon_sym_return] = ACTIONS(2146),
    [anon_sym_yield] = ACTIONS(2146),
    [anon_sym_synchronized] = ACTIONS(2146),
    [anon_sym_throw] = ACTIONS(2146),
    [anon_sym_try] = ACTIONS(2146),
    [anon_sym_if] = ACTIONS(2146),
    [anon_sym_else] = ACTIONS(2146),
    [anon_sym_for] = ACTIONS(2146),
    [anon_sym_AT] = ACTIONS(2146),
    [anon_sym_open] = ACTIONS(2146),
    [anon_sym_module] = ACTIONS(2146),
    [anon_sym_static] = ACTIONS(2146),
    [anon_sym_with] = ACTIONS(2146),
    [anon_sym_package] = ACTIONS(2146),
    [anon_sym_import] = ACTIONS(2146),
    [anon_sym_enum] = ACTIONS(2146),
    [anon_sym_public] = ACTIONS(2146),
    [anon_sym_protected] = ACTIONS(2146),
    [anon_sym_private] = ACTIONS(2146),
    [anon_sym_abstract] = ACTIONS(2146),
    [anon_sym_strictfp] = ACTIONS(2146),
    [anon_sym_native] = ACTIONS(2146),
    [anon_sym_transient] = ACTIONS(2146),
    [anon_sym_volatile] = ACTIONS(2146),
    [anon_sym_sealed] = ACTIONS(2146),
    [anon_sym_non_DASHsealed] = ACTIONS(2144),
    [anon_sym_record] = ACTIONS(2146),
    [anon_sym_ATinterface] = ACTIONS(2144),
    [anon_sym_interface] = ACTIONS(2146),
    [anon_sym_byte] = ACTIONS(2146),
    [anon_sym_short] = ACTIONS(2146),
    [anon_sym_int] = ACTIONS(2146),
    [anon_sym_long] = ACTIONS(2146),
    [anon_sym_char] = ACTIONS(2146),
    [anon_sym_float] = ACTIONS(2146),
    [anon_sym_double] = ACTIONS(2146),
    [sym_boolean_type] = ACTIONS(2146),
    [sym_void_type] = ACTIONS(2146),
    [anon_sym_def] = ACTIONS(2146),
    [sym_this] = ACTIONS(2146),
    [sym_super] = ACTIONS(2146),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [866] = {
    [ts_builtin_sym_end] = ACTIONS(2148),
    [sym_identifier] = ACTIONS(2150),
    [sym_decimal_integer_literal] = ACTIONS(2150),
    [sym_hex_integer_literal] = ACTIONS(2150),
    [sym_octal_integer_literal] = ACTIONS(2150),
    [sym_binary_integer_literal] = ACTIONS(2148),
    [sym_decimal_floating_point_literal] = ACTIONS(2148),
    [sym_hex_floating_point_literal] = ACTIONS(2150),
    [sym_true] = ACTIONS(2150),
    [sym_false] = ACTIONS(2150),
    [sym_character_literal] = ACTIONS(2148),
    [anon_sym_DQUOTE] = ACTIONS(2150),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2148),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2148),
    [anon_sym_RBRACE] = ACTIONS(2148),
    [sym_null_literal] = ACTIONS(2150),
    [anon_sym_LPAREN] = ACTIONS(2148),
    [anon_sym_LT] = ACTIONS(2148),
    [anon_sym_PLUS] = ACTIONS(2150),
    [anon_sym_DASH] = ACTIONS(2150),
    [anon_sym_final] = ACTIONS(2150),
    [anon_sym_DASH_GT] = ACTIONS(2148),
    [anon_sym_BANG] = ACTIONS(2148),
    [anon_sym_TILDE] = ACTIONS(2148),
    [anon_sym_PLUS_PLUS] = ACTIONS(2148),
    [anon_sym_DASH_DASH] = ACTIONS(2148),
    [anon_sym_new] = ACTIONS(2150),
    [anon_sym_LBRACK] = ACTIONS(2148),
    [anon_sym_class] = ACTIONS(2150),
    [anon_sym_switch] = ACTIONS(2150),
    [anon_sym_LBRACE] = ACTIONS(2148),
    [anon_sym_case] = ACTIONS(2150),
    [anon_sym_default] = ACTIONS(2150),
    [sym_underscore_pattern] = ACTIONS(2150),
    [anon_sym_SEMI] = ACTIONS(2148),
    [anon_sym_assert] = ACTIONS(2150),
    [anon_sym_do] = ACTIONS(2150),
    [anon_sym_while] = ACTIONS(2150),
    [anon_sym_break] = ACTIONS(2150),
    [anon_sym_continue] = ACTIONS(2150),
    [anon_sym_return] = ACTIONS(2150),
    [anon_sym_yield] = ACTIONS(2150),
    [anon_sym_synchronized] = ACTIONS(2150),
    [anon_sym_throw] = ACTIONS(2150),
    [anon_sym_try] = ACTIONS(2150),
    [anon_sym_if] = ACTIONS(2150),
    [anon_sym_else] = ACTIONS(2150),
    [anon_sym_for] = ACTIONS(2150),
    [anon_sym_AT] = ACTIONS(2150),
    [anon_sym_open] = ACTIONS(2150),
    [anon_sym_module] = ACTIONS(2150),
    [anon_sym_static] = ACTIONS(2150),
    [anon_sym_with] = ACTIONS(2150),
    [anon_sym_package] = ACTIONS(2150),
    [anon_sym_import] = ACTIONS(2150),
    [anon_sym_enum] = ACTIONS(2150),
    [anon_sym_public] = ACTIONS(2150),
    [anon_sym_protected] = ACTIONS(2150),
    [anon_sym_private] = ACTIONS(2150),
    [anon_sym_abstract] = ACTIONS(2150),
    [anon_sym_strictfp] = ACTIONS(2150),
    [anon_sym_native] = ACTIONS(2150),
    [anon_sym_transient] = ACTIONS(2150),
    [anon_sym_volatile] = ACTIONS(2150),
    [anon_sym_sealed] = ACTIONS(2150),
    [anon_sym_non_DASHsealed] = ACTIONS(2148),
    [anon_sym_record] = ACTIONS(2150),
    [anon_sym_ATinterface] = ACTIONS(2148),
    [anon_sym_interface] = ACTIONS(2150),
    [anon_sym_byte] = ACTIONS(2150),
    [anon_sym_short] = ACTIONS(2150),
    [anon_sym_int] = ACTIONS(2150),
    [anon_sym_long] = ACTIONS(2150),
    [anon_sym_char] = ACTIONS(2150),
    [anon_sym_float] = ACTIONS(2150),
    [anon_sym_double] = ACTIONS(2150),
    [sym_boolean_type] = ACTIONS(2150),
    [sym_void_type] = ACTIONS(2150),
    [anon_sym_def] = ACTIONS(2150),
    [sym_this] = ACTIONS(2150),
    [sym_super] = ACTIONS(2150),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [867] = {
    [ts_builtin_sym_end] = ACTIONS(2152),
    [sym_identifier] = ACTIONS(2154),
    [sym_decimal_integer_literal] = ACTIONS(2154),
    [sym_hex_integer_literal] = ACTIONS(2154),
    [sym_octal_integer_literal] = ACTIONS(2154),
    [sym_binary_integer_literal] = ACTIONS(2152),
    [sym_decimal_floating_point_literal] = ACTIONS(2152),
    [sym_hex_floating_point_literal] = ACTIONS(2154),
    [sym_true] = ACTIONS(2154),
    [sym_false] = ACTIONS(2154),
    [sym_character_literal] = ACTIONS(2152),
    [anon_sym_DQUOTE] = ACTIONS(2154),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2152),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2152),
    [anon_sym_RBRACE] = ACTIONS(2152),
    [sym_null_literal] = ACTIONS(2154),
    [anon_sym_LPAREN] = ACTIONS(2152),
    [anon_sym_LT] = ACTIONS(2152),
    [anon_sym_PLUS] = ACTIONS(2154),
    [anon_sym_DASH] = ACTIONS(2154),
    [anon_sym_final] = ACTIONS(2154),
    [anon_sym_DASH_GT] = ACTIONS(2152),
    [anon_sym_BANG] = ACTIONS(2152),
    [anon_sym_TILDE] = ACTIONS(2152),
    [anon_sym_PLUS_PLUS] = ACTIONS(2152),
    [anon_sym_DASH_DASH] = ACTIONS(2152),
    [anon_sym_new] = ACTIONS(2154),
    [anon_sym_LBRACK] = ACTIONS(2152),
    [anon_sym_class] = ACTIONS(2154),
    [anon_sym_switch] = ACTIONS(2154),
    [anon_sym_LBRACE] = ACTIONS(2152),
    [anon_sym_case] = ACTIONS(2154),
    [anon_sym_default] = ACTIONS(2154),
    [sym_underscore_pattern] = ACTIONS(2154),
    [anon_sym_SEMI] = ACTIONS(2152),
    [anon_sym_assert] = ACTIONS(2154),
    [anon_sym_do] = ACTIONS(2154),
    [anon_sym_while] = ACTIONS(2154),
    [anon_sym_break] = ACTIONS(2154),
    [anon_sym_continue] = ACTIONS(2154),
    [anon_sym_return] = ACTIONS(2154),
    [anon_sym_yield] = ACTIONS(2154),
    [anon_sym_synchronized] = ACTIONS(2154),
    [anon_sym_throw] = ACTIONS(2154),
    [anon_sym_try] = ACTIONS(2154),
    [anon_sym_if] = ACTIONS(2154),
    [anon_sym_else] = ACTIONS(2154),
    [anon_sym_for] = ACTIONS(2154),
    [anon_sym_AT] = ACTIONS(2154),
    [anon_sym_open] = ACTIONS(2154),
    [anon_sym_module] = ACTIONS(2154),
    [anon_sym_static] = ACTIONS(2154),
    [anon_sym_with] = ACTIONS(2154),
    [anon_sym_package] = ACTIONS(2154),
    [anon_sym_import] = ACTIONS(2154),
    [anon_sym_enum] = ACTIONS(2154),
    [anon_sym_public] = ACTIONS(2154),
    [anon_sym_protected] = ACTIONS(2154),
    [anon_sym_private] = ACTIONS(2154),
    [anon_sym_abstract] = ACTIONS(2154),
    [anon_sym_strictfp] = ACTIONS(2154),
    [anon_sym_native] = ACTIONS(2154),
    [anon_sym_transient] = ACTIONS(2154),
    [anon_sym_volatile] = ACTIONS(2154),
    [anon_sym_sealed] = ACTIONS(2154),
    [anon_sym_non_DASHsealed] = ACTIONS(2152),
    [anon_sym_record] = ACTIONS(2154),
    [anon_sym_ATinterface] = ACTIONS(2152),
    [anon_sym_interface] = ACTIONS(2154),
    [anon_sym_byte] = ACTIONS(2154),
    [anon_sym_short] = ACTIONS(2154),
    [anon_sym_int] = ACTIONS(2154),
    [anon_sym_long] = ACTIONS(2154),
    [anon_sym_char] = ACTIONS(2154),
    [anon_sym_float] = ACTIONS(2154),
    [anon_sym_double] = ACTIONS(2154),
    [sym_boolean_type] = ACTIONS(2154),
    [sym_void_type] = ACTIONS(2154),
    [anon_sym_def] = ACTIONS(2154),
    [sym_this] = ACTIONS(2154),
    [sym_super] = ACTIONS(2154),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [868] = {
    [ts_builtin_sym_end] = ACTIONS(2156),
    [sym_identifier] = ACTIONS(2158),
    [sym_decimal_integer_literal] = ACTIONS(2158),
    [sym_hex_integer_literal] = ACTIONS(2158),
    [sym_octal_integer_literal] = ACTIONS(2158),
    [sym_binary_integer_literal] = ACTIONS(2156),
    [sym_decimal_floating_point_literal] = ACTIONS(2156),
    [sym_hex_floating_point_literal] = ACTIONS(2158),
    [sym_true] = ACTIONS(2158),
    [sym_false] = ACTIONS(2158),
    [sym_character_literal] = ACTIONS(2156),
    [anon_sym_DQUOTE] = ACTIONS(2158),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2156),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2156),
    [anon_sym_RBRACE] = ACTIONS(2156),
    [sym_null_literal] = ACTIONS(2158),
    [anon_sym_LPAREN] = ACTIONS(2156),
    [anon_sym_LT] = ACTIONS(2156),
    [anon_sym_PLUS] = ACTIONS(2158),
    [anon_sym_DASH] = ACTIONS(2158),
    [anon_sym_final] = ACTIONS(2158),
    [anon_sym_DASH_GT] = ACTIONS(2156),
    [anon_sym_BANG] = ACTIONS(2156),
    [anon_sym_TILDE] = ACTIONS(2156),
    [anon_sym_PLUS_PLUS] = ACTIONS(2156),
    [anon_sym_DASH_DASH] = ACTIONS(2156),
    [anon_sym_new] = ACTIONS(2158),
    [anon_sym_LBRACK] = ACTIONS(2156),
    [anon_sym_class] = ACTIONS(2158),
    [anon_sym_switch] = ACTIONS(2158),
    [anon_sym_LBRACE] = ACTIONS(2156),
    [anon_sym_case] = ACTIONS(2158),
    [anon_sym_default] = ACTIONS(2158),
    [sym_underscore_pattern] = ACTIONS(2158),
    [anon_sym_SEMI] = ACTIONS(2156),
    [anon_sym_assert] = ACTIONS(2158),
    [anon_sym_do] = ACTIONS(2158),
    [anon_sym_while] = ACTIONS(2158),
    [anon_sym_break] = ACTIONS(2158),
    [anon_sym_continue] = ACTIONS(2158),
    [anon_sym_return] = ACTIONS(2158),
    [anon_sym_yield] = ACTIONS(2158),
    [anon_sym_synchronized] = ACTIONS(2158),
    [anon_sym_throw] = ACTIONS(2158),
    [anon_sym_try] = ACTIONS(2158),
    [anon_sym_if] = ACTIONS(2158),
    [anon_sym_else] = ACTIONS(2158),
    [anon_sym_for] = ACTIONS(2158),
    [anon_sym_AT] = ACTIONS(2158),
    [anon_sym_open] = ACTIONS(2158),
    [anon_sym_module] = ACTIONS(2158),
    [anon_sym_static] = ACTIONS(2158),
    [anon_sym_with] = ACTIONS(2158),
    [anon_sym_package] = ACTIONS(2158),
    [anon_sym_import] = ACTIONS(2158),
    [anon_sym_enum] = ACTIONS(2158),
    [anon_sym_public] = ACTIONS(2158),
    [anon_sym_protected] = ACTIONS(2158),
    [anon_sym_private] = ACTIONS(2158),
    [anon_sym_abstract] = ACTIONS(2158),
    [anon_sym_strictfp] = ACTIONS(2158),
    [anon_sym_native] = ACTIONS(2158),
    [anon_sym_transient] = ACTIONS(2158),
    [anon_sym_volatile] = ACTIONS(2158),
    [anon_sym_sealed] = ACTIONS(2158),
    [anon_sym_non_DASHsealed] = ACTIONS(2156),
    [anon_sym_record] = ACTIONS(2158),
    [anon_sym_ATinterface] = ACTIONS(2156),
    [anon_sym_interface] = ACTIONS(2158),
    [anon_sym_byte] = ACTIONS(2158),
    [anon_sym_short] = ACTIONS(2158),
    [anon_sym_int] = ACTIONS(2158),
    [anon_sym_long] = ACTIONS(2158),
    [anon_sym_char] = ACTIONS(2158),
    [anon_sym_float] = ACTIONS(2158),
    [anon_sym_double] = ACTIONS(2158),
    [sym_boolean_type] = ACTIONS(2158),
    [sym_void_type] = ACTIONS(2158),
    [anon_sym_def] = ACTIONS(2158),
    [sym_this] = ACTIONS(2158),
    [sym_super] = ACTIONS(2158),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [869] = {
    [ts_builtin_sym_end] = ACTIONS(2160),
    [sym_identifier] = ACTIONS(2162),
    [sym_decimal_integer_literal] = ACTIONS(2162),
    [sym_hex_integer_literal] = ACTIONS(2162),
    [sym_octal_integer_literal] = ACTIONS(2162),
    [sym_binary_integer_literal] = ACTIONS(2160),
    [sym_decimal_floating_point_literal] = ACTIONS(2160),
    [sym_hex_floating_point_literal] = ACTIONS(2162),
    [sym_true] = ACTIONS(2162),
    [sym_false] = ACTIONS(2162),
    [sym_character_literal] = ACTIONS(2160),
    [anon_sym_DQUOTE] = ACTIONS(2162),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2160),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2160),
    [anon_sym_RBRACE] = ACTIONS(2160),
    [sym_null_literal] = ACTIONS(2162),
    [anon_sym_LPAREN] = ACTIONS(2160),
    [anon_sym_LT] = ACTIONS(2160),
    [anon_sym_PLUS] = ACTIONS(2162),
    [anon_sym_DASH] = ACTIONS(2162),
    [anon_sym_final] = ACTIONS(2162),
    [anon_sym_DASH_GT] = ACTIONS(2160),
    [anon_sym_BANG] = ACTIONS(2160),
    [anon_sym_TILDE] = ACTIONS(2160),
    [anon_sym_PLUS_PLUS] = ACTIONS(2160),
    [anon_sym_DASH_DASH] = ACTIONS(2160),
    [anon_sym_new] = ACTIONS(2162),
    [anon_sym_LBRACK] = ACTIONS(2160),
    [anon_sym_class] = ACTIONS(2162),
    [anon_sym_switch] = ACTIONS(2162),
    [anon_sym_LBRACE] = ACTIONS(2160),
    [anon_sym_case] = ACTIONS(2162),
    [anon_sym_default] = ACTIONS(2162),
    [sym_underscore_pattern] = ACTIONS(2162),
    [anon_sym_SEMI] = ACTIONS(2160),
    [anon_sym_assert] = ACTIONS(2162),
    [anon_sym_do] = ACTIONS(2162),
    [anon_sym_while] = ACTIONS(2162),
    [anon_sym_break] = ACTIONS(2162),
    [anon_sym_continue] = ACTIONS(2162),
    [anon_sym_return] = ACTIONS(2162),
    [anon_sym_yield] = ACTIONS(2162),
    [anon_sym_synchronized] = ACTIONS(2162),
    [anon_sym_throw] = ACTIONS(2162),
    [anon_sym_try] = ACTIONS(2162),
    [anon_sym_if] = ACTIONS(2162),
    [anon_sym_else] = ACTIONS(2162),
    [anon_sym_for] = ACTIONS(2162),
    [anon_sym_AT] = ACTIONS(2162),
    [anon_sym_open] = ACTIONS(2162),
    [anon_sym_module] = ACTIONS(2162),
    [anon_sym_static] = ACTIONS(2162),
    [anon_sym_with] = ACTIONS(2162),
    [anon_sym_package] = ACTIONS(2162),
    [anon_sym_import] = ACTIONS(2162),
    [anon_sym_enum] = ACTIONS(2162),
    [anon_sym_public] = ACTIONS(2162),
    [anon_sym_protected] = ACTIONS(2162),
    [anon_sym_private] = ACTIONS(2162),
    [anon_sym_abstract] = ACTIONS(2162),
    [anon_sym_strictfp] = ACTIONS(2162),
    [anon_sym_native] = ACTIONS(2162),
    [anon_sym_transient] = ACTIONS(2162),
    [anon_sym_volatile] = ACTIONS(2162),
    [anon_sym_sealed] = ACTIONS(2162),
    [anon_sym_non_DASHsealed] = ACTIONS(2160),
    [anon_sym_record] = ACTIONS(2162),
    [anon_sym_ATinterface] = ACTIONS(2160),
    [anon_sym_interface] = ACTIONS(2162),
    [anon_sym_byte] = ACTIONS(2162),
    [anon_sym_short] = ACTIONS(2162),
    [anon_sym_int] = ACTIONS(2162),
    [anon_sym_long] = ACTIONS(2162),
    [anon_sym_char] = ACTIONS(2162),
    [anon_sym_float] = ACTIONS(2162),
    [anon_sym_double] = ACTIONS(2162),
    [sym_boolean_type] = ACTIONS(2162),
    [sym_void_type] = ACTIONS(2162),
    [anon_sym_def] = ACTIONS(2162),
    [sym_this] = ACTIONS(2162),
    [sym_super] = ACTIONS(2162),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [870] = {
    [ts_builtin_sym_end] = ACTIONS(2164),
    [sym_identifier] = ACTIONS(2166),
    [sym_decimal_integer_literal] = ACTIONS(2166),
    [sym_hex_integer_literal] = ACTIONS(2166),
    [sym_octal_integer_literal] = ACTIONS(2166),
    [sym_binary_integer_literal] = ACTIONS(2164),
    [sym_decimal_floating_point_literal] = ACTIONS(2164),
    [sym_hex_floating_point_literal] = ACTIONS(2166),
    [sym_true] = ACTIONS(2166),
    [sym_false] = ACTIONS(2166),
    [sym_character_literal] = ACTIONS(2164),
    [anon_sym_DQUOTE] = ACTIONS(2166),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2164),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2164),
    [anon_sym_RBRACE] = ACTIONS(2164),
    [sym_null_literal] = ACTIONS(2166),
    [anon_sym_LPAREN] = ACTIONS(2164),
    [anon_sym_LT] = ACTIONS(2164),
    [anon_sym_PLUS] = ACTIONS(2166),
    [anon_sym_DASH] = ACTIONS(2166),
    [anon_sym_final] = ACTIONS(2166),
    [anon_sym_DASH_GT] = ACTIONS(2164),
    [anon_sym_BANG] = ACTIONS(2164),
    [anon_sym_TILDE] = ACTIONS(2164),
    [anon_sym_PLUS_PLUS] = ACTIONS(2164),
    [anon_sym_DASH_DASH] = ACTIONS(2164),
    [anon_sym_new] = ACTIONS(2166),
    [anon_sym_LBRACK] = ACTIONS(2164),
    [anon_sym_class] = ACTIONS(2166),
    [anon_sym_switch] = ACTIONS(2166),
    [anon_sym_LBRACE] = ACTIONS(2164),
    [anon_sym_case] = ACTIONS(2166),
    [anon_sym_default] = ACTIONS(2166),
    [sym_underscore_pattern] = ACTIONS(2166),
    [anon_sym_SEMI] = ACTIONS(2164),
    [anon_sym_assert] = ACTIONS(2166),
    [anon_sym_do] = ACTIONS(2166),
    [anon_sym_while] = ACTIONS(2166),
    [anon_sym_break] = ACTIONS(2166),
    [anon_sym_continue] = ACTIONS(2166),
    [anon_sym_return] = ACTIONS(2166),
    [anon_sym_yield] = ACTIONS(2166),
    [anon_sym_synchronized] = ACTIONS(2166),
    [anon_sym_throw] = ACTIONS(2166),
    [anon_sym_try] = ACTIONS(2166),
    [anon_sym_if] = ACTIONS(2166),
    [anon_sym_else] = ACTIONS(2166),
    [anon_sym_for] = ACTIONS(2166),
    [anon_sym_AT] = ACTIONS(2166),
    [anon_sym_open] = ACTIONS(2166),
    [anon_sym_module] = ACTIONS(2166),
    [anon_sym_static] = ACTIONS(2166),
    [anon_sym_with] = ACTIONS(2166),
    [anon_sym_package] = ACTIONS(2166),
    [anon_sym_import] = ACTIONS(2166),
    [anon_sym_enum] = ACTIONS(2166),
    [anon_sym_public] = ACTIONS(2166),
    [anon_sym_protected] = ACTIONS(2166),
    [anon_sym_private] = ACTIONS(2166),
    [anon_sym_abstract] = ACTIONS(2166),
    [anon_sym_strictfp] = ACTIONS(2166),
    [anon_sym_native] = ACTIONS(2166),
    [anon_sym_transient] = ACTIONS(2166),
    [anon_sym_volatile] = ACTIONS(2166),
    [anon_sym_sealed] = ACTIONS(2166),
    [anon_sym_non_DASHsealed] = ACTIONS(2164),
    [anon_sym_record] = ACTIONS(2166),
    [anon_sym_ATinterface] = ACTIONS(2164),
    [anon_sym_interface] = ACTIONS(2166),
    [anon_sym_byte] = ACTIONS(2166),
    [anon_sym_short] = ACTIONS(2166),
    [anon_sym_int] = ACTIONS(2166),
    [anon_sym_long] = ACTIONS(2166),
    [anon_sym_char] = ACTIONS(2166),
    [anon_sym_float] = ACTIONS(2166),
    [anon_sym_double] = ACTIONS(2166),
    [sym_boolean_type] = ACTIONS(2166),
    [sym_void_type] = ACTIONS(2166),
    [anon_sym_def] = ACTIONS(2166),
    [sym_this] = ACTIONS(2166),
    [sym_super] = ACTIONS(2166),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [871] = {
    [ts_builtin_sym_end] = ACTIONS(2168),
    [sym_identifier] = ACTIONS(2170),
    [sym_decimal_integer_literal] = ACTIONS(2170),
    [sym_hex_integer_literal] = ACTIONS(2170),
    [sym_octal_integer_literal] = ACTIONS(2170),
    [sym_binary_integer_literal] = ACTIONS(2168),
    [sym_decimal_floating_point_literal] = ACTIONS(2168),
    [sym_hex_floating_point_literal] = ACTIONS(2170),
    [sym_true] = ACTIONS(2170),
    [sym_false] = ACTIONS(2170),
    [sym_character_literal] = ACTIONS(2168),
    [anon_sym_DQUOTE] = ACTIONS(2170),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2168),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2168),
    [anon_sym_RBRACE] = ACTIONS(2168),
    [sym_null_literal] = ACTIONS(2170),
    [anon_sym_LPAREN] = ACTIONS(2168),
    [anon_sym_LT] = ACTIONS(2168),
    [anon_sym_PLUS] = ACTIONS(2170),
    [anon_sym_DASH] = ACTIONS(2170),
    [anon_sym_final] = ACTIONS(2170),
    [anon_sym_DASH_GT] = ACTIONS(2168),
    [anon_sym_BANG] = ACTIONS(2168),
    [anon_sym_TILDE] = ACTIONS(2168),
    [anon_sym_PLUS_PLUS] = ACTIONS(2168),
    [anon_sym_DASH_DASH] = ACTIONS(2168),
    [anon_sym_new] = ACTIONS(2170),
    [anon_sym_LBRACK] = ACTIONS(2168),
    [anon_sym_class] = ACTIONS(2170),
    [anon_sym_switch] = ACTIONS(2170),
    [anon_sym_LBRACE] = ACTIONS(2168),
    [anon_sym_case] = ACTIONS(2170),
    [anon_sym_default] = ACTIONS(2170),
    [sym_underscore_pattern] = ACTIONS(2170),
    [anon_sym_SEMI] = ACTIONS(2168),
    [anon_sym_assert] = ACTIONS(2170),
    [anon_sym_do] = ACTIONS(2170),
    [anon_sym_while] = ACTIONS(2170),
    [anon_sym_break] = ACTIONS(2170),
    [anon_sym_continue] = ACTIONS(2170),
    [anon_sym_return] = ACTIONS(2170),
    [anon_sym_yield] = ACTIONS(2170),
    [anon_sym_synchronized] = ACTIONS(2170),
    [anon_sym_throw] = ACTIONS(2170),
    [anon_sym_try] = ACTIONS(2170),
    [anon_sym_if] = ACTIONS(2170),
    [anon_sym_else] = ACTIONS(2170),
    [anon_sym_for] = ACTIONS(2170),
    [anon_sym_AT] = ACTIONS(2170),
    [anon_sym_open] = ACTIONS(2170),
    [anon_sym_module] = ACTIONS(2170),
    [anon_sym_static] = ACTIONS(2170),
    [anon_sym_with] = ACTIONS(2170),
    [anon_sym_package] = ACTIONS(2170),
    [anon_sym_import] = ACTIONS(2170),
    [anon_sym_enum] = ACTIONS(2170),
    [anon_sym_public] = ACTIONS(2170),
    [anon_sym_protected] = ACTIONS(2170),
    [anon_sym_private] = ACTIONS(2170),
    [anon_sym_abstract] = ACTIONS(2170),
    [anon_sym_strictfp] = ACTIONS(2170),
    [anon_sym_native] = ACTIONS(2170),
    [anon_sym_transient] = ACTIONS(2170),
    [anon_sym_volatile] = ACTIONS(2170),
    [anon_sym_sealed] = ACTIONS(2170),
    [anon_sym_non_DASHsealed] = ACTIONS(2168),
    [anon_sym_record] = ACTIONS(2170),
    [anon_sym_ATinterface] = ACTIONS(2168),
    [anon_sym_interface] = ACTIONS(2170),
    [anon_sym_byte] = ACTIONS(2170),
    [anon_sym_short] = ACTIONS(2170),
    [anon_sym_int] = ACTIONS(2170),
    [anon_sym_long] = ACTIONS(2170),
    [anon_sym_char] = ACTIONS(2170),
    [anon_sym_float] = ACTIONS(2170),
    [anon_sym_double] = ACTIONS(2170),
    [sym_boolean_type] = ACTIONS(2170),
    [sym_void_type] = ACTIONS(2170),
    [anon_sym_def] = ACTIONS(2170),
    [sym_this] = ACTIONS(2170),
    [sym_super] = ACTIONS(2170),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [872] = {
    [ts_builtin_sym_end] = ACTIONS(1988),
    [sym_identifier] = ACTIONS(1990),
    [sym_decimal_integer_literal] = ACTIONS(1990),
    [sym_hex_integer_literal] = ACTIONS(1990),
    [sym_octal_integer_literal] = ACTIONS(1990),
    [sym_binary_integer_literal] = ACTIONS(1988),
    [sym_decimal_floating_point_literal] = ACTIONS(1988),
    [sym_hex_floating_point_literal] = ACTIONS(1990),
    [sym_true] = ACTIONS(1990),
    [sym_false] = ACTIONS(1990),
    [sym_character_literal] = ACTIONS(1988),
    [anon_sym_DQUOTE] = ACTIONS(1990),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1988),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1988),
    [anon_sym_RBRACE] = ACTIONS(1988),
    [sym_null_literal] = ACTIONS(1990),
    [anon_sym_LPAREN] = ACTIONS(1988),
    [anon_sym_LT] = ACTIONS(1988),
    [anon_sym_PLUS] = ACTIONS(1990),
    [anon_sym_DASH] = ACTIONS(1990),
    [anon_sym_final] = ACTIONS(1990),
    [anon_sym_DASH_GT] = ACTIONS(1988),
    [anon_sym_BANG] = ACTIONS(1988),
    [anon_sym_TILDE] = ACTIONS(1988),
    [anon_sym_PLUS_PLUS] = ACTIONS(1988),
    [anon_sym_DASH_DASH] = ACTIONS(1988),
    [anon_sym_new] = ACTIONS(1990),
    [anon_sym_LBRACK] = ACTIONS(1988),
    [anon_sym_class] = ACTIONS(1990),
    [anon_sym_switch] = ACTIONS(1990),
    [anon_sym_LBRACE] = ACTIONS(1988),
    [anon_sym_case] = ACTIONS(1990),
    [anon_sym_default] = ACTIONS(1990),
    [sym_underscore_pattern] = ACTIONS(1990),
    [anon_sym_SEMI] = ACTIONS(1988),
    [anon_sym_assert] = ACTIONS(1990),
    [anon_sym_do] = ACTIONS(1990),
    [anon_sym_while] = ACTIONS(1990),
    [anon_sym_break] = ACTIONS(1990),
    [anon_sym_continue] = ACTIONS(1990),
    [anon_sym_return] = ACTIONS(1990),
    [anon_sym_yield] = ACTIONS(1990),
    [anon_sym_synchronized] = ACTIONS(1990),
    [anon_sym_throw] = ACTIONS(1990),
    [anon_sym_try] = ACTIONS(1990),
    [anon_sym_if] = ACTIONS(1990),
    [anon_sym_else] = ACTIONS(1990),
    [anon_sym_for] = ACTIONS(1990),
    [anon_sym_AT] = ACTIONS(1990),
    [anon_sym_open] = ACTIONS(1990),
    [anon_sym_module] = ACTIONS(1990),
    [anon_sym_static] = ACTIONS(1990),
    [anon_sym_with] = ACTIONS(1990),
    [anon_sym_package] = ACTIONS(1990),
    [anon_sym_import] = ACTIONS(1990),
    [anon_sym_enum] = ACTIONS(1990),
    [anon_sym_public] = ACTIONS(1990),
    [anon_sym_protected] = ACTIONS(1990),
    [anon_sym_private] = ACTIONS(1990),
    [anon_sym_abstract] = ACTIONS(1990),
    [anon_sym_strictfp] = ACTIONS(1990),
    [anon_sym_native] = ACTIONS(1990),
    [anon_sym_transient] = ACTIONS(1990),
    [anon_sym_volatile] = ACTIONS(1990),
    [anon_sym_sealed] = ACTIONS(1990),
    [anon_sym_non_DASHsealed] = ACTIONS(1988),
    [anon_sym_record] = ACTIONS(1990),
    [anon_sym_ATinterface] = ACTIONS(1988),
    [anon_sym_interface] = ACTIONS(1990),
    [anon_sym_byte] = ACTIONS(1990),
    [anon_sym_short] = ACTIONS(1990),
    [anon_sym_int] = ACTIONS(1990),
    [anon_sym_long] = ACTIONS(1990),
    [anon_sym_char] = ACTIONS(1990),
    [anon_sym_float] = ACTIONS(1990),
    [anon_sym_double] = ACTIONS(1990),
    [sym_boolean_type] = ACTIONS(1990),
    [sym_void_type] = ACTIONS(1990),
    [anon_sym_def] = ACTIONS(1990),
    [sym_this] = ACTIONS(1990),
    [sym_super] = ACTIONS(1990),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [873] = {
    [ts_builtin_sym_end] = ACTIONS(2172),
    [sym_identifier] = ACTIONS(2174),
    [sym_decimal_integer_literal] = ACTIONS(2174),
    [sym_hex_integer_literal] = ACTIONS(2174),
    [sym_octal_integer_literal] = ACTIONS(2174),
    [sym_binary_integer_literal] = ACTIONS(2172),
    [sym_decimal_floating_point_literal] = ACTIONS(2172),
    [sym_hex_floating_point_literal] = ACTIONS(2174),
    [sym_true] = ACTIONS(2174),
    [sym_false] = ACTIONS(2174),
    [sym_character_literal] = ACTIONS(2172),
    [anon_sym_DQUOTE] = ACTIONS(2174),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2172),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2172),
    [anon_sym_RBRACE] = ACTIONS(2172),
    [sym_null_literal] = ACTIONS(2174),
    [anon_sym_LPAREN] = ACTIONS(2172),
    [anon_sym_LT] = ACTIONS(2172),
    [anon_sym_PLUS] = ACTIONS(2174),
    [anon_sym_DASH] = ACTIONS(2174),
    [anon_sym_final] = ACTIONS(2174),
    [anon_sym_DASH_GT] = ACTIONS(2172),
    [anon_sym_BANG] = ACTIONS(2172),
    [anon_sym_TILDE] = ACTIONS(2172),
    [anon_sym_PLUS_PLUS] = ACTIONS(2172),
    [anon_sym_DASH_DASH] = ACTIONS(2172),
    [anon_sym_new] = ACTIONS(2174),
    [anon_sym_LBRACK] = ACTIONS(2172),
    [anon_sym_class] = ACTIONS(2174),
    [anon_sym_switch] = ACTIONS(2174),
    [anon_sym_LBRACE] = ACTIONS(2172),
    [anon_sym_case] = ACTIONS(2174),
    [anon_sym_default] = ACTIONS(2174),
    [sym_underscore_pattern] = ACTIONS(2174),
    [anon_sym_SEMI] = ACTIONS(2172),
    [anon_sym_assert] = ACTIONS(2174),
    [anon_sym_do] = ACTIONS(2174),
    [anon_sym_while] = ACTIONS(2174),
    [anon_sym_break] = ACTIONS(2174),
    [anon_sym_continue] = ACTIONS(2174),
    [anon_sym_return] = ACTIONS(2174),
    [anon_sym_yield] = ACTIONS(2174),
    [anon_sym_synchronized] = ACTIONS(2174),
    [anon_sym_throw] = ACTIONS(2174),
    [anon_sym_try] = ACTIONS(2174),
    [anon_sym_if] = ACTIONS(2174),
    [anon_sym_else] = ACTIONS(2174),
    [anon_sym_for] = ACTIONS(2174),
    [anon_sym_AT] = ACTIONS(2174),
    [anon_sym_open] = ACTIONS(2174),
    [anon_sym_module] = ACTIONS(2174),
    [anon_sym_static] = ACTIONS(2174),
    [anon_sym_with] = ACTIONS(2174),
    [anon_sym_package] = ACTIONS(2174),
    [anon_sym_import] = ACTIONS(2174),
    [anon_sym_enum] = ACTIONS(2174),
    [anon_sym_public] = ACTIONS(2174),
    [anon_sym_protected] = ACTIONS(2174),
    [anon_sym_private] = ACTIONS(2174),
    [anon_sym_abstract] = ACTIONS(2174),
    [anon_sym_strictfp] = ACTIONS(2174),
    [anon_sym_native] = ACTIONS(2174),
    [anon_sym_transient] = ACTIONS(2174),
    [anon_sym_volatile] = ACTIONS(2174),
    [anon_sym_sealed] = ACTIONS(2174),
    [anon_sym_non_DASHsealed] = ACTIONS(2172),
    [anon_sym_record] = ACTIONS(2174),
    [anon_sym_ATinterface] = ACTIONS(2172),
    [anon_sym_interface] = ACTIONS(2174),
    [anon_sym_byte] = ACTIONS(2174),
    [anon_sym_short] = ACTIONS(2174),
    [anon_sym_int] = ACTIONS(2174),
    [anon_sym_long] = ACTIONS(2174),
    [anon_sym_char] = ACTIONS(2174),
    [anon_sym_float] = ACTIONS(2174),
    [anon_sym_double] = ACTIONS(2174),
    [sym_boolean_type] = ACTIONS(2174),
    [sym_void_type] = ACTIONS(2174),
    [anon_sym_def] = ACTIONS(2174),
    [sym_this] = ACTIONS(2174),
    [sym_super] = ACTIONS(2174),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [874] = {
    [ts_builtin_sym_end] = ACTIONS(2176),
    [sym_identifier] = ACTIONS(2178),
    [sym_decimal_integer_literal] = ACTIONS(2178),
    [sym_hex_integer_literal] = ACTIONS(2178),
    [sym_octal_integer_literal] = ACTIONS(2178),
    [sym_binary_integer_literal] = ACTIONS(2176),
    [sym_decimal_floating_point_literal] = ACTIONS(2176),
    [sym_hex_floating_point_literal] = ACTIONS(2178),
    [sym_true] = ACTIONS(2178),
    [sym_false] = ACTIONS(2178),
    [sym_character_literal] = ACTIONS(2176),
    [anon_sym_DQUOTE] = ACTIONS(2178),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2176),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2176),
    [anon_sym_RBRACE] = ACTIONS(2176),
    [sym_null_literal] = ACTIONS(2178),
    [anon_sym_LPAREN] = ACTIONS(2176),
    [anon_sym_LT] = ACTIONS(2176),
    [anon_sym_PLUS] = ACTIONS(2178),
    [anon_sym_DASH] = ACTIONS(2178),
    [anon_sym_final] = ACTIONS(2178),
    [anon_sym_DASH_GT] = ACTIONS(2176),
    [anon_sym_BANG] = ACTIONS(2176),
    [anon_sym_TILDE] = ACTIONS(2176),
    [anon_sym_PLUS_PLUS] = ACTIONS(2176),
    [anon_sym_DASH_DASH] = ACTIONS(2176),
    [anon_sym_new] = ACTIONS(2178),
    [anon_sym_LBRACK] = ACTIONS(2176),
    [anon_sym_class] = ACTIONS(2178),
    [anon_sym_switch] = ACTIONS(2178),
    [anon_sym_LBRACE] = ACTIONS(2176),
    [anon_sym_case] = ACTIONS(2178),
    [anon_sym_default] = ACTIONS(2178),
    [sym_underscore_pattern] = ACTIONS(2178),
    [anon_sym_SEMI] = ACTIONS(2176),
    [anon_sym_assert] = ACTIONS(2178),
    [anon_sym_do] = ACTIONS(2178),
    [anon_sym_while] = ACTIONS(2178),
    [anon_sym_break] = ACTIONS(2178),
    [anon_sym_continue] = ACTIONS(2178),
    [anon_sym_return] = ACTIONS(2178),
    [anon_sym_yield] = ACTIONS(2178),
    [anon_sym_synchronized] = ACTIONS(2178),
    [anon_sym_throw] = ACTIONS(2178),
    [anon_sym_try] = ACTIONS(2178),
    [anon_sym_if] = ACTIONS(2178),
    [anon_sym_else] = ACTIONS(2178),
    [anon_sym_for] = ACTIONS(2178),
    [anon_sym_AT] = ACTIONS(2178),
    [anon_sym_open] = ACTIONS(2178),
    [anon_sym_module] = ACTIONS(2178),
    [anon_sym_static] = ACTIONS(2178),
    [anon_sym_with] = ACTIONS(2178),
    [anon_sym_package] = ACTIONS(2178),
    [anon_sym_import] = ACTIONS(2178),
    [anon_sym_enum] = ACTIONS(2178),
    [anon_sym_public] = ACTIONS(2178),
    [anon_sym_protected] = ACTIONS(2178),
    [anon_sym_private] = ACTIONS(2178),
    [anon_sym_abstract] = ACTIONS(2178),
    [anon_sym_strictfp] = ACTIONS(2178),
    [anon_sym_native] = ACTIONS(2178),
    [anon_sym_transient] = ACTIONS(2178),
    [anon_sym_volatile] = ACTIONS(2178),
    [anon_sym_sealed] = ACTIONS(2178),
    [anon_sym_non_DASHsealed] = ACTIONS(2176),
    [anon_sym_record] = ACTIONS(2178),
    [anon_sym_ATinterface] = ACTIONS(2176),
    [anon_sym_interface] = ACTIONS(2178),
    [anon_sym_byte] = ACTIONS(2178),
    [anon_sym_short] = ACTIONS(2178),
    [anon_sym_int] = ACTIONS(2178),
    [anon_sym_long] = ACTIONS(2178),
    [anon_sym_char] = ACTIONS(2178),
    [anon_sym_float] = ACTIONS(2178),
    [anon_sym_double] = ACTIONS(2178),
    [sym_boolean_type] = ACTIONS(2178),
    [sym_void_type] = ACTIONS(2178),
    [anon_sym_def] = ACTIONS(2178),
    [sym_this] = ACTIONS(2178),
    [sym_super] = ACTIONS(2178),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [875] = {
    [ts_builtin_sym_end] = ACTIONS(2180),
    [sym_identifier] = ACTIONS(2182),
    [sym_decimal_integer_literal] = ACTIONS(2182),
    [sym_hex_integer_literal] = ACTIONS(2182),
    [sym_octal_integer_literal] = ACTIONS(2182),
    [sym_binary_integer_literal] = ACTIONS(2180),
    [sym_decimal_floating_point_literal] = ACTIONS(2180),
    [sym_hex_floating_point_literal] = ACTIONS(2182),
    [sym_true] = ACTIONS(2182),
    [sym_false] = ACTIONS(2182),
    [sym_character_literal] = ACTIONS(2180),
    [anon_sym_DQUOTE] = ACTIONS(2182),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2180),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2180),
    [anon_sym_RBRACE] = ACTIONS(2180),
    [sym_null_literal] = ACTIONS(2182),
    [anon_sym_LPAREN] = ACTIONS(2180),
    [anon_sym_LT] = ACTIONS(2180),
    [anon_sym_PLUS] = ACTIONS(2182),
    [anon_sym_DASH] = ACTIONS(2182),
    [anon_sym_final] = ACTIONS(2182),
    [anon_sym_DASH_GT] = ACTIONS(2180),
    [anon_sym_BANG] = ACTIONS(2180),
    [anon_sym_TILDE] = ACTIONS(2180),
    [anon_sym_PLUS_PLUS] = ACTIONS(2180),
    [anon_sym_DASH_DASH] = ACTIONS(2180),
    [anon_sym_new] = ACTIONS(2182),
    [anon_sym_LBRACK] = ACTIONS(2180),
    [anon_sym_class] = ACTIONS(2182),
    [anon_sym_switch] = ACTIONS(2182),
    [anon_sym_LBRACE] = ACTIONS(2180),
    [anon_sym_case] = ACTIONS(2182),
    [anon_sym_default] = ACTIONS(2182),
    [sym_underscore_pattern] = ACTIONS(2182),
    [anon_sym_SEMI] = ACTIONS(2180),
    [anon_sym_assert] = ACTIONS(2182),
    [anon_sym_do] = ACTIONS(2182),
    [anon_sym_while] = ACTIONS(2182),
    [anon_sym_break] = ACTIONS(2182),
    [anon_sym_continue] = ACTIONS(2182),
    [anon_sym_return] = ACTIONS(2182),
    [anon_sym_yield] = ACTIONS(2182),
    [anon_sym_synchronized] = ACTIONS(2182),
    [anon_sym_throw] = ACTIONS(2182),
    [anon_sym_try] = ACTIONS(2182),
    [anon_sym_if] = ACTIONS(2182),
    [anon_sym_else] = ACTIONS(2182),
    [anon_sym_for] = ACTIONS(2182),
    [anon_sym_AT] = ACTIONS(2182),
    [anon_sym_open] = ACTIONS(2182),
    [anon_sym_module] = ACTIONS(2182),
    [anon_sym_static] = ACTIONS(2182),
    [anon_sym_with] = ACTIONS(2182),
    [anon_sym_package] = ACTIONS(2182),
    [anon_sym_import] = ACTIONS(2182),
    [anon_sym_enum] = ACTIONS(2182),
    [anon_sym_public] = ACTIONS(2182),
    [anon_sym_protected] = ACTIONS(2182),
    [anon_sym_private] = ACTIONS(2182),
    [anon_sym_abstract] = ACTIONS(2182),
    [anon_sym_strictfp] = ACTIONS(2182),
    [anon_sym_native] = ACTIONS(2182),
    [anon_sym_transient] = ACTIONS(2182),
    [anon_sym_volatile] = ACTIONS(2182),
    [anon_sym_sealed] = ACTIONS(2182),
    [anon_sym_non_DASHsealed] = ACTIONS(2180),
    [anon_sym_record] = ACTIONS(2182),
    [anon_sym_ATinterface] = ACTIONS(2180),
    [anon_sym_interface] = ACTIONS(2182),
    [anon_sym_byte] = ACTIONS(2182),
    [anon_sym_short] = ACTIONS(2182),
    [anon_sym_int] = ACTIONS(2182),
    [anon_sym_long] = ACTIONS(2182),
    [anon_sym_char] = ACTIONS(2182),
    [anon_sym_float] = ACTIONS(2182),
    [anon_sym_double] = ACTIONS(2182),
    [sym_boolean_type] = ACTIONS(2182),
    [sym_void_type] = ACTIONS(2182),
    [anon_sym_def] = ACTIONS(2182),
    [sym_this] = ACTIONS(2182),
    [sym_super] = ACTIONS(2182),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [876] = {
    [ts_builtin_sym_end] = ACTIONS(2184),
    [sym_identifier] = ACTIONS(2186),
    [sym_decimal_integer_literal] = ACTIONS(2186),
    [sym_hex_integer_literal] = ACTIONS(2186),
    [sym_octal_integer_literal] = ACTIONS(2186),
    [sym_binary_integer_literal] = ACTIONS(2184),
    [sym_decimal_floating_point_literal] = ACTIONS(2184),
    [sym_hex_floating_point_literal] = ACTIONS(2186),
    [sym_true] = ACTIONS(2186),
    [sym_false] = ACTIONS(2186),
    [sym_character_literal] = ACTIONS(2184),
    [anon_sym_DQUOTE] = ACTIONS(2186),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2184),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2184),
    [anon_sym_RBRACE] = ACTIONS(2184),
    [sym_null_literal] = ACTIONS(2186),
    [anon_sym_LPAREN] = ACTIONS(2184),
    [anon_sym_LT] = ACTIONS(2184),
    [anon_sym_PLUS] = ACTIONS(2186),
    [anon_sym_DASH] = ACTIONS(2186),
    [anon_sym_final] = ACTIONS(2186),
    [anon_sym_DASH_GT] = ACTIONS(2184),
    [anon_sym_BANG] = ACTIONS(2184),
    [anon_sym_TILDE] = ACTIONS(2184),
    [anon_sym_PLUS_PLUS] = ACTIONS(2184),
    [anon_sym_DASH_DASH] = ACTIONS(2184),
    [anon_sym_new] = ACTIONS(2186),
    [anon_sym_LBRACK] = ACTIONS(2184),
    [anon_sym_class] = ACTIONS(2186),
    [anon_sym_switch] = ACTIONS(2186),
    [anon_sym_LBRACE] = ACTIONS(2184),
    [anon_sym_case] = ACTIONS(2186),
    [anon_sym_default] = ACTIONS(2186),
    [sym_underscore_pattern] = ACTIONS(2186),
    [anon_sym_SEMI] = ACTIONS(2184),
    [anon_sym_assert] = ACTIONS(2186),
    [anon_sym_do] = ACTIONS(2186),
    [anon_sym_while] = ACTIONS(2186),
    [anon_sym_break] = ACTIONS(2186),
    [anon_sym_continue] = ACTIONS(2186),
    [anon_sym_return] = ACTIONS(2186),
    [anon_sym_yield] = ACTIONS(2186),
    [anon_sym_synchronized] = ACTIONS(2186),
    [anon_sym_throw] = ACTIONS(2186),
    [anon_sym_try] = ACTIONS(2186),
    [anon_sym_if] = ACTIONS(2186),
    [anon_sym_else] = ACTIONS(2186),
    [anon_sym_for] = ACTIONS(2186),
    [anon_sym_AT] = ACTIONS(2186),
    [anon_sym_open] = ACTIONS(2186),
    [anon_sym_module] = ACTIONS(2186),
    [anon_sym_static] = ACTIONS(2186),
    [anon_sym_with] = ACTIONS(2186),
    [anon_sym_package] = ACTIONS(2186),
    [anon_sym_import] = ACTIONS(2186),
    [anon_sym_enum] = ACTIONS(2186),
    [anon_sym_public] = ACTIONS(2186),
    [anon_sym_protected] = ACTIONS(2186),
    [anon_sym_private] = ACTIONS(2186),
    [anon_sym_abstract] = ACTIONS(2186),
    [anon_sym_strictfp] = ACTIONS(2186),
    [anon_sym_native] = ACTIONS(2186),
    [anon_sym_transient] = ACTIONS(2186),
    [anon_sym_volatile] = ACTIONS(2186),
    [anon_sym_sealed] = ACTIONS(2186),
    [anon_sym_non_DASHsealed] = ACTIONS(2184),
    [anon_sym_record] = ACTIONS(2186),
    [anon_sym_ATinterface] = ACTIONS(2184),
    [anon_sym_interface] = ACTIONS(2186),
    [anon_sym_byte] = ACTIONS(2186),
    [anon_sym_short] = ACTIONS(2186),
    [anon_sym_int] = ACTIONS(2186),
    [anon_sym_long] = ACTIONS(2186),
    [anon_sym_char] = ACTIONS(2186),
    [anon_sym_float] = ACTIONS(2186),
    [anon_sym_double] = ACTIONS(2186),
    [sym_boolean_type] = ACTIONS(2186),
    [sym_void_type] = ACTIONS(2186),
    [anon_sym_def] = ACTIONS(2186),
    [sym_this] = ACTIONS(2186),
    [sym_super] = ACTIONS(2186),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [877] = {
    [ts_builtin_sym_end] = ACTIONS(2188),
    [sym_identifier] = ACTIONS(2190),
    [sym_decimal_integer_literal] = ACTIONS(2190),
    [sym_hex_integer_literal] = ACTIONS(2190),
    [sym_octal_integer_literal] = ACTIONS(2190),
    [sym_binary_integer_literal] = ACTIONS(2188),
    [sym_decimal_floating_point_literal] = ACTIONS(2188),
    [sym_hex_floating_point_literal] = ACTIONS(2190),
    [sym_true] = ACTIONS(2190),
    [sym_false] = ACTIONS(2190),
    [sym_character_literal] = ACTIONS(2188),
    [anon_sym_DQUOTE] = ACTIONS(2190),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2188),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2188),
    [anon_sym_RBRACE] = ACTIONS(2188),
    [sym_null_literal] = ACTIONS(2190),
    [anon_sym_LPAREN] = ACTIONS(2188),
    [anon_sym_LT] = ACTIONS(2188),
    [anon_sym_PLUS] = ACTIONS(2190),
    [anon_sym_DASH] = ACTIONS(2190),
    [anon_sym_final] = ACTIONS(2190),
    [anon_sym_DASH_GT] = ACTIONS(2188),
    [anon_sym_BANG] = ACTIONS(2188),
    [anon_sym_TILDE] = ACTIONS(2188),
    [anon_sym_PLUS_PLUS] = ACTIONS(2188),
    [anon_sym_DASH_DASH] = ACTIONS(2188),
    [anon_sym_new] = ACTIONS(2190),
    [anon_sym_LBRACK] = ACTIONS(2188),
    [anon_sym_class] = ACTIONS(2190),
    [anon_sym_switch] = ACTIONS(2190),
    [anon_sym_LBRACE] = ACTIONS(2188),
    [anon_sym_case] = ACTIONS(2190),
    [anon_sym_default] = ACTIONS(2190),
    [sym_underscore_pattern] = ACTIONS(2190),
    [anon_sym_SEMI] = ACTIONS(2188),
    [anon_sym_assert] = ACTIONS(2190),
    [anon_sym_do] = ACTIONS(2190),
    [anon_sym_while] = ACTIONS(2190),
    [anon_sym_break] = ACTIONS(2190),
    [anon_sym_continue] = ACTIONS(2190),
    [anon_sym_return] = ACTIONS(2190),
    [anon_sym_yield] = ACTIONS(2190),
    [anon_sym_synchronized] = ACTIONS(2190),
    [anon_sym_throw] = ACTIONS(2190),
    [anon_sym_try] = ACTIONS(2190),
    [anon_sym_if] = ACTIONS(2190),
    [anon_sym_else] = ACTIONS(2190),
    [anon_sym_for] = ACTIONS(2190),
    [anon_sym_AT] = ACTIONS(2190),
    [anon_sym_open] = ACTIONS(2190),
    [anon_sym_module] = ACTIONS(2190),
    [anon_sym_static] = ACTIONS(2190),
    [anon_sym_with] = ACTIONS(2190),
    [anon_sym_package] = ACTIONS(2190),
    [anon_sym_import] = ACTIONS(2190),
    [anon_sym_enum] = ACTIONS(2190),
    [anon_sym_public] = ACTIONS(2190),
    [anon_sym_protected] = ACTIONS(2190),
    [anon_sym_private] = ACTIONS(2190),
    [anon_sym_abstract] = ACTIONS(2190),
    [anon_sym_strictfp] = ACTIONS(2190),
    [anon_sym_native] = ACTIONS(2190),
    [anon_sym_transient] = ACTIONS(2190),
    [anon_sym_volatile] = ACTIONS(2190),
    [anon_sym_sealed] = ACTIONS(2190),
    [anon_sym_non_DASHsealed] = ACTIONS(2188),
    [anon_sym_record] = ACTIONS(2190),
    [anon_sym_ATinterface] = ACTIONS(2188),
    [anon_sym_interface] = ACTIONS(2190),
    [anon_sym_byte] = ACTIONS(2190),
    [anon_sym_short] = ACTIONS(2190),
    [anon_sym_int] = ACTIONS(2190),
    [anon_sym_long] = ACTIONS(2190),
    [anon_sym_char] = ACTIONS(2190),
    [anon_sym_float] = ACTIONS(2190),
    [anon_sym_double] = ACTIONS(2190),
    [sym_boolean_type] = ACTIONS(2190),
    [sym_void_type] = ACTIONS(2190),
    [anon_sym_def] = ACTIONS(2190),
    [sym_this] = ACTIONS(2190),
    [sym_super] = ACTIONS(2190),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [878] = {
    [ts_builtin_sym_end] = ACTIONS(2192),
    [sym_identifier] = ACTIONS(2194),
    [sym_decimal_integer_literal] = ACTIONS(2194),
    [sym_hex_integer_literal] = ACTIONS(2194),
    [sym_octal_integer_literal] = ACTIONS(2194),
    [sym_binary_integer_literal] = ACTIONS(2192),
    [sym_decimal_floating_point_literal] = ACTIONS(2192),
    [sym_hex_floating_point_literal] = ACTIONS(2194),
    [sym_true] = ACTIONS(2194),
    [sym_false] = ACTIONS(2194),
    [sym_character_literal] = ACTIONS(2192),
    [anon_sym_DQUOTE] = ACTIONS(2194),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2192),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2192),
    [anon_sym_RBRACE] = ACTIONS(2192),
    [sym_null_literal] = ACTIONS(2194),
    [anon_sym_LPAREN] = ACTIONS(2192),
    [anon_sym_LT] = ACTIONS(2192),
    [anon_sym_PLUS] = ACTIONS(2194),
    [anon_sym_DASH] = ACTIONS(2194),
    [anon_sym_final] = ACTIONS(2194),
    [anon_sym_DASH_GT] = ACTIONS(2192),
    [anon_sym_BANG] = ACTIONS(2192),
    [anon_sym_TILDE] = ACTIONS(2192),
    [anon_sym_PLUS_PLUS] = ACTIONS(2192),
    [anon_sym_DASH_DASH] = ACTIONS(2192),
    [anon_sym_new] = ACTIONS(2194),
    [anon_sym_LBRACK] = ACTIONS(2192),
    [anon_sym_class] = ACTIONS(2194),
    [anon_sym_switch] = ACTIONS(2194),
    [anon_sym_LBRACE] = ACTIONS(2192),
    [anon_sym_case] = ACTIONS(2194),
    [anon_sym_default] = ACTIONS(2194),
    [sym_underscore_pattern] = ACTIONS(2194),
    [anon_sym_SEMI] = ACTIONS(2192),
    [anon_sym_assert] = ACTIONS(2194),
    [anon_sym_do] = ACTIONS(2194),
    [anon_sym_while] = ACTIONS(2194),
    [anon_sym_break] = ACTIONS(2194),
    [anon_sym_continue] = ACTIONS(2194),
    [anon_sym_return] = ACTIONS(2194),
    [anon_sym_yield] = ACTIONS(2194),
    [anon_sym_synchronized] = ACTIONS(2194),
    [anon_sym_throw] = ACTIONS(2194),
    [anon_sym_try] = ACTIONS(2194),
    [anon_sym_if] = ACTIONS(2194),
    [anon_sym_else] = ACTIONS(2194),
    [anon_sym_for] = ACTIONS(2194),
    [anon_sym_AT] = ACTIONS(2194),
    [anon_sym_open] = ACTIONS(2194),
    [anon_sym_module] = ACTIONS(2194),
    [anon_sym_static] = ACTIONS(2194),
    [anon_sym_with] = ACTIONS(2194),
    [anon_sym_package] = ACTIONS(2194),
    [anon_sym_import] = ACTIONS(2194),
    [anon_sym_enum] = ACTIONS(2194),
    [anon_sym_public] = ACTIONS(2194),
    [anon_sym_protected] = ACTIONS(2194),
    [anon_sym_private] = ACTIONS(2194),
    [anon_sym_abstract] = ACTIONS(2194),
    [anon_sym_strictfp] = ACTIONS(2194),
    [anon_sym_native] = ACTIONS(2194),
    [anon_sym_transient] = ACTIONS(2194),
    [anon_sym_volatile] = ACTIONS(2194),
    [anon_sym_sealed] = ACTIONS(2194),
    [anon_sym_non_DASHsealed] = ACTIONS(2192),
    [anon_sym_record] = ACTIONS(2194),
    [anon_sym_ATinterface] = ACTIONS(2192),
    [anon_sym_interface] = ACTIONS(2194),
    [anon_sym_byte] = ACTIONS(2194),
    [anon_sym_short] = ACTIONS(2194),
    [anon_sym_int] = ACTIONS(2194),
    [anon_sym_long] = ACTIONS(2194),
    [anon_sym_char] = ACTIONS(2194),
    [anon_sym_float] = ACTIONS(2194),
    [anon_sym_double] = ACTIONS(2194),
    [sym_boolean_type] = ACTIONS(2194),
    [sym_void_type] = ACTIONS(2194),
    [anon_sym_def] = ACTIONS(2194),
    [sym_this] = ACTIONS(2194),
    [sym_super] = ACTIONS(2194),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [879] = {
    [ts_builtin_sym_end] = ACTIONS(2196),
    [sym_identifier] = ACTIONS(2198),
    [sym_decimal_integer_literal] = ACTIONS(2198),
    [sym_hex_integer_literal] = ACTIONS(2198),
    [sym_octal_integer_literal] = ACTIONS(2198),
    [sym_binary_integer_literal] = ACTIONS(2196),
    [sym_decimal_floating_point_literal] = ACTIONS(2196),
    [sym_hex_floating_point_literal] = ACTIONS(2198),
    [sym_true] = ACTIONS(2198),
    [sym_false] = ACTIONS(2198),
    [sym_character_literal] = ACTIONS(2196),
    [anon_sym_DQUOTE] = ACTIONS(2198),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2196),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2196),
    [anon_sym_RBRACE] = ACTIONS(2196),
    [sym_null_literal] = ACTIONS(2198),
    [anon_sym_LPAREN] = ACTIONS(2196),
    [anon_sym_LT] = ACTIONS(2196),
    [anon_sym_PLUS] = ACTIONS(2198),
    [anon_sym_DASH] = ACTIONS(2198),
    [anon_sym_final] = ACTIONS(2198),
    [anon_sym_DASH_GT] = ACTIONS(2196),
    [anon_sym_BANG] = ACTIONS(2196),
    [anon_sym_TILDE] = ACTIONS(2196),
    [anon_sym_PLUS_PLUS] = ACTIONS(2196),
    [anon_sym_DASH_DASH] = ACTIONS(2196),
    [anon_sym_new] = ACTIONS(2198),
    [anon_sym_LBRACK] = ACTIONS(2196),
    [anon_sym_class] = ACTIONS(2198),
    [anon_sym_switch] = ACTIONS(2198),
    [anon_sym_LBRACE] = ACTIONS(2196),
    [anon_sym_case] = ACTIONS(2198),
    [anon_sym_default] = ACTIONS(2198),
    [sym_underscore_pattern] = ACTIONS(2198),
    [anon_sym_SEMI] = ACTIONS(2196),
    [anon_sym_assert] = ACTIONS(2198),
    [anon_sym_do] = ACTIONS(2198),
    [anon_sym_while] = ACTIONS(2198),
    [anon_sym_break] = ACTIONS(2198),
    [anon_sym_continue] = ACTIONS(2198),
    [anon_sym_return] = ACTIONS(2198),
    [anon_sym_yield] = ACTIONS(2198),
    [anon_sym_synchronized] = ACTIONS(2198),
    [anon_sym_throw] = ACTIONS(2198),
    [anon_sym_try] = ACTIONS(2198),
    [anon_sym_if] = ACTIONS(2198),
    [anon_sym_else] = ACTIONS(2198),
    [anon_sym_for] = ACTIONS(2198),
    [anon_sym_AT] = ACTIONS(2198),
    [anon_sym_open] = ACTIONS(2198),
    [anon_sym_module] = ACTIONS(2198),
    [anon_sym_static] = ACTIONS(2198),
    [anon_sym_with] = ACTIONS(2198),
    [anon_sym_package] = ACTIONS(2198),
    [anon_sym_import] = ACTIONS(2198),
    [anon_sym_enum] = ACTIONS(2198),
    [anon_sym_public] = ACTIONS(2198),
    [anon_sym_protected] = ACTIONS(2198),
    [anon_sym_private] = ACTIONS(2198),
    [anon_sym_abstract] = ACTIONS(2198),
    [anon_sym_strictfp] = ACTIONS(2198),
    [anon_sym_native] = ACTIONS(2198),
    [anon_sym_transient] = ACTIONS(2198),
    [anon_sym_volatile] = ACTIONS(2198),
    [anon_sym_sealed] = ACTIONS(2198),
    [anon_sym_non_DASHsealed] = ACTIONS(2196),
    [anon_sym_record] = ACTIONS(2198),
    [anon_sym_ATinterface] = ACTIONS(2196),
    [anon_sym_interface] = ACTIONS(2198),
    [anon_sym_byte] = ACTIONS(2198),
    [anon_sym_short] = ACTIONS(2198),
    [anon_sym_int] = ACTIONS(2198),
    [anon_sym_long] = ACTIONS(2198),
    [anon_sym_char] = ACTIONS(2198),
    [anon_sym_float] = ACTIONS(2198),
    [anon_sym_double] = ACTIONS(2198),
    [sym_boolean_type] = ACTIONS(2198),
    [sym_void_type] = ACTIONS(2198),
    [anon_sym_def] = ACTIONS(2198),
    [sym_this] = ACTIONS(2198),
    [sym_super] = ACTIONS(2198),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [880] = {
    [ts_builtin_sym_end] = ACTIONS(2200),
    [sym_identifier] = ACTIONS(2202),
    [sym_decimal_integer_literal] = ACTIONS(2202),
    [sym_hex_integer_literal] = ACTIONS(2202),
    [sym_octal_integer_literal] = ACTIONS(2202),
    [sym_binary_integer_literal] = ACTIONS(2200),
    [sym_decimal_floating_point_literal] = ACTIONS(2200),
    [sym_hex_floating_point_literal] = ACTIONS(2202),
    [sym_true] = ACTIONS(2202),
    [sym_false] = ACTIONS(2202),
    [sym_character_literal] = ACTIONS(2200),
    [anon_sym_DQUOTE] = ACTIONS(2202),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2200),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2200),
    [anon_sym_RBRACE] = ACTIONS(2200),
    [sym_null_literal] = ACTIONS(2202),
    [anon_sym_LPAREN] = ACTIONS(2200),
    [anon_sym_LT] = ACTIONS(2200),
    [anon_sym_PLUS] = ACTIONS(2202),
    [anon_sym_DASH] = ACTIONS(2202),
    [anon_sym_final] = ACTIONS(2202),
    [anon_sym_DASH_GT] = ACTIONS(2200),
    [anon_sym_BANG] = ACTIONS(2200),
    [anon_sym_TILDE] = ACTIONS(2200),
    [anon_sym_PLUS_PLUS] = ACTIONS(2200),
    [anon_sym_DASH_DASH] = ACTIONS(2200),
    [anon_sym_new] = ACTIONS(2202),
    [anon_sym_LBRACK] = ACTIONS(2200),
    [anon_sym_class] = ACTIONS(2202),
    [anon_sym_switch] = ACTIONS(2202),
    [anon_sym_LBRACE] = ACTIONS(2200),
    [anon_sym_case] = ACTIONS(2202),
    [anon_sym_default] = ACTIONS(2202),
    [sym_underscore_pattern] = ACTIONS(2202),
    [anon_sym_SEMI] = ACTIONS(2200),
    [anon_sym_assert] = ACTIONS(2202),
    [anon_sym_do] = ACTIONS(2202),
    [anon_sym_while] = ACTIONS(2202),
    [anon_sym_break] = ACTIONS(2202),
    [anon_sym_continue] = ACTIONS(2202),
    [anon_sym_return] = ACTIONS(2202),
    [anon_sym_yield] = ACTIONS(2202),
    [anon_sym_synchronized] = ACTIONS(2202),
    [anon_sym_throw] = ACTIONS(2202),
    [anon_sym_try] = ACTIONS(2202),
    [anon_sym_if] = ACTIONS(2202),
    [anon_sym_else] = ACTIONS(2202),
    [anon_sym_for] = ACTIONS(2202),
    [anon_sym_AT] = ACTIONS(2202),
    [anon_sym_open] = ACTIONS(2202),
    [anon_sym_module] = ACTIONS(2202),
    [anon_sym_static] = ACTIONS(2202),
    [anon_sym_with] = ACTIONS(2202),
    [anon_sym_package] = ACTIONS(2202),
    [anon_sym_import] = ACTIONS(2202),
    [anon_sym_enum] = ACTIONS(2202),
    [anon_sym_public] = ACTIONS(2202),
    [anon_sym_protected] = ACTIONS(2202),
    [anon_sym_private] = ACTIONS(2202),
    [anon_sym_abstract] = ACTIONS(2202),
    [anon_sym_strictfp] = ACTIONS(2202),
    [anon_sym_native] = ACTIONS(2202),
    [anon_sym_transient] = ACTIONS(2202),
    [anon_sym_volatile] = ACTIONS(2202),
    [anon_sym_sealed] = ACTIONS(2202),
    [anon_sym_non_DASHsealed] = ACTIONS(2200),
    [anon_sym_record] = ACTIONS(2202),
    [anon_sym_ATinterface] = ACTIONS(2200),
    [anon_sym_interface] = ACTIONS(2202),
    [anon_sym_byte] = ACTIONS(2202),
    [anon_sym_short] = ACTIONS(2202),
    [anon_sym_int] = ACTIONS(2202),
    [anon_sym_long] = ACTIONS(2202),
    [anon_sym_char] = ACTIONS(2202),
    [anon_sym_float] = ACTIONS(2202),
    [anon_sym_double] = ACTIONS(2202),
    [sym_boolean_type] = ACTIONS(2202),
    [sym_void_type] = ACTIONS(2202),
    [anon_sym_def] = ACTIONS(2202),
    [sym_this] = ACTIONS(2202),
    [sym_super] = ACTIONS(2202),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [881] = {
    [ts_builtin_sym_end] = ACTIONS(2204),
    [sym_identifier] = ACTIONS(2206),
    [sym_decimal_integer_literal] = ACTIONS(2206),
    [sym_hex_integer_literal] = ACTIONS(2206),
    [sym_octal_integer_literal] = ACTIONS(2206),
    [sym_binary_integer_literal] = ACTIONS(2204),
    [sym_decimal_floating_point_literal] = ACTIONS(2204),
    [sym_hex_floating_point_literal] = ACTIONS(2206),
    [sym_true] = ACTIONS(2206),
    [sym_false] = ACTIONS(2206),
    [sym_character_literal] = ACTIONS(2204),
    [anon_sym_DQUOTE] = ACTIONS(2206),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2204),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2204),
    [anon_sym_RBRACE] = ACTIONS(2204),
    [sym_null_literal] = ACTIONS(2206),
    [anon_sym_LPAREN] = ACTIONS(2204),
    [anon_sym_LT] = ACTIONS(2204),
    [anon_sym_PLUS] = ACTIONS(2206),
    [anon_sym_DASH] = ACTIONS(2206),
    [anon_sym_final] = ACTIONS(2206),
    [anon_sym_DASH_GT] = ACTIONS(2204),
    [anon_sym_BANG] = ACTIONS(2204),
    [anon_sym_TILDE] = ACTIONS(2204),
    [anon_sym_PLUS_PLUS] = ACTIONS(2204),
    [anon_sym_DASH_DASH] = ACTIONS(2204),
    [anon_sym_new] = ACTIONS(2206),
    [anon_sym_LBRACK] = ACTIONS(2204),
    [anon_sym_class] = ACTIONS(2206),
    [anon_sym_switch] = ACTIONS(2206),
    [anon_sym_LBRACE] = ACTIONS(2204),
    [anon_sym_case] = ACTIONS(2206),
    [anon_sym_default] = ACTIONS(2206),
    [sym_underscore_pattern] = ACTIONS(2206),
    [anon_sym_SEMI] = ACTIONS(2204),
    [anon_sym_assert] = ACTIONS(2206),
    [anon_sym_do] = ACTIONS(2206),
    [anon_sym_while] = ACTIONS(2206),
    [anon_sym_break] = ACTIONS(2206),
    [anon_sym_continue] = ACTIONS(2206),
    [anon_sym_return] = ACTIONS(2206),
    [anon_sym_yield] = ACTIONS(2206),
    [anon_sym_synchronized] = ACTIONS(2206),
    [anon_sym_throw] = ACTIONS(2206),
    [anon_sym_try] = ACTIONS(2206),
    [anon_sym_if] = ACTIONS(2206),
    [anon_sym_else] = ACTIONS(2206),
    [anon_sym_for] = ACTIONS(2206),
    [anon_sym_AT] = ACTIONS(2206),
    [anon_sym_open] = ACTIONS(2206),
    [anon_sym_module] = ACTIONS(2206),
    [anon_sym_static] = ACTIONS(2206),
    [anon_sym_with] = ACTIONS(2206),
    [anon_sym_package] = ACTIONS(2206),
    [anon_sym_import] = ACTIONS(2206),
    [anon_sym_enum] = ACTIONS(2206),
    [anon_sym_public] = ACTIONS(2206),
    [anon_sym_protected] = ACTIONS(2206),
    [anon_sym_private] = ACTIONS(2206),
    [anon_sym_abstract] = ACTIONS(2206),
    [anon_sym_strictfp] = ACTIONS(2206),
    [anon_sym_native] = ACTIONS(2206),
    [anon_sym_transient] = ACTIONS(2206),
    [anon_sym_volatile] = ACTIONS(2206),
    [anon_sym_sealed] = ACTIONS(2206),
    [anon_sym_non_DASHsealed] = ACTIONS(2204),
    [anon_sym_record] = ACTIONS(2206),
    [anon_sym_ATinterface] = ACTIONS(2204),
    [anon_sym_interface] = ACTIONS(2206),
    [anon_sym_byte] = ACTIONS(2206),
    [anon_sym_short] = ACTIONS(2206),
    [anon_sym_int] = ACTIONS(2206),
    [anon_sym_long] = ACTIONS(2206),
    [anon_sym_char] = ACTIONS(2206),
    [anon_sym_float] = ACTIONS(2206),
    [anon_sym_double] = ACTIONS(2206),
    [sym_boolean_type] = ACTIONS(2206),
    [sym_void_type] = ACTIONS(2206),
    [anon_sym_def] = ACTIONS(2206),
    [sym_this] = ACTIONS(2206),
    [sym_super] = ACTIONS(2206),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [882] = {
    [ts_builtin_sym_end] = ACTIONS(2208),
    [sym_identifier] = ACTIONS(2210),
    [sym_decimal_integer_literal] = ACTIONS(2210),
    [sym_hex_integer_literal] = ACTIONS(2210),
    [sym_octal_integer_literal] = ACTIONS(2210),
    [sym_binary_integer_literal] = ACTIONS(2208),
    [sym_decimal_floating_point_literal] = ACTIONS(2208),
    [sym_hex_floating_point_literal] = ACTIONS(2210),
    [sym_true] = ACTIONS(2210),
    [sym_false] = ACTIONS(2210),
    [sym_character_literal] = ACTIONS(2208),
    [anon_sym_DQUOTE] = ACTIONS(2210),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2208),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2208),
    [anon_sym_RBRACE] = ACTIONS(2208),
    [sym_null_literal] = ACTIONS(2210),
    [anon_sym_LPAREN] = ACTIONS(2208),
    [anon_sym_LT] = ACTIONS(2208),
    [anon_sym_PLUS] = ACTIONS(2210),
    [anon_sym_DASH] = ACTIONS(2210),
    [anon_sym_final] = ACTIONS(2210),
    [anon_sym_DASH_GT] = ACTIONS(2208),
    [anon_sym_BANG] = ACTIONS(2208),
    [anon_sym_TILDE] = ACTIONS(2208),
    [anon_sym_PLUS_PLUS] = ACTIONS(2208),
    [anon_sym_DASH_DASH] = ACTIONS(2208),
    [anon_sym_new] = ACTIONS(2210),
    [anon_sym_LBRACK] = ACTIONS(2208),
    [anon_sym_class] = ACTIONS(2210),
    [anon_sym_switch] = ACTIONS(2210),
    [anon_sym_LBRACE] = ACTIONS(2208),
    [anon_sym_case] = ACTIONS(2210),
    [anon_sym_default] = ACTIONS(2210),
    [sym_underscore_pattern] = ACTIONS(2210),
    [anon_sym_SEMI] = ACTIONS(2208),
    [anon_sym_assert] = ACTIONS(2210),
    [anon_sym_do] = ACTIONS(2210),
    [anon_sym_while] = ACTIONS(2210),
    [anon_sym_break] = ACTIONS(2210),
    [anon_sym_continue] = ACTIONS(2210),
    [anon_sym_return] = ACTIONS(2210),
    [anon_sym_yield] = ACTIONS(2210),
    [anon_sym_synchronized] = ACTIONS(2210),
    [anon_sym_throw] = ACTIONS(2210),
    [anon_sym_try] = ACTIONS(2210),
    [anon_sym_if] = ACTIONS(2210),
    [anon_sym_else] = ACTIONS(2210),
    [anon_sym_for] = ACTIONS(2210),
    [anon_sym_AT] = ACTIONS(2210),
    [anon_sym_open] = ACTIONS(2210),
    [anon_sym_module] = ACTIONS(2210),
    [anon_sym_static] = ACTIONS(2210),
    [anon_sym_with] = ACTIONS(2210),
    [anon_sym_package] = ACTIONS(2210),
    [anon_sym_import] = ACTIONS(2210),
    [anon_sym_enum] = ACTIONS(2210),
    [anon_sym_public] = ACTIONS(2210),
    [anon_sym_protected] = ACTIONS(2210),
    [anon_sym_private] = ACTIONS(2210),
    [anon_sym_abstract] = ACTIONS(2210),
    [anon_sym_strictfp] = ACTIONS(2210),
    [anon_sym_native] = ACTIONS(2210),
    [anon_sym_transient] = ACTIONS(2210),
    [anon_sym_volatile] = ACTIONS(2210),
    [anon_sym_sealed] = ACTIONS(2210),
    [anon_sym_non_DASHsealed] = ACTIONS(2208),
    [anon_sym_record] = ACTIONS(2210),
    [anon_sym_ATinterface] = ACTIONS(2208),
    [anon_sym_interface] = ACTIONS(2210),
    [anon_sym_byte] = ACTIONS(2210),
    [anon_sym_short] = ACTIONS(2210),
    [anon_sym_int] = ACTIONS(2210),
    [anon_sym_long] = ACTIONS(2210),
    [anon_sym_char] = ACTIONS(2210),
    [anon_sym_float] = ACTIONS(2210),
    [anon_sym_double] = ACTIONS(2210),
    [sym_boolean_type] = ACTIONS(2210),
    [sym_void_type] = ACTIONS(2210),
    [anon_sym_def] = ACTIONS(2210),
    [sym_this] = ACTIONS(2210),
    [sym_super] = ACTIONS(2210),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [883] = {
    [ts_builtin_sym_end] = ACTIONS(2212),
    [sym_identifier] = ACTIONS(2214),
    [sym_decimal_integer_literal] = ACTIONS(2214),
    [sym_hex_integer_literal] = ACTIONS(2214),
    [sym_octal_integer_literal] = ACTIONS(2214),
    [sym_binary_integer_literal] = ACTIONS(2212),
    [sym_decimal_floating_point_literal] = ACTIONS(2212),
    [sym_hex_floating_point_literal] = ACTIONS(2214),
    [sym_true] = ACTIONS(2214),
    [sym_false] = ACTIONS(2214),
    [sym_character_literal] = ACTIONS(2212),
    [anon_sym_DQUOTE] = ACTIONS(2214),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2212),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2212),
    [anon_sym_RBRACE] = ACTIONS(2212),
    [sym_null_literal] = ACTIONS(2214),
    [anon_sym_LPAREN] = ACTIONS(2212),
    [anon_sym_LT] = ACTIONS(2212),
    [anon_sym_PLUS] = ACTIONS(2214),
    [anon_sym_DASH] = ACTIONS(2214),
    [anon_sym_final] = ACTIONS(2214),
    [anon_sym_DASH_GT] = ACTIONS(2212),
    [anon_sym_BANG] = ACTIONS(2212),
    [anon_sym_TILDE] = ACTIONS(2212),
    [anon_sym_PLUS_PLUS] = ACTIONS(2212),
    [anon_sym_DASH_DASH] = ACTIONS(2212),
    [anon_sym_new] = ACTIONS(2214),
    [anon_sym_LBRACK] = ACTIONS(2212),
    [anon_sym_class] = ACTIONS(2214),
    [anon_sym_switch] = ACTIONS(2214),
    [anon_sym_LBRACE] = ACTIONS(2212),
    [anon_sym_case] = ACTIONS(2214),
    [anon_sym_default] = ACTIONS(2214),
    [sym_underscore_pattern] = ACTIONS(2214),
    [anon_sym_SEMI] = ACTIONS(2212),
    [anon_sym_assert] = ACTIONS(2214),
    [anon_sym_do] = ACTIONS(2214),
    [anon_sym_while] = ACTIONS(2214),
    [anon_sym_break] = ACTIONS(2214),
    [anon_sym_continue] = ACTIONS(2214),
    [anon_sym_return] = ACTIONS(2214),
    [anon_sym_yield] = ACTIONS(2214),
    [anon_sym_synchronized] = ACTIONS(2214),
    [anon_sym_throw] = ACTIONS(2214),
    [anon_sym_try] = ACTIONS(2214),
    [anon_sym_if] = ACTIONS(2214),
    [anon_sym_else] = ACTIONS(2214),
    [anon_sym_for] = ACTIONS(2214),
    [anon_sym_AT] = ACTIONS(2214),
    [anon_sym_open] = ACTIONS(2214),
    [anon_sym_module] = ACTIONS(2214),
    [anon_sym_static] = ACTIONS(2214),
    [anon_sym_with] = ACTIONS(2214),
    [anon_sym_package] = ACTIONS(2214),
    [anon_sym_import] = ACTIONS(2214),
    [anon_sym_enum] = ACTIONS(2214),
    [anon_sym_public] = ACTIONS(2214),
    [anon_sym_protected] = ACTIONS(2214),
    [anon_sym_private] = ACTIONS(2214),
    [anon_sym_abstract] = ACTIONS(2214),
    [anon_sym_strictfp] = ACTIONS(2214),
    [anon_sym_native] = ACTIONS(2214),
    [anon_sym_transient] = ACTIONS(2214),
    [anon_sym_volatile] = ACTIONS(2214),
    [anon_sym_sealed] = ACTIONS(2214),
    [anon_sym_non_DASHsealed] = ACTIONS(2212),
    [anon_sym_record] = ACTIONS(2214),
    [anon_sym_ATinterface] = ACTIONS(2212),
    [anon_sym_interface] = ACTIONS(2214),
    [anon_sym_byte] = ACTIONS(2214),
    [anon_sym_short] = ACTIONS(2214),
    [anon_sym_int] = ACTIONS(2214),
    [anon_sym_long] = ACTIONS(2214),
    [anon_sym_char] = ACTIONS(2214),
    [anon_sym_float] = ACTIONS(2214),
    [anon_sym_double] = ACTIONS(2214),
    [sym_boolean_type] = ACTIONS(2214),
    [sym_void_type] = ACTIONS(2214),
    [anon_sym_def] = ACTIONS(2214),
    [sym_this] = ACTIONS(2214),
    [sym_super] = ACTIONS(2214),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [884] = {
    [ts_builtin_sym_end] = ACTIONS(2216),
    [sym_identifier] = ACTIONS(2218),
    [sym_decimal_integer_literal] = ACTIONS(2218),
    [sym_hex_integer_literal] = ACTIONS(2218),
    [sym_octal_integer_literal] = ACTIONS(2218),
    [sym_binary_integer_literal] = ACTIONS(2216),
    [sym_decimal_floating_point_literal] = ACTIONS(2216),
    [sym_hex_floating_point_literal] = ACTIONS(2218),
    [sym_true] = ACTIONS(2218),
    [sym_false] = ACTIONS(2218),
    [sym_character_literal] = ACTIONS(2216),
    [anon_sym_DQUOTE] = ACTIONS(2218),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2216),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2216),
    [anon_sym_RBRACE] = ACTIONS(2216),
    [sym_null_literal] = ACTIONS(2218),
    [anon_sym_LPAREN] = ACTIONS(2216),
    [anon_sym_LT] = ACTIONS(2216),
    [anon_sym_PLUS] = ACTIONS(2218),
    [anon_sym_DASH] = ACTIONS(2218),
    [anon_sym_final] = ACTIONS(2218),
    [anon_sym_DASH_GT] = ACTIONS(2216),
    [anon_sym_BANG] = ACTIONS(2216),
    [anon_sym_TILDE] = ACTIONS(2216),
    [anon_sym_PLUS_PLUS] = ACTIONS(2216),
    [anon_sym_DASH_DASH] = ACTIONS(2216),
    [anon_sym_new] = ACTIONS(2218),
    [anon_sym_LBRACK] = ACTIONS(2216),
    [anon_sym_class] = ACTIONS(2218),
    [anon_sym_switch] = ACTIONS(2218),
    [anon_sym_LBRACE] = ACTIONS(2216),
    [anon_sym_case] = ACTIONS(2218),
    [anon_sym_default] = ACTIONS(2218),
    [sym_underscore_pattern] = ACTIONS(2218),
    [anon_sym_SEMI] = ACTIONS(2216),
    [anon_sym_assert] = ACTIONS(2218),
    [anon_sym_do] = ACTIONS(2218),
    [anon_sym_while] = ACTIONS(2218),
    [anon_sym_break] = ACTIONS(2218),
    [anon_sym_continue] = ACTIONS(2218),
    [anon_sym_return] = ACTIONS(2218),
    [anon_sym_yield] = ACTIONS(2218),
    [anon_sym_synchronized] = ACTIONS(2218),
    [anon_sym_throw] = ACTIONS(2218),
    [anon_sym_try] = ACTIONS(2218),
    [anon_sym_if] = ACTIONS(2218),
    [anon_sym_else] = ACTIONS(2218),
    [anon_sym_for] = ACTIONS(2218),
    [anon_sym_AT] = ACTIONS(2218),
    [anon_sym_open] = ACTIONS(2218),
    [anon_sym_module] = ACTIONS(2218),
    [anon_sym_static] = ACTIONS(2218),
    [anon_sym_with] = ACTIONS(2218),
    [anon_sym_package] = ACTIONS(2218),
    [anon_sym_import] = ACTIONS(2218),
    [anon_sym_enum] = ACTIONS(2218),
    [anon_sym_public] = ACTIONS(2218),
    [anon_sym_protected] = ACTIONS(2218),
    [anon_sym_private] = ACTIONS(2218),
    [anon_sym_abstract] = ACTIONS(2218),
    [anon_sym_strictfp] = ACTIONS(2218),
    [anon_sym_native] = ACTIONS(2218),
    [anon_sym_transient] = ACTIONS(2218),
    [anon_sym_volatile] = ACTIONS(2218),
    [anon_sym_sealed] = ACTIONS(2218),
    [anon_sym_non_DASHsealed] = ACTIONS(2216),
    [anon_sym_record] = ACTIONS(2218),
    [anon_sym_ATinterface] = ACTIONS(2216),
    [anon_sym_interface] = ACTIONS(2218),
    [anon_sym_byte] = ACTIONS(2218),
    [anon_sym_short] = ACTIONS(2218),
    [anon_sym_int] = ACTIONS(2218),
    [anon_sym_long] = ACTIONS(2218),
    [anon_sym_char] = ACTIONS(2218),
    [anon_sym_float] = ACTIONS(2218),
    [anon_sym_double] = ACTIONS(2218),
    [sym_boolean_type] = ACTIONS(2218),
    [sym_void_type] = ACTIONS(2218),
    [anon_sym_def] = ACTIONS(2218),
    [sym_this] = ACTIONS(2218),
    [sym_super] = ACTIONS(2218),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [885] = {
    [ts_builtin_sym_end] = ACTIONS(2220),
    [sym_identifier] = ACTIONS(2222),
    [sym_decimal_integer_literal] = ACTIONS(2222),
    [sym_hex_integer_literal] = ACTIONS(2222),
    [sym_octal_integer_literal] = ACTIONS(2222),
    [sym_binary_integer_literal] = ACTIONS(2220),
    [sym_decimal_floating_point_literal] = ACTIONS(2220),
    [sym_hex_floating_point_literal] = ACTIONS(2222),
    [sym_true] = ACTIONS(2222),
    [sym_false] = ACTIONS(2222),
    [sym_character_literal] = ACTIONS(2220),
    [anon_sym_DQUOTE] = ACTIONS(2222),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2220),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2220),
    [anon_sym_RBRACE] = ACTIONS(2220),
    [sym_null_literal] = ACTIONS(2222),
    [anon_sym_LPAREN] = ACTIONS(2220),
    [anon_sym_LT] = ACTIONS(2220),
    [anon_sym_PLUS] = ACTIONS(2222),
    [anon_sym_DASH] = ACTIONS(2222),
    [anon_sym_final] = ACTIONS(2222),
    [anon_sym_DASH_GT] = ACTIONS(2220),
    [anon_sym_BANG] = ACTIONS(2220),
    [anon_sym_TILDE] = ACTIONS(2220),
    [anon_sym_PLUS_PLUS] = ACTIONS(2220),
    [anon_sym_DASH_DASH] = ACTIONS(2220),
    [anon_sym_new] = ACTIONS(2222),
    [anon_sym_LBRACK] = ACTIONS(2220),
    [anon_sym_class] = ACTIONS(2222),
    [anon_sym_switch] = ACTIONS(2222),
    [anon_sym_LBRACE] = ACTIONS(2220),
    [anon_sym_case] = ACTIONS(2222),
    [anon_sym_default] = ACTIONS(2222),
    [sym_underscore_pattern] = ACTIONS(2222),
    [anon_sym_SEMI] = ACTIONS(2220),
    [anon_sym_assert] = ACTIONS(2222),
    [anon_sym_do] = ACTIONS(2222),
    [anon_sym_while] = ACTIONS(2222),
    [anon_sym_break] = ACTIONS(2222),
    [anon_sym_continue] = ACTIONS(2222),
    [anon_sym_return] = ACTIONS(2222),
    [anon_sym_yield] = ACTIONS(2222),
    [anon_sym_synchronized] = ACTIONS(2222),
    [anon_sym_throw] = ACTIONS(2222),
    [anon_sym_try] = ACTIONS(2222),
    [anon_sym_if] = ACTIONS(2222),
    [anon_sym_else] = ACTIONS(2222),
    [anon_sym_for] = ACTIONS(2222),
    [anon_sym_AT] = ACTIONS(2222),
    [anon_sym_open] = ACTIONS(2222),
    [anon_sym_module] = ACTIONS(2222),
    [anon_sym_static] = ACTIONS(2222),
    [anon_sym_with] = ACTIONS(2222),
    [anon_sym_package] = ACTIONS(2222),
    [anon_sym_import] = ACTIONS(2222),
    [anon_sym_enum] = ACTIONS(2222),
    [anon_sym_public] = ACTIONS(2222),
    [anon_sym_protected] = ACTIONS(2222),
    [anon_sym_private] = ACTIONS(2222),
    [anon_sym_abstract] = ACTIONS(2222),
    [anon_sym_strictfp] = ACTIONS(2222),
    [anon_sym_native] = ACTIONS(2222),
    [anon_sym_transient] = ACTIONS(2222),
    [anon_sym_volatile] = ACTIONS(2222),
    [anon_sym_sealed] = ACTIONS(2222),
    [anon_sym_non_DASHsealed] = ACTIONS(2220),
    [anon_sym_record] = ACTIONS(2222),
    [anon_sym_ATinterface] = ACTIONS(2220),
    [anon_sym_interface] = ACTIONS(2222),
    [anon_sym_byte] = ACTIONS(2222),
    [anon_sym_short] = ACTIONS(2222),
    [anon_sym_int] = ACTIONS(2222),
    [anon_sym_long] = ACTIONS(2222),
    [anon_sym_char] = ACTIONS(2222),
    [anon_sym_float] = ACTIONS(2222),
    [anon_sym_double] = ACTIONS(2222),
    [sym_boolean_type] = ACTIONS(2222),
    [sym_void_type] = ACTIONS(2222),
    [anon_sym_def] = ACTIONS(2222),
    [sym_this] = ACTIONS(2222),
    [sym_super] = ACTIONS(2222),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [886] = {
    [ts_builtin_sym_end] = ACTIONS(2224),
    [sym_identifier] = ACTIONS(2226),
    [sym_decimal_integer_literal] = ACTIONS(2226),
    [sym_hex_integer_literal] = ACTIONS(2226),
    [sym_octal_integer_literal] = ACTIONS(2226),
    [sym_binary_integer_literal] = ACTIONS(2224),
    [sym_decimal_floating_point_literal] = ACTIONS(2224),
    [sym_hex_floating_point_literal] = ACTIONS(2226),
    [sym_true] = ACTIONS(2226),
    [sym_false] = ACTIONS(2226),
    [sym_character_literal] = ACTIONS(2224),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2224),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2224),
    [anon_sym_RBRACE] = ACTIONS(2224),
    [sym_null_literal] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_final] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2224),
    [anon_sym_TILDE] = ACTIONS(2224),
    [anon_sym_PLUS_PLUS] = ACTIONS(2224),
    [anon_sym_DASH_DASH] = ACTIONS(2224),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_class] = ACTIONS(2226),
    [anon_sym_switch] = ACTIONS(2226),
    [anon_sym_LBRACE] = ACTIONS(2224),
    [anon_sym_case] = ACTIONS(2226),
    [anon_sym_default] = ACTIONS(2226),
    [sym_underscore_pattern] = ACTIONS(2226),
    [anon_sym_SEMI] = ACTIONS(2224),
    [anon_sym_assert] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_break] = ACTIONS(2226),
    [anon_sym_continue] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_yield] = ACTIONS(2226),
    [anon_sym_synchronized] = ACTIONS(2226),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_else] = ACTIONS(2226),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_AT] = ACTIONS(2226),
    [anon_sym_open] = ACTIONS(2226),
    [anon_sym_module] = ACTIONS(2226),
    [anon_sym_static] = ACTIONS(2226),
    [anon_sym_with] = ACTIONS(2226),
    [anon_sym_package] = ACTIONS(2226),
    [anon_sym_import] = ACTIONS(2226),
    [anon_sym_enum] = ACTIONS(2226),
    [anon_sym_public] = ACTIONS(2226),
    [anon_sym_protected] = ACTIONS(2226),
    [anon_sym_private] = ACTIONS(2226),
    [anon_sym_abstract] = ACTIONS(2226),
    [anon_sym_strictfp] = ACTIONS(2226),
    [anon_sym_native] = ACTIONS(2226),
    [anon_sym_transient] = ACTIONS(2226),
    [anon_sym_volatile] = ACTIONS(2226),
    [anon_sym_sealed] = ACTIONS(2226),
    [anon_sym_non_DASHsealed] = ACTIONS(2224),
    [anon_sym_record] = ACTIONS(2226),
    [anon_sym_ATinterface] = ACTIONS(2224),
    [anon_sym_interface] = ACTIONS(2226),
    [anon_sym_byte] = ACTIONS(2226),
    [anon_sym_short] = ACTIONS(2226),
    [anon_sym_int] = ACTIONS(2226),
    [anon_sym_long] = ACTIONS(2226),
    [anon_sym_char] = ACTIONS(2226),
    [anon_sym_float] = ACTIONS(2226),
    [anon_sym_double] = ACTIONS(2226),
    [sym_boolean_type] = ACTIONS(2226),
    [sym_void_type] = ACTIONS(2226),
    [anon_sym_def] = ACTIONS(2226),
    [sym_this] = ACTIONS(2226),
    [sym_super] = ACTIONS(2226),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [887] = {
    [ts_builtin_sym_end] = ACTIONS(2084),
    [sym_identifier] = ACTIONS(2086),
    [sym_decimal_integer_literal] = ACTIONS(2086),
    [sym_hex_integer_literal] = ACTIONS(2086),
    [sym_octal_integer_literal] = ACTIONS(2086),
    [sym_binary_integer_literal] = ACTIONS(2084),
    [sym_decimal_floating_point_literal] = ACTIONS(2084),
    [sym_hex_floating_point_literal] = ACTIONS(2086),
    [sym_true] = ACTIONS(2086),
    [sym_false] = ACTIONS(2086),
    [sym_character_literal] = ACTIONS(2084),
    [anon_sym_DQUOTE] = ACTIONS(2086),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2084),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2084),
    [anon_sym_RBRACE] = ACTIONS(2084),
    [sym_null_literal] = ACTIONS(2086),
    [anon_sym_LPAREN] = ACTIONS(2084),
    [anon_sym_LT] = ACTIONS(2084),
    [anon_sym_PLUS] = ACTIONS(2086),
    [anon_sym_DASH] = ACTIONS(2086),
    [anon_sym_final] = ACTIONS(2086),
    [anon_sym_DASH_GT] = ACTIONS(2084),
    [anon_sym_BANG] = ACTIONS(2084),
    [anon_sym_TILDE] = ACTIONS(2084),
    [anon_sym_PLUS_PLUS] = ACTIONS(2084),
    [anon_sym_DASH_DASH] = ACTIONS(2084),
    [anon_sym_new] = ACTIONS(2086),
    [anon_sym_LBRACK] = ACTIONS(2084),
    [anon_sym_class] = ACTIONS(2086),
    [anon_sym_switch] = ACTIONS(2086),
    [anon_sym_LBRACE] = ACTIONS(2084),
    [anon_sym_case] = ACTIONS(2086),
    [anon_sym_default] = ACTIONS(2086),
    [sym_underscore_pattern] = ACTIONS(2086),
    [anon_sym_SEMI] = ACTIONS(2084),
    [anon_sym_assert] = ACTIONS(2086),
    [anon_sym_do] = ACTIONS(2086),
    [anon_sym_while] = ACTIONS(2086),
    [anon_sym_break] = ACTIONS(2086),
    [anon_sym_continue] = ACTIONS(2086),
    [anon_sym_return] = ACTIONS(2086),
    [anon_sym_yield] = ACTIONS(2086),
    [anon_sym_synchronized] = ACTIONS(2086),
    [anon_sym_throw] = ACTIONS(2086),
    [anon_sym_try] = ACTIONS(2086),
    [anon_sym_if] = ACTIONS(2086),
    [anon_sym_else] = ACTIONS(2086),
    [anon_sym_for] = ACTIONS(2086),
    [anon_sym_AT] = ACTIONS(2086),
    [anon_sym_open] = ACTIONS(2086),
    [anon_sym_module] = ACTIONS(2086),
    [anon_sym_static] = ACTIONS(2086),
    [anon_sym_with] = ACTIONS(2086),
    [anon_sym_package] = ACTIONS(2086),
    [anon_sym_import] = ACTIONS(2086),
    [anon_sym_enum] = ACTIONS(2086),
    [anon_sym_public] = ACTIONS(2086),
    [anon_sym_protected] = ACTIONS(2086),
    [anon_sym_private] = ACTIONS(2086),
    [anon_sym_abstract] = ACTIONS(2086),
    [anon_sym_strictfp] = ACTIONS(2086),
    [anon_sym_native] = ACTIONS(2086),
    [anon_sym_transient] = ACTIONS(2086),
    [anon_sym_volatile] = ACTIONS(2086),
    [anon_sym_sealed] = ACTIONS(2086),
    [anon_sym_non_DASHsealed] = ACTIONS(2084),
    [anon_sym_record] = ACTIONS(2086),
    [anon_sym_ATinterface] = ACTIONS(2084),
    [anon_sym_interface] = ACTIONS(2086),
    [anon_sym_byte] = ACTIONS(2086),
    [anon_sym_short] = ACTIONS(2086),
    [anon_sym_int] = ACTIONS(2086),
    [anon_sym_long] = ACTIONS(2086),
    [anon_sym_char] = ACTIONS(2086),
    [anon_sym_float] = ACTIONS(2086),
    [anon_sym_double] = ACTIONS(2086),
    [sym_boolean_type] = ACTIONS(2086),
    [sym_void_type] = ACTIONS(2086),
    [anon_sym_def] = ACTIONS(2086),
    [sym_this] = ACTIONS(2086),
    [sym_super] = ACTIONS(2086),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [888] = {
    [ts_builtin_sym_end] = ACTIONS(2228),
    [sym_identifier] = ACTIONS(2230),
    [sym_decimal_integer_literal] = ACTIONS(2230),
    [sym_hex_integer_literal] = ACTIONS(2230),
    [sym_octal_integer_literal] = ACTIONS(2230),
    [sym_binary_integer_literal] = ACTIONS(2228),
    [sym_decimal_floating_point_literal] = ACTIONS(2228),
    [sym_hex_floating_point_literal] = ACTIONS(2230),
    [sym_true] = ACTIONS(2230),
    [sym_false] = ACTIONS(2230),
    [sym_character_literal] = ACTIONS(2228),
    [anon_sym_DQUOTE] = ACTIONS(2230),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2228),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2228),
    [anon_sym_RBRACE] = ACTIONS(2228),
    [sym_null_literal] = ACTIONS(2230),
    [anon_sym_LPAREN] = ACTIONS(2228),
    [anon_sym_LT] = ACTIONS(2228),
    [anon_sym_PLUS] = ACTIONS(2230),
    [anon_sym_DASH] = ACTIONS(2230),
    [anon_sym_final] = ACTIONS(2230),
    [anon_sym_DASH_GT] = ACTIONS(2228),
    [anon_sym_BANG] = ACTIONS(2228),
    [anon_sym_TILDE] = ACTIONS(2228),
    [anon_sym_PLUS_PLUS] = ACTIONS(2228),
    [anon_sym_DASH_DASH] = ACTIONS(2228),
    [anon_sym_new] = ACTIONS(2230),
    [anon_sym_LBRACK] = ACTIONS(2228),
    [anon_sym_class] = ACTIONS(2230),
    [anon_sym_switch] = ACTIONS(2230),
    [anon_sym_LBRACE] = ACTIONS(2228),
    [anon_sym_case] = ACTIONS(2230),
    [anon_sym_default] = ACTIONS(2230),
    [sym_underscore_pattern] = ACTIONS(2230),
    [anon_sym_SEMI] = ACTIONS(2228),
    [anon_sym_assert] = ACTIONS(2230),
    [anon_sym_do] = ACTIONS(2230),
    [anon_sym_while] = ACTIONS(2230),
    [anon_sym_break] = ACTIONS(2230),
    [anon_sym_continue] = ACTIONS(2230),
    [anon_sym_return] = ACTIONS(2230),
    [anon_sym_yield] = ACTIONS(2230),
    [anon_sym_synchronized] = ACTIONS(2230),
    [anon_sym_throw] = ACTIONS(2230),
    [anon_sym_try] = ACTIONS(2230),
    [anon_sym_if] = ACTIONS(2230),
    [anon_sym_else] = ACTIONS(2230),
    [anon_sym_for] = ACTIONS(2230),
    [anon_sym_AT] = ACTIONS(2230),
    [anon_sym_open] = ACTIONS(2230),
    [anon_sym_module] = ACTIONS(2230),
    [anon_sym_static] = ACTIONS(2230),
    [anon_sym_with] = ACTIONS(2230),
    [anon_sym_package] = ACTIONS(2230),
    [anon_sym_import] = ACTIONS(2230),
    [anon_sym_enum] = ACTIONS(2230),
    [anon_sym_public] = ACTIONS(2230),
    [anon_sym_protected] = ACTIONS(2230),
    [anon_sym_private] = ACTIONS(2230),
    [anon_sym_abstract] = ACTIONS(2230),
    [anon_sym_strictfp] = ACTIONS(2230),
    [anon_sym_native] = ACTIONS(2230),
    [anon_sym_transient] = ACTIONS(2230),
    [anon_sym_volatile] = ACTIONS(2230),
    [anon_sym_sealed] = ACTIONS(2230),
    [anon_sym_non_DASHsealed] = ACTIONS(2228),
    [anon_sym_record] = ACTIONS(2230),
    [anon_sym_ATinterface] = ACTIONS(2228),
    [anon_sym_interface] = ACTIONS(2230),
    [anon_sym_byte] = ACTIONS(2230),
    [anon_sym_short] = ACTIONS(2230),
    [anon_sym_int] = ACTIONS(2230),
    [anon_sym_long] = ACTIONS(2230),
    [anon_sym_char] = ACTIONS(2230),
    [anon_sym_float] = ACTIONS(2230),
    [anon_sym_double] = ACTIONS(2230),
    [sym_boolean_type] = ACTIONS(2230),
    [sym_void_type] = ACTIONS(2230),
    [anon_sym_def] = ACTIONS(2230),
    [sym_this] = ACTIONS(2230),
    [sym_super] = ACTIONS(2230),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [889] = {
    [ts_builtin_sym_end] = ACTIONS(2232),
    [sym_identifier] = ACTIONS(2234),
    [sym_decimal_integer_literal] = ACTIONS(2234),
    [sym_hex_integer_literal] = ACTIONS(2234),
    [sym_octal_integer_literal] = ACTIONS(2234),
    [sym_binary_integer_literal] = ACTIONS(2232),
    [sym_decimal_floating_point_literal] = ACTIONS(2232),
    [sym_hex_floating_point_literal] = ACTIONS(2234),
    [sym_true] = ACTIONS(2234),
    [sym_false] = ACTIONS(2234),
    [sym_character_literal] = ACTIONS(2232),
    [anon_sym_DQUOTE] = ACTIONS(2234),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2232),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2232),
    [anon_sym_RBRACE] = ACTIONS(2232),
    [sym_null_literal] = ACTIONS(2234),
    [anon_sym_LPAREN] = ACTIONS(2232),
    [anon_sym_LT] = ACTIONS(2232),
    [anon_sym_PLUS] = ACTIONS(2234),
    [anon_sym_DASH] = ACTIONS(2234),
    [anon_sym_final] = ACTIONS(2234),
    [anon_sym_DASH_GT] = ACTIONS(2232),
    [anon_sym_BANG] = ACTIONS(2232),
    [anon_sym_TILDE] = ACTIONS(2232),
    [anon_sym_PLUS_PLUS] = ACTIONS(2232),
    [anon_sym_DASH_DASH] = ACTIONS(2232),
    [anon_sym_new] = ACTIONS(2234),
    [anon_sym_LBRACK] = ACTIONS(2232),
    [anon_sym_class] = ACTIONS(2234),
    [anon_sym_switch] = ACTIONS(2234),
    [anon_sym_LBRACE] = ACTIONS(2232),
    [anon_sym_case] = ACTIONS(2234),
    [anon_sym_default] = ACTIONS(2234),
    [sym_underscore_pattern] = ACTIONS(2234),
    [anon_sym_SEMI] = ACTIONS(2232),
    [anon_sym_assert] = ACTIONS(2234),
    [anon_sym_do] = ACTIONS(2234),
    [anon_sym_while] = ACTIONS(2234),
    [anon_sym_break] = ACTIONS(2234),
    [anon_sym_continue] = ACTIONS(2234),
    [anon_sym_return] = ACTIONS(2234),
    [anon_sym_yield] = ACTIONS(2234),
    [anon_sym_synchronized] = ACTIONS(2234),
    [anon_sym_throw] = ACTIONS(2234),
    [anon_sym_try] = ACTIONS(2234),
    [anon_sym_if] = ACTIONS(2234),
    [anon_sym_else] = ACTIONS(2234),
    [anon_sym_for] = ACTIONS(2234),
    [anon_sym_AT] = ACTIONS(2234),
    [anon_sym_open] = ACTIONS(2234),
    [anon_sym_module] = ACTIONS(2234),
    [anon_sym_static] = ACTIONS(2234),
    [anon_sym_with] = ACTIONS(2234),
    [anon_sym_package] = ACTIONS(2234),
    [anon_sym_import] = ACTIONS(2234),
    [anon_sym_enum] = ACTIONS(2234),
    [anon_sym_public] = ACTIONS(2234),
    [anon_sym_protected] = ACTIONS(2234),
    [anon_sym_private] = ACTIONS(2234),
    [anon_sym_abstract] = ACTIONS(2234),
    [anon_sym_strictfp] = ACTIONS(2234),
    [anon_sym_native] = ACTIONS(2234),
    [anon_sym_transient] = ACTIONS(2234),
    [anon_sym_volatile] = ACTIONS(2234),
    [anon_sym_sealed] = ACTIONS(2234),
    [anon_sym_non_DASHsealed] = ACTIONS(2232),
    [anon_sym_record] = ACTIONS(2234),
    [anon_sym_ATinterface] = ACTIONS(2232),
    [anon_sym_interface] = ACTIONS(2234),
    [anon_sym_byte] = ACTIONS(2234),
    [anon_sym_short] = ACTIONS(2234),
    [anon_sym_int] = ACTIONS(2234),
    [anon_sym_long] = ACTIONS(2234),
    [anon_sym_char] = ACTIONS(2234),
    [anon_sym_float] = ACTIONS(2234),
    [anon_sym_double] = ACTIONS(2234),
    [sym_boolean_type] = ACTIONS(2234),
    [sym_void_type] = ACTIONS(2234),
    [anon_sym_def] = ACTIONS(2234),
    [sym_this] = ACTIONS(2234),
    [sym_super] = ACTIONS(2234),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [890] = {
    [ts_builtin_sym_end] = ACTIONS(2236),
    [sym_identifier] = ACTIONS(2238),
    [sym_decimal_integer_literal] = ACTIONS(2238),
    [sym_hex_integer_literal] = ACTIONS(2238),
    [sym_octal_integer_literal] = ACTIONS(2238),
    [sym_binary_integer_literal] = ACTIONS(2236),
    [sym_decimal_floating_point_literal] = ACTIONS(2236),
    [sym_hex_floating_point_literal] = ACTIONS(2238),
    [sym_true] = ACTIONS(2238),
    [sym_false] = ACTIONS(2238),
    [sym_character_literal] = ACTIONS(2236),
    [anon_sym_DQUOTE] = ACTIONS(2238),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2236),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2236),
    [anon_sym_RBRACE] = ACTIONS(2236),
    [sym_null_literal] = ACTIONS(2238),
    [anon_sym_LPAREN] = ACTIONS(2236),
    [anon_sym_LT] = ACTIONS(2236),
    [anon_sym_PLUS] = ACTIONS(2238),
    [anon_sym_DASH] = ACTIONS(2238),
    [anon_sym_final] = ACTIONS(2238),
    [anon_sym_DASH_GT] = ACTIONS(2236),
    [anon_sym_BANG] = ACTIONS(2236),
    [anon_sym_TILDE] = ACTIONS(2236),
    [anon_sym_PLUS_PLUS] = ACTIONS(2236),
    [anon_sym_DASH_DASH] = ACTIONS(2236),
    [anon_sym_new] = ACTIONS(2238),
    [anon_sym_LBRACK] = ACTIONS(2236),
    [anon_sym_class] = ACTIONS(2238),
    [anon_sym_switch] = ACTIONS(2238),
    [anon_sym_LBRACE] = ACTIONS(2236),
    [anon_sym_case] = ACTIONS(2238),
    [anon_sym_default] = ACTIONS(2238),
    [sym_underscore_pattern] = ACTIONS(2238),
    [anon_sym_SEMI] = ACTIONS(2236),
    [anon_sym_assert] = ACTIONS(2238),
    [anon_sym_do] = ACTIONS(2238),
    [anon_sym_while] = ACTIONS(2238),
    [anon_sym_break] = ACTIONS(2238),
    [anon_sym_continue] = ACTIONS(2238),
    [anon_sym_return] = ACTIONS(2238),
    [anon_sym_yield] = ACTIONS(2238),
    [anon_sym_synchronized] = ACTIONS(2238),
    [anon_sym_throw] = ACTIONS(2238),
    [anon_sym_try] = ACTIONS(2238),
    [anon_sym_if] = ACTIONS(2238),
    [anon_sym_else] = ACTIONS(2238),
    [anon_sym_for] = ACTIONS(2238),
    [anon_sym_AT] = ACTIONS(2238),
    [anon_sym_open] = ACTIONS(2238),
    [anon_sym_module] = ACTIONS(2238),
    [anon_sym_static] = ACTIONS(2238),
    [anon_sym_with] = ACTIONS(2238),
    [anon_sym_package] = ACTIONS(2238),
    [anon_sym_import] = ACTIONS(2238),
    [anon_sym_enum] = ACTIONS(2238),
    [anon_sym_public] = ACTIONS(2238),
    [anon_sym_protected] = ACTIONS(2238),
    [anon_sym_private] = ACTIONS(2238),
    [anon_sym_abstract] = ACTIONS(2238),
    [anon_sym_strictfp] = ACTIONS(2238),
    [anon_sym_native] = ACTIONS(2238),
    [anon_sym_transient] = ACTIONS(2238),
    [anon_sym_volatile] = ACTIONS(2238),
    [anon_sym_sealed] = ACTIONS(2238),
    [anon_sym_non_DASHsealed] = ACTIONS(2236),
    [anon_sym_record] = ACTIONS(2238),
    [anon_sym_ATinterface] = ACTIONS(2236),
    [anon_sym_interface] = ACTIONS(2238),
    [anon_sym_byte] = ACTIONS(2238),
    [anon_sym_short] = ACTIONS(2238),
    [anon_sym_int] = ACTIONS(2238),
    [anon_sym_long] = ACTIONS(2238),
    [anon_sym_char] = ACTIONS(2238),
    [anon_sym_float] = ACTIONS(2238),
    [anon_sym_double] = ACTIONS(2238),
    [sym_boolean_type] = ACTIONS(2238),
    [sym_void_type] = ACTIONS(2238),
    [anon_sym_def] = ACTIONS(2238),
    [sym_this] = ACTIONS(2238),
    [sym_super] = ACTIONS(2238),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [891] = {
    [ts_builtin_sym_end] = ACTIONS(2240),
    [sym_identifier] = ACTIONS(2242),
    [sym_decimal_integer_literal] = ACTIONS(2242),
    [sym_hex_integer_literal] = ACTIONS(2242),
    [sym_octal_integer_literal] = ACTIONS(2242),
    [sym_binary_integer_literal] = ACTIONS(2240),
    [sym_decimal_floating_point_literal] = ACTIONS(2240),
    [sym_hex_floating_point_literal] = ACTIONS(2242),
    [sym_true] = ACTIONS(2242),
    [sym_false] = ACTIONS(2242),
    [sym_character_literal] = ACTIONS(2240),
    [anon_sym_DQUOTE] = ACTIONS(2242),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2240),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2240),
    [anon_sym_RBRACE] = ACTIONS(2240),
    [sym_null_literal] = ACTIONS(2242),
    [anon_sym_LPAREN] = ACTIONS(2240),
    [anon_sym_LT] = ACTIONS(2240),
    [anon_sym_PLUS] = ACTIONS(2242),
    [anon_sym_DASH] = ACTIONS(2242),
    [anon_sym_final] = ACTIONS(2242),
    [anon_sym_DASH_GT] = ACTIONS(2240),
    [anon_sym_BANG] = ACTIONS(2240),
    [anon_sym_TILDE] = ACTIONS(2240),
    [anon_sym_PLUS_PLUS] = ACTIONS(2240),
    [anon_sym_DASH_DASH] = ACTIONS(2240),
    [anon_sym_new] = ACTIONS(2242),
    [anon_sym_LBRACK] = ACTIONS(2240),
    [anon_sym_class] = ACTIONS(2242),
    [anon_sym_switch] = ACTIONS(2242),
    [anon_sym_LBRACE] = ACTIONS(2240),
    [anon_sym_case] = ACTIONS(2242),
    [anon_sym_default] = ACTIONS(2242),
    [sym_underscore_pattern] = ACTIONS(2242),
    [anon_sym_SEMI] = ACTIONS(2240),
    [anon_sym_assert] = ACTIONS(2242),
    [anon_sym_do] = ACTIONS(2242),
    [anon_sym_while] = ACTIONS(2242),
    [anon_sym_break] = ACTIONS(2242),
    [anon_sym_continue] = ACTIONS(2242),
    [anon_sym_return] = ACTIONS(2242),
    [anon_sym_yield] = ACTIONS(2242),
    [anon_sym_synchronized] = ACTIONS(2242),
    [anon_sym_throw] = ACTIONS(2242),
    [anon_sym_try] = ACTIONS(2242),
    [anon_sym_if] = ACTIONS(2242),
    [anon_sym_else] = ACTIONS(2242),
    [anon_sym_for] = ACTIONS(2242),
    [anon_sym_AT] = ACTIONS(2242),
    [anon_sym_open] = ACTIONS(2242),
    [anon_sym_module] = ACTIONS(2242),
    [anon_sym_static] = ACTIONS(2242),
    [anon_sym_with] = ACTIONS(2242),
    [anon_sym_package] = ACTIONS(2242),
    [anon_sym_import] = ACTIONS(2242),
    [anon_sym_enum] = ACTIONS(2242),
    [anon_sym_public] = ACTIONS(2242),
    [anon_sym_protected] = ACTIONS(2242),
    [anon_sym_private] = ACTIONS(2242),
    [anon_sym_abstract] = ACTIONS(2242),
    [anon_sym_strictfp] = ACTIONS(2242),
    [anon_sym_native] = ACTIONS(2242),
    [anon_sym_transient] = ACTIONS(2242),
    [anon_sym_volatile] = ACTIONS(2242),
    [anon_sym_sealed] = ACTIONS(2242),
    [anon_sym_non_DASHsealed] = ACTIONS(2240),
    [anon_sym_record] = ACTIONS(2242),
    [anon_sym_ATinterface] = ACTIONS(2240),
    [anon_sym_interface] = ACTIONS(2242),
    [anon_sym_byte] = ACTIONS(2242),
    [anon_sym_short] = ACTIONS(2242),
    [anon_sym_int] = ACTIONS(2242),
    [anon_sym_long] = ACTIONS(2242),
    [anon_sym_char] = ACTIONS(2242),
    [anon_sym_float] = ACTIONS(2242),
    [anon_sym_double] = ACTIONS(2242),
    [sym_boolean_type] = ACTIONS(2242),
    [sym_void_type] = ACTIONS(2242),
    [anon_sym_def] = ACTIONS(2242),
    [sym_this] = ACTIONS(2242),
    [sym_super] = ACTIONS(2242),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [892] = {
    [ts_builtin_sym_end] = ACTIONS(2244),
    [sym_identifier] = ACTIONS(2246),
    [sym_decimal_integer_literal] = ACTIONS(2246),
    [sym_hex_integer_literal] = ACTIONS(2246),
    [sym_octal_integer_literal] = ACTIONS(2246),
    [sym_binary_integer_literal] = ACTIONS(2244),
    [sym_decimal_floating_point_literal] = ACTIONS(2244),
    [sym_hex_floating_point_literal] = ACTIONS(2246),
    [sym_true] = ACTIONS(2246),
    [sym_false] = ACTIONS(2246),
    [sym_character_literal] = ACTIONS(2244),
    [anon_sym_DQUOTE] = ACTIONS(2246),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2244),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2244),
    [anon_sym_RBRACE] = ACTIONS(2244),
    [sym_null_literal] = ACTIONS(2246),
    [anon_sym_LPAREN] = ACTIONS(2244),
    [anon_sym_LT] = ACTIONS(2244),
    [anon_sym_PLUS] = ACTIONS(2246),
    [anon_sym_DASH] = ACTIONS(2246),
    [anon_sym_final] = ACTIONS(2246),
    [anon_sym_DASH_GT] = ACTIONS(2244),
    [anon_sym_BANG] = ACTIONS(2244),
    [anon_sym_TILDE] = ACTIONS(2244),
    [anon_sym_PLUS_PLUS] = ACTIONS(2244),
    [anon_sym_DASH_DASH] = ACTIONS(2244),
    [anon_sym_new] = ACTIONS(2246),
    [anon_sym_LBRACK] = ACTIONS(2244),
    [anon_sym_class] = ACTIONS(2246),
    [anon_sym_switch] = ACTIONS(2246),
    [anon_sym_LBRACE] = ACTIONS(2244),
    [anon_sym_case] = ACTIONS(2246),
    [anon_sym_default] = ACTIONS(2246),
    [sym_underscore_pattern] = ACTIONS(2246),
    [anon_sym_SEMI] = ACTIONS(2244),
    [anon_sym_assert] = ACTIONS(2246),
    [anon_sym_do] = ACTIONS(2246),
    [anon_sym_while] = ACTIONS(2246),
    [anon_sym_break] = ACTIONS(2246),
    [anon_sym_continue] = ACTIONS(2246),
    [anon_sym_return] = ACTIONS(2246),
    [anon_sym_yield] = ACTIONS(2246),
    [anon_sym_synchronized] = ACTIONS(2246),
    [anon_sym_throw] = ACTIONS(2246),
    [anon_sym_try] = ACTIONS(2246),
    [anon_sym_if] = ACTIONS(2246),
    [anon_sym_else] = ACTIONS(2246),
    [anon_sym_for] = ACTIONS(2246),
    [anon_sym_AT] = ACTIONS(2246),
    [anon_sym_open] = ACTIONS(2246),
    [anon_sym_module] = ACTIONS(2246),
    [anon_sym_static] = ACTIONS(2246),
    [anon_sym_with] = ACTIONS(2246),
    [anon_sym_package] = ACTIONS(2246),
    [anon_sym_import] = ACTIONS(2246),
    [anon_sym_enum] = ACTIONS(2246),
    [anon_sym_public] = ACTIONS(2246),
    [anon_sym_protected] = ACTIONS(2246),
    [anon_sym_private] = ACTIONS(2246),
    [anon_sym_abstract] = ACTIONS(2246),
    [anon_sym_strictfp] = ACTIONS(2246),
    [anon_sym_native] = ACTIONS(2246),
    [anon_sym_transient] = ACTIONS(2246),
    [anon_sym_volatile] = ACTIONS(2246),
    [anon_sym_sealed] = ACTIONS(2246),
    [anon_sym_non_DASHsealed] = ACTIONS(2244),
    [anon_sym_record] = ACTIONS(2246),
    [anon_sym_ATinterface] = ACTIONS(2244),
    [anon_sym_interface] = ACTIONS(2246),
    [anon_sym_byte] = ACTIONS(2246),
    [anon_sym_short] = ACTIONS(2246),
    [anon_sym_int] = ACTIONS(2246),
    [anon_sym_long] = ACTIONS(2246),
    [anon_sym_char] = ACTIONS(2246),
    [anon_sym_float] = ACTIONS(2246),
    [anon_sym_double] = ACTIONS(2246),
    [sym_boolean_type] = ACTIONS(2246),
    [sym_void_type] = ACTIONS(2246),
    [anon_sym_def] = ACTIONS(2246),
    [sym_this] = ACTIONS(2246),
    [sym_super] = ACTIONS(2246),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [893] = {
    [ts_builtin_sym_end] = ACTIONS(2248),
    [sym_identifier] = ACTIONS(2250),
    [sym_decimal_integer_literal] = ACTIONS(2250),
    [sym_hex_integer_literal] = ACTIONS(2250),
    [sym_octal_integer_literal] = ACTIONS(2250),
    [sym_binary_integer_literal] = ACTIONS(2248),
    [sym_decimal_floating_point_literal] = ACTIONS(2248),
    [sym_hex_floating_point_literal] = ACTIONS(2250),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [sym_character_literal] = ACTIONS(2248),
    [anon_sym_DQUOTE] = ACTIONS(2250),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2248),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2248),
    [anon_sym_RBRACE] = ACTIONS(2248),
    [sym_null_literal] = ACTIONS(2250),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_final] = ACTIONS(2250),
    [anon_sym_DASH_GT] = ACTIONS(2248),
    [anon_sym_BANG] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_PLUS_PLUS] = ACTIONS(2248),
    [anon_sym_DASH_DASH] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2248),
    [anon_sym_case] = ACTIONS(2250),
    [anon_sym_default] = ACTIONS(2250),
    [sym_underscore_pattern] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2248),
    [anon_sym_assert] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_yield] = ACTIONS(2250),
    [anon_sym_synchronized] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_else] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_AT] = ACTIONS(2250),
    [anon_sym_open] = ACTIONS(2250),
    [anon_sym_module] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_with] = ACTIONS(2250),
    [anon_sym_package] = ACTIONS(2250),
    [anon_sym_import] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [anon_sym_public] = ACTIONS(2250),
    [anon_sym_protected] = ACTIONS(2250),
    [anon_sym_private] = ACTIONS(2250),
    [anon_sym_abstract] = ACTIONS(2250),
    [anon_sym_strictfp] = ACTIONS(2250),
    [anon_sym_native] = ACTIONS(2250),
    [anon_sym_transient] = ACTIONS(2250),
    [anon_sym_volatile] = ACTIONS(2250),
    [anon_sym_sealed] = ACTIONS(2250),
    [anon_sym_non_DASHsealed] = ACTIONS(2248),
    [anon_sym_record] = ACTIONS(2250),
    [anon_sym_ATinterface] = ACTIONS(2248),
    [anon_sym_interface] = ACTIONS(2250),
    [anon_sym_byte] = ACTIONS(2250),
    [anon_sym_short] = ACTIONS(2250),
    [anon_sym_int] = ACTIONS(2250),
    [anon_sym_long] = ACTIONS(2250),
    [anon_sym_char] = ACTIONS(2250),
    [anon_sym_float] = ACTIONS(2250),
    [anon_sym_double] = ACTIONS(2250),
    [sym_boolean_type] = ACTIONS(2250),
    [sym_void_type] = ACTIONS(2250),
    [anon_sym_def] = ACTIONS(2250),
    [sym_this] = ACTIONS(2250),
    [sym_super] = ACTIONS(2250),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [894] = {
    [ts_builtin_sym_end] = ACTIONS(2224),
    [sym_identifier] = ACTIONS(2226),
    [sym_decimal_integer_literal] = ACTIONS(2226),
    [sym_hex_integer_literal] = ACTIONS(2226),
    [sym_octal_integer_literal] = ACTIONS(2226),
    [sym_binary_integer_literal] = ACTIONS(2224),
    [sym_decimal_floating_point_literal] = ACTIONS(2224),
    [sym_hex_floating_point_literal] = ACTIONS(2226),
    [sym_true] = ACTIONS(2226),
    [sym_false] = ACTIONS(2226),
    [sym_character_literal] = ACTIONS(2224),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2224),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2224),
    [anon_sym_RBRACE] = ACTIONS(2224),
    [sym_null_literal] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_final] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2224),
    [anon_sym_TILDE] = ACTIONS(2224),
    [anon_sym_PLUS_PLUS] = ACTIONS(2224),
    [anon_sym_DASH_DASH] = ACTIONS(2224),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_class] = ACTIONS(2226),
    [anon_sym_switch] = ACTIONS(2226),
    [anon_sym_LBRACE] = ACTIONS(2224),
    [anon_sym_case] = ACTIONS(2226),
    [anon_sym_default] = ACTIONS(2226),
    [sym_underscore_pattern] = ACTIONS(2226),
    [anon_sym_SEMI] = ACTIONS(2224),
    [anon_sym_assert] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_break] = ACTIONS(2226),
    [anon_sym_continue] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_yield] = ACTIONS(2226),
    [anon_sym_synchronized] = ACTIONS(2226),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_else] = ACTIONS(2226),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_AT] = ACTIONS(2226),
    [anon_sym_open] = ACTIONS(2226),
    [anon_sym_module] = ACTIONS(2226),
    [anon_sym_static] = ACTIONS(2226),
    [anon_sym_with] = ACTIONS(2226),
    [anon_sym_package] = ACTIONS(2226),
    [anon_sym_import] = ACTIONS(2226),
    [anon_sym_enum] = ACTIONS(2226),
    [anon_sym_public] = ACTIONS(2226),
    [anon_sym_protected] = ACTIONS(2226),
    [anon_sym_private] = ACTIONS(2226),
    [anon_sym_abstract] = ACTIONS(2226),
    [anon_sym_strictfp] = ACTIONS(2226),
    [anon_sym_native] = ACTIONS(2226),
    [anon_sym_transient] = ACTIONS(2226),
    [anon_sym_volatile] = ACTIONS(2226),
    [anon_sym_sealed] = ACTIONS(2226),
    [anon_sym_non_DASHsealed] = ACTIONS(2224),
    [anon_sym_record] = ACTIONS(2226),
    [anon_sym_ATinterface] = ACTIONS(2224),
    [anon_sym_interface] = ACTIONS(2226),
    [anon_sym_byte] = ACTIONS(2226),
    [anon_sym_short] = ACTIONS(2226),
    [anon_sym_int] = ACTIONS(2226),
    [anon_sym_long] = ACTIONS(2226),
    [anon_sym_char] = ACTIONS(2226),
    [anon_sym_float] = ACTIONS(2226),
    [anon_sym_double] = ACTIONS(2226),
    [sym_boolean_type] = ACTIONS(2226),
    [sym_void_type] = ACTIONS(2226),
    [anon_sym_def] = ACTIONS(2226),
    [sym_this] = ACTIONS(2226),
    [sym_super] = ACTIONS(2226),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [895] = {
    [ts_builtin_sym_end] = ACTIONS(2252),
    [sym_identifier] = ACTIONS(2254),
    [sym_decimal_integer_literal] = ACTIONS(2254),
    [sym_hex_integer_literal] = ACTIONS(2254),
    [sym_octal_integer_literal] = ACTIONS(2254),
    [sym_binary_integer_literal] = ACTIONS(2252),
    [sym_decimal_floating_point_literal] = ACTIONS(2252),
    [sym_hex_floating_point_literal] = ACTIONS(2254),
    [sym_true] = ACTIONS(2254),
    [sym_false] = ACTIONS(2254),
    [sym_character_literal] = ACTIONS(2252),
    [anon_sym_DQUOTE] = ACTIONS(2254),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2252),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2252),
    [anon_sym_RBRACE] = ACTIONS(2252),
    [sym_null_literal] = ACTIONS(2254),
    [anon_sym_LPAREN] = ACTIONS(2252),
    [anon_sym_LT] = ACTIONS(2252),
    [anon_sym_PLUS] = ACTIONS(2254),
    [anon_sym_DASH] = ACTIONS(2254),
    [anon_sym_final] = ACTIONS(2254),
    [anon_sym_DASH_GT] = ACTIONS(2252),
    [anon_sym_BANG] = ACTIONS(2252),
    [anon_sym_TILDE] = ACTIONS(2252),
    [anon_sym_PLUS_PLUS] = ACTIONS(2252),
    [anon_sym_DASH_DASH] = ACTIONS(2252),
    [anon_sym_new] = ACTIONS(2254),
    [anon_sym_LBRACK] = ACTIONS(2252),
    [anon_sym_class] = ACTIONS(2254),
    [anon_sym_switch] = ACTIONS(2254),
    [anon_sym_LBRACE] = ACTIONS(2252),
    [anon_sym_case] = ACTIONS(2254),
    [anon_sym_default] = ACTIONS(2254),
    [sym_underscore_pattern] = ACTIONS(2254),
    [anon_sym_SEMI] = ACTIONS(2252),
    [anon_sym_assert] = ACTIONS(2254),
    [anon_sym_do] = ACTIONS(2254),
    [anon_sym_while] = ACTIONS(2254),
    [anon_sym_break] = ACTIONS(2254),
    [anon_sym_continue] = ACTIONS(2254),
    [anon_sym_return] = ACTIONS(2254),
    [anon_sym_yield] = ACTIONS(2254),
    [anon_sym_synchronized] = ACTIONS(2254),
    [anon_sym_throw] = ACTIONS(2254),
    [anon_sym_try] = ACTIONS(2254),
    [anon_sym_if] = ACTIONS(2254),
    [anon_sym_else] = ACTIONS(2254),
    [anon_sym_for] = ACTIONS(2254),
    [anon_sym_AT] = ACTIONS(2254),
    [anon_sym_open] = ACTIONS(2254),
    [anon_sym_module] = ACTIONS(2254),
    [anon_sym_static] = ACTIONS(2254),
    [anon_sym_with] = ACTIONS(2254),
    [anon_sym_package] = ACTIONS(2254),
    [anon_sym_import] = ACTIONS(2254),
    [anon_sym_enum] = ACTIONS(2254),
    [anon_sym_public] = ACTIONS(2254),
    [anon_sym_protected] = ACTIONS(2254),
    [anon_sym_private] = ACTIONS(2254),
    [anon_sym_abstract] = ACTIONS(2254),
    [anon_sym_strictfp] = ACTIONS(2254),
    [anon_sym_native] = ACTIONS(2254),
    [anon_sym_transient] = ACTIONS(2254),
    [anon_sym_volatile] = ACTIONS(2254),
    [anon_sym_sealed] = ACTIONS(2254),
    [anon_sym_non_DASHsealed] = ACTIONS(2252),
    [anon_sym_record] = ACTIONS(2254),
    [anon_sym_ATinterface] = ACTIONS(2252),
    [anon_sym_interface] = ACTIONS(2254),
    [anon_sym_byte] = ACTIONS(2254),
    [anon_sym_short] = ACTIONS(2254),
    [anon_sym_int] = ACTIONS(2254),
    [anon_sym_long] = ACTIONS(2254),
    [anon_sym_char] = ACTIONS(2254),
    [anon_sym_float] = ACTIONS(2254),
    [anon_sym_double] = ACTIONS(2254),
    [sym_boolean_type] = ACTIONS(2254),
    [sym_void_type] = ACTIONS(2254),
    [anon_sym_def] = ACTIONS(2254),
    [sym_this] = ACTIONS(2254),
    [sym_super] = ACTIONS(2254),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [896] = {
    [ts_builtin_sym_end] = ACTIONS(2224),
    [sym_identifier] = ACTIONS(2226),
    [sym_decimal_integer_literal] = ACTIONS(2226),
    [sym_hex_integer_literal] = ACTIONS(2226),
    [sym_octal_integer_literal] = ACTIONS(2226),
    [sym_binary_integer_literal] = ACTIONS(2224),
    [sym_decimal_floating_point_literal] = ACTIONS(2224),
    [sym_hex_floating_point_literal] = ACTIONS(2226),
    [sym_true] = ACTIONS(2226),
    [sym_false] = ACTIONS(2226),
    [sym_character_literal] = ACTIONS(2224),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2224),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2224),
    [anon_sym_RBRACE] = ACTIONS(2224),
    [sym_null_literal] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_final] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2224),
    [anon_sym_TILDE] = ACTIONS(2224),
    [anon_sym_PLUS_PLUS] = ACTIONS(2224),
    [anon_sym_DASH_DASH] = ACTIONS(2224),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_class] = ACTIONS(2226),
    [anon_sym_switch] = ACTIONS(2226),
    [anon_sym_LBRACE] = ACTIONS(2224),
    [anon_sym_case] = ACTIONS(2226),
    [anon_sym_default] = ACTIONS(2226),
    [sym_underscore_pattern] = ACTIONS(2226),
    [anon_sym_SEMI] = ACTIONS(2224),
    [anon_sym_assert] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_break] = ACTIONS(2226),
    [anon_sym_continue] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_yield] = ACTIONS(2226),
    [anon_sym_synchronized] = ACTIONS(2226),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_else] = ACTIONS(2226),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_AT] = ACTIONS(2226),
    [anon_sym_open] = ACTIONS(2226),
    [anon_sym_module] = ACTIONS(2226),
    [anon_sym_static] = ACTIONS(2226),
    [anon_sym_with] = ACTIONS(2226),
    [anon_sym_package] = ACTIONS(2226),
    [anon_sym_import] = ACTIONS(2226),
    [anon_sym_enum] = ACTIONS(2226),
    [anon_sym_public] = ACTIONS(2226),
    [anon_sym_protected] = ACTIONS(2226),
    [anon_sym_private] = ACTIONS(2226),
    [anon_sym_abstract] = ACTIONS(2226),
    [anon_sym_strictfp] = ACTIONS(2226),
    [anon_sym_native] = ACTIONS(2226),
    [anon_sym_transient] = ACTIONS(2226),
    [anon_sym_volatile] = ACTIONS(2226),
    [anon_sym_sealed] = ACTIONS(2226),
    [anon_sym_non_DASHsealed] = ACTIONS(2224),
    [anon_sym_record] = ACTIONS(2226),
    [anon_sym_ATinterface] = ACTIONS(2224),
    [anon_sym_interface] = ACTIONS(2226),
    [anon_sym_byte] = ACTIONS(2226),
    [anon_sym_short] = ACTIONS(2226),
    [anon_sym_int] = ACTIONS(2226),
    [anon_sym_long] = ACTIONS(2226),
    [anon_sym_char] = ACTIONS(2226),
    [anon_sym_float] = ACTIONS(2226),
    [anon_sym_double] = ACTIONS(2226),
    [sym_boolean_type] = ACTIONS(2226),
    [sym_void_type] = ACTIONS(2226),
    [anon_sym_def] = ACTIONS(2226),
    [sym_this] = ACTIONS(2226),
    [sym_super] = ACTIONS(2226),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [897] = {
    [ts_builtin_sym_end] = ACTIONS(2248),
    [sym_identifier] = ACTIONS(2250),
    [sym_decimal_integer_literal] = ACTIONS(2250),
    [sym_hex_integer_literal] = ACTIONS(2250),
    [sym_octal_integer_literal] = ACTIONS(2250),
    [sym_binary_integer_literal] = ACTIONS(2248),
    [sym_decimal_floating_point_literal] = ACTIONS(2248),
    [sym_hex_floating_point_literal] = ACTIONS(2250),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [sym_character_literal] = ACTIONS(2248),
    [anon_sym_DQUOTE] = ACTIONS(2250),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2248),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2248),
    [anon_sym_RBRACE] = ACTIONS(2248),
    [sym_null_literal] = ACTIONS(2250),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_final] = ACTIONS(2250),
    [anon_sym_DASH_GT] = ACTIONS(2248),
    [anon_sym_BANG] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_PLUS_PLUS] = ACTIONS(2248),
    [anon_sym_DASH_DASH] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2248),
    [anon_sym_case] = ACTIONS(2250),
    [anon_sym_default] = ACTIONS(2250),
    [sym_underscore_pattern] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2248),
    [anon_sym_assert] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_yield] = ACTIONS(2250),
    [anon_sym_synchronized] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_else] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_AT] = ACTIONS(2250),
    [anon_sym_open] = ACTIONS(2250),
    [anon_sym_module] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_with] = ACTIONS(2250),
    [anon_sym_package] = ACTIONS(2250),
    [anon_sym_import] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [anon_sym_public] = ACTIONS(2250),
    [anon_sym_protected] = ACTIONS(2250),
    [anon_sym_private] = ACTIONS(2250),
    [anon_sym_abstract] = ACTIONS(2250),
    [anon_sym_strictfp] = ACTIONS(2250),
    [anon_sym_native] = ACTIONS(2250),
    [anon_sym_transient] = ACTIONS(2250),
    [anon_sym_volatile] = ACTIONS(2250),
    [anon_sym_sealed] = ACTIONS(2250),
    [anon_sym_non_DASHsealed] = ACTIONS(2248),
    [anon_sym_record] = ACTIONS(2250),
    [anon_sym_ATinterface] = ACTIONS(2248),
    [anon_sym_interface] = ACTIONS(2250),
    [anon_sym_byte] = ACTIONS(2250),
    [anon_sym_short] = ACTIONS(2250),
    [anon_sym_int] = ACTIONS(2250),
    [anon_sym_long] = ACTIONS(2250),
    [anon_sym_char] = ACTIONS(2250),
    [anon_sym_float] = ACTIONS(2250),
    [anon_sym_double] = ACTIONS(2250),
    [sym_boolean_type] = ACTIONS(2250),
    [sym_void_type] = ACTIONS(2250),
    [anon_sym_def] = ACTIONS(2250),
    [sym_this] = ACTIONS(2250),
    [sym_super] = ACTIONS(2250),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [898] = {
    [ts_builtin_sym_end] = ACTIONS(2256),
    [sym_identifier] = ACTIONS(2258),
    [sym_decimal_integer_literal] = ACTIONS(2258),
    [sym_hex_integer_literal] = ACTIONS(2258),
    [sym_octal_integer_literal] = ACTIONS(2258),
    [sym_binary_integer_literal] = ACTIONS(2256),
    [sym_decimal_floating_point_literal] = ACTIONS(2256),
    [sym_hex_floating_point_literal] = ACTIONS(2258),
    [sym_true] = ACTIONS(2258),
    [sym_false] = ACTIONS(2258),
    [sym_character_literal] = ACTIONS(2256),
    [anon_sym_DQUOTE] = ACTIONS(2258),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2256),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2256),
    [anon_sym_RBRACE] = ACTIONS(2256),
    [sym_null_literal] = ACTIONS(2258),
    [anon_sym_LPAREN] = ACTIONS(2256),
    [anon_sym_LT] = ACTIONS(2256),
    [anon_sym_PLUS] = ACTIONS(2258),
    [anon_sym_DASH] = ACTIONS(2258),
    [anon_sym_final] = ACTIONS(2258),
    [anon_sym_DASH_GT] = ACTIONS(2256),
    [anon_sym_BANG] = ACTIONS(2256),
    [anon_sym_TILDE] = ACTIONS(2256),
    [anon_sym_PLUS_PLUS] = ACTIONS(2256),
    [anon_sym_DASH_DASH] = ACTIONS(2256),
    [anon_sym_new] = ACTIONS(2258),
    [anon_sym_LBRACK] = ACTIONS(2256),
    [anon_sym_class] = ACTIONS(2258),
    [anon_sym_switch] = ACTIONS(2258),
    [anon_sym_LBRACE] = ACTIONS(2256),
    [anon_sym_case] = ACTIONS(2258),
    [anon_sym_default] = ACTIONS(2258),
    [sym_underscore_pattern] = ACTIONS(2258),
    [anon_sym_SEMI] = ACTIONS(2256),
    [anon_sym_assert] = ACTIONS(2258),
    [anon_sym_do] = ACTIONS(2258),
    [anon_sym_while] = ACTIONS(2258),
    [anon_sym_break] = ACTIONS(2258),
    [anon_sym_continue] = ACTIONS(2258),
    [anon_sym_return] = ACTIONS(2258),
    [anon_sym_yield] = ACTIONS(2258),
    [anon_sym_synchronized] = ACTIONS(2258),
    [anon_sym_throw] = ACTIONS(2258),
    [anon_sym_try] = ACTIONS(2258),
    [anon_sym_if] = ACTIONS(2258),
    [anon_sym_else] = ACTIONS(2258),
    [anon_sym_for] = ACTIONS(2258),
    [anon_sym_AT] = ACTIONS(2258),
    [anon_sym_open] = ACTIONS(2258),
    [anon_sym_module] = ACTIONS(2258),
    [anon_sym_static] = ACTIONS(2258),
    [anon_sym_with] = ACTIONS(2258),
    [anon_sym_package] = ACTIONS(2258),
    [anon_sym_import] = ACTIONS(2258),
    [anon_sym_enum] = ACTIONS(2258),
    [anon_sym_public] = ACTIONS(2258),
    [anon_sym_protected] = ACTIONS(2258),
    [anon_sym_private] = ACTIONS(2258),
    [anon_sym_abstract] = ACTIONS(2258),
    [anon_sym_strictfp] = ACTIONS(2258),
    [anon_sym_native] = ACTIONS(2258),
    [anon_sym_transient] = ACTIONS(2258),
    [anon_sym_volatile] = ACTIONS(2258),
    [anon_sym_sealed] = ACTIONS(2258),
    [anon_sym_non_DASHsealed] = ACTIONS(2256),
    [anon_sym_record] = ACTIONS(2258),
    [anon_sym_ATinterface] = ACTIONS(2256),
    [anon_sym_interface] = ACTIONS(2258),
    [anon_sym_byte] = ACTIONS(2258),
    [anon_sym_short] = ACTIONS(2258),
    [anon_sym_int] = ACTIONS(2258),
    [anon_sym_long] = ACTIONS(2258),
    [anon_sym_char] = ACTIONS(2258),
    [anon_sym_float] = ACTIONS(2258),
    [anon_sym_double] = ACTIONS(2258),
    [sym_boolean_type] = ACTIONS(2258),
    [sym_void_type] = ACTIONS(2258),
    [anon_sym_def] = ACTIONS(2258),
    [sym_this] = ACTIONS(2258),
    [sym_super] = ACTIONS(2258),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [899] = {
    [ts_builtin_sym_end] = ACTIONS(2224),
    [sym_identifier] = ACTIONS(2226),
    [sym_decimal_integer_literal] = ACTIONS(2226),
    [sym_hex_integer_literal] = ACTIONS(2226),
    [sym_octal_integer_literal] = ACTIONS(2226),
    [sym_binary_integer_literal] = ACTIONS(2224),
    [sym_decimal_floating_point_literal] = ACTIONS(2224),
    [sym_hex_floating_point_literal] = ACTIONS(2226),
    [sym_true] = ACTIONS(2226),
    [sym_false] = ACTIONS(2226),
    [sym_character_literal] = ACTIONS(2224),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2224),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2224),
    [anon_sym_RBRACE] = ACTIONS(2224),
    [sym_null_literal] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_final] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2224),
    [anon_sym_TILDE] = ACTIONS(2224),
    [anon_sym_PLUS_PLUS] = ACTIONS(2224),
    [anon_sym_DASH_DASH] = ACTIONS(2224),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_class] = ACTIONS(2226),
    [anon_sym_switch] = ACTIONS(2226),
    [anon_sym_LBRACE] = ACTIONS(2224),
    [anon_sym_case] = ACTIONS(2226),
    [anon_sym_default] = ACTIONS(2226),
    [sym_underscore_pattern] = ACTIONS(2226),
    [anon_sym_SEMI] = ACTIONS(2224),
    [anon_sym_assert] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_break] = ACTIONS(2226),
    [anon_sym_continue] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_yield] = ACTIONS(2226),
    [anon_sym_synchronized] = ACTIONS(2226),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_else] = ACTIONS(2226),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_AT] = ACTIONS(2226),
    [anon_sym_open] = ACTIONS(2226),
    [anon_sym_module] = ACTIONS(2226),
    [anon_sym_static] = ACTIONS(2226),
    [anon_sym_with] = ACTIONS(2226),
    [anon_sym_package] = ACTIONS(2226),
    [anon_sym_import] = ACTIONS(2226),
    [anon_sym_enum] = ACTIONS(2226),
    [anon_sym_public] = ACTIONS(2226),
    [anon_sym_protected] = ACTIONS(2226),
    [anon_sym_private] = ACTIONS(2226),
    [anon_sym_abstract] = ACTIONS(2226),
    [anon_sym_strictfp] = ACTIONS(2226),
    [anon_sym_native] = ACTIONS(2226),
    [anon_sym_transient] = ACTIONS(2226),
    [anon_sym_volatile] = ACTIONS(2226),
    [anon_sym_sealed] = ACTIONS(2226),
    [anon_sym_non_DASHsealed] = ACTIONS(2224),
    [anon_sym_record] = ACTIONS(2226),
    [anon_sym_ATinterface] = ACTIONS(2224),
    [anon_sym_interface] = ACTIONS(2226),
    [anon_sym_byte] = ACTIONS(2226),
    [anon_sym_short] = ACTIONS(2226),
    [anon_sym_int] = ACTIONS(2226),
    [anon_sym_long] = ACTIONS(2226),
    [anon_sym_char] = ACTIONS(2226),
    [anon_sym_float] = ACTIONS(2226),
    [anon_sym_double] = ACTIONS(2226),
    [sym_boolean_type] = ACTIONS(2226),
    [sym_void_type] = ACTIONS(2226),
    [anon_sym_def] = ACTIONS(2226),
    [sym_this] = ACTIONS(2226),
    [sym_super] = ACTIONS(2226),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [900] = {
    [ts_builtin_sym_end] = ACTIONS(2248),
    [sym_identifier] = ACTIONS(2250),
    [sym_decimal_integer_literal] = ACTIONS(2250),
    [sym_hex_integer_literal] = ACTIONS(2250),
    [sym_octal_integer_literal] = ACTIONS(2250),
    [sym_binary_integer_literal] = ACTIONS(2248),
    [sym_decimal_floating_point_literal] = ACTIONS(2248),
    [sym_hex_floating_point_literal] = ACTIONS(2250),
    [sym_true] = ACTIONS(2250),
    [sym_false] = ACTIONS(2250),
    [sym_character_literal] = ACTIONS(2248),
    [anon_sym_DQUOTE] = ACTIONS(2250),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2248),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2248),
    [anon_sym_RBRACE] = ACTIONS(2248),
    [sym_null_literal] = ACTIONS(2250),
    [anon_sym_LPAREN] = ACTIONS(2248),
    [anon_sym_LT] = ACTIONS(2248),
    [anon_sym_PLUS] = ACTIONS(2250),
    [anon_sym_DASH] = ACTIONS(2250),
    [anon_sym_final] = ACTIONS(2250),
    [anon_sym_DASH_GT] = ACTIONS(2248),
    [anon_sym_BANG] = ACTIONS(2248),
    [anon_sym_TILDE] = ACTIONS(2248),
    [anon_sym_PLUS_PLUS] = ACTIONS(2248),
    [anon_sym_DASH_DASH] = ACTIONS(2248),
    [anon_sym_new] = ACTIONS(2250),
    [anon_sym_LBRACK] = ACTIONS(2248),
    [anon_sym_class] = ACTIONS(2250),
    [anon_sym_switch] = ACTIONS(2250),
    [anon_sym_LBRACE] = ACTIONS(2248),
    [anon_sym_case] = ACTIONS(2250),
    [anon_sym_default] = ACTIONS(2250),
    [sym_underscore_pattern] = ACTIONS(2250),
    [anon_sym_SEMI] = ACTIONS(2248),
    [anon_sym_assert] = ACTIONS(2250),
    [anon_sym_do] = ACTIONS(2250),
    [anon_sym_while] = ACTIONS(2250),
    [anon_sym_break] = ACTIONS(2250),
    [anon_sym_continue] = ACTIONS(2250),
    [anon_sym_return] = ACTIONS(2250),
    [anon_sym_yield] = ACTIONS(2250),
    [anon_sym_synchronized] = ACTIONS(2250),
    [anon_sym_throw] = ACTIONS(2250),
    [anon_sym_try] = ACTIONS(2250),
    [anon_sym_if] = ACTIONS(2250),
    [anon_sym_else] = ACTIONS(2250),
    [anon_sym_for] = ACTIONS(2250),
    [anon_sym_AT] = ACTIONS(2250),
    [anon_sym_open] = ACTIONS(2250),
    [anon_sym_module] = ACTIONS(2250),
    [anon_sym_static] = ACTIONS(2250),
    [anon_sym_with] = ACTIONS(2250),
    [anon_sym_package] = ACTIONS(2250),
    [anon_sym_import] = ACTIONS(2250),
    [anon_sym_enum] = ACTIONS(2250),
    [anon_sym_public] = ACTIONS(2250),
    [anon_sym_protected] = ACTIONS(2250),
    [anon_sym_private] = ACTIONS(2250),
    [anon_sym_abstract] = ACTIONS(2250),
    [anon_sym_strictfp] = ACTIONS(2250),
    [anon_sym_native] = ACTIONS(2250),
    [anon_sym_transient] = ACTIONS(2250),
    [anon_sym_volatile] = ACTIONS(2250),
    [anon_sym_sealed] = ACTIONS(2250),
    [anon_sym_non_DASHsealed] = ACTIONS(2248),
    [anon_sym_record] = ACTIONS(2250),
    [anon_sym_ATinterface] = ACTIONS(2248),
    [anon_sym_interface] = ACTIONS(2250),
    [anon_sym_byte] = ACTIONS(2250),
    [anon_sym_short] = ACTIONS(2250),
    [anon_sym_int] = ACTIONS(2250),
    [anon_sym_long] = ACTIONS(2250),
    [anon_sym_char] = ACTIONS(2250),
    [anon_sym_float] = ACTIONS(2250),
    [anon_sym_double] = ACTIONS(2250),
    [sym_boolean_type] = ACTIONS(2250),
    [sym_void_type] = ACTIONS(2250),
    [anon_sym_def] = ACTIONS(2250),
    [sym_this] = ACTIONS(2250),
    [sym_super] = ACTIONS(2250),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [901] = {
    [ts_builtin_sym_end] = ACTIONS(2224),
    [sym_identifier] = ACTIONS(2226),
    [sym_decimal_integer_literal] = ACTIONS(2226),
    [sym_hex_integer_literal] = ACTIONS(2226),
    [sym_octal_integer_literal] = ACTIONS(2226),
    [sym_binary_integer_literal] = ACTIONS(2224),
    [sym_decimal_floating_point_literal] = ACTIONS(2224),
    [sym_hex_floating_point_literal] = ACTIONS(2226),
    [sym_true] = ACTIONS(2226),
    [sym_false] = ACTIONS(2226),
    [sym_character_literal] = ACTIONS(2224),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2224),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2224),
    [anon_sym_RBRACE] = ACTIONS(2224),
    [sym_null_literal] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_final] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2224),
    [anon_sym_TILDE] = ACTIONS(2224),
    [anon_sym_PLUS_PLUS] = ACTIONS(2224),
    [anon_sym_DASH_DASH] = ACTIONS(2224),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_class] = ACTIONS(2226),
    [anon_sym_switch] = ACTIONS(2226),
    [anon_sym_LBRACE] = ACTIONS(2224),
    [anon_sym_case] = ACTIONS(2226),
    [anon_sym_default] = ACTIONS(2226),
    [sym_underscore_pattern] = ACTIONS(2226),
    [anon_sym_SEMI] = ACTIONS(2224),
    [anon_sym_assert] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_break] = ACTIONS(2226),
    [anon_sym_continue] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_yield] = ACTIONS(2226),
    [anon_sym_synchronized] = ACTIONS(2226),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_else] = ACTIONS(2226),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_AT] = ACTIONS(2226),
    [anon_sym_open] = ACTIONS(2226),
    [anon_sym_module] = ACTIONS(2226),
    [anon_sym_static] = ACTIONS(2226),
    [anon_sym_with] = ACTIONS(2226),
    [anon_sym_package] = ACTIONS(2226),
    [anon_sym_import] = ACTIONS(2226),
    [anon_sym_enum] = ACTIONS(2226),
    [anon_sym_public] = ACTIONS(2226),
    [anon_sym_protected] = ACTIONS(2226),
    [anon_sym_private] = ACTIONS(2226),
    [anon_sym_abstract] = ACTIONS(2226),
    [anon_sym_strictfp] = ACTIONS(2226),
    [anon_sym_native] = ACTIONS(2226),
    [anon_sym_transient] = ACTIONS(2226),
    [anon_sym_volatile] = ACTIONS(2226),
    [anon_sym_sealed] = ACTIONS(2226),
    [anon_sym_non_DASHsealed] = ACTIONS(2224),
    [anon_sym_record] = ACTIONS(2226),
    [anon_sym_ATinterface] = ACTIONS(2224),
    [anon_sym_interface] = ACTIONS(2226),
    [anon_sym_byte] = ACTIONS(2226),
    [anon_sym_short] = ACTIONS(2226),
    [anon_sym_int] = ACTIONS(2226),
    [anon_sym_long] = ACTIONS(2226),
    [anon_sym_char] = ACTIONS(2226),
    [anon_sym_float] = ACTIONS(2226),
    [anon_sym_double] = ACTIONS(2226),
    [sym_boolean_type] = ACTIONS(2226),
    [sym_void_type] = ACTIONS(2226),
    [anon_sym_def] = ACTIONS(2226),
    [sym_this] = ACTIONS(2226),
    [sym_super] = ACTIONS(2226),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [902] = {
    [ts_builtin_sym_end] = ACTIONS(2224),
    [sym_identifier] = ACTIONS(2226),
    [sym_decimal_integer_literal] = ACTIONS(2226),
    [sym_hex_integer_literal] = ACTIONS(2226),
    [sym_octal_integer_literal] = ACTIONS(2226),
    [sym_binary_integer_literal] = ACTIONS(2224),
    [sym_decimal_floating_point_literal] = ACTIONS(2224),
    [sym_hex_floating_point_literal] = ACTIONS(2226),
    [sym_true] = ACTIONS(2226),
    [sym_false] = ACTIONS(2226),
    [sym_character_literal] = ACTIONS(2224),
    [anon_sym_DQUOTE] = ACTIONS(2226),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2224),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2224),
    [anon_sym_RBRACE] = ACTIONS(2224),
    [sym_null_literal] = ACTIONS(2226),
    [anon_sym_LPAREN] = ACTIONS(2224),
    [anon_sym_LT] = ACTIONS(2224),
    [anon_sym_PLUS] = ACTIONS(2226),
    [anon_sym_DASH] = ACTIONS(2226),
    [anon_sym_final] = ACTIONS(2226),
    [anon_sym_DASH_GT] = ACTIONS(2224),
    [anon_sym_BANG] = ACTIONS(2224),
    [anon_sym_TILDE] = ACTIONS(2224),
    [anon_sym_PLUS_PLUS] = ACTIONS(2224),
    [anon_sym_DASH_DASH] = ACTIONS(2224),
    [anon_sym_new] = ACTIONS(2226),
    [anon_sym_LBRACK] = ACTIONS(2224),
    [anon_sym_class] = ACTIONS(2226),
    [anon_sym_switch] = ACTIONS(2226),
    [anon_sym_LBRACE] = ACTIONS(2224),
    [anon_sym_case] = ACTIONS(2226),
    [anon_sym_default] = ACTIONS(2226),
    [sym_underscore_pattern] = ACTIONS(2226),
    [anon_sym_SEMI] = ACTIONS(2224),
    [anon_sym_assert] = ACTIONS(2226),
    [anon_sym_do] = ACTIONS(2226),
    [anon_sym_while] = ACTIONS(2226),
    [anon_sym_break] = ACTIONS(2226),
    [anon_sym_continue] = ACTIONS(2226),
    [anon_sym_return] = ACTIONS(2226),
    [anon_sym_yield] = ACTIONS(2226),
    [anon_sym_synchronized] = ACTIONS(2226),
    [anon_sym_throw] = ACTIONS(2226),
    [anon_sym_try] = ACTIONS(2226),
    [anon_sym_if] = ACTIONS(2226),
    [anon_sym_else] = ACTIONS(2226),
    [anon_sym_for] = ACTIONS(2226),
    [anon_sym_AT] = ACTIONS(2226),
    [anon_sym_open] = ACTIONS(2226),
    [anon_sym_module] = ACTIONS(2226),
    [anon_sym_static] = ACTIONS(2226),
    [anon_sym_with] = ACTIONS(2226),
    [anon_sym_package] = ACTIONS(2226),
    [anon_sym_import] = ACTIONS(2226),
    [anon_sym_enum] = ACTIONS(2226),
    [anon_sym_public] = ACTIONS(2226),
    [anon_sym_protected] = ACTIONS(2226),
    [anon_sym_private] = ACTIONS(2226),
    [anon_sym_abstract] = ACTIONS(2226),
    [anon_sym_strictfp] = ACTIONS(2226),
    [anon_sym_native] = ACTIONS(2226),
    [anon_sym_transient] = ACTIONS(2226),
    [anon_sym_volatile] = ACTIONS(2226),
    [anon_sym_sealed] = ACTIONS(2226),
    [anon_sym_non_DASHsealed] = ACTIONS(2224),
    [anon_sym_record] = ACTIONS(2226),
    [anon_sym_ATinterface] = ACTIONS(2224),
    [anon_sym_interface] = ACTIONS(2226),
    [anon_sym_byte] = ACTIONS(2226),
    [anon_sym_short] = ACTIONS(2226),
    [anon_sym_int] = ACTIONS(2226),
    [anon_sym_long] = ACTIONS(2226),
    [anon_sym_char] = ACTIONS(2226),
    [anon_sym_float] = ACTIONS(2226),
    [anon_sym_double] = ACTIONS(2226),
    [sym_boolean_type] = ACTIONS(2226),
    [sym_void_type] = ACTIONS(2226),
    [anon_sym_def] = ACTIONS(2226),
    [sym_this] = ACTIONS(2226),
    [sym_super] = ACTIONS(2226),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [903] = {
    [ts_builtin_sym_end] = ACTIONS(2260),
    [sym_identifier] = ACTIONS(2262),
    [sym_decimal_integer_literal] = ACTIONS(2262),
    [sym_hex_integer_literal] = ACTIONS(2262),
    [sym_octal_integer_literal] = ACTIONS(2262),
    [sym_binary_integer_literal] = ACTIONS(2260),
    [sym_decimal_floating_point_literal] = ACTIONS(2260),
    [sym_hex_floating_point_literal] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_character_literal] = ACTIONS(2260),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2260),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2260),
    [anon_sym_RBRACE] = ACTIONS(2260),
    [sym_null_literal] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2260),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_final] = ACTIONS(2262),
    [anon_sym_DASH_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_TILDE] = ACTIONS(2260),
    [anon_sym_PLUS_PLUS] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2260),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2260),
    [anon_sym_case] = ACTIONS(2262),
    [anon_sym_default] = ACTIONS(2262),
    [sym_underscore_pattern] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2260),
    [anon_sym_assert] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_synchronized] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_else] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_package] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_strictfp] = ACTIONS(2262),
    [anon_sym_native] = ACTIONS(2262),
    [anon_sym_transient] = ACTIONS(2262),
    [anon_sym_volatile] = ACTIONS(2262),
    [anon_sym_sealed] = ACTIONS(2262),
    [anon_sym_non_DASHsealed] = ACTIONS(2260),
    [anon_sym_record] = ACTIONS(2262),
    [anon_sym_ATinterface] = ACTIONS(2260),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_byte] = ACTIONS(2262),
    [anon_sym_short] = ACTIONS(2262),
    [anon_sym_int] = ACTIONS(2262),
    [anon_sym_long] = ACTIONS(2262),
    [anon_sym_char] = ACTIONS(2262),
    [anon_sym_float] = ACTIONS(2262),
    [anon_sym_double] = ACTIONS(2262),
    [sym_boolean_type] = ACTIONS(2262),
    [sym_void_type] = ACTIONS(2262),
    [anon_sym_def] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [904] = {
    [ts_builtin_sym_end] = ACTIONS(2260),
    [sym_identifier] = ACTIONS(2262),
    [sym_decimal_integer_literal] = ACTIONS(2262),
    [sym_hex_integer_literal] = ACTIONS(2262),
    [sym_octal_integer_literal] = ACTIONS(2262),
    [sym_binary_integer_literal] = ACTIONS(2260),
    [sym_decimal_floating_point_literal] = ACTIONS(2260),
    [sym_hex_floating_point_literal] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_character_literal] = ACTIONS(2260),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2260),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2260),
    [anon_sym_RBRACE] = ACTIONS(2260),
    [sym_null_literal] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2260),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_final] = ACTIONS(2262),
    [anon_sym_DASH_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_TILDE] = ACTIONS(2260),
    [anon_sym_PLUS_PLUS] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2260),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2260),
    [anon_sym_case] = ACTIONS(2262),
    [anon_sym_default] = ACTIONS(2262),
    [sym_underscore_pattern] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2260),
    [anon_sym_assert] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_synchronized] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_else] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_package] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_strictfp] = ACTIONS(2262),
    [anon_sym_native] = ACTIONS(2262),
    [anon_sym_transient] = ACTIONS(2262),
    [anon_sym_volatile] = ACTIONS(2262),
    [anon_sym_sealed] = ACTIONS(2262),
    [anon_sym_non_DASHsealed] = ACTIONS(2260),
    [anon_sym_record] = ACTIONS(2262),
    [anon_sym_ATinterface] = ACTIONS(2260),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_byte] = ACTIONS(2262),
    [anon_sym_short] = ACTIONS(2262),
    [anon_sym_int] = ACTIONS(2262),
    [anon_sym_long] = ACTIONS(2262),
    [anon_sym_char] = ACTIONS(2262),
    [anon_sym_float] = ACTIONS(2262),
    [anon_sym_double] = ACTIONS(2262),
    [sym_boolean_type] = ACTIONS(2262),
    [sym_void_type] = ACTIONS(2262),
    [anon_sym_def] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [905] = {
    [ts_builtin_sym_end] = ACTIONS(2264),
    [sym_identifier] = ACTIONS(2266),
    [sym_decimal_integer_literal] = ACTIONS(2266),
    [sym_hex_integer_literal] = ACTIONS(2266),
    [sym_octal_integer_literal] = ACTIONS(2266),
    [sym_binary_integer_literal] = ACTIONS(2264),
    [sym_decimal_floating_point_literal] = ACTIONS(2264),
    [sym_hex_floating_point_literal] = ACTIONS(2266),
    [sym_true] = ACTIONS(2266),
    [sym_false] = ACTIONS(2266),
    [sym_character_literal] = ACTIONS(2264),
    [anon_sym_DQUOTE] = ACTIONS(2266),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2264),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2264),
    [anon_sym_RBRACE] = ACTIONS(2264),
    [sym_null_literal] = ACTIONS(2266),
    [anon_sym_LPAREN] = ACTIONS(2264),
    [anon_sym_LT] = ACTIONS(2264),
    [anon_sym_PLUS] = ACTIONS(2266),
    [anon_sym_DASH] = ACTIONS(2266),
    [anon_sym_final] = ACTIONS(2266),
    [anon_sym_DASH_GT] = ACTIONS(2264),
    [anon_sym_BANG] = ACTIONS(2264),
    [anon_sym_TILDE] = ACTIONS(2264),
    [anon_sym_PLUS_PLUS] = ACTIONS(2264),
    [anon_sym_DASH_DASH] = ACTIONS(2264),
    [anon_sym_new] = ACTIONS(2266),
    [anon_sym_LBRACK] = ACTIONS(2264),
    [anon_sym_class] = ACTIONS(2266),
    [anon_sym_switch] = ACTIONS(2266),
    [anon_sym_LBRACE] = ACTIONS(2264),
    [anon_sym_case] = ACTIONS(2266),
    [anon_sym_default] = ACTIONS(2266),
    [sym_underscore_pattern] = ACTIONS(2266),
    [anon_sym_SEMI] = ACTIONS(2264),
    [anon_sym_assert] = ACTIONS(2266),
    [anon_sym_do] = ACTIONS(2266),
    [anon_sym_while] = ACTIONS(2266),
    [anon_sym_break] = ACTIONS(2266),
    [anon_sym_continue] = ACTIONS(2266),
    [anon_sym_return] = ACTIONS(2266),
    [anon_sym_yield] = ACTIONS(2266),
    [anon_sym_synchronized] = ACTIONS(2266),
    [anon_sym_throw] = ACTIONS(2266),
    [anon_sym_try] = ACTIONS(2266),
    [anon_sym_if] = ACTIONS(2266),
    [anon_sym_else] = ACTIONS(2266),
    [anon_sym_for] = ACTIONS(2266),
    [anon_sym_AT] = ACTIONS(2266),
    [anon_sym_open] = ACTIONS(2266),
    [anon_sym_module] = ACTIONS(2266),
    [anon_sym_static] = ACTIONS(2266),
    [anon_sym_with] = ACTIONS(2266),
    [anon_sym_package] = ACTIONS(2266),
    [anon_sym_import] = ACTIONS(2266),
    [anon_sym_enum] = ACTIONS(2266),
    [anon_sym_public] = ACTIONS(2266),
    [anon_sym_protected] = ACTIONS(2266),
    [anon_sym_private] = ACTIONS(2266),
    [anon_sym_abstract] = ACTIONS(2266),
    [anon_sym_strictfp] = ACTIONS(2266),
    [anon_sym_native] = ACTIONS(2266),
    [anon_sym_transient] = ACTIONS(2266),
    [anon_sym_volatile] = ACTIONS(2266),
    [anon_sym_sealed] = ACTIONS(2266),
    [anon_sym_non_DASHsealed] = ACTIONS(2264),
    [anon_sym_record] = ACTIONS(2266),
    [anon_sym_ATinterface] = ACTIONS(2264),
    [anon_sym_interface] = ACTIONS(2266),
    [anon_sym_byte] = ACTIONS(2266),
    [anon_sym_short] = ACTIONS(2266),
    [anon_sym_int] = ACTIONS(2266),
    [anon_sym_long] = ACTIONS(2266),
    [anon_sym_char] = ACTIONS(2266),
    [anon_sym_float] = ACTIONS(2266),
    [anon_sym_double] = ACTIONS(2266),
    [sym_boolean_type] = ACTIONS(2266),
    [sym_void_type] = ACTIONS(2266),
    [anon_sym_def] = ACTIONS(2266),
    [sym_this] = ACTIONS(2266),
    [sym_super] = ACTIONS(2266),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [906] = {
    [ts_builtin_sym_end] = ACTIONS(2260),
    [sym_identifier] = ACTIONS(2262),
    [sym_decimal_integer_literal] = ACTIONS(2262),
    [sym_hex_integer_literal] = ACTIONS(2262),
    [sym_octal_integer_literal] = ACTIONS(2262),
    [sym_binary_integer_literal] = ACTIONS(2260),
    [sym_decimal_floating_point_literal] = ACTIONS(2260),
    [sym_hex_floating_point_literal] = ACTIONS(2262),
    [sym_true] = ACTIONS(2262),
    [sym_false] = ACTIONS(2262),
    [sym_character_literal] = ACTIONS(2260),
    [anon_sym_DQUOTE] = ACTIONS(2262),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2260),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2260),
    [anon_sym_RBRACE] = ACTIONS(2260),
    [sym_null_literal] = ACTIONS(2262),
    [anon_sym_LPAREN] = ACTIONS(2260),
    [anon_sym_LT] = ACTIONS(2260),
    [anon_sym_PLUS] = ACTIONS(2262),
    [anon_sym_DASH] = ACTIONS(2262),
    [anon_sym_final] = ACTIONS(2262),
    [anon_sym_DASH_GT] = ACTIONS(2260),
    [anon_sym_BANG] = ACTIONS(2260),
    [anon_sym_TILDE] = ACTIONS(2260),
    [anon_sym_PLUS_PLUS] = ACTIONS(2260),
    [anon_sym_DASH_DASH] = ACTIONS(2260),
    [anon_sym_new] = ACTIONS(2262),
    [anon_sym_LBRACK] = ACTIONS(2260),
    [anon_sym_class] = ACTIONS(2262),
    [anon_sym_switch] = ACTIONS(2262),
    [anon_sym_LBRACE] = ACTIONS(2260),
    [anon_sym_case] = ACTIONS(2262),
    [anon_sym_default] = ACTIONS(2262),
    [sym_underscore_pattern] = ACTIONS(2262),
    [anon_sym_SEMI] = ACTIONS(2260),
    [anon_sym_assert] = ACTIONS(2262),
    [anon_sym_do] = ACTIONS(2262),
    [anon_sym_while] = ACTIONS(2262),
    [anon_sym_break] = ACTIONS(2262),
    [anon_sym_continue] = ACTIONS(2262),
    [anon_sym_return] = ACTIONS(2262),
    [anon_sym_yield] = ACTIONS(2262),
    [anon_sym_synchronized] = ACTIONS(2262),
    [anon_sym_throw] = ACTIONS(2262),
    [anon_sym_try] = ACTIONS(2262),
    [anon_sym_if] = ACTIONS(2262),
    [anon_sym_else] = ACTIONS(2262),
    [anon_sym_for] = ACTIONS(2262),
    [anon_sym_AT] = ACTIONS(2262),
    [anon_sym_open] = ACTIONS(2262),
    [anon_sym_module] = ACTIONS(2262),
    [anon_sym_static] = ACTIONS(2262),
    [anon_sym_with] = ACTIONS(2262),
    [anon_sym_package] = ACTIONS(2262),
    [anon_sym_import] = ACTIONS(2262),
    [anon_sym_enum] = ACTIONS(2262),
    [anon_sym_public] = ACTIONS(2262),
    [anon_sym_protected] = ACTIONS(2262),
    [anon_sym_private] = ACTIONS(2262),
    [anon_sym_abstract] = ACTIONS(2262),
    [anon_sym_strictfp] = ACTIONS(2262),
    [anon_sym_native] = ACTIONS(2262),
    [anon_sym_transient] = ACTIONS(2262),
    [anon_sym_volatile] = ACTIONS(2262),
    [anon_sym_sealed] = ACTIONS(2262),
    [anon_sym_non_DASHsealed] = ACTIONS(2260),
    [anon_sym_record] = ACTIONS(2262),
    [anon_sym_ATinterface] = ACTIONS(2260),
    [anon_sym_interface] = ACTIONS(2262),
    [anon_sym_byte] = ACTIONS(2262),
    [anon_sym_short] = ACTIONS(2262),
    [anon_sym_int] = ACTIONS(2262),
    [anon_sym_long] = ACTIONS(2262),
    [anon_sym_char] = ACTIONS(2262),
    [anon_sym_float] = ACTIONS(2262),
    [anon_sym_double] = ACTIONS(2262),
    [sym_boolean_type] = ACTIONS(2262),
    [sym_void_type] = ACTIONS(2262),
    [anon_sym_def] = ACTIONS(2262),
    [sym_this] = ACTIONS(2262),
    [sym_super] = ACTIONS(2262),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [907] = {
    [aux_sym__juxt_argument_list_repeat1] = STATE(938),
    [ts_builtin_sym_end] = ACTIONS(2268),
    [sym_identifier] = ACTIONS(2270),
    [sym_decimal_integer_literal] = ACTIONS(2270),
    [sym_hex_integer_literal] = ACTIONS(2270),
    [sym_octal_integer_literal] = ACTIONS(2270),
    [sym_binary_integer_literal] = ACTIONS(2268),
    [sym_decimal_floating_point_literal] = ACTIONS(2268),
    [sym_hex_floating_point_literal] = ACTIONS(2270),
    [sym_true] = ACTIONS(2270),
    [sym_false] = ACTIONS(2270),
    [sym_character_literal] = ACTIONS(2268),
    [anon_sym_DQUOTE] = ACTIONS(2270),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2268),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2268),
    [anon_sym_RBRACE] = ACTIONS(2268),
    [sym_null_literal] = ACTIONS(2270),
    [anon_sym_LPAREN] = ACTIONS(2268),
    [anon_sym_LT] = ACTIONS(2268),
    [anon_sym_PLUS] = ACTIONS(2270),
    [anon_sym_DASH] = ACTIONS(2270),
    [anon_sym_final] = ACTIONS(2270),
    [anon_sym_DASH_GT] = ACTIONS(2268),
    [anon_sym_COMMA] = ACTIONS(2029),
    [anon_sym_BANG] = ACTIONS(2268),
    [anon_sym_TILDE] = ACTIONS(2268),
    [anon_sym_PLUS_PLUS] = ACTIONS(2268),
    [anon_sym_DASH_DASH] = ACTIONS(2268),
    [anon_sym_new] = ACTIONS(2270),
    [anon_sym_LBRACK] = ACTIONS(2268),
    [anon_sym_class] = ACTIONS(2270),
    [anon_sym_switch] = ACTIONS(2270),
    [anon_sym_LBRACE] = ACTIONS(2268),
    [anon_sym_default] = ACTIONS(2270),
    [sym_underscore_pattern] = ACTIONS(2270),
    [anon_sym_SEMI] = ACTIONS(2268),
    [anon_sym_assert] = ACTIONS(2270),
    [anon_sym_do] = ACTIONS(2270),
    [anon_sym_while] = ACTIONS(2270),
    [anon_sym_break] = ACTIONS(2270),
    [anon_sym_continue] = ACTIONS(2270),
    [anon_sym_return] = ACTIONS(2270),
    [anon_sym_yield] = ACTIONS(2270),
    [anon_sym_synchronized] = ACTIONS(2270),
    [anon_sym_throw] = ACTIONS(2270),
    [anon_sym_try] = ACTIONS(2270),
    [anon_sym_if] = ACTIONS(2270),
    [anon_sym_for] = ACTIONS(2270),
    [anon_sym_AT] = ACTIONS(2270),
    [anon_sym_open] = ACTIONS(2270),
    [anon_sym_module] = ACTIONS(2270),
    [anon_sym_static] = ACTIONS(2270),
    [anon_sym_with] = ACTIONS(2270),
    [anon_sym_package] = ACTIONS(2270),
    [anon_sym_import] = ACTIONS(2270),
    [anon_sym_enum] = ACTIONS(2270),
    [anon_sym_public] = ACTIONS(2270),
    [anon_sym_protected] = ACTIONS(2270),
    [anon_sym_private] = ACTIONS(2270),
    [anon_sym_abstract] = ACTIONS(2270),
    [anon_sym_strictfp] = ACTIONS(2270),
    [anon_sym_native] = ACTIONS(2270),
    [anon_sym_transient] = ACTIONS(2270),
    [anon_sym_volatile] = ACTIONS(2270),
    [anon_sym_sealed] = ACTIONS(2270),
    [anon_sym_non_DASHsealed] = ACTIONS(2268),
    [anon_sym_record] = ACTIONS(2270),
    [anon_sym_ATinterface] = ACTIONS(2268),
    [anon_sym_interface] = ACTIONS(2270),
    [anon_sym_byte] = ACTIONS(2270),
    [anon_sym_short] = ACTIONS(2270),
    [anon_sym_int] = ACTIONS(2270),
    [anon_sym_long] = ACTIONS(2270),
    [anon_sym_char] = ACTIONS(2270),
    [anon_sym_float] = ACTIONS(2270),
    [anon_sym_double] = ACTIONS(2270),
    [sym_boolean_type] = ACTIONS(2270),
    [sym_void_type] = ACTIONS(2270),
    [anon_sym_def] = ACTIONS(2270),
    [sym_this] = ACTIONS(2270),
    [sym_super] = ACTIONS(2270),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [908] = {
    [ts_builtin_sym_end] = ACTIONS(2272),
    [sym_identifier] = ACTIONS(2274),
    [sym_decimal_integer_literal] = ACTIONS(2274),
    [sym_hex_integer_literal] = ACTIONS(2274),
    [sym_octal_integer_literal] = ACTIONS(2274),
    [sym_binary_integer_literal] = ACTIONS(2272),
    [sym_decimal_floating_point_literal] = ACTIONS(2272),
    [sym_hex_floating_point_literal] = ACTIONS(2274),
    [sym_true] = ACTIONS(2274),
    [sym_false] = ACTIONS(2274),
    [sym_character_literal] = ACTIONS(2272),
    [anon_sym_DQUOTE] = ACTIONS(2274),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2272),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2272),
    [anon_sym_RBRACE] = ACTIONS(2272),
    [sym_null_literal] = ACTIONS(2274),
    [anon_sym_LPAREN] = ACTIONS(2272),
    [anon_sym_LT] = ACTIONS(2272),
    [anon_sym_PLUS] = ACTIONS(2274),
    [anon_sym_DASH] = ACTIONS(2274),
    [anon_sym_final] = ACTIONS(2274),
    [anon_sym_DASH_GT] = ACTIONS(2272),
    [anon_sym_BANG] = ACTIONS(2272),
    [anon_sym_TILDE] = ACTIONS(2272),
    [anon_sym_PLUS_PLUS] = ACTIONS(2272),
    [anon_sym_DASH_DASH] = ACTIONS(2272),
    [anon_sym_new] = ACTIONS(2274),
    [anon_sym_LBRACK] = ACTIONS(2272),
    [anon_sym_class] = ACTIONS(2274),
    [anon_sym_switch] = ACTIONS(2274),
    [anon_sym_LBRACE] = ACTIONS(2272),
    [anon_sym_case] = ACTIONS(2274),
    [anon_sym_default] = ACTIONS(2274),
    [sym_underscore_pattern] = ACTIONS(2274),
    [anon_sym_SEMI] = ACTIONS(2272),
    [anon_sym_assert] = ACTIONS(2274),
    [anon_sym_do] = ACTIONS(2274),
    [anon_sym_while] = ACTIONS(2274),
    [anon_sym_break] = ACTIONS(2274),
    [anon_sym_continue] = ACTIONS(2274),
    [anon_sym_return] = ACTIONS(2274),
    [anon_sym_yield] = ACTIONS(2274),
    [anon_sym_synchronized] = ACTIONS(2274),
    [anon_sym_throw] = ACTIONS(2274),
    [anon_sym_try] = ACTIONS(2274),
    [anon_sym_if] = ACTIONS(2274),
    [anon_sym_else] = ACTIONS(2274),
    [anon_sym_for] = ACTIONS(2274),
    [anon_sym_AT] = ACTIONS(2274),
    [anon_sym_open] = ACTIONS(2274),
    [anon_sym_module] = ACTIONS(2274),
    [anon_sym_static] = ACTIONS(2274),
    [anon_sym_with] = ACTIONS(2274),
    [anon_sym_package] = ACTIONS(2274),
    [anon_sym_import] = ACTIONS(2274),
    [anon_sym_enum] = ACTIONS(2274),
    [anon_sym_public] = ACTIONS(2274),
    [anon_sym_protected] = ACTIONS(2274),
    [anon_sym_private] = ACTIONS(2274),
    [anon_sym_abstract] = ACTIONS(2274),
    [anon_sym_strictfp] = ACTIONS(2274),
    [anon_sym_native] = ACTIONS(2274),
    [anon_sym_transient] = ACTIONS(2274),
    [anon_sym_volatile] = ACTIONS(2274),
    [anon_sym_sealed] = ACTIONS(2274),
    [anon_sym_non_DASHsealed] = ACTIONS(2272),
    [anon_sym_record] = ACTIONS(2274),
    [anon_sym_ATinterface] = ACTIONS(2272),
    [anon_sym_interface] = ACTIONS(2274),
    [anon_sym_byte] = ACTIONS(2274),
    [anon_sym_short] = ACTIONS(2274),
    [anon_sym_int] = ACTIONS(2274),
    [anon_sym_long] = ACTIONS(2274),
    [anon_sym_char] = ACTIONS(2274),
    [anon_sym_float] = ACTIONS(2274),
    [anon_sym_double] = ACTIONS(2274),
    [sym_boolean_type] = ACTIONS(2274),
    [sym_void_type] = ACTIONS(2274),
    [anon_sym_def] = ACTIONS(2274),
    [sym_this] = ACTIONS(2274),
    [sym_super] = ACTIONS(2274),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [909] = {
    [ts_builtin_sym_end] = ACTIONS(2276),
    [sym_identifier] = ACTIONS(2278),
    [sym_decimal_integer_literal] = ACTIONS(2278),
    [sym_hex_integer_literal] = ACTIONS(2278),
    [sym_octal_integer_literal] = ACTIONS(2278),
    [sym_binary_integer_literal] = ACTIONS(2276),
    [sym_decimal_floating_point_literal] = ACTIONS(2276),
    [sym_hex_floating_point_literal] = ACTIONS(2278),
    [sym_true] = ACTIONS(2278),
    [sym_false] = ACTIONS(2278),
    [sym_character_literal] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2276),
    [anon_sym_RBRACE] = ACTIONS(2276),
    [sym_null_literal] = ACTIONS(2278),
    [anon_sym_LPAREN] = ACTIONS(2276),
    [anon_sym_LT] = ACTIONS(2276),
    [anon_sym_PLUS] = ACTIONS(2278),
    [anon_sym_DASH] = ACTIONS(2278),
    [anon_sym_final] = ACTIONS(2278),
    [anon_sym_DASH_GT] = ACTIONS(2276),
    [anon_sym_BANG] = ACTIONS(2276),
    [anon_sym_TILDE] = ACTIONS(2276),
    [anon_sym_PLUS_PLUS] = ACTIONS(2276),
    [anon_sym_DASH_DASH] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(2278),
    [anon_sym_LBRACK] = ACTIONS(2276),
    [anon_sym_class] = ACTIONS(2278),
    [anon_sym_switch] = ACTIONS(2278),
    [anon_sym_LBRACE] = ACTIONS(2276),
    [anon_sym_case] = ACTIONS(2278),
    [anon_sym_default] = ACTIONS(2278),
    [sym_underscore_pattern] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2276),
    [anon_sym_assert] = ACTIONS(2278),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2278),
    [anon_sym_break] = ACTIONS(2278),
    [anon_sym_continue] = ACTIONS(2278),
    [anon_sym_return] = ACTIONS(2278),
    [anon_sym_yield] = ACTIONS(2278),
    [anon_sym_synchronized] = ACTIONS(2278),
    [anon_sym_throw] = ACTIONS(2278),
    [anon_sym_try] = ACTIONS(2278),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_else] = ACTIONS(2278),
    [anon_sym_for] = ACTIONS(2278),
    [anon_sym_AT] = ACTIONS(2278),
    [anon_sym_open] = ACTIONS(2278),
    [anon_sym_module] = ACTIONS(2278),
    [anon_sym_static] = ACTIONS(2278),
    [anon_sym_with] = ACTIONS(2278),
    [anon_sym_package] = ACTIONS(2278),
    [anon_sym_import] = ACTIONS(2278),
    [anon_sym_enum] = ACTIONS(2278),
    [anon_sym_public] = ACTIONS(2278),
    [anon_sym_protected] = ACTIONS(2278),
    [anon_sym_private] = ACTIONS(2278),
    [anon_sym_abstract] = ACTIONS(2278),
    [anon_sym_strictfp] = ACTIONS(2278),
    [anon_sym_native] = ACTIONS(2278),
    [anon_sym_transient] = ACTIONS(2278),
    [anon_sym_volatile] = ACTIONS(2278),
    [anon_sym_sealed] = ACTIONS(2278),
    [anon_sym_non_DASHsealed] = ACTIONS(2276),
    [anon_sym_record] = ACTIONS(2278),
    [anon_sym_ATinterface] = ACTIONS(2276),
    [anon_sym_interface] = ACTIONS(2278),
    [anon_sym_byte] = ACTIONS(2278),
    [anon_sym_short] = ACTIONS(2278),
    [anon_sym_int] = ACTIONS(2278),
    [anon_sym_long] = ACTIONS(2278),
    [anon_sym_char] = ACTIONS(2278),
    [anon_sym_float] = ACTIONS(2278),
    [anon_sym_double] = ACTIONS(2278),
    [sym_boolean_type] = ACTIONS(2278),
    [sym_void_type] = ACTIONS(2278),
    [anon_sym_def] = ACTIONS(2278),
    [sym_this] = ACTIONS(2278),
    [sym_super] = ACTIONS(2278),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [910] = {
    [ts_builtin_sym_end] = ACTIONS(2276),
    [sym_identifier] = ACTIONS(2278),
    [sym_decimal_integer_literal] = ACTIONS(2278),
    [sym_hex_integer_literal] = ACTIONS(2278),
    [sym_octal_integer_literal] = ACTIONS(2278),
    [sym_binary_integer_literal] = ACTIONS(2276),
    [sym_decimal_floating_point_literal] = ACTIONS(2276),
    [sym_hex_floating_point_literal] = ACTIONS(2278),
    [sym_true] = ACTIONS(2278),
    [sym_false] = ACTIONS(2278),
    [sym_character_literal] = ACTIONS(2276),
    [anon_sym_DQUOTE] = ACTIONS(2278),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2276),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2276),
    [anon_sym_RBRACE] = ACTIONS(2276),
    [sym_null_literal] = ACTIONS(2278),
    [anon_sym_LPAREN] = ACTIONS(2276),
    [anon_sym_LT] = ACTIONS(2276),
    [anon_sym_PLUS] = ACTIONS(2278),
    [anon_sym_DASH] = ACTIONS(2278),
    [anon_sym_final] = ACTIONS(2278),
    [anon_sym_DASH_GT] = ACTIONS(2276),
    [anon_sym_BANG] = ACTIONS(2276),
    [anon_sym_TILDE] = ACTIONS(2276),
    [anon_sym_PLUS_PLUS] = ACTIONS(2276),
    [anon_sym_DASH_DASH] = ACTIONS(2276),
    [anon_sym_new] = ACTIONS(2278),
    [anon_sym_LBRACK] = ACTIONS(2276),
    [anon_sym_class] = ACTIONS(2278),
    [anon_sym_switch] = ACTIONS(2278),
    [anon_sym_LBRACE] = ACTIONS(2276),
    [anon_sym_case] = ACTIONS(2278),
    [anon_sym_default] = ACTIONS(2278),
    [sym_underscore_pattern] = ACTIONS(2278),
    [anon_sym_SEMI] = ACTIONS(2276),
    [anon_sym_assert] = ACTIONS(2278),
    [anon_sym_do] = ACTIONS(2278),
    [anon_sym_while] = ACTIONS(2278),
    [anon_sym_break] = ACTIONS(2278),
    [anon_sym_continue] = ACTIONS(2278),
    [anon_sym_return] = ACTIONS(2278),
    [anon_sym_yield] = ACTIONS(2278),
    [anon_sym_synchronized] = ACTIONS(2278),
    [anon_sym_throw] = ACTIONS(2278),
    [anon_sym_try] = ACTIONS(2278),
    [anon_sym_if] = ACTIONS(2278),
    [anon_sym_else] = ACTIONS(2278),
    [anon_sym_for] = ACTIONS(2278),
    [anon_sym_AT] = ACTIONS(2278),
    [anon_sym_open] = ACTIONS(2278),
    [anon_sym_module] = ACTIONS(2278),
    [anon_sym_static] = ACTIONS(2278),
    [anon_sym_with] = ACTIONS(2278),
    [anon_sym_package] = ACTIONS(2278),
    [anon_sym_import] = ACTIONS(2278),
    [anon_sym_enum] = ACTIONS(2278),
    [anon_sym_public] = ACTIONS(2278),
    [anon_sym_protected] = ACTIONS(2278),
    [anon_sym_private] = ACTIONS(2278),
    [anon_sym_abstract] = ACTIONS(2278),
    [anon_sym_strictfp] = ACTIONS(2278),
    [anon_sym_native] = ACTIONS(2278),
    [anon_sym_transient] = ACTIONS(2278),
    [anon_sym_volatile] = ACTIONS(2278),
    [anon_sym_sealed] = ACTIONS(2278),
    [anon_sym_non_DASHsealed] = ACTIONS(2276),
    [anon_sym_record] = ACTIONS(2278),
    [anon_sym_ATinterface] = ACTIONS(2276),
    [anon_sym_interface] = ACTIONS(2278),
    [anon_sym_byte] = ACTIONS(2278),
    [anon_sym_short] = ACTIONS(2278),
    [anon_sym_int] = ACTIONS(2278),
    [anon_sym_long] = ACTIONS(2278),
    [anon_sym_char] = ACTIONS(2278),
    [anon_sym_float] = ACTIONS(2278),
    [anon_sym_double] = ACTIONS(2278),
    [sym_boolean_type] = ACTIONS(2278),
    [sym_void_type] = ACTIONS(2278),
    [anon_sym_def] = ACTIONS(2278),
    [sym_this] = ACTIONS(2278),
    [sym_super] = ACTIONS(2278),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [911] = {
    [ts_builtin_sym_end] = ACTIONS(2280),
    [sym_identifier] = ACTIONS(2282),
    [sym_decimal_integer_literal] = ACTIONS(2282),
    [sym_hex_integer_literal] = ACTIONS(2282),
    [sym_octal_integer_literal] = ACTIONS(2282),
    [sym_binary_integer_literal] = ACTIONS(2280),
    [sym_decimal_floating_point_literal] = ACTIONS(2280),
    [sym_hex_floating_point_literal] = ACTIONS(2282),
    [sym_true] = ACTIONS(2282),
    [sym_false] = ACTIONS(2282),
    [sym_character_literal] = ACTIONS(2280),
    [anon_sym_DQUOTE] = ACTIONS(2282),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2280),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2280),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [sym_null_literal] = ACTIONS(2282),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_final] = ACTIONS(2282),
    [anon_sym_DASH_GT] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2280),
    [anon_sym_COLON] = ACTIONS(2031),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2282),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2282),
    [anon_sym_switch] = ACTIONS(2282),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2282),
    [sym_underscore_pattern] = ACTIONS(2282),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_assert] = ACTIONS(2282),
    [anon_sym_do] = ACTIONS(2282),
    [anon_sym_while] = ACTIONS(2282),
    [anon_sym_break] = ACTIONS(2282),
    [anon_sym_continue] = ACTIONS(2282),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_yield] = ACTIONS(2282),
    [anon_sym_synchronized] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2282),
    [anon_sym_if] = ACTIONS(2282),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_AT] = ACTIONS(2282),
    [anon_sym_open] = ACTIONS(2282),
    [anon_sym_module] = ACTIONS(2282),
    [anon_sym_static] = ACTIONS(2282),
    [anon_sym_with] = ACTIONS(2282),
    [anon_sym_package] = ACTIONS(2282),
    [anon_sym_import] = ACTIONS(2282),
    [anon_sym_enum] = ACTIONS(2282),
    [anon_sym_public] = ACTIONS(2282),
    [anon_sym_protected] = ACTIONS(2282),
    [anon_sym_private] = ACTIONS(2282),
    [anon_sym_abstract] = ACTIONS(2282),
    [anon_sym_strictfp] = ACTIONS(2282),
    [anon_sym_native] = ACTIONS(2282),
    [anon_sym_transient] = ACTIONS(2282),
    [anon_sym_volatile] = ACTIONS(2282),
    [anon_sym_sealed] = ACTIONS(2282),
    [anon_sym_non_DASHsealed] = ACTIONS(2280),
    [anon_sym_record] = ACTIONS(2282),
    [anon_sym_ATinterface] = ACTIONS(2280),
    [anon_sym_interface] = ACTIONS(2282),
    [anon_sym_byte] = ACTIONS(2282),
    [anon_sym_short] = ACTIONS(2282),
    [anon_sym_int] = ACTIONS(2282),
    [anon_sym_long] = ACTIONS(2282),
    [anon_sym_char] = ACTIONS(2282),
    [anon_sym_float] = ACTIONS(2282),
    [anon_sym_double] = ACTIONS(2282),
    [sym_boolean_type] = ACTIONS(2282),
    [sym_void_type] = ACTIONS(2282),
    [anon_sym_def] = ACTIONS(2282),
    [sym_this] = ACTIONS(2282),
    [sym_super] = ACTIONS(2282),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [912] = {
    [ts_builtin_sym_end] = ACTIONS(2284),
    [sym_identifier] = ACTIONS(2286),
    [sym_decimal_integer_literal] = ACTIONS(2286),
    [sym_hex_integer_literal] = ACTIONS(2286),
    [sym_octal_integer_literal] = ACTIONS(2286),
    [sym_binary_integer_literal] = ACTIONS(2284),
    [sym_decimal_floating_point_literal] = ACTIONS(2284),
    [sym_hex_floating_point_literal] = ACTIONS(2286),
    [sym_true] = ACTIONS(2286),
    [sym_false] = ACTIONS(2286),
    [sym_character_literal] = ACTIONS(2284),
    [anon_sym_DQUOTE] = ACTIONS(2286),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2284),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2284),
    [anon_sym_RBRACE] = ACTIONS(2284),
    [sym_null_literal] = ACTIONS(2286),
    [anon_sym_LPAREN] = ACTIONS(2284),
    [anon_sym_LT] = ACTIONS(2284),
    [anon_sym_PLUS] = ACTIONS(2286),
    [anon_sym_DASH] = ACTIONS(2286),
    [anon_sym_final] = ACTIONS(2286),
    [anon_sym_DASH_GT] = ACTIONS(2284),
    [anon_sym_BANG] = ACTIONS(2284),
    [anon_sym_TILDE] = ACTIONS(2284),
    [anon_sym_PLUS_PLUS] = ACTIONS(2284),
    [anon_sym_DASH_DASH] = ACTIONS(2284),
    [anon_sym_new] = ACTIONS(2286),
    [anon_sym_LBRACK] = ACTIONS(2284),
    [anon_sym_class] = ACTIONS(2286),
    [anon_sym_switch] = ACTIONS(2286),
    [anon_sym_LBRACE] = ACTIONS(2284),
    [anon_sym_case] = ACTIONS(2286),
    [anon_sym_default] = ACTIONS(2286),
    [sym_underscore_pattern] = ACTIONS(2286),
    [anon_sym_SEMI] = ACTIONS(2284),
    [anon_sym_assert] = ACTIONS(2286),
    [anon_sym_do] = ACTIONS(2286),
    [anon_sym_while] = ACTIONS(2286),
    [anon_sym_break] = ACTIONS(2286),
    [anon_sym_continue] = ACTIONS(2286),
    [anon_sym_return] = ACTIONS(2286),
    [anon_sym_yield] = ACTIONS(2286),
    [anon_sym_synchronized] = ACTIONS(2286),
    [anon_sym_throw] = ACTIONS(2286),
    [anon_sym_try] = ACTIONS(2286),
    [anon_sym_if] = ACTIONS(2286),
    [anon_sym_else] = ACTIONS(2286),
    [anon_sym_for] = ACTIONS(2286),
    [anon_sym_AT] = ACTIONS(2286),
    [anon_sym_open] = ACTIONS(2286),
    [anon_sym_module] = ACTIONS(2286),
    [anon_sym_static] = ACTIONS(2286),
    [anon_sym_with] = ACTIONS(2286),
    [anon_sym_package] = ACTIONS(2286),
    [anon_sym_import] = ACTIONS(2286),
    [anon_sym_enum] = ACTIONS(2286),
    [anon_sym_public] = ACTIONS(2286),
    [anon_sym_protected] = ACTIONS(2286),
    [anon_sym_private] = ACTIONS(2286),
    [anon_sym_abstract] = ACTIONS(2286),
    [anon_sym_strictfp] = ACTIONS(2286),
    [anon_sym_native] = ACTIONS(2286),
    [anon_sym_transient] = ACTIONS(2286),
    [anon_sym_volatile] = ACTIONS(2286),
    [anon_sym_sealed] = ACTIONS(2286),
    [anon_sym_non_DASHsealed] = ACTIONS(2284),
    [anon_sym_record] = ACTIONS(2286),
    [anon_sym_ATinterface] = ACTIONS(2284),
    [anon_sym_interface] = ACTIONS(2286),
    [anon_sym_byte] = ACTIONS(2286),
    [anon_sym_short] = ACTIONS(2286),
    [anon_sym_int] = ACTIONS(2286),
    [anon_sym_long] = ACTIONS(2286),
    [anon_sym_char] = ACTIONS(2286),
    [anon_sym_float] = ACTIONS(2286),
    [anon_sym_double] = ACTIONS(2286),
    [sym_boolean_type] = ACTIONS(2286),
    [sym_void_type] = ACTIONS(2286),
    [anon_sym_def] = ACTIONS(2286),
    [sym_this] = ACTIONS(2286),
    [sym_super] = ACTIONS(2286),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [913] = {
    [ts_builtin_sym_end] = ACTIONS(2288),
    [sym_identifier] = ACTIONS(2290),
    [sym_decimal_integer_literal] = ACTIONS(2290),
    [sym_hex_integer_literal] = ACTIONS(2290),
    [sym_octal_integer_literal] = ACTIONS(2290),
    [sym_binary_integer_literal] = ACTIONS(2288),
    [sym_decimal_floating_point_literal] = ACTIONS(2288),
    [sym_hex_floating_point_literal] = ACTIONS(2290),
    [sym_true] = ACTIONS(2290),
    [sym_false] = ACTIONS(2290),
    [sym_character_literal] = ACTIONS(2288),
    [anon_sym_DQUOTE] = ACTIONS(2290),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2288),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2288),
    [anon_sym_RBRACE] = ACTIONS(2288),
    [sym_null_literal] = ACTIONS(2290),
    [anon_sym_LPAREN] = ACTIONS(2288),
    [anon_sym_LT] = ACTIONS(2288),
    [anon_sym_PLUS] = ACTIONS(2290),
    [anon_sym_DASH] = ACTIONS(2290),
    [anon_sym_final] = ACTIONS(2290),
    [anon_sym_DASH_GT] = ACTIONS(2288),
    [anon_sym_BANG] = ACTIONS(2288),
    [anon_sym_TILDE] = ACTIONS(2288),
    [anon_sym_PLUS_PLUS] = ACTIONS(2288),
    [anon_sym_DASH_DASH] = ACTIONS(2288),
    [anon_sym_new] = ACTIONS(2290),
    [anon_sym_LBRACK] = ACTIONS(2288),
    [anon_sym_class] = ACTIONS(2290),
    [anon_sym_switch] = ACTIONS(2290),
    [anon_sym_LBRACE] = ACTIONS(2288),
    [anon_sym_case] = ACTIONS(2290),
    [anon_sym_default] = ACTIONS(2290),
    [sym_underscore_pattern] = ACTIONS(2290),
    [anon_sym_SEMI] = ACTIONS(2288),
    [anon_sym_assert] = ACTIONS(2290),
    [anon_sym_do] = ACTIONS(2290),
    [anon_sym_while] = ACTIONS(2290),
    [anon_sym_break] = ACTIONS(2290),
    [anon_sym_continue] = ACTIONS(2290),
    [anon_sym_return] = ACTIONS(2290),
    [anon_sym_yield] = ACTIONS(2290),
    [anon_sym_synchronized] = ACTIONS(2290),
    [anon_sym_throw] = ACTIONS(2290),
    [anon_sym_try] = ACTIONS(2290),
    [anon_sym_if] = ACTIONS(2290),
    [anon_sym_else] = ACTIONS(2290),
    [anon_sym_for] = ACTIONS(2290),
    [anon_sym_AT] = ACTIONS(2290),
    [anon_sym_open] = ACTIONS(2290),
    [anon_sym_module] = ACTIONS(2290),
    [anon_sym_static] = ACTIONS(2290),
    [anon_sym_with] = ACTIONS(2290),
    [anon_sym_package] = ACTIONS(2290),
    [anon_sym_import] = ACTIONS(2290),
    [anon_sym_enum] = ACTIONS(2290),
    [anon_sym_public] = ACTIONS(2290),
    [anon_sym_protected] = ACTIONS(2290),
    [anon_sym_private] = ACTIONS(2290),
    [anon_sym_abstract] = ACTIONS(2290),
    [anon_sym_strictfp] = ACTIONS(2290),
    [anon_sym_native] = ACTIONS(2290),
    [anon_sym_transient] = ACTIONS(2290),
    [anon_sym_volatile] = ACTIONS(2290),
    [anon_sym_sealed] = ACTIONS(2290),
    [anon_sym_non_DASHsealed] = ACTIONS(2288),
    [anon_sym_record] = ACTIONS(2290),
    [anon_sym_ATinterface] = ACTIONS(2288),
    [anon_sym_interface] = ACTIONS(2290),
    [anon_sym_byte] = ACTIONS(2290),
    [anon_sym_short] = ACTIONS(2290),
    [anon_sym_int] = ACTIONS(2290),
    [anon_sym_long] = ACTIONS(2290),
    [anon_sym_char] = ACTIONS(2290),
    [anon_sym_float] = ACTIONS(2290),
    [anon_sym_double] = ACTIONS(2290),
    [sym_boolean_type] = ACTIONS(2290),
    [sym_void_type] = ACTIONS(2290),
    [anon_sym_def] = ACTIONS(2290),
    [sym_this] = ACTIONS(2290),
    [sym_super] = ACTIONS(2290),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [914] = {
    [ts_builtin_sym_end] = ACTIONS(2292),
    [sym_identifier] = ACTIONS(2294),
    [sym_decimal_integer_literal] = ACTIONS(2294),
    [sym_hex_integer_literal] = ACTIONS(2294),
    [sym_octal_integer_literal] = ACTIONS(2294),
    [sym_binary_integer_literal] = ACTIONS(2292),
    [sym_decimal_floating_point_literal] = ACTIONS(2292),
    [sym_hex_floating_point_literal] = ACTIONS(2294),
    [sym_true] = ACTIONS(2294),
    [sym_false] = ACTIONS(2294),
    [sym_character_literal] = ACTIONS(2292),
    [anon_sym_DQUOTE] = ACTIONS(2294),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2292),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2292),
    [anon_sym_RBRACE] = ACTIONS(2292),
    [sym_null_literal] = ACTIONS(2294),
    [anon_sym_LPAREN] = ACTIONS(2292),
    [anon_sym_LT] = ACTIONS(2292),
    [anon_sym_PLUS] = ACTIONS(2294),
    [anon_sym_DASH] = ACTIONS(2294),
    [anon_sym_final] = ACTIONS(2294),
    [anon_sym_DASH_GT] = ACTIONS(2292),
    [anon_sym_BANG] = ACTIONS(2292),
    [anon_sym_TILDE] = ACTIONS(2292),
    [anon_sym_PLUS_PLUS] = ACTIONS(2292),
    [anon_sym_DASH_DASH] = ACTIONS(2292),
    [anon_sym_new] = ACTIONS(2294),
    [anon_sym_LBRACK] = ACTIONS(2292),
    [anon_sym_class] = ACTIONS(2294),
    [anon_sym_switch] = ACTIONS(2294),
    [anon_sym_LBRACE] = ACTIONS(2292),
    [anon_sym_case] = ACTIONS(2294),
    [anon_sym_default] = ACTIONS(2294),
    [sym_underscore_pattern] = ACTIONS(2294),
    [anon_sym_SEMI] = ACTIONS(2292),
    [anon_sym_assert] = ACTIONS(2294),
    [anon_sym_do] = ACTIONS(2294),
    [anon_sym_while] = ACTIONS(2294),
    [anon_sym_break] = ACTIONS(2294),
    [anon_sym_continue] = ACTIONS(2294),
    [anon_sym_return] = ACTIONS(2294),
    [anon_sym_yield] = ACTIONS(2294),
    [anon_sym_synchronized] = ACTIONS(2294),
    [anon_sym_throw] = ACTIONS(2294),
    [anon_sym_try] = ACTIONS(2294),
    [anon_sym_if] = ACTIONS(2294),
    [anon_sym_else] = ACTIONS(2294),
    [anon_sym_for] = ACTIONS(2294),
    [anon_sym_AT] = ACTIONS(2294),
    [anon_sym_open] = ACTIONS(2294),
    [anon_sym_module] = ACTIONS(2294),
    [anon_sym_static] = ACTIONS(2294),
    [anon_sym_with] = ACTIONS(2294),
    [anon_sym_package] = ACTIONS(2294),
    [anon_sym_import] = ACTIONS(2294),
    [anon_sym_enum] = ACTIONS(2294),
    [anon_sym_public] = ACTIONS(2294),
    [anon_sym_protected] = ACTIONS(2294),
    [anon_sym_private] = ACTIONS(2294),
    [anon_sym_abstract] = ACTIONS(2294),
    [anon_sym_strictfp] = ACTIONS(2294),
    [anon_sym_native] = ACTIONS(2294),
    [anon_sym_transient] = ACTIONS(2294),
    [anon_sym_volatile] = ACTIONS(2294),
    [anon_sym_sealed] = ACTIONS(2294),
    [anon_sym_non_DASHsealed] = ACTIONS(2292),
    [anon_sym_record] = ACTIONS(2294),
    [anon_sym_ATinterface] = ACTIONS(2292),
    [anon_sym_interface] = ACTIONS(2294),
    [anon_sym_byte] = ACTIONS(2294),
    [anon_sym_short] = ACTIONS(2294),
    [anon_sym_int] = ACTIONS(2294),
    [anon_sym_long] = ACTIONS(2294),
    [anon_sym_char] = ACTIONS(2294),
    [anon_sym_float] = ACTIONS(2294),
    [anon_sym_double] = ACTIONS(2294),
    [sym_boolean_type] = ACTIONS(2294),
    [sym_void_type] = ACTIONS(2294),
    [anon_sym_def] = ACTIONS(2294),
    [sym_this] = ACTIONS(2294),
    [sym_super] = ACTIONS(2294),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [915] = {
    [ts_builtin_sym_end] = ACTIONS(2296),
    [sym_identifier] = ACTIONS(2298),
    [sym_decimal_integer_literal] = ACTIONS(2298),
    [sym_hex_integer_literal] = ACTIONS(2298),
    [sym_octal_integer_literal] = ACTIONS(2298),
    [sym_binary_integer_literal] = ACTIONS(2296),
    [sym_decimal_floating_point_literal] = ACTIONS(2296),
    [sym_hex_floating_point_literal] = ACTIONS(2298),
    [sym_true] = ACTIONS(2298),
    [sym_false] = ACTIONS(2298),
    [sym_character_literal] = ACTIONS(2296),
    [anon_sym_DQUOTE] = ACTIONS(2298),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2296),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2296),
    [anon_sym_RBRACE] = ACTIONS(2296),
    [sym_null_literal] = ACTIONS(2298),
    [anon_sym_LPAREN] = ACTIONS(2296),
    [anon_sym_LT] = ACTIONS(2296),
    [anon_sym_PLUS] = ACTIONS(2298),
    [anon_sym_DASH] = ACTIONS(2298),
    [anon_sym_final] = ACTIONS(2298),
    [anon_sym_DASH_GT] = ACTIONS(2296),
    [anon_sym_BANG] = ACTIONS(2296),
    [anon_sym_TILDE] = ACTIONS(2296),
    [anon_sym_PLUS_PLUS] = ACTIONS(2296),
    [anon_sym_DASH_DASH] = ACTIONS(2296),
    [anon_sym_new] = ACTIONS(2298),
    [anon_sym_LBRACK] = ACTIONS(2296),
    [anon_sym_class] = ACTIONS(2298),
    [anon_sym_switch] = ACTIONS(2298),
    [anon_sym_LBRACE] = ACTIONS(2296),
    [anon_sym_case] = ACTIONS(2298),
    [anon_sym_default] = ACTIONS(2298),
    [sym_underscore_pattern] = ACTIONS(2298),
    [anon_sym_SEMI] = ACTIONS(2296),
    [anon_sym_assert] = ACTIONS(2298),
    [anon_sym_do] = ACTIONS(2298),
    [anon_sym_while] = ACTIONS(2298),
    [anon_sym_break] = ACTIONS(2298),
    [anon_sym_continue] = ACTIONS(2298),
    [anon_sym_return] = ACTIONS(2298),
    [anon_sym_yield] = ACTIONS(2298),
    [anon_sym_synchronized] = ACTIONS(2298),
    [anon_sym_throw] = ACTIONS(2298),
    [anon_sym_try] = ACTIONS(2298),
    [anon_sym_if] = ACTIONS(2298),
    [anon_sym_else] = ACTIONS(2298),
    [anon_sym_for] = ACTIONS(2298),
    [anon_sym_AT] = ACTIONS(2298),
    [anon_sym_open] = ACTIONS(2298),
    [anon_sym_module] = ACTIONS(2298),
    [anon_sym_static] = ACTIONS(2298),
    [anon_sym_with] = ACTIONS(2298),
    [anon_sym_package] = ACTIONS(2298),
    [anon_sym_import] = ACTIONS(2298),
    [anon_sym_enum] = ACTIONS(2298),
    [anon_sym_public] = ACTIONS(2298),
    [anon_sym_protected] = ACTIONS(2298),
    [anon_sym_private] = ACTIONS(2298),
    [anon_sym_abstract] = ACTIONS(2298),
    [anon_sym_strictfp] = ACTIONS(2298),
    [anon_sym_native] = ACTIONS(2298),
    [anon_sym_transient] = ACTIONS(2298),
    [anon_sym_volatile] = ACTIONS(2298),
    [anon_sym_sealed] = ACTIONS(2298),
    [anon_sym_non_DASHsealed] = ACTIONS(2296),
    [anon_sym_record] = ACTIONS(2298),
    [anon_sym_ATinterface] = ACTIONS(2296),
    [anon_sym_interface] = ACTIONS(2298),
    [anon_sym_byte] = ACTIONS(2298),
    [anon_sym_short] = ACTIONS(2298),
    [anon_sym_int] = ACTIONS(2298),
    [anon_sym_long] = ACTIONS(2298),
    [anon_sym_char] = ACTIONS(2298),
    [anon_sym_float] = ACTIONS(2298),
    [anon_sym_double] = ACTIONS(2298),
    [sym_boolean_type] = ACTIONS(2298),
    [sym_void_type] = ACTIONS(2298),
    [anon_sym_def] = ACTIONS(2298),
    [sym_this] = ACTIONS(2298),
    [sym_super] = ACTIONS(2298),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [916] = {
    [ts_builtin_sym_end] = ACTIONS(2300),
    [sym_identifier] = ACTIONS(2302),
    [sym_decimal_integer_literal] = ACTIONS(2302),
    [sym_hex_integer_literal] = ACTIONS(2302),
    [sym_octal_integer_literal] = ACTIONS(2302),
    [sym_binary_integer_literal] = ACTIONS(2300),
    [sym_decimal_floating_point_literal] = ACTIONS(2300),
    [sym_hex_floating_point_literal] = ACTIONS(2302),
    [sym_true] = ACTIONS(2302),
    [sym_false] = ACTIONS(2302),
    [sym_character_literal] = ACTIONS(2300),
    [anon_sym_DQUOTE] = ACTIONS(2302),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2300),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2300),
    [anon_sym_RBRACE] = ACTIONS(2300),
    [sym_null_literal] = ACTIONS(2302),
    [anon_sym_LPAREN] = ACTIONS(2300),
    [anon_sym_LT] = ACTIONS(2300),
    [anon_sym_PLUS] = ACTIONS(2302),
    [anon_sym_DASH] = ACTIONS(2302),
    [anon_sym_final] = ACTIONS(2302),
    [anon_sym_DASH_GT] = ACTIONS(2300),
    [anon_sym_BANG] = ACTIONS(2300),
    [anon_sym_TILDE] = ACTIONS(2300),
    [anon_sym_PLUS_PLUS] = ACTIONS(2300),
    [anon_sym_DASH_DASH] = ACTIONS(2300),
    [anon_sym_new] = ACTIONS(2302),
    [anon_sym_LBRACK] = ACTIONS(2300),
    [anon_sym_class] = ACTIONS(2302),
    [anon_sym_switch] = ACTIONS(2302),
    [anon_sym_LBRACE] = ACTIONS(2300),
    [anon_sym_case] = ACTIONS(2302),
    [anon_sym_default] = ACTIONS(2302),
    [sym_underscore_pattern] = ACTIONS(2302),
    [anon_sym_SEMI] = ACTIONS(2300),
    [anon_sym_assert] = ACTIONS(2302),
    [anon_sym_do] = ACTIONS(2302),
    [anon_sym_while] = ACTIONS(2302),
    [anon_sym_break] = ACTIONS(2302),
    [anon_sym_continue] = ACTIONS(2302),
    [anon_sym_return] = ACTIONS(2302),
    [anon_sym_yield] = ACTIONS(2302),
    [anon_sym_synchronized] = ACTIONS(2302),
    [anon_sym_throw] = ACTIONS(2302),
    [anon_sym_try] = ACTIONS(2302),
    [anon_sym_if] = ACTIONS(2302),
    [anon_sym_else] = ACTIONS(2302),
    [anon_sym_for] = ACTIONS(2302),
    [anon_sym_AT] = ACTIONS(2302),
    [anon_sym_open] = ACTIONS(2302),
    [anon_sym_module] = ACTIONS(2302),
    [anon_sym_static] = ACTIONS(2302),
    [anon_sym_with] = ACTIONS(2302),
    [anon_sym_package] = ACTIONS(2302),
    [anon_sym_import] = ACTIONS(2302),
    [anon_sym_enum] = ACTIONS(2302),
    [anon_sym_public] = ACTIONS(2302),
    [anon_sym_protected] = ACTIONS(2302),
    [anon_sym_private] = ACTIONS(2302),
    [anon_sym_abstract] = ACTIONS(2302),
    [anon_sym_strictfp] = ACTIONS(2302),
    [anon_sym_native] = ACTIONS(2302),
    [anon_sym_transient] = ACTIONS(2302),
    [anon_sym_volatile] = ACTIONS(2302),
    [anon_sym_sealed] = ACTIONS(2302),
    [anon_sym_non_DASHsealed] = ACTIONS(2300),
    [anon_sym_record] = ACTIONS(2302),
    [anon_sym_ATinterface] = ACTIONS(2300),
    [anon_sym_interface] = ACTIONS(2302),
    [anon_sym_byte] = ACTIONS(2302),
    [anon_sym_short] = ACTIONS(2302),
    [anon_sym_int] = ACTIONS(2302),
    [anon_sym_long] = ACTIONS(2302),
    [anon_sym_char] = ACTIONS(2302),
    [anon_sym_float] = ACTIONS(2302),
    [anon_sym_double] = ACTIONS(2302),
    [sym_boolean_type] = ACTIONS(2302),
    [sym_void_type] = ACTIONS(2302),
    [anon_sym_def] = ACTIONS(2302),
    [sym_this] = ACTIONS(2302),
    [sym_super] = ACTIONS(2302),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [917] = {
    [ts_builtin_sym_end] = ACTIONS(2304),
    [sym_identifier] = ACTIONS(2306),
    [sym_decimal_integer_literal] = ACTIONS(2306),
    [sym_hex_integer_literal] = ACTIONS(2306),
    [sym_octal_integer_literal] = ACTIONS(2306),
    [sym_binary_integer_literal] = ACTIONS(2304),
    [sym_decimal_floating_point_literal] = ACTIONS(2304),
    [sym_hex_floating_point_literal] = ACTIONS(2306),
    [sym_true] = ACTIONS(2306),
    [sym_false] = ACTIONS(2306),
    [sym_character_literal] = ACTIONS(2304),
    [anon_sym_DQUOTE] = ACTIONS(2306),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2304),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2304),
    [anon_sym_RBRACE] = ACTIONS(2304),
    [sym_null_literal] = ACTIONS(2306),
    [anon_sym_LPAREN] = ACTIONS(2304),
    [anon_sym_LT] = ACTIONS(2304),
    [anon_sym_PLUS] = ACTIONS(2306),
    [anon_sym_DASH] = ACTIONS(2306),
    [anon_sym_final] = ACTIONS(2306),
    [anon_sym_DASH_GT] = ACTIONS(2304),
    [anon_sym_BANG] = ACTIONS(2304),
    [anon_sym_TILDE] = ACTIONS(2304),
    [anon_sym_PLUS_PLUS] = ACTIONS(2304),
    [anon_sym_DASH_DASH] = ACTIONS(2304),
    [anon_sym_new] = ACTIONS(2306),
    [anon_sym_LBRACK] = ACTIONS(2304),
    [anon_sym_class] = ACTIONS(2306),
    [anon_sym_switch] = ACTIONS(2306),
    [anon_sym_LBRACE] = ACTIONS(2304),
    [anon_sym_case] = ACTIONS(2306),
    [anon_sym_default] = ACTIONS(2306),
    [sym_underscore_pattern] = ACTIONS(2306),
    [anon_sym_SEMI] = ACTIONS(2304),
    [anon_sym_assert] = ACTIONS(2306),
    [anon_sym_do] = ACTIONS(2306),
    [anon_sym_while] = ACTIONS(2306),
    [anon_sym_break] = ACTIONS(2306),
    [anon_sym_continue] = ACTIONS(2306),
    [anon_sym_return] = ACTIONS(2306),
    [anon_sym_yield] = ACTIONS(2306),
    [anon_sym_synchronized] = ACTIONS(2306),
    [anon_sym_throw] = ACTIONS(2306),
    [anon_sym_try] = ACTIONS(2306),
    [anon_sym_if] = ACTIONS(2306),
    [anon_sym_else] = ACTIONS(2306),
    [anon_sym_for] = ACTIONS(2306),
    [anon_sym_AT] = ACTIONS(2306),
    [anon_sym_open] = ACTIONS(2306),
    [anon_sym_module] = ACTIONS(2306),
    [anon_sym_static] = ACTIONS(2306),
    [anon_sym_with] = ACTIONS(2306),
    [anon_sym_package] = ACTIONS(2306),
    [anon_sym_import] = ACTIONS(2306),
    [anon_sym_enum] = ACTIONS(2306),
    [anon_sym_public] = ACTIONS(2306),
    [anon_sym_protected] = ACTIONS(2306),
    [anon_sym_private] = ACTIONS(2306),
    [anon_sym_abstract] = ACTIONS(2306),
    [anon_sym_strictfp] = ACTIONS(2306),
    [anon_sym_native] = ACTIONS(2306),
    [anon_sym_transient] = ACTIONS(2306),
    [anon_sym_volatile] = ACTIONS(2306),
    [anon_sym_sealed] = ACTIONS(2306),
    [anon_sym_non_DASHsealed] = ACTIONS(2304),
    [anon_sym_record] = ACTIONS(2306),
    [anon_sym_ATinterface] = ACTIONS(2304),
    [anon_sym_interface] = ACTIONS(2306),
    [anon_sym_byte] = ACTIONS(2306),
    [anon_sym_short] = ACTIONS(2306),
    [anon_sym_int] = ACTIONS(2306),
    [anon_sym_long] = ACTIONS(2306),
    [anon_sym_char] = ACTIONS(2306),
    [anon_sym_float] = ACTIONS(2306),
    [anon_sym_double] = ACTIONS(2306),
    [sym_boolean_type] = ACTIONS(2306),
    [sym_void_type] = ACTIONS(2306),
    [anon_sym_def] = ACTIONS(2306),
    [sym_this] = ACTIONS(2306),
    [sym_super] = ACTIONS(2306),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [918] = {
    [ts_builtin_sym_end] = ACTIONS(2000),
    [sym_identifier] = ACTIONS(2002),
    [sym_decimal_integer_literal] = ACTIONS(2002),
    [sym_hex_integer_literal] = ACTIONS(2002),
    [sym_octal_integer_literal] = ACTIONS(2002),
    [sym_binary_integer_literal] = ACTIONS(2000),
    [sym_decimal_floating_point_literal] = ACTIONS(2000),
    [sym_hex_floating_point_literal] = ACTIONS(2002),
    [sym_true] = ACTIONS(2002),
    [sym_false] = ACTIONS(2002),
    [sym_character_literal] = ACTIONS(2000),
    [anon_sym_DQUOTE] = ACTIONS(2002),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2000),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2000),
    [anon_sym_RBRACE] = ACTIONS(2000),
    [sym_null_literal] = ACTIONS(2002),
    [anon_sym_LPAREN] = ACTIONS(2000),
    [anon_sym_LT] = ACTIONS(2000),
    [anon_sym_PLUS] = ACTIONS(2002),
    [anon_sym_DASH] = ACTIONS(2002),
    [anon_sym_final] = ACTIONS(2002),
    [anon_sym_DASH_GT] = ACTIONS(2000),
    [anon_sym_BANG] = ACTIONS(2000),
    [anon_sym_TILDE] = ACTIONS(2000),
    [anon_sym_PLUS_PLUS] = ACTIONS(2000),
    [anon_sym_DASH_DASH] = ACTIONS(2000),
    [anon_sym_new] = ACTIONS(2002),
    [anon_sym_LBRACK] = ACTIONS(2000),
    [anon_sym_class] = ACTIONS(2002),
    [anon_sym_switch] = ACTIONS(2002),
    [anon_sym_LBRACE] = ACTIONS(2000),
    [anon_sym_case] = ACTIONS(2002),
    [anon_sym_default] = ACTIONS(2002),
    [sym_underscore_pattern] = ACTIONS(2002),
    [anon_sym_SEMI] = ACTIONS(2000),
    [anon_sym_assert] = ACTIONS(2002),
    [anon_sym_do] = ACTIONS(2002),
    [anon_sym_while] = ACTIONS(2002),
    [anon_sym_break] = ACTIONS(2002),
    [anon_sym_continue] = ACTIONS(2002),
    [anon_sym_return] = ACTIONS(2002),
    [anon_sym_yield] = ACTIONS(2002),
    [anon_sym_synchronized] = ACTIONS(2002),
    [anon_sym_throw] = ACTIONS(2002),
    [anon_sym_try] = ACTIONS(2002),
    [anon_sym_if] = ACTIONS(2002),
    [anon_sym_else] = ACTIONS(2002),
    [anon_sym_for] = ACTIONS(2002),
    [anon_sym_AT] = ACTIONS(2002),
    [anon_sym_open] = ACTIONS(2002),
    [anon_sym_module] = ACTIONS(2002),
    [anon_sym_static] = ACTIONS(2002),
    [anon_sym_with] = ACTIONS(2002),
    [anon_sym_package] = ACTIONS(2002),
    [anon_sym_import] = ACTIONS(2002),
    [anon_sym_enum] = ACTIONS(2002),
    [anon_sym_public] = ACTIONS(2002),
    [anon_sym_protected] = ACTIONS(2002),
    [anon_sym_private] = ACTIONS(2002),
    [anon_sym_abstract] = ACTIONS(2002),
    [anon_sym_strictfp] = ACTIONS(2002),
    [anon_sym_native] = ACTIONS(2002),
    [anon_sym_transient] = ACTIONS(2002),
    [anon_sym_volatile] = ACTIONS(2002),
    [anon_sym_sealed] = ACTIONS(2002),
    [anon_sym_non_DASHsealed] = ACTIONS(2000),
    [anon_sym_record] = ACTIONS(2002),
    [anon_sym_ATinterface] = ACTIONS(2000),
    [anon_sym_interface] = ACTIONS(2002),
    [anon_sym_byte] = ACTIONS(2002),
    [anon_sym_short] = ACTIONS(2002),
    [anon_sym_int] = ACTIONS(2002),
    [anon_sym_long] = ACTIONS(2002),
    [anon_sym_char] = ACTIONS(2002),
    [anon_sym_float] = ACTIONS(2002),
    [anon_sym_double] = ACTIONS(2002),
    [sym_boolean_type] = ACTIONS(2002),
    [sym_void_type] = ACTIONS(2002),
    [anon_sym_def] = ACTIONS(2002),
    [sym_this] = ACTIONS(2002),
    [sym_super] = ACTIONS(2002),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [919] = {
    [ts_builtin_sym_end] = ACTIONS(2308),
    [sym_identifier] = ACTIONS(2310),
    [sym_decimal_integer_literal] = ACTIONS(2310),
    [sym_hex_integer_literal] = ACTIONS(2310),
    [sym_octal_integer_literal] = ACTIONS(2310),
    [sym_binary_integer_literal] = ACTIONS(2308),
    [sym_decimal_floating_point_literal] = ACTIONS(2308),
    [sym_hex_floating_point_literal] = ACTIONS(2310),
    [sym_true] = ACTIONS(2310),
    [sym_false] = ACTIONS(2310),
    [sym_character_literal] = ACTIONS(2308),
    [anon_sym_DQUOTE] = ACTIONS(2310),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2308),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2308),
    [anon_sym_RBRACE] = ACTIONS(2308),
    [sym_null_literal] = ACTIONS(2310),
    [anon_sym_LPAREN] = ACTIONS(2308),
    [anon_sym_LT] = ACTIONS(2308),
    [anon_sym_PLUS] = ACTIONS(2310),
    [anon_sym_DASH] = ACTIONS(2310),
    [anon_sym_final] = ACTIONS(2310),
    [anon_sym_DASH_GT] = ACTIONS(2308),
    [anon_sym_BANG] = ACTIONS(2308),
    [anon_sym_TILDE] = ACTIONS(2308),
    [anon_sym_PLUS_PLUS] = ACTIONS(2308),
    [anon_sym_DASH_DASH] = ACTIONS(2308),
    [anon_sym_new] = ACTIONS(2310),
    [anon_sym_LBRACK] = ACTIONS(2308),
    [anon_sym_class] = ACTIONS(2310),
    [anon_sym_switch] = ACTIONS(2310),
    [anon_sym_LBRACE] = ACTIONS(2308),
    [anon_sym_case] = ACTIONS(2310),
    [anon_sym_default] = ACTIONS(2310),
    [sym_underscore_pattern] = ACTIONS(2310),
    [anon_sym_SEMI] = ACTIONS(2308),
    [anon_sym_assert] = ACTIONS(2310),
    [anon_sym_do] = ACTIONS(2310),
    [anon_sym_while] = ACTIONS(2310),
    [anon_sym_break] = ACTIONS(2310),
    [anon_sym_continue] = ACTIONS(2310),
    [anon_sym_return] = ACTIONS(2310),
    [anon_sym_yield] = ACTIONS(2310),
    [anon_sym_synchronized] = ACTIONS(2310),
    [anon_sym_throw] = ACTIONS(2310),
    [anon_sym_try] = ACTIONS(2310),
    [anon_sym_if] = ACTIONS(2310),
    [anon_sym_else] = ACTIONS(2310),
    [anon_sym_for] = ACTIONS(2310),
    [anon_sym_AT] = ACTIONS(2310),
    [anon_sym_open] = ACTIONS(2310),
    [anon_sym_module] = ACTIONS(2310),
    [anon_sym_static] = ACTIONS(2310),
    [anon_sym_with] = ACTIONS(2310),
    [anon_sym_package] = ACTIONS(2310),
    [anon_sym_import] = ACTIONS(2310),
    [anon_sym_enum] = ACTIONS(2310),
    [anon_sym_public] = ACTIONS(2310),
    [anon_sym_protected] = ACTIONS(2310),
    [anon_sym_private] = ACTIONS(2310),
    [anon_sym_abstract] = ACTIONS(2310),
    [anon_sym_strictfp] = ACTIONS(2310),
    [anon_sym_native] = ACTIONS(2310),
    [anon_sym_transient] = ACTIONS(2310),
    [anon_sym_volatile] = ACTIONS(2310),
    [anon_sym_sealed] = ACTIONS(2310),
    [anon_sym_non_DASHsealed] = ACTIONS(2308),
    [anon_sym_record] = ACTIONS(2310),
    [anon_sym_ATinterface] = ACTIONS(2308),
    [anon_sym_interface] = ACTIONS(2310),
    [anon_sym_byte] = ACTIONS(2310),
    [anon_sym_short] = ACTIONS(2310),
    [anon_sym_int] = ACTIONS(2310),
    [anon_sym_long] = ACTIONS(2310),
    [anon_sym_char] = ACTIONS(2310),
    [anon_sym_float] = ACTIONS(2310),
    [anon_sym_double] = ACTIONS(2310),
    [sym_boolean_type] = ACTIONS(2310),
    [sym_void_type] = ACTIONS(2310),
    [anon_sym_def] = ACTIONS(2310),
    [sym_this] = ACTIONS(2310),
    [sym_super] = ACTIONS(2310),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [920] = {
    [sym_identifier] = ACTIONS(846),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(273),
    [anon_sym_PLUS_EQ] = ACTIONS(273),
    [anon_sym_DASH_EQ] = ACTIONS(273),
    [anon_sym_STAR_EQ] = ACTIONS(273),
    [anon_sym_SLASH_EQ] = ACTIONS(273),
    [anon_sym_AMP_EQ] = ACTIONS(273),
    [anon_sym_PIPE_EQ] = ACTIONS(273),
    [anon_sym_CARET_EQ] = ACTIONS(273),
    [anon_sym_PERCENT_EQ] = ACTIONS(273),
    [anon_sym_LT_LT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_AMP_AMP] = ACTIONS(273),
    [anon_sym_PIPE_PIPE] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_GT_GT_GT] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_instanceof] = ACTIONS(273),
    [anon_sym_final] = ACTIONS(846),
    [anon_sym_DASH_GT] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_QMARK] = ACTIONS(273),
    [anon_sym_COLON] = ACTIONS(273),
    [anon_sym_PLUS_PLUS] = ACTIONS(273),
    [anon_sym_DASH_DASH] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_COLON_COLON] = ACTIONS(273),
    [anon_sym_LBRACE] = ACTIONS(273),
    [anon_sym_default] = ACTIONS(846),
    [sym_underscore_pattern] = ACTIONS(846),
    [anon_sym_SEMI] = ACTIONS(273),
    [aux_sym_expression_statement_token1] = ACTIONS(265),
    [anon_sym_NULL] = ACTIONS(273),
    [anon_sym_yield] = ACTIONS(846),
    [anon_sym_synchronized] = ACTIONS(846),
    [anon_sym_AT] = ACTIONS(846),
    [anon_sym_open] = ACTIONS(846),
    [anon_sym_module] = ACTIONS(846),
    [anon_sym_static] = ACTIONS(846),
    [anon_sym_with] = ACTIONS(846),
    [anon_sym_public] = ACTIONS(846),
    [anon_sym_protected] = ACTIONS(846),
    [anon_sym_private] = ACTIONS(846),
    [anon_sym_abstract] = ACTIONS(846),
    [anon_sym_strictfp] = ACTIONS(846),
    [anon_sym_native] = ACTIONS(846),
    [anon_sym_transient] = ACTIONS(846),
    [anon_sym_volatile] = ACTIONS(846),
    [anon_sym_sealed] = ACTIONS(846),
    [anon_sym_non_DASHsealed] = ACTIONS(846),
    [anon_sym_record] = ACTIONS(846),
    [anon_sym_byte] = ACTIONS(846),
    [anon_sym_short] = ACTIONS(846),
    [anon_sym_int] = ACTIONS(846),
    [anon_sym_long] = ACTIONS(846),
    [anon_sym_char] = ACTIONS(846),
    [anon_sym_float] = ACTIONS(846),
    [anon_sym_double] = ACTIONS(846),
    [sym_boolean_type] = ACTIONS(846),
    [sym_void_type] = ACTIONS(846),
    [anon_sym_def] = ACTIONS(846),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(273),
  },
  [921] = {
    [ts_builtin_sym_end] = ACTIONS(2312),
    [sym_identifier] = ACTIONS(2314),
    [sym_decimal_integer_literal] = ACTIONS(2314),
    [sym_hex_integer_literal] = ACTIONS(2314),
    [sym_octal_integer_literal] = ACTIONS(2314),
    [sym_binary_integer_literal] = ACTIONS(2312),
    [sym_decimal_floating_point_literal] = ACTIONS(2312),
    [sym_hex_floating_point_literal] = ACTIONS(2314),
    [sym_true] = ACTIONS(2314),
    [sym_false] = ACTIONS(2314),
    [sym_character_literal] = ACTIONS(2312),
    [anon_sym_DQUOTE] = ACTIONS(2314),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2312),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2312),
    [anon_sym_RBRACE] = ACTIONS(2312),
    [sym_null_literal] = ACTIONS(2314),
    [anon_sym_LPAREN] = ACTIONS(2312),
    [anon_sym_LT] = ACTIONS(2312),
    [anon_sym_PLUS] = ACTIONS(2314),
    [anon_sym_DASH] = ACTIONS(2314),
    [anon_sym_final] = ACTIONS(2314),
    [anon_sym_DASH_GT] = ACTIONS(2312),
    [anon_sym_BANG] = ACTIONS(2312),
    [anon_sym_TILDE] = ACTIONS(2312),
    [anon_sym_PLUS_PLUS] = ACTIONS(2312),
    [anon_sym_DASH_DASH] = ACTIONS(2312),
    [anon_sym_new] = ACTIONS(2314),
    [anon_sym_LBRACK] = ACTIONS(2312),
    [anon_sym_class] = ACTIONS(2314),
    [anon_sym_switch] = ACTIONS(2314),
    [anon_sym_LBRACE] = ACTIONS(2312),
    [anon_sym_case] = ACTIONS(2314),
    [anon_sym_default] = ACTIONS(2314),
    [sym_underscore_pattern] = ACTIONS(2314),
    [anon_sym_SEMI] = ACTIONS(2312),
    [anon_sym_assert] = ACTIONS(2314),
    [anon_sym_do] = ACTIONS(2314),
    [anon_sym_while] = ACTIONS(2314),
    [anon_sym_break] = ACTIONS(2314),
    [anon_sym_continue] = ACTIONS(2314),
    [anon_sym_return] = ACTIONS(2314),
    [anon_sym_yield] = ACTIONS(2314),
    [anon_sym_synchronized] = ACTIONS(2314),
    [anon_sym_throw] = ACTIONS(2314),
    [anon_sym_try] = ACTIONS(2314),
    [anon_sym_if] = ACTIONS(2314),
    [anon_sym_else] = ACTIONS(2314),
    [anon_sym_for] = ACTIONS(2314),
    [anon_sym_AT] = ACTIONS(2314),
    [anon_sym_open] = ACTIONS(2314),
    [anon_sym_module] = ACTIONS(2314),
    [anon_sym_static] = ACTIONS(2314),
    [anon_sym_with] = ACTIONS(2314),
    [anon_sym_package] = ACTIONS(2314),
    [anon_sym_import] = ACTIONS(2314),
    [anon_sym_enum] = ACTIONS(2314),
    [anon_sym_public] = ACTIONS(2314),
    [anon_sym_protected] = ACTIONS(2314),
    [anon_sym_private] = ACTIONS(2314),
    [anon_sym_abstract] = ACTIONS(2314),
    [anon_sym_strictfp] = ACTIONS(2314),
    [anon_sym_native] = ACTIONS(2314),
    [anon_sym_transient] = ACTIONS(2314),
    [anon_sym_volatile] = ACTIONS(2314),
    [anon_sym_sealed] = ACTIONS(2314),
    [anon_sym_non_DASHsealed] = ACTIONS(2312),
    [anon_sym_record] = ACTIONS(2314),
    [anon_sym_ATinterface] = ACTIONS(2312),
    [anon_sym_interface] = ACTIONS(2314),
    [anon_sym_byte] = ACTIONS(2314),
    [anon_sym_short] = ACTIONS(2314),
    [anon_sym_int] = ACTIONS(2314),
    [anon_sym_long] = ACTIONS(2314),
    [anon_sym_char] = ACTIONS(2314),
    [anon_sym_float] = ACTIONS(2314),
    [anon_sym_double] = ACTIONS(2314),
    [sym_boolean_type] = ACTIONS(2314),
    [sym_void_type] = ACTIONS(2314),
    [anon_sym_def] = ACTIONS(2314),
    [sym_this] = ACTIONS(2314),
    [sym_super] = ACTIONS(2314),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [922] = {
    [ts_builtin_sym_end] = ACTIONS(2316),
    [sym_identifier] = ACTIONS(2318),
    [sym_decimal_integer_literal] = ACTIONS(2318),
    [sym_hex_integer_literal] = ACTIONS(2318),
    [sym_octal_integer_literal] = ACTIONS(2318),
    [sym_binary_integer_literal] = ACTIONS(2316),
    [sym_decimal_floating_point_literal] = ACTIONS(2316),
    [sym_hex_floating_point_literal] = ACTIONS(2318),
    [sym_true] = ACTIONS(2318),
    [sym_false] = ACTIONS(2318),
    [sym_character_literal] = ACTIONS(2316),
    [anon_sym_DQUOTE] = ACTIONS(2318),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2316),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2316),
    [anon_sym_RBRACE] = ACTIONS(2316),
    [sym_null_literal] = ACTIONS(2318),
    [anon_sym_LPAREN] = ACTIONS(2316),
    [anon_sym_LT] = ACTIONS(2316),
    [anon_sym_PLUS] = ACTIONS(2318),
    [anon_sym_DASH] = ACTIONS(2318),
    [anon_sym_final] = ACTIONS(2318),
    [anon_sym_DASH_GT] = ACTIONS(2316),
    [anon_sym_BANG] = ACTIONS(2316),
    [anon_sym_TILDE] = ACTIONS(2316),
    [anon_sym_PLUS_PLUS] = ACTIONS(2316),
    [anon_sym_DASH_DASH] = ACTIONS(2316),
    [anon_sym_new] = ACTIONS(2318),
    [anon_sym_LBRACK] = ACTIONS(2316),
    [anon_sym_class] = ACTIONS(2318),
    [anon_sym_switch] = ACTIONS(2318),
    [anon_sym_LBRACE] = ACTIONS(2316),
    [anon_sym_case] = ACTIONS(2318),
    [anon_sym_default] = ACTIONS(2318),
    [sym_underscore_pattern] = ACTIONS(2318),
    [anon_sym_SEMI] = ACTIONS(2316),
    [anon_sym_assert] = ACTIONS(2318),
    [anon_sym_do] = ACTIONS(2318),
    [anon_sym_while] = ACTIONS(2318),
    [anon_sym_break] = ACTIONS(2318),
    [anon_sym_continue] = ACTIONS(2318),
    [anon_sym_return] = ACTIONS(2318),
    [anon_sym_yield] = ACTIONS(2318),
    [anon_sym_synchronized] = ACTIONS(2318),
    [anon_sym_throw] = ACTIONS(2318),
    [anon_sym_try] = ACTIONS(2318),
    [anon_sym_if] = ACTIONS(2318),
    [anon_sym_else] = ACTIONS(2318),
    [anon_sym_for] = ACTIONS(2318),
    [anon_sym_AT] = ACTIONS(2318),
    [anon_sym_open] = ACTIONS(2318),
    [anon_sym_module] = ACTIONS(2318),
    [anon_sym_static] = ACTIONS(2318),
    [anon_sym_with] = ACTIONS(2318),
    [anon_sym_package] = ACTIONS(2318),
    [anon_sym_import] = ACTIONS(2318),
    [anon_sym_enum] = ACTIONS(2318),
    [anon_sym_public] = ACTIONS(2318),
    [anon_sym_protected] = ACTIONS(2318),
    [anon_sym_private] = ACTIONS(2318),
    [anon_sym_abstract] = ACTIONS(2318),
    [anon_sym_strictfp] = ACTIONS(2318),
    [anon_sym_native] = ACTIONS(2318),
    [anon_sym_transient] = ACTIONS(2318),
    [anon_sym_volatile] = ACTIONS(2318),
    [anon_sym_sealed] = ACTIONS(2318),
    [anon_sym_non_DASHsealed] = ACTIONS(2316),
    [anon_sym_record] = ACTIONS(2318),
    [anon_sym_ATinterface] = ACTIONS(2316),
    [anon_sym_interface] = ACTIONS(2318),
    [anon_sym_byte] = ACTIONS(2318),
    [anon_sym_short] = ACTIONS(2318),
    [anon_sym_int] = ACTIONS(2318),
    [anon_sym_long] = ACTIONS(2318),
    [anon_sym_char] = ACTIONS(2318),
    [anon_sym_float] = ACTIONS(2318),
    [anon_sym_double] = ACTIONS(2318),
    [sym_boolean_type] = ACTIONS(2318),
    [sym_void_type] = ACTIONS(2318),
    [anon_sym_def] = ACTIONS(2318),
    [sym_this] = ACTIONS(2318),
    [sym_super] = ACTIONS(2318),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [923] = {
    [ts_builtin_sym_end] = ACTIONS(2320),
    [sym_identifier] = ACTIONS(2322),
    [sym_decimal_integer_literal] = ACTIONS(2322),
    [sym_hex_integer_literal] = ACTIONS(2322),
    [sym_octal_integer_literal] = ACTIONS(2322),
    [sym_binary_integer_literal] = ACTIONS(2320),
    [sym_decimal_floating_point_literal] = ACTIONS(2320),
    [sym_hex_floating_point_literal] = ACTIONS(2322),
    [sym_true] = ACTIONS(2322),
    [sym_false] = ACTIONS(2322),
    [sym_character_literal] = ACTIONS(2320),
    [anon_sym_DQUOTE] = ACTIONS(2322),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2320),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2320),
    [anon_sym_RBRACE] = ACTIONS(2320),
    [sym_null_literal] = ACTIONS(2322),
    [anon_sym_LPAREN] = ACTIONS(2320),
    [anon_sym_LT] = ACTIONS(2320),
    [anon_sym_PLUS] = ACTIONS(2322),
    [anon_sym_DASH] = ACTIONS(2322),
    [anon_sym_final] = ACTIONS(2322),
    [anon_sym_DASH_GT] = ACTIONS(2320),
    [anon_sym_BANG] = ACTIONS(2320),
    [anon_sym_TILDE] = ACTIONS(2320),
    [anon_sym_PLUS_PLUS] = ACTIONS(2320),
    [anon_sym_DASH_DASH] = ACTIONS(2320),
    [anon_sym_new] = ACTIONS(2322),
    [anon_sym_LBRACK] = ACTIONS(2320),
    [anon_sym_class] = ACTIONS(2322),
    [anon_sym_switch] = ACTIONS(2322),
    [anon_sym_LBRACE] = ACTIONS(2320),
    [anon_sym_case] = ACTIONS(2322),
    [anon_sym_default] = ACTIONS(2322),
    [sym_underscore_pattern] = ACTIONS(2322),
    [anon_sym_SEMI] = ACTIONS(2320),
    [anon_sym_assert] = ACTIONS(2322),
    [anon_sym_do] = ACTIONS(2322),
    [anon_sym_while] = ACTIONS(2322),
    [anon_sym_break] = ACTIONS(2322),
    [anon_sym_continue] = ACTIONS(2322),
    [anon_sym_return] = ACTIONS(2322),
    [anon_sym_yield] = ACTIONS(2322),
    [anon_sym_synchronized] = ACTIONS(2322),
    [anon_sym_throw] = ACTIONS(2322),
    [anon_sym_try] = ACTIONS(2322),
    [anon_sym_if] = ACTIONS(2322),
    [anon_sym_else] = ACTIONS(2322),
    [anon_sym_for] = ACTIONS(2322),
    [anon_sym_AT] = ACTIONS(2322),
    [anon_sym_open] = ACTIONS(2322),
    [anon_sym_module] = ACTIONS(2322),
    [anon_sym_static] = ACTIONS(2322),
    [anon_sym_with] = ACTIONS(2322),
    [anon_sym_package] = ACTIONS(2322),
    [anon_sym_import] = ACTIONS(2322),
    [anon_sym_enum] = ACTIONS(2322),
    [anon_sym_public] = ACTIONS(2322),
    [anon_sym_protected] = ACTIONS(2322),
    [anon_sym_private] = ACTIONS(2322),
    [anon_sym_abstract] = ACTIONS(2322),
    [anon_sym_strictfp] = ACTIONS(2322),
    [anon_sym_native] = ACTIONS(2322),
    [anon_sym_transient] = ACTIONS(2322),
    [anon_sym_volatile] = ACTIONS(2322),
    [anon_sym_sealed] = ACTIONS(2322),
    [anon_sym_non_DASHsealed] = ACTIONS(2320),
    [anon_sym_record] = ACTIONS(2322),
    [anon_sym_ATinterface] = ACTIONS(2320),
    [anon_sym_interface] = ACTIONS(2322),
    [anon_sym_byte] = ACTIONS(2322),
    [anon_sym_short] = ACTIONS(2322),
    [anon_sym_int] = ACTIONS(2322),
    [anon_sym_long] = ACTIONS(2322),
    [anon_sym_char] = ACTIONS(2322),
    [anon_sym_float] = ACTIONS(2322),
    [anon_sym_double] = ACTIONS(2322),
    [sym_boolean_type] = ACTIONS(2322),
    [sym_void_type] = ACTIONS(2322),
    [anon_sym_def] = ACTIONS(2322),
    [sym_this] = ACTIONS(2322),
    [sym_super] = ACTIONS(2322),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [924] = {
    [ts_builtin_sym_end] = ACTIONS(2324),
    [sym_identifier] = ACTIONS(2326),
    [sym_decimal_integer_literal] = ACTIONS(2326),
    [sym_hex_integer_literal] = ACTIONS(2326),
    [sym_octal_integer_literal] = ACTIONS(2326),
    [sym_binary_integer_literal] = ACTIONS(2324),
    [sym_decimal_floating_point_literal] = ACTIONS(2324),
    [sym_hex_floating_point_literal] = ACTIONS(2326),
    [sym_true] = ACTIONS(2326),
    [sym_false] = ACTIONS(2326),
    [sym_character_literal] = ACTIONS(2324),
    [anon_sym_DQUOTE] = ACTIONS(2326),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2324),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2324),
    [anon_sym_RBRACE] = ACTIONS(2324),
    [sym_null_literal] = ACTIONS(2326),
    [anon_sym_LPAREN] = ACTIONS(2324),
    [anon_sym_LT] = ACTIONS(2324),
    [anon_sym_PLUS] = ACTIONS(2326),
    [anon_sym_DASH] = ACTIONS(2326),
    [anon_sym_final] = ACTIONS(2326),
    [anon_sym_DASH_GT] = ACTIONS(2324),
    [anon_sym_BANG] = ACTIONS(2324),
    [anon_sym_TILDE] = ACTIONS(2324),
    [anon_sym_PLUS_PLUS] = ACTIONS(2324),
    [anon_sym_DASH_DASH] = ACTIONS(2324),
    [anon_sym_new] = ACTIONS(2326),
    [anon_sym_LBRACK] = ACTIONS(2324),
    [anon_sym_class] = ACTIONS(2326),
    [anon_sym_switch] = ACTIONS(2326),
    [anon_sym_LBRACE] = ACTIONS(2324),
    [anon_sym_case] = ACTIONS(2326),
    [anon_sym_default] = ACTIONS(2326),
    [sym_underscore_pattern] = ACTIONS(2326),
    [anon_sym_SEMI] = ACTIONS(2324),
    [anon_sym_assert] = ACTIONS(2326),
    [anon_sym_do] = ACTIONS(2326),
    [anon_sym_while] = ACTIONS(2326),
    [anon_sym_break] = ACTIONS(2326),
    [anon_sym_continue] = ACTIONS(2326),
    [anon_sym_return] = ACTIONS(2326),
    [anon_sym_yield] = ACTIONS(2326),
    [anon_sym_synchronized] = ACTIONS(2326),
    [anon_sym_throw] = ACTIONS(2326),
    [anon_sym_try] = ACTIONS(2326),
    [anon_sym_if] = ACTIONS(2326),
    [anon_sym_else] = ACTIONS(2326),
    [anon_sym_for] = ACTIONS(2326),
    [anon_sym_AT] = ACTIONS(2326),
    [anon_sym_open] = ACTIONS(2326),
    [anon_sym_module] = ACTIONS(2326),
    [anon_sym_static] = ACTIONS(2326),
    [anon_sym_with] = ACTIONS(2326),
    [anon_sym_package] = ACTIONS(2326),
    [anon_sym_import] = ACTIONS(2326),
    [anon_sym_enum] = ACTIONS(2326),
    [anon_sym_public] = ACTIONS(2326),
    [anon_sym_protected] = ACTIONS(2326),
    [anon_sym_private] = ACTIONS(2326),
    [anon_sym_abstract] = ACTIONS(2326),
    [anon_sym_strictfp] = ACTIONS(2326),
    [anon_sym_native] = ACTIONS(2326),
    [anon_sym_transient] = ACTIONS(2326),
    [anon_sym_volatile] = ACTIONS(2326),
    [anon_sym_sealed] = ACTIONS(2326),
    [anon_sym_non_DASHsealed] = ACTIONS(2324),
    [anon_sym_record] = ACTIONS(2326),
    [anon_sym_ATinterface] = ACTIONS(2324),
    [anon_sym_interface] = ACTIONS(2326),
    [anon_sym_byte] = ACTIONS(2326),
    [anon_sym_short] = ACTIONS(2326),
    [anon_sym_int] = ACTIONS(2326),
    [anon_sym_long] = ACTIONS(2326),
    [anon_sym_char] = ACTIONS(2326),
    [anon_sym_float] = ACTIONS(2326),
    [anon_sym_double] = ACTIONS(2326),
    [sym_boolean_type] = ACTIONS(2326),
    [sym_void_type] = ACTIONS(2326),
    [anon_sym_def] = ACTIONS(2326),
    [sym_this] = ACTIONS(2326),
    [sym_super] = ACTIONS(2326),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [925] = {
    [ts_builtin_sym_end] = ACTIONS(2328),
    [sym_identifier] = ACTIONS(2330),
    [sym_decimal_integer_literal] = ACTIONS(2330),
    [sym_hex_integer_literal] = ACTIONS(2330),
    [sym_octal_integer_literal] = ACTIONS(2330),
    [sym_binary_integer_literal] = ACTIONS(2328),
    [sym_decimal_floating_point_literal] = ACTIONS(2328),
    [sym_hex_floating_point_literal] = ACTIONS(2330),
    [sym_true] = ACTIONS(2330),
    [sym_false] = ACTIONS(2330),
    [sym_character_literal] = ACTIONS(2328),
    [anon_sym_DQUOTE] = ACTIONS(2330),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2328),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2328),
    [anon_sym_RBRACE] = ACTIONS(2328),
    [sym_null_literal] = ACTIONS(2330),
    [anon_sym_LPAREN] = ACTIONS(2328),
    [anon_sym_LT] = ACTIONS(2328),
    [anon_sym_PLUS] = ACTIONS(2330),
    [anon_sym_DASH] = ACTIONS(2330),
    [anon_sym_final] = ACTIONS(2330),
    [anon_sym_DASH_GT] = ACTIONS(2328),
    [anon_sym_BANG] = ACTIONS(2328),
    [anon_sym_TILDE] = ACTIONS(2328),
    [anon_sym_PLUS_PLUS] = ACTIONS(2328),
    [anon_sym_DASH_DASH] = ACTIONS(2328),
    [anon_sym_new] = ACTIONS(2330),
    [anon_sym_LBRACK] = ACTIONS(2328),
    [anon_sym_class] = ACTIONS(2330),
    [anon_sym_switch] = ACTIONS(2330),
    [anon_sym_LBRACE] = ACTIONS(2328),
    [anon_sym_case] = ACTIONS(2330),
    [anon_sym_default] = ACTIONS(2330),
    [sym_underscore_pattern] = ACTIONS(2330),
    [anon_sym_SEMI] = ACTIONS(2328),
    [anon_sym_assert] = ACTIONS(2330),
    [anon_sym_do] = ACTIONS(2330),
    [anon_sym_while] = ACTIONS(2330),
    [anon_sym_break] = ACTIONS(2330),
    [anon_sym_continue] = ACTIONS(2330),
    [anon_sym_return] = ACTIONS(2330),
    [anon_sym_yield] = ACTIONS(2330),
    [anon_sym_synchronized] = ACTIONS(2330),
    [anon_sym_throw] = ACTIONS(2330),
    [anon_sym_try] = ACTIONS(2330),
    [anon_sym_if] = ACTIONS(2330),
    [anon_sym_else] = ACTIONS(2330),
    [anon_sym_for] = ACTIONS(2330),
    [anon_sym_AT] = ACTIONS(2330),
    [anon_sym_open] = ACTIONS(2330),
    [anon_sym_module] = ACTIONS(2330),
    [anon_sym_static] = ACTIONS(2330),
    [anon_sym_with] = ACTIONS(2330),
    [anon_sym_package] = ACTIONS(2330),
    [anon_sym_import] = ACTIONS(2330),
    [anon_sym_enum] = ACTIONS(2330),
    [anon_sym_public] = ACTIONS(2330),
    [anon_sym_protected] = ACTIONS(2330),
    [anon_sym_private] = ACTIONS(2330),
    [anon_sym_abstract] = ACTIONS(2330),
    [anon_sym_strictfp] = ACTIONS(2330),
    [anon_sym_native] = ACTIONS(2330),
    [anon_sym_transient] = ACTIONS(2330),
    [anon_sym_volatile] = ACTIONS(2330),
    [anon_sym_sealed] = ACTIONS(2330),
    [anon_sym_non_DASHsealed] = ACTIONS(2328),
    [anon_sym_record] = ACTIONS(2330),
    [anon_sym_ATinterface] = ACTIONS(2328),
    [anon_sym_interface] = ACTIONS(2330),
    [anon_sym_byte] = ACTIONS(2330),
    [anon_sym_short] = ACTIONS(2330),
    [anon_sym_int] = ACTIONS(2330),
    [anon_sym_long] = ACTIONS(2330),
    [anon_sym_char] = ACTIONS(2330),
    [anon_sym_float] = ACTIONS(2330),
    [anon_sym_double] = ACTIONS(2330),
    [sym_boolean_type] = ACTIONS(2330),
    [sym_void_type] = ACTIONS(2330),
    [anon_sym_def] = ACTIONS(2330),
    [sym_this] = ACTIONS(2330),
    [sym_super] = ACTIONS(2330),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [926] = {
    [ts_builtin_sym_end] = ACTIONS(2332),
    [sym_identifier] = ACTIONS(2334),
    [sym_decimal_integer_literal] = ACTIONS(2334),
    [sym_hex_integer_literal] = ACTIONS(2334),
    [sym_octal_integer_literal] = ACTIONS(2334),
    [sym_binary_integer_literal] = ACTIONS(2332),
    [sym_decimal_floating_point_literal] = ACTIONS(2332),
    [sym_hex_floating_point_literal] = ACTIONS(2334),
    [sym_true] = ACTIONS(2334),
    [sym_false] = ACTIONS(2334),
    [sym_character_literal] = ACTIONS(2332),
    [anon_sym_DQUOTE] = ACTIONS(2334),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2332),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2332),
    [anon_sym_RBRACE] = ACTIONS(2332),
    [sym_null_literal] = ACTIONS(2334),
    [anon_sym_LPAREN] = ACTIONS(2332),
    [anon_sym_LT] = ACTIONS(2332),
    [anon_sym_PLUS] = ACTIONS(2334),
    [anon_sym_DASH] = ACTIONS(2334),
    [anon_sym_final] = ACTIONS(2334),
    [anon_sym_DASH_GT] = ACTIONS(2332),
    [anon_sym_BANG] = ACTIONS(2332),
    [anon_sym_TILDE] = ACTIONS(2332),
    [anon_sym_PLUS_PLUS] = ACTIONS(2332),
    [anon_sym_DASH_DASH] = ACTIONS(2332),
    [anon_sym_new] = ACTIONS(2334),
    [anon_sym_LBRACK] = ACTIONS(2332),
    [anon_sym_class] = ACTIONS(2334),
    [anon_sym_switch] = ACTIONS(2334),
    [anon_sym_LBRACE] = ACTIONS(2332),
    [anon_sym_case] = ACTIONS(2334),
    [anon_sym_default] = ACTIONS(2334),
    [sym_underscore_pattern] = ACTIONS(2334),
    [anon_sym_SEMI] = ACTIONS(2332),
    [anon_sym_assert] = ACTIONS(2334),
    [anon_sym_do] = ACTIONS(2334),
    [anon_sym_while] = ACTIONS(2334),
    [anon_sym_break] = ACTIONS(2334),
    [anon_sym_continue] = ACTIONS(2334),
    [anon_sym_return] = ACTIONS(2334),
    [anon_sym_yield] = ACTIONS(2334),
    [anon_sym_synchronized] = ACTIONS(2334),
    [anon_sym_throw] = ACTIONS(2334),
    [anon_sym_try] = ACTIONS(2334),
    [anon_sym_if] = ACTIONS(2334),
    [anon_sym_else] = ACTIONS(2334),
    [anon_sym_for] = ACTIONS(2334),
    [anon_sym_AT] = ACTIONS(2334),
    [anon_sym_open] = ACTIONS(2334),
    [anon_sym_module] = ACTIONS(2334),
    [anon_sym_static] = ACTIONS(2334),
    [anon_sym_with] = ACTIONS(2334),
    [anon_sym_package] = ACTIONS(2334),
    [anon_sym_import] = ACTIONS(2334),
    [anon_sym_enum] = ACTIONS(2334),
    [anon_sym_public] = ACTIONS(2334),
    [anon_sym_protected] = ACTIONS(2334),
    [anon_sym_private] = ACTIONS(2334),
    [anon_sym_abstract] = ACTIONS(2334),
    [anon_sym_strictfp] = ACTIONS(2334),
    [anon_sym_native] = ACTIONS(2334),
    [anon_sym_transient] = ACTIONS(2334),
    [anon_sym_volatile] = ACTIONS(2334),
    [anon_sym_sealed] = ACTIONS(2334),
    [anon_sym_non_DASHsealed] = ACTIONS(2332),
    [anon_sym_record] = ACTIONS(2334),
    [anon_sym_ATinterface] = ACTIONS(2332),
    [anon_sym_interface] = ACTIONS(2334),
    [anon_sym_byte] = ACTIONS(2334),
    [anon_sym_short] = ACTIONS(2334),
    [anon_sym_int] = ACTIONS(2334),
    [anon_sym_long] = ACTIONS(2334),
    [anon_sym_char] = ACTIONS(2334),
    [anon_sym_float] = ACTIONS(2334),
    [anon_sym_double] = ACTIONS(2334),
    [sym_boolean_type] = ACTIONS(2334),
    [sym_void_type] = ACTIONS(2334),
    [anon_sym_def] = ACTIONS(2334),
    [sym_this] = ACTIONS(2334),
    [sym_super] = ACTIONS(2334),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [927] = {
    [ts_builtin_sym_end] = ACTIONS(2336),
    [sym_identifier] = ACTIONS(2338),
    [sym_decimal_integer_literal] = ACTIONS(2338),
    [sym_hex_integer_literal] = ACTIONS(2338),
    [sym_octal_integer_literal] = ACTIONS(2338),
    [sym_binary_integer_literal] = ACTIONS(2336),
    [sym_decimal_floating_point_literal] = ACTIONS(2336),
    [sym_hex_floating_point_literal] = ACTIONS(2338),
    [sym_true] = ACTIONS(2338),
    [sym_false] = ACTIONS(2338),
    [sym_character_literal] = ACTIONS(2336),
    [anon_sym_DQUOTE] = ACTIONS(2338),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2336),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2336),
    [anon_sym_RBRACE] = ACTIONS(2336),
    [sym_null_literal] = ACTIONS(2338),
    [anon_sym_LPAREN] = ACTIONS(2336),
    [anon_sym_LT] = ACTIONS(2336),
    [anon_sym_PLUS] = ACTIONS(2338),
    [anon_sym_DASH] = ACTIONS(2338),
    [anon_sym_final] = ACTIONS(2338),
    [anon_sym_DASH_GT] = ACTIONS(2336),
    [anon_sym_BANG] = ACTIONS(2336),
    [anon_sym_TILDE] = ACTIONS(2336),
    [anon_sym_PLUS_PLUS] = ACTIONS(2336),
    [anon_sym_DASH_DASH] = ACTIONS(2336),
    [anon_sym_new] = ACTIONS(2338),
    [anon_sym_LBRACK] = ACTIONS(2336),
    [anon_sym_class] = ACTIONS(2338),
    [anon_sym_switch] = ACTIONS(2338),
    [anon_sym_LBRACE] = ACTIONS(2336),
    [anon_sym_case] = ACTIONS(2338),
    [anon_sym_default] = ACTIONS(2338),
    [sym_underscore_pattern] = ACTIONS(2338),
    [anon_sym_SEMI] = ACTIONS(2336),
    [anon_sym_assert] = ACTIONS(2338),
    [anon_sym_do] = ACTIONS(2338),
    [anon_sym_while] = ACTIONS(2338),
    [anon_sym_break] = ACTIONS(2338),
    [anon_sym_continue] = ACTIONS(2338),
    [anon_sym_return] = ACTIONS(2338),
    [anon_sym_yield] = ACTIONS(2338),
    [anon_sym_synchronized] = ACTIONS(2338),
    [anon_sym_throw] = ACTIONS(2338),
    [anon_sym_try] = ACTIONS(2338),
    [anon_sym_if] = ACTIONS(2338),
    [anon_sym_else] = ACTIONS(2338),
    [anon_sym_for] = ACTIONS(2338),
    [anon_sym_AT] = ACTIONS(2338),
    [anon_sym_open] = ACTIONS(2338),
    [anon_sym_module] = ACTIONS(2338),
    [anon_sym_static] = ACTIONS(2338),
    [anon_sym_with] = ACTIONS(2338),
    [anon_sym_package] = ACTIONS(2338),
    [anon_sym_import] = ACTIONS(2338),
    [anon_sym_enum] = ACTIONS(2338),
    [anon_sym_public] = ACTIONS(2338),
    [anon_sym_protected] = ACTIONS(2338),
    [anon_sym_private] = ACTIONS(2338),
    [anon_sym_abstract] = ACTIONS(2338),
    [anon_sym_strictfp] = ACTIONS(2338),
    [anon_sym_native] = ACTIONS(2338),
    [anon_sym_transient] = ACTIONS(2338),
    [anon_sym_volatile] = ACTIONS(2338),
    [anon_sym_sealed] = ACTIONS(2338),
    [anon_sym_non_DASHsealed] = ACTIONS(2336),
    [anon_sym_record] = ACTIONS(2338),
    [anon_sym_ATinterface] = ACTIONS(2336),
    [anon_sym_interface] = ACTIONS(2338),
    [anon_sym_byte] = ACTIONS(2338),
    [anon_sym_short] = ACTIONS(2338),
    [anon_sym_int] = ACTIONS(2338),
    [anon_sym_long] = ACTIONS(2338),
    [anon_sym_char] = ACTIONS(2338),
    [anon_sym_float] = ACTIONS(2338),
    [anon_sym_double] = ACTIONS(2338),
    [sym_boolean_type] = ACTIONS(2338),
    [sym_void_type] = ACTIONS(2338),
    [anon_sym_def] = ACTIONS(2338),
    [sym_this] = ACTIONS(2338),
    [sym_super] = ACTIONS(2338),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [928] = {
    [ts_builtin_sym_end] = ACTIONS(2340),
    [sym_identifier] = ACTIONS(2342),
    [sym_decimal_integer_literal] = ACTIONS(2342),
    [sym_hex_integer_literal] = ACTIONS(2342),
    [sym_octal_integer_literal] = ACTIONS(2342),
    [sym_binary_integer_literal] = ACTIONS(2340),
    [sym_decimal_floating_point_literal] = ACTIONS(2340),
    [sym_hex_floating_point_literal] = ACTIONS(2342),
    [sym_true] = ACTIONS(2342),
    [sym_false] = ACTIONS(2342),
    [sym_character_literal] = ACTIONS(2340),
    [anon_sym_DQUOTE] = ACTIONS(2342),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2340),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2340),
    [anon_sym_RBRACE] = ACTIONS(2340),
    [sym_null_literal] = ACTIONS(2342),
    [anon_sym_LPAREN] = ACTIONS(2340),
    [anon_sym_LT] = ACTIONS(2340),
    [anon_sym_PLUS] = ACTIONS(2342),
    [anon_sym_DASH] = ACTIONS(2342),
    [anon_sym_final] = ACTIONS(2342),
    [anon_sym_DASH_GT] = ACTIONS(2340),
    [anon_sym_BANG] = ACTIONS(2340),
    [anon_sym_TILDE] = ACTIONS(2340),
    [anon_sym_PLUS_PLUS] = ACTIONS(2340),
    [anon_sym_DASH_DASH] = ACTIONS(2340),
    [anon_sym_new] = ACTIONS(2342),
    [anon_sym_LBRACK] = ACTIONS(2340),
    [anon_sym_class] = ACTIONS(2342),
    [anon_sym_switch] = ACTIONS(2342),
    [anon_sym_LBRACE] = ACTIONS(2340),
    [anon_sym_case] = ACTIONS(2342),
    [anon_sym_default] = ACTIONS(2342),
    [sym_underscore_pattern] = ACTIONS(2342),
    [anon_sym_SEMI] = ACTIONS(2340),
    [anon_sym_assert] = ACTIONS(2342),
    [anon_sym_do] = ACTIONS(2342),
    [anon_sym_while] = ACTIONS(2342),
    [anon_sym_break] = ACTIONS(2342),
    [anon_sym_continue] = ACTIONS(2342),
    [anon_sym_return] = ACTIONS(2342),
    [anon_sym_yield] = ACTIONS(2342),
    [anon_sym_synchronized] = ACTIONS(2342),
    [anon_sym_throw] = ACTIONS(2342),
    [anon_sym_try] = ACTIONS(2342),
    [anon_sym_if] = ACTIONS(2342),
    [anon_sym_else] = ACTIONS(2342),
    [anon_sym_for] = ACTIONS(2342),
    [anon_sym_AT] = ACTIONS(2342),
    [anon_sym_open] = ACTIONS(2342),
    [anon_sym_module] = ACTIONS(2342),
    [anon_sym_static] = ACTIONS(2342),
    [anon_sym_with] = ACTIONS(2342),
    [anon_sym_package] = ACTIONS(2342),
    [anon_sym_import] = ACTIONS(2342),
    [anon_sym_enum] = ACTIONS(2342),
    [anon_sym_public] = ACTIONS(2342),
    [anon_sym_protected] = ACTIONS(2342),
    [anon_sym_private] = ACTIONS(2342),
    [anon_sym_abstract] = ACTIONS(2342),
    [anon_sym_strictfp] = ACTIONS(2342),
    [anon_sym_native] = ACTIONS(2342),
    [anon_sym_transient] = ACTIONS(2342),
    [anon_sym_volatile] = ACTIONS(2342),
    [anon_sym_sealed] = ACTIONS(2342),
    [anon_sym_non_DASHsealed] = ACTIONS(2340),
    [anon_sym_record] = ACTIONS(2342),
    [anon_sym_ATinterface] = ACTIONS(2340),
    [anon_sym_interface] = ACTIONS(2342),
    [anon_sym_byte] = ACTIONS(2342),
    [anon_sym_short] = ACTIONS(2342),
    [anon_sym_int] = ACTIONS(2342),
    [anon_sym_long] = ACTIONS(2342),
    [anon_sym_char] = ACTIONS(2342),
    [anon_sym_float] = ACTIONS(2342),
    [anon_sym_double] = ACTIONS(2342),
    [sym_boolean_type] = ACTIONS(2342),
    [sym_void_type] = ACTIONS(2342),
    [anon_sym_def] = ACTIONS(2342),
    [sym_this] = ACTIONS(2342),
    [sym_super] = ACTIONS(2342),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [929] = {
    [ts_builtin_sym_end] = ACTIONS(2344),
    [sym_identifier] = ACTIONS(2346),
    [sym_decimal_integer_literal] = ACTIONS(2346),
    [sym_hex_integer_literal] = ACTIONS(2346),
    [sym_octal_integer_literal] = ACTIONS(2346),
    [sym_binary_integer_literal] = ACTIONS(2344),
    [sym_decimal_floating_point_literal] = ACTIONS(2344),
    [sym_hex_floating_point_literal] = ACTIONS(2346),
    [sym_true] = ACTIONS(2346),
    [sym_false] = ACTIONS(2346),
    [sym_character_literal] = ACTIONS(2344),
    [anon_sym_DQUOTE] = ACTIONS(2346),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2344),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2344),
    [anon_sym_RBRACE] = ACTIONS(2344),
    [sym_null_literal] = ACTIONS(2346),
    [anon_sym_LPAREN] = ACTIONS(2344),
    [anon_sym_LT] = ACTIONS(2344),
    [anon_sym_PLUS] = ACTIONS(2346),
    [anon_sym_DASH] = ACTIONS(2346),
    [anon_sym_final] = ACTIONS(2346),
    [anon_sym_DASH_GT] = ACTIONS(2344),
    [anon_sym_BANG] = ACTIONS(2344),
    [anon_sym_TILDE] = ACTIONS(2344),
    [anon_sym_PLUS_PLUS] = ACTIONS(2344),
    [anon_sym_DASH_DASH] = ACTIONS(2344),
    [anon_sym_new] = ACTIONS(2346),
    [anon_sym_LBRACK] = ACTIONS(2344),
    [anon_sym_class] = ACTIONS(2346),
    [anon_sym_switch] = ACTIONS(2346),
    [anon_sym_LBRACE] = ACTIONS(2344),
    [anon_sym_case] = ACTIONS(2346),
    [anon_sym_default] = ACTIONS(2346),
    [sym_underscore_pattern] = ACTIONS(2346),
    [anon_sym_SEMI] = ACTIONS(2344),
    [anon_sym_assert] = ACTIONS(2346),
    [anon_sym_do] = ACTIONS(2346),
    [anon_sym_while] = ACTIONS(2346),
    [anon_sym_break] = ACTIONS(2346),
    [anon_sym_continue] = ACTIONS(2346),
    [anon_sym_return] = ACTIONS(2346),
    [anon_sym_yield] = ACTIONS(2346),
    [anon_sym_synchronized] = ACTIONS(2346),
    [anon_sym_throw] = ACTIONS(2346),
    [anon_sym_try] = ACTIONS(2346),
    [anon_sym_if] = ACTIONS(2346),
    [anon_sym_else] = ACTIONS(2346),
    [anon_sym_for] = ACTIONS(2346),
    [anon_sym_AT] = ACTIONS(2346),
    [anon_sym_open] = ACTIONS(2346),
    [anon_sym_module] = ACTIONS(2346),
    [anon_sym_static] = ACTIONS(2346),
    [anon_sym_with] = ACTIONS(2346),
    [anon_sym_package] = ACTIONS(2346),
    [anon_sym_import] = ACTIONS(2346),
    [anon_sym_enum] = ACTIONS(2346),
    [anon_sym_public] = ACTIONS(2346),
    [anon_sym_protected] = ACTIONS(2346),
    [anon_sym_private] = ACTIONS(2346),
    [anon_sym_abstract] = ACTIONS(2346),
    [anon_sym_strictfp] = ACTIONS(2346),
    [anon_sym_native] = ACTIONS(2346),
    [anon_sym_transient] = ACTIONS(2346),
    [anon_sym_volatile] = ACTIONS(2346),
    [anon_sym_sealed] = ACTIONS(2346),
    [anon_sym_non_DASHsealed] = ACTIONS(2344),
    [anon_sym_record] = ACTIONS(2346),
    [anon_sym_ATinterface] = ACTIONS(2344),
    [anon_sym_interface] = ACTIONS(2346),
    [anon_sym_byte] = ACTIONS(2346),
    [anon_sym_short] = ACTIONS(2346),
    [anon_sym_int] = ACTIONS(2346),
    [anon_sym_long] = ACTIONS(2346),
    [anon_sym_char] = ACTIONS(2346),
    [anon_sym_float] = ACTIONS(2346),
    [anon_sym_double] = ACTIONS(2346),
    [sym_boolean_type] = ACTIONS(2346),
    [sym_void_type] = ACTIONS(2346),
    [anon_sym_def] = ACTIONS(2346),
    [sym_this] = ACTIONS(2346),
    [sym_super] = ACTIONS(2346),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [930] = {
    [ts_builtin_sym_end] = ACTIONS(2348),
    [sym_identifier] = ACTIONS(2350),
    [sym_decimal_integer_literal] = ACTIONS(2350),
    [sym_hex_integer_literal] = ACTIONS(2350),
    [sym_octal_integer_literal] = ACTIONS(2350),
    [sym_binary_integer_literal] = ACTIONS(2348),
    [sym_decimal_floating_point_literal] = ACTIONS(2348),
    [sym_hex_floating_point_literal] = ACTIONS(2350),
    [sym_true] = ACTIONS(2350),
    [sym_false] = ACTIONS(2350),
    [sym_character_literal] = ACTIONS(2348),
    [anon_sym_DQUOTE] = ACTIONS(2350),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2348),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2348),
    [anon_sym_RBRACE] = ACTIONS(2348),
    [sym_null_literal] = ACTIONS(2350),
    [anon_sym_LPAREN] = ACTIONS(2348),
    [anon_sym_LT] = ACTIONS(2348),
    [anon_sym_PLUS] = ACTIONS(2350),
    [anon_sym_DASH] = ACTIONS(2350),
    [anon_sym_final] = ACTIONS(2350),
    [anon_sym_DASH_GT] = ACTIONS(2348),
    [anon_sym_BANG] = ACTIONS(2348),
    [anon_sym_TILDE] = ACTIONS(2348),
    [anon_sym_PLUS_PLUS] = ACTIONS(2348),
    [anon_sym_DASH_DASH] = ACTIONS(2348),
    [anon_sym_new] = ACTIONS(2350),
    [anon_sym_LBRACK] = ACTIONS(2348),
    [anon_sym_class] = ACTIONS(2350),
    [anon_sym_switch] = ACTIONS(2350),
    [anon_sym_LBRACE] = ACTIONS(2348),
    [anon_sym_case] = ACTIONS(2350),
    [anon_sym_default] = ACTIONS(2350),
    [sym_underscore_pattern] = ACTIONS(2350),
    [anon_sym_SEMI] = ACTIONS(2348),
    [anon_sym_assert] = ACTIONS(2350),
    [anon_sym_do] = ACTIONS(2350),
    [anon_sym_while] = ACTIONS(2350),
    [anon_sym_break] = ACTIONS(2350),
    [anon_sym_continue] = ACTIONS(2350),
    [anon_sym_return] = ACTIONS(2350),
    [anon_sym_yield] = ACTIONS(2350),
    [anon_sym_synchronized] = ACTIONS(2350),
    [anon_sym_throw] = ACTIONS(2350),
    [anon_sym_try] = ACTIONS(2350),
    [anon_sym_if] = ACTIONS(2350),
    [anon_sym_else] = ACTIONS(2350),
    [anon_sym_for] = ACTIONS(2350),
    [anon_sym_AT] = ACTIONS(2350),
    [anon_sym_open] = ACTIONS(2350),
    [anon_sym_module] = ACTIONS(2350),
    [anon_sym_static] = ACTIONS(2350),
    [anon_sym_with] = ACTIONS(2350),
    [anon_sym_package] = ACTIONS(2350),
    [anon_sym_import] = ACTIONS(2350),
    [anon_sym_enum] = ACTIONS(2350),
    [anon_sym_public] = ACTIONS(2350),
    [anon_sym_protected] = ACTIONS(2350),
    [anon_sym_private] = ACTIONS(2350),
    [anon_sym_abstract] = ACTIONS(2350),
    [anon_sym_strictfp] = ACTIONS(2350),
    [anon_sym_native] = ACTIONS(2350),
    [anon_sym_transient] = ACTIONS(2350),
    [anon_sym_volatile] = ACTIONS(2350),
    [anon_sym_sealed] = ACTIONS(2350),
    [anon_sym_non_DASHsealed] = ACTIONS(2348),
    [anon_sym_record] = ACTIONS(2350),
    [anon_sym_ATinterface] = ACTIONS(2348),
    [anon_sym_interface] = ACTIONS(2350),
    [anon_sym_byte] = ACTIONS(2350),
    [anon_sym_short] = ACTIONS(2350),
    [anon_sym_int] = ACTIONS(2350),
    [anon_sym_long] = ACTIONS(2350),
    [anon_sym_char] = ACTIONS(2350),
    [anon_sym_float] = ACTIONS(2350),
    [anon_sym_double] = ACTIONS(2350),
    [sym_boolean_type] = ACTIONS(2350),
    [sym_void_type] = ACTIONS(2350),
    [anon_sym_def] = ACTIONS(2350),
    [sym_this] = ACTIONS(2350),
    [sym_super] = ACTIONS(2350),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [931] = {
    [ts_builtin_sym_end] = ACTIONS(2352),
    [sym_identifier] = ACTIONS(2354),
    [sym_decimal_integer_literal] = ACTIONS(2354),
    [sym_hex_integer_literal] = ACTIONS(2354),
    [sym_octal_integer_literal] = ACTIONS(2354),
    [sym_binary_integer_literal] = ACTIONS(2352),
    [sym_decimal_floating_point_literal] = ACTIONS(2352),
    [sym_hex_floating_point_literal] = ACTIONS(2354),
    [sym_true] = ACTIONS(2354),
    [sym_false] = ACTIONS(2354),
    [sym_character_literal] = ACTIONS(2352),
    [anon_sym_DQUOTE] = ACTIONS(2354),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2352),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2352),
    [anon_sym_RBRACE] = ACTIONS(2352),
    [sym_null_literal] = ACTIONS(2354),
    [anon_sym_LPAREN] = ACTIONS(2352),
    [anon_sym_LT] = ACTIONS(2352),
    [anon_sym_PLUS] = ACTIONS(2354),
    [anon_sym_DASH] = ACTIONS(2354),
    [anon_sym_final] = ACTIONS(2354),
    [anon_sym_DASH_GT] = ACTIONS(2352),
    [anon_sym_BANG] = ACTIONS(2352),
    [anon_sym_TILDE] = ACTIONS(2352),
    [anon_sym_PLUS_PLUS] = ACTIONS(2352),
    [anon_sym_DASH_DASH] = ACTIONS(2352),
    [anon_sym_new] = ACTIONS(2354),
    [anon_sym_LBRACK] = ACTIONS(2352),
    [anon_sym_class] = ACTIONS(2354),
    [anon_sym_switch] = ACTIONS(2354),
    [anon_sym_LBRACE] = ACTIONS(2352),
    [anon_sym_case] = ACTIONS(2354),
    [anon_sym_default] = ACTIONS(2354),
    [sym_underscore_pattern] = ACTIONS(2354),
    [anon_sym_SEMI] = ACTIONS(2352),
    [anon_sym_assert] = ACTIONS(2354),
    [anon_sym_do] = ACTIONS(2354),
    [anon_sym_while] = ACTIONS(2354),
    [anon_sym_break] = ACTIONS(2354),
    [anon_sym_continue] = ACTIONS(2354),
    [anon_sym_return] = ACTIONS(2354),
    [anon_sym_yield] = ACTIONS(2354),
    [anon_sym_synchronized] = ACTIONS(2354),
    [anon_sym_throw] = ACTIONS(2354),
    [anon_sym_try] = ACTIONS(2354),
    [anon_sym_if] = ACTIONS(2354),
    [anon_sym_else] = ACTIONS(2354),
    [anon_sym_for] = ACTIONS(2354),
    [anon_sym_AT] = ACTIONS(2354),
    [anon_sym_open] = ACTIONS(2354),
    [anon_sym_module] = ACTIONS(2354),
    [anon_sym_static] = ACTIONS(2354),
    [anon_sym_with] = ACTIONS(2354),
    [anon_sym_package] = ACTIONS(2354),
    [anon_sym_import] = ACTIONS(2354),
    [anon_sym_enum] = ACTIONS(2354),
    [anon_sym_public] = ACTIONS(2354),
    [anon_sym_protected] = ACTIONS(2354),
    [anon_sym_private] = ACTIONS(2354),
    [anon_sym_abstract] = ACTIONS(2354),
    [anon_sym_strictfp] = ACTIONS(2354),
    [anon_sym_native] = ACTIONS(2354),
    [anon_sym_transient] = ACTIONS(2354),
    [anon_sym_volatile] = ACTIONS(2354),
    [anon_sym_sealed] = ACTIONS(2354),
    [anon_sym_non_DASHsealed] = ACTIONS(2352),
    [anon_sym_record] = ACTIONS(2354),
    [anon_sym_ATinterface] = ACTIONS(2352),
    [anon_sym_interface] = ACTIONS(2354),
    [anon_sym_byte] = ACTIONS(2354),
    [anon_sym_short] = ACTIONS(2354),
    [anon_sym_int] = ACTIONS(2354),
    [anon_sym_long] = ACTIONS(2354),
    [anon_sym_char] = ACTIONS(2354),
    [anon_sym_float] = ACTIONS(2354),
    [anon_sym_double] = ACTIONS(2354),
    [sym_boolean_type] = ACTIONS(2354),
    [sym_void_type] = ACTIONS(2354),
    [anon_sym_def] = ACTIONS(2354),
    [sym_this] = ACTIONS(2354),
    [sym_super] = ACTIONS(2354),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [932] = {
    [ts_builtin_sym_end] = ACTIONS(2356),
    [sym_identifier] = ACTIONS(2358),
    [sym_decimal_integer_literal] = ACTIONS(2358),
    [sym_hex_integer_literal] = ACTIONS(2358),
    [sym_octal_integer_literal] = ACTIONS(2358),
    [sym_binary_integer_literal] = ACTIONS(2356),
    [sym_decimal_floating_point_literal] = ACTIONS(2356),
    [sym_hex_floating_point_literal] = ACTIONS(2358),
    [sym_true] = ACTIONS(2358),
    [sym_false] = ACTIONS(2358),
    [sym_character_literal] = ACTIONS(2356),
    [anon_sym_DQUOTE] = ACTIONS(2358),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2356),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2356),
    [anon_sym_RBRACE] = ACTIONS(2356),
    [sym_null_literal] = ACTIONS(2358),
    [anon_sym_LPAREN] = ACTIONS(2356),
    [anon_sym_LT] = ACTIONS(2356),
    [anon_sym_PLUS] = ACTIONS(2358),
    [anon_sym_DASH] = ACTIONS(2358),
    [anon_sym_final] = ACTIONS(2358),
    [anon_sym_DASH_GT] = ACTIONS(2356),
    [anon_sym_BANG] = ACTIONS(2356),
    [anon_sym_TILDE] = ACTIONS(2356),
    [anon_sym_PLUS_PLUS] = ACTIONS(2356),
    [anon_sym_DASH_DASH] = ACTIONS(2356),
    [anon_sym_new] = ACTIONS(2358),
    [anon_sym_LBRACK] = ACTIONS(2356),
    [anon_sym_class] = ACTIONS(2358),
    [anon_sym_switch] = ACTIONS(2358),
    [anon_sym_LBRACE] = ACTIONS(2356),
    [anon_sym_case] = ACTIONS(2358),
    [anon_sym_default] = ACTIONS(2358),
    [sym_underscore_pattern] = ACTIONS(2358),
    [anon_sym_SEMI] = ACTIONS(2356),
    [anon_sym_assert] = ACTIONS(2358),
    [anon_sym_do] = ACTIONS(2358),
    [anon_sym_while] = ACTIONS(2358),
    [anon_sym_break] = ACTIONS(2358),
    [anon_sym_continue] = ACTIONS(2358),
    [anon_sym_return] = ACTIONS(2358),
    [anon_sym_yield] = ACTIONS(2358),
    [anon_sym_synchronized] = ACTIONS(2358),
    [anon_sym_throw] = ACTIONS(2358),
    [anon_sym_try] = ACTIONS(2358),
    [anon_sym_if] = ACTIONS(2358),
    [anon_sym_else] = ACTIONS(2358),
    [anon_sym_for] = ACTIONS(2358),
    [anon_sym_AT] = ACTIONS(2358),
    [anon_sym_open] = ACTIONS(2358),
    [anon_sym_module] = ACTIONS(2358),
    [anon_sym_static] = ACTIONS(2358),
    [anon_sym_with] = ACTIONS(2358),
    [anon_sym_package] = ACTIONS(2358),
    [anon_sym_import] = ACTIONS(2358),
    [anon_sym_enum] = ACTIONS(2358),
    [anon_sym_public] = ACTIONS(2358),
    [anon_sym_protected] = ACTIONS(2358),
    [anon_sym_private] = ACTIONS(2358),
    [anon_sym_abstract] = ACTIONS(2358),
    [anon_sym_strictfp] = ACTIONS(2358),
    [anon_sym_native] = ACTIONS(2358),
    [anon_sym_transient] = ACTIONS(2358),
    [anon_sym_volatile] = ACTIONS(2358),
    [anon_sym_sealed] = ACTIONS(2358),
    [anon_sym_non_DASHsealed] = ACTIONS(2356),
    [anon_sym_record] = ACTIONS(2358),
    [anon_sym_ATinterface] = ACTIONS(2356),
    [anon_sym_interface] = ACTIONS(2358),
    [anon_sym_byte] = ACTIONS(2358),
    [anon_sym_short] = ACTIONS(2358),
    [anon_sym_int] = ACTIONS(2358),
    [anon_sym_long] = ACTIONS(2358),
    [anon_sym_char] = ACTIONS(2358),
    [anon_sym_float] = ACTIONS(2358),
    [anon_sym_double] = ACTIONS(2358),
    [sym_boolean_type] = ACTIONS(2358),
    [sym_void_type] = ACTIONS(2358),
    [anon_sym_def] = ACTIONS(2358),
    [sym_this] = ACTIONS(2358),
    [sym_super] = ACTIONS(2358),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [933] = {
    [ts_builtin_sym_end] = ACTIONS(2360),
    [sym_identifier] = ACTIONS(2362),
    [sym_decimal_integer_literal] = ACTIONS(2362),
    [sym_hex_integer_literal] = ACTIONS(2362),
    [sym_octal_integer_literal] = ACTIONS(2362),
    [sym_binary_integer_literal] = ACTIONS(2360),
    [sym_decimal_floating_point_literal] = ACTIONS(2360),
    [sym_hex_floating_point_literal] = ACTIONS(2362),
    [sym_true] = ACTIONS(2362),
    [sym_false] = ACTIONS(2362),
    [sym_character_literal] = ACTIONS(2360),
    [anon_sym_DQUOTE] = ACTIONS(2362),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2360),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2360),
    [anon_sym_RBRACE] = ACTIONS(2360),
    [sym_null_literal] = ACTIONS(2362),
    [anon_sym_LPAREN] = ACTIONS(2360),
    [anon_sym_LT] = ACTIONS(2360),
    [anon_sym_PLUS] = ACTIONS(2362),
    [anon_sym_DASH] = ACTIONS(2362),
    [anon_sym_final] = ACTIONS(2362),
    [anon_sym_DASH_GT] = ACTIONS(2360),
    [anon_sym_BANG] = ACTIONS(2360),
    [anon_sym_TILDE] = ACTIONS(2360),
    [anon_sym_PLUS_PLUS] = ACTIONS(2360),
    [anon_sym_DASH_DASH] = ACTIONS(2360),
    [anon_sym_new] = ACTIONS(2362),
    [anon_sym_LBRACK] = ACTIONS(2360),
    [anon_sym_class] = ACTIONS(2362),
    [anon_sym_switch] = ACTIONS(2362),
    [anon_sym_LBRACE] = ACTIONS(2360),
    [anon_sym_case] = ACTIONS(2362),
    [anon_sym_default] = ACTIONS(2362),
    [sym_underscore_pattern] = ACTIONS(2362),
    [anon_sym_SEMI] = ACTIONS(2360),
    [anon_sym_assert] = ACTIONS(2362),
    [anon_sym_do] = ACTIONS(2362),
    [anon_sym_while] = ACTIONS(2362),
    [anon_sym_break] = ACTIONS(2362),
    [anon_sym_continue] = ACTIONS(2362),
    [anon_sym_return] = ACTIONS(2362),
    [anon_sym_yield] = ACTIONS(2362),
    [anon_sym_synchronized] = ACTIONS(2362),
    [anon_sym_throw] = ACTIONS(2362),
    [anon_sym_try] = ACTIONS(2362),
    [anon_sym_if] = ACTIONS(2362),
    [anon_sym_else] = ACTIONS(2362),
    [anon_sym_for] = ACTIONS(2362),
    [anon_sym_AT] = ACTIONS(2362),
    [anon_sym_open] = ACTIONS(2362),
    [anon_sym_module] = ACTIONS(2362),
    [anon_sym_static] = ACTIONS(2362),
    [anon_sym_with] = ACTIONS(2362),
    [anon_sym_package] = ACTIONS(2362),
    [anon_sym_import] = ACTIONS(2362),
    [anon_sym_enum] = ACTIONS(2362),
    [anon_sym_public] = ACTIONS(2362),
    [anon_sym_protected] = ACTIONS(2362),
    [anon_sym_private] = ACTIONS(2362),
    [anon_sym_abstract] = ACTIONS(2362),
    [anon_sym_strictfp] = ACTIONS(2362),
    [anon_sym_native] = ACTIONS(2362),
    [anon_sym_transient] = ACTIONS(2362),
    [anon_sym_volatile] = ACTIONS(2362),
    [anon_sym_sealed] = ACTIONS(2362),
    [anon_sym_non_DASHsealed] = ACTIONS(2360),
    [anon_sym_record] = ACTIONS(2362),
    [anon_sym_ATinterface] = ACTIONS(2360),
    [anon_sym_interface] = ACTIONS(2362),
    [anon_sym_byte] = ACTIONS(2362),
    [anon_sym_short] = ACTIONS(2362),
    [anon_sym_int] = ACTIONS(2362),
    [anon_sym_long] = ACTIONS(2362),
    [anon_sym_char] = ACTIONS(2362),
    [anon_sym_float] = ACTIONS(2362),
    [anon_sym_double] = ACTIONS(2362),
    [sym_boolean_type] = ACTIONS(2362),
    [sym_void_type] = ACTIONS(2362),
    [anon_sym_def] = ACTIONS(2362),
    [sym_this] = ACTIONS(2362),
    [sym_super] = ACTIONS(2362),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [934] = {
    [aux_sym__juxt_argument_list_repeat1] = STATE(907),
    [ts_builtin_sym_end] = ACTIONS(2025),
    [sym_identifier] = ACTIONS(2027),
    [sym_decimal_integer_literal] = ACTIONS(2027),
    [sym_hex_integer_literal] = ACTIONS(2027),
    [sym_octal_integer_literal] = ACTIONS(2027),
    [sym_binary_integer_literal] = ACTIONS(2025),
    [sym_decimal_floating_point_literal] = ACTIONS(2025),
    [sym_hex_floating_point_literal] = ACTIONS(2027),
    [sym_true] = ACTIONS(2027),
    [sym_false] = ACTIONS(2027),
    [sym_character_literal] = ACTIONS(2025),
    [anon_sym_DQUOTE] = ACTIONS(2027),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2025),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2025),
    [anon_sym_RBRACE] = ACTIONS(2025),
    [sym_null_literal] = ACTIONS(2027),
    [anon_sym_LPAREN] = ACTIONS(2025),
    [anon_sym_LT] = ACTIONS(2025),
    [anon_sym_PLUS] = ACTIONS(2027),
    [anon_sym_DASH] = ACTIONS(2027),
    [anon_sym_final] = ACTIONS(2027),
    [anon_sym_DASH_GT] = ACTIONS(2025),
    [anon_sym_COMMA] = ACTIONS(2029),
    [anon_sym_BANG] = ACTIONS(2025),
    [anon_sym_TILDE] = ACTIONS(2025),
    [anon_sym_PLUS_PLUS] = ACTIONS(2025),
    [anon_sym_DASH_DASH] = ACTIONS(2025),
    [anon_sym_new] = ACTIONS(2027),
    [anon_sym_LBRACK] = ACTIONS(2025),
    [anon_sym_class] = ACTIONS(2027),
    [anon_sym_switch] = ACTIONS(2027),
    [anon_sym_LBRACE] = ACTIONS(2025),
    [anon_sym_default] = ACTIONS(2027),
    [sym_underscore_pattern] = ACTIONS(2027),
    [anon_sym_SEMI] = ACTIONS(2025),
    [anon_sym_assert] = ACTIONS(2027),
    [anon_sym_do] = ACTIONS(2027),
    [anon_sym_while] = ACTIONS(2027),
    [anon_sym_break] = ACTIONS(2027),
    [anon_sym_continue] = ACTIONS(2027),
    [anon_sym_return] = ACTIONS(2027),
    [anon_sym_yield] = ACTIONS(2027),
    [anon_sym_synchronized] = ACTIONS(2027),
    [anon_sym_throw] = ACTIONS(2027),
    [anon_sym_try] = ACTIONS(2027),
    [anon_sym_if] = ACTIONS(2027),
    [anon_sym_for] = ACTIONS(2027),
    [anon_sym_AT] = ACTIONS(2027),
    [anon_sym_open] = ACTIONS(2027),
    [anon_sym_module] = ACTIONS(2027),
    [anon_sym_static] = ACTIONS(2027),
    [anon_sym_with] = ACTIONS(2027),
    [anon_sym_package] = ACTIONS(2027),
    [anon_sym_import] = ACTIONS(2027),
    [anon_sym_enum] = ACTIONS(2027),
    [anon_sym_public] = ACTIONS(2027),
    [anon_sym_protected] = ACTIONS(2027),
    [anon_sym_private] = ACTIONS(2027),
    [anon_sym_abstract] = ACTIONS(2027),
    [anon_sym_strictfp] = ACTIONS(2027),
    [anon_sym_native] = ACTIONS(2027),
    [anon_sym_transient] = ACTIONS(2027),
    [anon_sym_volatile] = ACTIONS(2027),
    [anon_sym_sealed] = ACTIONS(2027),
    [anon_sym_non_DASHsealed] = ACTIONS(2025),
    [anon_sym_record] = ACTIONS(2027),
    [anon_sym_ATinterface] = ACTIONS(2025),
    [anon_sym_interface] = ACTIONS(2027),
    [anon_sym_byte] = ACTIONS(2027),
    [anon_sym_short] = ACTIONS(2027),
    [anon_sym_int] = ACTIONS(2027),
    [anon_sym_long] = ACTIONS(2027),
    [anon_sym_char] = ACTIONS(2027),
    [anon_sym_float] = ACTIONS(2027),
    [anon_sym_double] = ACTIONS(2027),
    [sym_boolean_type] = ACTIONS(2027),
    [sym_void_type] = ACTIONS(2027),
    [anon_sym_def] = ACTIONS(2027),
    [sym_this] = ACTIONS(2027),
    [sym_super] = ACTIONS(2027),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [935] = {
    [ts_builtin_sym_end] = ACTIONS(2364),
    [sym_identifier] = ACTIONS(2366),
    [sym_decimal_integer_literal] = ACTIONS(2366),
    [sym_hex_integer_literal] = ACTIONS(2366),
    [sym_octal_integer_literal] = ACTIONS(2366),
    [sym_binary_integer_literal] = ACTIONS(2364),
    [sym_decimal_floating_point_literal] = ACTIONS(2364),
    [sym_hex_floating_point_literal] = ACTIONS(2366),
    [sym_true] = ACTIONS(2366),
    [sym_false] = ACTIONS(2366),
    [sym_character_literal] = ACTIONS(2364),
    [anon_sym_DQUOTE] = ACTIONS(2366),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2364),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2364),
    [anon_sym_RBRACE] = ACTIONS(2364),
    [sym_null_literal] = ACTIONS(2366),
    [anon_sym_LPAREN] = ACTIONS(2364),
    [anon_sym_LT] = ACTIONS(2364),
    [anon_sym_PLUS] = ACTIONS(2366),
    [anon_sym_DASH] = ACTIONS(2366),
    [anon_sym_final] = ACTIONS(2366),
    [anon_sym_DASH_GT] = ACTIONS(2364),
    [anon_sym_BANG] = ACTIONS(2364),
    [anon_sym_TILDE] = ACTIONS(2364),
    [anon_sym_PLUS_PLUS] = ACTIONS(2364),
    [anon_sym_DASH_DASH] = ACTIONS(2364),
    [anon_sym_new] = ACTIONS(2366),
    [anon_sym_LBRACK] = ACTIONS(2364),
    [anon_sym_class] = ACTIONS(2366),
    [anon_sym_switch] = ACTIONS(2366),
    [anon_sym_LBRACE] = ACTIONS(2364),
    [anon_sym_case] = ACTIONS(2366),
    [anon_sym_default] = ACTIONS(2366),
    [sym_underscore_pattern] = ACTIONS(2366),
    [anon_sym_SEMI] = ACTIONS(2364),
    [anon_sym_assert] = ACTIONS(2366),
    [anon_sym_do] = ACTIONS(2366),
    [anon_sym_while] = ACTIONS(2366),
    [anon_sym_break] = ACTIONS(2366),
    [anon_sym_continue] = ACTIONS(2366),
    [anon_sym_return] = ACTIONS(2366),
    [anon_sym_yield] = ACTIONS(2366),
    [anon_sym_synchronized] = ACTIONS(2366),
    [anon_sym_throw] = ACTIONS(2366),
    [anon_sym_try] = ACTIONS(2366),
    [anon_sym_if] = ACTIONS(2366),
    [anon_sym_else] = ACTIONS(2366),
    [anon_sym_for] = ACTIONS(2366),
    [anon_sym_AT] = ACTIONS(2366),
    [anon_sym_open] = ACTIONS(2366),
    [anon_sym_module] = ACTIONS(2366),
    [anon_sym_static] = ACTIONS(2366),
    [anon_sym_with] = ACTIONS(2366),
    [anon_sym_package] = ACTIONS(2366),
    [anon_sym_import] = ACTIONS(2366),
    [anon_sym_enum] = ACTIONS(2366),
    [anon_sym_public] = ACTIONS(2366),
    [anon_sym_protected] = ACTIONS(2366),
    [anon_sym_private] = ACTIONS(2366),
    [anon_sym_abstract] = ACTIONS(2366),
    [anon_sym_strictfp] = ACTIONS(2366),
    [anon_sym_native] = ACTIONS(2366),
    [anon_sym_transient] = ACTIONS(2366),
    [anon_sym_volatile] = ACTIONS(2366),
    [anon_sym_sealed] = ACTIONS(2366),
    [anon_sym_non_DASHsealed] = ACTIONS(2364),
    [anon_sym_record] = ACTIONS(2366),
    [anon_sym_ATinterface] = ACTIONS(2364),
    [anon_sym_interface] = ACTIONS(2366),
    [anon_sym_byte] = ACTIONS(2366),
    [anon_sym_short] = ACTIONS(2366),
    [anon_sym_int] = ACTIONS(2366),
    [anon_sym_long] = ACTIONS(2366),
    [anon_sym_char] = ACTIONS(2366),
    [anon_sym_float] = ACTIONS(2366),
    [anon_sym_double] = ACTIONS(2366),
    [sym_boolean_type] = ACTIONS(2366),
    [sym_void_type] = ACTIONS(2366),
    [anon_sym_def] = ACTIONS(2366),
    [sym_this] = ACTIONS(2366),
    [sym_super] = ACTIONS(2366),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [936] = {
    [ts_builtin_sym_end] = ACTIONS(2368),
    [sym_identifier] = ACTIONS(2370),
    [sym_decimal_integer_literal] = ACTIONS(2370),
    [sym_hex_integer_literal] = ACTIONS(2370),
    [sym_octal_integer_literal] = ACTIONS(2370),
    [sym_binary_integer_literal] = ACTIONS(2368),
    [sym_decimal_floating_point_literal] = ACTIONS(2368),
    [sym_hex_floating_point_literal] = ACTIONS(2370),
    [sym_true] = ACTIONS(2370),
    [sym_false] = ACTIONS(2370),
    [sym_character_literal] = ACTIONS(2368),
    [anon_sym_DQUOTE] = ACTIONS(2370),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2368),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2368),
    [anon_sym_RBRACE] = ACTIONS(2368),
    [sym_null_literal] = ACTIONS(2370),
    [anon_sym_LPAREN] = ACTIONS(2368),
    [anon_sym_LT] = ACTIONS(2368),
    [anon_sym_PLUS] = ACTIONS(2370),
    [anon_sym_DASH] = ACTIONS(2370),
    [anon_sym_final] = ACTIONS(2370),
    [anon_sym_DASH_GT] = ACTIONS(2368),
    [anon_sym_BANG] = ACTIONS(2368),
    [anon_sym_TILDE] = ACTIONS(2368),
    [anon_sym_PLUS_PLUS] = ACTIONS(2368),
    [anon_sym_DASH_DASH] = ACTIONS(2368),
    [anon_sym_new] = ACTIONS(2370),
    [anon_sym_LBRACK] = ACTIONS(2368),
    [anon_sym_class] = ACTIONS(2370),
    [anon_sym_switch] = ACTIONS(2370),
    [anon_sym_LBRACE] = ACTIONS(2368),
    [anon_sym_case] = ACTIONS(2370),
    [anon_sym_default] = ACTIONS(2370),
    [sym_underscore_pattern] = ACTIONS(2370),
    [anon_sym_SEMI] = ACTIONS(2368),
    [anon_sym_assert] = ACTIONS(2370),
    [anon_sym_do] = ACTIONS(2370),
    [anon_sym_while] = ACTIONS(2370),
    [anon_sym_break] = ACTIONS(2370),
    [anon_sym_continue] = ACTIONS(2370),
    [anon_sym_return] = ACTIONS(2370),
    [anon_sym_yield] = ACTIONS(2370),
    [anon_sym_synchronized] = ACTIONS(2370),
    [anon_sym_throw] = ACTIONS(2370),
    [anon_sym_try] = ACTIONS(2370),
    [anon_sym_if] = ACTIONS(2370),
    [anon_sym_else] = ACTIONS(2370),
    [anon_sym_for] = ACTIONS(2370),
    [anon_sym_AT] = ACTIONS(2370),
    [anon_sym_open] = ACTIONS(2370),
    [anon_sym_module] = ACTIONS(2370),
    [anon_sym_static] = ACTIONS(2370),
    [anon_sym_with] = ACTIONS(2370),
    [anon_sym_package] = ACTIONS(2370),
    [anon_sym_import] = ACTIONS(2370),
    [anon_sym_enum] = ACTIONS(2370),
    [anon_sym_public] = ACTIONS(2370),
    [anon_sym_protected] = ACTIONS(2370),
    [anon_sym_private] = ACTIONS(2370),
    [anon_sym_abstract] = ACTIONS(2370),
    [anon_sym_strictfp] = ACTIONS(2370),
    [anon_sym_native] = ACTIONS(2370),
    [anon_sym_transient] = ACTIONS(2370),
    [anon_sym_volatile] = ACTIONS(2370),
    [anon_sym_sealed] = ACTIONS(2370),
    [anon_sym_non_DASHsealed] = ACTIONS(2368),
    [anon_sym_record] = ACTIONS(2370),
    [anon_sym_ATinterface] = ACTIONS(2368),
    [anon_sym_interface] = ACTIONS(2370),
    [anon_sym_byte] = ACTIONS(2370),
    [anon_sym_short] = ACTIONS(2370),
    [anon_sym_int] = ACTIONS(2370),
    [anon_sym_long] = ACTIONS(2370),
    [anon_sym_char] = ACTIONS(2370),
    [anon_sym_float] = ACTIONS(2370),
    [anon_sym_double] = ACTIONS(2370),
    [sym_boolean_type] = ACTIONS(2370),
    [sym_void_type] = ACTIONS(2370),
    [anon_sym_def] = ACTIONS(2370),
    [sym_this] = ACTIONS(2370),
    [sym_super] = ACTIONS(2370),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [937] = {
    [ts_builtin_sym_end] = ACTIONS(2372),
    [sym_identifier] = ACTIONS(2374),
    [sym_decimal_integer_literal] = ACTIONS(2374),
    [sym_hex_integer_literal] = ACTIONS(2374),
    [sym_octal_integer_literal] = ACTIONS(2374),
    [sym_binary_integer_literal] = ACTIONS(2372),
    [sym_decimal_floating_point_literal] = ACTIONS(2372),
    [sym_hex_floating_point_literal] = ACTIONS(2374),
    [sym_true] = ACTIONS(2374),
    [sym_false] = ACTIONS(2374),
    [sym_character_literal] = ACTIONS(2372),
    [anon_sym_DQUOTE] = ACTIONS(2374),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2372),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2372),
    [anon_sym_RBRACE] = ACTIONS(2372),
    [sym_null_literal] = ACTIONS(2374),
    [anon_sym_LPAREN] = ACTIONS(2372),
    [anon_sym_LT] = ACTIONS(2372),
    [anon_sym_PLUS] = ACTIONS(2374),
    [anon_sym_DASH] = ACTIONS(2374),
    [anon_sym_final] = ACTIONS(2374),
    [anon_sym_DASH_GT] = ACTIONS(2372),
    [anon_sym_BANG] = ACTIONS(2372),
    [anon_sym_TILDE] = ACTIONS(2372),
    [anon_sym_PLUS_PLUS] = ACTIONS(2372),
    [anon_sym_DASH_DASH] = ACTIONS(2372),
    [anon_sym_new] = ACTIONS(2374),
    [anon_sym_LBRACK] = ACTIONS(2372),
    [anon_sym_class] = ACTIONS(2374),
    [anon_sym_switch] = ACTIONS(2374),
    [anon_sym_LBRACE] = ACTIONS(2372),
    [anon_sym_case] = ACTIONS(2374),
    [anon_sym_default] = ACTIONS(2374),
    [sym_underscore_pattern] = ACTIONS(2374),
    [anon_sym_SEMI] = ACTIONS(2372),
    [anon_sym_assert] = ACTIONS(2374),
    [anon_sym_do] = ACTIONS(2374),
    [anon_sym_while] = ACTIONS(2374),
    [anon_sym_break] = ACTIONS(2374),
    [anon_sym_continue] = ACTIONS(2374),
    [anon_sym_return] = ACTIONS(2374),
    [anon_sym_yield] = ACTIONS(2374),
    [anon_sym_synchronized] = ACTIONS(2374),
    [anon_sym_throw] = ACTIONS(2374),
    [anon_sym_try] = ACTIONS(2374),
    [anon_sym_if] = ACTIONS(2374),
    [anon_sym_else] = ACTIONS(2374),
    [anon_sym_for] = ACTIONS(2374),
    [anon_sym_AT] = ACTIONS(2374),
    [anon_sym_open] = ACTIONS(2374),
    [anon_sym_module] = ACTIONS(2374),
    [anon_sym_static] = ACTIONS(2374),
    [anon_sym_with] = ACTIONS(2374),
    [anon_sym_package] = ACTIONS(2374),
    [anon_sym_import] = ACTIONS(2374),
    [anon_sym_enum] = ACTIONS(2374),
    [anon_sym_public] = ACTIONS(2374),
    [anon_sym_protected] = ACTIONS(2374),
    [anon_sym_private] = ACTIONS(2374),
    [anon_sym_abstract] = ACTIONS(2374),
    [anon_sym_strictfp] = ACTIONS(2374),
    [anon_sym_native] = ACTIONS(2374),
    [anon_sym_transient] = ACTIONS(2374),
    [anon_sym_volatile] = ACTIONS(2374),
    [anon_sym_sealed] = ACTIONS(2374),
    [anon_sym_non_DASHsealed] = ACTIONS(2372),
    [anon_sym_record] = ACTIONS(2374),
    [anon_sym_ATinterface] = ACTIONS(2372),
    [anon_sym_interface] = ACTIONS(2374),
    [anon_sym_byte] = ACTIONS(2374),
    [anon_sym_short] = ACTIONS(2374),
    [anon_sym_int] = ACTIONS(2374),
    [anon_sym_long] = ACTIONS(2374),
    [anon_sym_char] = ACTIONS(2374),
    [anon_sym_float] = ACTIONS(2374),
    [anon_sym_double] = ACTIONS(2374),
    [sym_boolean_type] = ACTIONS(2374),
    [sym_void_type] = ACTIONS(2374),
    [anon_sym_def] = ACTIONS(2374),
    [sym_this] = ACTIONS(2374),
    [sym_super] = ACTIONS(2374),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [938] = {
    [aux_sym__juxt_argument_list_repeat1] = STATE(938),
    [ts_builtin_sym_end] = ACTIONS(2280),
    [sym_identifier] = ACTIONS(2282),
    [sym_decimal_integer_literal] = ACTIONS(2282),
    [sym_hex_integer_literal] = ACTIONS(2282),
    [sym_octal_integer_literal] = ACTIONS(2282),
    [sym_binary_integer_literal] = ACTIONS(2280),
    [sym_decimal_floating_point_literal] = ACTIONS(2280),
    [sym_hex_floating_point_literal] = ACTIONS(2282),
    [sym_true] = ACTIONS(2282),
    [sym_false] = ACTIONS(2282),
    [sym_character_literal] = ACTIONS(2280),
    [anon_sym_DQUOTE] = ACTIONS(2282),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2280),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2280),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [sym_null_literal] = ACTIONS(2282),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_final] = ACTIONS(2282),
    [anon_sym_DASH_GT] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2376),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2282),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2282),
    [anon_sym_switch] = ACTIONS(2282),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2282),
    [sym_underscore_pattern] = ACTIONS(2282),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_assert] = ACTIONS(2282),
    [anon_sym_do] = ACTIONS(2282),
    [anon_sym_while] = ACTIONS(2282),
    [anon_sym_break] = ACTIONS(2282),
    [anon_sym_continue] = ACTIONS(2282),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_yield] = ACTIONS(2282),
    [anon_sym_synchronized] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2282),
    [anon_sym_if] = ACTIONS(2282),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_AT] = ACTIONS(2282),
    [anon_sym_open] = ACTIONS(2282),
    [anon_sym_module] = ACTIONS(2282),
    [anon_sym_static] = ACTIONS(2282),
    [anon_sym_with] = ACTIONS(2282),
    [anon_sym_package] = ACTIONS(2282),
    [anon_sym_import] = ACTIONS(2282),
    [anon_sym_enum] = ACTIONS(2282),
    [anon_sym_public] = ACTIONS(2282),
    [anon_sym_protected] = ACTIONS(2282),
    [anon_sym_private] = ACTIONS(2282),
    [anon_sym_abstract] = ACTIONS(2282),
    [anon_sym_strictfp] = ACTIONS(2282),
    [anon_sym_native] = ACTIONS(2282),
    [anon_sym_transient] = ACTIONS(2282),
    [anon_sym_volatile] = ACTIONS(2282),
    [anon_sym_sealed] = ACTIONS(2282),
    [anon_sym_non_DASHsealed] = ACTIONS(2280),
    [anon_sym_record] = ACTIONS(2282),
    [anon_sym_ATinterface] = ACTIONS(2280),
    [anon_sym_interface] = ACTIONS(2282),
    [anon_sym_byte] = ACTIONS(2282),
    [anon_sym_short] = ACTIONS(2282),
    [anon_sym_int] = ACTIONS(2282),
    [anon_sym_long] = ACTIONS(2282),
    [anon_sym_char] = ACTIONS(2282),
    [anon_sym_float] = ACTIONS(2282),
    [anon_sym_double] = ACTIONS(2282),
    [sym_boolean_type] = ACTIONS(2282),
    [sym_void_type] = ACTIONS(2282),
    [anon_sym_def] = ACTIONS(2282),
    [sym_this] = ACTIONS(2282),
    [sym_super] = ACTIONS(2282),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [939] = {
    [ts_builtin_sym_end] = ACTIONS(1633),
    [sym_identifier] = ACTIONS(1614),
    [sym_decimal_integer_literal] = ACTIONS(1614),
    [sym_hex_integer_literal] = ACTIONS(1614),
    [sym_octal_integer_literal] = ACTIONS(1614),
    [sym_binary_integer_literal] = ACTIONS(1633),
    [sym_decimal_floating_point_literal] = ACTIONS(1633),
    [sym_hex_floating_point_literal] = ACTIONS(1614),
    [sym_true] = ACTIONS(1614),
    [sym_false] = ACTIONS(1614),
    [sym_character_literal] = ACTIONS(1633),
    [anon_sym_DQUOTE] = ACTIONS(1614),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1633),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1633),
    [anon_sym_RBRACE] = ACTIONS(1633),
    [sym_null_literal] = ACTIONS(1614),
    [anon_sym_LPAREN] = ACTIONS(1633),
    [anon_sym_LT] = ACTIONS(1633),
    [anon_sym_PLUS] = ACTIONS(1614),
    [anon_sym_DASH] = ACTIONS(1614),
    [anon_sym_final] = ACTIONS(1614),
    [anon_sym_DASH_GT] = ACTIONS(1633),
    [anon_sym_BANG] = ACTIONS(1633),
    [anon_sym_TILDE] = ACTIONS(1633),
    [anon_sym_PLUS_PLUS] = ACTIONS(1633),
    [anon_sym_DASH_DASH] = ACTIONS(1633),
    [anon_sym_new] = ACTIONS(1614),
    [anon_sym_LBRACK] = ACTIONS(1633),
    [anon_sym_class] = ACTIONS(1614),
    [anon_sym_switch] = ACTIONS(1614),
    [anon_sym_LBRACE] = ACTIONS(1633),
    [anon_sym_case] = ACTIONS(1614),
    [anon_sym_default] = ACTIONS(1614),
    [sym_underscore_pattern] = ACTIONS(1614),
    [anon_sym_SEMI] = ACTIONS(1633),
    [anon_sym_assert] = ACTIONS(1614),
    [anon_sym_do] = ACTIONS(1614),
    [anon_sym_while] = ACTIONS(1614),
    [anon_sym_break] = ACTIONS(1614),
    [anon_sym_continue] = ACTIONS(1614),
    [anon_sym_return] = ACTIONS(1614),
    [anon_sym_yield] = ACTIONS(1614),
    [anon_sym_synchronized] = ACTIONS(1614),
    [anon_sym_throw] = ACTIONS(1614),
    [anon_sym_try] = ACTIONS(1614),
    [anon_sym_if] = ACTIONS(1614),
    [anon_sym_else] = ACTIONS(1614),
    [anon_sym_for] = ACTIONS(1614),
    [anon_sym_AT] = ACTIONS(1614),
    [anon_sym_open] = ACTIONS(1614),
    [anon_sym_module] = ACTIONS(1614),
    [anon_sym_static] = ACTIONS(1614),
    [anon_sym_with] = ACTIONS(1614),
    [anon_sym_package] = ACTIONS(1614),
    [anon_sym_import] = ACTIONS(1614),
    [anon_sym_enum] = ACTIONS(1614),
    [anon_sym_public] = ACTIONS(1614),
    [anon_sym_protected] = ACTIONS(1614),
    [anon_sym_private] = ACTIONS(1614),
    [anon_sym_abstract] = ACTIONS(1614),
    [anon_sym_strictfp] = ACTIONS(1614),
    [anon_sym_native] = ACTIONS(1614),
    [anon_sym_transient] = ACTIONS(1614),
    [anon_sym_volatile] = ACTIONS(1614),
    [anon_sym_sealed] = ACTIONS(1614),
    [anon_sym_non_DASHsealed] = ACTIONS(1633),
    [anon_sym_record] = ACTIONS(1614),
    [anon_sym_ATinterface] = ACTIONS(1633),
    [anon_sym_interface] = ACTIONS(1614),
    [anon_sym_byte] = ACTIONS(1614),
    [anon_sym_short] = ACTIONS(1614),
    [anon_sym_int] = ACTIONS(1614),
    [anon_sym_long] = ACTIONS(1614),
    [anon_sym_char] = ACTIONS(1614),
    [anon_sym_float] = ACTIONS(1614),
    [anon_sym_double] = ACTIONS(1614),
    [sym_boolean_type] = ACTIONS(1614),
    [sym_void_type] = ACTIONS(1614),
    [anon_sym_def] = ACTIONS(1614),
    [sym_this] = ACTIONS(1614),
    [sym_super] = ACTIONS(1614),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [940] = {
    [ts_builtin_sym_end] = ACTIONS(2379),
    [sym_identifier] = ACTIONS(2381),
    [sym_decimal_integer_literal] = ACTIONS(2381),
    [sym_hex_integer_literal] = ACTIONS(2381),
    [sym_octal_integer_literal] = ACTIONS(2381),
    [sym_binary_integer_literal] = ACTIONS(2379),
    [sym_decimal_floating_point_literal] = ACTIONS(2379),
    [sym_hex_floating_point_literal] = ACTIONS(2381),
    [sym_true] = ACTIONS(2381),
    [sym_false] = ACTIONS(2381),
    [sym_character_literal] = ACTIONS(2379),
    [anon_sym_DQUOTE] = ACTIONS(2381),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2379),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2379),
    [anon_sym_RBRACE] = ACTIONS(2379),
    [sym_null_literal] = ACTIONS(2381),
    [anon_sym_LPAREN] = ACTIONS(2379),
    [anon_sym_LT] = ACTIONS(2379),
    [anon_sym_PLUS] = ACTIONS(2381),
    [anon_sym_DASH] = ACTIONS(2381),
    [anon_sym_final] = ACTIONS(2381),
    [anon_sym_DASH_GT] = ACTIONS(2379),
    [anon_sym_BANG] = ACTIONS(2379),
    [anon_sym_TILDE] = ACTIONS(2379),
    [anon_sym_PLUS_PLUS] = ACTIONS(2379),
    [anon_sym_DASH_DASH] = ACTIONS(2379),
    [anon_sym_new] = ACTIONS(2381),
    [anon_sym_LBRACK] = ACTIONS(2379),
    [anon_sym_class] = ACTIONS(2381),
    [anon_sym_switch] = ACTIONS(2381),
    [anon_sym_LBRACE] = ACTIONS(2379),
    [anon_sym_case] = ACTIONS(2381),
    [anon_sym_default] = ACTIONS(2381),
    [sym_underscore_pattern] = ACTIONS(2381),
    [anon_sym_SEMI] = ACTIONS(2379),
    [anon_sym_assert] = ACTIONS(2381),
    [anon_sym_do] = ACTIONS(2381),
    [anon_sym_while] = ACTIONS(2381),
    [anon_sym_break] = ACTIONS(2381),
    [anon_sym_continue] = ACTIONS(2381),
    [anon_sym_return] = ACTIONS(2381),
    [anon_sym_yield] = ACTIONS(2381),
    [anon_sym_synchronized] = ACTIONS(2381),
    [anon_sym_throw] = ACTIONS(2381),
    [anon_sym_try] = ACTIONS(2381),
    [anon_sym_if] = ACTIONS(2381),
    [anon_sym_else] = ACTIONS(2381),
    [anon_sym_for] = ACTIONS(2381),
    [anon_sym_AT] = ACTIONS(2381),
    [anon_sym_open] = ACTIONS(2381),
    [anon_sym_module] = ACTIONS(2381),
    [anon_sym_static] = ACTIONS(2381),
    [anon_sym_with] = ACTIONS(2381),
    [anon_sym_package] = ACTIONS(2381),
    [anon_sym_import] = ACTIONS(2381),
    [anon_sym_enum] = ACTIONS(2381),
    [anon_sym_public] = ACTIONS(2381),
    [anon_sym_protected] = ACTIONS(2381),
    [anon_sym_private] = ACTIONS(2381),
    [anon_sym_abstract] = ACTIONS(2381),
    [anon_sym_strictfp] = ACTIONS(2381),
    [anon_sym_native] = ACTIONS(2381),
    [anon_sym_transient] = ACTIONS(2381),
    [anon_sym_volatile] = ACTIONS(2381),
    [anon_sym_sealed] = ACTIONS(2381),
    [anon_sym_non_DASHsealed] = ACTIONS(2379),
    [anon_sym_record] = ACTIONS(2381),
    [anon_sym_ATinterface] = ACTIONS(2379),
    [anon_sym_interface] = ACTIONS(2381),
    [anon_sym_byte] = ACTIONS(2381),
    [anon_sym_short] = ACTIONS(2381),
    [anon_sym_int] = ACTIONS(2381),
    [anon_sym_long] = ACTIONS(2381),
    [anon_sym_char] = ACTIONS(2381),
    [anon_sym_float] = ACTIONS(2381),
    [anon_sym_double] = ACTIONS(2381),
    [sym_boolean_type] = ACTIONS(2381),
    [sym_void_type] = ACTIONS(2381),
    [anon_sym_def] = ACTIONS(2381),
    [sym_this] = ACTIONS(2381),
    [sym_super] = ACTIONS(2381),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [941] = {
    [ts_builtin_sym_end] = ACTIONS(2383),
    [sym_identifier] = ACTIONS(2385),
    [sym_decimal_integer_literal] = ACTIONS(2385),
    [sym_hex_integer_literal] = ACTIONS(2385),
    [sym_octal_integer_literal] = ACTIONS(2385),
    [sym_binary_integer_literal] = ACTIONS(2383),
    [sym_decimal_floating_point_literal] = ACTIONS(2383),
    [sym_hex_floating_point_literal] = ACTIONS(2385),
    [sym_true] = ACTIONS(2385),
    [sym_false] = ACTIONS(2385),
    [sym_character_literal] = ACTIONS(2383),
    [anon_sym_DQUOTE] = ACTIONS(2385),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2383),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2383),
    [anon_sym_RBRACE] = ACTIONS(2383),
    [sym_null_literal] = ACTIONS(2385),
    [anon_sym_LPAREN] = ACTIONS(2383),
    [anon_sym_LT] = ACTIONS(2383),
    [anon_sym_PLUS] = ACTIONS(2385),
    [anon_sym_DASH] = ACTIONS(2385),
    [anon_sym_final] = ACTIONS(2385),
    [anon_sym_DASH_GT] = ACTIONS(2383),
    [anon_sym_BANG] = ACTIONS(2383),
    [anon_sym_TILDE] = ACTIONS(2383),
    [anon_sym_PLUS_PLUS] = ACTIONS(2383),
    [anon_sym_DASH_DASH] = ACTIONS(2383),
    [anon_sym_new] = ACTIONS(2385),
    [anon_sym_LBRACK] = ACTIONS(2383),
    [anon_sym_class] = ACTIONS(2385),
    [anon_sym_switch] = ACTIONS(2385),
    [anon_sym_LBRACE] = ACTIONS(2383),
    [anon_sym_case] = ACTIONS(2385),
    [anon_sym_default] = ACTIONS(2385),
    [sym_underscore_pattern] = ACTIONS(2385),
    [anon_sym_SEMI] = ACTIONS(2383),
    [anon_sym_assert] = ACTIONS(2385),
    [anon_sym_do] = ACTIONS(2385),
    [anon_sym_while] = ACTIONS(2385),
    [anon_sym_break] = ACTIONS(2385),
    [anon_sym_continue] = ACTIONS(2385),
    [anon_sym_return] = ACTIONS(2385),
    [anon_sym_yield] = ACTIONS(2385),
    [anon_sym_synchronized] = ACTIONS(2385),
    [anon_sym_throw] = ACTIONS(2385),
    [anon_sym_try] = ACTIONS(2385),
    [anon_sym_if] = ACTIONS(2385),
    [anon_sym_else] = ACTIONS(2385),
    [anon_sym_for] = ACTIONS(2385),
    [anon_sym_AT] = ACTIONS(2385),
    [anon_sym_open] = ACTIONS(2385),
    [anon_sym_module] = ACTIONS(2385),
    [anon_sym_static] = ACTIONS(2385),
    [anon_sym_with] = ACTIONS(2385),
    [anon_sym_package] = ACTIONS(2385),
    [anon_sym_import] = ACTIONS(2385),
    [anon_sym_enum] = ACTIONS(2385),
    [anon_sym_public] = ACTIONS(2385),
    [anon_sym_protected] = ACTIONS(2385),
    [anon_sym_private] = ACTIONS(2385),
    [anon_sym_abstract] = ACTIONS(2385),
    [anon_sym_strictfp] = ACTIONS(2385),
    [anon_sym_native] = ACTIONS(2385),
    [anon_sym_transient] = ACTIONS(2385),
    [anon_sym_volatile] = ACTIONS(2385),
    [anon_sym_sealed] = ACTIONS(2385),
    [anon_sym_non_DASHsealed] = ACTIONS(2383),
    [anon_sym_record] = ACTIONS(2385),
    [anon_sym_ATinterface] = ACTIONS(2383),
    [anon_sym_interface] = ACTIONS(2385),
    [anon_sym_byte] = ACTIONS(2385),
    [anon_sym_short] = ACTIONS(2385),
    [anon_sym_int] = ACTIONS(2385),
    [anon_sym_long] = ACTIONS(2385),
    [anon_sym_char] = ACTIONS(2385),
    [anon_sym_float] = ACTIONS(2385),
    [anon_sym_double] = ACTIONS(2385),
    [sym_boolean_type] = ACTIONS(2385),
    [sym_void_type] = ACTIONS(2385),
    [anon_sym_def] = ACTIONS(2385),
    [sym_this] = ACTIONS(2385),
    [sym_super] = ACTIONS(2385),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [942] = {
    [ts_builtin_sym_end] = ACTIONS(2387),
    [sym_identifier] = ACTIONS(2389),
    [sym_decimal_integer_literal] = ACTIONS(2389),
    [sym_hex_integer_literal] = ACTIONS(2389),
    [sym_octal_integer_literal] = ACTIONS(2389),
    [sym_binary_integer_literal] = ACTIONS(2387),
    [sym_decimal_floating_point_literal] = ACTIONS(2387),
    [sym_hex_floating_point_literal] = ACTIONS(2389),
    [sym_true] = ACTIONS(2389),
    [sym_false] = ACTIONS(2389),
    [sym_character_literal] = ACTIONS(2387),
    [anon_sym_DQUOTE] = ACTIONS(2389),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2387),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2387),
    [anon_sym_RBRACE] = ACTIONS(2387),
    [sym_null_literal] = ACTIONS(2389),
    [anon_sym_LPAREN] = ACTIONS(2387),
    [anon_sym_LT] = ACTIONS(2387),
    [anon_sym_PLUS] = ACTIONS(2389),
    [anon_sym_DASH] = ACTIONS(2389),
    [anon_sym_final] = ACTIONS(2389),
    [anon_sym_DASH_GT] = ACTIONS(2387),
    [anon_sym_BANG] = ACTIONS(2387),
    [anon_sym_TILDE] = ACTIONS(2387),
    [anon_sym_PLUS_PLUS] = ACTIONS(2387),
    [anon_sym_DASH_DASH] = ACTIONS(2387),
    [anon_sym_new] = ACTIONS(2389),
    [anon_sym_LBRACK] = ACTIONS(2387),
    [anon_sym_class] = ACTIONS(2389),
    [anon_sym_switch] = ACTIONS(2389),
    [anon_sym_LBRACE] = ACTIONS(2387),
    [anon_sym_case] = ACTIONS(2389),
    [anon_sym_default] = ACTIONS(2389),
    [sym_underscore_pattern] = ACTIONS(2389),
    [anon_sym_SEMI] = ACTIONS(2387),
    [anon_sym_assert] = ACTIONS(2389),
    [anon_sym_do] = ACTIONS(2389),
    [anon_sym_while] = ACTIONS(2389),
    [anon_sym_break] = ACTIONS(2389),
    [anon_sym_continue] = ACTIONS(2389),
    [anon_sym_return] = ACTIONS(2389),
    [anon_sym_yield] = ACTIONS(2389),
    [anon_sym_synchronized] = ACTIONS(2389),
    [anon_sym_throw] = ACTIONS(2389),
    [anon_sym_try] = ACTIONS(2389),
    [anon_sym_if] = ACTIONS(2389),
    [anon_sym_else] = ACTIONS(2389),
    [anon_sym_for] = ACTIONS(2389),
    [anon_sym_AT] = ACTIONS(2389),
    [anon_sym_open] = ACTIONS(2389),
    [anon_sym_module] = ACTIONS(2389),
    [anon_sym_static] = ACTIONS(2389),
    [anon_sym_with] = ACTIONS(2389),
    [anon_sym_package] = ACTIONS(2389),
    [anon_sym_import] = ACTIONS(2389),
    [anon_sym_enum] = ACTIONS(2389),
    [anon_sym_public] = ACTIONS(2389),
    [anon_sym_protected] = ACTIONS(2389),
    [anon_sym_private] = ACTIONS(2389),
    [anon_sym_abstract] = ACTIONS(2389),
    [anon_sym_strictfp] = ACTIONS(2389),
    [anon_sym_native] = ACTIONS(2389),
    [anon_sym_transient] = ACTIONS(2389),
    [anon_sym_volatile] = ACTIONS(2389),
    [anon_sym_sealed] = ACTIONS(2389),
    [anon_sym_non_DASHsealed] = ACTIONS(2387),
    [anon_sym_record] = ACTIONS(2389),
    [anon_sym_ATinterface] = ACTIONS(2387),
    [anon_sym_interface] = ACTIONS(2389),
    [anon_sym_byte] = ACTIONS(2389),
    [anon_sym_short] = ACTIONS(2389),
    [anon_sym_int] = ACTIONS(2389),
    [anon_sym_long] = ACTIONS(2389),
    [anon_sym_char] = ACTIONS(2389),
    [anon_sym_float] = ACTIONS(2389),
    [anon_sym_double] = ACTIONS(2389),
    [sym_boolean_type] = ACTIONS(2389),
    [sym_void_type] = ACTIONS(2389),
    [anon_sym_def] = ACTIONS(2389),
    [sym_this] = ACTIONS(2389),
    [sym_super] = ACTIONS(2389),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [943] = {
    [sym_argument_list] = STATE(1112),
    [sym_type_arguments] = STATE(1792),
    [sym_dimensions] = STATE(2138),
    [sym__annotation] = STATE(2221),
    [sym_marker_annotation] = STATE(2221),
    [sym_annotation] = STATE(2221),
    [sym_closure] = STATE(1122),
    [aux_sym_array_creation_expression_repeat1] = STATE(2221),
    [aux_sym_dimensions_repeat1] = STATE(1053),
    [sym_identifier] = ACTIONS(2041),
    [sym_decimal_integer_literal] = ACTIONS(2045),
    [sym_hex_integer_literal] = ACTIONS(2045),
    [sym_octal_integer_literal] = ACTIONS(2045),
    [sym_binary_integer_literal] = ACTIONS(2045),
    [sym_decimal_floating_point_literal] = ACTIONS(2045),
    [sym_hex_floating_point_literal] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_character_literal] = ACTIONS(2045),
    [anon_sym_DQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2045),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2045),
    [anon_sym_RBRACE] = ACTIONS(772),
    [sym_null_literal] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_PLUS_EQ] = ACTIONS(2052),
    [anon_sym_DASH_EQ] = ACTIONS(2052),
    [anon_sym_STAR_EQ] = ACTIONS(2052),
    [anon_sym_SLASH_EQ] = ACTIONS(2052),
    [anon_sym_AMP_EQ] = ACTIONS(2052),
    [anon_sym_PIPE_EQ] = ACTIONS(2052),
    [anon_sym_CARET_EQ] = ACTIONS(2052),
    [anon_sym_PERCENT_EQ] = ACTIONS(2052),
    [anon_sym_LT_LT_EQ] = ACTIONS(2052),
    [anon_sym_GT_GT_EQ] = ACTIONS(2052),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2052),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(772),
    [anon_sym_EQ_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_AMP_AMP] = ACTIONS(772),
    [anon_sym_PIPE_PIPE] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(772),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(2054),
    [anon_sym_COMMA] = ACTIONS(785),
    [anon_sym_QMARK] = ACTIONS(772),
    [anon_sym_COLON] = ACTIONS(787),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(2056),
    [anon_sym_DOT] = ACTIONS(793),
    [anon_sym_COLON_COLON] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(285),
    [sym_underscore_pattern] = ACTIONS(1074),
    [anon_sym_SEMI] = ACTIONS(800),
    [aux_sym_expression_statement_token1] = ACTIONS(803),
    [anon_sym_NULL] = ACTIONS(800),
    [anon_sym_yield] = ACTIONS(1074),
    [anon_sym_AT] = ACTIONS(2061),
    [anon_sym_open] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_with] = ACTIONS(1074),
    [anon_sym_sealed] = ACTIONS(1074),
    [anon_sym_record] = ACTIONS(1074),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [944] = {
    [ts_builtin_sym_end] = ACTIONS(2391),
    [sym_identifier] = ACTIONS(2393),
    [sym_decimal_integer_literal] = ACTIONS(2393),
    [sym_hex_integer_literal] = ACTIONS(2393),
    [sym_octal_integer_literal] = ACTIONS(2393),
    [sym_binary_integer_literal] = ACTIONS(2391),
    [sym_decimal_floating_point_literal] = ACTIONS(2391),
    [sym_hex_floating_point_literal] = ACTIONS(2393),
    [sym_true] = ACTIONS(2393),
    [sym_false] = ACTIONS(2393),
    [sym_character_literal] = ACTIONS(2391),
    [anon_sym_DQUOTE] = ACTIONS(2393),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2391),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2391),
    [anon_sym_RBRACE] = ACTIONS(2391),
    [sym_null_literal] = ACTIONS(2393),
    [anon_sym_LPAREN] = ACTIONS(2391),
    [anon_sym_LT] = ACTIONS(2391),
    [anon_sym_PLUS] = ACTIONS(2393),
    [anon_sym_DASH] = ACTIONS(2393),
    [anon_sym_final] = ACTIONS(2393),
    [anon_sym_DASH_GT] = ACTIONS(2391),
    [anon_sym_BANG] = ACTIONS(2391),
    [anon_sym_TILDE] = ACTIONS(2391),
    [anon_sym_PLUS_PLUS] = ACTIONS(2391),
    [anon_sym_DASH_DASH] = ACTIONS(2391),
    [anon_sym_new] = ACTIONS(2393),
    [anon_sym_LBRACK] = ACTIONS(2391),
    [anon_sym_class] = ACTIONS(2393),
    [anon_sym_switch] = ACTIONS(2393),
    [anon_sym_LBRACE] = ACTIONS(2391),
    [anon_sym_case] = ACTIONS(2393),
    [anon_sym_default] = ACTIONS(2393),
    [sym_underscore_pattern] = ACTIONS(2393),
    [anon_sym_SEMI] = ACTIONS(2391),
    [anon_sym_assert] = ACTIONS(2393),
    [anon_sym_do] = ACTIONS(2393),
    [anon_sym_while] = ACTIONS(2393),
    [anon_sym_break] = ACTIONS(2393),
    [anon_sym_continue] = ACTIONS(2393),
    [anon_sym_return] = ACTIONS(2393),
    [anon_sym_yield] = ACTIONS(2393),
    [anon_sym_synchronized] = ACTIONS(2393),
    [anon_sym_throw] = ACTIONS(2393),
    [anon_sym_try] = ACTIONS(2393),
    [anon_sym_if] = ACTIONS(2393),
    [anon_sym_else] = ACTIONS(2393),
    [anon_sym_for] = ACTIONS(2393),
    [anon_sym_AT] = ACTIONS(2393),
    [anon_sym_open] = ACTIONS(2393),
    [anon_sym_module] = ACTIONS(2393),
    [anon_sym_static] = ACTIONS(2393),
    [anon_sym_with] = ACTIONS(2393),
    [anon_sym_package] = ACTIONS(2393),
    [anon_sym_import] = ACTIONS(2393),
    [anon_sym_enum] = ACTIONS(2393),
    [anon_sym_public] = ACTIONS(2393),
    [anon_sym_protected] = ACTIONS(2393),
    [anon_sym_private] = ACTIONS(2393),
    [anon_sym_abstract] = ACTIONS(2393),
    [anon_sym_strictfp] = ACTIONS(2393),
    [anon_sym_native] = ACTIONS(2393),
    [anon_sym_transient] = ACTIONS(2393),
    [anon_sym_volatile] = ACTIONS(2393),
    [anon_sym_sealed] = ACTIONS(2393),
    [anon_sym_non_DASHsealed] = ACTIONS(2391),
    [anon_sym_record] = ACTIONS(2393),
    [anon_sym_ATinterface] = ACTIONS(2391),
    [anon_sym_interface] = ACTIONS(2393),
    [anon_sym_byte] = ACTIONS(2393),
    [anon_sym_short] = ACTIONS(2393),
    [anon_sym_int] = ACTIONS(2393),
    [anon_sym_long] = ACTIONS(2393),
    [anon_sym_char] = ACTIONS(2393),
    [anon_sym_float] = ACTIONS(2393),
    [anon_sym_double] = ACTIONS(2393),
    [sym_boolean_type] = ACTIONS(2393),
    [sym_void_type] = ACTIONS(2393),
    [anon_sym_def] = ACTIONS(2393),
    [sym_this] = ACTIONS(2393),
    [sym_super] = ACTIONS(2393),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [945] = {
    [ts_builtin_sym_end] = ACTIONS(2395),
    [sym_identifier] = ACTIONS(2397),
    [sym_decimal_integer_literal] = ACTIONS(2397),
    [sym_hex_integer_literal] = ACTIONS(2397),
    [sym_octal_integer_literal] = ACTIONS(2397),
    [sym_binary_integer_literal] = ACTIONS(2395),
    [sym_decimal_floating_point_literal] = ACTIONS(2395),
    [sym_hex_floating_point_literal] = ACTIONS(2397),
    [sym_true] = ACTIONS(2397),
    [sym_false] = ACTIONS(2397),
    [sym_character_literal] = ACTIONS(2395),
    [anon_sym_DQUOTE] = ACTIONS(2397),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2395),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2395),
    [anon_sym_RBRACE] = ACTIONS(2395),
    [sym_null_literal] = ACTIONS(2397),
    [anon_sym_LPAREN] = ACTIONS(2395),
    [anon_sym_LT] = ACTIONS(2395),
    [anon_sym_PLUS] = ACTIONS(2397),
    [anon_sym_DASH] = ACTIONS(2397),
    [anon_sym_final] = ACTIONS(2397),
    [anon_sym_DASH_GT] = ACTIONS(2395),
    [anon_sym_BANG] = ACTIONS(2395),
    [anon_sym_TILDE] = ACTIONS(2395),
    [anon_sym_PLUS_PLUS] = ACTIONS(2395),
    [anon_sym_DASH_DASH] = ACTIONS(2395),
    [anon_sym_new] = ACTIONS(2397),
    [anon_sym_LBRACK] = ACTIONS(2395),
    [anon_sym_class] = ACTIONS(2397),
    [anon_sym_switch] = ACTIONS(2397),
    [anon_sym_LBRACE] = ACTIONS(2395),
    [anon_sym_case] = ACTIONS(2397),
    [anon_sym_default] = ACTIONS(2397),
    [sym_underscore_pattern] = ACTIONS(2397),
    [anon_sym_SEMI] = ACTIONS(2395),
    [anon_sym_assert] = ACTIONS(2397),
    [anon_sym_do] = ACTIONS(2397),
    [anon_sym_while] = ACTIONS(2397),
    [anon_sym_break] = ACTIONS(2397),
    [anon_sym_continue] = ACTIONS(2397),
    [anon_sym_return] = ACTIONS(2397),
    [anon_sym_yield] = ACTIONS(2397),
    [anon_sym_synchronized] = ACTIONS(2397),
    [anon_sym_throw] = ACTIONS(2397),
    [anon_sym_try] = ACTIONS(2397),
    [anon_sym_if] = ACTIONS(2397),
    [anon_sym_else] = ACTIONS(2397),
    [anon_sym_for] = ACTIONS(2397),
    [anon_sym_AT] = ACTIONS(2397),
    [anon_sym_open] = ACTIONS(2397),
    [anon_sym_module] = ACTIONS(2397),
    [anon_sym_static] = ACTIONS(2397),
    [anon_sym_with] = ACTIONS(2397),
    [anon_sym_package] = ACTIONS(2397),
    [anon_sym_import] = ACTIONS(2397),
    [anon_sym_enum] = ACTIONS(2397),
    [anon_sym_public] = ACTIONS(2397),
    [anon_sym_protected] = ACTIONS(2397),
    [anon_sym_private] = ACTIONS(2397),
    [anon_sym_abstract] = ACTIONS(2397),
    [anon_sym_strictfp] = ACTIONS(2397),
    [anon_sym_native] = ACTIONS(2397),
    [anon_sym_transient] = ACTIONS(2397),
    [anon_sym_volatile] = ACTIONS(2397),
    [anon_sym_sealed] = ACTIONS(2397),
    [anon_sym_non_DASHsealed] = ACTIONS(2395),
    [anon_sym_record] = ACTIONS(2397),
    [anon_sym_ATinterface] = ACTIONS(2395),
    [anon_sym_interface] = ACTIONS(2397),
    [anon_sym_byte] = ACTIONS(2397),
    [anon_sym_short] = ACTIONS(2397),
    [anon_sym_int] = ACTIONS(2397),
    [anon_sym_long] = ACTIONS(2397),
    [anon_sym_char] = ACTIONS(2397),
    [anon_sym_float] = ACTIONS(2397),
    [anon_sym_double] = ACTIONS(2397),
    [sym_boolean_type] = ACTIONS(2397),
    [sym_void_type] = ACTIONS(2397),
    [anon_sym_def] = ACTIONS(2397),
    [sym_this] = ACTIONS(2397),
    [sym_super] = ACTIONS(2397),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [946] = {
    [ts_builtin_sym_end] = ACTIONS(2399),
    [sym_identifier] = ACTIONS(2401),
    [sym_decimal_integer_literal] = ACTIONS(2401),
    [sym_hex_integer_literal] = ACTIONS(2401),
    [sym_octal_integer_literal] = ACTIONS(2401),
    [sym_binary_integer_literal] = ACTIONS(2399),
    [sym_decimal_floating_point_literal] = ACTIONS(2399),
    [sym_hex_floating_point_literal] = ACTIONS(2401),
    [sym_true] = ACTIONS(2401),
    [sym_false] = ACTIONS(2401),
    [sym_character_literal] = ACTIONS(2399),
    [anon_sym_DQUOTE] = ACTIONS(2401),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2399),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2399),
    [anon_sym_RBRACE] = ACTIONS(2399),
    [sym_null_literal] = ACTIONS(2401),
    [anon_sym_LPAREN] = ACTIONS(2399),
    [anon_sym_LT] = ACTIONS(2399),
    [anon_sym_PLUS] = ACTIONS(2401),
    [anon_sym_DASH] = ACTIONS(2401),
    [anon_sym_final] = ACTIONS(2401),
    [anon_sym_DASH_GT] = ACTIONS(2399),
    [anon_sym_BANG] = ACTIONS(2399),
    [anon_sym_TILDE] = ACTIONS(2399),
    [anon_sym_PLUS_PLUS] = ACTIONS(2399),
    [anon_sym_DASH_DASH] = ACTIONS(2399),
    [anon_sym_new] = ACTIONS(2401),
    [anon_sym_LBRACK] = ACTIONS(2399),
    [anon_sym_class] = ACTIONS(2401),
    [anon_sym_switch] = ACTIONS(2401),
    [anon_sym_LBRACE] = ACTIONS(2399),
    [anon_sym_case] = ACTIONS(2401),
    [anon_sym_default] = ACTIONS(2401),
    [sym_underscore_pattern] = ACTIONS(2401),
    [anon_sym_SEMI] = ACTIONS(2399),
    [anon_sym_assert] = ACTIONS(2401),
    [anon_sym_do] = ACTIONS(2401),
    [anon_sym_while] = ACTIONS(2401),
    [anon_sym_break] = ACTIONS(2401),
    [anon_sym_continue] = ACTIONS(2401),
    [anon_sym_return] = ACTIONS(2401),
    [anon_sym_yield] = ACTIONS(2401),
    [anon_sym_synchronized] = ACTIONS(2401),
    [anon_sym_throw] = ACTIONS(2401),
    [anon_sym_try] = ACTIONS(2401),
    [anon_sym_if] = ACTIONS(2401),
    [anon_sym_else] = ACTIONS(2401),
    [anon_sym_for] = ACTIONS(2401),
    [anon_sym_AT] = ACTIONS(2401),
    [anon_sym_open] = ACTIONS(2401),
    [anon_sym_module] = ACTIONS(2401),
    [anon_sym_static] = ACTIONS(2401),
    [anon_sym_with] = ACTIONS(2401),
    [anon_sym_package] = ACTIONS(2401),
    [anon_sym_import] = ACTIONS(2401),
    [anon_sym_enum] = ACTIONS(2401),
    [anon_sym_public] = ACTIONS(2401),
    [anon_sym_protected] = ACTIONS(2401),
    [anon_sym_private] = ACTIONS(2401),
    [anon_sym_abstract] = ACTIONS(2401),
    [anon_sym_strictfp] = ACTIONS(2401),
    [anon_sym_native] = ACTIONS(2401),
    [anon_sym_transient] = ACTIONS(2401),
    [anon_sym_volatile] = ACTIONS(2401),
    [anon_sym_sealed] = ACTIONS(2401),
    [anon_sym_non_DASHsealed] = ACTIONS(2399),
    [anon_sym_record] = ACTIONS(2401),
    [anon_sym_ATinterface] = ACTIONS(2399),
    [anon_sym_interface] = ACTIONS(2401),
    [anon_sym_byte] = ACTIONS(2401),
    [anon_sym_short] = ACTIONS(2401),
    [anon_sym_int] = ACTIONS(2401),
    [anon_sym_long] = ACTIONS(2401),
    [anon_sym_char] = ACTIONS(2401),
    [anon_sym_float] = ACTIONS(2401),
    [anon_sym_double] = ACTIONS(2401),
    [sym_boolean_type] = ACTIONS(2401),
    [sym_void_type] = ACTIONS(2401),
    [anon_sym_def] = ACTIONS(2401),
    [sym_this] = ACTIONS(2401),
    [sym_super] = ACTIONS(2401),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [947] = {
    [ts_builtin_sym_end] = ACTIONS(2403),
    [sym_identifier] = ACTIONS(2405),
    [sym_decimal_integer_literal] = ACTIONS(2405),
    [sym_hex_integer_literal] = ACTIONS(2405),
    [sym_octal_integer_literal] = ACTIONS(2405),
    [sym_binary_integer_literal] = ACTIONS(2403),
    [sym_decimal_floating_point_literal] = ACTIONS(2403),
    [sym_hex_floating_point_literal] = ACTIONS(2405),
    [sym_true] = ACTIONS(2405),
    [sym_false] = ACTIONS(2405),
    [sym_character_literal] = ACTIONS(2403),
    [anon_sym_DQUOTE] = ACTIONS(2405),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2403),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2403),
    [anon_sym_RBRACE] = ACTIONS(2403),
    [sym_null_literal] = ACTIONS(2405),
    [anon_sym_LPAREN] = ACTIONS(2403),
    [anon_sym_LT] = ACTIONS(2403),
    [anon_sym_PLUS] = ACTIONS(2405),
    [anon_sym_DASH] = ACTIONS(2405),
    [anon_sym_final] = ACTIONS(2405),
    [anon_sym_DASH_GT] = ACTIONS(2403),
    [anon_sym_BANG] = ACTIONS(2403),
    [anon_sym_TILDE] = ACTIONS(2403),
    [anon_sym_PLUS_PLUS] = ACTIONS(2403),
    [anon_sym_DASH_DASH] = ACTIONS(2403),
    [anon_sym_new] = ACTIONS(2405),
    [anon_sym_LBRACK] = ACTIONS(2403),
    [anon_sym_class] = ACTIONS(2405),
    [anon_sym_switch] = ACTIONS(2405),
    [anon_sym_LBRACE] = ACTIONS(2403),
    [anon_sym_case] = ACTIONS(2405),
    [anon_sym_default] = ACTIONS(2405),
    [sym_underscore_pattern] = ACTIONS(2405),
    [anon_sym_SEMI] = ACTIONS(2403),
    [anon_sym_assert] = ACTIONS(2405),
    [anon_sym_do] = ACTIONS(2405),
    [anon_sym_while] = ACTIONS(2405),
    [anon_sym_break] = ACTIONS(2405),
    [anon_sym_continue] = ACTIONS(2405),
    [anon_sym_return] = ACTIONS(2405),
    [anon_sym_yield] = ACTIONS(2405),
    [anon_sym_synchronized] = ACTIONS(2405),
    [anon_sym_throw] = ACTIONS(2405),
    [anon_sym_try] = ACTIONS(2405),
    [anon_sym_if] = ACTIONS(2405),
    [anon_sym_else] = ACTIONS(2405),
    [anon_sym_for] = ACTIONS(2405),
    [anon_sym_AT] = ACTIONS(2405),
    [anon_sym_open] = ACTIONS(2405),
    [anon_sym_module] = ACTIONS(2405),
    [anon_sym_static] = ACTIONS(2405),
    [anon_sym_with] = ACTIONS(2405),
    [anon_sym_package] = ACTIONS(2405),
    [anon_sym_import] = ACTIONS(2405),
    [anon_sym_enum] = ACTIONS(2405),
    [anon_sym_public] = ACTIONS(2405),
    [anon_sym_protected] = ACTIONS(2405),
    [anon_sym_private] = ACTIONS(2405),
    [anon_sym_abstract] = ACTIONS(2405),
    [anon_sym_strictfp] = ACTIONS(2405),
    [anon_sym_native] = ACTIONS(2405),
    [anon_sym_transient] = ACTIONS(2405),
    [anon_sym_volatile] = ACTIONS(2405),
    [anon_sym_sealed] = ACTIONS(2405),
    [anon_sym_non_DASHsealed] = ACTIONS(2403),
    [anon_sym_record] = ACTIONS(2405),
    [anon_sym_ATinterface] = ACTIONS(2403),
    [anon_sym_interface] = ACTIONS(2405),
    [anon_sym_byte] = ACTIONS(2405),
    [anon_sym_short] = ACTIONS(2405),
    [anon_sym_int] = ACTIONS(2405),
    [anon_sym_long] = ACTIONS(2405),
    [anon_sym_char] = ACTIONS(2405),
    [anon_sym_float] = ACTIONS(2405),
    [anon_sym_double] = ACTIONS(2405),
    [sym_boolean_type] = ACTIONS(2405),
    [sym_void_type] = ACTIONS(2405),
    [anon_sym_def] = ACTIONS(2405),
    [sym_this] = ACTIONS(2405),
    [sym_super] = ACTIONS(2405),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [948] = {
    [ts_builtin_sym_end] = ACTIONS(2407),
    [sym_identifier] = ACTIONS(2409),
    [sym_decimal_integer_literal] = ACTIONS(2409),
    [sym_hex_integer_literal] = ACTIONS(2409),
    [sym_octal_integer_literal] = ACTIONS(2409),
    [sym_binary_integer_literal] = ACTIONS(2407),
    [sym_decimal_floating_point_literal] = ACTIONS(2407),
    [sym_hex_floating_point_literal] = ACTIONS(2409),
    [sym_true] = ACTIONS(2409),
    [sym_false] = ACTIONS(2409),
    [sym_character_literal] = ACTIONS(2407),
    [anon_sym_DQUOTE] = ACTIONS(2409),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2407),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2407),
    [anon_sym_RBRACE] = ACTIONS(2407),
    [sym_null_literal] = ACTIONS(2409),
    [anon_sym_LPAREN] = ACTIONS(2407),
    [anon_sym_LT] = ACTIONS(2407),
    [anon_sym_PLUS] = ACTIONS(2409),
    [anon_sym_DASH] = ACTIONS(2409),
    [anon_sym_final] = ACTIONS(2409),
    [anon_sym_DASH_GT] = ACTIONS(2407),
    [anon_sym_BANG] = ACTIONS(2407),
    [anon_sym_TILDE] = ACTIONS(2407),
    [anon_sym_PLUS_PLUS] = ACTIONS(2407),
    [anon_sym_DASH_DASH] = ACTIONS(2407),
    [anon_sym_new] = ACTIONS(2409),
    [anon_sym_LBRACK] = ACTIONS(2407),
    [anon_sym_class] = ACTIONS(2409),
    [anon_sym_switch] = ACTIONS(2409),
    [anon_sym_LBRACE] = ACTIONS(2407),
    [anon_sym_case] = ACTIONS(2409),
    [anon_sym_default] = ACTIONS(2409),
    [sym_underscore_pattern] = ACTIONS(2409),
    [anon_sym_SEMI] = ACTIONS(2407),
    [anon_sym_assert] = ACTIONS(2409),
    [anon_sym_do] = ACTIONS(2409),
    [anon_sym_while] = ACTIONS(2409),
    [anon_sym_break] = ACTIONS(2409),
    [anon_sym_continue] = ACTIONS(2409),
    [anon_sym_return] = ACTIONS(2409),
    [anon_sym_yield] = ACTIONS(2409),
    [anon_sym_synchronized] = ACTIONS(2409),
    [anon_sym_throw] = ACTIONS(2409),
    [anon_sym_try] = ACTIONS(2409),
    [anon_sym_if] = ACTIONS(2409),
    [anon_sym_else] = ACTIONS(2409),
    [anon_sym_for] = ACTIONS(2409),
    [anon_sym_AT] = ACTIONS(2409),
    [anon_sym_open] = ACTIONS(2409),
    [anon_sym_module] = ACTIONS(2409),
    [anon_sym_static] = ACTIONS(2409),
    [anon_sym_with] = ACTIONS(2409),
    [anon_sym_package] = ACTIONS(2409),
    [anon_sym_import] = ACTIONS(2409),
    [anon_sym_enum] = ACTIONS(2409),
    [anon_sym_public] = ACTIONS(2409),
    [anon_sym_protected] = ACTIONS(2409),
    [anon_sym_private] = ACTIONS(2409),
    [anon_sym_abstract] = ACTIONS(2409),
    [anon_sym_strictfp] = ACTIONS(2409),
    [anon_sym_native] = ACTIONS(2409),
    [anon_sym_transient] = ACTIONS(2409),
    [anon_sym_volatile] = ACTIONS(2409),
    [anon_sym_sealed] = ACTIONS(2409),
    [anon_sym_non_DASHsealed] = ACTIONS(2407),
    [anon_sym_record] = ACTIONS(2409),
    [anon_sym_ATinterface] = ACTIONS(2407),
    [anon_sym_interface] = ACTIONS(2409),
    [anon_sym_byte] = ACTIONS(2409),
    [anon_sym_short] = ACTIONS(2409),
    [anon_sym_int] = ACTIONS(2409),
    [anon_sym_long] = ACTIONS(2409),
    [anon_sym_char] = ACTIONS(2409),
    [anon_sym_float] = ACTIONS(2409),
    [anon_sym_double] = ACTIONS(2409),
    [sym_boolean_type] = ACTIONS(2409),
    [sym_void_type] = ACTIONS(2409),
    [anon_sym_def] = ACTIONS(2409),
    [sym_this] = ACTIONS(2409),
    [sym_super] = ACTIONS(2409),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [949] = {
    [ts_builtin_sym_end] = ACTIONS(2411),
    [sym_identifier] = ACTIONS(2413),
    [sym_decimal_integer_literal] = ACTIONS(2413),
    [sym_hex_integer_literal] = ACTIONS(2413),
    [sym_octal_integer_literal] = ACTIONS(2413),
    [sym_binary_integer_literal] = ACTIONS(2411),
    [sym_decimal_floating_point_literal] = ACTIONS(2411),
    [sym_hex_floating_point_literal] = ACTIONS(2413),
    [sym_true] = ACTIONS(2413),
    [sym_false] = ACTIONS(2413),
    [sym_character_literal] = ACTIONS(2411),
    [anon_sym_DQUOTE] = ACTIONS(2413),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2411),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2411),
    [anon_sym_RBRACE] = ACTIONS(2411),
    [sym_null_literal] = ACTIONS(2413),
    [anon_sym_LPAREN] = ACTIONS(2411),
    [anon_sym_LT] = ACTIONS(2411),
    [anon_sym_PLUS] = ACTIONS(2413),
    [anon_sym_DASH] = ACTIONS(2413),
    [anon_sym_final] = ACTIONS(2413),
    [anon_sym_DASH_GT] = ACTIONS(2411),
    [anon_sym_BANG] = ACTIONS(2411),
    [anon_sym_TILDE] = ACTIONS(2411),
    [anon_sym_PLUS_PLUS] = ACTIONS(2411),
    [anon_sym_DASH_DASH] = ACTIONS(2411),
    [anon_sym_new] = ACTIONS(2413),
    [anon_sym_LBRACK] = ACTIONS(2411),
    [anon_sym_class] = ACTIONS(2413),
    [anon_sym_switch] = ACTIONS(2413),
    [anon_sym_LBRACE] = ACTIONS(2411),
    [anon_sym_case] = ACTIONS(2413),
    [anon_sym_default] = ACTIONS(2413),
    [sym_underscore_pattern] = ACTIONS(2413),
    [anon_sym_SEMI] = ACTIONS(2411),
    [anon_sym_assert] = ACTIONS(2413),
    [anon_sym_do] = ACTIONS(2413),
    [anon_sym_while] = ACTIONS(2413),
    [anon_sym_break] = ACTIONS(2413),
    [anon_sym_continue] = ACTIONS(2413),
    [anon_sym_return] = ACTIONS(2413),
    [anon_sym_yield] = ACTIONS(2413),
    [anon_sym_synchronized] = ACTIONS(2413),
    [anon_sym_throw] = ACTIONS(2413),
    [anon_sym_try] = ACTIONS(2413),
    [anon_sym_if] = ACTIONS(2413),
    [anon_sym_else] = ACTIONS(2413),
    [anon_sym_for] = ACTIONS(2413),
    [anon_sym_AT] = ACTIONS(2413),
    [anon_sym_open] = ACTIONS(2413),
    [anon_sym_module] = ACTIONS(2413),
    [anon_sym_static] = ACTIONS(2413),
    [anon_sym_with] = ACTIONS(2413),
    [anon_sym_package] = ACTIONS(2413),
    [anon_sym_import] = ACTIONS(2413),
    [anon_sym_enum] = ACTIONS(2413),
    [anon_sym_public] = ACTIONS(2413),
    [anon_sym_protected] = ACTIONS(2413),
    [anon_sym_private] = ACTIONS(2413),
    [anon_sym_abstract] = ACTIONS(2413),
    [anon_sym_strictfp] = ACTIONS(2413),
    [anon_sym_native] = ACTIONS(2413),
    [anon_sym_transient] = ACTIONS(2413),
    [anon_sym_volatile] = ACTIONS(2413),
    [anon_sym_sealed] = ACTIONS(2413),
    [anon_sym_non_DASHsealed] = ACTIONS(2411),
    [anon_sym_record] = ACTIONS(2413),
    [anon_sym_ATinterface] = ACTIONS(2411),
    [anon_sym_interface] = ACTIONS(2413),
    [anon_sym_byte] = ACTIONS(2413),
    [anon_sym_short] = ACTIONS(2413),
    [anon_sym_int] = ACTIONS(2413),
    [anon_sym_long] = ACTIONS(2413),
    [anon_sym_char] = ACTIONS(2413),
    [anon_sym_float] = ACTIONS(2413),
    [anon_sym_double] = ACTIONS(2413),
    [sym_boolean_type] = ACTIONS(2413),
    [sym_void_type] = ACTIONS(2413),
    [anon_sym_def] = ACTIONS(2413),
    [sym_this] = ACTIONS(2413),
    [sym_super] = ACTIONS(2413),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [950] = {
    [ts_builtin_sym_end] = ACTIONS(2415),
    [sym_identifier] = ACTIONS(2417),
    [sym_decimal_integer_literal] = ACTIONS(2417),
    [sym_hex_integer_literal] = ACTIONS(2417),
    [sym_octal_integer_literal] = ACTIONS(2417),
    [sym_binary_integer_literal] = ACTIONS(2415),
    [sym_decimal_floating_point_literal] = ACTIONS(2415),
    [sym_hex_floating_point_literal] = ACTIONS(2417),
    [sym_true] = ACTIONS(2417),
    [sym_false] = ACTIONS(2417),
    [sym_character_literal] = ACTIONS(2415),
    [anon_sym_DQUOTE] = ACTIONS(2417),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2415),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2415),
    [anon_sym_RBRACE] = ACTIONS(2415),
    [sym_null_literal] = ACTIONS(2417),
    [anon_sym_LPAREN] = ACTIONS(2415),
    [anon_sym_LT] = ACTIONS(2415),
    [anon_sym_PLUS] = ACTIONS(2417),
    [anon_sym_DASH] = ACTIONS(2417),
    [anon_sym_final] = ACTIONS(2417),
    [anon_sym_DASH_GT] = ACTIONS(2415),
    [anon_sym_BANG] = ACTIONS(2415),
    [anon_sym_TILDE] = ACTIONS(2415),
    [anon_sym_PLUS_PLUS] = ACTIONS(2415),
    [anon_sym_DASH_DASH] = ACTIONS(2415),
    [anon_sym_new] = ACTIONS(2417),
    [anon_sym_LBRACK] = ACTIONS(2415),
    [anon_sym_class] = ACTIONS(2417),
    [anon_sym_switch] = ACTIONS(2417),
    [anon_sym_LBRACE] = ACTIONS(2415),
    [anon_sym_case] = ACTIONS(2417),
    [anon_sym_default] = ACTIONS(2417),
    [sym_underscore_pattern] = ACTIONS(2417),
    [anon_sym_SEMI] = ACTIONS(2415),
    [anon_sym_assert] = ACTIONS(2417),
    [anon_sym_do] = ACTIONS(2417),
    [anon_sym_while] = ACTIONS(2417),
    [anon_sym_break] = ACTIONS(2417),
    [anon_sym_continue] = ACTIONS(2417),
    [anon_sym_return] = ACTIONS(2417),
    [anon_sym_yield] = ACTIONS(2417),
    [anon_sym_synchronized] = ACTIONS(2417),
    [anon_sym_throw] = ACTIONS(2417),
    [anon_sym_try] = ACTIONS(2417),
    [anon_sym_if] = ACTIONS(2417),
    [anon_sym_else] = ACTIONS(2417),
    [anon_sym_for] = ACTIONS(2417),
    [anon_sym_AT] = ACTIONS(2417),
    [anon_sym_open] = ACTIONS(2417),
    [anon_sym_module] = ACTIONS(2417),
    [anon_sym_static] = ACTIONS(2417),
    [anon_sym_with] = ACTIONS(2417),
    [anon_sym_package] = ACTIONS(2417),
    [anon_sym_import] = ACTIONS(2417),
    [anon_sym_enum] = ACTIONS(2417),
    [anon_sym_public] = ACTIONS(2417),
    [anon_sym_protected] = ACTIONS(2417),
    [anon_sym_private] = ACTIONS(2417),
    [anon_sym_abstract] = ACTIONS(2417),
    [anon_sym_strictfp] = ACTIONS(2417),
    [anon_sym_native] = ACTIONS(2417),
    [anon_sym_transient] = ACTIONS(2417),
    [anon_sym_volatile] = ACTIONS(2417),
    [anon_sym_sealed] = ACTIONS(2417),
    [anon_sym_non_DASHsealed] = ACTIONS(2415),
    [anon_sym_record] = ACTIONS(2417),
    [anon_sym_ATinterface] = ACTIONS(2415),
    [anon_sym_interface] = ACTIONS(2417),
    [anon_sym_byte] = ACTIONS(2417),
    [anon_sym_short] = ACTIONS(2417),
    [anon_sym_int] = ACTIONS(2417),
    [anon_sym_long] = ACTIONS(2417),
    [anon_sym_char] = ACTIONS(2417),
    [anon_sym_float] = ACTIONS(2417),
    [anon_sym_double] = ACTIONS(2417),
    [sym_boolean_type] = ACTIONS(2417),
    [sym_void_type] = ACTIONS(2417),
    [anon_sym_def] = ACTIONS(2417),
    [sym_this] = ACTIONS(2417),
    [sym_super] = ACTIONS(2417),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [951] = {
    [ts_builtin_sym_end] = ACTIONS(2419),
    [sym_identifier] = ACTIONS(2421),
    [sym_decimal_integer_literal] = ACTIONS(2421),
    [sym_hex_integer_literal] = ACTIONS(2421),
    [sym_octal_integer_literal] = ACTIONS(2421),
    [sym_binary_integer_literal] = ACTIONS(2419),
    [sym_decimal_floating_point_literal] = ACTIONS(2419),
    [sym_hex_floating_point_literal] = ACTIONS(2421),
    [sym_true] = ACTIONS(2421),
    [sym_false] = ACTIONS(2421),
    [sym_character_literal] = ACTIONS(2419),
    [anon_sym_DQUOTE] = ACTIONS(2421),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2419),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2419),
    [anon_sym_RBRACE] = ACTIONS(2419),
    [sym_null_literal] = ACTIONS(2421),
    [anon_sym_LPAREN] = ACTIONS(2419),
    [anon_sym_LT] = ACTIONS(2419),
    [anon_sym_PLUS] = ACTIONS(2421),
    [anon_sym_DASH] = ACTIONS(2421),
    [anon_sym_final] = ACTIONS(2421),
    [anon_sym_DASH_GT] = ACTIONS(2419),
    [anon_sym_BANG] = ACTIONS(2419),
    [anon_sym_TILDE] = ACTIONS(2419),
    [anon_sym_PLUS_PLUS] = ACTIONS(2419),
    [anon_sym_DASH_DASH] = ACTIONS(2419),
    [anon_sym_new] = ACTIONS(2421),
    [anon_sym_LBRACK] = ACTIONS(2419),
    [anon_sym_class] = ACTIONS(2421),
    [anon_sym_switch] = ACTIONS(2421),
    [anon_sym_LBRACE] = ACTIONS(2419),
    [anon_sym_case] = ACTIONS(2421),
    [anon_sym_default] = ACTIONS(2421),
    [sym_underscore_pattern] = ACTIONS(2421),
    [anon_sym_SEMI] = ACTIONS(2419),
    [anon_sym_assert] = ACTIONS(2421),
    [anon_sym_do] = ACTIONS(2421),
    [anon_sym_while] = ACTIONS(2421),
    [anon_sym_break] = ACTIONS(2421),
    [anon_sym_continue] = ACTIONS(2421),
    [anon_sym_return] = ACTIONS(2421),
    [anon_sym_yield] = ACTIONS(2421),
    [anon_sym_synchronized] = ACTIONS(2421),
    [anon_sym_throw] = ACTIONS(2421),
    [anon_sym_try] = ACTIONS(2421),
    [anon_sym_if] = ACTIONS(2421),
    [anon_sym_else] = ACTIONS(2421),
    [anon_sym_for] = ACTIONS(2421),
    [anon_sym_AT] = ACTIONS(2421),
    [anon_sym_open] = ACTIONS(2421),
    [anon_sym_module] = ACTIONS(2421),
    [anon_sym_static] = ACTIONS(2421),
    [anon_sym_with] = ACTIONS(2421),
    [anon_sym_package] = ACTIONS(2421),
    [anon_sym_import] = ACTIONS(2421),
    [anon_sym_enum] = ACTIONS(2421),
    [anon_sym_public] = ACTIONS(2421),
    [anon_sym_protected] = ACTIONS(2421),
    [anon_sym_private] = ACTIONS(2421),
    [anon_sym_abstract] = ACTIONS(2421),
    [anon_sym_strictfp] = ACTIONS(2421),
    [anon_sym_native] = ACTIONS(2421),
    [anon_sym_transient] = ACTIONS(2421),
    [anon_sym_volatile] = ACTIONS(2421),
    [anon_sym_sealed] = ACTIONS(2421),
    [anon_sym_non_DASHsealed] = ACTIONS(2419),
    [anon_sym_record] = ACTIONS(2421),
    [anon_sym_ATinterface] = ACTIONS(2419),
    [anon_sym_interface] = ACTIONS(2421),
    [anon_sym_byte] = ACTIONS(2421),
    [anon_sym_short] = ACTIONS(2421),
    [anon_sym_int] = ACTIONS(2421),
    [anon_sym_long] = ACTIONS(2421),
    [anon_sym_char] = ACTIONS(2421),
    [anon_sym_float] = ACTIONS(2421),
    [anon_sym_double] = ACTIONS(2421),
    [sym_boolean_type] = ACTIONS(2421),
    [sym_void_type] = ACTIONS(2421),
    [anon_sym_def] = ACTIONS(2421),
    [sym_this] = ACTIONS(2421),
    [sym_super] = ACTIONS(2421),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [952] = {
    [ts_builtin_sym_end] = ACTIONS(2423),
    [sym_identifier] = ACTIONS(2425),
    [sym_decimal_integer_literal] = ACTIONS(2425),
    [sym_hex_integer_literal] = ACTIONS(2425),
    [sym_octal_integer_literal] = ACTIONS(2425),
    [sym_binary_integer_literal] = ACTIONS(2423),
    [sym_decimal_floating_point_literal] = ACTIONS(2423),
    [sym_hex_floating_point_literal] = ACTIONS(2425),
    [sym_true] = ACTIONS(2425),
    [sym_false] = ACTIONS(2425),
    [sym_character_literal] = ACTIONS(2423),
    [anon_sym_DQUOTE] = ACTIONS(2425),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2423),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2423),
    [anon_sym_RBRACE] = ACTIONS(2423),
    [sym_null_literal] = ACTIONS(2425),
    [anon_sym_LPAREN] = ACTIONS(2423),
    [anon_sym_LT] = ACTIONS(2423),
    [anon_sym_PLUS] = ACTIONS(2425),
    [anon_sym_DASH] = ACTIONS(2425),
    [anon_sym_final] = ACTIONS(2425),
    [anon_sym_DASH_GT] = ACTIONS(2423),
    [anon_sym_BANG] = ACTIONS(2423),
    [anon_sym_TILDE] = ACTIONS(2423),
    [anon_sym_PLUS_PLUS] = ACTIONS(2423),
    [anon_sym_DASH_DASH] = ACTIONS(2423),
    [anon_sym_new] = ACTIONS(2425),
    [anon_sym_LBRACK] = ACTIONS(2423),
    [anon_sym_class] = ACTIONS(2425),
    [anon_sym_switch] = ACTIONS(2425),
    [anon_sym_LBRACE] = ACTIONS(2423),
    [anon_sym_case] = ACTIONS(2425),
    [anon_sym_default] = ACTIONS(2425),
    [sym_underscore_pattern] = ACTIONS(2425),
    [anon_sym_SEMI] = ACTIONS(2423),
    [anon_sym_assert] = ACTIONS(2425),
    [anon_sym_do] = ACTIONS(2425),
    [anon_sym_while] = ACTIONS(2425),
    [anon_sym_break] = ACTIONS(2425),
    [anon_sym_continue] = ACTIONS(2425),
    [anon_sym_return] = ACTIONS(2425),
    [anon_sym_yield] = ACTIONS(2425),
    [anon_sym_synchronized] = ACTIONS(2425),
    [anon_sym_throw] = ACTIONS(2425),
    [anon_sym_try] = ACTIONS(2425),
    [anon_sym_if] = ACTIONS(2425),
    [anon_sym_else] = ACTIONS(2425),
    [anon_sym_for] = ACTIONS(2425),
    [anon_sym_AT] = ACTIONS(2425),
    [anon_sym_open] = ACTIONS(2425),
    [anon_sym_module] = ACTIONS(2425),
    [anon_sym_static] = ACTIONS(2425),
    [anon_sym_with] = ACTIONS(2425),
    [anon_sym_package] = ACTIONS(2425),
    [anon_sym_import] = ACTIONS(2425),
    [anon_sym_enum] = ACTIONS(2425),
    [anon_sym_public] = ACTIONS(2425),
    [anon_sym_protected] = ACTIONS(2425),
    [anon_sym_private] = ACTIONS(2425),
    [anon_sym_abstract] = ACTIONS(2425),
    [anon_sym_strictfp] = ACTIONS(2425),
    [anon_sym_native] = ACTIONS(2425),
    [anon_sym_transient] = ACTIONS(2425),
    [anon_sym_volatile] = ACTIONS(2425),
    [anon_sym_sealed] = ACTIONS(2425),
    [anon_sym_non_DASHsealed] = ACTIONS(2423),
    [anon_sym_record] = ACTIONS(2425),
    [anon_sym_ATinterface] = ACTIONS(2423),
    [anon_sym_interface] = ACTIONS(2425),
    [anon_sym_byte] = ACTIONS(2425),
    [anon_sym_short] = ACTIONS(2425),
    [anon_sym_int] = ACTIONS(2425),
    [anon_sym_long] = ACTIONS(2425),
    [anon_sym_char] = ACTIONS(2425),
    [anon_sym_float] = ACTIONS(2425),
    [anon_sym_double] = ACTIONS(2425),
    [sym_boolean_type] = ACTIONS(2425),
    [sym_void_type] = ACTIONS(2425),
    [anon_sym_def] = ACTIONS(2425),
    [sym_this] = ACTIONS(2425),
    [sym_super] = ACTIONS(2425),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [953] = {
    [ts_builtin_sym_end] = ACTIONS(2427),
    [sym_identifier] = ACTIONS(2429),
    [sym_decimal_integer_literal] = ACTIONS(2429),
    [sym_hex_integer_literal] = ACTIONS(2429),
    [sym_octal_integer_literal] = ACTIONS(2429),
    [sym_binary_integer_literal] = ACTIONS(2427),
    [sym_decimal_floating_point_literal] = ACTIONS(2427),
    [sym_hex_floating_point_literal] = ACTIONS(2429),
    [sym_true] = ACTIONS(2429),
    [sym_false] = ACTIONS(2429),
    [sym_character_literal] = ACTIONS(2427),
    [anon_sym_DQUOTE] = ACTIONS(2429),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2427),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2427),
    [anon_sym_RBRACE] = ACTIONS(2427),
    [sym_null_literal] = ACTIONS(2429),
    [anon_sym_LPAREN] = ACTIONS(2427),
    [anon_sym_LT] = ACTIONS(2427),
    [anon_sym_PLUS] = ACTIONS(2429),
    [anon_sym_DASH] = ACTIONS(2429),
    [anon_sym_final] = ACTIONS(2429),
    [anon_sym_DASH_GT] = ACTIONS(2427),
    [anon_sym_BANG] = ACTIONS(2427),
    [anon_sym_TILDE] = ACTIONS(2427),
    [anon_sym_PLUS_PLUS] = ACTIONS(2427),
    [anon_sym_DASH_DASH] = ACTIONS(2427),
    [anon_sym_new] = ACTIONS(2429),
    [anon_sym_LBRACK] = ACTIONS(2427),
    [anon_sym_class] = ACTIONS(2429),
    [anon_sym_switch] = ACTIONS(2429),
    [anon_sym_LBRACE] = ACTIONS(2427),
    [anon_sym_case] = ACTIONS(2429),
    [anon_sym_default] = ACTIONS(2429),
    [sym_underscore_pattern] = ACTIONS(2429),
    [anon_sym_SEMI] = ACTIONS(2427),
    [anon_sym_assert] = ACTIONS(2429),
    [anon_sym_do] = ACTIONS(2429),
    [anon_sym_while] = ACTIONS(2429),
    [anon_sym_break] = ACTIONS(2429),
    [anon_sym_continue] = ACTIONS(2429),
    [anon_sym_return] = ACTIONS(2429),
    [anon_sym_yield] = ACTIONS(2429),
    [anon_sym_synchronized] = ACTIONS(2429),
    [anon_sym_throw] = ACTIONS(2429),
    [anon_sym_try] = ACTIONS(2429),
    [anon_sym_if] = ACTIONS(2429),
    [anon_sym_else] = ACTIONS(2429),
    [anon_sym_for] = ACTIONS(2429),
    [anon_sym_AT] = ACTIONS(2429),
    [anon_sym_open] = ACTIONS(2429),
    [anon_sym_module] = ACTIONS(2429),
    [anon_sym_static] = ACTIONS(2429),
    [anon_sym_with] = ACTIONS(2429),
    [anon_sym_package] = ACTIONS(2429),
    [anon_sym_import] = ACTIONS(2429),
    [anon_sym_enum] = ACTIONS(2429),
    [anon_sym_public] = ACTIONS(2429),
    [anon_sym_protected] = ACTIONS(2429),
    [anon_sym_private] = ACTIONS(2429),
    [anon_sym_abstract] = ACTIONS(2429),
    [anon_sym_strictfp] = ACTIONS(2429),
    [anon_sym_native] = ACTIONS(2429),
    [anon_sym_transient] = ACTIONS(2429),
    [anon_sym_volatile] = ACTIONS(2429),
    [anon_sym_sealed] = ACTIONS(2429),
    [anon_sym_non_DASHsealed] = ACTIONS(2427),
    [anon_sym_record] = ACTIONS(2429),
    [anon_sym_ATinterface] = ACTIONS(2427),
    [anon_sym_interface] = ACTIONS(2429),
    [anon_sym_byte] = ACTIONS(2429),
    [anon_sym_short] = ACTIONS(2429),
    [anon_sym_int] = ACTIONS(2429),
    [anon_sym_long] = ACTIONS(2429),
    [anon_sym_char] = ACTIONS(2429),
    [anon_sym_float] = ACTIONS(2429),
    [anon_sym_double] = ACTIONS(2429),
    [sym_boolean_type] = ACTIONS(2429),
    [sym_void_type] = ACTIONS(2429),
    [anon_sym_def] = ACTIONS(2429),
    [sym_this] = ACTIONS(2429),
    [sym_super] = ACTIONS(2429),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [954] = {
    [ts_builtin_sym_end] = ACTIONS(2431),
    [sym_identifier] = ACTIONS(2433),
    [sym_decimal_integer_literal] = ACTIONS(2433),
    [sym_hex_integer_literal] = ACTIONS(2433),
    [sym_octal_integer_literal] = ACTIONS(2433),
    [sym_binary_integer_literal] = ACTIONS(2431),
    [sym_decimal_floating_point_literal] = ACTIONS(2431),
    [sym_hex_floating_point_literal] = ACTIONS(2433),
    [sym_true] = ACTIONS(2433),
    [sym_false] = ACTIONS(2433),
    [sym_character_literal] = ACTIONS(2431),
    [anon_sym_DQUOTE] = ACTIONS(2433),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2431),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2431),
    [anon_sym_RBRACE] = ACTIONS(2431),
    [sym_null_literal] = ACTIONS(2433),
    [anon_sym_LPAREN] = ACTIONS(2431),
    [anon_sym_LT] = ACTIONS(2431),
    [anon_sym_PLUS] = ACTIONS(2433),
    [anon_sym_DASH] = ACTIONS(2433),
    [anon_sym_final] = ACTIONS(2433),
    [anon_sym_DASH_GT] = ACTIONS(2431),
    [anon_sym_BANG] = ACTIONS(2431),
    [anon_sym_TILDE] = ACTIONS(2431),
    [anon_sym_PLUS_PLUS] = ACTIONS(2431),
    [anon_sym_DASH_DASH] = ACTIONS(2431),
    [anon_sym_new] = ACTIONS(2433),
    [anon_sym_LBRACK] = ACTIONS(2431),
    [anon_sym_class] = ACTIONS(2433),
    [anon_sym_switch] = ACTIONS(2433),
    [anon_sym_LBRACE] = ACTIONS(2431),
    [anon_sym_case] = ACTIONS(2433),
    [anon_sym_default] = ACTIONS(2433),
    [sym_underscore_pattern] = ACTIONS(2433),
    [anon_sym_SEMI] = ACTIONS(2431),
    [anon_sym_assert] = ACTIONS(2433),
    [anon_sym_do] = ACTIONS(2433),
    [anon_sym_while] = ACTIONS(2433),
    [anon_sym_break] = ACTIONS(2433),
    [anon_sym_continue] = ACTIONS(2433),
    [anon_sym_return] = ACTIONS(2433),
    [anon_sym_yield] = ACTIONS(2433),
    [anon_sym_synchronized] = ACTIONS(2433),
    [anon_sym_throw] = ACTIONS(2433),
    [anon_sym_try] = ACTIONS(2433),
    [anon_sym_if] = ACTIONS(2433),
    [anon_sym_else] = ACTIONS(2433),
    [anon_sym_for] = ACTIONS(2433),
    [anon_sym_AT] = ACTIONS(2433),
    [anon_sym_open] = ACTIONS(2433),
    [anon_sym_module] = ACTIONS(2433),
    [anon_sym_static] = ACTIONS(2433),
    [anon_sym_with] = ACTIONS(2433),
    [anon_sym_package] = ACTIONS(2433),
    [anon_sym_import] = ACTIONS(2433),
    [anon_sym_enum] = ACTIONS(2433),
    [anon_sym_public] = ACTIONS(2433),
    [anon_sym_protected] = ACTIONS(2433),
    [anon_sym_private] = ACTIONS(2433),
    [anon_sym_abstract] = ACTIONS(2433),
    [anon_sym_strictfp] = ACTIONS(2433),
    [anon_sym_native] = ACTIONS(2433),
    [anon_sym_transient] = ACTIONS(2433),
    [anon_sym_volatile] = ACTIONS(2433),
    [anon_sym_sealed] = ACTIONS(2433),
    [anon_sym_non_DASHsealed] = ACTIONS(2431),
    [anon_sym_record] = ACTIONS(2433),
    [anon_sym_ATinterface] = ACTIONS(2431),
    [anon_sym_interface] = ACTIONS(2433),
    [anon_sym_byte] = ACTIONS(2433),
    [anon_sym_short] = ACTIONS(2433),
    [anon_sym_int] = ACTIONS(2433),
    [anon_sym_long] = ACTIONS(2433),
    [anon_sym_char] = ACTIONS(2433),
    [anon_sym_float] = ACTIONS(2433),
    [anon_sym_double] = ACTIONS(2433),
    [sym_boolean_type] = ACTIONS(2433),
    [sym_void_type] = ACTIONS(2433),
    [anon_sym_def] = ACTIONS(2433),
    [sym_this] = ACTIONS(2433),
    [sym_super] = ACTIONS(2433),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [955] = {
    [ts_builtin_sym_end] = ACTIONS(2435),
    [sym_identifier] = ACTIONS(2437),
    [sym_decimal_integer_literal] = ACTIONS(2437),
    [sym_hex_integer_literal] = ACTIONS(2437),
    [sym_octal_integer_literal] = ACTIONS(2437),
    [sym_binary_integer_literal] = ACTIONS(2435),
    [sym_decimal_floating_point_literal] = ACTIONS(2435),
    [sym_hex_floating_point_literal] = ACTIONS(2437),
    [sym_true] = ACTIONS(2437),
    [sym_false] = ACTIONS(2437),
    [sym_character_literal] = ACTIONS(2435),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2435),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2435),
    [anon_sym_RBRACE] = ACTIONS(2435),
    [sym_null_literal] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2435),
    [anon_sym_LT] = ACTIONS(2435),
    [anon_sym_PLUS] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2437),
    [anon_sym_final] = ACTIONS(2437),
    [anon_sym_DASH_GT] = ACTIONS(2435),
    [anon_sym_BANG] = ACTIONS(2435),
    [anon_sym_TILDE] = ACTIONS(2435),
    [anon_sym_PLUS_PLUS] = ACTIONS(2435),
    [anon_sym_DASH_DASH] = ACTIONS(2435),
    [anon_sym_new] = ACTIONS(2437),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [anon_sym_class] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_LBRACE] = ACTIONS(2435),
    [anon_sym_case] = ACTIONS(2437),
    [anon_sym_default] = ACTIONS(2437),
    [sym_underscore_pattern] = ACTIONS(2437),
    [anon_sym_SEMI] = ACTIONS(2435),
    [anon_sym_assert] = ACTIONS(2437),
    [anon_sym_do] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2437),
    [anon_sym_break] = ACTIONS(2437),
    [anon_sym_continue] = ACTIONS(2437),
    [anon_sym_return] = ACTIONS(2437),
    [anon_sym_yield] = ACTIONS(2437),
    [anon_sym_synchronized] = ACTIONS(2437),
    [anon_sym_throw] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_else] = ACTIONS(2437),
    [anon_sym_for] = ACTIONS(2437),
    [anon_sym_AT] = ACTIONS(2437),
    [anon_sym_open] = ACTIONS(2437),
    [anon_sym_module] = ACTIONS(2437),
    [anon_sym_static] = ACTIONS(2437),
    [anon_sym_with] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2437),
    [anon_sym_import] = ACTIONS(2437),
    [anon_sym_enum] = ACTIONS(2437),
    [anon_sym_public] = ACTIONS(2437),
    [anon_sym_protected] = ACTIONS(2437),
    [anon_sym_private] = ACTIONS(2437),
    [anon_sym_abstract] = ACTIONS(2437),
    [anon_sym_strictfp] = ACTIONS(2437),
    [anon_sym_native] = ACTIONS(2437),
    [anon_sym_transient] = ACTIONS(2437),
    [anon_sym_volatile] = ACTIONS(2437),
    [anon_sym_sealed] = ACTIONS(2437),
    [anon_sym_non_DASHsealed] = ACTIONS(2435),
    [anon_sym_record] = ACTIONS(2437),
    [anon_sym_ATinterface] = ACTIONS(2435),
    [anon_sym_interface] = ACTIONS(2437),
    [anon_sym_byte] = ACTIONS(2437),
    [anon_sym_short] = ACTIONS(2437),
    [anon_sym_int] = ACTIONS(2437),
    [anon_sym_long] = ACTIONS(2437),
    [anon_sym_char] = ACTIONS(2437),
    [anon_sym_float] = ACTIONS(2437),
    [anon_sym_double] = ACTIONS(2437),
    [sym_boolean_type] = ACTIONS(2437),
    [sym_void_type] = ACTIONS(2437),
    [anon_sym_def] = ACTIONS(2437),
    [sym_this] = ACTIONS(2437),
    [sym_super] = ACTIONS(2437),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [956] = {
    [ts_builtin_sym_end] = ACTIONS(2435),
    [sym_identifier] = ACTIONS(2437),
    [sym_decimal_integer_literal] = ACTIONS(2437),
    [sym_hex_integer_literal] = ACTIONS(2437),
    [sym_octal_integer_literal] = ACTIONS(2437),
    [sym_binary_integer_literal] = ACTIONS(2435),
    [sym_decimal_floating_point_literal] = ACTIONS(2435),
    [sym_hex_floating_point_literal] = ACTIONS(2437),
    [sym_true] = ACTIONS(2437),
    [sym_false] = ACTIONS(2437),
    [sym_character_literal] = ACTIONS(2435),
    [anon_sym_DQUOTE] = ACTIONS(2437),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2435),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2435),
    [anon_sym_RBRACE] = ACTIONS(2435),
    [sym_null_literal] = ACTIONS(2437),
    [anon_sym_LPAREN] = ACTIONS(2435),
    [anon_sym_LT] = ACTIONS(2435),
    [anon_sym_PLUS] = ACTIONS(2437),
    [anon_sym_DASH] = ACTIONS(2437),
    [anon_sym_final] = ACTIONS(2437),
    [anon_sym_DASH_GT] = ACTIONS(2435),
    [anon_sym_BANG] = ACTIONS(2435),
    [anon_sym_TILDE] = ACTIONS(2435),
    [anon_sym_PLUS_PLUS] = ACTIONS(2435),
    [anon_sym_DASH_DASH] = ACTIONS(2435),
    [anon_sym_new] = ACTIONS(2437),
    [anon_sym_LBRACK] = ACTIONS(2435),
    [anon_sym_class] = ACTIONS(2437),
    [anon_sym_switch] = ACTIONS(2437),
    [anon_sym_LBRACE] = ACTIONS(2435),
    [anon_sym_case] = ACTIONS(2437),
    [anon_sym_default] = ACTIONS(2437),
    [sym_underscore_pattern] = ACTIONS(2437),
    [anon_sym_SEMI] = ACTIONS(2435),
    [anon_sym_assert] = ACTIONS(2437),
    [anon_sym_do] = ACTIONS(2437),
    [anon_sym_while] = ACTIONS(2437),
    [anon_sym_break] = ACTIONS(2437),
    [anon_sym_continue] = ACTIONS(2437),
    [anon_sym_return] = ACTIONS(2437),
    [anon_sym_yield] = ACTIONS(2437),
    [anon_sym_synchronized] = ACTIONS(2437),
    [anon_sym_throw] = ACTIONS(2437),
    [anon_sym_try] = ACTIONS(2437),
    [anon_sym_if] = ACTIONS(2437),
    [anon_sym_else] = ACTIONS(2437),
    [anon_sym_for] = ACTIONS(2437),
    [anon_sym_AT] = ACTIONS(2437),
    [anon_sym_open] = ACTIONS(2437),
    [anon_sym_module] = ACTIONS(2437),
    [anon_sym_static] = ACTIONS(2437),
    [anon_sym_with] = ACTIONS(2437),
    [anon_sym_package] = ACTIONS(2437),
    [anon_sym_import] = ACTIONS(2437),
    [anon_sym_enum] = ACTIONS(2437),
    [anon_sym_public] = ACTIONS(2437),
    [anon_sym_protected] = ACTIONS(2437),
    [anon_sym_private] = ACTIONS(2437),
    [anon_sym_abstract] = ACTIONS(2437),
    [anon_sym_strictfp] = ACTIONS(2437),
    [anon_sym_native] = ACTIONS(2437),
    [anon_sym_transient] = ACTIONS(2437),
    [anon_sym_volatile] = ACTIONS(2437),
    [anon_sym_sealed] = ACTIONS(2437),
    [anon_sym_non_DASHsealed] = ACTIONS(2435),
    [anon_sym_record] = ACTIONS(2437),
    [anon_sym_ATinterface] = ACTIONS(2435),
    [anon_sym_interface] = ACTIONS(2437),
    [anon_sym_byte] = ACTIONS(2437),
    [anon_sym_short] = ACTIONS(2437),
    [anon_sym_int] = ACTIONS(2437),
    [anon_sym_long] = ACTIONS(2437),
    [anon_sym_char] = ACTIONS(2437),
    [anon_sym_float] = ACTIONS(2437),
    [anon_sym_double] = ACTIONS(2437),
    [sym_boolean_type] = ACTIONS(2437),
    [sym_void_type] = ACTIONS(2437),
    [anon_sym_def] = ACTIONS(2437),
    [sym_this] = ACTIONS(2437),
    [sym_super] = ACTIONS(2437),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [957] = {
    [ts_builtin_sym_end] = ACTIONS(2439),
    [sym_identifier] = ACTIONS(2441),
    [sym_decimal_integer_literal] = ACTIONS(2441),
    [sym_hex_integer_literal] = ACTIONS(2441),
    [sym_octal_integer_literal] = ACTIONS(2441),
    [sym_binary_integer_literal] = ACTIONS(2439),
    [sym_decimal_floating_point_literal] = ACTIONS(2439),
    [sym_hex_floating_point_literal] = ACTIONS(2441),
    [sym_true] = ACTIONS(2441),
    [sym_false] = ACTIONS(2441),
    [sym_character_literal] = ACTIONS(2439),
    [anon_sym_DQUOTE] = ACTIONS(2441),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2439),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2439),
    [anon_sym_RBRACE] = ACTIONS(2439),
    [sym_null_literal] = ACTIONS(2441),
    [anon_sym_LPAREN] = ACTIONS(2439),
    [anon_sym_LT] = ACTIONS(2439),
    [anon_sym_PLUS] = ACTIONS(2441),
    [anon_sym_DASH] = ACTIONS(2441),
    [anon_sym_final] = ACTIONS(2441),
    [anon_sym_DASH_GT] = ACTIONS(2439),
    [anon_sym_BANG] = ACTIONS(2439),
    [anon_sym_TILDE] = ACTIONS(2439),
    [anon_sym_PLUS_PLUS] = ACTIONS(2439),
    [anon_sym_DASH_DASH] = ACTIONS(2439),
    [anon_sym_new] = ACTIONS(2441),
    [anon_sym_LBRACK] = ACTIONS(2439),
    [anon_sym_class] = ACTIONS(2441),
    [anon_sym_switch] = ACTIONS(2441),
    [anon_sym_LBRACE] = ACTIONS(2439),
    [anon_sym_case] = ACTIONS(2441),
    [anon_sym_default] = ACTIONS(2441),
    [sym_underscore_pattern] = ACTIONS(2441),
    [anon_sym_SEMI] = ACTIONS(2439),
    [anon_sym_assert] = ACTIONS(2441),
    [anon_sym_do] = ACTIONS(2441),
    [anon_sym_while] = ACTIONS(2441),
    [anon_sym_break] = ACTIONS(2441),
    [anon_sym_continue] = ACTIONS(2441),
    [anon_sym_return] = ACTIONS(2441),
    [anon_sym_yield] = ACTIONS(2441),
    [anon_sym_synchronized] = ACTIONS(2441),
    [anon_sym_throw] = ACTIONS(2441),
    [anon_sym_try] = ACTIONS(2441),
    [anon_sym_if] = ACTIONS(2441),
    [anon_sym_else] = ACTIONS(2441),
    [anon_sym_for] = ACTIONS(2441),
    [anon_sym_AT] = ACTIONS(2441),
    [anon_sym_open] = ACTIONS(2441),
    [anon_sym_module] = ACTIONS(2441),
    [anon_sym_static] = ACTIONS(2441),
    [anon_sym_with] = ACTIONS(2441),
    [anon_sym_package] = ACTIONS(2441),
    [anon_sym_import] = ACTIONS(2441),
    [anon_sym_enum] = ACTIONS(2441),
    [anon_sym_public] = ACTIONS(2441),
    [anon_sym_protected] = ACTIONS(2441),
    [anon_sym_private] = ACTIONS(2441),
    [anon_sym_abstract] = ACTIONS(2441),
    [anon_sym_strictfp] = ACTIONS(2441),
    [anon_sym_native] = ACTIONS(2441),
    [anon_sym_transient] = ACTIONS(2441),
    [anon_sym_volatile] = ACTIONS(2441),
    [anon_sym_sealed] = ACTIONS(2441),
    [anon_sym_non_DASHsealed] = ACTIONS(2439),
    [anon_sym_record] = ACTIONS(2441),
    [anon_sym_ATinterface] = ACTIONS(2439),
    [anon_sym_interface] = ACTIONS(2441),
    [anon_sym_byte] = ACTIONS(2441),
    [anon_sym_short] = ACTIONS(2441),
    [anon_sym_int] = ACTIONS(2441),
    [anon_sym_long] = ACTIONS(2441),
    [anon_sym_char] = ACTIONS(2441),
    [anon_sym_float] = ACTIONS(2441),
    [anon_sym_double] = ACTIONS(2441),
    [sym_boolean_type] = ACTIONS(2441),
    [sym_void_type] = ACTIONS(2441),
    [anon_sym_def] = ACTIONS(2441),
    [sym_this] = ACTIONS(2441),
    [sym_super] = ACTIONS(2441),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [958] = {
    [ts_builtin_sym_end] = ACTIONS(2443),
    [sym_identifier] = ACTIONS(2445),
    [sym_decimal_integer_literal] = ACTIONS(2445),
    [sym_hex_integer_literal] = ACTIONS(2445),
    [sym_octal_integer_literal] = ACTIONS(2445),
    [sym_binary_integer_literal] = ACTIONS(2443),
    [sym_decimal_floating_point_literal] = ACTIONS(2443),
    [sym_hex_floating_point_literal] = ACTIONS(2445),
    [sym_true] = ACTIONS(2445),
    [sym_false] = ACTIONS(2445),
    [sym_character_literal] = ACTIONS(2443),
    [anon_sym_DQUOTE] = ACTIONS(2445),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2443),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2443),
    [anon_sym_RBRACE] = ACTIONS(2443),
    [sym_null_literal] = ACTIONS(2445),
    [anon_sym_LPAREN] = ACTIONS(2443),
    [anon_sym_LT] = ACTIONS(2443),
    [anon_sym_PLUS] = ACTIONS(2445),
    [anon_sym_DASH] = ACTIONS(2445),
    [anon_sym_final] = ACTIONS(2445),
    [anon_sym_DASH_GT] = ACTIONS(2443),
    [anon_sym_BANG] = ACTIONS(2443),
    [anon_sym_TILDE] = ACTIONS(2443),
    [anon_sym_PLUS_PLUS] = ACTIONS(2443),
    [anon_sym_DASH_DASH] = ACTIONS(2443),
    [anon_sym_new] = ACTIONS(2445),
    [anon_sym_LBRACK] = ACTIONS(2443),
    [anon_sym_class] = ACTIONS(2445),
    [anon_sym_switch] = ACTIONS(2445),
    [anon_sym_LBRACE] = ACTIONS(2443),
    [anon_sym_case] = ACTIONS(2445),
    [anon_sym_default] = ACTIONS(2445),
    [sym_underscore_pattern] = ACTIONS(2445),
    [anon_sym_SEMI] = ACTIONS(2443),
    [anon_sym_assert] = ACTIONS(2445),
    [anon_sym_do] = ACTIONS(2445),
    [anon_sym_while] = ACTIONS(2445),
    [anon_sym_break] = ACTIONS(2445),
    [anon_sym_continue] = ACTIONS(2445),
    [anon_sym_return] = ACTIONS(2445),
    [anon_sym_yield] = ACTIONS(2445),
    [anon_sym_synchronized] = ACTIONS(2445),
    [anon_sym_throw] = ACTIONS(2445),
    [anon_sym_try] = ACTIONS(2445),
    [anon_sym_if] = ACTIONS(2445),
    [anon_sym_else] = ACTIONS(2445),
    [anon_sym_for] = ACTIONS(2445),
    [anon_sym_AT] = ACTIONS(2445),
    [anon_sym_open] = ACTIONS(2445),
    [anon_sym_module] = ACTIONS(2445),
    [anon_sym_static] = ACTIONS(2445),
    [anon_sym_with] = ACTIONS(2445),
    [anon_sym_package] = ACTIONS(2445),
    [anon_sym_import] = ACTIONS(2445),
    [anon_sym_enum] = ACTIONS(2445),
    [anon_sym_public] = ACTIONS(2445),
    [anon_sym_protected] = ACTIONS(2445),
    [anon_sym_private] = ACTIONS(2445),
    [anon_sym_abstract] = ACTIONS(2445),
    [anon_sym_strictfp] = ACTIONS(2445),
    [anon_sym_native] = ACTIONS(2445),
    [anon_sym_transient] = ACTIONS(2445),
    [anon_sym_volatile] = ACTIONS(2445),
    [anon_sym_sealed] = ACTIONS(2445),
    [anon_sym_non_DASHsealed] = ACTIONS(2443),
    [anon_sym_record] = ACTIONS(2445),
    [anon_sym_ATinterface] = ACTIONS(2443),
    [anon_sym_interface] = ACTIONS(2445),
    [anon_sym_byte] = ACTIONS(2445),
    [anon_sym_short] = ACTIONS(2445),
    [anon_sym_int] = ACTIONS(2445),
    [anon_sym_long] = ACTIONS(2445),
    [anon_sym_char] = ACTIONS(2445),
    [anon_sym_float] = ACTIONS(2445),
    [anon_sym_double] = ACTIONS(2445),
    [sym_boolean_type] = ACTIONS(2445),
    [sym_void_type] = ACTIONS(2445),
    [anon_sym_def] = ACTIONS(2445),
    [sym_this] = ACTIONS(2445),
    [sym_super] = ACTIONS(2445),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [959] = {
    [ts_builtin_sym_end] = ACTIONS(2447),
    [sym_identifier] = ACTIONS(2449),
    [sym_decimal_integer_literal] = ACTIONS(2449),
    [sym_hex_integer_literal] = ACTIONS(2449),
    [sym_octal_integer_literal] = ACTIONS(2449),
    [sym_binary_integer_literal] = ACTIONS(2447),
    [sym_decimal_floating_point_literal] = ACTIONS(2447),
    [sym_hex_floating_point_literal] = ACTIONS(2449),
    [sym_true] = ACTIONS(2449),
    [sym_false] = ACTIONS(2449),
    [sym_character_literal] = ACTIONS(2447),
    [anon_sym_DQUOTE] = ACTIONS(2449),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2447),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2447),
    [anon_sym_RBRACE] = ACTIONS(2447),
    [sym_null_literal] = ACTIONS(2449),
    [anon_sym_LPAREN] = ACTIONS(2447),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_final] = ACTIONS(2449),
    [anon_sym_DASH_GT] = ACTIONS(2447),
    [anon_sym_BANG] = ACTIONS(2447),
    [anon_sym_TILDE] = ACTIONS(2447),
    [anon_sym_PLUS_PLUS] = ACTIONS(2447),
    [anon_sym_DASH_DASH] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_class] = ACTIONS(2449),
    [anon_sym_switch] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_case] = ACTIONS(2449),
    [anon_sym_default] = ACTIONS(2449),
    [sym_underscore_pattern] = ACTIONS(2449),
    [anon_sym_SEMI] = ACTIONS(2447),
    [anon_sym_assert] = ACTIONS(2449),
    [anon_sym_do] = ACTIONS(2449),
    [anon_sym_while] = ACTIONS(2449),
    [anon_sym_break] = ACTIONS(2449),
    [anon_sym_continue] = ACTIONS(2449),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_yield] = ACTIONS(2449),
    [anon_sym_synchronized] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2449),
    [anon_sym_try] = ACTIONS(2449),
    [anon_sym_if] = ACTIONS(2449),
    [anon_sym_else] = ACTIONS(2449),
    [anon_sym_for] = ACTIONS(2449),
    [anon_sym_AT] = ACTIONS(2449),
    [anon_sym_open] = ACTIONS(2449),
    [anon_sym_module] = ACTIONS(2449),
    [anon_sym_static] = ACTIONS(2449),
    [anon_sym_with] = ACTIONS(2449),
    [anon_sym_package] = ACTIONS(2449),
    [anon_sym_import] = ACTIONS(2449),
    [anon_sym_enum] = ACTIONS(2449),
    [anon_sym_public] = ACTIONS(2449),
    [anon_sym_protected] = ACTIONS(2449),
    [anon_sym_private] = ACTIONS(2449),
    [anon_sym_abstract] = ACTIONS(2449),
    [anon_sym_strictfp] = ACTIONS(2449),
    [anon_sym_native] = ACTIONS(2449),
    [anon_sym_transient] = ACTIONS(2449),
    [anon_sym_volatile] = ACTIONS(2449),
    [anon_sym_sealed] = ACTIONS(2449),
    [anon_sym_non_DASHsealed] = ACTIONS(2447),
    [anon_sym_record] = ACTIONS(2449),
    [anon_sym_ATinterface] = ACTIONS(2447),
    [anon_sym_interface] = ACTIONS(2449),
    [anon_sym_byte] = ACTIONS(2449),
    [anon_sym_short] = ACTIONS(2449),
    [anon_sym_int] = ACTIONS(2449),
    [anon_sym_long] = ACTIONS(2449),
    [anon_sym_char] = ACTIONS(2449),
    [anon_sym_float] = ACTIONS(2449),
    [anon_sym_double] = ACTIONS(2449),
    [sym_boolean_type] = ACTIONS(2449),
    [sym_void_type] = ACTIONS(2449),
    [anon_sym_def] = ACTIONS(2449),
    [sym_this] = ACTIONS(2449),
    [sym_super] = ACTIONS(2449),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [960] = {
    [ts_builtin_sym_end] = ACTIONS(2447),
    [sym_identifier] = ACTIONS(2449),
    [sym_decimal_integer_literal] = ACTIONS(2449),
    [sym_hex_integer_literal] = ACTIONS(2449),
    [sym_octal_integer_literal] = ACTIONS(2449),
    [sym_binary_integer_literal] = ACTIONS(2447),
    [sym_decimal_floating_point_literal] = ACTIONS(2447),
    [sym_hex_floating_point_literal] = ACTIONS(2449),
    [sym_true] = ACTIONS(2449),
    [sym_false] = ACTIONS(2449),
    [sym_character_literal] = ACTIONS(2447),
    [anon_sym_DQUOTE] = ACTIONS(2449),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2447),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2447),
    [anon_sym_RBRACE] = ACTIONS(2447),
    [sym_null_literal] = ACTIONS(2449),
    [anon_sym_LPAREN] = ACTIONS(2447),
    [anon_sym_LT] = ACTIONS(2447),
    [anon_sym_PLUS] = ACTIONS(2449),
    [anon_sym_DASH] = ACTIONS(2449),
    [anon_sym_final] = ACTIONS(2449),
    [anon_sym_DASH_GT] = ACTIONS(2447),
    [anon_sym_BANG] = ACTIONS(2447),
    [anon_sym_TILDE] = ACTIONS(2447),
    [anon_sym_PLUS_PLUS] = ACTIONS(2447),
    [anon_sym_DASH_DASH] = ACTIONS(2447),
    [anon_sym_new] = ACTIONS(2449),
    [anon_sym_LBRACK] = ACTIONS(2447),
    [anon_sym_class] = ACTIONS(2449),
    [anon_sym_switch] = ACTIONS(2449),
    [anon_sym_LBRACE] = ACTIONS(2447),
    [anon_sym_case] = ACTIONS(2449),
    [anon_sym_default] = ACTIONS(2449),
    [sym_underscore_pattern] = ACTIONS(2449),
    [anon_sym_SEMI] = ACTIONS(2447),
    [anon_sym_assert] = ACTIONS(2449),
    [anon_sym_do] = ACTIONS(2449),
    [anon_sym_while] = ACTIONS(2449),
    [anon_sym_break] = ACTIONS(2449),
    [anon_sym_continue] = ACTIONS(2449),
    [anon_sym_return] = ACTIONS(2449),
    [anon_sym_yield] = ACTIONS(2449),
    [anon_sym_synchronized] = ACTIONS(2449),
    [anon_sym_throw] = ACTIONS(2449),
    [anon_sym_try] = ACTIONS(2449),
    [anon_sym_if] = ACTIONS(2449),
    [anon_sym_else] = ACTIONS(2449),
    [anon_sym_for] = ACTIONS(2449),
    [anon_sym_AT] = ACTIONS(2449),
    [anon_sym_open] = ACTIONS(2449),
    [anon_sym_module] = ACTIONS(2449),
    [anon_sym_static] = ACTIONS(2449),
    [anon_sym_with] = ACTIONS(2449),
    [anon_sym_package] = ACTIONS(2449),
    [anon_sym_import] = ACTIONS(2449),
    [anon_sym_enum] = ACTIONS(2449),
    [anon_sym_public] = ACTIONS(2449),
    [anon_sym_protected] = ACTIONS(2449),
    [anon_sym_private] = ACTIONS(2449),
    [anon_sym_abstract] = ACTIONS(2449),
    [anon_sym_strictfp] = ACTIONS(2449),
    [anon_sym_native] = ACTIONS(2449),
    [anon_sym_transient] = ACTIONS(2449),
    [anon_sym_volatile] = ACTIONS(2449),
    [anon_sym_sealed] = ACTIONS(2449),
    [anon_sym_non_DASHsealed] = ACTIONS(2447),
    [anon_sym_record] = ACTIONS(2449),
    [anon_sym_ATinterface] = ACTIONS(2447),
    [anon_sym_interface] = ACTIONS(2449),
    [anon_sym_byte] = ACTIONS(2449),
    [anon_sym_short] = ACTIONS(2449),
    [anon_sym_int] = ACTIONS(2449),
    [anon_sym_long] = ACTIONS(2449),
    [anon_sym_char] = ACTIONS(2449),
    [anon_sym_float] = ACTIONS(2449),
    [anon_sym_double] = ACTIONS(2449),
    [sym_boolean_type] = ACTIONS(2449),
    [sym_void_type] = ACTIONS(2449),
    [anon_sym_def] = ACTIONS(2449),
    [sym_this] = ACTIONS(2449),
    [sym_super] = ACTIONS(2449),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [961] = {
    [ts_builtin_sym_end] = ACTIONS(2451),
    [sym_identifier] = ACTIONS(2453),
    [sym_decimal_integer_literal] = ACTIONS(2453),
    [sym_hex_integer_literal] = ACTIONS(2453),
    [sym_octal_integer_literal] = ACTIONS(2453),
    [sym_binary_integer_literal] = ACTIONS(2451),
    [sym_decimal_floating_point_literal] = ACTIONS(2451),
    [sym_hex_floating_point_literal] = ACTIONS(2453),
    [sym_true] = ACTIONS(2453),
    [sym_false] = ACTIONS(2453),
    [sym_character_literal] = ACTIONS(2451),
    [anon_sym_DQUOTE] = ACTIONS(2453),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2451),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2451),
    [anon_sym_RBRACE] = ACTIONS(2451),
    [sym_null_literal] = ACTIONS(2453),
    [anon_sym_LPAREN] = ACTIONS(2451),
    [anon_sym_LT] = ACTIONS(2451),
    [anon_sym_PLUS] = ACTIONS(2453),
    [anon_sym_DASH] = ACTIONS(2453),
    [anon_sym_final] = ACTIONS(2453),
    [anon_sym_DASH_GT] = ACTIONS(2451),
    [anon_sym_BANG] = ACTIONS(2451),
    [anon_sym_TILDE] = ACTIONS(2451),
    [anon_sym_PLUS_PLUS] = ACTIONS(2451),
    [anon_sym_DASH_DASH] = ACTIONS(2451),
    [anon_sym_new] = ACTIONS(2453),
    [anon_sym_LBRACK] = ACTIONS(2451),
    [anon_sym_class] = ACTIONS(2453),
    [anon_sym_switch] = ACTIONS(2453),
    [anon_sym_LBRACE] = ACTIONS(2451),
    [anon_sym_case] = ACTIONS(2453),
    [anon_sym_default] = ACTIONS(2453),
    [sym_underscore_pattern] = ACTIONS(2453),
    [anon_sym_SEMI] = ACTIONS(2451),
    [anon_sym_assert] = ACTIONS(2453),
    [anon_sym_do] = ACTIONS(2453),
    [anon_sym_while] = ACTIONS(2453),
    [anon_sym_break] = ACTIONS(2453),
    [anon_sym_continue] = ACTIONS(2453),
    [anon_sym_return] = ACTIONS(2453),
    [anon_sym_yield] = ACTIONS(2453),
    [anon_sym_synchronized] = ACTIONS(2453),
    [anon_sym_throw] = ACTIONS(2453),
    [anon_sym_try] = ACTIONS(2453),
    [anon_sym_if] = ACTIONS(2453),
    [anon_sym_else] = ACTIONS(2453),
    [anon_sym_for] = ACTIONS(2453),
    [anon_sym_AT] = ACTIONS(2453),
    [anon_sym_open] = ACTIONS(2453),
    [anon_sym_module] = ACTIONS(2453),
    [anon_sym_static] = ACTIONS(2453),
    [anon_sym_with] = ACTIONS(2453),
    [anon_sym_package] = ACTIONS(2453),
    [anon_sym_import] = ACTIONS(2453),
    [anon_sym_enum] = ACTIONS(2453),
    [anon_sym_public] = ACTIONS(2453),
    [anon_sym_protected] = ACTIONS(2453),
    [anon_sym_private] = ACTIONS(2453),
    [anon_sym_abstract] = ACTIONS(2453),
    [anon_sym_strictfp] = ACTIONS(2453),
    [anon_sym_native] = ACTIONS(2453),
    [anon_sym_transient] = ACTIONS(2453),
    [anon_sym_volatile] = ACTIONS(2453),
    [anon_sym_sealed] = ACTIONS(2453),
    [anon_sym_non_DASHsealed] = ACTIONS(2451),
    [anon_sym_record] = ACTIONS(2453),
    [anon_sym_ATinterface] = ACTIONS(2451),
    [anon_sym_interface] = ACTIONS(2453),
    [anon_sym_byte] = ACTIONS(2453),
    [anon_sym_short] = ACTIONS(2453),
    [anon_sym_int] = ACTIONS(2453),
    [anon_sym_long] = ACTIONS(2453),
    [anon_sym_char] = ACTIONS(2453),
    [anon_sym_float] = ACTIONS(2453),
    [anon_sym_double] = ACTIONS(2453),
    [sym_boolean_type] = ACTIONS(2453),
    [sym_void_type] = ACTIONS(2453),
    [anon_sym_def] = ACTIONS(2453),
    [sym_this] = ACTIONS(2453),
    [sym_super] = ACTIONS(2453),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [962] = {
    [ts_builtin_sym_end] = ACTIONS(2455),
    [sym_identifier] = ACTIONS(2457),
    [sym_decimal_integer_literal] = ACTIONS(2457),
    [sym_hex_integer_literal] = ACTIONS(2457),
    [sym_octal_integer_literal] = ACTIONS(2457),
    [sym_binary_integer_literal] = ACTIONS(2455),
    [sym_decimal_floating_point_literal] = ACTIONS(2455),
    [sym_hex_floating_point_literal] = ACTIONS(2457),
    [sym_true] = ACTIONS(2457),
    [sym_false] = ACTIONS(2457),
    [sym_character_literal] = ACTIONS(2455),
    [anon_sym_DQUOTE] = ACTIONS(2457),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2455),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2455),
    [anon_sym_RBRACE] = ACTIONS(2455),
    [sym_null_literal] = ACTIONS(2457),
    [anon_sym_LPAREN] = ACTIONS(2455),
    [anon_sym_LT] = ACTIONS(2455),
    [anon_sym_PLUS] = ACTIONS(2457),
    [anon_sym_DASH] = ACTIONS(2457),
    [anon_sym_final] = ACTIONS(2457),
    [anon_sym_DASH_GT] = ACTIONS(2455),
    [anon_sym_BANG] = ACTIONS(2455),
    [anon_sym_TILDE] = ACTIONS(2455),
    [anon_sym_PLUS_PLUS] = ACTIONS(2455),
    [anon_sym_DASH_DASH] = ACTIONS(2455),
    [anon_sym_new] = ACTIONS(2457),
    [anon_sym_LBRACK] = ACTIONS(2455),
    [anon_sym_class] = ACTIONS(2457),
    [anon_sym_switch] = ACTIONS(2457),
    [anon_sym_LBRACE] = ACTIONS(2455),
    [anon_sym_case] = ACTIONS(2457),
    [anon_sym_default] = ACTIONS(2457),
    [sym_underscore_pattern] = ACTIONS(2457),
    [anon_sym_SEMI] = ACTIONS(2455),
    [anon_sym_assert] = ACTIONS(2457),
    [anon_sym_do] = ACTIONS(2457),
    [anon_sym_while] = ACTIONS(2457),
    [anon_sym_break] = ACTIONS(2457),
    [anon_sym_continue] = ACTIONS(2457),
    [anon_sym_return] = ACTIONS(2457),
    [anon_sym_yield] = ACTIONS(2457),
    [anon_sym_synchronized] = ACTIONS(2457),
    [anon_sym_throw] = ACTIONS(2457),
    [anon_sym_try] = ACTIONS(2457),
    [anon_sym_if] = ACTIONS(2457),
    [anon_sym_else] = ACTIONS(2457),
    [anon_sym_for] = ACTIONS(2457),
    [anon_sym_AT] = ACTIONS(2457),
    [anon_sym_open] = ACTIONS(2457),
    [anon_sym_module] = ACTIONS(2457),
    [anon_sym_static] = ACTIONS(2457),
    [anon_sym_with] = ACTIONS(2457),
    [anon_sym_package] = ACTIONS(2457),
    [anon_sym_import] = ACTIONS(2457),
    [anon_sym_enum] = ACTIONS(2457),
    [anon_sym_public] = ACTIONS(2457),
    [anon_sym_protected] = ACTIONS(2457),
    [anon_sym_private] = ACTIONS(2457),
    [anon_sym_abstract] = ACTIONS(2457),
    [anon_sym_strictfp] = ACTIONS(2457),
    [anon_sym_native] = ACTIONS(2457),
    [anon_sym_transient] = ACTIONS(2457),
    [anon_sym_volatile] = ACTIONS(2457),
    [anon_sym_sealed] = ACTIONS(2457),
    [anon_sym_non_DASHsealed] = ACTIONS(2455),
    [anon_sym_record] = ACTIONS(2457),
    [anon_sym_ATinterface] = ACTIONS(2455),
    [anon_sym_interface] = ACTIONS(2457),
    [anon_sym_byte] = ACTIONS(2457),
    [anon_sym_short] = ACTIONS(2457),
    [anon_sym_int] = ACTIONS(2457),
    [anon_sym_long] = ACTIONS(2457),
    [anon_sym_char] = ACTIONS(2457),
    [anon_sym_float] = ACTIONS(2457),
    [anon_sym_double] = ACTIONS(2457),
    [sym_boolean_type] = ACTIONS(2457),
    [sym_void_type] = ACTIONS(2457),
    [anon_sym_def] = ACTIONS(2457),
    [sym_this] = ACTIONS(2457),
    [sym_super] = ACTIONS(2457),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [963] = {
    [ts_builtin_sym_end] = ACTIONS(2459),
    [sym_identifier] = ACTIONS(2461),
    [sym_decimal_integer_literal] = ACTIONS(2461),
    [sym_hex_integer_literal] = ACTIONS(2461),
    [sym_octal_integer_literal] = ACTIONS(2461),
    [sym_binary_integer_literal] = ACTIONS(2459),
    [sym_decimal_floating_point_literal] = ACTIONS(2459),
    [sym_hex_floating_point_literal] = ACTIONS(2461),
    [sym_true] = ACTIONS(2461),
    [sym_false] = ACTIONS(2461),
    [sym_character_literal] = ACTIONS(2459),
    [anon_sym_DQUOTE] = ACTIONS(2461),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2459),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2459),
    [anon_sym_RBRACE] = ACTIONS(2459),
    [sym_null_literal] = ACTIONS(2461),
    [anon_sym_LPAREN] = ACTIONS(2459),
    [anon_sym_LT] = ACTIONS(2459),
    [anon_sym_PLUS] = ACTIONS(2461),
    [anon_sym_DASH] = ACTIONS(2461),
    [anon_sym_final] = ACTIONS(2461),
    [anon_sym_DASH_GT] = ACTIONS(2459),
    [anon_sym_BANG] = ACTIONS(2459),
    [anon_sym_TILDE] = ACTIONS(2459),
    [anon_sym_PLUS_PLUS] = ACTIONS(2459),
    [anon_sym_DASH_DASH] = ACTIONS(2459),
    [anon_sym_new] = ACTIONS(2461),
    [anon_sym_LBRACK] = ACTIONS(2459),
    [anon_sym_class] = ACTIONS(2461),
    [anon_sym_switch] = ACTIONS(2461),
    [anon_sym_LBRACE] = ACTIONS(2459),
    [anon_sym_case] = ACTIONS(2461),
    [anon_sym_default] = ACTIONS(2461),
    [sym_underscore_pattern] = ACTIONS(2461),
    [anon_sym_SEMI] = ACTIONS(2459),
    [anon_sym_assert] = ACTIONS(2461),
    [anon_sym_do] = ACTIONS(2461),
    [anon_sym_while] = ACTIONS(2461),
    [anon_sym_break] = ACTIONS(2461),
    [anon_sym_continue] = ACTIONS(2461),
    [anon_sym_return] = ACTIONS(2461),
    [anon_sym_yield] = ACTIONS(2461),
    [anon_sym_synchronized] = ACTIONS(2461),
    [anon_sym_throw] = ACTIONS(2461),
    [anon_sym_try] = ACTIONS(2461),
    [anon_sym_if] = ACTIONS(2461),
    [anon_sym_else] = ACTIONS(2461),
    [anon_sym_for] = ACTIONS(2461),
    [anon_sym_AT] = ACTIONS(2461),
    [anon_sym_open] = ACTIONS(2461),
    [anon_sym_module] = ACTIONS(2461),
    [anon_sym_static] = ACTIONS(2461),
    [anon_sym_with] = ACTIONS(2461),
    [anon_sym_package] = ACTIONS(2461),
    [anon_sym_import] = ACTIONS(2461),
    [anon_sym_enum] = ACTIONS(2461),
    [anon_sym_public] = ACTIONS(2461),
    [anon_sym_protected] = ACTIONS(2461),
    [anon_sym_private] = ACTIONS(2461),
    [anon_sym_abstract] = ACTIONS(2461),
    [anon_sym_strictfp] = ACTIONS(2461),
    [anon_sym_native] = ACTIONS(2461),
    [anon_sym_transient] = ACTIONS(2461),
    [anon_sym_volatile] = ACTIONS(2461),
    [anon_sym_sealed] = ACTIONS(2461),
    [anon_sym_non_DASHsealed] = ACTIONS(2459),
    [anon_sym_record] = ACTIONS(2461),
    [anon_sym_ATinterface] = ACTIONS(2459),
    [anon_sym_interface] = ACTIONS(2461),
    [anon_sym_byte] = ACTIONS(2461),
    [anon_sym_short] = ACTIONS(2461),
    [anon_sym_int] = ACTIONS(2461),
    [anon_sym_long] = ACTIONS(2461),
    [anon_sym_char] = ACTIONS(2461),
    [anon_sym_float] = ACTIONS(2461),
    [anon_sym_double] = ACTIONS(2461),
    [sym_boolean_type] = ACTIONS(2461),
    [sym_void_type] = ACTIONS(2461),
    [anon_sym_def] = ACTIONS(2461),
    [sym_this] = ACTIONS(2461),
    [sym_super] = ACTIONS(2461),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [964] = {
    [ts_builtin_sym_end] = ACTIONS(2463),
    [sym_identifier] = ACTIONS(2465),
    [sym_decimal_integer_literal] = ACTIONS(2465),
    [sym_hex_integer_literal] = ACTIONS(2465),
    [sym_octal_integer_literal] = ACTIONS(2465),
    [sym_binary_integer_literal] = ACTIONS(2463),
    [sym_decimal_floating_point_literal] = ACTIONS(2463),
    [sym_hex_floating_point_literal] = ACTIONS(2465),
    [sym_true] = ACTIONS(2465),
    [sym_false] = ACTIONS(2465),
    [sym_character_literal] = ACTIONS(2463),
    [anon_sym_DQUOTE] = ACTIONS(2465),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2463),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2463),
    [anon_sym_RBRACE] = ACTIONS(2463),
    [sym_null_literal] = ACTIONS(2465),
    [anon_sym_LPAREN] = ACTIONS(2463),
    [anon_sym_LT] = ACTIONS(2463),
    [anon_sym_PLUS] = ACTIONS(2465),
    [anon_sym_DASH] = ACTIONS(2465),
    [anon_sym_final] = ACTIONS(2465),
    [anon_sym_DASH_GT] = ACTIONS(2463),
    [anon_sym_BANG] = ACTIONS(2463),
    [anon_sym_TILDE] = ACTIONS(2463),
    [anon_sym_PLUS_PLUS] = ACTIONS(2463),
    [anon_sym_DASH_DASH] = ACTIONS(2463),
    [anon_sym_new] = ACTIONS(2465),
    [anon_sym_LBRACK] = ACTIONS(2463),
    [anon_sym_class] = ACTIONS(2465),
    [anon_sym_switch] = ACTIONS(2465),
    [anon_sym_LBRACE] = ACTIONS(2463),
    [anon_sym_case] = ACTIONS(2465),
    [anon_sym_default] = ACTIONS(2465),
    [sym_underscore_pattern] = ACTIONS(2465),
    [anon_sym_SEMI] = ACTIONS(2463),
    [anon_sym_assert] = ACTIONS(2465),
    [anon_sym_do] = ACTIONS(2465),
    [anon_sym_while] = ACTIONS(2465),
    [anon_sym_break] = ACTIONS(2465),
    [anon_sym_continue] = ACTIONS(2465),
    [anon_sym_return] = ACTIONS(2465),
    [anon_sym_yield] = ACTIONS(2465),
    [anon_sym_synchronized] = ACTIONS(2465),
    [anon_sym_throw] = ACTIONS(2465),
    [anon_sym_try] = ACTIONS(2465),
    [anon_sym_if] = ACTIONS(2465),
    [anon_sym_else] = ACTIONS(2465),
    [anon_sym_for] = ACTIONS(2465),
    [anon_sym_AT] = ACTIONS(2465),
    [anon_sym_open] = ACTIONS(2465),
    [anon_sym_module] = ACTIONS(2465),
    [anon_sym_static] = ACTIONS(2465),
    [anon_sym_with] = ACTIONS(2465),
    [anon_sym_package] = ACTIONS(2465),
    [anon_sym_import] = ACTIONS(2465),
    [anon_sym_enum] = ACTIONS(2465),
    [anon_sym_public] = ACTIONS(2465),
    [anon_sym_protected] = ACTIONS(2465),
    [anon_sym_private] = ACTIONS(2465),
    [anon_sym_abstract] = ACTIONS(2465),
    [anon_sym_strictfp] = ACTIONS(2465),
    [anon_sym_native] = ACTIONS(2465),
    [anon_sym_transient] = ACTIONS(2465),
    [anon_sym_volatile] = ACTIONS(2465),
    [anon_sym_sealed] = ACTIONS(2465),
    [anon_sym_non_DASHsealed] = ACTIONS(2463),
    [anon_sym_record] = ACTIONS(2465),
    [anon_sym_ATinterface] = ACTIONS(2463),
    [anon_sym_interface] = ACTIONS(2465),
    [anon_sym_byte] = ACTIONS(2465),
    [anon_sym_short] = ACTIONS(2465),
    [anon_sym_int] = ACTIONS(2465),
    [anon_sym_long] = ACTIONS(2465),
    [anon_sym_char] = ACTIONS(2465),
    [anon_sym_float] = ACTIONS(2465),
    [anon_sym_double] = ACTIONS(2465),
    [sym_boolean_type] = ACTIONS(2465),
    [sym_void_type] = ACTIONS(2465),
    [anon_sym_def] = ACTIONS(2465),
    [sym_this] = ACTIONS(2465),
    [sym_super] = ACTIONS(2465),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [965] = {
    [ts_builtin_sym_end] = ACTIONS(2467),
    [sym_identifier] = ACTIONS(2469),
    [sym_decimal_integer_literal] = ACTIONS(2469),
    [sym_hex_integer_literal] = ACTIONS(2469),
    [sym_octal_integer_literal] = ACTIONS(2469),
    [sym_binary_integer_literal] = ACTIONS(2467),
    [sym_decimal_floating_point_literal] = ACTIONS(2467),
    [sym_hex_floating_point_literal] = ACTIONS(2469),
    [sym_true] = ACTIONS(2469),
    [sym_false] = ACTIONS(2469),
    [sym_character_literal] = ACTIONS(2467),
    [anon_sym_DQUOTE] = ACTIONS(2469),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2467),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2467),
    [anon_sym_RBRACE] = ACTIONS(2467),
    [sym_null_literal] = ACTIONS(2469),
    [anon_sym_LPAREN] = ACTIONS(2467),
    [anon_sym_LT] = ACTIONS(2467),
    [anon_sym_PLUS] = ACTIONS(2469),
    [anon_sym_DASH] = ACTIONS(2469),
    [anon_sym_final] = ACTIONS(2469),
    [anon_sym_DASH_GT] = ACTIONS(2467),
    [anon_sym_BANG] = ACTIONS(2467),
    [anon_sym_TILDE] = ACTIONS(2467),
    [anon_sym_PLUS_PLUS] = ACTIONS(2467),
    [anon_sym_DASH_DASH] = ACTIONS(2467),
    [anon_sym_new] = ACTIONS(2469),
    [anon_sym_LBRACK] = ACTIONS(2467),
    [anon_sym_class] = ACTIONS(2469),
    [anon_sym_switch] = ACTIONS(2469),
    [anon_sym_LBRACE] = ACTIONS(2467),
    [anon_sym_case] = ACTIONS(2469),
    [anon_sym_default] = ACTIONS(2469),
    [sym_underscore_pattern] = ACTIONS(2469),
    [anon_sym_SEMI] = ACTIONS(2467),
    [anon_sym_assert] = ACTIONS(2469),
    [anon_sym_do] = ACTIONS(2469),
    [anon_sym_while] = ACTIONS(2469),
    [anon_sym_break] = ACTIONS(2469),
    [anon_sym_continue] = ACTIONS(2469),
    [anon_sym_return] = ACTIONS(2469),
    [anon_sym_yield] = ACTIONS(2469),
    [anon_sym_synchronized] = ACTIONS(2469),
    [anon_sym_throw] = ACTIONS(2469),
    [anon_sym_try] = ACTIONS(2469),
    [anon_sym_if] = ACTIONS(2469),
    [anon_sym_else] = ACTIONS(2469),
    [anon_sym_for] = ACTIONS(2469),
    [anon_sym_AT] = ACTIONS(2469),
    [anon_sym_open] = ACTIONS(2469),
    [anon_sym_module] = ACTIONS(2469),
    [anon_sym_static] = ACTIONS(2469),
    [anon_sym_with] = ACTIONS(2469),
    [anon_sym_package] = ACTIONS(2469),
    [anon_sym_import] = ACTIONS(2469),
    [anon_sym_enum] = ACTIONS(2469),
    [anon_sym_public] = ACTIONS(2469),
    [anon_sym_protected] = ACTIONS(2469),
    [anon_sym_private] = ACTIONS(2469),
    [anon_sym_abstract] = ACTIONS(2469),
    [anon_sym_strictfp] = ACTIONS(2469),
    [anon_sym_native] = ACTIONS(2469),
    [anon_sym_transient] = ACTIONS(2469),
    [anon_sym_volatile] = ACTIONS(2469),
    [anon_sym_sealed] = ACTIONS(2469),
    [anon_sym_non_DASHsealed] = ACTIONS(2467),
    [anon_sym_record] = ACTIONS(2469),
    [anon_sym_ATinterface] = ACTIONS(2467),
    [anon_sym_interface] = ACTIONS(2469),
    [anon_sym_byte] = ACTIONS(2469),
    [anon_sym_short] = ACTIONS(2469),
    [anon_sym_int] = ACTIONS(2469),
    [anon_sym_long] = ACTIONS(2469),
    [anon_sym_char] = ACTIONS(2469),
    [anon_sym_float] = ACTIONS(2469),
    [anon_sym_double] = ACTIONS(2469),
    [sym_boolean_type] = ACTIONS(2469),
    [sym_void_type] = ACTIONS(2469),
    [anon_sym_def] = ACTIONS(2469),
    [sym_this] = ACTIONS(2469),
    [sym_super] = ACTIONS(2469),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [966] = {
    [ts_builtin_sym_end] = ACTIONS(2471),
    [sym_identifier] = ACTIONS(2473),
    [sym_decimal_integer_literal] = ACTIONS(2473),
    [sym_hex_integer_literal] = ACTIONS(2473),
    [sym_octal_integer_literal] = ACTIONS(2473),
    [sym_binary_integer_literal] = ACTIONS(2471),
    [sym_decimal_floating_point_literal] = ACTIONS(2471),
    [sym_hex_floating_point_literal] = ACTIONS(2473),
    [sym_true] = ACTIONS(2473),
    [sym_false] = ACTIONS(2473),
    [sym_character_literal] = ACTIONS(2471),
    [anon_sym_DQUOTE] = ACTIONS(2473),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2471),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2471),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [sym_null_literal] = ACTIONS(2473),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LT] = ACTIONS(2471),
    [anon_sym_PLUS] = ACTIONS(2473),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_DASH_GT] = ACTIONS(2471),
    [anon_sym_BANG] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_PLUS_PLUS] = ACTIONS(2471),
    [anon_sym_DASH_DASH] = ACTIONS(2471),
    [anon_sym_new] = ACTIONS(2473),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [anon_sym_class] = ACTIONS(2473),
    [anon_sym_switch] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_case] = ACTIONS(2473),
    [anon_sym_default] = ACTIONS(2473),
    [sym_underscore_pattern] = ACTIONS(2473),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_assert] = ACTIONS(2473),
    [anon_sym_do] = ACTIONS(2473),
    [anon_sym_while] = ACTIONS(2473),
    [anon_sym_break] = ACTIONS(2473),
    [anon_sym_continue] = ACTIONS(2473),
    [anon_sym_return] = ACTIONS(2473),
    [anon_sym_yield] = ACTIONS(2473),
    [anon_sym_synchronized] = ACTIONS(2473),
    [anon_sym_throw] = ACTIONS(2473),
    [anon_sym_try] = ACTIONS(2473),
    [anon_sym_if] = ACTIONS(2473),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_for] = ACTIONS(2473),
    [anon_sym_AT] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_module] = ACTIONS(2473),
    [anon_sym_static] = ACTIONS(2473),
    [anon_sym_with] = ACTIONS(2473),
    [anon_sym_package] = ACTIONS(2473),
    [anon_sym_import] = ACTIONS(2473),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_strictfp] = ACTIONS(2473),
    [anon_sym_native] = ACTIONS(2473),
    [anon_sym_transient] = ACTIONS(2473),
    [anon_sym_volatile] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_non_DASHsealed] = ACTIONS(2471),
    [anon_sym_record] = ACTIONS(2473),
    [anon_sym_ATinterface] = ACTIONS(2471),
    [anon_sym_interface] = ACTIONS(2473),
    [anon_sym_byte] = ACTIONS(2473),
    [anon_sym_short] = ACTIONS(2473),
    [anon_sym_int] = ACTIONS(2473),
    [anon_sym_long] = ACTIONS(2473),
    [anon_sym_char] = ACTIONS(2473),
    [anon_sym_float] = ACTIONS(2473),
    [anon_sym_double] = ACTIONS(2473),
    [sym_boolean_type] = ACTIONS(2473),
    [sym_void_type] = ACTIONS(2473),
    [anon_sym_def] = ACTIONS(2473),
    [sym_this] = ACTIONS(2473),
    [sym_super] = ACTIONS(2473),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [967] = {
    [ts_builtin_sym_end] = ACTIONS(2475),
    [sym_identifier] = ACTIONS(2477),
    [sym_decimal_integer_literal] = ACTIONS(2477),
    [sym_hex_integer_literal] = ACTIONS(2477),
    [sym_octal_integer_literal] = ACTIONS(2477),
    [sym_binary_integer_literal] = ACTIONS(2475),
    [sym_decimal_floating_point_literal] = ACTIONS(2475),
    [sym_hex_floating_point_literal] = ACTIONS(2477),
    [sym_true] = ACTIONS(2477),
    [sym_false] = ACTIONS(2477),
    [sym_character_literal] = ACTIONS(2475),
    [anon_sym_DQUOTE] = ACTIONS(2477),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2475),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2475),
    [anon_sym_RBRACE] = ACTIONS(2475),
    [sym_null_literal] = ACTIONS(2477),
    [anon_sym_LPAREN] = ACTIONS(2475),
    [anon_sym_LT] = ACTIONS(2475),
    [anon_sym_PLUS] = ACTIONS(2477),
    [anon_sym_DASH] = ACTIONS(2477),
    [anon_sym_final] = ACTIONS(2477),
    [anon_sym_DASH_GT] = ACTIONS(2475),
    [anon_sym_BANG] = ACTIONS(2475),
    [anon_sym_TILDE] = ACTIONS(2475),
    [anon_sym_PLUS_PLUS] = ACTIONS(2475),
    [anon_sym_DASH_DASH] = ACTIONS(2475),
    [anon_sym_new] = ACTIONS(2477),
    [anon_sym_LBRACK] = ACTIONS(2475),
    [anon_sym_class] = ACTIONS(2477),
    [anon_sym_switch] = ACTIONS(2477),
    [anon_sym_LBRACE] = ACTIONS(2475),
    [anon_sym_case] = ACTIONS(2477),
    [anon_sym_default] = ACTIONS(2477),
    [sym_underscore_pattern] = ACTIONS(2477),
    [anon_sym_SEMI] = ACTIONS(2475),
    [anon_sym_assert] = ACTIONS(2477),
    [anon_sym_do] = ACTIONS(2477),
    [anon_sym_while] = ACTIONS(2477),
    [anon_sym_break] = ACTIONS(2477),
    [anon_sym_continue] = ACTIONS(2477),
    [anon_sym_return] = ACTIONS(2477),
    [anon_sym_yield] = ACTIONS(2477),
    [anon_sym_synchronized] = ACTIONS(2477),
    [anon_sym_throw] = ACTIONS(2477),
    [anon_sym_try] = ACTIONS(2477),
    [anon_sym_if] = ACTIONS(2477),
    [anon_sym_else] = ACTIONS(2477),
    [anon_sym_for] = ACTIONS(2477),
    [anon_sym_AT] = ACTIONS(2477),
    [anon_sym_open] = ACTIONS(2477),
    [anon_sym_module] = ACTIONS(2477),
    [anon_sym_static] = ACTIONS(2477),
    [anon_sym_with] = ACTIONS(2477),
    [anon_sym_package] = ACTIONS(2477),
    [anon_sym_import] = ACTIONS(2477),
    [anon_sym_enum] = ACTIONS(2477),
    [anon_sym_public] = ACTIONS(2477),
    [anon_sym_protected] = ACTIONS(2477),
    [anon_sym_private] = ACTIONS(2477),
    [anon_sym_abstract] = ACTIONS(2477),
    [anon_sym_strictfp] = ACTIONS(2477),
    [anon_sym_native] = ACTIONS(2477),
    [anon_sym_transient] = ACTIONS(2477),
    [anon_sym_volatile] = ACTIONS(2477),
    [anon_sym_sealed] = ACTIONS(2477),
    [anon_sym_non_DASHsealed] = ACTIONS(2475),
    [anon_sym_record] = ACTIONS(2477),
    [anon_sym_ATinterface] = ACTIONS(2475),
    [anon_sym_interface] = ACTIONS(2477),
    [anon_sym_byte] = ACTIONS(2477),
    [anon_sym_short] = ACTIONS(2477),
    [anon_sym_int] = ACTIONS(2477),
    [anon_sym_long] = ACTIONS(2477),
    [anon_sym_char] = ACTIONS(2477),
    [anon_sym_float] = ACTIONS(2477),
    [anon_sym_double] = ACTIONS(2477),
    [sym_boolean_type] = ACTIONS(2477),
    [sym_void_type] = ACTIONS(2477),
    [anon_sym_def] = ACTIONS(2477),
    [sym_this] = ACTIONS(2477),
    [sym_super] = ACTIONS(2477),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [968] = {
    [ts_builtin_sym_end] = ACTIONS(2479),
    [sym_identifier] = ACTIONS(2481),
    [sym_decimal_integer_literal] = ACTIONS(2481),
    [sym_hex_integer_literal] = ACTIONS(2481),
    [sym_octal_integer_literal] = ACTIONS(2481),
    [sym_binary_integer_literal] = ACTIONS(2479),
    [sym_decimal_floating_point_literal] = ACTIONS(2479),
    [sym_hex_floating_point_literal] = ACTIONS(2481),
    [sym_true] = ACTIONS(2481),
    [sym_false] = ACTIONS(2481),
    [sym_character_literal] = ACTIONS(2479),
    [anon_sym_DQUOTE] = ACTIONS(2481),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2479),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2479),
    [anon_sym_RBRACE] = ACTIONS(2479),
    [sym_null_literal] = ACTIONS(2481),
    [anon_sym_LPAREN] = ACTIONS(2479),
    [anon_sym_LT] = ACTIONS(2479),
    [anon_sym_PLUS] = ACTIONS(2481),
    [anon_sym_DASH] = ACTIONS(2481),
    [anon_sym_final] = ACTIONS(2481),
    [anon_sym_DASH_GT] = ACTIONS(2479),
    [anon_sym_BANG] = ACTIONS(2479),
    [anon_sym_TILDE] = ACTIONS(2479),
    [anon_sym_PLUS_PLUS] = ACTIONS(2479),
    [anon_sym_DASH_DASH] = ACTIONS(2479),
    [anon_sym_new] = ACTIONS(2481),
    [anon_sym_LBRACK] = ACTIONS(2479),
    [anon_sym_class] = ACTIONS(2481),
    [anon_sym_switch] = ACTIONS(2481),
    [anon_sym_LBRACE] = ACTIONS(2479),
    [anon_sym_case] = ACTIONS(2481),
    [anon_sym_default] = ACTIONS(2481),
    [sym_underscore_pattern] = ACTIONS(2481),
    [anon_sym_SEMI] = ACTIONS(2479),
    [anon_sym_assert] = ACTIONS(2481),
    [anon_sym_do] = ACTIONS(2481),
    [anon_sym_while] = ACTIONS(2481),
    [anon_sym_break] = ACTIONS(2481),
    [anon_sym_continue] = ACTIONS(2481),
    [anon_sym_return] = ACTIONS(2481),
    [anon_sym_yield] = ACTIONS(2481),
    [anon_sym_synchronized] = ACTIONS(2481),
    [anon_sym_throw] = ACTIONS(2481),
    [anon_sym_try] = ACTIONS(2481),
    [anon_sym_if] = ACTIONS(2481),
    [anon_sym_else] = ACTIONS(2481),
    [anon_sym_for] = ACTIONS(2481),
    [anon_sym_AT] = ACTIONS(2481),
    [anon_sym_open] = ACTIONS(2481),
    [anon_sym_module] = ACTIONS(2481),
    [anon_sym_static] = ACTIONS(2481),
    [anon_sym_with] = ACTIONS(2481),
    [anon_sym_package] = ACTIONS(2481),
    [anon_sym_import] = ACTIONS(2481),
    [anon_sym_enum] = ACTIONS(2481),
    [anon_sym_public] = ACTIONS(2481),
    [anon_sym_protected] = ACTIONS(2481),
    [anon_sym_private] = ACTIONS(2481),
    [anon_sym_abstract] = ACTIONS(2481),
    [anon_sym_strictfp] = ACTIONS(2481),
    [anon_sym_native] = ACTIONS(2481),
    [anon_sym_transient] = ACTIONS(2481),
    [anon_sym_volatile] = ACTIONS(2481),
    [anon_sym_sealed] = ACTIONS(2481),
    [anon_sym_non_DASHsealed] = ACTIONS(2479),
    [anon_sym_record] = ACTIONS(2481),
    [anon_sym_ATinterface] = ACTIONS(2479),
    [anon_sym_interface] = ACTIONS(2481),
    [anon_sym_byte] = ACTIONS(2481),
    [anon_sym_short] = ACTIONS(2481),
    [anon_sym_int] = ACTIONS(2481),
    [anon_sym_long] = ACTIONS(2481),
    [anon_sym_char] = ACTIONS(2481),
    [anon_sym_float] = ACTIONS(2481),
    [anon_sym_double] = ACTIONS(2481),
    [sym_boolean_type] = ACTIONS(2481),
    [sym_void_type] = ACTIONS(2481),
    [anon_sym_def] = ACTIONS(2481),
    [sym_this] = ACTIONS(2481),
    [sym_super] = ACTIONS(2481),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [969] = {
    [ts_builtin_sym_end] = ACTIONS(2483),
    [sym_identifier] = ACTIONS(2485),
    [sym_decimal_integer_literal] = ACTIONS(2485),
    [sym_hex_integer_literal] = ACTIONS(2485),
    [sym_octal_integer_literal] = ACTIONS(2485),
    [sym_binary_integer_literal] = ACTIONS(2483),
    [sym_decimal_floating_point_literal] = ACTIONS(2483),
    [sym_hex_floating_point_literal] = ACTIONS(2485),
    [sym_true] = ACTIONS(2485),
    [sym_false] = ACTIONS(2485),
    [sym_character_literal] = ACTIONS(2483),
    [anon_sym_DQUOTE] = ACTIONS(2485),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2483),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2483),
    [anon_sym_RBRACE] = ACTIONS(2483),
    [sym_null_literal] = ACTIONS(2485),
    [anon_sym_LPAREN] = ACTIONS(2483),
    [anon_sym_LT] = ACTIONS(2483),
    [anon_sym_PLUS] = ACTIONS(2485),
    [anon_sym_DASH] = ACTIONS(2485),
    [anon_sym_final] = ACTIONS(2485),
    [anon_sym_DASH_GT] = ACTIONS(2483),
    [anon_sym_BANG] = ACTIONS(2483),
    [anon_sym_TILDE] = ACTIONS(2483),
    [anon_sym_PLUS_PLUS] = ACTIONS(2483),
    [anon_sym_DASH_DASH] = ACTIONS(2483),
    [anon_sym_new] = ACTIONS(2485),
    [anon_sym_LBRACK] = ACTIONS(2483),
    [anon_sym_class] = ACTIONS(2485),
    [anon_sym_switch] = ACTIONS(2485),
    [anon_sym_LBRACE] = ACTIONS(2483),
    [anon_sym_case] = ACTIONS(2485),
    [anon_sym_default] = ACTIONS(2485),
    [sym_underscore_pattern] = ACTIONS(2485),
    [anon_sym_SEMI] = ACTIONS(2483),
    [anon_sym_assert] = ACTIONS(2485),
    [anon_sym_do] = ACTIONS(2485),
    [anon_sym_while] = ACTIONS(2485),
    [anon_sym_break] = ACTIONS(2485),
    [anon_sym_continue] = ACTIONS(2485),
    [anon_sym_return] = ACTIONS(2485),
    [anon_sym_yield] = ACTIONS(2485),
    [anon_sym_synchronized] = ACTIONS(2485),
    [anon_sym_throw] = ACTIONS(2485),
    [anon_sym_try] = ACTIONS(2485),
    [anon_sym_if] = ACTIONS(2485),
    [anon_sym_else] = ACTIONS(2485),
    [anon_sym_for] = ACTIONS(2485),
    [anon_sym_AT] = ACTIONS(2485),
    [anon_sym_open] = ACTIONS(2485),
    [anon_sym_module] = ACTIONS(2485),
    [anon_sym_static] = ACTIONS(2485),
    [anon_sym_with] = ACTIONS(2485),
    [anon_sym_package] = ACTIONS(2485),
    [anon_sym_import] = ACTIONS(2485),
    [anon_sym_enum] = ACTIONS(2485),
    [anon_sym_public] = ACTIONS(2485),
    [anon_sym_protected] = ACTIONS(2485),
    [anon_sym_private] = ACTIONS(2485),
    [anon_sym_abstract] = ACTIONS(2485),
    [anon_sym_strictfp] = ACTIONS(2485),
    [anon_sym_native] = ACTIONS(2485),
    [anon_sym_transient] = ACTIONS(2485),
    [anon_sym_volatile] = ACTIONS(2485),
    [anon_sym_sealed] = ACTIONS(2485),
    [anon_sym_non_DASHsealed] = ACTIONS(2483),
    [anon_sym_record] = ACTIONS(2485),
    [anon_sym_ATinterface] = ACTIONS(2483),
    [anon_sym_interface] = ACTIONS(2485),
    [anon_sym_byte] = ACTIONS(2485),
    [anon_sym_short] = ACTIONS(2485),
    [anon_sym_int] = ACTIONS(2485),
    [anon_sym_long] = ACTIONS(2485),
    [anon_sym_char] = ACTIONS(2485),
    [anon_sym_float] = ACTIONS(2485),
    [anon_sym_double] = ACTIONS(2485),
    [sym_boolean_type] = ACTIONS(2485),
    [sym_void_type] = ACTIONS(2485),
    [anon_sym_def] = ACTIONS(2485),
    [sym_this] = ACTIONS(2485),
    [sym_super] = ACTIONS(2485),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [970] = {
    [ts_builtin_sym_end] = ACTIONS(2487),
    [sym_identifier] = ACTIONS(2489),
    [sym_decimal_integer_literal] = ACTIONS(2489),
    [sym_hex_integer_literal] = ACTIONS(2489),
    [sym_octal_integer_literal] = ACTIONS(2489),
    [sym_binary_integer_literal] = ACTIONS(2487),
    [sym_decimal_floating_point_literal] = ACTIONS(2487),
    [sym_hex_floating_point_literal] = ACTIONS(2489),
    [sym_true] = ACTIONS(2489),
    [sym_false] = ACTIONS(2489),
    [sym_character_literal] = ACTIONS(2487),
    [anon_sym_DQUOTE] = ACTIONS(2489),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2487),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2487),
    [anon_sym_RBRACE] = ACTIONS(2487),
    [sym_null_literal] = ACTIONS(2489),
    [anon_sym_LPAREN] = ACTIONS(2487),
    [anon_sym_LT] = ACTIONS(2487),
    [anon_sym_PLUS] = ACTIONS(2489),
    [anon_sym_DASH] = ACTIONS(2489),
    [anon_sym_final] = ACTIONS(2489),
    [anon_sym_DASH_GT] = ACTIONS(2487),
    [anon_sym_BANG] = ACTIONS(2487),
    [anon_sym_TILDE] = ACTIONS(2487),
    [anon_sym_PLUS_PLUS] = ACTIONS(2487),
    [anon_sym_DASH_DASH] = ACTIONS(2487),
    [anon_sym_new] = ACTIONS(2489),
    [anon_sym_LBRACK] = ACTIONS(2487),
    [anon_sym_class] = ACTIONS(2489),
    [anon_sym_switch] = ACTIONS(2489),
    [anon_sym_LBRACE] = ACTIONS(2487),
    [anon_sym_case] = ACTIONS(2489),
    [anon_sym_default] = ACTIONS(2489),
    [sym_underscore_pattern] = ACTIONS(2489),
    [anon_sym_SEMI] = ACTIONS(2487),
    [anon_sym_assert] = ACTIONS(2489),
    [anon_sym_do] = ACTIONS(2489),
    [anon_sym_while] = ACTIONS(2489),
    [anon_sym_break] = ACTIONS(2489),
    [anon_sym_continue] = ACTIONS(2489),
    [anon_sym_return] = ACTIONS(2489),
    [anon_sym_yield] = ACTIONS(2489),
    [anon_sym_synchronized] = ACTIONS(2489),
    [anon_sym_throw] = ACTIONS(2489),
    [anon_sym_try] = ACTIONS(2489),
    [anon_sym_if] = ACTIONS(2489),
    [anon_sym_else] = ACTIONS(2489),
    [anon_sym_for] = ACTIONS(2489),
    [anon_sym_AT] = ACTIONS(2489),
    [anon_sym_open] = ACTIONS(2489),
    [anon_sym_module] = ACTIONS(2489),
    [anon_sym_static] = ACTIONS(2489),
    [anon_sym_with] = ACTIONS(2489),
    [anon_sym_package] = ACTIONS(2489),
    [anon_sym_import] = ACTIONS(2489),
    [anon_sym_enum] = ACTIONS(2489),
    [anon_sym_public] = ACTIONS(2489),
    [anon_sym_protected] = ACTIONS(2489),
    [anon_sym_private] = ACTIONS(2489),
    [anon_sym_abstract] = ACTIONS(2489),
    [anon_sym_strictfp] = ACTIONS(2489),
    [anon_sym_native] = ACTIONS(2489),
    [anon_sym_transient] = ACTIONS(2489),
    [anon_sym_volatile] = ACTIONS(2489),
    [anon_sym_sealed] = ACTIONS(2489),
    [anon_sym_non_DASHsealed] = ACTIONS(2487),
    [anon_sym_record] = ACTIONS(2489),
    [anon_sym_ATinterface] = ACTIONS(2487),
    [anon_sym_interface] = ACTIONS(2489),
    [anon_sym_byte] = ACTIONS(2489),
    [anon_sym_short] = ACTIONS(2489),
    [anon_sym_int] = ACTIONS(2489),
    [anon_sym_long] = ACTIONS(2489),
    [anon_sym_char] = ACTIONS(2489),
    [anon_sym_float] = ACTIONS(2489),
    [anon_sym_double] = ACTIONS(2489),
    [sym_boolean_type] = ACTIONS(2489),
    [sym_void_type] = ACTIONS(2489),
    [anon_sym_def] = ACTIONS(2489),
    [sym_this] = ACTIONS(2489),
    [sym_super] = ACTIONS(2489),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [971] = {
    [ts_builtin_sym_end] = ACTIONS(2491),
    [sym_identifier] = ACTIONS(2493),
    [sym_decimal_integer_literal] = ACTIONS(2493),
    [sym_hex_integer_literal] = ACTIONS(2493),
    [sym_octal_integer_literal] = ACTIONS(2493),
    [sym_binary_integer_literal] = ACTIONS(2491),
    [sym_decimal_floating_point_literal] = ACTIONS(2491),
    [sym_hex_floating_point_literal] = ACTIONS(2493),
    [sym_true] = ACTIONS(2493),
    [sym_false] = ACTIONS(2493),
    [sym_character_literal] = ACTIONS(2491),
    [anon_sym_DQUOTE] = ACTIONS(2493),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2491),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2491),
    [anon_sym_RBRACE] = ACTIONS(2491),
    [sym_null_literal] = ACTIONS(2493),
    [anon_sym_LPAREN] = ACTIONS(2491),
    [anon_sym_LT] = ACTIONS(2491),
    [anon_sym_PLUS] = ACTIONS(2493),
    [anon_sym_DASH] = ACTIONS(2493),
    [anon_sym_final] = ACTIONS(2493),
    [anon_sym_DASH_GT] = ACTIONS(2491),
    [anon_sym_BANG] = ACTIONS(2491),
    [anon_sym_TILDE] = ACTIONS(2491),
    [anon_sym_PLUS_PLUS] = ACTIONS(2491),
    [anon_sym_DASH_DASH] = ACTIONS(2491),
    [anon_sym_new] = ACTIONS(2493),
    [anon_sym_LBRACK] = ACTIONS(2491),
    [anon_sym_class] = ACTIONS(2493),
    [anon_sym_switch] = ACTIONS(2493),
    [anon_sym_LBRACE] = ACTIONS(2491),
    [anon_sym_case] = ACTIONS(2493),
    [anon_sym_default] = ACTIONS(2493),
    [sym_underscore_pattern] = ACTIONS(2493),
    [anon_sym_SEMI] = ACTIONS(2491),
    [anon_sym_assert] = ACTIONS(2493),
    [anon_sym_do] = ACTIONS(2493),
    [anon_sym_while] = ACTIONS(2493),
    [anon_sym_break] = ACTIONS(2493),
    [anon_sym_continue] = ACTIONS(2493),
    [anon_sym_return] = ACTIONS(2493),
    [anon_sym_yield] = ACTIONS(2493),
    [anon_sym_synchronized] = ACTIONS(2493),
    [anon_sym_throw] = ACTIONS(2493),
    [anon_sym_try] = ACTIONS(2493),
    [anon_sym_if] = ACTIONS(2493),
    [anon_sym_else] = ACTIONS(2493),
    [anon_sym_for] = ACTIONS(2493),
    [anon_sym_AT] = ACTIONS(2493),
    [anon_sym_open] = ACTIONS(2493),
    [anon_sym_module] = ACTIONS(2493),
    [anon_sym_static] = ACTIONS(2493),
    [anon_sym_with] = ACTIONS(2493),
    [anon_sym_package] = ACTIONS(2493),
    [anon_sym_import] = ACTIONS(2493),
    [anon_sym_enum] = ACTIONS(2493),
    [anon_sym_public] = ACTIONS(2493),
    [anon_sym_protected] = ACTIONS(2493),
    [anon_sym_private] = ACTIONS(2493),
    [anon_sym_abstract] = ACTIONS(2493),
    [anon_sym_strictfp] = ACTIONS(2493),
    [anon_sym_native] = ACTIONS(2493),
    [anon_sym_transient] = ACTIONS(2493),
    [anon_sym_volatile] = ACTIONS(2493),
    [anon_sym_sealed] = ACTIONS(2493),
    [anon_sym_non_DASHsealed] = ACTIONS(2491),
    [anon_sym_record] = ACTIONS(2493),
    [anon_sym_ATinterface] = ACTIONS(2491),
    [anon_sym_interface] = ACTIONS(2493),
    [anon_sym_byte] = ACTIONS(2493),
    [anon_sym_short] = ACTIONS(2493),
    [anon_sym_int] = ACTIONS(2493),
    [anon_sym_long] = ACTIONS(2493),
    [anon_sym_char] = ACTIONS(2493),
    [anon_sym_float] = ACTIONS(2493),
    [anon_sym_double] = ACTIONS(2493),
    [sym_boolean_type] = ACTIONS(2493),
    [sym_void_type] = ACTIONS(2493),
    [anon_sym_def] = ACTIONS(2493),
    [sym_this] = ACTIONS(2493),
    [sym_super] = ACTIONS(2493),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [972] = {
    [ts_builtin_sym_end] = ACTIONS(2495),
    [sym_identifier] = ACTIONS(2497),
    [sym_decimal_integer_literal] = ACTIONS(2497),
    [sym_hex_integer_literal] = ACTIONS(2497),
    [sym_octal_integer_literal] = ACTIONS(2497),
    [sym_binary_integer_literal] = ACTIONS(2495),
    [sym_decimal_floating_point_literal] = ACTIONS(2495),
    [sym_hex_floating_point_literal] = ACTIONS(2497),
    [sym_true] = ACTIONS(2497),
    [sym_false] = ACTIONS(2497),
    [sym_character_literal] = ACTIONS(2495),
    [anon_sym_DQUOTE] = ACTIONS(2497),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2495),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2495),
    [anon_sym_RBRACE] = ACTIONS(2495),
    [sym_null_literal] = ACTIONS(2497),
    [anon_sym_LPAREN] = ACTIONS(2495),
    [anon_sym_LT] = ACTIONS(2495),
    [anon_sym_PLUS] = ACTIONS(2497),
    [anon_sym_DASH] = ACTIONS(2497),
    [anon_sym_final] = ACTIONS(2497),
    [anon_sym_DASH_GT] = ACTIONS(2495),
    [anon_sym_BANG] = ACTIONS(2495),
    [anon_sym_TILDE] = ACTIONS(2495),
    [anon_sym_PLUS_PLUS] = ACTIONS(2495),
    [anon_sym_DASH_DASH] = ACTIONS(2495),
    [anon_sym_new] = ACTIONS(2497),
    [anon_sym_LBRACK] = ACTIONS(2495),
    [anon_sym_class] = ACTIONS(2497),
    [anon_sym_switch] = ACTIONS(2497),
    [anon_sym_LBRACE] = ACTIONS(2495),
    [anon_sym_case] = ACTIONS(2497),
    [anon_sym_default] = ACTIONS(2497),
    [sym_underscore_pattern] = ACTIONS(2497),
    [anon_sym_SEMI] = ACTIONS(2495),
    [anon_sym_assert] = ACTIONS(2497),
    [anon_sym_do] = ACTIONS(2497),
    [anon_sym_while] = ACTIONS(2497),
    [anon_sym_break] = ACTIONS(2497),
    [anon_sym_continue] = ACTIONS(2497),
    [anon_sym_return] = ACTIONS(2497),
    [anon_sym_yield] = ACTIONS(2497),
    [anon_sym_synchronized] = ACTIONS(2497),
    [anon_sym_throw] = ACTIONS(2497),
    [anon_sym_try] = ACTIONS(2497),
    [anon_sym_if] = ACTIONS(2497),
    [anon_sym_else] = ACTIONS(2497),
    [anon_sym_for] = ACTIONS(2497),
    [anon_sym_AT] = ACTIONS(2497),
    [anon_sym_open] = ACTIONS(2497),
    [anon_sym_module] = ACTIONS(2497),
    [anon_sym_static] = ACTIONS(2497),
    [anon_sym_with] = ACTIONS(2497),
    [anon_sym_package] = ACTIONS(2497),
    [anon_sym_import] = ACTIONS(2497),
    [anon_sym_enum] = ACTIONS(2497),
    [anon_sym_public] = ACTIONS(2497),
    [anon_sym_protected] = ACTIONS(2497),
    [anon_sym_private] = ACTIONS(2497),
    [anon_sym_abstract] = ACTIONS(2497),
    [anon_sym_strictfp] = ACTIONS(2497),
    [anon_sym_native] = ACTIONS(2497),
    [anon_sym_transient] = ACTIONS(2497),
    [anon_sym_volatile] = ACTIONS(2497),
    [anon_sym_sealed] = ACTIONS(2497),
    [anon_sym_non_DASHsealed] = ACTIONS(2495),
    [anon_sym_record] = ACTIONS(2497),
    [anon_sym_ATinterface] = ACTIONS(2495),
    [anon_sym_interface] = ACTIONS(2497),
    [anon_sym_byte] = ACTIONS(2497),
    [anon_sym_short] = ACTIONS(2497),
    [anon_sym_int] = ACTIONS(2497),
    [anon_sym_long] = ACTIONS(2497),
    [anon_sym_char] = ACTIONS(2497),
    [anon_sym_float] = ACTIONS(2497),
    [anon_sym_double] = ACTIONS(2497),
    [sym_boolean_type] = ACTIONS(2497),
    [sym_void_type] = ACTIONS(2497),
    [anon_sym_def] = ACTIONS(2497),
    [sym_this] = ACTIONS(2497),
    [sym_super] = ACTIONS(2497),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [973] = {
    [ts_builtin_sym_end] = ACTIONS(2499),
    [sym_identifier] = ACTIONS(2501),
    [sym_decimal_integer_literal] = ACTIONS(2501),
    [sym_hex_integer_literal] = ACTIONS(2501),
    [sym_octal_integer_literal] = ACTIONS(2501),
    [sym_binary_integer_literal] = ACTIONS(2499),
    [sym_decimal_floating_point_literal] = ACTIONS(2499),
    [sym_hex_floating_point_literal] = ACTIONS(2501),
    [sym_true] = ACTIONS(2501),
    [sym_false] = ACTIONS(2501),
    [sym_character_literal] = ACTIONS(2499),
    [anon_sym_DQUOTE] = ACTIONS(2501),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2499),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2499),
    [anon_sym_RBRACE] = ACTIONS(2499),
    [sym_null_literal] = ACTIONS(2501),
    [anon_sym_LPAREN] = ACTIONS(2499),
    [anon_sym_LT] = ACTIONS(2499),
    [anon_sym_PLUS] = ACTIONS(2501),
    [anon_sym_DASH] = ACTIONS(2501),
    [anon_sym_final] = ACTIONS(2501),
    [anon_sym_DASH_GT] = ACTIONS(2499),
    [anon_sym_BANG] = ACTIONS(2499),
    [anon_sym_TILDE] = ACTIONS(2499),
    [anon_sym_PLUS_PLUS] = ACTIONS(2499),
    [anon_sym_DASH_DASH] = ACTIONS(2499),
    [anon_sym_new] = ACTIONS(2501),
    [anon_sym_LBRACK] = ACTIONS(2499),
    [anon_sym_class] = ACTIONS(2501),
    [anon_sym_switch] = ACTIONS(2501),
    [anon_sym_LBRACE] = ACTIONS(2499),
    [anon_sym_case] = ACTIONS(2501),
    [anon_sym_default] = ACTIONS(2501),
    [sym_underscore_pattern] = ACTIONS(2501),
    [anon_sym_SEMI] = ACTIONS(2499),
    [anon_sym_assert] = ACTIONS(2501),
    [anon_sym_do] = ACTIONS(2501),
    [anon_sym_while] = ACTIONS(2501),
    [anon_sym_break] = ACTIONS(2501),
    [anon_sym_continue] = ACTIONS(2501),
    [anon_sym_return] = ACTIONS(2501),
    [anon_sym_yield] = ACTIONS(2501),
    [anon_sym_synchronized] = ACTIONS(2501),
    [anon_sym_throw] = ACTIONS(2501),
    [anon_sym_try] = ACTIONS(2501),
    [anon_sym_if] = ACTIONS(2501),
    [anon_sym_else] = ACTIONS(2501),
    [anon_sym_for] = ACTIONS(2501),
    [anon_sym_AT] = ACTIONS(2501),
    [anon_sym_open] = ACTIONS(2501),
    [anon_sym_module] = ACTIONS(2501),
    [anon_sym_static] = ACTIONS(2501),
    [anon_sym_with] = ACTIONS(2501),
    [anon_sym_package] = ACTIONS(2501),
    [anon_sym_import] = ACTIONS(2501),
    [anon_sym_enum] = ACTIONS(2501),
    [anon_sym_public] = ACTIONS(2501),
    [anon_sym_protected] = ACTIONS(2501),
    [anon_sym_private] = ACTIONS(2501),
    [anon_sym_abstract] = ACTIONS(2501),
    [anon_sym_strictfp] = ACTIONS(2501),
    [anon_sym_native] = ACTIONS(2501),
    [anon_sym_transient] = ACTIONS(2501),
    [anon_sym_volatile] = ACTIONS(2501),
    [anon_sym_sealed] = ACTIONS(2501),
    [anon_sym_non_DASHsealed] = ACTIONS(2499),
    [anon_sym_record] = ACTIONS(2501),
    [anon_sym_ATinterface] = ACTIONS(2499),
    [anon_sym_interface] = ACTIONS(2501),
    [anon_sym_byte] = ACTIONS(2501),
    [anon_sym_short] = ACTIONS(2501),
    [anon_sym_int] = ACTIONS(2501),
    [anon_sym_long] = ACTIONS(2501),
    [anon_sym_char] = ACTIONS(2501),
    [anon_sym_float] = ACTIONS(2501),
    [anon_sym_double] = ACTIONS(2501),
    [sym_boolean_type] = ACTIONS(2501),
    [sym_void_type] = ACTIONS(2501),
    [anon_sym_def] = ACTIONS(2501),
    [sym_this] = ACTIONS(2501),
    [sym_super] = ACTIONS(2501),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [974] = {
    [ts_builtin_sym_end] = ACTIONS(2503),
    [sym_identifier] = ACTIONS(2505),
    [sym_decimal_integer_literal] = ACTIONS(2505),
    [sym_hex_integer_literal] = ACTIONS(2505),
    [sym_octal_integer_literal] = ACTIONS(2505),
    [sym_binary_integer_literal] = ACTIONS(2503),
    [sym_decimal_floating_point_literal] = ACTIONS(2503),
    [sym_hex_floating_point_literal] = ACTIONS(2505),
    [sym_true] = ACTIONS(2505),
    [sym_false] = ACTIONS(2505),
    [sym_character_literal] = ACTIONS(2503),
    [anon_sym_DQUOTE] = ACTIONS(2505),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2503),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2503),
    [anon_sym_RBRACE] = ACTIONS(2503),
    [sym_null_literal] = ACTIONS(2505),
    [anon_sym_LPAREN] = ACTIONS(2503),
    [anon_sym_LT] = ACTIONS(2503),
    [anon_sym_PLUS] = ACTIONS(2505),
    [anon_sym_DASH] = ACTIONS(2505),
    [anon_sym_final] = ACTIONS(2505),
    [anon_sym_DASH_GT] = ACTIONS(2503),
    [anon_sym_BANG] = ACTIONS(2503),
    [anon_sym_TILDE] = ACTIONS(2503),
    [anon_sym_PLUS_PLUS] = ACTIONS(2503),
    [anon_sym_DASH_DASH] = ACTIONS(2503),
    [anon_sym_new] = ACTIONS(2505),
    [anon_sym_LBRACK] = ACTIONS(2503),
    [anon_sym_class] = ACTIONS(2505),
    [anon_sym_switch] = ACTIONS(2505),
    [anon_sym_LBRACE] = ACTIONS(2503),
    [anon_sym_case] = ACTIONS(2505),
    [anon_sym_default] = ACTIONS(2505),
    [sym_underscore_pattern] = ACTIONS(2505),
    [anon_sym_SEMI] = ACTIONS(2503),
    [anon_sym_assert] = ACTIONS(2505),
    [anon_sym_do] = ACTIONS(2505),
    [anon_sym_while] = ACTIONS(2505),
    [anon_sym_break] = ACTIONS(2505),
    [anon_sym_continue] = ACTIONS(2505),
    [anon_sym_return] = ACTIONS(2505),
    [anon_sym_yield] = ACTIONS(2505),
    [anon_sym_synchronized] = ACTIONS(2505),
    [anon_sym_throw] = ACTIONS(2505),
    [anon_sym_try] = ACTIONS(2505),
    [anon_sym_if] = ACTIONS(2505),
    [anon_sym_else] = ACTIONS(2505),
    [anon_sym_for] = ACTIONS(2505),
    [anon_sym_AT] = ACTIONS(2505),
    [anon_sym_open] = ACTIONS(2505),
    [anon_sym_module] = ACTIONS(2505),
    [anon_sym_static] = ACTIONS(2505),
    [anon_sym_with] = ACTIONS(2505),
    [anon_sym_package] = ACTIONS(2505),
    [anon_sym_import] = ACTIONS(2505),
    [anon_sym_enum] = ACTIONS(2505),
    [anon_sym_public] = ACTIONS(2505),
    [anon_sym_protected] = ACTIONS(2505),
    [anon_sym_private] = ACTIONS(2505),
    [anon_sym_abstract] = ACTIONS(2505),
    [anon_sym_strictfp] = ACTIONS(2505),
    [anon_sym_native] = ACTIONS(2505),
    [anon_sym_transient] = ACTIONS(2505),
    [anon_sym_volatile] = ACTIONS(2505),
    [anon_sym_sealed] = ACTIONS(2505),
    [anon_sym_non_DASHsealed] = ACTIONS(2503),
    [anon_sym_record] = ACTIONS(2505),
    [anon_sym_ATinterface] = ACTIONS(2503),
    [anon_sym_interface] = ACTIONS(2505),
    [anon_sym_byte] = ACTIONS(2505),
    [anon_sym_short] = ACTIONS(2505),
    [anon_sym_int] = ACTIONS(2505),
    [anon_sym_long] = ACTIONS(2505),
    [anon_sym_char] = ACTIONS(2505),
    [anon_sym_float] = ACTIONS(2505),
    [anon_sym_double] = ACTIONS(2505),
    [sym_boolean_type] = ACTIONS(2505),
    [sym_void_type] = ACTIONS(2505),
    [anon_sym_def] = ACTIONS(2505),
    [sym_this] = ACTIONS(2505),
    [sym_super] = ACTIONS(2505),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [975] = {
    [ts_builtin_sym_end] = ACTIONS(2507),
    [sym_identifier] = ACTIONS(2509),
    [sym_decimal_integer_literal] = ACTIONS(2509),
    [sym_hex_integer_literal] = ACTIONS(2509),
    [sym_octal_integer_literal] = ACTIONS(2509),
    [sym_binary_integer_literal] = ACTIONS(2507),
    [sym_decimal_floating_point_literal] = ACTIONS(2507),
    [sym_hex_floating_point_literal] = ACTIONS(2509),
    [sym_true] = ACTIONS(2509),
    [sym_false] = ACTIONS(2509),
    [sym_character_literal] = ACTIONS(2507),
    [anon_sym_DQUOTE] = ACTIONS(2509),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2507),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2507),
    [anon_sym_RBRACE] = ACTIONS(2507),
    [sym_null_literal] = ACTIONS(2509),
    [anon_sym_LPAREN] = ACTIONS(2507),
    [anon_sym_LT] = ACTIONS(2507),
    [anon_sym_PLUS] = ACTIONS(2509),
    [anon_sym_DASH] = ACTIONS(2509),
    [anon_sym_final] = ACTIONS(2509),
    [anon_sym_DASH_GT] = ACTIONS(2507),
    [anon_sym_BANG] = ACTIONS(2507),
    [anon_sym_TILDE] = ACTIONS(2507),
    [anon_sym_PLUS_PLUS] = ACTIONS(2507),
    [anon_sym_DASH_DASH] = ACTIONS(2507),
    [anon_sym_new] = ACTIONS(2509),
    [anon_sym_LBRACK] = ACTIONS(2507),
    [anon_sym_class] = ACTIONS(2509),
    [anon_sym_switch] = ACTIONS(2509),
    [anon_sym_LBRACE] = ACTIONS(2507),
    [anon_sym_case] = ACTIONS(2509),
    [anon_sym_default] = ACTIONS(2509),
    [sym_underscore_pattern] = ACTIONS(2509),
    [anon_sym_SEMI] = ACTIONS(2507),
    [anon_sym_assert] = ACTIONS(2509),
    [anon_sym_do] = ACTIONS(2509),
    [anon_sym_while] = ACTIONS(2509),
    [anon_sym_break] = ACTIONS(2509),
    [anon_sym_continue] = ACTIONS(2509),
    [anon_sym_return] = ACTIONS(2509),
    [anon_sym_yield] = ACTIONS(2509),
    [anon_sym_synchronized] = ACTIONS(2509),
    [anon_sym_throw] = ACTIONS(2509),
    [anon_sym_try] = ACTIONS(2509),
    [anon_sym_if] = ACTIONS(2509),
    [anon_sym_else] = ACTIONS(2509),
    [anon_sym_for] = ACTIONS(2509),
    [anon_sym_AT] = ACTIONS(2509),
    [anon_sym_open] = ACTIONS(2509),
    [anon_sym_module] = ACTIONS(2509),
    [anon_sym_static] = ACTIONS(2509),
    [anon_sym_with] = ACTIONS(2509),
    [anon_sym_package] = ACTIONS(2509),
    [anon_sym_import] = ACTIONS(2509),
    [anon_sym_enum] = ACTIONS(2509),
    [anon_sym_public] = ACTIONS(2509),
    [anon_sym_protected] = ACTIONS(2509),
    [anon_sym_private] = ACTIONS(2509),
    [anon_sym_abstract] = ACTIONS(2509),
    [anon_sym_strictfp] = ACTIONS(2509),
    [anon_sym_native] = ACTIONS(2509),
    [anon_sym_transient] = ACTIONS(2509),
    [anon_sym_volatile] = ACTIONS(2509),
    [anon_sym_sealed] = ACTIONS(2509),
    [anon_sym_non_DASHsealed] = ACTIONS(2507),
    [anon_sym_record] = ACTIONS(2509),
    [anon_sym_ATinterface] = ACTIONS(2507),
    [anon_sym_interface] = ACTIONS(2509),
    [anon_sym_byte] = ACTIONS(2509),
    [anon_sym_short] = ACTIONS(2509),
    [anon_sym_int] = ACTIONS(2509),
    [anon_sym_long] = ACTIONS(2509),
    [anon_sym_char] = ACTIONS(2509),
    [anon_sym_float] = ACTIONS(2509),
    [anon_sym_double] = ACTIONS(2509),
    [sym_boolean_type] = ACTIONS(2509),
    [sym_void_type] = ACTIONS(2509),
    [anon_sym_def] = ACTIONS(2509),
    [sym_this] = ACTIONS(2509),
    [sym_super] = ACTIONS(2509),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [976] = {
    [ts_builtin_sym_end] = ACTIONS(2471),
    [sym_identifier] = ACTIONS(2473),
    [sym_decimal_integer_literal] = ACTIONS(2473),
    [sym_hex_integer_literal] = ACTIONS(2473),
    [sym_octal_integer_literal] = ACTIONS(2473),
    [sym_binary_integer_literal] = ACTIONS(2471),
    [sym_decimal_floating_point_literal] = ACTIONS(2471),
    [sym_hex_floating_point_literal] = ACTIONS(2473),
    [sym_true] = ACTIONS(2473),
    [sym_false] = ACTIONS(2473),
    [sym_character_literal] = ACTIONS(2471),
    [anon_sym_DQUOTE] = ACTIONS(2473),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2471),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2471),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [sym_null_literal] = ACTIONS(2473),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LT] = ACTIONS(2471),
    [anon_sym_PLUS] = ACTIONS(2473),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_DASH_GT] = ACTIONS(2471),
    [anon_sym_BANG] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_PLUS_PLUS] = ACTIONS(2471),
    [anon_sym_DASH_DASH] = ACTIONS(2471),
    [anon_sym_new] = ACTIONS(2473),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [anon_sym_class] = ACTIONS(2473),
    [anon_sym_switch] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_case] = ACTIONS(2473),
    [anon_sym_default] = ACTIONS(2473),
    [sym_underscore_pattern] = ACTIONS(2473),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_assert] = ACTIONS(2473),
    [anon_sym_do] = ACTIONS(2473),
    [anon_sym_while] = ACTIONS(2473),
    [anon_sym_break] = ACTIONS(2473),
    [anon_sym_continue] = ACTIONS(2473),
    [anon_sym_return] = ACTIONS(2473),
    [anon_sym_yield] = ACTIONS(2473),
    [anon_sym_synchronized] = ACTIONS(2473),
    [anon_sym_throw] = ACTIONS(2473),
    [anon_sym_try] = ACTIONS(2473),
    [anon_sym_if] = ACTIONS(2473),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_for] = ACTIONS(2473),
    [anon_sym_AT] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_module] = ACTIONS(2473),
    [anon_sym_static] = ACTIONS(2473),
    [anon_sym_with] = ACTIONS(2473),
    [anon_sym_package] = ACTIONS(2473),
    [anon_sym_import] = ACTIONS(2473),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_strictfp] = ACTIONS(2473),
    [anon_sym_native] = ACTIONS(2473),
    [anon_sym_transient] = ACTIONS(2473),
    [anon_sym_volatile] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_non_DASHsealed] = ACTIONS(2471),
    [anon_sym_record] = ACTIONS(2473),
    [anon_sym_ATinterface] = ACTIONS(2471),
    [anon_sym_interface] = ACTIONS(2473),
    [anon_sym_byte] = ACTIONS(2473),
    [anon_sym_short] = ACTIONS(2473),
    [anon_sym_int] = ACTIONS(2473),
    [anon_sym_long] = ACTIONS(2473),
    [anon_sym_char] = ACTIONS(2473),
    [anon_sym_float] = ACTIONS(2473),
    [anon_sym_double] = ACTIONS(2473),
    [sym_boolean_type] = ACTIONS(2473),
    [sym_void_type] = ACTIONS(2473),
    [anon_sym_def] = ACTIONS(2473),
    [sym_this] = ACTIONS(2473),
    [sym_super] = ACTIONS(2473),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [977] = {
    [ts_builtin_sym_end] = ACTIONS(2511),
    [sym_identifier] = ACTIONS(2513),
    [sym_decimal_integer_literal] = ACTIONS(2513),
    [sym_hex_integer_literal] = ACTIONS(2513),
    [sym_octal_integer_literal] = ACTIONS(2513),
    [sym_binary_integer_literal] = ACTIONS(2511),
    [sym_decimal_floating_point_literal] = ACTIONS(2511),
    [sym_hex_floating_point_literal] = ACTIONS(2513),
    [sym_true] = ACTIONS(2513),
    [sym_false] = ACTIONS(2513),
    [sym_character_literal] = ACTIONS(2511),
    [anon_sym_DQUOTE] = ACTIONS(2513),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2511),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2511),
    [anon_sym_RBRACE] = ACTIONS(2511),
    [sym_null_literal] = ACTIONS(2513),
    [anon_sym_LPAREN] = ACTIONS(2511),
    [anon_sym_LT] = ACTIONS(2511),
    [anon_sym_PLUS] = ACTIONS(2513),
    [anon_sym_DASH] = ACTIONS(2513),
    [anon_sym_final] = ACTIONS(2513),
    [anon_sym_DASH_GT] = ACTIONS(2511),
    [anon_sym_BANG] = ACTIONS(2511),
    [anon_sym_TILDE] = ACTIONS(2511),
    [anon_sym_PLUS_PLUS] = ACTIONS(2511),
    [anon_sym_DASH_DASH] = ACTIONS(2511),
    [anon_sym_new] = ACTIONS(2513),
    [anon_sym_LBRACK] = ACTIONS(2511),
    [anon_sym_class] = ACTIONS(2513),
    [anon_sym_switch] = ACTIONS(2513),
    [anon_sym_LBRACE] = ACTIONS(2511),
    [anon_sym_case] = ACTIONS(2513),
    [anon_sym_default] = ACTIONS(2513),
    [sym_underscore_pattern] = ACTIONS(2513),
    [anon_sym_SEMI] = ACTIONS(2511),
    [anon_sym_assert] = ACTIONS(2513),
    [anon_sym_do] = ACTIONS(2513),
    [anon_sym_while] = ACTIONS(2513),
    [anon_sym_break] = ACTIONS(2513),
    [anon_sym_continue] = ACTIONS(2513),
    [anon_sym_return] = ACTIONS(2513),
    [anon_sym_yield] = ACTIONS(2513),
    [anon_sym_synchronized] = ACTIONS(2513),
    [anon_sym_throw] = ACTIONS(2513),
    [anon_sym_try] = ACTIONS(2513),
    [anon_sym_if] = ACTIONS(2513),
    [anon_sym_else] = ACTIONS(2513),
    [anon_sym_for] = ACTIONS(2513),
    [anon_sym_AT] = ACTIONS(2513),
    [anon_sym_open] = ACTIONS(2513),
    [anon_sym_module] = ACTIONS(2513),
    [anon_sym_static] = ACTIONS(2513),
    [anon_sym_with] = ACTIONS(2513),
    [anon_sym_package] = ACTIONS(2513),
    [anon_sym_import] = ACTIONS(2513),
    [anon_sym_enum] = ACTIONS(2513),
    [anon_sym_public] = ACTIONS(2513),
    [anon_sym_protected] = ACTIONS(2513),
    [anon_sym_private] = ACTIONS(2513),
    [anon_sym_abstract] = ACTIONS(2513),
    [anon_sym_strictfp] = ACTIONS(2513),
    [anon_sym_native] = ACTIONS(2513),
    [anon_sym_transient] = ACTIONS(2513),
    [anon_sym_volatile] = ACTIONS(2513),
    [anon_sym_sealed] = ACTIONS(2513),
    [anon_sym_non_DASHsealed] = ACTIONS(2511),
    [anon_sym_record] = ACTIONS(2513),
    [anon_sym_ATinterface] = ACTIONS(2511),
    [anon_sym_interface] = ACTIONS(2513),
    [anon_sym_byte] = ACTIONS(2513),
    [anon_sym_short] = ACTIONS(2513),
    [anon_sym_int] = ACTIONS(2513),
    [anon_sym_long] = ACTIONS(2513),
    [anon_sym_char] = ACTIONS(2513),
    [anon_sym_float] = ACTIONS(2513),
    [anon_sym_double] = ACTIONS(2513),
    [sym_boolean_type] = ACTIONS(2513),
    [sym_void_type] = ACTIONS(2513),
    [anon_sym_def] = ACTIONS(2513),
    [sym_this] = ACTIONS(2513),
    [sym_super] = ACTIONS(2513),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [978] = {
    [ts_builtin_sym_end] = ACTIONS(2515),
    [sym_identifier] = ACTIONS(2517),
    [sym_decimal_integer_literal] = ACTIONS(2517),
    [sym_hex_integer_literal] = ACTIONS(2517),
    [sym_octal_integer_literal] = ACTIONS(2517),
    [sym_binary_integer_literal] = ACTIONS(2515),
    [sym_decimal_floating_point_literal] = ACTIONS(2515),
    [sym_hex_floating_point_literal] = ACTIONS(2517),
    [sym_true] = ACTIONS(2517),
    [sym_false] = ACTIONS(2517),
    [sym_character_literal] = ACTIONS(2515),
    [anon_sym_DQUOTE] = ACTIONS(2517),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2515),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2515),
    [anon_sym_RBRACE] = ACTIONS(2515),
    [sym_null_literal] = ACTIONS(2517),
    [anon_sym_LPAREN] = ACTIONS(2515),
    [anon_sym_LT] = ACTIONS(2515),
    [anon_sym_PLUS] = ACTIONS(2517),
    [anon_sym_DASH] = ACTIONS(2517),
    [anon_sym_final] = ACTIONS(2517),
    [anon_sym_DASH_GT] = ACTIONS(2515),
    [anon_sym_BANG] = ACTIONS(2515),
    [anon_sym_TILDE] = ACTIONS(2515),
    [anon_sym_PLUS_PLUS] = ACTIONS(2515),
    [anon_sym_DASH_DASH] = ACTIONS(2515),
    [anon_sym_new] = ACTIONS(2517),
    [anon_sym_LBRACK] = ACTIONS(2515),
    [anon_sym_class] = ACTIONS(2517),
    [anon_sym_switch] = ACTIONS(2517),
    [anon_sym_LBRACE] = ACTIONS(2515),
    [anon_sym_case] = ACTIONS(2517),
    [anon_sym_default] = ACTIONS(2517),
    [sym_underscore_pattern] = ACTIONS(2517),
    [anon_sym_SEMI] = ACTIONS(2515),
    [anon_sym_assert] = ACTIONS(2517),
    [anon_sym_do] = ACTIONS(2517),
    [anon_sym_while] = ACTIONS(2517),
    [anon_sym_break] = ACTIONS(2517),
    [anon_sym_continue] = ACTIONS(2517),
    [anon_sym_return] = ACTIONS(2517),
    [anon_sym_yield] = ACTIONS(2517),
    [anon_sym_synchronized] = ACTIONS(2517),
    [anon_sym_throw] = ACTIONS(2517),
    [anon_sym_try] = ACTIONS(2517),
    [anon_sym_if] = ACTIONS(2517),
    [anon_sym_else] = ACTIONS(2517),
    [anon_sym_for] = ACTIONS(2517),
    [anon_sym_AT] = ACTIONS(2517),
    [anon_sym_open] = ACTIONS(2517),
    [anon_sym_module] = ACTIONS(2517),
    [anon_sym_static] = ACTIONS(2517),
    [anon_sym_with] = ACTIONS(2517),
    [anon_sym_package] = ACTIONS(2517),
    [anon_sym_import] = ACTIONS(2517),
    [anon_sym_enum] = ACTIONS(2517),
    [anon_sym_public] = ACTIONS(2517),
    [anon_sym_protected] = ACTIONS(2517),
    [anon_sym_private] = ACTIONS(2517),
    [anon_sym_abstract] = ACTIONS(2517),
    [anon_sym_strictfp] = ACTIONS(2517),
    [anon_sym_native] = ACTIONS(2517),
    [anon_sym_transient] = ACTIONS(2517),
    [anon_sym_volatile] = ACTIONS(2517),
    [anon_sym_sealed] = ACTIONS(2517),
    [anon_sym_non_DASHsealed] = ACTIONS(2515),
    [anon_sym_record] = ACTIONS(2517),
    [anon_sym_ATinterface] = ACTIONS(2515),
    [anon_sym_interface] = ACTIONS(2517),
    [anon_sym_byte] = ACTIONS(2517),
    [anon_sym_short] = ACTIONS(2517),
    [anon_sym_int] = ACTIONS(2517),
    [anon_sym_long] = ACTIONS(2517),
    [anon_sym_char] = ACTIONS(2517),
    [anon_sym_float] = ACTIONS(2517),
    [anon_sym_double] = ACTIONS(2517),
    [sym_boolean_type] = ACTIONS(2517),
    [sym_void_type] = ACTIONS(2517),
    [anon_sym_def] = ACTIONS(2517),
    [sym_this] = ACTIONS(2517),
    [sym_super] = ACTIONS(2517),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [979] = {
    [ts_builtin_sym_end] = ACTIONS(2471),
    [sym_identifier] = ACTIONS(2473),
    [sym_decimal_integer_literal] = ACTIONS(2473),
    [sym_hex_integer_literal] = ACTIONS(2473),
    [sym_octal_integer_literal] = ACTIONS(2473),
    [sym_binary_integer_literal] = ACTIONS(2471),
    [sym_decimal_floating_point_literal] = ACTIONS(2471),
    [sym_hex_floating_point_literal] = ACTIONS(2473),
    [sym_true] = ACTIONS(2473),
    [sym_false] = ACTIONS(2473),
    [sym_character_literal] = ACTIONS(2471),
    [anon_sym_DQUOTE] = ACTIONS(2473),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2471),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2471),
    [anon_sym_RBRACE] = ACTIONS(2471),
    [sym_null_literal] = ACTIONS(2473),
    [anon_sym_LPAREN] = ACTIONS(2471),
    [anon_sym_LT] = ACTIONS(2471),
    [anon_sym_PLUS] = ACTIONS(2473),
    [anon_sym_DASH] = ACTIONS(2473),
    [anon_sym_final] = ACTIONS(2473),
    [anon_sym_DASH_GT] = ACTIONS(2471),
    [anon_sym_BANG] = ACTIONS(2471),
    [anon_sym_TILDE] = ACTIONS(2471),
    [anon_sym_PLUS_PLUS] = ACTIONS(2471),
    [anon_sym_DASH_DASH] = ACTIONS(2471),
    [anon_sym_new] = ACTIONS(2473),
    [anon_sym_LBRACK] = ACTIONS(2471),
    [anon_sym_class] = ACTIONS(2473),
    [anon_sym_switch] = ACTIONS(2473),
    [anon_sym_LBRACE] = ACTIONS(2471),
    [anon_sym_case] = ACTIONS(2473),
    [anon_sym_default] = ACTIONS(2473),
    [sym_underscore_pattern] = ACTIONS(2473),
    [anon_sym_SEMI] = ACTIONS(2471),
    [anon_sym_assert] = ACTIONS(2473),
    [anon_sym_do] = ACTIONS(2473),
    [anon_sym_while] = ACTIONS(2473),
    [anon_sym_break] = ACTIONS(2473),
    [anon_sym_continue] = ACTIONS(2473),
    [anon_sym_return] = ACTIONS(2473),
    [anon_sym_yield] = ACTIONS(2473),
    [anon_sym_synchronized] = ACTIONS(2473),
    [anon_sym_throw] = ACTIONS(2473),
    [anon_sym_try] = ACTIONS(2473),
    [anon_sym_if] = ACTIONS(2473),
    [anon_sym_else] = ACTIONS(2473),
    [anon_sym_for] = ACTIONS(2473),
    [anon_sym_AT] = ACTIONS(2473),
    [anon_sym_open] = ACTIONS(2473),
    [anon_sym_module] = ACTIONS(2473),
    [anon_sym_static] = ACTIONS(2473),
    [anon_sym_with] = ACTIONS(2473),
    [anon_sym_package] = ACTIONS(2473),
    [anon_sym_import] = ACTIONS(2473),
    [anon_sym_enum] = ACTIONS(2473),
    [anon_sym_public] = ACTIONS(2473),
    [anon_sym_protected] = ACTIONS(2473),
    [anon_sym_private] = ACTIONS(2473),
    [anon_sym_abstract] = ACTIONS(2473),
    [anon_sym_strictfp] = ACTIONS(2473),
    [anon_sym_native] = ACTIONS(2473),
    [anon_sym_transient] = ACTIONS(2473),
    [anon_sym_volatile] = ACTIONS(2473),
    [anon_sym_sealed] = ACTIONS(2473),
    [anon_sym_non_DASHsealed] = ACTIONS(2471),
    [anon_sym_record] = ACTIONS(2473),
    [anon_sym_ATinterface] = ACTIONS(2471),
    [anon_sym_interface] = ACTIONS(2473),
    [anon_sym_byte] = ACTIONS(2473),
    [anon_sym_short] = ACTIONS(2473),
    [anon_sym_int] = ACTIONS(2473),
    [anon_sym_long] = ACTIONS(2473),
    [anon_sym_char] = ACTIONS(2473),
    [anon_sym_float] = ACTIONS(2473),
    [anon_sym_double] = ACTIONS(2473),
    [sym_boolean_type] = ACTIONS(2473),
    [sym_void_type] = ACTIONS(2473),
    [anon_sym_def] = ACTIONS(2473),
    [sym_this] = ACTIONS(2473),
    [sym_super] = ACTIONS(2473),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [980] = {
    [ts_builtin_sym_end] = ACTIONS(2519),
    [sym_identifier] = ACTIONS(2521),
    [sym_decimal_integer_literal] = ACTIONS(2521),
    [sym_hex_integer_literal] = ACTIONS(2521),
    [sym_octal_integer_literal] = ACTIONS(2521),
    [sym_binary_integer_literal] = ACTIONS(2519),
    [sym_decimal_floating_point_literal] = ACTIONS(2519),
    [sym_hex_floating_point_literal] = ACTIONS(2521),
    [sym_true] = ACTIONS(2521),
    [sym_false] = ACTIONS(2521),
    [sym_character_literal] = ACTIONS(2519),
    [anon_sym_DQUOTE] = ACTIONS(2521),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2519),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2519),
    [anon_sym_RBRACE] = ACTIONS(2519),
    [sym_null_literal] = ACTIONS(2521),
    [anon_sym_LPAREN] = ACTIONS(2519),
    [anon_sym_LT] = ACTIONS(2519),
    [anon_sym_PLUS] = ACTIONS(2521),
    [anon_sym_DASH] = ACTIONS(2521),
    [anon_sym_final] = ACTIONS(2521),
    [anon_sym_DASH_GT] = ACTIONS(2519),
    [anon_sym_BANG] = ACTIONS(2519),
    [anon_sym_TILDE] = ACTIONS(2519),
    [anon_sym_PLUS_PLUS] = ACTIONS(2519),
    [anon_sym_DASH_DASH] = ACTIONS(2519),
    [anon_sym_new] = ACTIONS(2521),
    [anon_sym_LBRACK] = ACTIONS(2519),
    [anon_sym_class] = ACTIONS(2521),
    [anon_sym_switch] = ACTIONS(2521),
    [anon_sym_LBRACE] = ACTIONS(2519),
    [anon_sym_case] = ACTIONS(2521),
    [anon_sym_default] = ACTIONS(2521),
    [sym_underscore_pattern] = ACTIONS(2521),
    [anon_sym_SEMI] = ACTIONS(2519),
    [anon_sym_assert] = ACTIONS(2521),
    [anon_sym_do] = ACTIONS(2521),
    [anon_sym_while] = ACTIONS(2521),
    [anon_sym_break] = ACTIONS(2521),
    [anon_sym_continue] = ACTIONS(2521),
    [anon_sym_return] = ACTIONS(2521),
    [anon_sym_yield] = ACTIONS(2521),
    [anon_sym_synchronized] = ACTIONS(2521),
    [anon_sym_throw] = ACTIONS(2521),
    [anon_sym_try] = ACTIONS(2521),
    [anon_sym_if] = ACTIONS(2521),
    [anon_sym_else] = ACTIONS(2521),
    [anon_sym_for] = ACTIONS(2521),
    [anon_sym_AT] = ACTIONS(2521),
    [anon_sym_open] = ACTIONS(2521),
    [anon_sym_module] = ACTIONS(2521),
    [anon_sym_static] = ACTIONS(2521),
    [anon_sym_with] = ACTIONS(2521),
    [anon_sym_package] = ACTIONS(2521),
    [anon_sym_import] = ACTIONS(2521),
    [anon_sym_enum] = ACTIONS(2521),
    [anon_sym_public] = ACTIONS(2521),
    [anon_sym_protected] = ACTIONS(2521),
    [anon_sym_private] = ACTIONS(2521),
    [anon_sym_abstract] = ACTIONS(2521),
    [anon_sym_strictfp] = ACTIONS(2521),
    [anon_sym_native] = ACTIONS(2521),
    [anon_sym_transient] = ACTIONS(2521),
    [anon_sym_volatile] = ACTIONS(2521),
    [anon_sym_sealed] = ACTIONS(2521),
    [anon_sym_non_DASHsealed] = ACTIONS(2519),
    [anon_sym_record] = ACTIONS(2521),
    [anon_sym_ATinterface] = ACTIONS(2519),
    [anon_sym_interface] = ACTIONS(2521),
    [anon_sym_byte] = ACTIONS(2521),
    [anon_sym_short] = ACTIONS(2521),
    [anon_sym_int] = ACTIONS(2521),
    [anon_sym_long] = ACTIONS(2521),
    [anon_sym_char] = ACTIONS(2521),
    [anon_sym_float] = ACTIONS(2521),
    [anon_sym_double] = ACTIONS(2521),
    [sym_boolean_type] = ACTIONS(2521),
    [sym_void_type] = ACTIONS(2521),
    [anon_sym_def] = ACTIONS(2521),
    [sym_this] = ACTIONS(2521),
    [sym_super] = ACTIONS(2521),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [981] = {
    [ts_builtin_sym_end] = ACTIONS(2523),
    [sym_identifier] = ACTIONS(2525),
    [sym_decimal_integer_literal] = ACTIONS(2525),
    [sym_hex_integer_literal] = ACTIONS(2525),
    [sym_octal_integer_literal] = ACTIONS(2525),
    [sym_binary_integer_literal] = ACTIONS(2523),
    [sym_decimal_floating_point_literal] = ACTIONS(2523),
    [sym_hex_floating_point_literal] = ACTIONS(2525),
    [sym_true] = ACTIONS(2525),
    [sym_false] = ACTIONS(2525),
    [sym_character_literal] = ACTIONS(2523),
    [anon_sym_DQUOTE] = ACTIONS(2525),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2523),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2523),
    [anon_sym_RBRACE] = ACTIONS(2523),
    [sym_null_literal] = ACTIONS(2525),
    [anon_sym_LPAREN] = ACTIONS(2523),
    [anon_sym_LT] = ACTIONS(2523),
    [anon_sym_PLUS] = ACTIONS(2525),
    [anon_sym_DASH] = ACTIONS(2525),
    [anon_sym_final] = ACTIONS(2525),
    [anon_sym_DASH_GT] = ACTIONS(2523),
    [anon_sym_BANG] = ACTIONS(2523),
    [anon_sym_TILDE] = ACTIONS(2523),
    [anon_sym_PLUS_PLUS] = ACTIONS(2523),
    [anon_sym_DASH_DASH] = ACTIONS(2523),
    [anon_sym_new] = ACTIONS(2525),
    [anon_sym_LBRACK] = ACTIONS(2523),
    [anon_sym_class] = ACTIONS(2525),
    [anon_sym_switch] = ACTIONS(2525),
    [anon_sym_LBRACE] = ACTIONS(2523),
    [anon_sym_case] = ACTIONS(2525),
    [anon_sym_default] = ACTIONS(2525),
    [sym_underscore_pattern] = ACTIONS(2525),
    [anon_sym_SEMI] = ACTIONS(2523),
    [anon_sym_assert] = ACTIONS(2525),
    [anon_sym_do] = ACTIONS(2525),
    [anon_sym_while] = ACTIONS(2525),
    [anon_sym_break] = ACTIONS(2525),
    [anon_sym_continue] = ACTIONS(2525),
    [anon_sym_return] = ACTIONS(2525),
    [anon_sym_yield] = ACTIONS(2525),
    [anon_sym_synchronized] = ACTIONS(2525),
    [anon_sym_throw] = ACTIONS(2525),
    [anon_sym_try] = ACTIONS(2525),
    [anon_sym_if] = ACTIONS(2525),
    [anon_sym_else] = ACTIONS(2525),
    [anon_sym_for] = ACTIONS(2525),
    [anon_sym_AT] = ACTIONS(2525),
    [anon_sym_open] = ACTIONS(2525),
    [anon_sym_module] = ACTIONS(2525),
    [anon_sym_static] = ACTIONS(2525),
    [anon_sym_with] = ACTIONS(2525),
    [anon_sym_package] = ACTIONS(2525),
    [anon_sym_import] = ACTIONS(2525),
    [anon_sym_enum] = ACTIONS(2525),
    [anon_sym_public] = ACTIONS(2525),
    [anon_sym_protected] = ACTIONS(2525),
    [anon_sym_private] = ACTIONS(2525),
    [anon_sym_abstract] = ACTIONS(2525),
    [anon_sym_strictfp] = ACTIONS(2525),
    [anon_sym_native] = ACTIONS(2525),
    [anon_sym_transient] = ACTIONS(2525),
    [anon_sym_volatile] = ACTIONS(2525),
    [anon_sym_sealed] = ACTIONS(2525),
    [anon_sym_non_DASHsealed] = ACTIONS(2523),
    [anon_sym_record] = ACTIONS(2525),
    [anon_sym_ATinterface] = ACTIONS(2523),
    [anon_sym_interface] = ACTIONS(2525),
    [anon_sym_byte] = ACTIONS(2525),
    [anon_sym_short] = ACTIONS(2525),
    [anon_sym_int] = ACTIONS(2525),
    [anon_sym_long] = ACTIONS(2525),
    [anon_sym_char] = ACTIONS(2525),
    [anon_sym_float] = ACTIONS(2525),
    [anon_sym_double] = ACTIONS(2525),
    [sym_boolean_type] = ACTIONS(2525),
    [sym_void_type] = ACTIONS(2525),
    [anon_sym_def] = ACTIONS(2525),
    [sym_this] = ACTIONS(2525),
    [sym_super] = ACTIONS(2525),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [982] = {
    [ts_builtin_sym_end] = ACTIONS(2527),
    [sym_identifier] = ACTIONS(2529),
    [sym_decimal_integer_literal] = ACTIONS(2529),
    [sym_hex_integer_literal] = ACTIONS(2529),
    [sym_octal_integer_literal] = ACTIONS(2529),
    [sym_binary_integer_literal] = ACTIONS(2527),
    [sym_decimal_floating_point_literal] = ACTIONS(2527),
    [sym_hex_floating_point_literal] = ACTIONS(2529),
    [sym_true] = ACTIONS(2529),
    [sym_false] = ACTIONS(2529),
    [sym_character_literal] = ACTIONS(2527),
    [anon_sym_DQUOTE] = ACTIONS(2529),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2527),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2527),
    [anon_sym_RBRACE] = ACTIONS(2527),
    [sym_null_literal] = ACTIONS(2529),
    [anon_sym_LPAREN] = ACTIONS(2527),
    [anon_sym_LT] = ACTIONS(2527),
    [anon_sym_PLUS] = ACTIONS(2529),
    [anon_sym_DASH] = ACTIONS(2529),
    [anon_sym_final] = ACTIONS(2529),
    [anon_sym_DASH_GT] = ACTIONS(2527),
    [anon_sym_BANG] = ACTIONS(2527),
    [anon_sym_TILDE] = ACTIONS(2527),
    [anon_sym_PLUS_PLUS] = ACTIONS(2527),
    [anon_sym_DASH_DASH] = ACTIONS(2527),
    [anon_sym_new] = ACTIONS(2529),
    [anon_sym_LBRACK] = ACTIONS(2527),
    [anon_sym_class] = ACTIONS(2529),
    [anon_sym_switch] = ACTIONS(2529),
    [anon_sym_LBRACE] = ACTIONS(2527),
    [anon_sym_case] = ACTIONS(2529),
    [anon_sym_default] = ACTIONS(2529),
    [sym_underscore_pattern] = ACTIONS(2529),
    [anon_sym_SEMI] = ACTIONS(2527),
    [anon_sym_assert] = ACTIONS(2529),
    [anon_sym_do] = ACTIONS(2529),
    [anon_sym_while] = ACTIONS(2529),
    [anon_sym_break] = ACTIONS(2529),
    [anon_sym_continue] = ACTIONS(2529),
    [anon_sym_return] = ACTIONS(2529),
    [anon_sym_yield] = ACTIONS(2529),
    [anon_sym_synchronized] = ACTIONS(2529),
    [anon_sym_throw] = ACTIONS(2529),
    [anon_sym_try] = ACTIONS(2529),
    [anon_sym_if] = ACTIONS(2529),
    [anon_sym_else] = ACTIONS(2529),
    [anon_sym_for] = ACTIONS(2529),
    [anon_sym_AT] = ACTIONS(2529),
    [anon_sym_open] = ACTIONS(2529),
    [anon_sym_module] = ACTIONS(2529),
    [anon_sym_static] = ACTIONS(2529),
    [anon_sym_with] = ACTIONS(2529),
    [anon_sym_package] = ACTIONS(2529),
    [anon_sym_import] = ACTIONS(2529),
    [anon_sym_enum] = ACTIONS(2529),
    [anon_sym_public] = ACTIONS(2529),
    [anon_sym_protected] = ACTIONS(2529),
    [anon_sym_private] = ACTIONS(2529),
    [anon_sym_abstract] = ACTIONS(2529),
    [anon_sym_strictfp] = ACTIONS(2529),
    [anon_sym_native] = ACTIONS(2529),
    [anon_sym_transient] = ACTIONS(2529),
    [anon_sym_volatile] = ACTIONS(2529),
    [anon_sym_sealed] = ACTIONS(2529),
    [anon_sym_non_DASHsealed] = ACTIONS(2527),
    [anon_sym_record] = ACTIONS(2529),
    [anon_sym_ATinterface] = ACTIONS(2527),
    [anon_sym_interface] = ACTIONS(2529),
    [anon_sym_byte] = ACTIONS(2529),
    [anon_sym_short] = ACTIONS(2529),
    [anon_sym_int] = ACTIONS(2529),
    [anon_sym_long] = ACTIONS(2529),
    [anon_sym_char] = ACTIONS(2529),
    [anon_sym_float] = ACTIONS(2529),
    [anon_sym_double] = ACTIONS(2529),
    [sym_boolean_type] = ACTIONS(2529),
    [sym_void_type] = ACTIONS(2529),
    [anon_sym_def] = ACTIONS(2529),
    [sym_this] = ACTIONS(2529),
    [sym_super] = ACTIONS(2529),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [983] = {
    [ts_builtin_sym_end] = ACTIONS(2531),
    [sym_identifier] = ACTIONS(2533),
    [sym_decimal_integer_literal] = ACTIONS(2533),
    [sym_hex_integer_literal] = ACTIONS(2533),
    [sym_octal_integer_literal] = ACTIONS(2533),
    [sym_binary_integer_literal] = ACTIONS(2531),
    [sym_decimal_floating_point_literal] = ACTIONS(2531),
    [sym_hex_floating_point_literal] = ACTIONS(2533),
    [sym_true] = ACTIONS(2533),
    [sym_false] = ACTIONS(2533),
    [sym_character_literal] = ACTIONS(2531),
    [anon_sym_DQUOTE] = ACTIONS(2533),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2531),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2531),
    [anon_sym_RBRACE] = ACTIONS(2531),
    [sym_null_literal] = ACTIONS(2533),
    [anon_sym_LPAREN] = ACTIONS(2531),
    [anon_sym_LT] = ACTIONS(2531),
    [anon_sym_PLUS] = ACTIONS(2533),
    [anon_sym_DASH] = ACTIONS(2533),
    [anon_sym_final] = ACTIONS(2533),
    [anon_sym_DASH_GT] = ACTIONS(2531),
    [anon_sym_BANG] = ACTIONS(2531),
    [anon_sym_TILDE] = ACTIONS(2531),
    [anon_sym_PLUS_PLUS] = ACTIONS(2531),
    [anon_sym_DASH_DASH] = ACTIONS(2531),
    [anon_sym_new] = ACTIONS(2533),
    [anon_sym_LBRACK] = ACTIONS(2531),
    [anon_sym_class] = ACTIONS(2533),
    [anon_sym_switch] = ACTIONS(2533),
    [anon_sym_LBRACE] = ACTIONS(2531),
    [anon_sym_case] = ACTIONS(2533),
    [anon_sym_default] = ACTIONS(2533),
    [sym_underscore_pattern] = ACTIONS(2533),
    [anon_sym_SEMI] = ACTIONS(2531),
    [anon_sym_assert] = ACTIONS(2533),
    [anon_sym_do] = ACTIONS(2533),
    [anon_sym_while] = ACTIONS(2533),
    [anon_sym_break] = ACTIONS(2533),
    [anon_sym_continue] = ACTIONS(2533),
    [anon_sym_return] = ACTIONS(2533),
    [anon_sym_yield] = ACTIONS(2533),
    [anon_sym_synchronized] = ACTIONS(2533),
    [anon_sym_throw] = ACTIONS(2533),
    [anon_sym_try] = ACTIONS(2533),
    [anon_sym_if] = ACTIONS(2533),
    [anon_sym_else] = ACTIONS(2533),
    [anon_sym_for] = ACTIONS(2533),
    [anon_sym_AT] = ACTIONS(2533),
    [anon_sym_open] = ACTIONS(2533),
    [anon_sym_module] = ACTIONS(2533),
    [anon_sym_static] = ACTIONS(2533),
    [anon_sym_with] = ACTIONS(2533),
    [anon_sym_package] = ACTIONS(2533),
    [anon_sym_import] = ACTIONS(2533),
    [anon_sym_enum] = ACTIONS(2533),
    [anon_sym_public] = ACTIONS(2533),
    [anon_sym_protected] = ACTIONS(2533),
    [anon_sym_private] = ACTIONS(2533),
    [anon_sym_abstract] = ACTIONS(2533),
    [anon_sym_strictfp] = ACTIONS(2533),
    [anon_sym_native] = ACTIONS(2533),
    [anon_sym_transient] = ACTIONS(2533),
    [anon_sym_volatile] = ACTIONS(2533),
    [anon_sym_sealed] = ACTIONS(2533),
    [anon_sym_non_DASHsealed] = ACTIONS(2531),
    [anon_sym_record] = ACTIONS(2533),
    [anon_sym_ATinterface] = ACTIONS(2531),
    [anon_sym_interface] = ACTIONS(2533),
    [anon_sym_byte] = ACTIONS(2533),
    [anon_sym_short] = ACTIONS(2533),
    [anon_sym_int] = ACTIONS(2533),
    [anon_sym_long] = ACTIONS(2533),
    [anon_sym_char] = ACTIONS(2533),
    [anon_sym_float] = ACTIONS(2533),
    [anon_sym_double] = ACTIONS(2533),
    [sym_boolean_type] = ACTIONS(2533),
    [sym_void_type] = ACTIONS(2533),
    [anon_sym_def] = ACTIONS(2533),
    [sym_this] = ACTIONS(2533),
    [sym_super] = ACTIONS(2533),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [984] = {
    [ts_builtin_sym_end] = ACTIONS(2535),
    [sym_identifier] = ACTIONS(2537),
    [sym_decimal_integer_literal] = ACTIONS(2537),
    [sym_hex_integer_literal] = ACTIONS(2537),
    [sym_octal_integer_literal] = ACTIONS(2537),
    [sym_binary_integer_literal] = ACTIONS(2535),
    [sym_decimal_floating_point_literal] = ACTIONS(2535),
    [sym_hex_floating_point_literal] = ACTIONS(2537),
    [sym_true] = ACTIONS(2537),
    [sym_false] = ACTIONS(2537),
    [sym_character_literal] = ACTIONS(2535),
    [anon_sym_DQUOTE] = ACTIONS(2537),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2535),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2535),
    [anon_sym_RBRACE] = ACTIONS(2535),
    [sym_null_literal] = ACTIONS(2537),
    [anon_sym_LPAREN] = ACTIONS(2535),
    [anon_sym_LT] = ACTIONS(2535),
    [anon_sym_PLUS] = ACTIONS(2537),
    [anon_sym_DASH] = ACTIONS(2537),
    [anon_sym_final] = ACTIONS(2537),
    [anon_sym_DASH_GT] = ACTIONS(2535),
    [anon_sym_BANG] = ACTIONS(2535),
    [anon_sym_TILDE] = ACTIONS(2535),
    [anon_sym_PLUS_PLUS] = ACTIONS(2535),
    [anon_sym_DASH_DASH] = ACTIONS(2535),
    [anon_sym_new] = ACTIONS(2537),
    [anon_sym_LBRACK] = ACTIONS(2535),
    [anon_sym_class] = ACTIONS(2537),
    [anon_sym_switch] = ACTIONS(2537),
    [anon_sym_LBRACE] = ACTIONS(2535),
    [anon_sym_case] = ACTIONS(2537),
    [anon_sym_default] = ACTIONS(2537),
    [sym_underscore_pattern] = ACTIONS(2537),
    [anon_sym_SEMI] = ACTIONS(2535),
    [anon_sym_assert] = ACTIONS(2537),
    [anon_sym_do] = ACTIONS(2537),
    [anon_sym_while] = ACTIONS(2537),
    [anon_sym_break] = ACTIONS(2537),
    [anon_sym_continue] = ACTIONS(2537),
    [anon_sym_return] = ACTIONS(2537),
    [anon_sym_yield] = ACTIONS(2537),
    [anon_sym_synchronized] = ACTIONS(2537),
    [anon_sym_throw] = ACTIONS(2537),
    [anon_sym_try] = ACTIONS(2537),
    [anon_sym_if] = ACTIONS(2537),
    [anon_sym_else] = ACTIONS(2537),
    [anon_sym_for] = ACTIONS(2537),
    [anon_sym_AT] = ACTIONS(2537),
    [anon_sym_open] = ACTIONS(2537),
    [anon_sym_module] = ACTIONS(2537),
    [anon_sym_static] = ACTIONS(2537),
    [anon_sym_with] = ACTIONS(2537),
    [anon_sym_package] = ACTIONS(2537),
    [anon_sym_import] = ACTIONS(2537),
    [anon_sym_enum] = ACTIONS(2537),
    [anon_sym_public] = ACTIONS(2537),
    [anon_sym_protected] = ACTIONS(2537),
    [anon_sym_private] = ACTIONS(2537),
    [anon_sym_abstract] = ACTIONS(2537),
    [anon_sym_strictfp] = ACTIONS(2537),
    [anon_sym_native] = ACTIONS(2537),
    [anon_sym_transient] = ACTIONS(2537),
    [anon_sym_volatile] = ACTIONS(2537),
    [anon_sym_sealed] = ACTIONS(2537),
    [anon_sym_non_DASHsealed] = ACTIONS(2535),
    [anon_sym_record] = ACTIONS(2537),
    [anon_sym_ATinterface] = ACTIONS(2535),
    [anon_sym_interface] = ACTIONS(2537),
    [anon_sym_byte] = ACTIONS(2537),
    [anon_sym_short] = ACTIONS(2537),
    [anon_sym_int] = ACTIONS(2537),
    [anon_sym_long] = ACTIONS(2537),
    [anon_sym_char] = ACTIONS(2537),
    [anon_sym_float] = ACTIONS(2537),
    [anon_sym_double] = ACTIONS(2537),
    [sym_boolean_type] = ACTIONS(2537),
    [sym_void_type] = ACTIONS(2537),
    [anon_sym_def] = ACTIONS(2537),
    [sym_this] = ACTIONS(2537),
    [sym_super] = ACTIONS(2537),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [985] = {
    [ts_builtin_sym_end] = ACTIONS(2539),
    [sym_identifier] = ACTIONS(2541),
    [sym_decimal_integer_literal] = ACTIONS(2541),
    [sym_hex_integer_literal] = ACTIONS(2541),
    [sym_octal_integer_literal] = ACTIONS(2541),
    [sym_binary_integer_literal] = ACTIONS(2539),
    [sym_decimal_floating_point_literal] = ACTIONS(2539),
    [sym_hex_floating_point_literal] = ACTIONS(2541),
    [sym_true] = ACTIONS(2541),
    [sym_false] = ACTIONS(2541),
    [sym_character_literal] = ACTIONS(2539),
    [anon_sym_DQUOTE] = ACTIONS(2541),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2539),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2539),
    [anon_sym_RBRACE] = ACTIONS(2539),
    [sym_null_literal] = ACTIONS(2541),
    [anon_sym_LPAREN] = ACTIONS(2539),
    [anon_sym_LT] = ACTIONS(2539),
    [anon_sym_PLUS] = ACTIONS(2541),
    [anon_sym_DASH] = ACTIONS(2541),
    [anon_sym_final] = ACTIONS(2541),
    [anon_sym_DASH_GT] = ACTIONS(2539),
    [anon_sym_BANG] = ACTIONS(2539),
    [anon_sym_TILDE] = ACTIONS(2539),
    [anon_sym_PLUS_PLUS] = ACTIONS(2539),
    [anon_sym_DASH_DASH] = ACTIONS(2539),
    [anon_sym_new] = ACTIONS(2541),
    [anon_sym_LBRACK] = ACTIONS(2539),
    [anon_sym_class] = ACTIONS(2541),
    [anon_sym_switch] = ACTIONS(2541),
    [anon_sym_LBRACE] = ACTIONS(2539),
    [anon_sym_case] = ACTIONS(2541),
    [anon_sym_default] = ACTIONS(2541),
    [sym_underscore_pattern] = ACTIONS(2541),
    [anon_sym_SEMI] = ACTIONS(2539),
    [anon_sym_assert] = ACTIONS(2541),
    [anon_sym_do] = ACTIONS(2541),
    [anon_sym_while] = ACTIONS(2541),
    [anon_sym_break] = ACTIONS(2541),
    [anon_sym_continue] = ACTIONS(2541),
    [anon_sym_return] = ACTIONS(2541),
    [anon_sym_yield] = ACTIONS(2541),
    [anon_sym_synchronized] = ACTIONS(2541),
    [anon_sym_throw] = ACTIONS(2541),
    [anon_sym_try] = ACTIONS(2541),
    [anon_sym_if] = ACTIONS(2541),
    [anon_sym_else] = ACTIONS(2541),
    [anon_sym_for] = ACTIONS(2541),
    [anon_sym_AT] = ACTIONS(2541),
    [anon_sym_open] = ACTIONS(2541),
    [anon_sym_module] = ACTIONS(2541),
    [anon_sym_static] = ACTIONS(2541),
    [anon_sym_with] = ACTIONS(2541),
    [anon_sym_package] = ACTIONS(2541),
    [anon_sym_import] = ACTIONS(2541),
    [anon_sym_enum] = ACTIONS(2541),
    [anon_sym_public] = ACTIONS(2541),
    [anon_sym_protected] = ACTIONS(2541),
    [anon_sym_private] = ACTIONS(2541),
    [anon_sym_abstract] = ACTIONS(2541),
    [anon_sym_strictfp] = ACTIONS(2541),
    [anon_sym_native] = ACTIONS(2541),
    [anon_sym_transient] = ACTIONS(2541),
    [anon_sym_volatile] = ACTIONS(2541),
    [anon_sym_sealed] = ACTIONS(2541),
    [anon_sym_non_DASHsealed] = ACTIONS(2539),
    [anon_sym_record] = ACTIONS(2541),
    [anon_sym_ATinterface] = ACTIONS(2539),
    [anon_sym_interface] = ACTIONS(2541),
    [anon_sym_byte] = ACTIONS(2541),
    [anon_sym_short] = ACTIONS(2541),
    [anon_sym_int] = ACTIONS(2541),
    [anon_sym_long] = ACTIONS(2541),
    [anon_sym_char] = ACTIONS(2541),
    [anon_sym_float] = ACTIONS(2541),
    [anon_sym_double] = ACTIONS(2541),
    [sym_boolean_type] = ACTIONS(2541),
    [sym_void_type] = ACTIONS(2541),
    [anon_sym_def] = ACTIONS(2541),
    [sym_this] = ACTIONS(2541),
    [sym_super] = ACTIONS(2541),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [986] = {
    [ts_builtin_sym_end] = ACTIONS(2543),
    [sym_identifier] = ACTIONS(2545),
    [sym_decimal_integer_literal] = ACTIONS(2545),
    [sym_hex_integer_literal] = ACTIONS(2545),
    [sym_octal_integer_literal] = ACTIONS(2545),
    [sym_binary_integer_literal] = ACTIONS(2543),
    [sym_decimal_floating_point_literal] = ACTIONS(2543),
    [sym_hex_floating_point_literal] = ACTIONS(2545),
    [sym_true] = ACTIONS(2545),
    [sym_false] = ACTIONS(2545),
    [sym_character_literal] = ACTIONS(2543),
    [anon_sym_DQUOTE] = ACTIONS(2545),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2543),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2543),
    [anon_sym_RBRACE] = ACTIONS(2543),
    [sym_null_literal] = ACTIONS(2545),
    [anon_sym_LPAREN] = ACTIONS(2543),
    [anon_sym_LT] = ACTIONS(2543),
    [anon_sym_PLUS] = ACTIONS(2545),
    [anon_sym_DASH] = ACTIONS(2545),
    [anon_sym_final] = ACTIONS(2545),
    [anon_sym_DASH_GT] = ACTIONS(2543),
    [anon_sym_BANG] = ACTIONS(2543),
    [anon_sym_TILDE] = ACTIONS(2543),
    [anon_sym_PLUS_PLUS] = ACTIONS(2543),
    [anon_sym_DASH_DASH] = ACTIONS(2543),
    [anon_sym_new] = ACTIONS(2545),
    [anon_sym_LBRACK] = ACTIONS(2543),
    [anon_sym_class] = ACTIONS(2545),
    [anon_sym_switch] = ACTIONS(2545),
    [anon_sym_LBRACE] = ACTIONS(2543),
    [anon_sym_case] = ACTIONS(2545),
    [anon_sym_default] = ACTIONS(2545),
    [sym_underscore_pattern] = ACTIONS(2545),
    [anon_sym_SEMI] = ACTIONS(2543),
    [anon_sym_assert] = ACTIONS(2545),
    [anon_sym_do] = ACTIONS(2545),
    [anon_sym_while] = ACTIONS(2545),
    [anon_sym_break] = ACTIONS(2545),
    [anon_sym_continue] = ACTIONS(2545),
    [anon_sym_return] = ACTIONS(2545),
    [anon_sym_yield] = ACTIONS(2545),
    [anon_sym_synchronized] = ACTIONS(2545),
    [anon_sym_throw] = ACTIONS(2545),
    [anon_sym_try] = ACTIONS(2545),
    [anon_sym_if] = ACTIONS(2545),
    [anon_sym_else] = ACTIONS(2545),
    [anon_sym_for] = ACTIONS(2545),
    [anon_sym_AT] = ACTIONS(2545),
    [anon_sym_open] = ACTIONS(2545),
    [anon_sym_module] = ACTIONS(2545),
    [anon_sym_static] = ACTIONS(2545),
    [anon_sym_with] = ACTIONS(2545),
    [anon_sym_package] = ACTIONS(2545),
    [anon_sym_import] = ACTIONS(2545),
    [anon_sym_enum] = ACTIONS(2545),
    [anon_sym_public] = ACTIONS(2545),
    [anon_sym_protected] = ACTIONS(2545),
    [anon_sym_private] = ACTIONS(2545),
    [anon_sym_abstract] = ACTIONS(2545),
    [anon_sym_strictfp] = ACTIONS(2545),
    [anon_sym_native] = ACTIONS(2545),
    [anon_sym_transient] = ACTIONS(2545),
    [anon_sym_volatile] = ACTIONS(2545),
    [anon_sym_sealed] = ACTIONS(2545),
    [anon_sym_non_DASHsealed] = ACTIONS(2543),
    [anon_sym_record] = ACTIONS(2545),
    [anon_sym_ATinterface] = ACTIONS(2543),
    [anon_sym_interface] = ACTIONS(2545),
    [anon_sym_byte] = ACTIONS(2545),
    [anon_sym_short] = ACTIONS(2545),
    [anon_sym_int] = ACTIONS(2545),
    [anon_sym_long] = ACTIONS(2545),
    [anon_sym_char] = ACTIONS(2545),
    [anon_sym_float] = ACTIONS(2545),
    [anon_sym_double] = ACTIONS(2545),
    [sym_boolean_type] = ACTIONS(2545),
    [sym_void_type] = ACTIONS(2545),
    [anon_sym_def] = ACTIONS(2545),
    [sym_this] = ACTIONS(2545),
    [sym_super] = ACTIONS(2545),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [987] = {
    [ts_builtin_sym_end] = ACTIONS(2547),
    [sym_identifier] = ACTIONS(2549),
    [sym_decimal_integer_literal] = ACTIONS(2549),
    [sym_hex_integer_literal] = ACTIONS(2549),
    [sym_octal_integer_literal] = ACTIONS(2549),
    [sym_binary_integer_literal] = ACTIONS(2547),
    [sym_decimal_floating_point_literal] = ACTIONS(2547),
    [sym_hex_floating_point_literal] = ACTIONS(2549),
    [sym_true] = ACTIONS(2549),
    [sym_false] = ACTIONS(2549),
    [sym_character_literal] = ACTIONS(2547),
    [anon_sym_DQUOTE] = ACTIONS(2549),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2547),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2547),
    [anon_sym_RBRACE] = ACTIONS(2547),
    [sym_null_literal] = ACTIONS(2549),
    [anon_sym_LPAREN] = ACTIONS(2547),
    [anon_sym_LT] = ACTIONS(2547),
    [anon_sym_PLUS] = ACTIONS(2549),
    [anon_sym_DASH] = ACTIONS(2549),
    [anon_sym_final] = ACTIONS(2549),
    [anon_sym_DASH_GT] = ACTIONS(2547),
    [anon_sym_BANG] = ACTIONS(2547),
    [anon_sym_TILDE] = ACTIONS(2547),
    [anon_sym_PLUS_PLUS] = ACTIONS(2547),
    [anon_sym_DASH_DASH] = ACTIONS(2547),
    [anon_sym_new] = ACTIONS(2549),
    [anon_sym_LBRACK] = ACTIONS(2547),
    [anon_sym_class] = ACTIONS(2549),
    [anon_sym_switch] = ACTIONS(2549),
    [anon_sym_LBRACE] = ACTIONS(2547),
    [anon_sym_case] = ACTIONS(2549),
    [anon_sym_default] = ACTIONS(2549),
    [sym_underscore_pattern] = ACTIONS(2549),
    [anon_sym_SEMI] = ACTIONS(2547),
    [anon_sym_assert] = ACTIONS(2549),
    [anon_sym_do] = ACTIONS(2549),
    [anon_sym_while] = ACTIONS(2549),
    [anon_sym_break] = ACTIONS(2549),
    [anon_sym_continue] = ACTIONS(2549),
    [anon_sym_return] = ACTIONS(2549),
    [anon_sym_yield] = ACTIONS(2549),
    [anon_sym_synchronized] = ACTIONS(2549),
    [anon_sym_throw] = ACTIONS(2549),
    [anon_sym_try] = ACTIONS(2549),
    [anon_sym_if] = ACTIONS(2549),
    [anon_sym_else] = ACTIONS(2549),
    [anon_sym_for] = ACTIONS(2549),
    [anon_sym_AT] = ACTIONS(2549),
    [anon_sym_open] = ACTIONS(2549),
    [anon_sym_module] = ACTIONS(2549),
    [anon_sym_static] = ACTIONS(2549),
    [anon_sym_with] = ACTIONS(2549),
    [anon_sym_package] = ACTIONS(2549),
    [anon_sym_import] = ACTIONS(2549),
    [anon_sym_enum] = ACTIONS(2549),
    [anon_sym_public] = ACTIONS(2549),
    [anon_sym_protected] = ACTIONS(2549),
    [anon_sym_private] = ACTIONS(2549),
    [anon_sym_abstract] = ACTIONS(2549),
    [anon_sym_strictfp] = ACTIONS(2549),
    [anon_sym_native] = ACTIONS(2549),
    [anon_sym_transient] = ACTIONS(2549),
    [anon_sym_volatile] = ACTIONS(2549),
    [anon_sym_sealed] = ACTIONS(2549),
    [anon_sym_non_DASHsealed] = ACTIONS(2547),
    [anon_sym_record] = ACTIONS(2549),
    [anon_sym_ATinterface] = ACTIONS(2547),
    [anon_sym_interface] = ACTIONS(2549),
    [anon_sym_byte] = ACTIONS(2549),
    [anon_sym_short] = ACTIONS(2549),
    [anon_sym_int] = ACTIONS(2549),
    [anon_sym_long] = ACTIONS(2549),
    [anon_sym_char] = ACTIONS(2549),
    [anon_sym_float] = ACTIONS(2549),
    [anon_sym_double] = ACTIONS(2549),
    [sym_boolean_type] = ACTIONS(2549),
    [sym_void_type] = ACTIONS(2549),
    [anon_sym_def] = ACTIONS(2549),
    [sym_this] = ACTIONS(2549),
    [sym_super] = ACTIONS(2549),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [988] = {
    [ts_builtin_sym_end] = ACTIONS(2551),
    [sym_identifier] = ACTIONS(2553),
    [sym_decimal_integer_literal] = ACTIONS(2553),
    [sym_hex_integer_literal] = ACTIONS(2553),
    [sym_octal_integer_literal] = ACTIONS(2553),
    [sym_binary_integer_literal] = ACTIONS(2551),
    [sym_decimal_floating_point_literal] = ACTIONS(2551),
    [sym_hex_floating_point_literal] = ACTIONS(2553),
    [sym_true] = ACTIONS(2553),
    [sym_false] = ACTIONS(2553),
    [sym_character_literal] = ACTIONS(2551),
    [anon_sym_DQUOTE] = ACTIONS(2553),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2551),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2551),
    [anon_sym_RBRACE] = ACTIONS(2551),
    [sym_null_literal] = ACTIONS(2553),
    [anon_sym_LPAREN] = ACTIONS(2551),
    [anon_sym_LT] = ACTIONS(2551),
    [anon_sym_PLUS] = ACTIONS(2553),
    [anon_sym_DASH] = ACTIONS(2553),
    [anon_sym_final] = ACTIONS(2553),
    [anon_sym_DASH_GT] = ACTIONS(2551),
    [anon_sym_BANG] = ACTIONS(2551),
    [anon_sym_TILDE] = ACTIONS(2551),
    [anon_sym_PLUS_PLUS] = ACTIONS(2551),
    [anon_sym_DASH_DASH] = ACTIONS(2551),
    [anon_sym_new] = ACTIONS(2553),
    [anon_sym_LBRACK] = ACTIONS(2551),
    [anon_sym_class] = ACTIONS(2553),
    [anon_sym_switch] = ACTIONS(2553),
    [anon_sym_LBRACE] = ACTIONS(2551),
    [anon_sym_case] = ACTIONS(2553),
    [anon_sym_default] = ACTIONS(2553),
    [sym_underscore_pattern] = ACTIONS(2553),
    [anon_sym_SEMI] = ACTIONS(2551),
    [anon_sym_assert] = ACTIONS(2553),
    [anon_sym_do] = ACTIONS(2553),
    [anon_sym_while] = ACTIONS(2553),
    [anon_sym_break] = ACTIONS(2553),
    [anon_sym_continue] = ACTIONS(2553),
    [anon_sym_return] = ACTIONS(2553),
    [anon_sym_yield] = ACTIONS(2553),
    [anon_sym_synchronized] = ACTIONS(2553),
    [anon_sym_throw] = ACTIONS(2553),
    [anon_sym_try] = ACTIONS(2553),
    [anon_sym_if] = ACTIONS(2553),
    [anon_sym_else] = ACTIONS(2553),
    [anon_sym_for] = ACTIONS(2553),
    [anon_sym_AT] = ACTIONS(2553),
    [anon_sym_open] = ACTIONS(2553),
    [anon_sym_module] = ACTIONS(2553),
    [anon_sym_static] = ACTIONS(2553),
    [anon_sym_with] = ACTIONS(2553),
    [anon_sym_package] = ACTIONS(2553),
    [anon_sym_import] = ACTIONS(2553),
    [anon_sym_enum] = ACTIONS(2553),
    [anon_sym_public] = ACTIONS(2553),
    [anon_sym_protected] = ACTIONS(2553),
    [anon_sym_private] = ACTIONS(2553),
    [anon_sym_abstract] = ACTIONS(2553),
    [anon_sym_strictfp] = ACTIONS(2553),
    [anon_sym_native] = ACTIONS(2553),
    [anon_sym_transient] = ACTIONS(2553),
    [anon_sym_volatile] = ACTIONS(2553),
    [anon_sym_sealed] = ACTIONS(2553),
    [anon_sym_non_DASHsealed] = ACTIONS(2551),
    [anon_sym_record] = ACTIONS(2553),
    [anon_sym_ATinterface] = ACTIONS(2551),
    [anon_sym_interface] = ACTIONS(2553),
    [anon_sym_byte] = ACTIONS(2553),
    [anon_sym_short] = ACTIONS(2553),
    [anon_sym_int] = ACTIONS(2553),
    [anon_sym_long] = ACTIONS(2553),
    [anon_sym_char] = ACTIONS(2553),
    [anon_sym_float] = ACTIONS(2553),
    [anon_sym_double] = ACTIONS(2553),
    [sym_boolean_type] = ACTIONS(2553),
    [sym_void_type] = ACTIONS(2553),
    [anon_sym_def] = ACTIONS(2553),
    [sym_this] = ACTIONS(2553),
    [sym_super] = ACTIONS(2553),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [989] = {
    [ts_builtin_sym_end] = ACTIONS(2555),
    [sym_identifier] = ACTIONS(2557),
    [sym_decimal_integer_literal] = ACTIONS(2557),
    [sym_hex_integer_literal] = ACTIONS(2557),
    [sym_octal_integer_literal] = ACTIONS(2557),
    [sym_binary_integer_literal] = ACTIONS(2555),
    [sym_decimal_floating_point_literal] = ACTIONS(2555),
    [sym_hex_floating_point_literal] = ACTIONS(2557),
    [sym_true] = ACTIONS(2557),
    [sym_false] = ACTIONS(2557),
    [sym_character_literal] = ACTIONS(2555),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2555),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2555),
    [anon_sym_RBRACE] = ACTIONS(2555),
    [sym_null_literal] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2555),
    [anon_sym_LT] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2557),
    [anon_sym_DASH] = ACTIONS(2557),
    [anon_sym_final] = ACTIONS(2557),
    [anon_sym_DASH_GT] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2555),
    [anon_sym_DASH_DASH] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2557),
    [anon_sym_switch] = ACTIONS(2557),
    [anon_sym_LBRACE] = ACTIONS(2555),
    [anon_sym_case] = ACTIONS(2557),
    [anon_sym_default] = ACTIONS(2557),
    [sym_underscore_pattern] = ACTIONS(2557),
    [anon_sym_SEMI] = ACTIONS(2555),
    [anon_sym_assert] = ACTIONS(2557),
    [anon_sym_do] = ACTIONS(2557),
    [anon_sym_while] = ACTIONS(2557),
    [anon_sym_break] = ACTIONS(2557),
    [anon_sym_continue] = ACTIONS(2557),
    [anon_sym_return] = ACTIONS(2557),
    [anon_sym_yield] = ACTIONS(2557),
    [anon_sym_synchronized] = ACTIONS(2557),
    [anon_sym_throw] = ACTIONS(2557),
    [anon_sym_try] = ACTIONS(2557),
    [anon_sym_if] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2557),
    [anon_sym_for] = ACTIONS(2557),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_open] = ACTIONS(2557),
    [anon_sym_module] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2557),
    [anon_sym_with] = ACTIONS(2557),
    [anon_sym_package] = ACTIONS(2557),
    [anon_sym_import] = ACTIONS(2557),
    [anon_sym_enum] = ACTIONS(2557),
    [anon_sym_public] = ACTIONS(2557),
    [anon_sym_protected] = ACTIONS(2557),
    [anon_sym_private] = ACTIONS(2557),
    [anon_sym_abstract] = ACTIONS(2557),
    [anon_sym_strictfp] = ACTIONS(2557),
    [anon_sym_native] = ACTIONS(2557),
    [anon_sym_transient] = ACTIONS(2557),
    [anon_sym_volatile] = ACTIONS(2557),
    [anon_sym_sealed] = ACTIONS(2557),
    [anon_sym_non_DASHsealed] = ACTIONS(2555),
    [anon_sym_record] = ACTIONS(2557),
    [anon_sym_ATinterface] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2557),
    [anon_sym_byte] = ACTIONS(2557),
    [anon_sym_short] = ACTIONS(2557),
    [anon_sym_int] = ACTIONS(2557),
    [anon_sym_long] = ACTIONS(2557),
    [anon_sym_char] = ACTIONS(2557),
    [anon_sym_float] = ACTIONS(2557),
    [anon_sym_double] = ACTIONS(2557),
    [sym_boolean_type] = ACTIONS(2557),
    [sym_void_type] = ACTIONS(2557),
    [anon_sym_def] = ACTIONS(2557),
    [sym_this] = ACTIONS(2557),
    [sym_super] = ACTIONS(2557),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [990] = {
    [ts_builtin_sym_end] = ACTIONS(2559),
    [sym_identifier] = ACTIONS(2561),
    [sym_decimal_integer_literal] = ACTIONS(2561),
    [sym_hex_integer_literal] = ACTIONS(2561),
    [sym_octal_integer_literal] = ACTIONS(2561),
    [sym_binary_integer_literal] = ACTIONS(2559),
    [sym_decimal_floating_point_literal] = ACTIONS(2559),
    [sym_hex_floating_point_literal] = ACTIONS(2561),
    [sym_true] = ACTIONS(2561),
    [sym_false] = ACTIONS(2561),
    [sym_character_literal] = ACTIONS(2559),
    [anon_sym_DQUOTE] = ACTIONS(2561),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2559),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2559),
    [anon_sym_RBRACE] = ACTIONS(2559),
    [sym_null_literal] = ACTIONS(2561),
    [anon_sym_LPAREN] = ACTIONS(2559),
    [anon_sym_LT] = ACTIONS(2559),
    [anon_sym_PLUS] = ACTIONS(2561),
    [anon_sym_DASH] = ACTIONS(2561),
    [anon_sym_final] = ACTIONS(2561),
    [anon_sym_DASH_GT] = ACTIONS(2559),
    [anon_sym_BANG] = ACTIONS(2559),
    [anon_sym_TILDE] = ACTIONS(2559),
    [anon_sym_PLUS_PLUS] = ACTIONS(2559),
    [anon_sym_DASH_DASH] = ACTIONS(2559),
    [anon_sym_new] = ACTIONS(2561),
    [anon_sym_LBRACK] = ACTIONS(2559),
    [anon_sym_class] = ACTIONS(2561),
    [anon_sym_switch] = ACTIONS(2561),
    [anon_sym_LBRACE] = ACTIONS(2559),
    [anon_sym_case] = ACTIONS(2561),
    [anon_sym_default] = ACTIONS(2561),
    [sym_underscore_pattern] = ACTIONS(2561),
    [anon_sym_SEMI] = ACTIONS(2559),
    [anon_sym_assert] = ACTIONS(2561),
    [anon_sym_do] = ACTIONS(2561),
    [anon_sym_while] = ACTIONS(2561),
    [anon_sym_break] = ACTIONS(2561),
    [anon_sym_continue] = ACTIONS(2561),
    [anon_sym_return] = ACTIONS(2561),
    [anon_sym_yield] = ACTIONS(2561),
    [anon_sym_synchronized] = ACTIONS(2561),
    [anon_sym_throw] = ACTIONS(2561),
    [anon_sym_try] = ACTIONS(2561),
    [anon_sym_if] = ACTIONS(2561),
    [anon_sym_else] = ACTIONS(2561),
    [anon_sym_for] = ACTIONS(2561),
    [anon_sym_AT] = ACTIONS(2561),
    [anon_sym_open] = ACTIONS(2561),
    [anon_sym_module] = ACTIONS(2561),
    [anon_sym_static] = ACTIONS(2561),
    [anon_sym_with] = ACTIONS(2561),
    [anon_sym_package] = ACTIONS(2561),
    [anon_sym_import] = ACTIONS(2561),
    [anon_sym_enum] = ACTIONS(2561),
    [anon_sym_public] = ACTIONS(2561),
    [anon_sym_protected] = ACTIONS(2561),
    [anon_sym_private] = ACTIONS(2561),
    [anon_sym_abstract] = ACTIONS(2561),
    [anon_sym_strictfp] = ACTIONS(2561),
    [anon_sym_native] = ACTIONS(2561),
    [anon_sym_transient] = ACTIONS(2561),
    [anon_sym_volatile] = ACTIONS(2561),
    [anon_sym_sealed] = ACTIONS(2561),
    [anon_sym_non_DASHsealed] = ACTIONS(2559),
    [anon_sym_record] = ACTIONS(2561),
    [anon_sym_ATinterface] = ACTIONS(2559),
    [anon_sym_interface] = ACTIONS(2561),
    [anon_sym_byte] = ACTIONS(2561),
    [anon_sym_short] = ACTIONS(2561),
    [anon_sym_int] = ACTIONS(2561),
    [anon_sym_long] = ACTIONS(2561),
    [anon_sym_char] = ACTIONS(2561),
    [anon_sym_float] = ACTIONS(2561),
    [anon_sym_double] = ACTIONS(2561),
    [sym_boolean_type] = ACTIONS(2561),
    [sym_void_type] = ACTIONS(2561),
    [anon_sym_def] = ACTIONS(2561),
    [sym_this] = ACTIONS(2561),
    [sym_super] = ACTIONS(2561),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [991] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_primary_expression] = STATE(2600),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(2328),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1358),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym_resource] = STATE(2750),
    [sym__annotation] = STATE(1506),
    [sym_marker_annotation] = STATE(1506),
    [sym_annotation] = STATE(1506),
    [sym_modifiers] = STATE(1918),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(1872),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym__reserved_identifier] = STATE(2144),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [aux_sym_modifiers_repeat1] = STATE(1604),
    [sym_identifier] = ACTIONS(2015),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(2017),
    [anon_sym_final] = ACTIONS(1014),
    [anon_sym_new] = ACTIONS(2021),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_default] = ACTIONS(1014),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_synchronized] = ACTIONS(1014),
    [anon_sym_AT] = ACTIONS(966),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_static] = ACTIONS(1014),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_public] = ACTIONS(1014),
    [anon_sym_protected] = ACTIONS(1014),
    [anon_sym_private] = ACTIONS(1014),
    [anon_sym_abstract] = ACTIONS(1014),
    [anon_sym_strictfp] = ACTIONS(1014),
    [anon_sym_native] = ACTIONS(1014),
    [anon_sym_transient] = ACTIONS(1014),
    [anon_sym_volatile] = ACTIONS(1014),
    [anon_sym_sealed] = ACTIONS(1016),
    [anon_sym_non_DASHsealed] = ACTIONS(1018),
    [anon_sym_record] = ACTIONS(822),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(976),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [992] = {
    [ts_builtin_sym_end] = ACTIONS(2563),
    [sym_identifier] = ACTIONS(2565),
    [sym_decimal_integer_literal] = ACTIONS(2565),
    [sym_hex_integer_literal] = ACTIONS(2565),
    [sym_octal_integer_literal] = ACTIONS(2565),
    [sym_binary_integer_literal] = ACTIONS(2563),
    [sym_decimal_floating_point_literal] = ACTIONS(2563),
    [sym_hex_floating_point_literal] = ACTIONS(2565),
    [sym_true] = ACTIONS(2565),
    [sym_false] = ACTIONS(2565),
    [sym_character_literal] = ACTIONS(2563),
    [anon_sym_DQUOTE] = ACTIONS(2565),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2563),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2563),
    [anon_sym_RBRACE] = ACTIONS(2563),
    [sym_null_literal] = ACTIONS(2565),
    [anon_sym_LPAREN] = ACTIONS(2563),
    [anon_sym_LT] = ACTIONS(2563),
    [anon_sym_PLUS] = ACTIONS(2565),
    [anon_sym_DASH] = ACTIONS(2565),
    [anon_sym_final] = ACTIONS(2565),
    [anon_sym_DASH_GT] = ACTIONS(2563),
    [anon_sym_BANG] = ACTIONS(2563),
    [anon_sym_TILDE] = ACTIONS(2563),
    [anon_sym_PLUS_PLUS] = ACTIONS(2563),
    [anon_sym_DASH_DASH] = ACTIONS(2563),
    [anon_sym_new] = ACTIONS(2565),
    [anon_sym_LBRACK] = ACTIONS(2563),
    [anon_sym_class] = ACTIONS(2565),
    [anon_sym_switch] = ACTIONS(2565),
    [anon_sym_LBRACE] = ACTIONS(2563),
    [anon_sym_case] = ACTIONS(2565),
    [anon_sym_default] = ACTIONS(2565),
    [sym_underscore_pattern] = ACTIONS(2565),
    [anon_sym_SEMI] = ACTIONS(2563),
    [anon_sym_assert] = ACTIONS(2565),
    [anon_sym_do] = ACTIONS(2565),
    [anon_sym_while] = ACTIONS(2565),
    [anon_sym_break] = ACTIONS(2565),
    [anon_sym_continue] = ACTIONS(2565),
    [anon_sym_return] = ACTIONS(2565),
    [anon_sym_yield] = ACTIONS(2565),
    [anon_sym_synchronized] = ACTIONS(2565),
    [anon_sym_throw] = ACTIONS(2565),
    [anon_sym_try] = ACTIONS(2565),
    [anon_sym_if] = ACTIONS(2565),
    [anon_sym_else] = ACTIONS(2565),
    [anon_sym_for] = ACTIONS(2565),
    [anon_sym_AT] = ACTIONS(2565),
    [anon_sym_open] = ACTIONS(2565),
    [anon_sym_module] = ACTIONS(2565),
    [anon_sym_static] = ACTIONS(2565),
    [anon_sym_with] = ACTIONS(2565),
    [anon_sym_package] = ACTIONS(2565),
    [anon_sym_import] = ACTIONS(2565),
    [anon_sym_enum] = ACTIONS(2565),
    [anon_sym_public] = ACTIONS(2565),
    [anon_sym_protected] = ACTIONS(2565),
    [anon_sym_private] = ACTIONS(2565),
    [anon_sym_abstract] = ACTIONS(2565),
    [anon_sym_strictfp] = ACTIONS(2565),
    [anon_sym_native] = ACTIONS(2565),
    [anon_sym_transient] = ACTIONS(2565),
    [anon_sym_volatile] = ACTIONS(2565),
    [anon_sym_sealed] = ACTIONS(2565),
    [anon_sym_non_DASHsealed] = ACTIONS(2563),
    [anon_sym_record] = ACTIONS(2565),
    [anon_sym_ATinterface] = ACTIONS(2563),
    [anon_sym_interface] = ACTIONS(2565),
    [anon_sym_byte] = ACTIONS(2565),
    [anon_sym_short] = ACTIONS(2565),
    [anon_sym_int] = ACTIONS(2565),
    [anon_sym_long] = ACTIONS(2565),
    [anon_sym_char] = ACTIONS(2565),
    [anon_sym_float] = ACTIONS(2565),
    [anon_sym_double] = ACTIONS(2565),
    [sym_boolean_type] = ACTIONS(2565),
    [sym_void_type] = ACTIONS(2565),
    [anon_sym_def] = ACTIONS(2565),
    [sym_this] = ACTIONS(2565),
    [sym_super] = ACTIONS(2565),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [993] = {
    [ts_builtin_sym_end] = ACTIONS(2567),
    [sym_identifier] = ACTIONS(2569),
    [sym_decimal_integer_literal] = ACTIONS(2569),
    [sym_hex_integer_literal] = ACTIONS(2569),
    [sym_octal_integer_literal] = ACTIONS(2569),
    [sym_binary_integer_literal] = ACTIONS(2567),
    [sym_decimal_floating_point_literal] = ACTIONS(2567),
    [sym_hex_floating_point_literal] = ACTIONS(2569),
    [sym_true] = ACTIONS(2569),
    [sym_false] = ACTIONS(2569),
    [sym_character_literal] = ACTIONS(2567),
    [anon_sym_DQUOTE] = ACTIONS(2569),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2567),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2567),
    [anon_sym_RBRACE] = ACTIONS(2567),
    [sym_null_literal] = ACTIONS(2569),
    [anon_sym_LPAREN] = ACTIONS(2567),
    [anon_sym_LT] = ACTIONS(2567),
    [anon_sym_PLUS] = ACTIONS(2569),
    [anon_sym_DASH] = ACTIONS(2569),
    [anon_sym_final] = ACTIONS(2569),
    [anon_sym_DASH_GT] = ACTIONS(2567),
    [anon_sym_BANG] = ACTIONS(2567),
    [anon_sym_TILDE] = ACTIONS(2567),
    [anon_sym_PLUS_PLUS] = ACTIONS(2567),
    [anon_sym_DASH_DASH] = ACTIONS(2567),
    [anon_sym_new] = ACTIONS(2569),
    [anon_sym_LBRACK] = ACTIONS(2567),
    [anon_sym_class] = ACTIONS(2569),
    [anon_sym_switch] = ACTIONS(2569),
    [anon_sym_LBRACE] = ACTIONS(2567),
    [anon_sym_case] = ACTIONS(2569),
    [anon_sym_default] = ACTIONS(2569),
    [sym_underscore_pattern] = ACTIONS(2569),
    [anon_sym_SEMI] = ACTIONS(2567),
    [anon_sym_assert] = ACTIONS(2569),
    [anon_sym_do] = ACTIONS(2569),
    [anon_sym_while] = ACTIONS(2569),
    [anon_sym_break] = ACTIONS(2569),
    [anon_sym_continue] = ACTIONS(2569),
    [anon_sym_return] = ACTIONS(2569),
    [anon_sym_yield] = ACTIONS(2569),
    [anon_sym_synchronized] = ACTIONS(2569),
    [anon_sym_throw] = ACTIONS(2569),
    [anon_sym_try] = ACTIONS(2569),
    [anon_sym_if] = ACTIONS(2569),
    [anon_sym_else] = ACTIONS(2569),
    [anon_sym_for] = ACTIONS(2569),
    [anon_sym_AT] = ACTIONS(2569),
    [anon_sym_open] = ACTIONS(2569),
    [anon_sym_module] = ACTIONS(2569),
    [anon_sym_static] = ACTIONS(2569),
    [anon_sym_with] = ACTIONS(2569),
    [anon_sym_package] = ACTIONS(2569),
    [anon_sym_import] = ACTIONS(2569),
    [anon_sym_enum] = ACTIONS(2569),
    [anon_sym_public] = ACTIONS(2569),
    [anon_sym_protected] = ACTIONS(2569),
    [anon_sym_private] = ACTIONS(2569),
    [anon_sym_abstract] = ACTIONS(2569),
    [anon_sym_strictfp] = ACTIONS(2569),
    [anon_sym_native] = ACTIONS(2569),
    [anon_sym_transient] = ACTIONS(2569),
    [anon_sym_volatile] = ACTIONS(2569),
    [anon_sym_sealed] = ACTIONS(2569),
    [anon_sym_non_DASHsealed] = ACTIONS(2567),
    [anon_sym_record] = ACTIONS(2569),
    [anon_sym_ATinterface] = ACTIONS(2567),
    [anon_sym_interface] = ACTIONS(2569),
    [anon_sym_byte] = ACTIONS(2569),
    [anon_sym_short] = ACTIONS(2569),
    [anon_sym_int] = ACTIONS(2569),
    [anon_sym_long] = ACTIONS(2569),
    [anon_sym_char] = ACTIONS(2569),
    [anon_sym_float] = ACTIONS(2569),
    [anon_sym_double] = ACTIONS(2569),
    [sym_boolean_type] = ACTIONS(2569),
    [sym_void_type] = ACTIONS(2569),
    [anon_sym_def] = ACTIONS(2569),
    [sym_this] = ACTIONS(2569),
    [sym_super] = ACTIONS(2569),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [994] = {
    [ts_builtin_sym_end] = ACTIONS(2571),
    [sym_identifier] = ACTIONS(2573),
    [sym_decimal_integer_literal] = ACTIONS(2573),
    [sym_hex_integer_literal] = ACTIONS(2573),
    [sym_octal_integer_literal] = ACTIONS(2573),
    [sym_binary_integer_literal] = ACTIONS(2571),
    [sym_decimal_floating_point_literal] = ACTIONS(2571),
    [sym_hex_floating_point_literal] = ACTIONS(2573),
    [sym_true] = ACTIONS(2573),
    [sym_false] = ACTIONS(2573),
    [sym_character_literal] = ACTIONS(2571),
    [anon_sym_DQUOTE] = ACTIONS(2573),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2571),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2571),
    [anon_sym_RBRACE] = ACTIONS(2571),
    [sym_null_literal] = ACTIONS(2573),
    [anon_sym_LPAREN] = ACTIONS(2571),
    [anon_sym_LT] = ACTIONS(2571),
    [anon_sym_PLUS] = ACTIONS(2573),
    [anon_sym_DASH] = ACTIONS(2573),
    [anon_sym_final] = ACTIONS(2573),
    [anon_sym_DASH_GT] = ACTIONS(2571),
    [anon_sym_BANG] = ACTIONS(2571),
    [anon_sym_TILDE] = ACTIONS(2571),
    [anon_sym_PLUS_PLUS] = ACTIONS(2571),
    [anon_sym_DASH_DASH] = ACTIONS(2571),
    [anon_sym_new] = ACTIONS(2573),
    [anon_sym_LBRACK] = ACTIONS(2571),
    [anon_sym_class] = ACTIONS(2573),
    [anon_sym_switch] = ACTIONS(2573),
    [anon_sym_LBRACE] = ACTIONS(2571),
    [anon_sym_case] = ACTIONS(2573),
    [anon_sym_default] = ACTIONS(2573),
    [sym_underscore_pattern] = ACTIONS(2573),
    [anon_sym_SEMI] = ACTIONS(2571),
    [anon_sym_assert] = ACTIONS(2573),
    [anon_sym_do] = ACTIONS(2573),
    [anon_sym_while] = ACTIONS(2573),
    [anon_sym_break] = ACTIONS(2573),
    [anon_sym_continue] = ACTIONS(2573),
    [anon_sym_return] = ACTIONS(2573),
    [anon_sym_yield] = ACTIONS(2573),
    [anon_sym_synchronized] = ACTIONS(2573),
    [anon_sym_throw] = ACTIONS(2573),
    [anon_sym_try] = ACTIONS(2573),
    [anon_sym_if] = ACTIONS(2573),
    [anon_sym_else] = ACTIONS(2573),
    [anon_sym_for] = ACTIONS(2573),
    [anon_sym_AT] = ACTIONS(2573),
    [anon_sym_open] = ACTIONS(2573),
    [anon_sym_module] = ACTIONS(2573),
    [anon_sym_static] = ACTIONS(2573),
    [anon_sym_with] = ACTIONS(2573),
    [anon_sym_package] = ACTIONS(2573),
    [anon_sym_import] = ACTIONS(2573),
    [anon_sym_enum] = ACTIONS(2573),
    [anon_sym_public] = ACTIONS(2573),
    [anon_sym_protected] = ACTIONS(2573),
    [anon_sym_private] = ACTIONS(2573),
    [anon_sym_abstract] = ACTIONS(2573),
    [anon_sym_strictfp] = ACTIONS(2573),
    [anon_sym_native] = ACTIONS(2573),
    [anon_sym_transient] = ACTIONS(2573),
    [anon_sym_volatile] = ACTIONS(2573),
    [anon_sym_sealed] = ACTIONS(2573),
    [anon_sym_non_DASHsealed] = ACTIONS(2571),
    [anon_sym_record] = ACTIONS(2573),
    [anon_sym_ATinterface] = ACTIONS(2571),
    [anon_sym_interface] = ACTIONS(2573),
    [anon_sym_byte] = ACTIONS(2573),
    [anon_sym_short] = ACTIONS(2573),
    [anon_sym_int] = ACTIONS(2573),
    [anon_sym_long] = ACTIONS(2573),
    [anon_sym_char] = ACTIONS(2573),
    [anon_sym_float] = ACTIONS(2573),
    [anon_sym_double] = ACTIONS(2573),
    [sym_boolean_type] = ACTIONS(2573),
    [sym_void_type] = ACTIONS(2573),
    [anon_sym_def] = ACTIONS(2573),
    [sym_this] = ACTIONS(2573),
    [sym_super] = ACTIONS(2573),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [995] = {
    [ts_builtin_sym_end] = ACTIONS(2575),
    [sym_identifier] = ACTIONS(2577),
    [sym_decimal_integer_literal] = ACTIONS(2577),
    [sym_hex_integer_literal] = ACTIONS(2577),
    [sym_octal_integer_literal] = ACTIONS(2577),
    [sym_binary_integer_literal] = ACTIONS(2575),
    [sym_decimal_floating_point_literal] = ACTIONS(2575),
    [sym_hex_floating_point_literal] = ACTIONS(2577),
    [sym_true] = ACTIONS(2577),
    [sym_false] = ACTIONS(2577),
    [sym_character_literal] = ACTIONS(2575),
    [anon_sym_DQUOTE] = ACTIONS(2577),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2575),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2575),
    [anon_sym_RBRACE] = ACTIONS(2575),
    [sym_null_literal] = ACTIONS(2577),
    [anon_sym_LPAREN] = ACTIONS(2575),
    [anon_sym_LT] = ACTIONS(2575),
    [anon_sym_PLUS] = ACTIONS(2577),
    [anon_sym_DASH] = ACTIONS(2577),
    [anon_sym_final] = ACTIONS(2577),
    [anon_sym_DASH_GT] = ACTIONS(2575),
    [anon_sym_BANG] = ACTIONS(2575),
    [anon_sym_TILDE] = ACTIONS(2575),
    [anon_sym_PLUS_PLUS] = ACTIONS(2575),
    [anon_sym_DASH_DASH] = ACTIONS(2575),
    [anon_sym_new] = ACTIONS(2577),
    [anon_sym_LBRACK] = ACTIONS(2575),
    [anon_sym_class] = ACTIONS(2577),
    [anon_sym_switch] = ACTIONS(2577),
    [anon_sym_LBRACE] = ACTIONS(2575),
    [anon_sym_case] = ACTIONS(2577),
    [anon_sym_default] = ACTIONS(2577),
    [sym_underscore_pattern] = ACTIONS(2577),
    [anon_sym_SEMI] = ACTIONS(2575),
    [anon_sym_assert] = ACTIONS(2577),
    [anon_sym_do] = ACTIONS(2577),
    [anon_sym_while] = ACTIONS(2577),
    [anon_sym_break] = ACTIONS(2577),
    [anon_sym_continue] = ACTIONS(2577),
    [anon_sym_return] = ACTIONS(2577),
    [anon_sym_yield] = ACTIONS(2577),
    [anon_sym_synchronized] = ACTIONS(2577),
    [anon_sym_throw] = ACTIONS(2577),
    [anon_sym_try] = ACTIONS(2577),
    [anon_sym_if] = ACTIONS(2577),
    [anon_sym_else] = ACTIONS(2577),
    [anon_sym_for] = ACTIONS(2577),
    [anon_sym_AT] = ACTIONS(2577),
    [anon_sym_open] = ACTIONS(2577),
    [anon_sym_module] = ACTIONS(2577),
    [anon_sym_static] = ACTIONS(2577),
    [anon_sym_with] = ACTIONS(2577),
    [anon_sym_package] = ACTIONS(2577),
    [anon_sym_import] = ACTIONS(2577),
    [anon_sym_enum] = ACTIONS(2577),
    [anon_sym_public] = ACTIONS(2577),
    [anon_sym_protected] = ACTIONS(2577),
    [anon_sym_private] = ACTIONS(2577),
    [anon_sym_abstract] = ACTIONS(2577),
    [anon_sym_strictfp] = ACTIONS(2577),
    [anon_sym_native] = ACTIONS(2577),
    [anon_sym_transient] = ACTIONS(2577),
    [anon_sym_volatile] = ACTIONS(2577),
    [anon_sym_sealed] = ACTIONS(2577),
    [anon_sym_non_DASHsealed] = ACTIONS(2575),
    [anon_sym_record] = ACTIONS(2577),
    [anon_sym_ATinterface] = ACTIONS(2575),
    [anon_sym_interface] = ACTIONS(2577),
    [anon_sym_byte] = ACTIONS(2577),
    [anon_sym_short] = ACTIONS(2577),
    [anon_sym_int] = ACTIONS(2577),
    [anon_sym_long] = ACTIONS(2577),
    [anon_sym_char] = ACTIONS(2577),
    [anon_sym_float] = ACTIONS(2577),
    [anon_sym_double] = ACTIONS(2577),
    [sym_boolean_type] = ACTIONS(2577),
    [sym_void_type] = ACTIONS(2577),
    [anon_sym_def] = ACTIONS(2577),
    [sym_this] = ACTIONS(2577),
    [sym_super] = ACTIONS(2577),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [996] = {
    [ts_builtin_sym_end] = ACTIONS(2579),
    [sym_identifier] = ACTIONS(2581),
    [sym_decimal_integer_literal] = ACTIONS(2581),
    [sym_hex_integer_literal] = ACTIONS(2581),
    [sym_octal_integer_literal] = ACTIONS(2581),
    [sym_binary_integer_literal] = ACTIONS(2579),
    [sym_decimal_floating_point_literal] = ACTIONS(2579),
    [sym_hex_floating_point_literal] = ACTIONS(2581),
    [sym_true] = ACTIONS(2581),
    [sym_false] = ACTIONS(2581),
    [sym_character_literal] = ACTIONS(2579),
    [anon_sym_DQUOTE] = ACTIONS(2581),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2579),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2579),
    [anon_sym_RBRACE] = ACTIONS(2579),
    [sym_null_literal] = ACTIONS(2581),
    [anon_sym_LPAREN] = ACTIONS(2579),
    [anon_sym_LT] = ACTIONS(2579),
    [anon_sym_PLUS] = ACTIONS(2581),
    [anon_sym_DASH] = ACTIONS(2581),
    [anon_sym_final] = ACTIONS(2581),
    [anon_sym_DASH_GT] = ACTIONS(2579),
    [anon_sym_BANG] = ACTIONS(2579),
    [anon_sym_TILDE] = ACTIONS(2579),
    [anon_sym_PLUS_PLUS] = ACTIONS(2579),
    [anon_sym_DASH_DASH] = ACTIONS(2579),
    [anon_sym_new] = ACTIONS(2581),
    [anon_sym_LBRACK] = ACTIONS(2579),
    [anon_sym_class] = ACTIONS(2581),
    [anon_sym_switch] = ACTIONS(2581),
    [anon_sym_LBRACE] = ACTIONS(2579),
    [anon_sym_case] = ACTIONS(2581),
    [anon_sym_default] = ACTIONS(2581),
    [sym_underscore_pattern] = ACTIONS(2581),
    [anon_sym_SEMI] = ACTIONS(2579),
    [anon_sym_assert] = ACTIONS(2581),
    [anon_sym_do] = ACTIONS(2581),
    [anon_sym_while] = ACTIONS(2581),
    [anon_sym_break] = ACTIONS(2581),
    [anon_sym_continue] = ACTIONS(2581),
    [anon_sym_return] = ACTIONS(2581),
    [anon_sym_yield] = ACTIONS(2581),
    [anon_sym_synchronized] = ACTIONS(2581),
    [anon_sym_throw] = ACTIONS(2581),
    [anon_sym_try] = ACTIONS(2581),
    [anon_sym_if] = ACTIONS(2581),
    [anon_sym_else] = ACTIONS(2581),
    [anon_sym_for] = ACTIONS(2581),
    [anon_sym_AT] = ACTIONS(2581),
    [anon_sym_open] = ACTIONS(2581),
    [anon_sym_module] = ACTIONS(2581),
    [anon_sym_static] = ACTIONS(2581),
    [anon_sym_with] = ACTIONS(2581),
    [anon_sym_package] = ACTIONS(2581),
    [anon_sym_import] = ACTIONS(2581),
    [anon_sym_enum] = ACTIONS(2581),
    [anon_sym_public] = ACTIONS(2581),
    [anon_sym_protected] = ACTIONS(2581),
    [anon_sym_private] = ACTIONS(2581),
    [anon_sym_abstract] = ACTIONS(2581),
    [anon_sym_strictfp] = ACTIONS(2581),
    [anon_sym_native] = ACTIONS(2581),
    [anon_sym_transient] = ACTIONS(2581),
    [anon_sym_volatile] = ACTIONS(2581),
    [anon_sym_sealed] = ACTIONS(2581),
    [anon_sym_non_DASHsealed] = ACTIONS(2579),
    [anon_sym_record] = ACTIONS(2581),
    [anon_sym_ATinterface] = ACTIONS(2579),
    [anon_sym_interface] = ACTIONS(2581),
    [anon_sym_byte] = ACTIONS(2581),
    [anon_sym_short] = ACTIONS(2581),
    [anon_sym_int] = ACTIONS(2581),
    [anon_sym_long] = ACTIONS(2581),
    [anon_sym_char] = ACTIONS(2581),
    [anon_sym_float] = ACTIONS(2581),
    [anon_sym_double] = ACTIONS(2581),
    [sym_boolean_type] = ACTIONS(2581),
    [sym_void_type] = ACTIONS(2581),
    [anon_sym_def] = ACTIONS(2581),
    [sym_this] = ACTIONS(2581),
    [sym_super] = ACTIONS(2581),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [997] = {
    [ts_builtin_sym_end] = ACTIONS(2583),
    [sym_identifier] = ACTIONS(2585),
    [sym_decimal_integer_literal] = ACTIONS(2585),
    [sym_hex_integer_literal] = ACTIONS(2585),
    [sym_octal_integer_literal] = ACTIONS(2585),
    [sym_binary_integer_literal] = ACTIONS(2583),
    [sym_decimal_floating_point_literal] = ACTIONS(2583),
    [sym_hex_floating_point_literal] = ACTIONS(2585),
    [sym_true] = ACTIONS(2585),
    [sym_false] = ACTIONS(2585),
    [sym_character_literal] = ACTIONS(2583),
    [anon_sym_DQUOTE] = ACTIONS(2585),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2583),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2583),
    [anon_sym_RBRACE] = ACTIONS(2583),
    [sym_null_literal] = ACTIONS(2585),
    [anon_sym_LPAREN] = ACTIONS(2583),
    [anon_sym_LT] = ACTIONS(2583),
    [anon_sym_PLUS] = ACTIONS(2585),
    [anon_sym_DASH] = ACTIONS(2585),
    [anon_sym_final] = ACTIONS(2585),
    [anon_sym_DASH_GT] = ACTIONS(2583),
    [anon_sym_BANG] = ACTIONS(2583),
    [anon_sym_TILDE] = ACTIONS(2583),
    [anon_sym_PLUS_PLUS] = ACTIONS(2583),
    [anon_sym_DASH_DASH] = ACTIONS(2583),
    [anon_sym_new] = ACTIONS(2585),
    [anon_sym_LBRACK] = ACTIONS(2583),
    [anon_sym_class] = ACTIONS(2585),
    [anon_sym_switch] = ACTIONS(2585),
    [anon_sym_LBRACE] = ACTIONS(2583),
    [anon_sym_case] = ACTIONS(2585),
    [anon_sym_default] = ACTIONS(2585),
    [sym_underscore_pattern] = ACTIONS(2585),
    [anon_sym_SEMI] = ACTIONS(2583),
    [anon_sym_assert] = ACTIONS(2585),
    [anon_sym_do] = ACTIONS(2585),
    [anon_sym_while] = ACTIONS(2585),
    [anon_sym_break] = ACTIONS(2585),
    [anon_sym_continue] = ACTIONS(2585),
    [anon_sym_return] = ACTIONS(2585),
    [anon_sym_yield] = ACTIONS(2585),
    [anon_sym_synchronized] = ACTIONS(2585),
    [anon_sym_throw] = ACTIONS(2585),
    [anon_sym_try] = ACTIONS(2585),
    [anon_sym_if] = ACTIONS(2585),
    [anon_sym_else] = ACTIONS(2585),
    [anon_sym_for] = ACTIONS(2585),
    [anon_sym_AT] = ACTIONS(2585),
    [anon_sym_open] = ACTIONS(2585),
    [anon_sym_module] = ACTIONS(2585),
    [anon_sym_static] = ACTIONS(2585),
    [anon_sym_with] = ACTIONS(2585),
    [anon_sym_package] = ACTIONS(2585),
    [anon_sym_import] = ACTIONS(2585),
    [anon_sym_enum] = ACTIONS(2585),
    [anon_sym_public] = ACTIONS(2585),
    [anon_sym_protected] = ACTIONS(2585),
    [anon_sym_private] = ACTIONS(2585),
    [anon_sym_abstract] = ACTIONS(2585),
    [anon_sym_strictfp] = ACTIONS(2585),
    [anon_sym_native] = ACTIONS(2585),
    [anon_sym_transient] = ACTIONS(2585),
    [anon_sym_volatile] = ACTIONS(2585),
    [anon_sym_sealed] = ACTIONS(2585),
    [anon_sym_non_DASHsealed] = ACTIONS(2583),
    [anon_sym_record] = ACTIONS(2585),
    [anon_sym_ATinterface] = ACTIONS(2583),
    [anon_sym_interface] = ACTIONS(2585),
    [anon_sym_byte] = ACTIONS(2585),
    [anon_sym_short] = ACTIONS(2585),
    [anon_sym_int] = ACTIONS(2585),
    [anon_sym_long] = ACTIONS(2585),
    [anon_sym_char] = ACTIONS(2585),
    [anon_sym_float] = ACTIONS(2585),
    [anon_sym_double] = ACTIONS(2585),
    [sym_boolean_type] = ACTIONS(2585),
    [sym_void_type] = ACTIONS(2585),
    [anon_sym_def] = ACTIONS(2585),
    [sym_this] = ACTIONS(2585),
    [sym_super] = ACTIONS(2585),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [998] = {
    [ts_builtin_sym_end] = ACTIONS(2555),
    [sym_identifier] = ACTIONS(2557),
    [sym_decimal_integer_literal] = ACTIONS(2557),
    [sym_hex_integer_literal] = ACTIONS(2557),
    [sym_octal_integer_literal] = ACTIONS(2557),
    [sym_binary_integer_literal] = ACTIONS(2555),
    [sym_decimal_floating_point_literal] = ACTIONS(2555),
    [sym_hex_floating_point_literal] = ACTIONS(2557),
    [sym_true] = ACTIONS(2557),
    [sym_false] = ACTIONS(2557),
    [sym_character_literal] = ACTIONS(2555),
    [anon_sym_DQUOTE] = ACTIONS(2557),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2555),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2555),
    [anon_sym_RBRACE] = ACTIONS(2555),
    [sym_null_literal] = ACTIONS(2557),
    [anon_sym_LPAREN] = ACTIONS(2555),
    [anon_sym_LT] = ACTIONS(2555),
    [anon_sym_PLUS] = ACTIONS(2557),
    [anon_sym_DASH] = ACTIONS(2557),
    [anon_sym_final] = ACTIONS(2557),
    [anon_sym_DASH_GT] = ACTIONS(2555),
    [anon_sym_BANG] = ACTIONS(2555),
    [anon_sym_TILDE] = ACTIONS(2555),
    [anon_sym_PLUS_PLUS] = ACTIONS(2555),
    [anon_sym_DASH_DASH] = ACTIONS(2555),
    [anon_sym_new] = ACTIONS(2557),
    [anon_sym_LBRACK] = ACTIONS(2555),
    [anon_sym_class] = ACTIONS(2557),
    [anon_sym_switch] = ACTIONS(2557),
    [anon_sym_LBRACE] = ACTIONS(2555),
    [anon_sym_case] = ACTIONS(2557),
    [anon_sym_default] = ACTIONS(2557),
    [sym_underscore_pattern] = ACTIONS(2557),
    [anon_sym_SEMI] = ACTIONS(2555),
    [anon_sym_assert] = ACTIONS(2557),
    [anon_sym_do] = ACTIONS(2557),
    [anon_sym_while] = ACTIONS(2557),
    [anon_sym_break] = ACTIONS(2557),
    [anon_sym_continue] = ACTIONS(2557),
    [anon_sym_return] = ACTIONS(2557),
    [anon_sym_yield] = ACTIONS(2557),
    [anon_sym_synchronized] = ACTIONS(2557),
    [anon_sym_throw] = ACTIONS(2557),
    [anon_sym_try] = ACTIONS(2557),
    [anon_sym_if] = ACTIONS(2557),
    [anon_sym_else] = ACTIONS(2557),
    [anon_sym_for] = ACTIONS(2557),
    [anon_sym_AT] = ACTIONS(2557),
    [anon_sym_open] = ACTIONS(2557),
    [anon_sym_module] = ACTIONS(2557),
    [anon_sym_static] = ACTIONS(2557),
    [anon_sym_with] = ACTIONS(2557),
    [anon_sym_package] = ACTIONS(2557),
    [anon_sym_import] = ACTIONS(2557),
    [anon_sym_enum] = ACTIONS(2557),
    [anon_sym_public] = ACTIONS(2557),
    [anon_sym_protected] = ACTIONS(2557),
    [anon_sym_private] = ACTIONS(2557),
    [anon_sym_abstract] = ACTIONS(2557),
    [anon_sym_strictfp] = ACTIONS(2557),
    [anon_sym_native] = ACTIONS(2557),
    [anon_sym_transient] = ACTIONS(2557),
    [anon_sym_volatile] = ACTIONS(2557),
    [anon_sym_sealed] = ACTIONS(2557),
    [anon_sym_non_DASHsealed] = ACTIONS(2555),
    [anon_sym_record] = ACTIONS(2557),
    [anon_sym_ATinterface] = ACTIONS(2555),
    [anon_sym_interface] = ACTIONS(2557),
    [anon_sym_byte] = ACTIONS(2557),
    [anon_sym_short] = ACTIONS(2557),
    [anon_sym_int] = ACTIONS(2557),
    [anon_sym_long] = ACTIONS(2557),
    [anon_sym_char] = ACTIONS(2557),
    [anon_sym_float] = ACTIONS(2557),
    [anon_sym_double] = ACTIONS(2557),
    [sym_boolean_type] = ACTIONS(2557),
    [sym_void_type] = ACTIONS(2557),
    [anon_sym_def] = ACTIONS(2557),
    [sym_this] = ACTIONS(2557),
    [sym_super] = ACTIONS(2557),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [999] = {
    [ts_builtin_sym_end] = ACTIONS(2587),
    [sym_identifier] = ACTIONS(2589),
    [sym_decimal_integer_literal] = ACTIONS(2589),
    [sym_hex_integer_literal] = ACTIONS(2589),
    [sym_octal_integer_literal] = ACTIONS(2589),
    [sym_binary_integer_literal] = ACTIONS(2587),
    [sym_decimal_floating_point_literal] = ACTIONS(2587),
    [sym_hex_floating_point_literal] = ACTIONS(2589),
    [sym_true] = ACTIONS(2589),
    [sym_false] = ACTIONS(2589),
    [sym_character_literal] = ACTIONS(2587),
    [anon_sym_DQUOTE] = ACTIONS(2589),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2587),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2587),
    [anon_sym_RBRACE] = ACTIONS(2587),
    [sym_null_literal] = ACTIONS(2589),
    [anon_sym_LPAREN] = ACTIONS(2587),
    [anon_sym_LT] = ACTIONS(2587),
    [anon_sym_PLUS] = ACTIONS(2589),
    [anon_sym_DASH] = ACTIONS(2589),
    [anon_sym_final] = ACTIONS(2589),
    [anon_sym_DASH_GT] = ACTIONS(2587),
    [anon_sym_BANG] = ACTIONS(2587),
    [anon_sym_TILDE] = ACTIONS(2587),
    [anon_sym_PLUS_PLUS] = ACTIONS(2587),
    [anon_sym_DASH_DASH] = ACTIONS(2587),
    [anon_sym_new] = ACTIONS(2589),
    [anon_sym_LBRACK] = ACTIONS(2587),
    [anon_sym_class] = ACTIONS(2589),
    [anon_sym_switch] = ACTIONS(2589),
    [anon_sym_LBRACE] = ACTIONS(2587),
    [anon_sym_case] = ACTIONS(2589),
    [anon_sym_default] = ACTIONS(2589),
    [sym_underscore_pattern] = ACTIONS(2589),
    [anon_sym_SEMI] = ACTIONS(2587),
    [anon_sym_assert] = ACTIONS(2589),
    [anon_sym_do] = ACTIONS(2589),
    [anon_sym_while] = ACTIONS(2589),
    [anon_sym_break] = ACTIONS(2589),
    [anon_sym_continue] = ACTIONS(2589),
    [anon_sym_return] = ACTIONS(2589),
    [anon_sym_yield] = ACTIONS(2589),
    [anon_sym_synchronized] = ACTIONS(2589),
    [anon_sym_throw] = ACTIONS(2589),
    [anon_sym_try] = ACTIONS(2589),
    [anon_sym_if] = ACTIONS(2589),
    [anon_sym_else] = ACTIONS(2589),
    [anon_sym_for] = ACTIONS(2589),
    [anon_sym_AT] = ACTIONS(2589),
    [anon_sym_open] = ACTIONS(2589),
    [anon_sym_module] = ACTIONS(2589),
    [anon_sym_static] = ACTIONS(2589),
    [anon_sym_with] = ACTIONS(2589),
    [anon_sym_package] = ACTIONS(2589),
    [anon_sym_import] = ACTIONS(2589),
    [anon_sym_enum] = ACTIONS(2589),
    [anon_sym_public] = ACTIONS(2589),
    [anon_sym_protected] = ACTIONS(2589),
    [anon_sym_private] = ACTIONS(2589),
    [anon_sym_abstract] = ACTIONS(2589),
    [anon_sym_strictfp] = ACTIONS(2589),
    [anon_sym_native] = ACTIONS(2589),
    [anon_sym_transient] = ACTIONS(2589),
    [anon_sym_volatile] = ACTIONS(2589),
    [anon_sym_sealed] = ACTIONS(2589),
    [anon_sym_non_DASHsealed] = ACTIONS(2587),
    [anon_sym_record] = ACTIONS(2589),
    [anon_sym_ATinterface] = ACTIONS(2587),
    [anon_sym_interface] = ACTIONS(2589),
    [anon_sym_byte] = ACTIONS(2589),
    [anon_sym_short] = ACTIONS(2589),
    [anon_sym_int] = ACTIONS(2589),
    [anon_sym_long] = ACTIONS(2589),
    [anon_sym_char] = ACTIONS(2589),
    [anon_sym_float] = ACTIONS(2589),
    [anon_sym_double] = ACTIONS(2589),
    [sym_boolean_type] = ACTIONS(2589),
    [sym_void_type] = ACTIONS(2589),
    [anon_sym_def] = ACTIONS(2589),
    [sym_this] = ACTIONS(2589),
    [sym_super] = ACTIONS(2589),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1000] = {
    [ts_builtin_sym_end] = ACTIONS(2591),
    [sym_identifier] = ACTIONS(2593),
    [sym_decimal_integer_literal] = ACTIONS(2593),
    [sym_hex_integer_literal] = ACTIONS(2593),
    [sym_octal_integer_literal] = ACTIONS(2593),
    [sym_binary_integer_literal] = ACTIONS(2591),
    [sym_decimal_floating_point_literal] = ACTIONS(2591),
    [sym_hex_floating_point_literal] = ACTIONS(2593),
    [sym_true] = ACTIONS(2593),
    [sym_false] = ACTIONS(2593),
    [sym_character_literal] = ACTIONS(2591),
    [anon_sym_DQUOTE] = ACTIONS(2593),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2591),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2591),
    [anon_sym_RBRACE] = ACTIONS(2591),
    [sym_null_literal] = ACTIONS(2593),
    [anon_sym_LPAREN] = ACTIONS(2591),
    [anon_sym_LT] = ACTIONS(2591),
    [anon_sym_PLUS] = ACTIONS(2593),
    [anon_sym_DASH] = ACTIONS(2593),
    [anon_sym_final] = ACTIONS(2593),
    [anon_sym_DASH_GT] = ACTIONS(2591),
    [anon_sym_BANG] = ACTIONS(2591),
    [anon_sym_TILDE] = ACTIONS(2591),
    [anon_sym_PLUS_PLUS] = ACTIONS(2591),
    [anon_sym_DASH_DASH] = ACTIONS(2591),
    [anon_sym_new] = ACTIONS(2593),
    [anon_sym_LBRACK] = ACTIONS(2591),
    [anon_sym_class] = ACTIONS(2593),
    [anon_sym_switch] = ACTIONS(2593),
    [anon_sym_LBRACE] = ACTIONS(2591),
    [anon_sym_case] = ACTIONS(2593),
    [anon_sym_default] = ACTIONS(2593),
    [sym_underscore_pattern] = ACTIONS(2593),
    [anon_sym_SEMI] = ACTIONS(2591),
    [anon_sym_assert] = ACTIONS(2593),
    [anon_sym_do] = ACTIONS(2593),
    [anon_sym_while] = ACTIONS(2593),
    [anon_sym_break] = ACTIONS(2593),
    [anon_sym_continue] = ACTIONS(2593),
    [anon_sym_return] = ACTIONS(2593),
    [anon_sym_yield] = ACTIONS(2593),
    [anon_sym_synchronized] = ACTIONS(2593),
    [anon_sym_throw] = ACTIONS(2593),
    [anon_sym_try] = ACTIONS(2593),
    [anon_sym_if] = ACTIONS(2593),
    [anon_sym_else] = ACTIONS(2593),
    [anon_sym_for] = ACTIONS(2593),
    [anon_sym_AT] = ACTIONS(2593),
    [anon_sym_open] = ACTIONS(2593),
    [anon_sym_module] = ACTIONS(2593),
    [anon_sym_static] = ACTIONS(2593),
    [anon_sym_with] = ACTIONS(2593),
    [anon_sym_package] = ACTIONS(2593),
    [anon_sym_import] = ACTIONS(2593),
    [anon_sym_enum] = ACTIONS(2593),
    [anon_sym_public] = ACTIONS(2593),
    [anon_sym_protected] = ACTIONS(2593),
    [anon_sym_private] = ACTIONS(2593),
    [anon_sym_abstract] = ACTIONS(2593),
    [anon_sym_strictfp] = ACTIONS(2593),
    [anon_sym_native] = ACTIONS(2593),
    [anon_sym_transient] = ACTIONS(2593),
    [anon_sym_volatile] = ACTIONS(2593),
    [anon_sym_sealed] = ACTIONS(2593),
    [anon_sym_non_DASHsealed] = ACTIONS(2591),
    [anon_sym_record] = ACTIONS(2593),
    [anon_sym_ATinterface] = ACTIONS(2591),
    [anon_sym_interface] = ACTIONS(2593),
    [anon_sym_byte] = ACTIONS(2593),
    [anon_sym_short] = ACTIONS(2593),
    [anon_sym_int] = ACTIONS(2593),
    [anon_sym_long] = ACTIONS(2593),
    [anon_sym_char] = ACTIONS(2593),
    [anon_sym_float] = ACTIONS(2593),
    [anon_sym_double] = ACTIONS(2593),
    [sym_boolean_type] = ACTIONS(2593),
    [sym_void_type] = ACTIONS(2593),
    [anon_sym_def] = ACTIONS(2593),
    [sym_this] = ACTIONS(2593),
    [sym_super] = ACTIONS(2593),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1001] = {
    [ts_builtin_sym_end] = ACTIONS(2595),
    [sym_identifier] = ACTIONS(2597),
    [sym_decimal_integer_literal] = ACTIONS(2597),
    [sym_hex_integer_literal] = ACTIONS(2597),
    [sym_octal_integer_literal] = ACTIONS(2597),
    [sym_binary_integer_literal] = ACTIONS(2595),
    [sym_decimal_floating_point_literal] = ACTIONS(2595),
    [sym_hex_floating_point_literal] = ACTIONS(2597),
    [sym_true] = ACTIONS(2597),
    [sym_false] = ACTIONS(2597),
    [sym_character_literal] = ACTIONS(2595),
    [anon_sym_DQUOTE] = ACTIONS(2597),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2595),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2595),
    [anon_sym_RBRACE] = ACTIONS(2595),
    [sym_null_literal] = ACTIONS(2597),
    [anon_sym_LPAREN] = ACTIONS(2595),
    [anon_sym_LT] = ACTIONS(2595),
    [anon_sym_PLUS] = ACTIONS(2597),
    [anon_sym_DASH] = ACTIONS(2597),
    [anon_sym_final] = ACTIONS(2597),
    [anon_sym_DASH_GT] = ACTIONS(2595),
    [anon_sym_BANG] = ACTIONS(2595),
    [anon_sym_TILDE] = ACTIONS(2595),
    [anon_sym_PLUS_PLUS] = ACTIONS(2595),
    [anon_sym_DASH_DASH] = ACTIONS(2595),
    [anon_sym_new] = ACTIONS(2597),
    [anon_sym_LBRACK] = ACTIONS(2595),
    [anon_sym_class] = ACTIONS(2597),
    [anon_sym_switch] = ACTIONS(2597),
    [anon_sym_LBRACE] = ACTIONS(2595),
    [anon_sym_case] = ACTIONS(2597),
    [anon_sym_default] = ACTIONS(2597),
    [sym_underscore_pattern] = ACTIONS(2597),
    [anon_sym_SEMI] = ACTIONS(2595),
    [anon_sym_assert] = ACTIONS(2597),
    [anon_sym_do] = ACTIONS(2597),
    [anon_sym_while] = ACTIONS(2597),
    [anon_sym_break] = ACTIONS(2597),
    [anon_sym_continue] = ACTIONS(2597),
    [anon_sym_return] = ACTIONS(2597),
    [anon_sym_yield] = ACTIONS(2597),
    [anon_sym_synchronized] = ACTIONS(2597),
    [anon_sym_throw] = ACTIONS(2597),
    [anon_sym_try] = ACTIONS(2597),
    [anon_sym_if] = ACTIONS(2597),
    [anon_sym_else] = ACTIONS(2597),
    [anon_sym_for] = ACTIONS(2597),
    [anon_sym_AT] = ACTIONS(2597),
    [anon_sym_open] = ACTIONS(2597),
    [anon_sym_module] = ACTIONS(2597),
    [anon_sym_static] = ACTIONS(2597),
    [anon_sym_with] = ACTIONS(2597),
    [anon_sym_package] = ACTIONS(2597),
    [anon_sym_import] = ACTIONS(2597),
    [anon_sym_enum] = ACTIONS(2597),
    [anon_sym_public] = ACTIONS(2597),
    [anon_sym_protected] = ACTIONS(2597),
    [anon_sym_private] = ACTIONS(2597),
    [anon_sym_abstract] = ACTIONS(2597),
    [anon_sym_strictfp] = ACTIONS(2597),
    [anon_sym_native] = ACTIONS(2597),
    [anon_sym_transient] = ACTIONS(2597),
    [anon_sym_volatile] = ACTIONS(2597),
    [anon_sym_sealed] = ACTIONS(2597),
    [anon_sym_non_DASHsealed] = ACTIONS(2595),
    [anon_sym_record] = ACTIONS(2597),
    [anon_sym_ATinterface] = ACTIONS(2595),
    [anon_sym_interface] = ACTIONS(2597),
    [anon_sym_byte] = ACTIONS(2597),
    [anon_sym_short] = ACTIONS(2597),
    [anon_sym_int] = ACTIONS(2597),
    [anon_sym_long] = ACTIONS(2597),
    [anon_sym_char] = ACTIONS(2597),
    [anon_sym_float] = ACTIONS(2597),
    [anon_sym_double] = ACTIONS(2597),
    [sym_boolean_type] = ACTIONS(2597),
    [sym_void_type] = ACTIONS(2597),
    [anon_sym_def] = ACTIONS(2597),
    [sym_this] = ACTIONS(2597),
    [sym_super] = ACTIONS(2597),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1002] = {
    [ts_builtin_sym_end] = ACTIONS(2599),
    [sym_identifier] = ACTIONS(2601),
    [sym_decimal_integer_literal] = ACTIONS(2601),
    [sym_hex_integer_literal] = ACTIONS(2601),
    [sym_octal_integer_literal] = ACTIONS(2601),
    [sym_binary_integer_literal] = ACTIONS(2599),
    [sym_decimal_floating_point_literal] = ACTIONS(2599),
    [sym_hex_floating_point_literal] = ACTIONS(2601),
    [sym_true] = ACTIONS(2601),
    [sym_false] = ACTIONS(2601),
    [sym_character_literal] = ACTIONS(2599),
    [anon_sym_DQUOTE] = ACTIONS(2601),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2599),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [anon_sym_RBRACE] = ACTIONS(2599),
    [sym_null_literal] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2599),
    [anon_sym_LT] = ACTIONS(2599),
    [anon_sym_PLUS] = ACTIONS(2601),
    [anon_sym_DASH] = ACTIONS(2601),
    [anon_sym_final] = ACTIONS(2601),
    [anon_sym_DASH_GT] = ACTIONS(2599),
    [anon_sym_BANG] = ACTIONS(2599),
    [anon_sym_TILDE] = ACTIONS(2599),
    [anon_sym_PLUS_PLUS] = ACTIONS(2599),
    [anon_sym_DASH_DASH] = ACTIONS(2599),
    [anon_sym_new] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(2599),
    [anon_sym_class] = ACTIONS(2601),
    [anon_sym_switch] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2599),
    [anon_sym_case] = ACTIONS(2601),
    [anon_sym_default] = ACTIONS(2601),
    [sym_underscore_pattern] = ACTIONS(2601),
    [anon_sym_SEMI] = ACTIONS(2599),
    [anon_sym_assert] = ACTIONS(2601),
    [anon_sym_do] = ACTIONS(2601),
    [anon_sym_while] = ACTIONS(2601),
    [anon_sym_break] = ACTIONS(2601),
    [anon_sym_continue] = ACTIONS(2601),
    [anon_sym_return] = ACTIONS(2601),
    [anon_sym_yield] = ACTIONS(2601),
    [anon_sym_synchronized] = ACTIONS(2601),
    [anon_sym_throw] = ACTIONS(2601),
    [anon_sym_try] = ACTIONS(2601),
    [anon_sym_if] = ACTIONS(2601),
    [anon_sym_else] = ACTIONS(2601),
    [anon_sym_for] = ACTIONS(2601),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_open] = ACTIONS(2601),
    [anon_sym_module] = ACTIONS(2601),
    [anon_sym_static] = ACTIONS(2601),
    [anon_sym_with] = ACTIONS(2601),
    [anon_sym_package] = ACTIONS(2601),
    [anon_sym_import] = ACTIONS(2601),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_public] = ACTIONS(2601),
    [anon_sym_protected] = ACTIONS(2601),
    [anon_sym_private] = ACTIONS(2601),
    [anon_sym_abstract] = ACTIONS(2601),
    [anon_sym_strictfp] = ACTIONS(2601),
    [anon_sym_native] = ACTIONS(2601),
    [anon_sym_transient] = ACTIONS(2601),
    [anon_sym_volatile] = ACTIONS(2601),
    [anon_sym_sealed] = ACTIONS(2601),
    [anon_sym_non_DASHsealed] = ACTIONS(2599),
    [anon_sym_record] = ACTIONS(2601),
    [anon_sym_ATinterface] = ACTIONS(2599),
    [anon_sym_interface] = ACTIONS(2601),
    [anon_sym_byte] = ACTIONS(2601),
    [anon_sym_short] = ACTIONS(2601),
    [anon_sym_int] = ACTIONS(2601),
    [anon_sym_long] = ACTIONS(2601),
    [anon_sym_char] = ACTIONS(2601),
    [anon_sym_float] = ACTIONS(2601),
    [anon_sym_double] = ACTIONS(2601),
    [sym_boolean_type] = ACTIONS(2601),
    [sym_void_type] = ACTIONS(2601),
    [anon_sym_def] = ACTIONS(2601),
    [sym_this] = ACTIONS(2601),
    [sym_super] = ACTIONS(2601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1003] = {
    [ts_builtin_sym_end] = ACTIONS(2599),
    [sym_identifier] = ACTIONS(2601),
    [sym_decimal_integer_literal] = ACTIONS(2601),
    [sym_hex_integer_literal] = ACTIONS(2601),
    [sym_octal_integer_literal] = ACTIONS(2601),
    [sym_binary_integer_literal] = ACTIONS(2599),
    [sym_decimal_floating_point_literal] = ACTIONS(2599),
    [sym_hex_floating_point_literal] = ACTIONS(2601),
    [sym_true] = ACTIONS(2601),
    [sym_false] = ACTIONS(2601),
    [sym_character_literal] = ACTIONS(2599),
    [anon_sym_DQUOTE] = ACTIONS(2601),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2599),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [anon_sym_RBRACE] = ACTIONS(2599),
    [sym_null_literal] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2599),
    [anon_sym_LT] = ACTIONS(2599),
    [anon_sym_PLUS] = ACTIONS(2601),
    [anon_sym_DASH] = ACTIONS(2601),
    [anon_sym_final] = ACTIONS(2601),
    [anon_sym_DASH_GT] = ACTIONS(2599),
    [anon_sym_BANG] = ACTIONS(2599),
    [anon_sym_TILDE] = ACTIONS(2599),
    [anon_sym_PLUS_PLUS] = ACTIONS(2599),
    [anon_sym_DASH_DASH] = ACTIONS(2599),
    [anon_sym_new] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(2599),
    [anon_sym_class] = ACTIONS(2601),
    [anon_sym_switch] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2599),
    [anon_sym_case] = ACTIONS(2601),
    [anon_sym_default] = ACTIONS(2601),
    [sym_underscore_pattern] = ACTIONS(2601),
    [anon_sym_SEMI] = ACTIONS(2599),
    [anon_sym_assert] = ACTIONS(2601),
    [anon_sym_do] = ACTIONS(2601),
    [anon_sym_while] = ACTIONS(2601),
    [anon_sym_break] = ACTIONS(2601),
    [anon_sym_continue] = ACTIONS(2601),
    [anon_sym_return] = ACTIONS(2601),
    [anon_sym_yield] = ACTIONS(2601),
    [anon_sym_synchronized] = ACTIONS(2601),
    [anon_sym_throw] = ACTIONS(2601),
    [anon_sym_try] = ACTIONS(2601),
    [anon_sym_if] = ACTIONS(2601),
    [anon_sym_else] = ACTIONS(2601),
    [anon_sym_for] = ACTIONS(2601),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_open] = ACTIONS(2601),
    [anon_sym_module] = ACTIONS(2601),
    [anon_sym_static] = ACTIONS(2601),
    [anon_sym_with] = ACTIONS(2601),
    [anon_sym_package] = ACTIONS(2601),
    [anon_sym_import] = ACTIONS(2601),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_public] = ACTIONS(2601),
    [anon_sym_protected] = ACTIONS(2601),
    [anon_sym_private] = ACTIONS(2601),
    [anon_sym_abstract] = ACTIONS(2601),
    [anon_sym_strictfp] = ACTIONS(2601),
    [anon_sym_native] = ACTIONS(2601),
    [anon_sym_transient] = ACTIONS(2601),
    [anon_sym_volatile] = ACTIONS(2601),
    [anon_sym_sealed] = ACTIONS(2601),
    [anon_sym_non_DASHsealed] = ACTIONS(2599),
    [anon_sym_record] = ACTIONS(2601),
    [anon_sym_ATinterface] = ACTIONS(2599),
    [anon_sym_interface] = ACTIONS(2601),
    [anon_sym_byte] = ACTIONS(2601),
    [anon_sym_short] = ACTIONS(2601),
    [anon_sym_int] = ACTIONS(2601),
    [anon_sym_long] = ACTIONS(2601),
    [anon_sym_char] = ACTIONS(2601),
    [anon_sym_float] = ACTIONS(2601),
    [anon_sym_double] = ACTIONS(2601),
    [sym_boolean_type] = ACTIONS(2601),
    [sym_void_type] = ACTIONS(2601),
    [anon_sym_def] = ACTIONS(2601),
    [sym_this] = ACTIONS(2601),
    [sym_super] = ACTIONS(2601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1004] = {
    [ts_builtin_sym_end] = ACTIONS(2603),
    [sym_identifier] = ACTIONS(2605),
    [sym_decimal_integer_literal] = ACTIONS(2605),
    [sym_hex_integer_literal] = ACTIONS(2605),
    [sym_octal_integer_literal] = ACTIONS(2605),
    [sym_binary_integer_literal] = ACTIONS(2603),
    [sym_decimal_floating_point_literal] = ACTIONS(2603),
    [sym_hex_floating_point_literal] = ACTIONS(2605),
    [sym_true] = ACTIONS(2605),
    [sym_false] = ACTIONS(2605),
    [sym_character_literal] = ACTIONS(2603),
    [anon_sym_DQUOTE] = ACTIONS(2605),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2603),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2603),
    [anon_sym_RBRACE] = ACTIONS(2603),
    [sym_null_literal] = ACTIONS(2605),
    [anon_sym_LPAREN] = ACTIONS(2603),
    [anon_sym_LT] = ACTIONS(2603),
    [anon_sym_PLUS] = ACTIONS(2605),
    [anon_sym_DASH] = ACTIONS(2605),
    [anon_sym_final] = ACTIONS(2605),
    [anon_sym_DASH_GT] = ACTIONS(2603),
    [anon_sym_BANG] = ACTIONS(2603),
    [anon_sym_TILDE] = ACTIONS(2603),
    [anon_sym_PLUS_PLUS] = ACTIONS(2603),
    [anon_sym_DASH_DASH] = ACTIONS(2603),
    [anon_sym_new] = ACTIONS(2605),
    [anon_sym_LBRACK] = ACTIONS(2603),
    [anon_sym_class] = ACTIONS(2605),
    [anon_sym_switch] = ACTIONS(2605),
    [anon_sym_LBRACE] = ACTIONS(2603),
    [anon_sym_case] = ACTIONS(2605),
    [anon_sym_default] = ACTIONS(2605),
    [sym_underscore_pattern] = ACTIONS(2605),
    [anon_sym_SEMI] = ACTIONS(2603),
    [anon_sym_assert] = ACTIONS(2605),
    [anon_sym_do] = ACTIONS(2605),
    [anon_sym_while] = ACTIONS(2605),
    [anon_sym_break] = ACTIONS(2605),
    [anon_sym_continue] = ACTIONS(2605),
    [anon_sym_return] = ACTIONS(2605),
    [anon_sym_yield] = ACTIONS(2605),
    [anon_sym_synchronized] = ACTIONS(2605),
    [anon_sym_throw] = ACTIONS(2605),
    [anon_sym_try] = ACTIONS(2605),
    [anon_sym_if] = ACTIONS(2605),
    [anon_sym_else] = ACTIONS(2605),
    [anon_sym_for] = ACTIONS(2605),
    [anon_sym_AT] = ACTIONS(2605),
    [anon_sym_open] = ACTIONS(2605),
    [anon_sym_module] = ACTIONS(2605),
    [anon_sym_static] = ACTIONS(2605),
    [anon_sym_with] = ACTIONS(2605),
    [anon_sym_package] = ACTIONS(2605),
    [anon_sym_import] = ACTIONS(2605),
    [anon_sym_enum] = ACTIONS(2605),
    [anon_sym_public] = ACTIONS(2605),
    [anon_sym_protected] = ACTIONS(2605),
    [anon_sym_private] = ACTIONS(2605),
    [anon_sym_abstract] = ACTIONS(2605),
    [anon_sym_strictfp] = ACTIONS(2605),
    [anon_sym_native] = ACTIONS(2605),
    [anon_sym_transient] = ACTIONS(2605),
    [anon_sym_volatile] = ACTIONS(2605),
    [anon_sym_sealed] = ACTIONS(2605),
    [anon_sym_non_DASHsealed] = ACTIONS(2603),
    [anon_sym_record] = ACTIONS(2605),
    [anon_sym_ATinterface] = ACTIONS(2603),
    [anon_sym_interface] = ACTIONS(2605),
    [anon_sym_byte] = ACTIONS(2605),
    [anon_sym_short] = ACTIONS(2605),
    [anon_sym_int] = ACTIONS(2605),
    [anon_sym_long] = ACTIONS(2605),
    [anon_sym_char] = ACTIONS(2605),
    [anon_sym_float] = ACTIONS(2605),
    [anon_sym_double] = ACTIONS(2605),
    [sym_boolean_type] = ACTIONS(2605),
    [sym_void_type] = ACTIONS(2605),
    [anon_sym_def] = ACTIONS(2605),
    [sym_this] = ACTIONS(2605),
    [sym_super] = ACTIONS(2605),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1005] = {
    [ts_builtin_sym_end] = ACTIONS(2607),
    [sym_identifier] = ACTIONS(2609),
    [sym_decimal_integer_literal] = ACTIONS(2609),
    [sym_hex_integer_literal] = ACTIONS(2609),
    [sym_octal_integer_literal] = ACTIONS(2609),
    [sym_binary_integer_literal] = ACTIONS(2607),
    [sym_decimal_floating_point_literal] = ACTIONS(2607),
    [sym_hex_floating_point_literal] = ACTIONS(2609),
    [sym_true] = ACTIONS(2609),
    [sym_false] = ACTIONS(2609),
    [sym_character_literal] = ACTIONS(2607),
    [anon_sym_DQUOTE] = ACTIONS(2609),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2607),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2607),
    [anon_sym_RBRACE] = ACTIONS(2607),
    [sym_null_literal] = ACTIONS(2609),
    [anon_sym_LPAREN] = ACTIONS(2607),
    [anon_sym_LT] = ACTIONS(2607),
    [anon_sym_PLUS] = ACTIONS(2609),
    [anon_sym_DASH] = ACTIONS(2609),
    [anon_sym_final] = ACTIONS(2609),
    [anon_sym_DASH_GT] = ACTIONS(2607),
    [anon_sym_BANG] = ACTIONS(2607),
    [anon_sym_TILDE] = ACTIONS(2607),
    [anon_sym_PLUS_PLUS] = ACTIONS(2607),
    [anon_sym_DASH_DASH] = ACTIONS(2607),
    [anon_sym_new] = ACTIONS(2609),
    [anon_sym_LBRACK] = ACTIONS(2607),
    [anon_sym_class] = ACTIONS(2609),
    [anon_sym_switch] = ACTIONS(2609),
    [anon_sym_LBRACE] = ACTIONS(2607),
    [anon_sym_case] = ACTIONS(2609),
    [anon_sym_default] = ACTIONS(2609),
    [sym_underscore_pattern] = ACTIONS(2609),
    [anon_sym_SEMI] = ACTIONS(2607),
    [anon_sym_assert] = ACTIONS(2609),
    [anon_sym_do] = ACTIONS(2609),
    [anon_sym_while] = ACTIONS(2609),
    [anon_sym_break] = ACTIONS(2609),
    [anon_sym_continue] = ACTIONS(2609),
    [anon_sym_return] = ACTIONS(2609),
    [anon_sym_yield] = ACTIONS(2609),
    [anon_sym_synchronized] = ACTIONS(2609),
    [anon_sym_throw] = ACTIONS(2609),
    [anon_sym_try] = ACTIONS(2609),
    [anon_sym_if] = ACTIONS(2609),
    [anon_sym_else] = ACTIONS(2609),
    [anon_sym_for] = ACTIONS(2609),
    [anon_sym_AT] = ACTIONS(2609),
    [anon_sym_open] = ACTIONS(2609),
    [anon_sym_module] = ACTIONS(2609),
    [anon_sym_static] = ACTIONS(2609),
    [anon_sym_with] = ACTIONS(2609),
    [anon_sym_package] = ACTIONS(2609),
    [anon_sym_import] = ACTIONS(2609),
    [anon_sym_enum] = ACTIONS(2609),
    [anon_sym_public] = ACTIONS(2609),
    [anon_sym_protected] = ACTIONS(2609),
    [anon_sym_private] = ACTIONS(2609),
    [anon_sym_abstract] = ACTIONS(2609),
    [anon_sym_strictfp] = ACTIONS(2609),
    [anon_sym_native] = ACTIONS(2609),
    [anon_sym_transient] = ACTIONS(2609),
    [anon_sym_volatile] = ACTIONS(2609),
    [anon_sym_sealed] = ACTIONS(2609),
    [anon_sym_non_DASHsealed] = ACTIONS(2607),
    [anon_sym_record] = ACTIONS(2609),
    [anon_sym_ATinterface] = ACTIONS(2607),
    [anon_sym_interface] = ACTIONS(2609),
    [anon_sym_byte] = ACTIONS(2609),
    [anon_sym_short] = ACTIONS(2609),
    [anon_sym_int] = ACTIONS(2609),
    [anon_sym_long] = ACTIONS(2609),
    [anon_sym_char] = ACTIONS(2609),
    [anon_sym_float] = ACTIONS(2609),
    [anon_sym_double] = ACTIONS(2609),
    [sym_boolean_type] = ACTIONS(2609),
    [sym_void_type] = ACTIONS(2609),
    [anon_sym_def] = ACTIONS(2609),
    [sym_this] = ACTIONS(2609),
    [sym_super] = ACTIONS(2609),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1006] = {
    [ts_builtin_sym_end] = ACTIONS(2599),
    [sym_identifier] = ACTIONS(2601),
    [sym_decimal_integer_literal] = ACTIONS(2601),
    [sym_hex_integer_literal] = ACTIONS(2601),
    [sym_octal_integer_literal] = ACTIONS(2601),
    [sym_binary_integer_literal] = ACTIONS(2599),
    [sym_decimal_floating_point_literal] = ACTIONS(2599),
    [sym_hex_floating_point_literal] = ACTIONS(2601),
    [sym_true] = ACTIONS(2601),
    [sym_false] = ACTIONS(2601),
    [sym_character_literal] = ACTIONS(2599),
    [anon_sym_DQUOTE] = ACTIONS(2601),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2599),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2599),
    [anon_sym_RBRACE] = ACTIONS(2599),
    [sym_null_literal] = ACTIONS(2601),
    [anon_sym_LPAREN] = ACTIONS(2599),
    [anon_sym_LT] = ACTIONS(2599),
    [anon_sym_PLUS] = ACTIONS(2601),
    [anon_sym_DASH] = ACTIONS(2601),
    [anon_sym_final] = ACTIONS(2601),
    [anon_sym_DASH_GT] = ACTIONS(2599),
    [anon_sym_BANG] = ACTIONS(2599),
    [anon_sym_TILDE] = ACTIONS(2599),
    [anon_sym_PLUS_PLUS] = ACTIONS(2599),
    [anon_sym_DASH_DASH] = ACTIONS(2599),
    [anon_sym_new] = ACTIONS(2601),
    [anon_sym_LBRACK] = ACTIONS(2599),
    [anon_sym_class] = ACTIONS(2601),
    [anon_sym_switch] = ACTIONS(2601),
    [anon_sym_LBRACE] = ACTIONS(2599),
    [anon_sym_case] = ACTIONS(2601),
    [anon_sym_default] = ACTIONS(2601),
    [sym_underscore_pattern] = ACTIONS(2601),
    [anon_sym_SEMI] = ACTIONS(2599),
    [anon_sym_assert] = ACTIONS(2601),
    [anon_sym_do] = ACTIONS(2601),
    [anon_sym_while] = ACTIONS(2601),
    [anon_sym_break] = ACTIONS(2601),
    [anon_sym_continue] = ACTIONS(2601),
    [anon_sym_return] = ACTIONS(2601),
    [anon_sym_yield] = ACTIONS(2601),
    [anon_sym_synchronized] = ACTIONS(2601),
    [anon_sym_throw] = ACTIONS(2601),
    [anon_sym_try] = ACTIONS(2601),
    [anon_sym_if] = ACTIONS(2601),
    [anon_sym_else] = ACTIONS(2601),
    [anon_sym_for] = ACTIONS(2601),
    [anon_sym_AT] = ACTIONS(2601),
    [anon_sym_open] = ACTIONS(2601),
    [anon_sym_module] = ACTIONS(2601),
    [anon_sym_static] = ACTIONS(2601),
    [anon_sym_with] = ACTIONS(2601),
    [anon_sym_package] = ACTIONS(2601),
    [anon_sym_import] = ACTIONS(2601),
    [anon_sym_enum] = ACTIONS(2601),
    [anon_sym_public] = ACTIONS(2601),
    [anon_sym_protected] = ACTIONS(2601),
    [anon_sym_private] = ACTIONS(2601),
    [anon_sym_abstract] = ACTIONS(2601),
    [anon_sym_strictfp] = ACTIONS(2601),
    [anon_sym_native] = ACTIONS(2601),
    [anon_sym_transient] = ACTIONS(2601),
    [anon_sym_volatile] = ACTIONS(2601),
    [anon_sym_sealed] = ACTIONS(2601),
    [anon_sym_non_DASHsealed] = ACTIONS(2599),
    [anon_sym_record] = ACTIONS(2601),
    [anon_sym_ATinterface] = ACTIONS(2599),
    [anon_sym_interface] = ACTIONS(2601),
    [anon_sym_byte] = ACTIONS(2601),
    [anon_sym_short] = ACTIONS(2601),
    [anon_sym_int] = ACTIONS(2601),
    [anon_sym_long] = ACTIONS(2601),
    [anon_sym_char] = ACTIONS(2601),
    [anon_sym_float] = ACTIONS(2601),
    [anon_sym_double] = ACTIONS(2601),
    [sym_boolean_type] = ACTIONS(2601),
    [sym_void_type] = ACTIONS(2601),
    [anon_sym_def] = ACTIONS(2601),
    [sym_this] = ACTIONS(2601),
    [sym_super] = ACTIONS(2601),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1007] = {
    [ts_builtin_sym_end] = ACTIONS(2611),
    [sym_identifier] = ACTIONS(2613),
    [sym_decimal_integer_literal] = ACTIONS(2613),
    [sym_hex_integer_literal] = ACTIONS(2613),
    [sym_octal_integer_literal] = ACTIONS(2613),
    [sym_binary_integer_literal] = ACTIONS(2611),
    [sym_decimal_floating_point_literal] = ACTIONS(2611),
    [sym_hex_floating_point_literal] = ACTIONS(2613),
    [sym_true] = ACTIONS(2613),
    [sym_false] = ACTIONS(2613),
    [sym_character_literal] = ACTIONS(2611),
    [anon_sym_DQUOTE] = ACTIONS(2613),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2611),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2611),
    [anon_sym_RBRACE] = ACTIONS(2611),
    [sym_null_literal] = ACTIONS(2613),
    [anon_sym_LPAREN] = ACTIONS(2611),
    [anon_sym_LT] = ACTIONS(2611),
    [anon_sym_PLUS] = ACTIONS(2613),
    [anon_sym_DASH] = ACTIONS(2613),
    [anon_sym_final] = ACTIONS(2613),
    [anon_sym_DASH_GT] = ACTIONS(2611),
    [anon_sym_BANG] = ACTIONS(2611),
    [anon_sym_TILDE] = ACTIONS(2611),
    [anon_sym_PLUS_PLUS] = ACTIONS(2611),
    [anon_sym_DASH_DASH] = ACTIONS(2611),
    [anon_sym_new] = ACTIONS(2613),
    [anon_sym_LBRACK] = ACTIONS(2611),
    [anon_sym_class] = ACTIONS(2613),
    [anon_sym_switch] = ACTIONS(2613),
    [anon_sym_LBRACE] = ACTIONS(2611),
    [anon_sym_case] = ACTIONS(2613),
    [anon_sym_default] = ACTIONS(2613),
    [sym_underscore_pattern] = ACTIONS(2613),
    [anon_sym_SEMI] = ACTIONS(2611),
    [anon_sym_assert] = ACTIONS(2613),
    [anon_sym_do] = ACTIONS(2613),
    [anon_sym_while] = ACTIONS(2613),
    [anon_sym_break] = ACTIONS(2613),
    [anon_sym_continue] = ACTIONS(2613),
    [anon_sym_return] = ACTIONS(2613),
    [anon_sym_yield] = ACTIONS(2613),
    [anon_sym_synchronized] = ACTIONS(2613),
    [anon_sym_throw] = ACTIONS(2613),
    [anon_sym_try] = ACTIONS(2613),
    [anon_sym_if] = ACTIONS(2613),
    [anon_sym_else] = ACTIONS(2613),
    [anon_sym_for] = ACTIONS(2613),
    [anon_sym_AT] = ACTIONS(2613),
    [anon_sym_open] = ACTIONS(2613),
    [anon_sym_module] = ACTIONS(2613),
    [anon_sym_static] = ACTIONS(2613),
    [anon_sym_with] = ACTIONS(2613),
    [anon_sym_package] = ACTIONS(2613),
    [anon_sym_import] = ACTIONS(2613),
    [anon_sym_enum] = ACTIONS(2613),
    [anon_sym_public] = ACTIONS(2613),
    [anon_sym_protected] = ACTIONS(2613),
    [anon_sym_private] = ACTIONS(2613),
    [anon_sym_abstract] = ACTIONS(2613),
    [anon_sym_strictfp] = ACTIONS(2613),
    [anon_sym_native] = ACTIONS(2613),
    [anon_sym_transient] = ACTIONS(2613),
    [anon_sym_volatile] = ACTIONS(2613),
    [anon_sym_sealed] = ACTIONS(2613),
    [anon_sym_non_DASHsealed] = ACTIONS(2611),
    [anon_sym_record] = ACTIONS(2613),
    [anon_sym_ATinterface] = ACTIONS(2611),
    [anon_sym_interface] = ACTIONS(2613),
    [anon_sym_byte] = ACTIONS(2613),
    [anon_sym_short] = ACTIONS(2613),
    [anon_sym_int] = ACTIONS(2613),
    [anon_sym_long] = ACTIONS(2613),
    [anon_sym_char] = ACTIONS(2613),
    [anon_sym_float] = ACTIONS(2613),
    [anon_sym_double] = ACTIONS(2613),
    [sym_boolean_type] = ACTIONS(2613),
    [sym_void_type] = ACTIONS(2613),
    [anon_sym_def] = ACTIONS(2613),
    [sym_this] = ACTIONS(2613),
    [sym_super] = ACTIONS(2613),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1008] = {
    [ts_builtin_sym_end] = ACTIONS(2280),
    [sym_identifier] = ACTIONS(2282),
    [sym_decimal_integer_literal] = ACTIONS(2282),
    [sym_hex_integer_literal] = ACTIONS(2282),
    [sym_octal_integer_literal] = ACTIONS(2282),
    [sym_binary_integer_literal] = ACTIONS(2280),
    [sym_decimal_floating_point_literal] = ACTIONS(2280),
    [sym_hex_floating_point_literal] = ACTIONS(2282),
    [sym_true] = ACTIONS(2282),
    [sym_false] = ACTIONS(2282),
    [sym_character_literal] = ACTIONS(2280),
    [anon_sym_DQUOTE] = ACTIONS(2282),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2280),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2280),
    [anon_sym_RBRACE] = ACTIONS(2280),
    [sym_null_literal] = ACTIONS(2282),
    [anon_sym_LPAREN] = ACTIONS(2280),
    [anon_sym_LT] = ACTIONS(2280),
    [anon_sym_PLUS] = ACTIONS(2282),
    [anon_sym_DASH] = ACTIONS(2282),
    [anon_sym_final] = ACTIONS(2282),
    [anon_sym_DASH_GT] = ACTIONS(2280),
    [anon_sym_COMMA] = ACTIONS(2280),
    [anon_sym_BANG] = ACTIONS(2280),
    [anon_sym_TILDE] = ACTIONS(2280),
    [anon_sym_PLUS_PLUS] = ACTIONS(2280),
    [anon_sym_DASH_DASH] = ACTIONS(2280),
    [anon_sym_new] = ACTIONS(2282),
    [anon_sym_LBRACK] = ACTIONS(2280),
    [anon_sym_class] = ACTIONS(2282),
    [anon_sym_switch] = ACTIONS(2282),
    [anon_sym_LBRACE] = ACTIONS(2280),
    [anon_sym_default] = ACTIONS(2282),
    [sym_underscore_pattern] = ACTIONS(2282),
    [anon_sym_SEMI] = ACTIONS(2280),
    [anon_sym_assert] = ACTIONS(2282),
    [anon_sym_do] = ACTIONS(2282),
    [anon_sym_while] = ACTIONS(2282),
    [anon_sym_break] = ACTIONS(2282),
    [anon_sym_continue] = ACTIONS(2282),
    [anon_sym_return] = ACTIONS(2282),
    [anon_sym_yield] = ACTIONS(2282),
    [anon_sym_synchronized] = ACTIONS(2282),
    [anon_sym_throw] = ACTIONS(2282),
    [anon_sym_try] = ACTIONS(2282),
    [anon_sym_if] = ACTIONS(2282),
    [anon_sym_for] = ACTIONS(2282),
    [anon_sym_AT] = ACTIONS(2282),
    [anon_sym_open] = ACTIONS(2282),
    [anon_sym_module] = ACTIONS(2282),
    [anon_sym_static] = ACTIONS(2282),
    [anon_sym_with] = ACTIONS(2282),
    [anon_sym_package] = ACTIONS(2282),
    [anon_sym_import] = ACTIONS(2282),
    [anon_sym_enum] = ACTIONS(2282),
    [anon_sym_public] = ACTIONS(2282),
    [anon_sym_protected] = ACTIONS(2282),
    [anon_sym_private] = ACTIONS(2282),
    [anon_sym_abstract] = ACTIONS(2282),
    [anon_sym_strictfp] = ACTIONS(2282),
    [anon_sym_native] = ACTIONS(2282),
    [anon_sym_transient] = ACTIONS(2282),
    [anon_sym_volatile] = ACTIONS(2282),
    [anon_sym_sealed] = ACTIONS(2282),
    [anon_sym_non_DASHsealed] = ACTIONS(2280),
    [anon_sym_record] = ACTIONS(2282),
    [anon_sym_ATinterface] = ACTIONS(2280),
    [anon_sym_interface] = ACTIONS(2282),
    [anon_sym_byte] = ACTIONS(2282),
    [anon_sym_short] = ACTIONS(2282),
    [anon_sym_int] = ACTIONS(2282),
    [anon_sym_long] = ACTIONS(2282),
    [anon_sym_char] = ACTIONS(2282),
    [anon_sym_float] = ACTIONS(2282),
    [anon_sym_double] = ACTIONS(2282),
    [sym_boolean_type] = ACTIONS(2282),
    [sym_void_type] = ACTIONS(2282),
    [anon_sym_def] = ACTIONS(2282),
    [sym_this] = ACTIONS(2282),
    [sym_super] = ACTIONS(2282),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1009] = {
    [sym_switch_label] = STATE(2832),
    [aux_sym_switch_block_statement_group_repeat1] = STATE(1009),
    [sym_identifier] = ACTIONS(2615),
    [sym_decimal_integer_literal] = ACTIONS(2615),
    [sym_hex_integer_literal] = ACTIONS(2615),
    [sym_octal_integer_literal] = ACTIONS(2615),
    [sym_binary_integer_literal] = ACTIONS(2617),
    [sym_decimal_floating_point_literal] = ACTIONS(2617),
    [sym_hex_floating_point_literal] = ACTIONS(2615),
    [sym_true] = ACTIONS(2615),
    [sym_false] = ACTIONS(2615),
    [sym_character_literal] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_RBRACE] = ACTIONS(2617),
    [sym_null_literal] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_final] = ACTIONS(2615),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2615),
    [anon_sym_switch] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_case] = ACTIONS(2619),
    [anon_sym_default] = ACTIONS(2622),
    [sym_underscore_pattern] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym_assert] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2615),
    [anon_sym_continue] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_synchronized] = ACTIONS(2615),
    [anon_sym_throw] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_AT] = ACTIONS(2615),
    [anon_sym_open] = ACTIONS(2615),
    [anon_sym_module] = ACTIONS(2615),
    [anon_sym_static] = ACTIONS(2615),
    [anon_sym_with] = ACTIONS(2615),
    [anon_sym_package] = ACTIONS(2615),
    [anon_sym_import] = ACTIONS(2615),
    [anon_sym_enum] = ACTIONS(2615),
    [anon_sym_public] = ACTIONS(2615),
    [anon_sym_protected] = ACTIONS(2615),
    [anon_sym_private] = ACTIONS(2615),
    [anon_sym_abstract] = ACTIONS(2615),
    [anon_sym_strictfp] = ACTIONS(2615),
    [anon_sym_native] = ACTIONS(2615),
    [anon_sym_transient] = ACTIONS(2615),
    [anon_sym_volatile] = ACTIONS(2615),
    [anon_sym_sealed] = ACTIONS(2615),
    [anon_sym_non_DASHsealed] = ACTIONS(2617),
    [anon_sym_record] = ACTIONS(2615),
    [anon_sym_ATinterface] = ACTIONS(2617),
    [anon_sym_interface] = ACTIONS(2615),
    [anon_sym_byte] = ACTIONS(2615),
    [anon_sym_short] = ACTIONS(2615),
    [anon_sym_int] = ACTIONS(2615),
    [anon_sym_long] = ACTIONS(2615),
    [anon_sym_char] = ACTIONS(2615),
    [anon_sym_float] = ACTIONS(2615),
    [anon_sym_double] = ACTIONS(2615),
    [sym_boolean_type] = ACTIONS(2615),
    [sym_void_type] = ACTIONS(2615),
    [anon_sym_def] = ACTIONS(2615),
    [sym_this] = ACTIONS(2615),
    [sym_super] = ACTIONS(2615),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1010] = {
    [sym_argument_list] = STATE(1112),
    [sym_type_arguments] = STATE(1792),
    [sym_dimensions] = STATE(2138),
    [sym__annotation] = STATE(2221),
    [sym_marker_annotation] = STATE(2221),
    [sym_annotation] = STATE(2221),
    [sym_closure] = STATE(1122),
    [aux_sym_array_creation_expression_repeat1] = STATE(2221),
    [aux_sym_dimensions_repeat1] = STATE(1053),
    [sym_identifier] = ACTIONS(2041),
    [sym_decimal_integer_literal] = ACTIONS(2045),
    [sym_hex_integer_literal] = ACTIONS(2045),
    [sym_octal_integer_literal] = ACTIONS(2045),
    [sym_binary_integer_literal] = ACTIONS(2045),
    [sym_decimal_floating_point_literal] = ACTIONS(2045),
    [sym_hex_floating_point_literal] = ACTIONS(2045),
    [sym_true] = ACTIONS(2045),
    [sym_false] = ACTIONS(2045),
    [sym_character_literal] = ACTIONS(2045),
    [anon_sym_DQUOTE] = ACTIONS(2045),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2045),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2045),
    [sym_null_literal] = ACTIONS(2045),
    [anon_sym_LPAREN] = ACTIONS(2048),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_PLUS_EQ] = ACTIONS(2052),
    [anon_sym_DASH_EQ] = ACTIONS(2052),
    [anon_sym_STAR_EQ] = ACTIONS(2052),
    [anon_sym_SLASH_EQ] = ACTIONS(2052),
    [anon_sym_AMP_EQ] = ACTIONS(2052),
    [anon_sym_PIPE_EQ] = ACTIONS(2052),
    [anon_sym_CARET_EQ] = ACTIONS(2052),
    [anon_sym_PERCENT_EQ] = ACTIONS(2052),
    [anon_sym_LT_LT_EQ] = ACTIONS(2052),
    [anon_sym_GT_GT_EQ] = ACTIONS(2052),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2052),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(772),
    [anon_sym_EQ_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_AMP_AMP] = ACTIONS(772),
    [anon_sym_PIPE_PIPE] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(772),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(2054),
    [anon_sym_COMMA] = ACTIONS(785),
    [anon_sym_QMARK] = ACTIONS(772),
    [anon_sym_COLON] = ACTIONS(812),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(2056),
    [anon_sym_DOT] = ACTIONS(793),
    [anon_sym_COLON_COLON] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(285),
    [sym_underscore_pattern] = ACTIONS(1074),
    [anon_sym_SEMI] = ACTIONS(800),
    [aux_sym_expression_statement_token1] = ACTIONS(803),
    [anon_sym_NULL] = ACTIONS(800),
    [anon_sym_yield] = ACTIONS(1074),
    [anon_sym_AT] = ACTIONS(2061),
    [anon_sym_open] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_with] = ACTIONS(1074),
    [anon_sym_sealed] = ACTIONS(1074),
    [anon_sym_record] = ACTIONS(1074),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [1011] = {
    [ts_builtin_sym_end] = ACTIONS(2625),
    [sym_identifier] = ACTIONS(2627),
    [sym_decimal_integer_literal] = ACTIONS(2627),
    [sym_hex_integer_literal] = ACTIONS(2627),
    [sym_octal_integer_literal] = ACTIONS(2627),
    [sym_binary_integer_literal] = ACTIONS(2625),
    [sym_decimal_floating_point_literal] = ACTIONS(2625),
    [sym_hex_floating_point_literal] = ACTIONS(2627),
    [sym_true] = ACTIONS(2627),
    [sym_false] = ACTIONS(2627),
    [sym_character_literal] = ACTIONS(2625),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2625),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2625),
    [anon_sym_RBRACE] = ACTIONS(2625),
    [sym_null_literal] = ACTIONS(2627),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(2627),
    [anon_sym_final] = ACTIONS(2627),
    [anon_sym_DASH_GT] = ACTIONS(2625),
    [anon_sym_BANG] = ACTIONS(2625),
    [anon_sym_TILDE] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2625),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_class] = ACTIONS(2627),
    [anon_sym_switch] = ACTIONS(2627),
    [anon_sym_LBRACE] = ACTIONS(2625),
    [anon_sym_default] = ACTIONS(2627),
    [sym_underscore_pattern] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(2627),
    [anon_sym_do] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_break] = ACTIONS(2627),
    [anon_sym_continue] = ACTIONS(2627),
    [anon_sym_return] = ACTIONS(2627),
    [anon_sym_yield] = ACTIONS(2627),
    [anon_sym_synchronized] = ACTIONS(2627),
    [anon_sym_throw] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2627),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_for] = ACTIONS(2627),
    [anon_sym_AT] = ACTIONS(2627),
    [anon_sym_open] = ACTIONS(2627),
    [anon_sym_module] = ACTIONS(2627),
    [anon_sym_static] = ACTIONS(2627),
    [anon_sym_with] = ACTIONS(2627),
    [anon_sym_package] = ACTIONS(2627),
    [anon_sym_import] = ACTIONS(2627),
    [anon_sym_enum] = ACTIONS(2627),
    [anon_sym_public] = ACTIONS(2627),
    [anon_sym_protected] = ACTIONS(2627),
    [anon_sym_private] = ACTIONS(2627),
    [anon_sym_abstract] = ACTIONS(2627),
    [anon_sym_strictfp] = ACTIONS(2627),
    [anon_sym_native] = ACTIONS(2627),
    [anon_sym_transient] = ACTIONS(2627),
    [anon_sym_volatile] = ACTIONS(2627),
    [anon_sym_sealed] = ACTIONS(2627),
    [anon_sym_non_DASHsealed] = ACTIONS(2625),
    [anon_sym_record] = ACTIONS(2627),
    [anon_sym_ATinterface] = ACTIONS(2625),
    [anon_sym_interface] = ACTIONS(2627),
    [anon_sym_byte] = ACTIONS(2627),
    [anon_sym_short] = ACTIONS(2627),
    [anon_sym_int] = ACTIONS(2627),
    [anon_sym_long] = ACTIONS(2627),
    [anon_sym_char] = ACTIONS(2627),
    [anon_sym_float] = ACTIONS(2627),
    [anon_sym_double] = ACTIONS(2627),
    [sym_boolean_type] = ACTIONS(2627),
    [sym_void_type] = ACTIONS(2627),
    [anon_sym_def] = ACTIONS(2627),
    [sym_this] = ACTIONS(2627),
    [sym_super] = ACTIONS(2627),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1012] = {
    [ts_builtin_sym_end] = ACTIONS(2629),
    [sym_identifier] = ACTIONS(2631),
    [sym_decimal_integer_literal] = ACTIONS(2631),
    [sym_hex_integer_literal] = ACTIONS(2631),
    [sym_octal_integer_literal] = ACTIONS(2631),
    [sym_binary_integer_literal] = ACTIONS(2629),
    [sym_decimal_floating_point_literal] = ACTIONS(2629),
    [sym_hex_floating_point_literal] = ACTIONS(2631),
    [sym_true] = ACTIONS(2631),
    [sym_false] = ACTIONS(2631),
    [sym_character_literal] = ACTIONS(2629),
    [anon_sym_DQUOTE] = ACTIONS(2631),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2629),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2629),
    [anon_sym_RBRACE] = ACTIONS(2629),
    [sym_null_literal] = ACTIONS(2631),
    [anon_sym_LPAREN] = ACTIONS(2629),
    [anon_sym_LT] = ACTIONS(2629),
    [anon_sym_PLUS] = ACTIONS(2631),
    [anon_sym_DASH] = ACTIONS(2631),
    [anon_sym_final] = ACTIONS(2631),
    [anon_sym_DASH_GT] = ACTIONS(2629),
    [anon_sym_BANG] = ACTIONS(2629),
    [anon_sym_TILDE] = ACTIONS(2629),
    [anon_sym_PLUS_PLUS] = ACTIONS(2629),
    [anon_sym_DASH_DASH] = ACTIONS(2629),
    [anon_sym_new] = ACTIONS(2631),
    [anon_sym_LBRACK] = ACTIONS(2629),
    [anon_sym_class] = ACTIONS(2631),
    [anon_sym_switch] = ACTIONS(2631),
    [anon_sym_LBRACE] = ACTIONS(2629),
    [anon_sym_default] = ACTIONS(2631),
    [sym_underscore_pattern] = ACTIONS(2631),
    [anon_sym_SEMI] = ACTIONS(2629),
    [anon_sym_assert] = ACTIONS(2631),
    [anon_sym_do] = ACTIONS(2631),
    [anon_sym_while] = ACTIONS(2631),
    [anon_sym_break] = ACTIONS(2631),
    [anon_sym_continue] = ACTIONS(2631),
    [anon_sym_return] = ACTIONS(2631),
    [anon_sym_yield] = ACTIONS(2631),
    [anon_sym_synchronized] = ACTIONS(2631),
    [anon_sym_throw] = ACTIONS(2631),
    [anon_sym_try] = ACTIONS(2631),
    [anon_sym_if] = ACTIONS(2631),
    [anon_sym_for] = ACTIONS(2631),
    [anon_sym_AT] = ACTIONS(2631),
    [anon_sym_open] = ACTIONS(2631),
    [anon_sym_module] = ACTIONS(2631),
    [anon_sym_static] = ACTIONS(2631),
    [anon_sym_with] = ACTIONS(2631),
    [anon_sym_package] = ACTIONS(2631),
    [anon_sym_import] = ACTIONS(2631),
    [anon_sym_enum] = ACTIONS(2631),
    [anon_sym_public] = ACTIONS(2631),
    [anon_sym_protected] = ACTIONS(2631),
    [anon_sym_private] = ACTIONS(2631),
    [anon_sym_abstract] = ACTIONS(2631),
    [anon_sym_strictfp] = ACTIONS(2631),
    [anon_sym_native] = ACTIONS(2631),
    [anon_sym_transient] = ACTIONS(2631),
    [anon_sym_volatile] = ACTIONS(2631),
    [anon_sym_sealed] = ACTIONS(2631),
    [anon_sym_non_DASHsealed] = ACTIONS(2629),
    [anon_sym_record] = ACTIONS(2631),
    [anon_sym_ATinterface] = ACTIONS(2629),
    [anon_sym_interface] = ACTIONS(2631),
    [anon_sym_byte] = ACTIONS(2631),
    [anon_sym_short] = ACTIONS(2631),
    [anon_sym_int] = ACTIONS(2631),
    [anon_sym_long] = ACTIONS(2631),
    [anon_sym_char] = ACTIONS(2631),
    [anon_sym_float] = ACTIONS(2631),
    [anon_sym_double] = ACTIONS(2631),
    [sym_boolean_type] = ACTIONS(2631),
    [sym_void_type] = ACTIONS(2631),
    [anon_sym_def] = ACTIONS(2631),
    [sym_this] = ACTIONS(2631),
    [sym_super] = ACTIONS(2631),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1013] = {
    [ts_builtin_sym_end] = ACTIONS(2633),
    [sym_identifier] = ACTIONS(2635),
    [sym_decimal_integer_literal] = ACTIONS(2635),
    [sym_hex_integer_literal] = ACTIONS(2635),
    [sym_octal_integer_literal] = ACTIONS(2635),
    [sym_binary_integer_literal] = ACTIONS(2633),
    [sym_decimal_floating_point_literal] = ACTIONS(2633),
    [sym_hex_floating_point_literal] = ACTIONS(2635),
    [sym_true] = ACTIONS(2635),
    [sym_false] = ACTIONS(2635),
    [sym_character_literal] = ACTIONS(2633),
    [anon_sym_DQUOTE] = ACTIONS(2635),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2633),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2633),
    [anon_sym_RBRACE] = ACTIONS(2633),
    [sym_null_literal] = ACTIONS(2635),
    [anon_sym_LPAREN] = ACTIONS(2633),
    [anon_sym_LT] = ACTIONS(2633),
    [anon_sym_PLUS] = ACTIONS(2635),
    [anon_sym_DASH] = ACTIONS(2635),
    [anon_sym_final] = ACTIONS(2635),
    [anon_sym_DASH_GT] = ACTIONS(2633),
    [anon_sym_BANG] = ACTIONS(2633),
    [anon_sym_TILDE] = ACTIONS(2633),
    [anon_sym_PLUS_PLUS] = ACTIONS(2633),
    [anon_sym_DASH_DASH] = ACTIONS(2633),
    [anon_sym_new] = ACTIONS(2635),
    [anon_sym_LBRACK] = ACTIONS(2633),
    [anon_sym_class] = ACTIONS(2635),
    [anon_sym_switch] = ACTIONS(2635),
    [anon_sym_LBRACE] = ACTIONS(2633),
    [anon_sym_default] = ACTIONS(2635),
    [sym_underscore_pattern] = ACTIONS(2635),
    [anon_sym_SEMI] = ACTIONS(2633),
    [anon_sym_assert] = ACTIONS(2635),
    [anon_sym_do] = ACTIONS(2635),
    [anon_sym_while] = ACTIONS(2635),
    [anon_sym_break] = ACTIONS(2635),
    [anon_sym_continue] = ACTIONS(2635),
    [anon_sym_return] = ACTIONS(2635),
    [anon_sym_yield] = ACTIONS(2635),
    [anon_sym_synchronized] = ACTIONS(2635),
    [anon_sym_throw] = ACTIONS(2635),
    [anon_sym_try] = ACTIONS(2635),
    [anon_sym_if] = ACTIONS(2635),
    [anon_sym_for] = ACTIONS(2635),
    [anon_sym_AT] = ACTIONS(2635),
    [anon_sym_open] = ACTIONS(2635),
    [anon_sym_module] = ACTIONS(2635),
    [anon_sym_static] = ACTIONS(2635),
    [anon_sym_with] = ACTIONS(2635),
    [anon_sym_package] = ACTIONS(2635),
    [anon_sym_import] = ACTIONS(2635),
    [anon_sym_enum] = ACTIONS(2635),
    [anon_sym_public] = ACTIONS(2635),
    [anon_sym_protected] = ACTIONS(2635),
    [anon_sym_private] = ACTIONS(2635),
    [anon_sym_abstract] = ACTIONS(2635),
    [anon_sym_strictfp] = ACTIONS(2635),
    [anon_sym_native] = ACTIONS(2635),
    [anon_sym_transient] = ACTIONS(2635),
    [anon_sym_volatile] = ACTIONS(2635),
    [anon_sym_sealed] = ACTIONS(2635),
    [anon_sym_non_DASHsealed] = ACTIONS(2633),
    [anon_sym_record] = ACTIONS(2635),
    [anon_sym_ATinterface] = ACTIONS(2633),
    [anon_sym_interface] = ACTIONS(2635),
    [anon_sym_byte] = ACTIONS(2635),
    [anon_sym_short] = ACTIONS(2635),
    [anon_sym_int] = ACTIONS(2635),
    [anon_sym_long] = ACTIONS(2635),
    [anon_sym_char] = ACTIONS(2635),
    [anon_sym_float] = ACTIONS(2635),
    [anon_sym_double] = ACTIONS(2635),
    [sym_boolean_type] = ACTIONS(2635),
    [sym_void_type] = ACTIONS(2635),
    [anon_sym_def] = ACTIONS(2635),
    [sym_this] = ACTIONS(2635),
    [sym_super] = ACTIONS(2635),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1014] = {
    [ts_builtin_sym_end] = ACTIONS(2637),
    [sym_identifier] = ACTIONS(2639),
    [sym_decimal_integer_literal] = ACTIONS(2639),
    [sym_hex_integer_literal] = ACTIONS(2639),
    [sym_octal_integer_literal] = ACTIONS(2639),
    [sym_binary_integer_literal] = ACTIONS(2637),
    [sym_decimal_floating_point_literal] = ACTIONS(2637),
    [sym_hex_floating_point_literal] = ACTIONS(2639),
    [sym_true] = ACTIONS(2639),
    [sym_false] = ACTIONS(2639),
    [sym_character_literal] = ACTIONS(2637),
    [anon_sym_DQUOTE] = ACTIONS(2639),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2637),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2637),
    [anon_sym_RBRACE] = ACTIONS(2637),
    [sym_null_literal] = ACTIONS(2639),
    [anon_sym_LPAREN] = ACTIONS(2637),
    [anon_sym_LT] = ACTIONS(2637),
    [anon_sym_PLUS] = ACTIONS(2639),
    [anon_sym_DASH] = ACTIONS(2639),
    [anon_sym_final] = ACTIONS(2639),
    [anon_sym_DASH_GT] = ACTIONS(2637),
    [anon_sym_BANG] = ACTIONS(2637),
    [anon_sym_TILDE] = ACTIONS(2637),
    [anon_sym_PLUS_PLUS] = ACTIONS(2637),
    [anon_sym_DASH_DASH] = ACTIONS(2637),
    [anon_sym_new] = ACTIONS(2639),
    [anon_sym_LBRACK] = ACTIONS(2637),
    [anon_sym_class] = ACTIONS(2639),
    [anon_sym_switch] = ACTIONS(2639),
    [anon_sym_LBRACE] = ACTIONS(2637),
    [anon_sym_default] = ACTIONS(2639),
    [sym_underscore_pattern] = ACTIONS(2639),
    [anon_sym_SEMI] = ACTIONS(2637),
    [anon_sym_assert] = ACTIONS(2639),
    [anon_sym_do] = ACTIONS(2639),
    [anon_sym_while] = ACTIONS(2639),
    [anon_sym_break] = ACTIONS(2639),
    [anon_sym_continue] = ACTIONS(2639),
    [anon_sym_return] = ACTIONS(2639),
    [anon_sym_yield] = ACTIONS(2639),
    [anon_sym_synchronized] = ACTIONS(2639),
    [anon_sym_throw] = ACTIONS(2639),
    [anon_sym_try] = ACTIONS(2639),
    [anon_sym_if] = ACTIONS(2639),
    [anon_sym_for] = ACTIONS(2639),
    [anon_sym_AT] = ACTIONS(2639),
    [anon_sym_open] = ACTIONS(2639),
    [anon_sym_module] = ACTIONS(2639),
    [anon_sym_static] = ACTIONS(2639),
    [anon_sym_with] = ACTIONS(2639),
    [anon_sym_package] = ACTIONS(2639),
    [anon_sym_import] = ACTIONS(2639),
    [anon_sym_enum] = ACTIONS(2639),
    [anon_sym_public] = ACTIONS(2639),
    [anon_sym_protected] = ACTIONS(2639),
    [anon_sym_private] = ACTIONS(2639),
    [anon_sym_abstract] = ACTIONS(2639),
    [anon_sym_strictfp] = ACTIONS(2639),
    [anon_sym_native] = ACTIONS(2639),
    [anon_sym_transient] = ACTIONS(2639),
    [anon_sym_volatile] = ACTIONS(2639),
    [anon_sym_sealed] = ACTIONS(2639),
    [anon_sym_non_DASHsealed] = ACTIONS(2637),
    [anon_sym_record] = ACTIONS(2639),
    [anon_sym_ATinterface] = ACTIONS(2637),
    [anon_sym_interface] = ACTIONS(2639),
    [anon_sym_byte] = ACTIONS(2639),
    [anon_sym_short] = ACTIONS(2639),
    [anon_sym_int] = ACTIONS(2639),
    [anon_sym_long] = ACTIONS(2639),
    [anon_sym_char] = ACTIONS(2639),
    [anon_sym_float] = ACTIONS(2639),
    [anon_sym_double] = ACTIONS(2639),
    [sym_boolean_type] = ACTIONS(2639),
    [sym_void_type] = ACTIONS(2639),
    [anon_sym_def] = ACTIONS(2639),
    [sym_this] = ACTIONS(2639),
    [sym_super] = ACTIONS(2639),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1015] = {
    [sym_identifier] = ACTIONS(1622),
    [sym_decimal_integer_literal] = ACTIONS(1622),
    [sym_hex_integer_literal] = ACTIONS(1622),
    [sym_octal_integer_literal] = ACTIONS(1622),
    [sym_binary_integer_literal] = ACTIONS(1641),
    [sym_decimal_floating_point_literal] = ACTIONS(1641),
    [sym_hex_floating_point_literal] = ACTIONS(1622),
    [sym_true] = ACTIONS(1622),
    [sym_false] = ACTIONS(1622),
    [sym_character_literal] = ACTIONS(1641),
    [anon_sym_DQUOTE] = ACTIONS(1622),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1641),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1641),
    [anon_sym_RBRACE] = ACTIONS(1641),
    [sym_null_literal] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1622),
    [anon_sym_final] = ACTIONS(1622),
    [anon_sym_DASH_GT] = ACTIONS(1641),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(1641),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_new] = ACTIONS(1622),
    [anon_sym_LBRACK] = ACTIONS(1641),
    [anon_sym_class] = ACTIONS(1622),
    [anon_sym_switch] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_case] = ACTIONS(1622),
    [anon_sym_default] = ACTIONS(1622),
    [sym_underscore_pattern] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(1641),
    [anon_sym_assert] = ACTIONS(1622),
    [anon_sym_do] = ACTIONS(1622),
    [anon_sym_while] = ACTIONS(1622),
    [anon_sym_break] = ACTIONS(1622),
    [anon_sym_continue] = ACTIONS(1622),
    [anon_sym_return] = ACTIONS(1622),
    [anon_sym_yield] = ACTIONS(1622),
    [anon_sym_synchronized] = ACTIONS(1622),
    [anon_sym_throw] = ACTIONS(1622),
    [anon_sym_try] = ACTIONS(1622),
    [anon_sym_if] = ACTIONS(1622),
    [anon_sym_else] = ACTIONS(1628),
    [anon_sym_for] = ACTIONS(1622),
    [anon_sym_AT] = ACTIONS(1622),
    [anon_sym_open] = ACTIONS(1622),
    [anon_sym_module] = ACTIONS(1622),
    [anon_sym_static] = ACTIONS(1622),
    [anon_sym_with] = ACTIONS(1622),
    [anon_sym_package] = ACTIONS(1622),
    [anon_sym_import] = ACTIONS(1622),
    [anon_sym_enum] = ACTIONS(1622),
    [anon_sym_public] = ACTIONS(1622),
    [anon_sym_protected] = ACTIONS(1622),
    [anon_sym_private] = ACTIONS(1622),
    [anon_sym_abstract] = ACTIONS(1622),
    [anon_sym_strictfp] = ACTIONS(1622),
    [anon_sym_native] = ACTIONS(1622),
    [anon_sym_transient] = ACTIONS(1622),
    [anon_sym_volatile] = ACTIONS(1622),
    [anon_sym_sealed] = ACTIONS(1622),
    [anon_sym_non_DASHsealed] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1622),
    [anon_sym_ATinterface] = ACTIONS(1641),
    [anon_sym_interface] = ACTIONS(1622),
    [anon_sym_byte] = ACTIONS(1622),
    [anon_sym_short] = ACTIONS(1622),
    [anon_sym_int] = ACTIONS(1622),
    [anon_sym_long] = ACTIONS(1622),
    [anon_sym_char] = ACTIONS(1622),
    [anon_sym_float] = ACTIONS(1622),
    [anon_sym_double] = ACTIONS(1622),
    [sym_boolean_type] = ACTIONS(1622),
    [sym_void_type] = ACTIONS(1622),
    [anon_sym_def] = ACTIONS(1622),
    [sym_this] = ACTIONS(1622),
    [sym_super] = ACTIONS(1622),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1016] = {
    [ts_builtin_sym_end] = ACTIONS(2641),
    [sym_identifier] = ACTIONS(2643),
    [sym_decimal_integer_literal] = ACTIONS(2643),
    [sym_hex_integer_literal] = ACTIONS(2643),
    [sym_octal_integer_literal] = ACTIONS(2643),
    [sym_binary_integer_literal] = ACTIONS(2641),
    [sym_decimal_floating_point_literal] = ACTIONS(2641),
    [sym_hex_floating_point_literal] = ACTIONS(2643),
    [sym_true] = ACTIONS(2643),
    [sym_false] = ACTIONS(2643),
    [sym_character_literal] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2641),
    [anon_sym_RBRACE] = ACTIONS(2641),
    [sym_null_literal] = ACTIONS(2643),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2643),
    [anon_sym_final] = ACTIONS(2643),
    [anon_sym_DASH_GT] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2643),
    [anon_sym_switch] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_default] = ACTIONS(2643),
    [sym_underscore_pattern] = ACTIONS(2643),
    [anon_sym_SEMI] = ACTIONS(2641),
    [anon_sym_assert] = ACTIONS(2643),
    [anon_sym_do] = ACTIONS(2643),
    [anon_sym_while] = ACTIONS(2643),
    [anon_sym_break] = ACTIONS(2643),
    [anon_sym_continue] = ACTIONS(2643),
    [anon_sym_return] = ACTIONS(2643),
    [anon_sym_yield] = ACTIONS(2643),
    [anon_sym_synchronized] = ACTIONS(2643),
    [anon_sym_throw] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2643),
    [anon_sym_if] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2643),
    [anon_sym_AT] = ACTIONS(2643),
    [anon_sym_open] = ACTIONS(2643),
    [anon_sym_module] = ACTIONS(2643),
    [anon_sym_static] = ACTIONS(2643),
    [anon_sym_with] = ACTIONS(2643),
    [anon_sym_package] = ACTIONS(2643),
    [anon_sym_import] = ACTIONS(2643),
    [anon_sym_enum] = ACTIONS(2643),
    [anon_sym_public] = ACTIONS(2643),
    [anon_sym_protected] = ACTIONS(2643),
    [anon_sym_private] = ACTIONS(2643),
    [anon_sym_abstract] = ACTIONS(2643),
    [anon_sym_strictfp] = ACTIONS(2643),
    [anon_sym_native] = ACTIONS(2643),
    [anon_sym_transient] = ACTIONS(2643),
    [anon_sym_volatile] = ACTIONS(2643),
    [anon_sym_sealed] = ACTIONS(2643),
    [anon_sym_non_DASHsealed] = ACTIONS(2641),
    [anon_sym_record] = ACTIONS(2643),
    [anon_sym_ATinterface] = ACTIONS(2641),
    [anon_sym_interface] = ACTIONS(2643),
    [anon_sym_byte] = ACTIONS(2643),
    [anon_sym_short] = ACTIONS(2643),
    [anon_sym_int] = ACTIONS(2643),
    [anon_sym_long] = ACTIONS(2643),
    [anon_sym_char] = ACTIONS(2643),
    [anon_sym_float] = ACTIONS(2643),
    [anon_sym_double] = ACTIONS(2643),
    [sym_boolean_type] = ACTIONS(2643),
    [sym_void_type] = ACTIONS(2643),
    [anon_sym_def] = ACTIONS(2643),
    [sym_this] = ACTIONS(2643),
    [sym_super] = ACTIONS(2643),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1017] = {
    [ts_builtin_sym_end] = ACTIONS(2641),
    [sym_identifier] = ACTIONS(2643),
    [sym_decimal_integer_literal] = ACTIONS(2643),
    [sym_hex_integer_literal] = ACTIONS(2643),
    [sym_octal_integer_literal] = ACTIONS(2643),
    [sym_binary_integer_literal] = ACTIONS(2641),
    [sym_decimal_floating_point_literal] = ACTIONS(2641),
    [sym_hex_floating_point_literal] = ACTIONS(2643),
    [sym_true] = ACTIONS(2643),
    [sym_false] = ACTIONS(2643),
    [sym_character_literal] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2641),
    [anon_sym_RBRACE] = ACTIONS(2641),
    [sym_null_literal] = ACTIONS(2643),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2643),
    [anon_sym_final] = ACTIONS(2643),
    [anon_sym_DASH_GT] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2643),
    [anon_sym_switch] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_default] = ACTIONS(2643),
    [sym_underscore_pattern] = ACTIONS(2643),
    [anon_sym_SEMI] = ACTIONS(2641),
    [anon_sym_assert] = ACTIONS(2643),
    [anon_sym_do] = ACTIONS(2643),
    [anon_sym_while] = ACTIONS(2643),
    [anon_sym_break] = ACTIONS(2643),
    [anon_sym_continue] = ACTIONS(2643),
    [anon_sym_return] = ACTIONS(2643),
    [anon_sym_yield] = ACTIONS(2643),
    [anon_sym_synchronized] = ACTIONS(2643),
    [anon_sym_throw] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2643),
    [anon_sym_if] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2643),
    [anon_sym_AT] = ACTIONS(2643),
    [anon_sym_open] = ACTIONS(2643),
    [anon_sym_module] = ACTIONS(2643),
    [anon_sym_static] = ACTIONS(2643),
    [anon_sym_with] = ACTIONS(2643),
    [anon_sym_package] = ACTIONS(2643),
    [anon_sym_import] = ACTIONS(2643),
    [anon_sym_enum] = ACTIONS(2643),
    [anon_sym_public] = ACTIONS(2643),
    [anon_sym_protected] = ACTIONS(2643),
    [anon_sym_private] = ACTIONS(2643),
    [anon_sym_abstract] = ACTIONS(2643),
    [anon_sym_strictfp] = ACTIONS(2643),
    [anon_sym_native] = ACTIONS(2643),
    [anon_sym_transient] = ACTIONS(2643),
    [anon_sym_volatile] = ACTIONS(2643),
    [anon_sym_sealed] = ACTIONS(2643),
    [anon_sym_non_DASHsealed] = ACTIONS(2641),
    [anon_sym_record] = ACTIONS(2643),
    [anon_sym_ATinterface] = ACTIONS(2641),
    [anon_sym_interface] = ACTIONS(2643),
    [anon_sym_byte] = ACTIONS(2643),
    [anon_sym_short] = ACTIONS(2643),
    [anon_sym_int] = ACTIONS(2643),
    [anon_sym_long] = ACTIONS(2643),
    [anon_sym_char] = ACTIONS(2643),
    [anon_sym_float] = ACTIONS(2643),
    [anon_sym_double] = ACTIONS(2643),
    [sym_boolean_type] = ACTIONS(2643),
    [sym_void_type] = ACTIONS(2643),
    [anon_sym_def] = ACTIONS(2643),
    [sym_this] = ACTIONS(2643),
    [sym_super] = ACTIONS(2643),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1018] = {
    [ts_builtin_sym_end] = ACTIONS(1641),
    [sym_identifier] = ACTIONS(1622),
    [sym_decimal_integer_literal] = ACTIONS(1622),
    [sym_hex_integer_literal] = ACTIONS(1622),
    [sym_octal_integer_literal] = ACTIONS(1622),
    [sym_binary_integer_literal] = ACTIONS(1641),
    [sym_decimal_floating_point_literal] = ACTIONS(1641),
    [sym_hex_floating_point_literal] = ACTIONS(1622),
    [sym_true] = ACTIONS(1622),
    [sym_false] = ACTIONS(1622),
    [sym_character_literal] = ACTIONS(1641),
    [anon_sym_DQUOTE] = ACTIONS(1622),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1641),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1641),
    [sym_null_literal] = ACTIONS(1622),
    [anon_sym_LPAREN] = ACTIONS(1641),
    [anon_sym_LT] = ACTIONS(1641),
    [anon_sym_PLUS] = ACTIONS(1622),
    [anon_sym_DASH] = ACTIONS(1622),
    [anon_sym_final] = ACTIONS(1622),
    [anon_sym_DASH_GT] = ACTIONS(1641),
    [anon_sym_BANG] = ACTIONS(1641),
    [anon_sym_TILDE] = ACTIONS(1641),
    [anon_sym_PLUS_PLUS] = ACTIONS(1641),
    [anon_sym_DASH_DASH] = ACTIONS(1641),
    [anon_sym_new] = ACTIONS(1622),
    [anon_sym_LBRACK] = ACTIONS(1641),
    [anon_sym_class] = ACTIONS(1622),
    [anon_sym_switch] = ACTIONS(1622),
    [anon_sym_LBRACE] = ACTIONS(1641),
    [anon_sym_default] = ACTIONS(1622),
    [sym_underscore_pattern] = ACTIONS(1622),
    [anon_sym_SEMI] = ACTIONS(1641),
    [anon_sym_assert] = ACTIONS(1622),
    [anon_sym_do] = ACTIONS(1622),
    [anon_sym_while] = ACTIONS(1622),
    [anon_sym_break] = ACTIONS(1622),
    [anon_sym_continue] = ACTIONS(1622),
    [anon_sym_return] = ACTIONS(1622),
    [anon_sym_yield] = ACTIONS(1622),
    [anon_sym_synchronized] = ACTIONS(1622),
    [anon_sym_throw] = ACTIONS(1622),
    [anon_sym_try] = ACTIONS(1622),
    [anon_sym_if] = ACTIONS(1622),
    [anon_sym_else] = ACTIONS(1643),
    [anon_sym_for] = ACTIONS(1622),
    [anon_sym_AT] = ACTIONS(1622),
    [anon_sym_open] = ACTIONS(1622),
    [anon_sym_module] = ACTIONS(1622),
    [anon_sym_static] = ACTIONS(1622),
    [anon_sym_with] = ACTIONS(1622),
    [anon_sym_package] = ACTIONS(1622),
    [anon_sym_import] = ACTIONS(1622),
    [anon_sym_enum] = ACTIONS(1622),
    [anon_sym_public] = ACTIONS(1622),
    [anon_sym_protected] = ACTIONS(1622),
    [anon_sym_private] = ACTIONS(1622),
    [anon_sym_abstract] = ACTIONS(1622),
    [anon_sym_strictfp] = ACTIONS(1622),
    [anon_sym_native] = ACTIONS(1622),
    [anon_sym_transient] = ACTIONS(1622),
    [anon_sym_volatile] = ACTIONS(1622),
    [anon_sym_sealed] = ACTIONS(1622),
    [anon_sym_non_DASHsealed] = ACTIONS(1641),
    [anon_sym_record] = ACTIONS(1622),
    [anon_sym_ATinterface] = ACTIONS(1641),
    [anon_sym_interface] = ACTIONS(1622),
    [anon_sym_byte] = ACTIONS(1622),
    [anon_sym_short] = ACTIONS(1622),
    [anon_sym_int] = ACTIONS(1622),
    [anon_sym_long] = ACTIONS(1622),
    [anon_sym_char] = ACTIONS(1622),
    [anon_sym_float] = ACTIONS(1622),
    [anon_sym_double] = ACTIONS(1622),
    [sym_boolean_type] = ACTIONS(1622),
    [sym_void_type] = ACTIONS(1622),
    [anon_sym_def] = ACTIONS(1622),
    [sym_this] = ACTIONS(1622),
    [sym_super] = ACTIONS(1622),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1019] = {
    [ts_builtin_sym_end] = ACTIONS(2641),
    [sym_identifier] = ACTIONS(2643),
    [sym_decimal_integer_literal] = ACTIONS(2643),
    [sym_hex_integer_literal] = ACTIONS(2643),
    [sym_octal_integer_literal] = ACTIONS(2643),
    [sym_binary_integer_literal] = ACTIONS(2641),
    [sym_decimal_floating_point_literal] = ACTIONS(2641),
    [sym_hex_floating_point_literal] = ACTIONS(2643),
    [sym_true] = ACTIONS(2643),
    [sym_false] = ACTIONS(2643),
    [sym_character_literal] = ACTIONS(2641),
    [anon_sym_DQUOTE] = ACTIONS(2643),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2641),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2641),
    [anon_sym_RBRACE] = ACTIONS(2641),
    [sym_null_literal] = ACTIONS(2643),
    [anon_sym_LPAREN] = ACTIONS(2641),
    [anon_sym_LT] = ACTIONS(2641),
    [anon_sym_PLUS] = ACTIONS(2643),
    [anon_sym_DASH] = ACTIONS(2643),
    [anon_sym_final] = ACTIONS(2643),
    [anon_sym_DASH_GT] = ACTIONS(2641),
    [anon_sym_BANG] = ACTIONS(2641),
    [anon_sym_TILDE] = ACTIONS(2641),
    [anon_sym_PLUS_PLUS] = ACTIONS(2641),
    [anon_sym_DASH_DASH] = ACTIONS(2641),
    [anon_sym_new] = ACTIONS(2643),
    [anon_sym_LBRACK] = ACTIONS(2641),
    [anon_sym_class] = ACTIONS(2643),
    [anon_sym_switch] = ACTIONS(2643),
    [anon_sym_LBRACE] = ACTIONS(2641),
    [anon_sym_default] = ACTIONS(2643),
    [sym_underscore_pattern] = ACTIONS(2643),
    [anon_sym_SEMI] = ACTIONS(2641),
    [anon_sym_assert] = ACTIONS(2643),
    [anon_sym_do] = ACTIONS(2643),
    [anon_sym_while] = ACTIONS(2643),
    [anon_sym_break] = ACTIONS(2643),
    [anon_sym_continue] = ACTIONS(2643),
    [anon_sym_return] = ACTIONS(2643),
    [anon_sym_yield] = ACTIONS(2643),
    [anon_sym_synchronized] = ACTIONS(2643),
    [anon_sym_throw] = ACTIONS(2643),
    [anon_sym_try] = ACTIONS(2643),
    [anon_sym_if] = ACTIONS(2643),
    [anon_sym_for] = ACTIONS(2643),
    [anon_sym_AT] = ACTIONS(2643),
    [anon_sym_open] = ACTIONS(2643),
    [anon_sym_module] = ACTIONS(2643),
    [anon_sym_static] = ACTIONS(2643),
    [anon_sym_with] = ACTIONS(2643),
    [anon_sym_package] = ACTIONS(2643),
    [anon_sym_import] = ACTIONS(2643),
    [anon_sym_enum] = ACTIONS(2643),
    [anon_sym_public] = ACTIONS(2643),
    [anon_sym_protected] = ACTIONS(2643),
    [anon_sym_private] = ACTIONS(2643),
    [anon_sym_abstract] = ACTIONS(2643),
    [anon_sym_strictfp] = ACTIONS(2643),
    [anon_sym_native] = ACTIONS(2643),
    [anon_sym_transient] = ACTIONS(2643),
    [anon_sym_volatile] = ACTIONS(2643),
    [anon_sym_sealed] = ACTIONS(2643),
    [anon_sym_non_DASHsealed] = ACTIONS(2641),
    [anon_sym_record] = ACTIONS(2643),
    [anon_sym_ATinterface] = ACTIONS(2641),
    [anon_sym_interface] = ACTIONS(2643),
    [anon_sym_byte] = ACTIONS(2643),
    [anon_sym_short] = ACTIONS(2643),
    [anon_sym_int] = ACTIONS(2643),
    [anon_sym_long] = ACTIONS(2643),
    [anon_sym_char] = ACTIONS(2643),
    [anon_sym_float] = ACTIONS(2643),
    [anon_sym_double] = ACTIONS(2643),
    [sym_boolean_type] = ACTIONS(2643),
    [sym_void_type] = ACTIONS(2643),
    [anon_sym_def] = ACTIONS(2643),
    [sym_this] = ACTIONS(2643),
    [sym_super] = ACTIONS(2643),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1020] = {
    [ts_builtin_sym_end] = ACTIONS(2625),
    [sym_identifier] = ACTIONS(2627),
    [sym_decimal_integer_literal] = ACTIONS(2627),
    [sym_hex_integer_literal] = ACTIONS(2627),
    [sym_octal_integer_literal] = ACTIONS(2627),
    [sym_binary_integer_literal] = ACTIONS(2625),
    [sym_decimal_floating_point_literal] = ACTIONS(2625),
    [sym_hex_floating_point_literal] = ACTIONS(2627),
    [sym_true] = ACTIONS(2627),
    [sym_false] = ACTIONS(2627),
    [sym_character_literal] = ACTIONS(2625),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2625),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2625),
    [anon_sym_RBRACE] = ACTIONS(2625),
    [sym_null_literal] = ACTIONS(2627),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(2627),
    [anon_sym_final] = ACTIONS(2627),
    [anon_sym_DASH_GT] = ACTIONS(2625),
    [anon_sym_BANG] = ACTIONS(2625),
    [anon_sym_TILDE] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2625),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_class] = ACTIONS(2627),
    [anon_sym_switch] = ACTIONS(2627),
    [anon_sym_LBRACE] = ACTIONS(2625),
    [anon_sym_default] = ACTIONS(2627),
    [sym_underscore_pattern] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(2627),
    [anon_sym_do] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_break] = ACTIONS(2627),
    [anon_sym_continue] = ACTIONS(2627),
    [anon_sym_return] = ACTIONS(2627),
    [anon_sym_yield] = ACTIONS(2627),
    [anon_sym_synchronized] = ACTIONS(2627),
    [anon_sym_throw] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2627),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_for] = ACTIONS(2627),
    [anon_sym_AT] = ACTIONS(2627),
    [anon_sym_open] = ACTIONS(2627),
    [anon_sym_module] = ACTIONS(2627),
    [anon_sym_static] = ACTIONS(2627),
    [anon_sym_with] = ACTIONS(2627),
    [anon_sym_package] = ACTIONS(2627),
    [anon_sym_import] = ACTIONS(2627),
    [anon_sym_enum] = ACTIONS(2627),
    [anon_sym_public] = ACTIONS(2627),
    [anon_sym_protected] = ACTIONS(2627),
    [anon_sym_private] = ACTIONS(2627),
    [anon_sym_abstract] = ACTIONS(2627),
    [anon_sym_strictfp] = ACTIONS(2627),
    [anon_sym_native] = ACTIONS(2627),
    [anon_sym_transient] = ACTIONS(2627),
    [anon_sym_volatile] = ACTIONS(2627),
    [anon_sym_sealed] = ACTIONS(2627),
    [anon_sym_non_DASHsealed] = ACTIONS(2625),
    [anon_sym_record] = ACTIONS(2627),
    [anon_sym_ATinterface] = ACTIONS(2625),
    [anon_sym_interface] = ACTIONS(2627),
    [anon_sym_byte] = ACTIONS(2627),
    [anon_sym_short] = ACTIONS(2627),
    [anon_sym_int] = ACTIONS(2627),
    [anon_sym_long] = ACTIONS(2627),
    [anon_sym_char] = ACTIONS(2627),
    [anon_sym_float] = ACTIONS(2627),
    [anon_sym_double] = ACTIONS(2627),
    [sym_boolean_type] = ACTIONS(2627),
    [sym_void_type] = ACTIONS(2627),
    [anon_sym_def] = ACTIONS(2627),
    [sym_this] = ACTIONS(2627),
    [sym_super] = ACTIONS(2627),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1021] = {
    [ts_builtin_sym_end] = ACTIONS(2625),
    [sym_identifier] = ACTIONS(2627),
    [sym_decimal_integer_literal] = ACTIONS(2627),
    [sym_hex_integer_literal] = ACTIONS(2627),
    [sym_octal_integer_literal] = ACTIONS(2627),
    [sym_binary_integer_literal] = ACTIONS(2625),
    [sym_decimal_floating_point_literal] = ACTIONS(2625),
    [sym_hex_floating_point_literal] = ACTIONS(2627),
    [sym_true] = ACTIONS(2627),
    [sym_false] = ACTIONS(2627),
    [sym_character_literal] = ACTIONS(2625),
    [anon_sym_DQUOTE] = ACTIONS(2627),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2625),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2625),
    [anon_sym_RBRACE] = ACTIONS(2625),
    [sym_null_literal] = ACTIONS(2627),
    [anon_sym_LPAREN] = ACTIONS(2625),
    [anon_sym_LT] = ACTIONS(2625),
    [anon_sym_PLUS] = ACTIONS(2627),
    [anon_sym_DASH] = ACTIONS(2627),
    [anon_sym_final] = ACTIONS(2627),
    [anon_sym_DASH_GT] = ACTIONS(2625),
    [anon_sym_BANG] = ACTIONS(2625),
    [anon_sym_TILDE] = ACTIONS(2625),
    [anon_sym_PLUS_PLUS] = ACTIONS(2625),
    [anon_sym_DASH_DASH] = ACTIONS(2625),
    [anon_sym_new] = ACTIONS(2627),
    [anon_sym_LBRACK] = ACTIONS(2625),
    [anon_sym_class] = ACTIONS(2627),
    [anon_sym_switch] = ACTIONS(2627),
    [anon_sym_LBRACE] = ACTIONS(2625),
    [anon_sym_default] = ACTIONS(2627),
    [sym_underscore_pattern] = ACTIONS(2627),
    [anon_sym_SEMI] = ACTIONS(2625),
    [anon_sym_assert] = ACTIONS(2627),
    [anon_sym_do] = ACTIONS(2627),
    [anon_sym_while] = ACTIONS(2627),
    [anon_sym_break] = ACTIONS(2627),
    [anon_sym_continue] = ACTIONS(2627),
    [anon_sym_return] = ACTIONS(2627),
    [anon_sym_yield] = ACTIONS(2627),
    [anon_sym_synchronized] = ACTIONS(2627),
    [anon_sym_throw] = ACTIONS(2627),
    [anon_sym_try] = ACTIONS(2627),
    [anon_sym_if] = ACTIONS(2627),
    [anon_sym_for] = ACTIONS(2627),
    [anon_sym_AT] = ACTIONS(2627),
    [anon_sym_open] = ACTIONS(2627),
    [anon_sym_module] = ACTIONS(2627),
    [anon_sym_static] = ACTIONS(2627),
    [anon_sym_with] = ACTIONS(2627),
    [anon_sym_package] = ACTIONS(2627),
    [anon_sym_import] = ACTIONS(2627),
    [anon_sym_enum] = ACTIONS(2627),
    [anon_sym_public] = ACTIONS(2627),
    [anon_sym_protected] = ACTIONS(2627),
    [anon_sym_private] = ACTIONS(2627),
    [anon_sym_abstract] = ACTIONS(2627),
    [anon_sym_strictfp] = ACTIONS(2627),
    [anon_sym_native] = ACTIONS(2627),
    [anon_sym_transient] = ACTIONS(2627),
    [anon_sym_volatile] = ACTIONS(2627),
    [anon_sym_sealed] = ACTIONS(2627),
    [anon_sym_non_DASHsealed] = ACTIONS(2625),
    [anon_sym_record] = ACTIONS(2627),
    [anon_sym_ATinterface] = ACTIONS(2625),
    [anon_sym_interface] = ACTIONS(2627),
    [anon_sym_byte] = ACTIONS(2627),
    [anon_sym_short] = ACTIONS(2627),
    [anon_sym_int] = ACTIONS(2627),
    [anon_sym_long] = ACTIONS(2627),
    [anon_sym_char] = ACTIONS(2627),
    [anon_sym_float] = ACTIONS(2627),
    [anon_sym_double] = ACTIONS(2627),
    [sym_boolean_type] = ACTIONS(2627),
    [sym_void_type] = ACTIONS(2627),
    [anon_sym_def] = ACTIONS(2627),
    [sym_this] = ACTIONS(2627),
    [sym_super] = ACTIONS(2627),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1022] = {
    [ts_builtin_sym_end] = ACTIONS(2645),
    [sym_identifier] = ACTIONS(2647),
    [sym_decimal_integer_literal] = ACTIONS(2647),
    [sym_hex_integer_literal] = ACTIONS(2647),
    [sym_octal_integer_literal] = ACTIONS(2647),
    [sym_binary_integer_literal] = ACTIONS(2645),
    [sym_decimal_floating_point_literal] = ACTIONS(2645),
    [sym_hex_floating_point_literal] = ACTIONS(2647),
    [sym_true] = ACTIONS(2647),
    [sym_false] = ACTIONS(2647),
    [sym_character_literal] = ACTIONS(2645),
    [anon_sym_DQUOTE] = ACTIONS(2647),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2645),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2645),
    [sym_null_literal] = ACTIONS(2647),
    [anon_sym_LPAREN] = ACTIONS(2645),
    [anon_sym_LT] = ACTIONS(2645),
    [anon_sym_PLUS] = ACTIONS(2647),
    [anon_sym_DASH] = ACTIONS(2647),
    [anon_sym_final] = ACTIONS(2647),
    [anon_sym_DASH_GT] = ACTIONS(2645),
    [anon_sym_BANG] = ACTIONS(2645),
    [anon_sym_TILDE] = ACTIONS(2645),
    [anon_sym_PLUS_PLUS] = ACTIONS(2645),
    [anon_sym_DASH_DASH] = ACTIONS(2645),
    [anon_sym_new] = ACTIONS(2647),
    [anon_sym_LBRACK] = ACTIONS(2645),
    [anon_sym_class] = ACTIONS(2647),
    [anon_sym_switch] = ACTIONS(2647),
    [anon_sym_LBRACE] = ACTIONS(2645),
    [anon_sym_default] = ACTIONS(2647),
    [sym_underscore_pattern] = ACTIONS(2647),
    [anon_sym_SEMI] = ACTIONS(2645),
    [anon_sym_assert] = ACTIONS(2647),
    [anon_sym_do] = ACTIONS(2647),
    [anon_sym_while] = ACTIONS(2647),
    [anon_sym_break] = ACTIONS(2647),
    [anon_sym_continue] = ACTIONS(2647),
    [anon_sym_return] = ACTIONS(2647),
    [anon_sym_yield] = ACTIONS(2647),
    [anon_sym_synchronized] = ACTIONS(2647),
    [anon_sym_throw] = ACTIONS(2647),
    [anon_sym_try] = ACTIONS(2647),
    [anon_sym_if] = ACTIONS(2647),
    [anon_sym_for] = ACTIONS(2647),
    [anon_sym_AT] = ACTIONS(2647),
    [anon_sym_open] = ACTIONS(2647),
    [anon_sym_module] = ACTIONS(2647),
    [anon_sym_static] = ACTIONS(2647),
    [anon_sym_with] = ACTIONS(2647),
    [anon_sym_package] = ACTIONS(2647),
    [anon_sym_import] = ACTIONS(2647),
    [anon_sym_enum] = ACTIONS(2647),
    [anon_sym_public] = ACTIONS(2647),
    [anon_sym_protected] = ACTIONS(2647),
    [anon_sym_private] = ACTIONS(2647),
    [anon_sym_abstract] = ACTIONS(2647),
    [anon_sym_strictfp] = ACTIONS(2647),
    [anon_sym_native] = ACTIONS(2647),
    [anon_sym_transient] = ACTIONS(2647),
    [anon_sym_volatile] = ACTIONS(2647),
    [anon_sym_sealed] = ACTIONS(2647),
    [anon_sym_non_DASHsealed] = ACTIONS(2645),
    [anon_sym_record] = ACTIONS(2647),
    [anon_sym_ATinterface] = ACTIONS(2645),
    [anon_sym_interface] = ACTIONS(2647),
    [anon_sym_byte] = ACTIONS(2647),
    [anon_sym_short] = ACTIONS(2647),
    [anon_sym_int] = ACTIONS(2647),
    [anon_sym_long] = ACTIONS(2647),
    [anon_sym_char] = ACTIONS(2647),
    [anon_sym_float] = ACTIONS(2647),
    [anon_sym_double] = ACTIONS(2647),
    [sym_boolean_type] = ACTIONS(2647),
    [sym_void_type] = ACTIONS(2647),
    [anon_sym_def] = ACTIONS(2647),
    [sym_this] = ACTIONS(2647),
    [sym_super] = ACTIONS(2647),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1023] = {
    [ts_builtin_sym_end] = ACTIONS(2649),
    [sym_identifier] = ACTIONS(2651),
    [sym_decimal_integer_literal] = ACTIONS(2651),
    [sym_hex_integer_literal] = ACTIONS(2651),
    [sym_octal_integer_literal] = ACTIONS(2651),
    [sym_binary_integer_literal] = ACTIONS(2649),
    [sym_decimal_floating_point_literal] = ACTIONS(2649),
    [sym_hex_floating_point_literal] = ACTIONS(2651),
    [sym_true] = ACTIONS(2651),
    [sym_false] = ACTIONS(2651),
    [sym_character_literal] = ACTIONS(2649),
    [anon_sym_DQUOTE] = ACTIONS(2651),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2649),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2649),
    [sym_null_literal] = ACTIONS(2651),
    [anon_sym_LPAREN] = ACTIONS(2649),
    [anon_sym_LT] = ACTIONS(2649),
    [anon_sym_PLUS] = ACTIONS(2651),
    [anon_sym_DASH] = ACTIONS(2651),
    [anon_sym_final] = ACTIONS(2651),
    [anon_sym_DASH_GT] = ACTIONS(2649),
    [anon_sym_BANG] = ACTIONS(2649),
    [anon_sym_TILDE] = ACTIONS(2649),
    [anon_sym_PLUS_PLUS] = ACTIONS(2649),
    [anon_sym_DASH_DASH] = ACTIONS(2649),
    [anon_sym_new] = ACTIONS(2651),
    [anon_sym_LBRACK] = ACTIONS(2649),
    [anon_sym_class] = ACTIONS(2651),
    [anon_sym_switch] = ACTIONS(2651),
    [anon_sym_LBRACE] = ACTIONS(2649),
    [anon_sym_default] = ACTIONS(2651),
    [sym_underscore_pattern] = ACTIONS(2651),
    [anon_sym_SEMI] = ACTIONS(2649),
    [anon_sym_assert] = ACTIONS(2651),
    [anon_sym_do] = ACTIONS(2651),
    [anon_sym_while] = ACTIONS(2651),
    [anon_sym_break] = ACTIONS(2651),
    [anon_sym_continue] = ACTIONS(2651),
    [anon_sym_return] = ACTIONS(2651),
    [anon_sym_yield] = ACTIONS(2651),
    [anon_sym_synchronized] = ACTIONS(2651),
    [anon_sym_throw] = ACTIONS(2651),
    [anon_sym_try] = ACTIONS(2651),
    [anon_sym_if] = ACTIONS(2651),
    [anon_sym_for] = ACTIONS(2651),
    [anon_sym_AT] = ACTIONS(2651),
    [anon_sym_open] = ACTIONS(2651),
    [anon_sym_module] = ACTIONS(2651),
    [anon_sym_static] = ACTIONS(2651),
    [anon_sym_with] = ACTIONS(2651),
    [anon_sym_package] = ACTIONS(2651),
    [anon_sym_import] = ACTIONS(2651),
    [anon_sym_enum] = ACTIONS(2651),
    [anon_sym_public] = ACTIONS(2651),
    [anon_sym_protected] = ACTIONS(2651),
    [anon_sym_private] = ACTIONS(2651),
    [anon_sym_abstract] = ACTIONS(2651),
    [anon_sym_strictfp] = ACTIONS(2651),
    [anon_sym_native] = ACTIONS(2651),
    [anon_sym_transient] = ACTIONS(2651),
    [anon_sym_volatile] = ACTIONS(2651),
    [anon_sym_sealed] = ACTIONS(2651),
    [anon_sym_non_DASHsealed] = ACTIONS(2649),
    [anon_sym_record] = ACTIONS(2651),
    [anon_sym_ATinterface] = ACTIONS(2649),
    [anon_sym_interface] = ACTIONS(2651),
    [anon_sym_byte] = ACTIONS(2651),
    [anon_sym_short] = ACTIONS(2651),
    [anon_sym_int] = ACTIONS(2651),
    [anon_sym_long] = ACTIONS(2651),
    [anon_sym_char] = ACTIONS(2651),
    [anon_sym_float] = ACTIONS(2651),
    [anon_sym_double] = ACTIONS(2651),
    [sym_boolean_type] = ACTIONS(2651),
    [sym_void_type] = ACTIONS(2651),
    [anon_sym_def] = ACTIONS(2651),
    [sym_this] = ACTIONS(2651),
    [sym_super] = ACTIONS(2651),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1024] = {
    [ts_builtin_sym_end] = ACTIONS(2653),
    [sym_identifier] = ACTIONS(2655),
    [sym_decimal_integer_literal] = ACTIONS(2655),
    [sym_hex_integer_literal] = ACTIONS(2655),
    [sym_octal_integer_literal] = ACTIONS(2655),
    [sym_binary_integer_literal] = ACTIONS(2653),
    [sym_decimal_floating_point_literal] = ACTIONS(2653),
    [sym_hex_floating_point_literal] = ACTIONS(2655),
    [sym_true] = ACTIONS(2655),
    [sym_false] = ACTIONS(2655),
    [sym_character_literal] = ACTIONS(2653),
    [anon_sym_DQUOTE] = ACTIONS(2655),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2653),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2653),
    [sym_null_literal] = ACTIONS(2655),
    [anon_sym_LPAREN] = ACTIONS(2653),
    [anon_sym_LT] = ACTIONS(2653),
    [anon_sym_PLUS] = ACTIONS(2655),
    [anon_sym_DASH] = ACTIONS(2655),
    [anon_sym_final] = ACTIONS(2655),
    [anon_sym_DASH_GT] = ACTIONS(2653),
    [anon_sym_BANG] = ACTIONS(2653),
    [anon_sym_TILDE] = ACTIONS(2653),
    [anon_sym_PLUS_PLUS] = ACTIONS(2653),
    [anon_sym_DASH_DASH] = ACTIONS(2653),
    [anon_sym_new] = ACTIONS(2655),
    [anon_sym_LBRACK] = ACTIONS(2653),
    [anon_sym_class] = ACTIONS(2655),
    [anon_sym_switch] = ACTIONS(2655),
    [anon_sym_LBRACE] = ACTIONS(2653),
    [anon_sym_default] = ACTIONS(2655),
    [sym_underscore_pattern] = ACTIONS(2655),
    [anon_sym_SEMI] = ACTIONS(2653),
    [anon_sym_assert] = ACTIONS(2655),
    [anon_sym_do] = ACTIONS(2655),
    [anon_sym_while] = ACTIONS(2655),
    [anon_sym_break] = ACTIONS(2655),
    [anon_sym_continue] = ACTIONS(2655),
    [anon_sym_return] = ACTIONS(2655),
    [anon_sym_yield] = ACTIONS(2655),
    [anon_sym_synchronized] = ACTIONS(2655),
    [anon_sym_throw] = ACTIONS(2655),
    [anon_sym_try] = ACTIONS(2655),
    [anon_sym_if] = ACTIONS(2655),
    [anon_sym_for] = ACTIONS(2655),
    [anon_sym_AT] = ACTIONS(2655),
    [anon_sym_open] = ACTIONS(2655),
    [anon_sym_module] = ACTIONS(2655),
    [anon_sym_static] = ACTIONS(2655),
    [anon_sym_with] = ACTIONS(2655),
    [anon_sym_package] = ACTIONS(2655),
    [anon_sym_import] = ACTIONS(2655),
    [anon_sym_enum] = ACTIONS(2655),
    [anon_sym_public] = ACTIONS(2655),
    [anon_sym_protected] = ACTIONS(2655),
    [anon_sym_private] = ACTIONS(2655),
    [anon_sym_abstract] = ACTIONS(2655),
    [anon_sym_strictfp] = ACTIONS(2655),
    [anon_sym_native] = ACTIONS(2655),
    [anon_sym_transient] = ACTIONS(2655),
    [anon_sym_volatile] = ACTIONS(2655),
    [anon_sym_sealed] = ACTIONS(2655),
    [anon_sym_non_DASHsealed] = ACTIONS(2653),
    [anon_sym_record] = ACTIONS(2655),
    [anon_sym_ATinterface] = ACTIONS(2653),
    [anon_sym_interface] = ACTIONS(2655),
    [anon_sym_byte] = ACTIONS(2655),
    [anon_sym_short] = ACTIONS(2655),
    [anon_sym_int] = ACTIONS(2655),
    [anon_sym_long] = ACTIONS(2655),
    [anon_sym_char] = ACTIONS(2655),
    [anon_sym_float] = ACTIONS(2655),
    [anon_sym_double] = ACTIONS(2655),
    [sym_boolean_type] = ACTIONS(2655),
    [sym_void_type] = ACTIONS(2655),
    [anon_sym_def] = ACTIONS(2655),
    [sym_this] = ACTIONS(2655),
    [sym_super] = ACTIONS(2655),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1025] = {
    [sym_identifier] = ACTIONS(2615),
    [sym_decimal_integer_literal] = ACTIONS(2615),
    [sym_hex_integer_literal] = ACTIONS(2615),
    [sym_octal_integer_literal] = ACTIONS(2615),
    [sym_binary_integer_literal] = ACTIONS(2617),
    [sym_decimal_floating_point_literal] = ACTIONS(2617),
    [sym_hex_floating_point_literal] = ACTIONS(2615),
    [sym_true] = ACTIONS(2615),
    [sym_false] = ACTIONS(2615),
    [sym_character_literal] = ACTIONS(2617),
    [anon_sym_DQUOTE] = ACTIONS(2615),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2617),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2617),
    [anon_sym_RBRACE] = ACTIONS(2617),
    [sym_null_literal] = ACTIONS(2615),
    [anon_sym_LPAREN] = ACTIONS(2617),
    [anon_sym_PLUS] = ACTIONS(2615),
    [anon_sym_DASH] = ACTIONS(2615),
    [anon_sym_final] = ACTIONS(2615),
    [anon_sym_DASH_GT] = ACTIONS(2617),
    [anon_sym_BANG] = ACTIONS(2617),
    [anon_sym_TILDE] = ACTIONS(2617),
    [anon_sym_PLUS_PLUS] = ACTIONS(2617),
    [anon_sym_DASH_DASH] = ACTIONS(2617),
    [anon_sym_new] = ACTIONS(2615),
    [anon_sym_LBRACK] = ACTIONS(2617),
    [anon_sym_class] = ACTIONS(2615),
    [anon_sym_switch] = ACTIONS(2615),
    [anon_sym_LBRACE] = ACTIONS(2617),
    [anon_sym_case] = ACTIONS(2615),
    [anon_sym_default] = ACTIONS(2615),
    [sym_underscore_pattern] = ACTIONS(2615),
    [anon_sym_SEMI] = ACTIONS(2617),
    [anon_sym_assert] = ACTIONS(2615),
    [anon_sym_do] = ACTIONS(2615),
    [anon_sym_while] = ACTIONS(2615),
    [anon_sym_break] = ACTIONS(2615),
    [anon_sym_continue] = ACTIONS(2615),
    [anon_sym_return] = ACTIONS(2615),
    [anon_sym_yield] = ACTIONS(2615),
    [anon_sym_synchronized] = ACTIONS(2615),
    [anon_sym_throw] = ACTIONS(2615),
    [anon_sym_try] = ACTIONS(2615),
    [anon_sym_if] = ACTIONS(2615),
    [anon_sym_for] = ACTIONS(2615),
    [anon_sym_AT] = ACTIONS(2615),
    [anon_sym_open] = ACTIONS(2615),
    [anon_sym_module] = ACTIONS(2615),
    [anon_sym_static] = ACTIONS(2615),
    [anon_sym_with] = ACTIONS(2615),
    [anon_sym_package] = ACTIONS(2615),
    [anon_sym_import] = ACTIONS(2615),
    [anon_sym_enum] = ACTIONS(2615),
    [anon_sym_public] = ACTIONS(2615),
    [anon_sym_protected] = ACTIONS(2615),
    [anon_sym_private] = ACTIONS(2615),
    [anon_sym_abstract] = ACTIONS(2615),
    [anon_sym_strictfp] = ACTIONS(2615),
    [anon_sym_native] = ACTIONS(2615),
    [anon_sym_transient] = ACTIONS(2615),
    [anon_sym_volatile] = ACTIONS(2615),
    [anon_sym_sealed] = ACTIONS(2615),
    [anon_sym_non_DASHsealed] = ACTIONS(2617),
    [anon_sym_record] = ACTIONS(2615),
    [anon_sym_ATinterface] = ACTIONS(2617),
    [anon_sym_interface] = ACTIONS(2615),
    [anon_sym_byte] = ACTIONS(2615),
    [anon_sym_short] = ACTIONS(2615),
    [anon_sym_int] = ACTIONS(2615),
    [anon_sym_long] = ACTIONS(2615),
    [anon_sym_char] = ACTIONS(2615),
    [anon_sym_float] = ACTIONS(2615),
    [anon_sym_double] = ACTIONS(2615),
    [sym_boolean_type] = ACTIONS(2615),
    [sym_void_type] = ACTIONS(2615),
    [anon_sym_def] = ACTIONS(2615),
    [sym_this] = ACTIONS(2615),
    [sym_super] = ACTIONS(2615),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1026] = {
    [ts_builtin_sym_end] = ACTIONS(2657),
    [sym_identifier] = ACTIONS(2659),
    [sym_decimal_integer_literal] = ACTIONS(2659),
    [sym_hex_integer_literal] = ACTIONS(2659),
    [sym_octal_integer_literal] = ACTIONS(2659),
    [sym_binary_integer_literal] = ACTIONS(2657),
    [sym_decimal_floating_point_literal] = ACTIONS(2657),
    [sym_hex_floating_point_literal] = ACTIONS(2659),
    [sym_true] = ACTIONS(2659),
    [sym_false] = ACTIONS(2659),
    [sym_character_literal] = ACTIONS(2657),
    [anon_sym_DQUOTE] = ACTIONS(2659),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2657),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2657),
    [sym_null_literal] = ACTIONS(2659),
    [anon_sym_LPAREN] = ACTIONS(2657),
    [anon_sym_LT] = ACTIONS(2657),
    [anon_sym_PLUS] = ACTIONS(2659),
    [anon_sym_DASH] = ACTIONS(2659),
    [anon_sym_final] = ACTIONS(2659),
    [anon_sym_DASH_GT] = ACTIONS(2657),
    [anon_sym_BANG] = ACTIONS(2657),
    [anon_sym_TILDE] = ACTIONS(2657),
    [anon_sym_PLUS_PLUS] = ACTIONS(2657),
    [anon_sym_DASH_DASH] = ACTIONS(2657),
    [anon_sym_new] = ACTIONS(2659),
    [anon_sym_LBRACK] = ACTIONS(2657),
    [anon_sym_class] = ACTIONS(2659),
    [anon_sym_switch] = ACTIONS(2659),
    [anon_sym_LBRACE] = ACTIONS(2657),
    [anon_sym_default] = ACTIONS(2659),
    [sym_underscore_pattern] = ACTIONS(2659),
    [anon_sym_SEMI] = ACTIONS(2657),
    [anon_sym_assert] = ACTIONS(2659),
    [anon_sym_do] = ACTIONS(2659),
    [anon_sym_while] = ACTIONS(2659),
    [anon_sym_break] = ACTIONS(2659),
    [anon_sym_continue] = ACTIONS(2659),
    [anon_sym_return] = ACTIONS(2659),
    [anon_sym_yield] = ACTIONS(2659),
    [anon_sym_synchronized] = ACTIONS(2659),
    [anon_sym_throw] = ACTIONS(2659),
    [anon_sym_try] = ACTIONS(2659),
    [anon_sym_if] = ACTIONS(2659),
    [anon_sym_for] = ACTIONS(2659),
    [anon_sym_AT] = ACTIONS(2659),
    [anon_sym_open] = ACTIONS(2659),
    [anon_sym_module] = ACTIONS(2659),
    [anon_sym_static] = ACTIONS(2659),
    [anon_sym_with] = ACTIONS(2659),
    [anon_sym_package] = ACTIONS(2659),
    [anon_sym_import] = ACTIONS(2659),
    [anon_sym_enum] = ACTIONS(2659),
    [anon_sym_public] = ACTIONS(2659),
    [anon_sym_protected] = ACTIONS(2659),
    [anon_sym_private] = ACTIONS(2659),
    [anon_sym_abstract] = ACTIONS(2659),
    [anon_sym_strictfp] = ACTIONS(2659),
    [anon_sym_native] = ACTIONS(2659),
    [anon_sym_transient] = ACTIONS(2659),
    [anon_sym_volatile] = ACTIONS(2659),
    [anon_sym_sealed] = ACTIONS(2659),
    [anon_sym_non_DASHsealed] = ACTIONS(2657),
    [anon_sym_record] = ACTIONS(2659),
    [anon_sym_ATinterface] = ACTIONS(2657),
    [anon_sym_interface] = ACTIONS(2659),
    [anon_sym_byte] = ACTIONS(2659),
    [anon_sym_short] = ACTIONS(2659),
    [anon_sym_int] = ACTIONS(2659),
    [anon_sym_long] = ACTIONS(2659),
    [anon_sym_char] = ACTIONS(2659),
    [anon_sym_float] = ACTIONS(2659),
    [anon_sym_double] = ACTIONS(2659),
    [sym_boolean_type] = ACTIONS(2659),
    [sym_void_type] = ACTIONS(2659),
    [anon_sym_def] = ACTIONS(2659),
    [sym_this] = ACTIONS(2659),
    [sym_super] = ACTIONS(2659),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1027] = {
    [ts_builtin_sym_end] = ACTIONS(2661),
    [sym_identifier] = ACTIONS(2663),
    [sym_decimal_integer_literal] = ACTIONS(2663),
    [sym_hex_integer_literal] = ACTIONS(2663),
    [sym_octal_integer_literal] = ACTIONS(2663),
    [sym_binary_integer_literal] = ACTIONS(2661),
    [sym_decimal_floating_point_literal] = ACTIONS(2661),
    [sym_hex_floating_point_literal] = ACTIONS(2663),
    [sym_true] = ACTIONS(2663),
    [sym_false] = ACTIONS(2663),
    [sym_character_literal] = ACTIONS(2661),
    [anon_sym_DQUOTE] = ACTIONS(2663),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2661),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2661),
    [sym_null_literal] = ACTIONS(2663),
    [anon_sym_LPAREN] = ACTIONS(2661),
    [anon_sym_LT] = ACTIONS(2661),
    [anon_sym_PLUS] = ACTIONS(2663),
    [anon_sym_DASH] = ACTIONS(2663),
    [anon_sym_final] = ACTIONS(2663),
    [anon_sym_DASH_GT] = ACTIONS(2661),
    [anon_sym_BANG] = ACTIONS(2661),
    [anon_sym_TILDE] = ACTIONS(2661),
    [anon_sym_PLUS_PLUS] = ACTIONS(2661),
    [anon_sym_DASH_DASH] = ACTIONS(2661),
    [anon_sym_new] = ACTIONS(2663),
    [anon_sym_LBRACK] = ACTIONS(2661),
    [anon_sym_class] = ACTIONS(2663),
    [anon_sym_switch] = ACTIONS(2663),
    [anon_sym_LBRACE] = ACTIONS(2661),
    [anon_sym_default] = ACTIONS(2663),
    [sym_underscore_pattern] = ACTIONS(2663),
    [anon_sym_SEMI] = ACTIONS(2661),
    [anon_sym_assert] = ACTIONS(2663),
    [anon_sym_do] = ACTIONS(2663),
    [anon_sym_while] = ACTIONS(2663),
    [anon_sym_break] = ACTIONS(2663),
    [anon_sym_continue] = ACTIONS(2663),
    [anon_sym_return] = ACTIONS(2663),
    [anon_sym_yield] = ACTIONS(2663),
    [anon_sym_synchronized] = ACTIONS(2663),
    [anon_sym_throw] = ACTIONS(2663),
    [anon_sym_try] = ACTIONS(2663),
    [anon_sym_if] = ACTIONS(2663),
    [anon_sym_for] = ACTIONS(2663),
    [anon_sym_AT] = ACTIONS(2663),
    [anon_sym_open] = ACTIONS(2663),
    [anon_sym_module] = ACTIONS(2663),
    [anon_sym_static] = ACTIONS(2663),
    [anon_sym_with] = ACTIONS(2663),
    [anon_sym_package] = ACTIONS(2663),
    [anon_sym_import] = ACTIONS(2663),
    [anon_sym_enum] = ACTIONS(2663),
    [anon_sym_public] = ACTIONS(2663),
    [anon_sym_protected] = ACTIONS(2663),
    [anon_sym_private] = ACTIONS(2663),
    [anon_sym_abstract] = ACTIONS(2663),
    [anon_sym_strictfp] = ACTIONS(2663),
    [anon_sym_native] = ACTIONS(2663),
    [anon_sym_transient] = ACTIONS(2663),
    [anon_sym_volatile] = ACTIONS(2663),
    [anon_sym_sealed] = ACTIONS(2663),
    [anon_sym_non_DASHsealed] = ACTIONS(2661),
    [anon_sym_record] = ACTIONS(2663),
    [anon_sym_ATinterface] = ACTIONS(2661),
    [anon_sym_interface] = ACTIONS(2663),
    [anon_sym_byte] = ACTIONS(2663),
    [anon_sym_short] = ACTIONS(2663),
    [anon_sym_int] = ACTIONS(2663),
    [anon_sym_long] = ACTIONS(2663),
    [anon_sym_char] = ACTIONS(2663),
    [anon_sym_float] = ACTIONS(2663),
    [anon_sym_double] = ACTIONS(2663),
    [sym_boolean_type] = ACTIONS(2663),
    [sym_void_type] = ACTIONS(2663),
    [anon_sym_def] = ACTIONS(2663),
    [sym_this] = ACTIONS(2663),
    [sym_super] = ACTIONS(2663),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1028] = {
    [ts_builtin_sym_end] = ACTIONS(2665),
    [sym_identifier] = ACTIONS(2667),
    [sym_decimal_integer_literal] = ACTIONS(2667),
    [sym_hex_integer_literal] = ACTIONS(2667),
    [sym_octal_integer_literal] = ACTIONS(2667),
    [sym_binary_integer_literal] = ACTIONS(2665),
    [sym_decimal_floating_point_literal] = ACTIONS(2665),
    [sym_hex_floating_point_literal] = ACTIONS(2667),
    [sym_true] = ACTIONS(2667),
    [sym_false] = ACTIONS(2667),
    [sym_character_literal] = ACTIONS(2665),
    [anon_sym_DQUOTE] = ACTIONS(2667),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2665),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2665),
    [sym_null_literal] = ACTIONS(2667),
    [anon_sym_LPAREN] = ACTIONS(2665),
    [anon_sym_LT] = ACTIONS(2665),
    [anon_sym_PLUS] = ACTIONS(2667),
    [anon_sym_DASH] = ACTIONS(2667),
    [anon_sym_final] = ACTIONS(2667),
    [anon_sym_DASH_GT] = ACTIONS(2665),
    [anon_sym_BANG] = ACTIONS(2665),
    [anon_sym_TILDE] = ACTIONS(2665),
    [anon_sym_PLUS_PLUS] = ACTIONS(2665),
    [anon_sym_DASH_DASH] = ACTIONS(2665),
    [anon_sym_new] = ACTIONS(2667),
    [anon_sym_LBRACK] = ACTIONS(2665),
    [anon_sym_class] = ACTIONS(2667),
    [anon_sym_switch] = ACTIONS(2667),
    [anon_sym_LBRACE] = ACTIONS(2665),
    [anon_sym_default] = ACTIONS(2667),
    [sym_underscore_pattern] = ACTIONS(2667),
    [anon_sym_SEMI] = ACTIONS(2665),
    [anon_sym_assert] = ACTIONS(2667),
    [anon_sym_do] = ACTIONS(2667),
    [anon_sym_while] = ACTIONS(2667),
    [anon_sym_break] = ACTIONS(2667),
    [anon_sym_continue] = ACTIONS(2667),
    [anon_sym_return] = ACTIONS(2667),
    [anon_sym_yield] = ACTIONS(2667),
    [anon_sym_synchronized] = ACTIONS(2667),
    [anon_sym_throw] = ACTIONS(2667),
    [anon_sym_try] = ACTIONS(2667),
    [anon_sym_if] = ACTIONS(2667),
    [anon_sym_for] = ACTIONS(2667),
    [anon_sym_AT] = ACTIONS(2667),
    [anon_sym_open] = ACTIONS(2667),
    [anon_sym_module] = ACTIONS(2667),
    [anon_sym_static] = ACTIONS(2667),
    [anon_sym_with] = ACTIONS(2667),
    [anon_sym_package] = ACTIONS(2667),
    [anon_sym_import] = ACTIONS(2667),
    [anon_sym_enum] = ACTIONS(2667),
    [anon_sym_public] = ACTIONS(2667),
    [anon_sym_protected] = ACTIONS(2667),
    [anon_sym_private] = ACTIONS(2667),
    [anon_sym_abstract] = ACTIONS(2667),
    [anon_sym_strictfp] = ACTIONS(2667),
    [anon_sym_native] = ACTIONS(2667),
    [anon_sym_transient] = ACTIONS(2667),
    [anon_sym_volatile] = ACTIONS(2667),
    [anon_sym_sealed] = ACTIONS(2667),
    [anon_sym_non_DASHsealed] = ACTIONS(2665),
    [anon_sym_record] = ACTIONS(2667),
    [anon_sym_ATinterface] = ACTIONS(2665),
    [anon_sym_interface] = ACTIONS(2667),
    [anon_sym_byte] = ACTIONS(2667),
    [anon_sym_short] = ACTIONS(2667),
    [anon_sym_int] = ACTIONS(2667),
    [anon_sym_long] = ACTIONS(2667),
    [anon_sym_char] = ACTIONS(2667),
    [anon_sym_float] = ACTIONS(2667),
    [anon_sym_double] = ACTIONS(2667),
    [sym_boolean_type] = ACTIONS(2667),
    [sym_void_type] = ACTIONS(2667),
    [anon_sym_def] = ACTIONS(2667),
    [sym_this] = ACTIONS(2667),
    [sym_super] = ACTIONS(2667),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1029] = {
    [sym_identifier] = ACTIONS(2669),
    [sym_decimal_integer_literal] = ACTIONS(2669),
    [sym_hex_integer_literal] = ACTIONS(2669),
    [sym_octal_integer_literal] = ACTIONS(2669),
    [sym_binary_integer_literal] = ACTIONS(2672),
    [sym_decimal_floating_point_literal] = ACTIONS(2672),
    [sym_hex_floating_point_literal] = ACTIONS(2669),
    [sym_true] = ACTIONS(2669),
    [sym_false] = ACTIONS(2669),
    [sym_character_literal] = ACTIONS(2672),
    [anon_sym_DQUOTE] = ACTIONS(2669),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2672),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2672),
    [anon_sym_RBRACE] = ACTIONS(2672),
    [sym_null_literal] = ACTIONS(2669),
    [anon_sym_LPAREN] = ACTIONS(2672),
    [anon_sym_PLUS] = ACTIONS(2669),
    [anon_sym_DASH] = ACTIONS(2669),
    [anon_sym_final] = ACTIONS(2669),
    [anon_sym_DASH_GT] = ACTIONS(2672),
    [anon_sym_BANG] = ACTIONS(2672),
    [anon_sym_TILDE] = ACTIONS(2672),
    [anon_sym_PLUS_PLUS] = ACTIONS(2672),
    [anon_sym_DASH_DASH] = ACTIONS(2672),
    [anon_sym_new] = ACTIONS(2669),
    [anon_sym_LBRACK] = ACTIONS(2672),
    [anon_sym_class] = ACTIONS(2669),
    [anon_sym_switch] = ACTIONS(2669),
    [anon_sym_LBRACE] = ACTIONS(2672),
    [anon_sym_default] = ACTIONS(2669),
    [sym_underscore_pattern] = ACTIONS(2669),
    [anon_sym_SEMI] = ACTIONS(2672),
    [anon_sym_assert] = ACTIONS(2669),
    [anon_sym_do] = ACTIONS(2669),
    [anon_sym_while] = ACTIONS(2669),
    [anon_sym_break] = ACTIONS(2669),
    [anon_sym_continue] = ACTIONS(2669),
    [anon_sym_return] = ACTIONS(2669),
    [anon_sym_yield] = ACTIONS(2669),
    [anon_sym_synchronized] = ACTIONS(2669),
    [anon_sym_throw] = ACTIONS(2669),
    [anon_sym_try] = ACTIONS(2669),
    [anon_sym_if] = ACTIONS(2669),
    [anon_sym_for] = ACTIONS(2669),
    [anon_sym_AT] = ACTIONS(2669),
    [anon_sym_open] = ACTIONS(2669),
    [anon_sym_module] = ACTIONS(2669),
    [anon_sym_static] = ACTIONS(2669),
    [anon_sym_with] = ACTIONS(2669),
    [anon_sym_package] = ACTIONS(2669),
    [anon_sym_import] = ACTIONS(2669),
    [anon_sym_enum] = ACTIONS(2669),
    [anon_sym_public] = ACTIONS(2669),
    [anon_sym_protected] = ACTIONS(2669),
    [anon_sym_private] = ACTIONS(2669),
    [anon_sym_abstract] = ACTIONS(2669),
    [anon_sym_strictfp] = ACTIONS(2669),
    [anon_sym_native] = ACTIONS(2669),
    [anon_sym_transient] = ACTIONS(2669),
    [anon_sym_volatile] = ACTIONS(2669),
    [anon_sym_sealed] = ACTIONS(2669),
    [anon_sym_non_DASHsealed] = ACTIONS(2672),
    [anon_sym_record] = ACTIONS(2669),
    [anon_sym_ATinterface] = ACTIONS(2672),
    [anon_sym_interface] = ACTIONS(2669),
    [anon_sym_byte] = ACTIONS(2669),
    [anon_sym_short] = ACTIONS(2669),
    [anon_sym_int] = ACTIONS(2669),
    [anon_sym_long] = ACTIONS(2669),
    [anon_sym_char] = ACTIONS(2669),
    [anon_sym_float] = ACTIONS(2669),
    [anon_sym_double] = ACTIONS(2669),
    [sym_boolean_type] = ACTIONS(2669),
    [sym_void_type] = ACTIONS(2669),
    [anon_sym_def] = ACTIONS(2669),
    [sym_this] = ACTIONS(2669),
    [sym_super] = ACTIONS(2669),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1030] = {
    [sym_identifier] = ACTIONS(2675),
    [sym_decimal_integer_literal] = ACTIONS(2675),
    [sym_hex_integer_literal] = ACTIONS(2675),
    [sym_octal_integer_literal] = ACTIONS(2675),
    [sym_binary_integer_literal] = ACTIONS(2677),
    [sym_decimal_floating_point_literal] = ACTIONS(2677),
    [sym_hex_floating_point_literal] = ACTIONS(2675),
    [sym_true] = ACTIONS(2675),
    [sym_false] = ACTIONS(2675),
    [sym_character_literal] = ACTIONS(2677),
    [anon_sym_DQUOTE] = ACTIONS(2675),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2677),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2677),
    [anon_sym_RBRACE] = ACTIONS(2677),
    [sym_null_literal] = ACTIONS(2675),
    [anon_sym_LPAREN] = ACTIONS(2677),
    [anon_sym_PLUS] = ACTIONS(2675),
    [anon_sym_DASH] = ACTIONS(2675),
    [anon_sym_final] = ACTIONS(2675),
    [anon_sym_DASH_GT] = ACTIONS(2677),
    [anon_sym_BANG] = ACTIONS(2677),
    [anon_sym_TILDE] = ACTIONS(2677),
    [anon_sym_PLUS_PLUS] = ACTIONS(2677),
    [anon_sym_DASH_DASH] = ACTIONS(2677),
    [anon_sym_new] = ACTIONS(2675),
    [anon_sym_LBRACK] = ACTIONS(2677),
    [anon_sym_class] = ACTIONS(2675),
    [anon_sym_switch] = ACTIONS(2675),
    [anon_sym_LBRACE] = ACTIONS(2677),
    [anon_sym_default] = ACTIONS(2675),
    [sym_underscore_pattern] = ACTIONS(2675),
    [anon_sym_SEMI] = ACTIONS(2677),
    [anon_sym_assert] = ACTIONS(2675),
    [anon_sym_do] = ACTIONS(2675),
    [anon_sym_while] = ACTIONS(2675),
    [anon_sym_break] = ACTIONS(2675),
    [anon_sym_continue] = ACTIONS(2675),
    [anon_sym_return] = ACTIONS(2675),
    [anon_sym_yield] = ACTIONS(2675),
    [anon_sym_synchronized] = ACTIONS(2675),
    [anon_sym_throw] = ACTIONS(2675),
    [anon_sym_try] = ACTIONS(2675),
    [anon_sym_if] = ACTIONS(2675),
    [anon_sym_for] = ACTIONS(2675),
    [anon_sym_AT] = ACTIONS(2675),
    [anon_sym_open] = ACTIONS(2675),
    [anon_sym_module] = ACTIONS(2675),
    [anon_sym_static] = ACTIONS(2675),
    [anon_sym_with] = ACTIONS(2675),
    [anon_sym_package] = ACTIONS(2675),
    [anon_sym_import] = ACTIONS(2675),
    [anon_sym_enum] = ACTIONS(2675),
    [anon_sym_public] = ACTIONS(2675),
    [anon_sym_protected] = ACTIONS(2675),
    [anon_sym_private] = ACTIONS(2675),
    [anon_sym_abstract] = ACTIONS(2675),
    [anon_sym_strictfp] = ACTIONS(2675),
    [anon_sym_native] = ACTIONS(2675),
    [anon_sym_transient] = ACTIONS(2675),
    [anon_sym_volatile] = ACTIONS(2675),
    [anon_sym_sealed] = ACTIONS(2675),
    [anon_sym_non_DASHsealed] = ACTIONS(2677),
    [anon_sym_record] = ACTIONS(2675),
    [anon_sym_ATinterface] = ACTIONS(2677),
    [anon_sym_interface] = ACTIONS(2675),
    [anon_sym_byte] = ACTIONS(2675),
    [anon_sym_short] = ACTIONS(2675),
    [anon_sym_int] = ACTIONS(2675),
    [anon_sym_long] = ACTIONS(2675),
    [anon_sym_char] = ACTIONS(2675),
    [anon_sym_float] = ACTIONS(2675),
    [anon_sym_double] = ACTIONS(2675),
    [sym_boolean_type] = ACTIONS(2675),
    [sym_void_type] = ACTIONS(2675),
    [anon_sym_def] = ACTIONS(2675),
    [sym_this] = ACTIONS(2675),
    [sym_super] = ACTIONS(2675),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1031] = {
    [sym_identifier] = ACTIONS(2679),
    [sym_decimal_integer_literal] = ACTIONS(2679),
    [sym_hex_integer_literal] = ACTIONS(2679),
    [sym_octal_integer_literal] = ACTIONS(2679),
    [sym_binary_integer_literal] = ACTIONS(2681),
    [sym_decimal_floating_point_literal] = ACTIONS(2681),
    [sym_hex_floating_point_literal] = ACTIONS(2679),
    [sym_true] = ACTIONS(2679),
    [sym_false] = ACTIONS(2679),
    [sym_character_literal] = ACTIONS(2681),
    [anon_sym_DQUOTE] = ACTIONS(2679),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2681),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2681),
    [anon_sym_RBRACE] = ACTIONS(2681),
    [sym_null_literal] = ACTIONS(2679),
    [anon_sym_LPAREN] = ACTIONS(2681),
    [anon_sym_PLUS] = ACTIONS(2679),
    [anon_sym_DASH] = ACTIONS(2679),
    [anon_sym_final] = ACTIONS(2679),
    [anon_sym_DASH_GT] = ACTIONS(2681),
    [anon_sym_BANG] = ACTIONS(2681),
    [anon_sym_TILDE] = ACTIONS(2681),
    [anon_sym_PLUS_PLUS] = ACTIONS(2681),
    [anon_sym_DASH_DASH] = ACTIONS(2681),
    [anon_sym_new] = ACTIONS(2679),
    [anon_sym_LBRACK] = ACTIONS(2681),
    [anon_sym_class] = ACTIONS(2679),
    [anon_sym_switch] = ACTIONS(2679),
    [anon_sym_LBRACE] = ACTIONS(2681),
    [anon_sym_default] = ACTIONS(2679),
    [sym_underscore_pattern] = ACTIONS(2679),
    [anon_sym_SEMI] = ACTIONS(2681),
    [anon_sym_assert] = ACTIONS(2679),
    [anon_sym_do] = ACTIONS(2679),
    [anon_sym_while] = ACTIONS(2679),
    [anon_sym_break] = ACTIONS(2679),
    [anon_sym_continue] = ACTIONS(2679),
    [anon_sym_return] = ACTIONS(2679),
    [anon_sym_yield] = ACTIONS(2679),
    [anon_sym_synchronized] = ACTIONS(2679),
    [anon_sym_throw] = ACTIONS(2679),
    [anon_sym_try] = ACTIONS(2679),
    [anon_sym_if] = ACTIONS(2679),
    [anon_sym_for] = ACTIONS(2679),
    [anon_sym_AT] = ACTIONS(2679),
    [anon_sym_open] = ACTIONS(2679),
    [anon_sym_module] = ACTIONS(2679),
    [anon_sym_static] = ACTIONS(2679),
    [anon_sym_with] = ACTIONS(2679),
    [anon_sym_package] = ACTIONS(2679),
    [anon_sym_import] = ACTIONS(2679),
    [anon_sym_enum] = ACTIONS(2679),
    [anon_sym_public] = ACTIONS(2679),
    [anon_sym_protected] = ACTIONS(2679),
    [anon_sym_private] = ACTIONS(2679),
    [anon_sym_abstract] = ACTIONS(2679),
    [anon_sym_strictfp] = ACTIONS(2679),
    [anon_sym_native] = ACTIONS(2679),
    [anon_sym_transient] = ACTIONS(2679),
    [anon_sym_volatile] = ACTIONS(2679),
    [anon_sym_sealed] = ACTIONS(2679),
    [anon_sym_non_DASHsealed] = ACTIONS(2681),
    [anon_sym_record] = ACTIONS(2679),
    [anon_sym_ATinterface] = ACTIONS(2681),
    [anon_sym_interface] = ACTIONS(2679),
    [anon_sym_byte] = ACTIONS(2679),
    [anon_sym_short] = ACTIONS(2679),
    [anon_sym_int] = ACTIONS(2679),
    [anon_sym_long] = ACTIONS(2679),
    [anon_sym_char] = ACTIONS(2679),
    [anon_sym_float] = ACTIONS(2679),
    [anon_sym_double] = ACTIONS(2679),
    [sym_boolean_type] = ACTIONS(2679),
    [sym_void_type] = ACTIONS(2679),
    [anon_sym_def] = ACTIONS(2679),
    [sym_this] = ACTIONS(2679),
    [sym_super] = ACTIONS(2679),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1032] = {
    [sym_identifier] = ACTIONS(846),
    [anon_sym_LPAREN] = ACTIONS(265),
    [anon_sym_RPAREN] = ACTIONS(265),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(273),
    [anon_sym_PLUS_EQ] = ACTIONS(265),
    [anon_sym_DASH_EQ] = ACTIONS(265),
    [anon_sym_STAR_EQ] = ACTIONS(265),
    [anon_sym_SLASH_EQ] = ACTIONS(265),
    [anon_sym_AMP_EQ] = ACTIONS(265),
    [anon_sym_PIPE_EQ] = ACTIONS(265),
    [anon_sym_CARET_EQ] = ACTIONS(265),
    [anon_sym_PERCENT_EQ] = ACTIONS(265),
    [anon_sym_LT_LT_EQ] = ACTIONS(265),
    [anon_sym_GT_GT_EQ] = ACTIONS(265),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(265),
    [anon_sym_GT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(265),
    [anon_sym_LT_EQ] = ACTIONS(265),
    [anon_sym_EQ_EQ] = ACTIONS(265),
    [anon_sym_BANG_EQ] = ACTIONS(265),
    [anon_sym_AMP_AMP] = ACTIONS(265),
    [anon_sym_PIPE_PIPE] = ACTIONS(265),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_GT_GT_GT] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(265),
    [anon_sym_instanceof] = ACTIONS(273),
    [anon_sym_final] = ACTIONS(846),
    [anon_sym_DASH_GT] = ACTIONS(265),
    [anon_sym_COMMA] = ACTIONS(265),
    [anon_sym_QMARK] = ACTIONS(265),
    [anon_sym_PLUS_PLUS] = ACTIONS(265),
    [anon_sym_DASH_DASH] = ACTIONS(265),
    [anon_sym_LBRACK] = ACTIONS(265),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_COLON_COLON] = ACTIONS(265),
    [anon_sym_LBRACE] = ACTIONS(265),
    [anon_sym_default] = ACTIONS(846),
    [sym_underscore_pattern] = ACTIONS(846),
    [anon_sym_yield] = ACTIONS(846),
    [anon_sym_synchronized] = ACTIONS(846),
    [anon_sym_AT] = ACTIONS(2683),
    [anon_sym_open] = ACTIONS(846),
    [anon_sym_module] = ACTIONS(846),
    [anon_sym_static] = ACTIONS(846),
    [anon_sym_with] = ACTIONS(846),
    [anon_sym_public] = ACTIONS(846),
    [anon_sym_protected] = ACTIONS(846),
    [anon_sym_private] = ACTIONS(846),
    [anon_sym_abstract] = ACTIONS(846),
    [anon_sym_strictfp] = ACTIONS(846),
    [anon_sym_native] = ACTIONS(846),
    [anon_sym_transient] = ACTIONS(846),
    [anon_sym_volatile] = ACTIONS(846),
    [anon_sym_sealed] = ACTIONS(846),
    [anon_sym_non_DASHsealed] = ACTIONS(2683),
    [anon_sym_record] = ACTIONS(846),
    [anon_sym_byte] = ACTIONS(846),
    [anon_sym_short] = ACTIONS(846),
    [anon_sym_int] = ACTIONS(846),
    [anon_sym_long] = ACTIONS(846),
    [anon_sym_char] = ACTIONS(846),
    [anon_sym_float] = ACTIONS(846),
    [anon_sym_double] = ACTIONS(846),
    [sym_boolean_type] = ACTIONS(846),
    [sym_void_type] = ACTIONS(846),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
    [anon_sym_DOT_DOT] = ACTIONS(265),
  },
  [1033] = {
    [sym_identifier] = ACTIONS(2685),
    [sym_decimal_integer_literal] = ACTIONS(2685),
    [sym_hex_integer_literal] = ACTIONS(2685),
    [sym_octal_integer_literal] = ACTIONS(2685),
    [sym_binary_integer_literal] = ACTIONS(2687),
    [sym_decimal_floating_point_literal] = ACTIONS(2687),
    [sym_hex_floating_point_literal] = ACTIONS(2685),
    [sym_true] = ACTIONS(2685),
    [sym_false] = ACTIONS(2685),
    [sym_character_literal] = ACTIONS(2687),
    [anon_sym_DQUOTE] = ACTIONS(2685),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2687),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2687),
    [anon_sym_RBRACE] = ACTIONS(2687),
    [sym_null_literal] = ACTIONS(2685),
    [anon_sym_LPAREN] = ACTIONS(2687),
    [anon_sym_PLUS] = ACTIONS(2685),
    [anon_sym_DASH] = ACTIONS(2685),
    [anon_sym_final] = ACTIONS(2685),
    [anon_sym_DASH_GT] = ACTIONS(2687),
    [anon_sym_BANG] = ACTIONS(2687),
    [anon_sym_TILDE] = ACTIONS(2687),
    [anon_sym_PLUS_PLUS] = ACTIONS(2687),
    [anon_sym_DASH_DASH] = ACTIONS(2687),
    [anon_sym_new] = ACTIONS(2685),
    [anon_sym_LBRACK] = ACTIONS(2687),
    [anon_sym_class] = ACTIONS(2685),
    [anon_sym_switch] = ACTIONS(2685),
    [anon_sym_LBRACE] = ACTIONS(2687),
    [anon_sym_default] = ACTIONS(2685),
    [sym_underscore_pattern] = ACTIONS(2685),
    [anon_sym_SEMI] = ACTIONS(2687),
    [anon_sym_assert] = ACTIONS(2685),
    [anon_sym_do] = ACTIONS(2685),
    [anon_sym_while] = ACTIONS(2685),
    [anon_sym_break] = ACTIONS(2685),
    [anon_sym_continue] = ACTIONS(2685),
    [anon_sym_return] = ACTIONS(2685),
    [anon_sym_yield] = ACTIONS(2685),
    [anon_sym_synchronized] = ACTIONS(2685),
    [anon_sym_throw] = ACTIONS(2685),
    [anon_sym_try] = ACTIONS(2685),
    [anon_sym_if] = ACTIONS(2685),
    [anon_sym_for] = ACTIONS(2685),
    [anon_sym_AT] = ACTIONS(2685),
    [anon_sym_open] = ACTIONS(2685),
    [anon_sym_module] = ACTIONS(2685),
    [anon_sym_static] = ACTIONS(2685),
    [anon_sym_with] = ACTIONS(2685),
    [anon_sym_package] = ACTIONS(2685),
    [anon_sym_import] = ACTIONS(2685),
    [anon_sym_enum] = ACTIONS(2685),
    [anon_sym_public] = ACTIONS(2685),
    [anon_sym_protected] = ACTIONS(2685),
    [anon_sym_private] = ACTIONS(2685),
    [anon_sym_abstract] = ACTIONS(2685),
    [anon_sym_strictfp] = ACTIONS(2685),
    [anon_sym_native] = ACTIONS(2685),
    [anon_sym_transient] = ACTIONS(2685),
    [anon_sym_volatile] = ACTIONS(2685),
    [anon_sym_sealed] = ACTIONS(2685),
    [anon_sym_non_DASHsealed] = ACTIONS(2687),
    [anon_sym_record] = ACTIONS(2685),
    [anon_sym_ATinterface] = ACTIONS(2687),
    [anon_sym_interface] = ACTIONS(2685),
    [anon_sym_byte] = ACTIONS(2685),
    [anon_sym_short] = ACTIONS(2685),
    [anon_sym_int] = ACTIONS(2685),
    [anon_sym_long] = ACTIONS(2685),
    [anon_sym_char] = ACTIONS(2685),
    [anon_sym_float] = ACTIONS(2685),
    [anon_sym_double] = ACTIONS(2685),
    [sym_boolean_type] = ACTIONS(2685),
    [sym_void_type] = ACTIONS(2685),
    [anon_sym_def] = ACTIONS(2685),
    [sym_this] = ACTIONS(2685),
    [sym_super] = ACTIONS(2685),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1034] = {
    [sym_identifier] = ACTIONS(2689),
    [sym_decimal_integer_literal] = ACTIONS(2689),
    [sym_hex_integer_literal] = ACTIONS(2689),
    [sym_octal_integer_literal] = ACTIONS(2689),
    [sym_binary_integer_literal] = ACTIONS(2691),
    [sym_decimal_floating_point_literal] = ACTIONS(2691),
    [sym_hex_floating_point_literal] = ACTIONS(2689),
    [sym_true] = ACTIONS(2689),
    [sym_false] = ACTIONS(2689),
    [sym_character_literal] = ACTIONS(2691),
    [anon_sym_DQUOTE] = ACTIONS(2689),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(2691),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(2691),
    [anon_sym_RBRACE] = ACTIONS(2691),
    [sym_null_literal] = ACTIONS(2689),
    [anon_sym_LPAREN] = ACTIONS(2691),
    [anon_sym_PLUS] = ACTIONS(2689),
    [anon_sym_DASH] = ACTIONS(2689),
    [anon_sym_final] = ACTIONS(2689),
    [anon_sym_DASH_GT] = ACTIONS(2691),
    [anon_sym_BANG] = ACTIONS(2691),
    [anon_sym_TILDE] = ACTIONS(2691),
    [anon_sym_PLUS_PLUS] = ACTIONS(2691),
    [anon_sym_DASH_DASH] = ACTIONS(2691),
    [anon_sym_new] = ACTIONS(2689),
    [anon_sym_LBRACK] = ACTIONS(2691),
    [anon_sym_class] = ACTIONS(2689),
    [anon_sym_switch] = ACTIONS(2689),
    [anon_sym_LBRACE] = ACTIONS(2691),
    [anon_sym_default] = ACTIONS(2689),
    [sym_underscore_pattern] = ACTIONS(2689),
    [anon_sym_SEMI] = ACTIONS(2691),
    [anon_sym_assert] = ACTIONS(2689),
    [anon_sym_do] = ACTIONS(2689),
    [anon_sym_while] = ACTIONS(2689),
    [anon_sym_break] = ACTIONS(2689),
    [anon_sym_continue] = ACTIONS(2689),
    [anon_sym_return] = ACTIONS(2689),
    [anon_sym_yield] = ACTIONS(2689),
    [anon_sym_synchronized] = ACTIONS(2689),
    [anon_sym_throw] = ACTIONS(2689),
    [anon_sym_try] = ACTIONS(2689),
    [anon_sym_if] = ACTIONS(2689),
    [anon_sym_for] = ACTIONS(2689),
    [anon_sym_AT] = ACTIONS(2689),
    [anon_sym_open] = ACTIONS(2689),
    [anon_sym_module] = ACTIONS(2689),
    [anon_sym_static] = ACTIONS(2689),
    [anon_sym_with] = ACTIONS(2689),
    [anon_sym_package] = ACTIONS(2689),
    [anon_sym_import] = ACTIONS(2689),
    [anon_sym_enum] = ACTIONS(2689),
    [anon_sym_public] = ACTIONS(2689),
    [anon_sym_protected] = ACTIONS(2689),
    [anon_sym_private] = ACTIONS(2689),
    [anon_sym_abstract] = ACTIONS(2689),
    [anon_sym_strictfp] = ACTIONS(2689),
    [anon_sym_native] = ACTIONS(2689),
    [anon_sym_transient] = ACTIONS(2689),
    [anon_sym_volatile] = ACTIONS(2689),
    [anon_sym_sealed] = ACTIONS(2689),
    [anon_sym_non_DASHsealed] = ACTIONS(2691),
    [anon_sym_record] = ACTIONS(2689),
    [anon_sym_ATinterface] = ACTIONS(2691),
    [anon_sym_interface] = ACTIONS(2689),
    [anon_sym_byte] = ACTIONS(2689),
    [anon_sym_short] = ACTIONS(2689),
    [anon_sym_int] = ACTIONS(2689),
    [anon_sym_long] = ACTIONS(2689),
    [anon_sym_char] = ACTIONS(2689),
    [anon_sym_float] = ACTIONS(2689),
    [anon_sym_double] = ACTIONS(2689),
    [sym_boolean_type] = ACTIONS(2689),
    [sym_void_type] = ACTIONS(2689),
    [anon_sym_def] = ACTIONS(2689),
    [sym_this] = ACTIONS(2689),
    [sym_super] = ACTIONS(2689),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1035] = {
    [sym_scoped_identifier] = STATE(2525),
    [sym__reserved_identifier] = STATE(2525),
    [sym_identifier] = ACTIONS(820),
    [sym_decimal_integer_literal] = ACTIONS(273),
    [sym_hex_integer_literal] = ACTIONS(273),
    [sym_octal_integer_literal] = ACTIONS(273),
    [sym_binary_integer_literal] = ACTIONS(273),
    [sym_decimal_floating_point_literal] = ACTIONS(273),
    [sym_hex_floating_point_literal] = ACTIONS(273),
    [sym_true] = ACTIONS(273),
    [sym_false] = ACTIONS(273),
    [sym_character_literal] = ACTIONS(273),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(273),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(273),
    [anon_sym_RBRACE] = ACTIONS(273),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(273),
    [anon_sym_PLUS_EQ] = ACTIONS(273),
    [anon_sym_DASH_EQ] = ACTIONS(273),
    [anon_sym_STAR_EQ] = ACTIONS(273),
    [anon_sym_SLASH_EQ] = ACTIONS(273),
    [anon_sym_AMP_EQ] = ACTIONS(273),
    [anon_sym_PIPE_EQ] = ACTIONS(273),
    [anon_sym_CARET_EQ] = ACTIONS(273),
    [anon_sym_PERCENT_EQ] = ACTIONS(273),
    [anon_sym_LT_LT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_AMP_AMP] = ACTIONS(273),
    [anon_sym_PIPE_PIPE] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_GT_GT_GT] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_instanceof] = ACTIONS(273),
    [anon_sym_DASH_GT] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_QMARK] = ACTIONS(273),
    [anon_sym_PLUS_PLUS] = ACTIONS(273),
    [anon_sym_DASH_DASH] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_COLON_COLON] = ACTIONS(273),
    [anon_sym_LBRACE] = ACTIONS(273),
    [anon_sym_SEMI] = ACTIONS(273),
    [aux_sym_expression_statement_token1] = ACTIONS(265),
    [anon_sym_NULL] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(273),
    [anon_sym_yield] = ACTIONS(822),
    [anon_sym_else] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_open] = ACTIONS(822),
    [anon_sym_module] = ACTIONS(822),
    [anon_sym_with] = ACTIONS(822),
    [anon_sym_sealed] = ACTIONS(822),
    [anon_sym_record] = ACTIONS(822),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(273),
  },
  [1036] = {
    [sym_argument_list] = STATE(1112),
    [sym_dimensions] = STATE(2138),
    [sym__annotation] = STATE(2221),
    [sym_marker_annotation] = STATE(2221),
    [sym_annotation] = STATE(2221),
    [sym_closure] = STATE(1122),
    [aux_sym_array_creation_expression_repeat1] = STATE(2221),
    [aux_sym_dimensions_repeat1] = STATE(1053),
    [sym_identifier] = ACTIONS(772),
    [sym_decimal_integer_literal] = ACTIONS(772),
    [sym_hex_integer_literal] = ACTIONS(772),
    [sym_octal_integer_literal] = ACTIONS(772),
    [sym_binary_integer_literal] = ACTIONS(772),
    [sym_decimal_floating_point_literal] = ACTIONS(772),
    [sym_hex_floating_point_literal] = ACTIONS(772),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_character_literal] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(772),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(772),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(772),
    [anon_sym_RBRACE] = ACTIONS(772),
    [sym_null_literal] = ACTIONS(772),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_PLUS_EQ] = ACTIONS(2052),
    [anon_sym_DASH_EQ] = ACTIONS(2052),
    [anon_sym_STAR_EQ] = ACTIONS(2052),
    [anon_sym_SLASH_EQ] = ACTIONS(2052),
    [anon_sym_AMP_EQ] = ACTIONS(2052),
    [anon_sym_PIPE_EQ] = ACTIONS(2052),
    [anon_sym_CARET_EQ] = ACTIONS(2052),
    [anon_sym_PERCENT_EQ] = ACTIONS(2052),
    [anon_sym_LT_LT_EQ] = ACTIONS(2052),
    [anon_sym_GT_GT_EQ] = ACTIONS(2052),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2052),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(772),
    [anon_sym_GT_EQ] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(772),
    [anon_sym_EQ_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_AMP_AMP] = ACTIONS(772),
    [anon_sym_PIPE_PIPE] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(772),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(2054),
    [anon_sym_COMMA] = ACTIONS(800),
    [anon_sym_QMARK] = ACTIONS(772),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(772),
    [anon_sym_COLON_COLON] = ACTIONS(772),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_SEMI] = ACTIONS(800),
    [aux_sym_expression_statement_token1] = ACTIONS(803),
    [anon_sym_NULL] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(888),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [1037] = {
    [sym_argument_list] = STATE(1112),
    [sym_dimensions] = STATE(2138),
    [sym__annotation] = STATE(2221),
    [sym_marker_annotation] = STATE(2221),
    [sym_annotation] = STATE(2221),
    [sym_closure] = STATE(1122),
    [aux_sym_array_creation_expression_repeat1] = STATE(2221),
    [aux_sym_dimensions_repeat1] = STATE(1053),
    [sym_identifier] = ACTIONS(772),
    [sym_decimal_integer_literal] = ACTIONS(772),
    [sym_hex_integer_literal] = ACTIONS(772),
    [sym_octal_integer_literal] = ACTIONS(772),
    [sym_binary_integer_literal] = ACTIONS(772),
    [sym_decimal_floating_point_literal] = ACTIONS(772),
    [sym_hex_floating_point_literal] = ACTIONS(772),
    [sym_true] = ACTIONS(772),
    [sym_false] = ACTIONS(772),
    [sym_character_literal] = ACTIONS(772),
    [anon_sym_DQUOTE] = ACTIONS(772),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(772),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(772),
    [anon_sym_RBRACE] = ACTIONS(772),
    [sym_null_literal] = ACTIONS(772),
    [anon_sym_LPAREN] = ACTIONS(2693),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_PLUS_EQ] = ACTIONS(2052),
    [anon_sym_DASH_EQ] = ACTIONS(2052),
    [anon_sym_STAR_EQ] = ACTIONS(2052),
    [anon_sym_SLASH_EQ] = ACTIONS(2052),
    [anon_sym_AMP_EQ] = ACTIONS(2052),
    [anon_sym_PIPE_EQ] = ACTIONS(2052),
    [anon_sym_CARET_EQ] = ACTIONS(2052),
    [anon_sym_PERCENT_EQ] = ACTIONS(2052),
    [anon_sym_LT_LT_EQ] = ACTIONS(2052),
    [anon_sym_GT_GT_EQ] = ACTIONS(2052),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2052),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(772),
    [anon_sym_GT_EQ] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(772),
    [anon_sym_EQ_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_AMP_AMP] = ACTIONS(772),
    [anon_sym_PIPE_PIPE] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(772),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(2054),
    [anon_sym_COMMA] = ACTIONS(785),
    [anon_sym_QMARK] = ACTIONS(772),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(772),
    [anon_sym_COLON_COLON] = ACTIONS(772),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_SEMI] = ACTIONS(800),
    [aux_sym_expression_statement_token1] = ACTIONS(803),
    [anon_sym_NULL] = ACTIONS(800),
    [anon_sym_AT] = ACTIONS(888),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [1038] = {
    [sym__literal] = STATE(422),
    [sym_string_literal] = STATE(351),
    [sym__string_literal] = STATE(357),
    [sym__multiline_string_literal] = STATE(357),
    [sym_lambda_expression] = STATE(495),
    [sym_inferred_parameters] = STATE(2910),
    [sym_primary_expression] = STATE(448),
    [sym_array_creation_expression] = STATE(422),
    [sym_parenthesized_expression] = STATE(422),
    [sym_class_literal] = STATE(422),
    [sym_object_creation_expression] = STATE(422),
    [sym__unqualified_object_creation_expression] = STATE(429),
    [sym_field_access] = STATE(422),
    [sym_template_expression] = STATE(422),
    [sym_array_access] = STATE(422),
    [sym_method_invocation] = STATE(422),
    [sym_method_reference] = STATE(422),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2812),
    [sym__unannotated_type] = STATE(2036),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2910),
    [sym__reserved_identifier] = STATE(319),
    [sym_array_literal] = STATE(351),
    [sym_map_literal] = STATE(351),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(2696),
    [sym_decimal_integer_literal] = ACTIONS(1828),
    [sym_hex_integer_literal] = ACTIONS(1828),
    [sym_octal_integer_literal] = ACTIONS(1828),
    [sym_binary_integer_literal] = ACTIONS(1830),
    [sym_decimal_floating_point_literal] = ACTIONS(1830),
    [sym_hex_floating_point_literal] = ACTIONS(1828),
    [sym_true] = ACTIONS(1828),
    [sym_false] = ACTIONS(1828),
    [sym_character_literal] = ACTIONS(1830),
    [anon_sym_DQUOTE] = ACTIONS(1832),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(1834),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(1836),
    [sym_null_literal] = ACTIONS(1828),
    [anon_sym_LPAREN] = ACTIONS(2698),
    [anon_sym_DASH_GT] = ACTIONS(1842),
    [anon_sym_new] = ACTIONS(1848),
    [anon_sym_LBRACK] = ACTIONS(1850),
    [anon_sym_yield] = ACTIONS(2700),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(2700),
    [anon_sym_module] = ACTIONS(2700),
    [anon_sym_with] = ACTIONS(2700),
    [anon_sym_sealed] = ACTIONS(2700),
    [anon_sym_record] = ACTIONS(2700),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(1858),
    [sym_super] = ACTIONS(2702),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1039] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_lambda_expression] = STATE(1416),
    [sym_inferred_parameters] = STATE(2858),
    [sym_primary_expression] = STATE(1361),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1358),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1358),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2858),
    [sym__reserved_identifier] = STATE(1359),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(2704),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(2706),
    [anon_sym_DASH_GT] = ACTIONS(1786),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_yield] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(2708),
    [anon_sym_module] = ACTIONS(2708),
    [anon_sym_with] = ACTIONS(2708),
    [anon_sym_sealed] = ACTIONS(2708),
    [anon_sym_record] = ACTIONS(2708),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(2710),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1040] = {
    [sym__literal] = STATE(258),
    [sym_string_literal] = STATE(305),
    [sym__string_literal] = STATE(309),
    [sym__multiline_string_literal] = STATE(309),
    [sym_lambda_expression] = STATE(400),
    [sym_inferred_parameters] = STATE(2837),
    [sym_primary_expression] = STATE(298),
    [sym_array_creation_expression] = STATE(258),
    [sym_parenthesized_expression] = STATE(258),
    [sym_class_literal] = STATE(258),
    [sym_object_creation_expression] = STATE(258),
    [sym__unqualified_object_creation_expression] = STATE(265),
    [sym_field_access] = STATE(258),
    [sym_template_expression] = STATE(258),
    [sym_array_access] = STATE(258),
    [sym_method_invocation] = STATE(258),
    [sym_method_reference] = STATE(258),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2835),
    [sym__unannotated_type] = STATE(2028),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2837),
    [sym__reserved_identifier] = STATE(202),
    [sym_array_literal] = STATE(305),
    [sym_map_literal] = STATE(305),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(2712),
    [sym_decimal_integer_literal] = ACTIONS(723),
    [sym_hex_integer_literal] = ACTIONS(723),
    [sym_octal_integer_literal] = ACTIONS(723),
    [sym_binary_integer_literal] = ACTIONS(725),
    [sym_decimal_floating_point_literal] = ACTIONS(725),
    [sym_hex_floating_point_literal] = ACTIONS(723),
    [sym_true] = ACTIONS(723),
    [sym_false] = ACTIONS(723),
    [sym_character_literal] = ACTIONS(725),
    [anon_sym_DQUOTE] = ACTIONS(727),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(729),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(731),
    [sym_null_literal] = ACTIONS(723),
    [anon_sym_LPAREN] = ACTIONS(2714),
    [anon_sym_DASH_GT] = ACTIONS(737),
    [anon_sym_new] = ACTIONS(743),
    [anon_sym_LBRACK] = ACTIONS(745),
    [anon_sym_yield] = ACTIONS(2716),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(2716),
    [anon_sym_module] = ACTIONS(2716),
    [anon_sym_with] = ACTIONS(2716),
    [anon_sym_sealed] = ACTIONS(2716),
    [anon_sym_record] = ACTIONS(2716),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(759),
    [sym_super] = ACTIONS(2718),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1041] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_lambda_expression] = STATE(1478),
    [sym_inferred_parameters] = STATE(2849),
    [sym_primary_expression] = STATE(1403),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1140),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1140),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2849),
    [sym__reserved_identifier] = STATE(1319),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(2720),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(2722),
    [anon_sym_DASH_GT] = ACTIONS(703),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(2724),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(2724),
    [anon_sym_module] = ACTIONS(2724),
    [anon_sym_with] = ACTIONS(2724),
    [anon_sym_sealed] = ACTIONS(2724),
    [anon_sym_record] = ACTIONS(2724),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1042] = {
    [sym__literal] = STATE(1358),
    [sym_string_literal] = STATE(1354),
    [sym__string_literal] = STATE(1357),
    [sym__multiline_string_literal] = STATE(1357),
    [sym_lambda_expression] = STATE(1416),
    [sym_inferred_parameters] = STATE(2830),
    [sym_primary_expression] = STATE(1361),
    [sym_array_creation_expression] = STATE(1358),
    [sym_parenthesized_expression] = STATE(1358),
    [sym_class_literal] = STATE(1358),
    [sym_object_creation_expression] = STATE(1358),
    [sym__unqualified_object_creation_expression] = STATE(1343),
    [sym_field_access] = STATE(1358),
    [sym_template_expression] = STATE(1358),
    [sym_array_access] = STATE(1358),
    [sym_method_invocation] = STATE(1358),
    [sym_method_reference] = STATE(1358),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2857),
    [sym__unannotated_type] = STATE(2055),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2830),
    [sym__reserved_identifier] = STATE(1288),
    [sym_array_literal] = STATE(1354),
    [sym_map_literal] = STATE(1354),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(2728),
    [sym_decimal_integer_literal] = ACTIONS(932),
    [sym_hex_integer_literal] = ACTIONS(932),
    [sym_octal_integer_literal] = ACTIONS(932),
    [sym_binary_integer_literal] = ACTIONS(934),
    [sym_decimal_floating_point_literal] = ACTIONS(934),
    [sym_hex_floating_point_literal] = ACTIONS(932),
    [sym_true] = ACTIONS(932),
    [sym_false] = ACTIONS(932),
    [sym_character_literal] = ACTIONS(934),
    [anon_sym_DQUOTE] = ACTIONS(936),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(938),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(940),
    [sym_null_literal] = ACTIONS(932),
    [anon_sym_LPAREN] = ACTIONS(2706),
    [anon_sym_DASH_GT] = ACTIONS(948),
    [anon_sym_new] = ACTIONS(954),
    [anon_sym_LBRACK] = ACTIONS(956),
    [anon_sym_yield] = ACTIONS(2708),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(2708),
    [anon_sym_module] = ACTIONS(2708),
    [anon_sym_with] = ACTIONS(2708),
    [anon_sym_sealed] = ACTIONS(2708),
    [anon_sym_record] = ACTIONS(2708),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(974),
    [sym_super] = ACTIONS(2710),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1043] = {
    [sym_argument_list] = STATE(1112),
    [sym_type_arguments] = STATE(1792),
    [sym_dimensions] = STATE(2138),
    [sym__annotation] = STATE(2221),
    [sym_marker_annotation] = STATE(2221),
    [sym_annotation] = STATE(2221),
    [sym_closure] = STATE(1122),
    [aux_sym_array_creation_expression_repeat1] = STATE(2221),
    [aux_sym_dimensions_repeat1] = STATE(1053),
    [sym_identifier] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_EQ] = ACTIONS(2732),
    [anon_sym_PLUS_EQ] = ACTIONS(2732),
    [anon_sym_DASH_EQ] = ACTIONS(2732),
    [anon_sym_STAR_EQ] = ACTIONS(2732),
    [anon_sym_SLASH_EQ] = ACTIONS(2732),
    [anon_sym_AMP_EQ] = ACTIONS(2732),
    [anon_sym_PIPE_EQ] = ACTIONS(2732),
    [anon_sym_CARET_EQ] = ACTIONS(2732),
    [anon_sym_PERCENT_EQ] = ACTIONS(2732),
    [anon_sym_LT_LT_EQ] = ACTIONS(2732),
    [anon_sym_GT_GT_EQ] = ACTIONS(2732),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2732),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(772),
    [anon_sym_EQ_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_AMP_AMP] = ACTIONS(772),
    [anon_sym_PIPE_PIPE] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(772),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(2734),
    [anon_sym_COMMA] = ACTIONS(785),
    [anon_sym_QMARK] = ACTIONS(772),
    [anon_sym_COLON] = ACTIONS(2736),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(789),
    [anon_sym_DOT] = ACTIONS(793),
    [anon_sym_COLON_COLON] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(285),
    [sym_underscore_pattern] = ACTIONS(1074),
    [anon_sym_SEMI] = ACTIONS(800),
    [aux_sym_expression_statement_token1] = ACTIONS(803),
    [anon_sym_NULL] = ACTIONS(800),
    [anon_sym_while] = ACTIONS(772),
    [anon_sym_yield] = ACTIONS(1074),
    [anon_sym_else] = ACTIONS(772),
    [anon_sym_AT] = ACTIONS(2061),
    [anon_sym_open] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_with] = ACTIONS(1074),
    [anon_sym_sealed] = ACTIONS(1074),
    [anon_sym_record] = ACTIONS(1074),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [1044] = {
    [sym__literal] = STATE(1140),
    [sym_string_literal] = STATE(1146),
    [sym__string_literal] = STATE(1144),
    [sym__multiline_string_literal] = STATE(1144),
    [sym_lambda_expression] = STATE(1478),
    [sym_inferred_parameters] = STATE(2915),
    [sym_primary_expression] = STATE(1403),
    [sym_array_creation_expression] = STATE(1140),
    [sym_parenthesized_expression] = STATE(1140),
    [sym_class_literal] = STATE(1140),
    [sym_object_creation_expression] = STATE(1140),
    [sym__unqualified_object_creation_expression] = STATE(1145),
    [sym_field_access] = STATE(1140),
    [sym_template_expression] = STATE(1140),
    [sym_array_access] = STATE(1140),
    [sym_method_invocation] = STATE(1140),
    [sym_method_reference] = STATE(1140),
    [sym__annotation] = STATE(1837),
    [sym_marker_annotation] = STATE(1837),
    [sym_annotation] = STATE(1837),
    [sym__type] = STATE(2808),
    [sym__unannotated_type] = STATE(2057),
    [sym_annotated_type] = STATE(2101),
    [sym_scoped_type_identifier] = STATE(1903),
    [sym_generic_type] = STATE(1914),
    [sym_array_type] = STATE(1811),
    [sym_integral_type] = STATE(1811),
    [sym_floating_point_type] = STATE(1811),
    [sym_formal_parameters] = STATE(2915),
    [sym__reserved_identifier] = STATE(1304),
    [sym_array_literal] = STATE(1146),
    [sym_map_literal] = STATE(1146),
    [aux_sym_array_creation_expression_repeat1] = STATE(1837),
    [sym_identifier] = ACTIONS(2738),
    [sym_decimal_integer_literal] = ACTIONS(9),
    [sym_hex_integer_literal] = ACTIONS(9),
    [sym_octal_integer_literal] = ACTIONS(9),
    [sym_binary_integer_literal] = ACTIONS(11),
    [sym_decimal_floating_point_literal] = ACTIONS(11),
    [sym_hex_floating_point_literal] = ACTIONS(9),
    [sym_true] = ACTIONS(9),
    [sym_false] = ACTIONS(9),
    [sym_character_literal] = ACTIONS(11),
    [anon_sym_DQUOTE] = ACTIONS(13),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(15),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(17),
    [sym_null_literal] = ACTIONS(9),
    [anon_sym_LPAREN] = ACTIONS(2722),
    [anon_sym_DASH_GT] = ACTIONS(27),
    [anon_sym_new] = ACTIONS(33),
    [anon_sym_LBRACK] = ACTIONS(35),
    [anon_sym_yield] = ACTIONS(2724),
    [anon_sym_AT] = ACTIONS(1708),
    [anon_sym_open] = ACTIONS(2724),
    [anon_sym_module] = ACTIONS(2724),
    [anon_sym_with] = ACTIONS(2724),
    [anon_sym_sealed] = ACTIONS(2724),
    [anon_sym_record] = ACTIONS(2724),
    [anon_sym_byte] = ACTIONS(95),
    [anon_sym_short] = ACTIONS(95),
    [anon_sym_int] = ACTIONS(95),
    [anon_sym_long] = ACTIONS(95),
    [anon_sym_char] = ACTIONS(95),
    [anon_sym_float] = ACTIONS(97),
    [anon_sym_double] = ACTIONS(97),
    [sym_boolean_type] = ACTIONS(99),
    [sym_void_type] = ACTIONS(99),
    [sym_this] = ACTIONS(103),
    [sym_super] = ACTIONS(2726),
    [sym_line_comment] = ACTIONS(3),
    [sym_block_comment] = ACTIONS(3),
  },
  [1045] = {
    [sym_identifier] = ACTIONS(273),
    [sym_decimal_integer_literal] = ACTIONS(273),
    [sym_hex_integer_literal] = ACTIONS(273),
    [sym_octal_integer_literal] = ACTIONS(273),
    [sym_binary_integer_literal] = ACTIONS(273),
    [sym_decimal_floating_point_literal] = ACTIONS(273),
    [sym_hex_floating_point_literal] = ACTIONS(273),
    [sym_true] = ACTIONS(273),
    [sym_false] = ACTIONS(273),
    [sym_character_literal] = ACTIONS(273),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(273),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(273),
    [anon_sym_RBRACE] = ACTIONS(273),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(273),
    [anon_sym_PLUS_EQ] = ACTIONS(273),
    [anon_sym_DASH_EQ] = ACTIONS(273),
    [anon_sym_STAR_EQ] = ACTIONS(273),
    [anon_sym_SLASH_EQ] = ACTIONS(273),
    [anon_sym_AMP_EQ] = ACTIONS(273),
    [anon_sym_PIPE_EQ] = ACTIONS(273),
    [anon_sym_CARET_EQ] = ACTIONS(273),
    [anon_sym_PERCENT_EQ] = ACTIONS(273),
    [anon_sym_LT_LT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_AMP_AMP] = ACTIONS(273),
    [anon_sym_PIPE_PIPE] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_GT_GT_GT] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_instanceof] = ACTIONS(273),
    [anon_sym_DASH_GT] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_QMARK] = ACTIONS(273),
    [anon_sym_COLON] = ACTIONS(273),
    [anon_sym_PLUS_PLUS] = ACTIONS(273),
    [anon_sym_DASH_DASH] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_COLON_COLON] = ACTIONS(273),
    [anon_sym_LBRACE] = ACTIONS(273),
    [anon_sym_SEMI] = ACTIONS(273),
    [aux_sym_expression_statement_token1] = ACTIONS(265),
    [anon_sym_NULL] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(273),
    [anon_sym_else] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_as] = ACTIONS(273),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(273),
  },
  [1046] = {
    [sym_argument_list] = STATE(1112),
    [sym_type_arguments] = STATE(1792),
    [sym_dimensions] = STATE(2138),
    [sym__annotation] = STATE(2221),
    [sym_marker_annotation] = STATE(2221),
    [sym_annotation] = STATE(2221),
    [sym_closure] = STATE(1122),
    [aux_sym_array_creation_expression_repeat1] = STATE(2221),
    [aux_sym_dimensions_repeat1] = STATE(1053),
    [sym_identifier] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_PLUS_EQ] = ACTIONS(2052),
    [anon_sym_DASH_EQ] = ACTIONS(2052),
    [anon_sym_STAR_EQ] = ACTIONS(2052),
    [anon_sym_SLASH_EQ] = ACTIONS(2052),
    [anon_sym_AMP_EQ] = ACTIONS(2052),
    [anon_sym_PIPE_EQ] = ACTIONS(2052),
    [anon_sym_CARET_EQ] = ACTIONS(2052),
    [anon_sym_PERCENT_EQ] = ACTIONS(2052),
    [anon_sym_LT_LT_EQ] = ACTIONS(2052),
    [anon_sym_GT_GT_EQ] = ACTIONS(2052),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2052),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(772),
    [anon_sym_EQ_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_AMP_AMP] = ACTIONS(772),
    [anon_sym_PIPE_PIPE] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(772),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(2054),
    [anon_sym_COMMA] = ACTIONS(785),
    [anon_sym_QMARK] = ACTIONS(772),
    [anon_sym_COLON] = ACTIONS(2736),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(789),
    [anon_sym_DOT] = ACTIONS(793),
    [anon_sym_COLON_COLON] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(285),
    [sym_underscore_pattern] = ACTIONS(1074),
    [anon_sym_SEMI] = ACTIONS(800),
    [aux_sym_expression_statement_token1] = ACTIONS(803),
    [anon_sym_NULL] = ACTIONS(800),
    [anon_sym_yield] = ACTIONS(1074),
    [anon_sym_AT] = ACTIONS(2061),
    [anon_sym_open] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_with] = ACTIONS(1074),
    [anon_sym_sealed] = ACTIONS(1074),
    [anon_sym_record] = ACTIONS(1074),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [1047] = {
    [sym_argument_list] = STATE(1112),
    [sym_type_arguments] = STATE(1792),
    [sym_dimensions] = STATE(2138),
    [sym__annotation] = STATE(2221),
    [sym_marker_annotation] = STATE(2221),
    [sym_annotation] = STATE(2221),
    [sym_closure] = STATE(1122),
    [aux_sym_array_creation_expression_repeat1] = STATE(2221),
    [aux_sym_dimensions_repeat1] = STATE(1053),
    [sym_identifier] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_PLUS_EQ] = ACTIONS(2052),
    [anon_sym_DASH_EQ] = ACTIONS(2052),
    [anon_sym_STAR_EQ] = ACTIONS(2052),
    [anon_sym_SLASH_EQ] = ACTIONS(2052),
    [anon_sym_AMP_EQ] = ACTIONS(2052),
    [anon_sym_PIPE_EQ] = ACTIONS(2052),
    [anon_sym_CARET_EQ] = ACTIONS(2052),
    [anon_sym_PERCENT_EQ] = ACTIONS(2052),
    [anon_sym_LT_LT_EQ] = ACTIONS(2052),
    [anon_sym_GT_GT_EQ] = ACTIONS(2052),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2052),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(772),
    [anon_sym_EQ_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_AMP_AMP] = ACTIONS(772),
    [anon_sym_PIPE_PIPE] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(772),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(2054),
    [anon_sym_COMMA] = ACTIONS(785),
    [anon_sym_QMARK] = ACTIONS(772),
    [anon_sym_COLON] = ACTIONS(812),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(789),
    [anon_sym_DOT] = ACTIONS(793),
    [anon_sym_COLON_COLON] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(285),
    [sym_underscore_pattern] = ACTIONS(1074),
    [anon_sym_SEMI] = ACTIONS(800),
    [aux_sym_expression_statement_token1] = ACTIONS(803),
    [anon_sym_NULL] = ACTIONS(800),
    [anon_sym_yield] = ACTIONS(1074),
    [anon_sym_AT] = ACTIONS(2061),
    [anon_sym_open] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_with] = ACTIONS(1074),
    [anon_sym_sealed] = ACTIONS(1074),
    [anon_sym_record] = ACTIONS(1074),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [1048] = {
    [sym_argument_list] = STATE(1307),
    [sym_type_arguments] = STATE(1792),
    [sym_dimensions] = STATE(2138),
    [sym__annotation] = STATE(2212),
    [sym_marker_annotation] = STATE(2212),
    [sym_annotation] = STATE(2212),
    [sym_closure] = STATE(1355),
    [aux_sym_array_creation_expression_repeat1] = STATE(2212),
    [aux_sym_dimensions_repeat1] = STATE(1947),
    [sym_identifier] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(2740),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_EQ] = ACTIONS(2742),
    [anon_sym_PLUS_EQ] = ACTIONS(2742),
    [anon_sym_DASH_EQ] = ACTIONS(2742),
    [anon_sym_STAR_EQ] = ACTIONS(2742),
    [anon_sym_SLASH_EQ] = ACTIONS(2742),
    [anon_sym_AMP_EQ] = ACTIONS(2742),
    [anon_sym_PIPE_EQ] = ACTIONS(2742),
    [anon_sym_CARET_EQ] = ACTIONS(2742),
    [anon_sym_PERCENT_EQ] = ACTIONS(2742),
    [anon_sym_LT_LT_EQ] = ACTIONS(2742),
    [anon_sym_GT_GT_EQ] = ACTIONS(2742),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2742),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(772),
    [anon_sym_EQ_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_AMP_AMP] = ACTIONS(772),
    [anon_sym_PIPE_PIPE] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(800),
    [anon_sym_STAR_STAR] = ACTIONS(772),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(2744),
    [anon_sym_COMMA] = ACTIONS(800),
    [anon_sym_QMARK] = ACTIONS(772),
    [anon_sym_COLON] = ACTIONS(785),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(2746),
    [anon_sym_DOT] = ACTIONS(793),
    [anon_sym_COLON_COLON] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(2750),
    [sym_underscore_pattern] = ACTIONS(1074),
    [anon_sym_SEMI] = ACTIONS(800),
    [aux_sym_expression_statement_token1] = ACTIONS(2752),
    [anon_sym_NULL] = ACTIONS(785),
    [anon_sym_yield] = ACTIONS(1074),
    [anon_sym_AT] = ACTIONS(2061),
    [anon_sym_open] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_with] = ACTIONS(1074),
    [anon_sym_sealed] = ACTIONS(1074),
    [anon_sym_record] = ACTIONS(1074),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [1049] = {
    [sym_identifier] = ACTIONS(273),
    [sym_decimal_integer_literal] = ACTIONS(273),
    [sym_hex_integer_literal] = ACTIONS(273),
    [sym_octal_integer_literal] = ACTIONS(273),
    [sym_binary_integer_literal] = ACTIONS(273),
    [sym_decimal_floating_point_literal] = ACTIONS(273),
    [sym_hex_floating_point_literal] = ACTIONS(273),
    [sym_true] = ACTIONS(273),
    [sym_false] = ACTIONS(273),
    [sym_character_literal] = ACTIONS(273),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(273),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(273),
    [anon_sym_RBRACE] = ACTIONS(273),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(273),
    [anon_sym_PLUS_EQ] = ACTIONS(273),
    [anon_sym_DASH_EQ] = ACTIONS(273),
    [anon_sym_STAR_EQ] = ACTIONS(273),
    [anon_sym_SLASH_EQ] = ACTIONS(273),
    [anon_sym_AMP_EQ] = ACTIONS(273),
    [anon_sym_PIPE_EQ] = ACTIONS(273),
    [anon_sym_CARET_EQ] = ACTIONS(273),
    [anon_sym_PERCENT_EQ] = ACTIONS(273),
    [anon_sym_LT_LT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_AMP_AMP] = ACTIONS(273),
    [anon_sym_PIPE_PIPE] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_GT_GT_GT] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_instanceof] = ACTIONS(273),
    [anon_sym_DASH_GT] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_QMARK] = ACTIONS(273),
    [anon_sym_PLUS_PLUS] = ACTIONS(273),
    [anon_sym_DASH_DASH] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_COLON_COLON] = ACTIONS(273),
    [anon_sym_LBRACE] = ACTIONS(273),
    [anon_sym_SEMI] = ACTIONS(273),
    [aux_sym_expression_statement_token1] = ACTIONS(265),
    [anon_sym_NULL] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(273),
    [anon_sym_else] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [anon_sym_module] = ACTIONS(844),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(273),
  },
  [1050] = {
    [sym_argument_list] = STATE(1112),
    [sym_type_arguments] = STATE(1792),
    [sym_dimensions] = STATE(2138),
    [sym__annotation] = STATE(2221),
    [sym_marker_annotation] = STATE(2221),
    [sym_annotation] = STATE(2221),
    [sym_closure] = STATE(1122),
    [aux_sym_array_creation_expression_repeat1] = STATE(2221),
    [aux_sym_dimensions_repeat1] = STATE(1053),
    [sym_identifier] = ACTIONS(1074),
    [anon_sym_LPAREN] = ACTIONS(2730),
    [anon_sym_AMP] = ACTIONS(772),
    [anon_sym_EQ] = ACTIONS(2052),
    [anon_sym_PLUS_EQ] = ACTIONS(2052),
    [anon_sym_DASH_EQ] = ACTIONS(2052),
    [anon_sym_STAR_EQ] = ACTIONS(2052),
    [anon_sym_SLASH_EQ] = ACTIONS(2052),
    [anon_sym_AMP_EQ] = ACTIONS(2052),
    [anon_sym_PIPE_EQ] = ACTIONS(2052),
    [anon_sym_CARET_EQ] = ACTIONS(2052),
    [anon_sym_PERCENT_EQ] = ACTIONS(2052),
    [anon_sym_LT_LT_EQ] = ACTIONS(2052),
    [anon_sym_GT_GT_EQ] = ACTIONS(2052),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(2052),
    [anon_sym_GT] = ACTIONS(772),
    [anon_sym_LT] = ACTIONS(779),
    [anon_sym_GT_EQ] = ACTIONS(772),
    [anon_sym_LT_EQ] = ACTIONS(772),
    [anon_sym_EQ_EQ] = ACTIONS(772),
    [anon_sym_BANG_EQ] = ACTIONS(772),
    [anon_sym_AMP_AMP] = ACTIONS(772),
    [anon_sym_PIPE_PIPE] = ACTIONS(772),
    [anon_sym_PLUS] = ACTIONS(772),
    [anon_sym_DASH] = ACTIONS(772),
    [anon_sym_STAR] = ACTIONS(772),
    [anon_sym_SLASH] = ACTIONS(772),
    [anon_sym_PIPE] = ACTIONS(772),
    [anon_sym_CARET] = ACTIONS(772),
    [anon_sym_PERCENT] = ACTIONS(772),
    [anon_sym_LT_LT] = ACTIONS(772),
    [anon_sym_GT_GT] = ACTIONS(772),
    [anon_sym_GT_GT_GT] = ACTIONS(772),
    [anon_sym_in] = ACTIONS(772),
    [anon_sym_STAR_STAR] = ACTIONS(772),
    [anon_sym_instanceof] = ACTIONS(772),
    [anon_sym_DASH_GT] = ACTIONS(2054),
    [anon_sym_COMMA] = ACTIONS(785),
    [anon_sym_QMARK] = ACTIONS(772),
    [anon_sym_COLON] = ACTIONS(787),
    [anon_sym_PLUS_PLUS] = ACTIONS(772),
    [anon_sym_DASH_DASH] = ACTIONS(772),
    [anon_sym_LBRACK] = ACTIONS(789),
    [anon_sym_DOT] = ACTIONS(793),
    [anon_sym_COLON_COLON] = ACTIONS(769),
    [anon_sym_LBRACE] = ACTIONS(285),
    [sym_underscore_pattern] = ACTIONS(1074),
    [anon_sym_SEMI] = ACTIONS(800),
    [aux_sym_expression_statement_token1] = ACTIONS(803),
    [anon_sym_NULL] = ACTIONS(800),
    [anon_sym_yield] = ACTIONS(1074),
    [anon_sym_AT] = ACTIONS(2061),
    [anon_sym_open] = ACTIONS(1074),
    [anon_sym_module] = ACTIONS(1074),
    [anon_sym_with] = ACTIONS(1074),
    [anon_sym_sealed] = ACTIONS(1074),
    [anon_sym_record] = ACTIONS(1074),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(772),
  },
  [1051] = {
    [sym_identifier] = ACTIONS(848),
    [sym_decimal_integer_literal] = ACTIONS(273),
    [sym_hex_integer_literal] = ACTIONS(273),
    [sym_octal_integer_literal] = ACTIONS(273),
    [sym_binary_integer_literal] = ACTIONS(273),
    [sym_decimal_floating_point_literal] = ACTIONS(273),
    [sym_hex_floating_point_literal] = ACTIONS(273),
    [sym_true] = ACTIONS(273),
    [sym_false] = ACTIONS(273),
    [sym_character_literal] = ACTIONS(273),
    [anon_sym_DQUOTE] = ACTIONS(273),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(273),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(273),
    [anon_sym_RBRACE] = ACTIONS(273),
    [sym_null_literal] = ACTIONS(273),
    [anon_sym_LPAREN] = ACTIONS(273),
    [anon_sym_AMP] = ACTIONS(273),
    [anon_sym_EQ] = ACTIONS(273),
    [anon_sym_PLUS_EQ] = ACTIONS(273),
    [anon_sym_DASH_EQ] = ACTIONS(273),
    [anon_sym_STAR_EQ] = ACTIONS(273),
    [anon_sym_SLASH_EQ] = ACTIONS(273),
    [anon_sym_AMP_EQ] = ACTIONS(273),
    [anon_sym_PIPE_EQ] = ACTIONS(273),
    [anon_sym_CARET_EQ] = ACTIONS(273),
    [anon_sym_PERCENT_EQ] = ACTIONS(273),
    [anon_sym_LT_LT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(273),
    [anon_sym_GT] = ACTIONS(273),
    [anon_sym_LT] = ACTIONS(273),
    [anon_sym_GT_EQ] = ACTIONS(273),
    [anon_sym_LT_EQ] = ACTIONS(273),
    [anon_sym_EQ_EQ] = ACTIONS(273),
    [anon_sym_BANG_EQ] = ACTIONS(273),
    [anon_sym_AMP_AMP] = ACTIONS(273),
    [anon_sym_PIPE_PIPE] = ACTIONS(273),
    [anon_sym_PLUS] = ACTIONS(273),
    [anon_sym_DASH] = ACTIONS(273),
    [anon_sym_STAR] = ACTIONS(273),
    [anon_sym_SLASH] = ACTIONS(273),
    [anon_sym_PIPE] = ACTIONS(273),
    [anon_sym_CARET] = ACTIONS(273),
    [anon_sym_PERCENT] = ACTIONS(273),
    [anon_sym_LT_LT] = ACTIONS(273),
    [anon_sym_GT_GT] = ACTIONS(273),
    [anon_sym_GT_GT_GT] = ACTIONS(273),
    [anon_sym_in] = ACTIONS(273),
    [anon_sym_STAR_STAR] = ACTIONS(273),
    [anon_sym_instanceof] = ACTIONS(273),
    [anon_sym_DASH_GT] = ACTIONS(273),
    [anon_sym_COMMA] = ACTIONS(273),
    [anon_sym_QMARK] = ACTIONS(273),
    [anon_sym_PLUS_PLUS] = ACTIONS(273),
    [anon_sym_DASH_DASH] = ACTIONS(273),
    [anon_sym_LBRACK] = ACTIONS(273),
    [anon_sym_DOT] = ACTIONS(273),
    [anon_sym_COLON_COLON] = ACTIONS(273),
    [anon_sym_LBRACE] = ACTIONS(273),
    [anon_sym_SEMI] = ACTIONS(273),
    [aux_sym_expression_statement_token1] = ACTIONS(265),
    [anon_sym_NULL] = ACTIONS(273),
    [anon_sym_while] = ACTIONS(273),
    [anon_sym_else] = ACTIONS(273),
    [anon_sym_AT] = ACTIONS(273),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(273),
  },
  [1052] = {
    [sym__annotation] = STATE(2221),
    [sym_marker_annotation] = STATE(2221),
    [sym_annotation] = STATE(2221),
    [aux_sym_array_creation_expression_repeat1] = STATE(2221),
    [aux_sym_dimensions_repeat1] = STATE(1052),
    [sym_identifier] = ACTIONS(920),
    [sym_decimal_integer_literal] = ACTIONS(920),
    [sym_hex_integer_literal] = ACTIONS(920),
    [sym_octal_integer_literal] = ACTIONS(920),
    [sym_binary_integer_literal] = ACTIONS(920),
    [sym_decimal_floating_point_literal] = ACTIONS(920),
    [sym_hex_floating_point_literal] = ACTIONS(920),
    [sym_true] = ACTIONS(920),
    [sym_false] = ACTIONS(920),
    [sym_character_literal] = ACTIONS(920),
    [anon_sym_DQUOTE] = ACTIONS(920),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(920),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(920),
    [anon_sym_RBRACE] = ACTIONS(920),
    [sym_null_literal] = ACTIONS(920),
    [anon_sym_LPAREN] = ACTIONS(920),
    [anon_sym_AMP] = ACTIONS(920),
    [anon_sym_EQ] = ACTIONS(920),
    [anon_sym_GT] = ACTIONS(920),
    [anon_sym_LT] = ACTIONS(920),
    [anon_sym_GT_EQ] = ACTIONS(920),
    [anon_sym_LT_EQ] = ACTIONS(920),
    [anon_sym_EQ_EQ] = ACTIONS(920),
    [anon_sym_BANG_EQ] = ACTIONS(920),
    [anon_sym_AMP_AMP] = ACTIONS(920),
    [anon_sym_PIPE_PIPE] = ACTIONS(920),
    [anon_sym_PLUS] = ACTIONS(920),
    [anon_sym_DASH] = ACTIONS(920),
    [anon_sym_STAR] = ACTIONS(920),
    [anon_sym_SLASH] = ACTIONS(920),
    [anon_sym_PIPE] = ACTIONS(920),
    [anon_sym_CARET] = ACTIONS(920),
    [anon_sym_PERCENT] = ACTIONS(920),
    [anon_sym_LT_LT] = ACTIONS(920),
    [anon_sym_GT_GT] = ACTIONS(920),
    [anon_sym_GT_GT_GT] = ACTIONS(920),
    [anon_sym_in] = ACTIONS(920),
    [anon_sym_STAR_STAR] = ACTIONS(920),
    [anon_sym_instanceof] = ACTIONS(920),
    [anon_sym_COMMA] = ACTIONS(920),
    [anon_sym_QMARK] = ACTIONS(920),
    [anon_sym_PLUS_PLUS] = ACTIONS(920),
    [anon_sym_DASH_DASH] = ACTIONS(920),
    [anon_sym_LBRACK] = ACTIONS(2754),
    [anon_sym_DOT] = ACTIONS(920),
    [anon_sym_COLON_COLON] = ACTIONS(920),
    [anon_sym_SEMI] = ACTIONS(920),
    [aux_sym_expression_statement_token1] = ACTIONS(918),
    [anon_sym_NULL] = ACTIONS(920),
    [anon_sym_while] = ACTIONS(920),
    [anon_sym_yield] = ACTIONS(920),
    [anon_sym_else] = ACTIONS(920),
    [anon_sym_AT] = ACTIONS(925),
    [anon_sym_open] = ACTIONS(920),
    [anon_sym_module] = ACTIONS(920),
    [anon_sym_with] = ACTIONS(920),
    [anon_sym_sealed] = ACTIONS(920),
    [anon_sym_record] = ACTIONS(920),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(920),
  },
  [1053] = {
    [sym__annotation] = STATE(2221),
    [sym_marker_annotation] = STATE(2221),
    [sym_annotation] = STATE(2221),
    [aux_sym_array_creation_expression_repeat1] = STATE(2221),
    [aux_sym_dimensions_repeat1] = STATE(1052),
    [sym_identifier] = ACTIONS(914),
    [sym_decimal_integer_literal] = ACTIONS(914),
    [sym_hex_integer_literal] = ACTIONS(914),
    [sym_octal_integer_literal] = ACTIONS(914),
    [sym_binary_integer_literal] = ACTIONS(914),
    [sym_decimal_floating_point_literal] = ACTIONS(914),
    [sym_hex_floating_point_literal] = ACTIONS(914),
    [sym_true] = ACTIONS(914),
    [sym_false] = ACTIONS(914),
    [sym_character_literal] = ACTIONS(914),
    [anon_sym_DQUOTE] = ACTIONS(914),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(914),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(914),
    [anon_sym_RBRACE] = ACTIONS(914),
    [sym_null_literal] = ACTIONS(914),
    [anon_sym_LPAREN] = ACTIONS(914),
    [anon_sym_AMP] = ACTIONS(914),
    [anon_sym_EQ] = ACTIONS(914),
    [anon_sym_GT] = ACTIONS(914),
    [anon_sym_LT] = ACTIONS(914),
    [anon_sym_GT_EQ] = ACTIONS(914),
    [anon_sym_LT_EQ] = ACTIONS(914),
    [anon_sym_EQ_EQ] = ACTIONS(914),
    [anon_sym_BANG_EQ] = ACTIONS(914),
    [anon_sym_AMP_AMP] = ACTIONS(914),
    [anon_sym_PIPE_PIPE] = ACTIONS(914),
    [anon_sym_PLUS] = ACTIONS(914),
    [anon_sym_DASH] = ACTIONS(914),
    [anon_sym_STAR] = ACTIONS(914),
    [anon_sym_SLASH] = ACTIONS(914),
    [anon_sym_PIPE] = ACTIONS(914),
    [anon_sym_CARET] = ACTIONS(914),
    [anon_sym_PERCENT] = ACTIONS(914),
    [anon_sym_LT_LT] = ACTIONS(914),
    [anon_sym_GT_GT] = ACTIONS(914),
    [anon_sym_GT_GT_GT] = ACTIONS(914),
    [anon_sym_in] = ACTIONS(914),
    [anon_sym_STAR_STAR] = ACTIONS(914),
    [anon_sym_instanceof] = ACTIONS(914),
    [anon_sym_COMMA] = ACTIONS(914),
    [anon_sym_QMARK] = ACTIONS(914),
    [anon_sym_PLUS_PLUS] = ACTIONS(914),
    [anon_sym_DASH_DASH] = ACTIONS(914),
    [anon_sym_LBRACK] = ACTIONS(2757),
    [anon_sym_DOT] = ACTIONS(914),
    [anon_sym_COLON_COLON] = ACTIONS(914),
    [anon_sym_SEMI] = ACTIONS(914),
    [aux_sym_expression_statement_token1] = ACTIONS(912),
    [anon_sym_NULL] = ACTIONS(914),
    [anon_sym_while] = ACTIONS(914),
    [anon_sym_yield] = ACTIONS(914),
    [anon_sym_else] = ACTIONS(914),
    [anon_sym_AT] = ACTIONS(888),
    [anon_sym_open] = ACTIONS(914),
    [anon_sym_module] = ACTIONS(914),
    [anon_sym_with] = ACTIONS(914),
    [anon_sym_sealed] = ACTIONS(914),
    [anon_sym_record] = ACTIONS(914),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(914),
  },
  [1054] = {
    [sym_argument_list] = STATE(1101),
    [sym_closure] = STATE(1147),
    [sym_identifier] = ACTIONS(826),
    [sym_decimal_integer_literal] = ACTIONS(826),
    [sym_hex_integer_literal] = ACTIONS(826),
    [sym_octal_integer_literal] = ACTIONS(826),
    [sym_binary_integer_literal] = ACTIONS(826),
    [sym_decimal_floating_point_literal] = ACTIONS(826),
    [sym_hex_floating_point_literal] = ACTIONS(826),
    [sym_true] = ACTIONS(826),
    [sym_false] = ACTIONS(826),
    [sym_character_literal] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(826),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(826),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(826),
    [anon_sym_RBRACE] = ACTIONS(826),
    [sym_null_literal] = ACTIONS(826),
    [anon_sym_LPAREN] = ACTIONS(2759),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(826),
    [anon_sym_PLUS_EQ] = ACTIONS(826),
    [anon_sym_DASH_EQ] = ACTIONS(826),
    [anon_sym_STAR_EQ] = ACTIONS(826),
    [anon_sym_SLASH_EQ] = ACTIONS(826),
    [anon_sym_AMP_EQ] = ACTIONS(826),
    [anon_sym_PIPE_EQ] = ACTIONS(826),
    [anon_sym_CARET_EQ] = ACTIONS(826),
    [anon_sym_PERCENT_EQ] = ACTIONS(826),
    [anon_sym_LT_LT_EQ] = ACTIONS(826),
    [anon_sym_GT_GT_EQ] = ACTIONS(826),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT_EQ] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(826),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(826),
    [anon_sym_DASH_DASH] = ACTIONS(826),
    [anon_sym_LBRACK] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_COLON_COLON] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_SEMI] = ACTIONS(826),
    [aux_sym_expression_statement_token1] = ACTIONS(824),
    [anon_sym_NULL] = ACTIONS(826),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(826),
  },
  [1055] = {
    [sym_argument_list] = STATE(1097),
    [sym_closure] = STATE(1178),
    [sym_identifier] = ACTIONS(836),
    [sym_decimal_integer_literal] = ACTIONS(836),
    [sym_hex_integer_literal] = ACTIONS(836),
    [sym_octal_integer_literal] = ACTIONS(836),
    [sym_binary_integer_literal] = ACTIONS(836),
    [sym_decimal_floating_point_literal] = ACTIONS(836),
    [sym_hex_floating_point_literal] = ACTIONS(836),
    [sym_true] = ACTIONS(836),
    [sym_false] = ACTIONS(836),
    [sym_character_literal] = ACTIONS(836),
    [anon_sym_DQUOTE] = ACTIONS(836),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(836),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(836),
    [sym_null_literal] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(2762),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_PLUS_EQ] = ACTIONS(836),
    [anon_sym_DASH_EQ] = ACTIONS(836),
    [anon_sym_STAR_EQ] = ACTIONS(836),
    [anon_sym_SLASH_EQ] = ACTIONS(836),
    [anon_sym_AMP_EQ] = ACTIONS(836),
    [anon_sym_PIPE_EQ] = ACTIONS(836),
    [anon_sym_CARET_EQ] = ACTIONS(836),
    [anon_sym_PERCENT_EQ] = ACTIONS(836),
    [anon_sym_LT_LT_EQ] = ACTIONS(836),
    [anon_sym_GT_GT_EQ] = ACTIONS(836),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(836),
    [anon_sym_LT_EQ] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(836),
    [anon_sym_BANG_EQ] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_STAR_STAR] = ACTIONS(836),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(836),
    [anon_sym_PLUS_PLUS] = ACTIONS(836),
    [anon_sym_DASH_DASH] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_COLON_COLON] = ACTIONS(836),
    [anon_sym_LBRACE] = ACTIONS(285),
    [anon_sym_SEMI] = ACTIONS(836),
    [aux_sym_expression_statement_token1] = ACTIONS(834),
    [anon_sym_NULL] = ACTIONS(836),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(836),
  },
  [1056] = {
    [sym_identifier] = ACTIONS(836),
    [sym_decimal_integer_literal] = ACTIONS(836),
    [sym_hex_integer_literal] = ACTIONS(836),
    [sym_octal_integer_literal] = ACTIONS(836),
    [sym_binary_integer_literal] = ACTIONS(836),
    [sym_decimal_floating_point_literal] = ACTIONS(836),
    [sym_hex_floating_point_literal] = ACTIONS(836),
    [sym_true] = ACTIONS(836),
    [sym_false] = ACTIONS(836),
    [sym_character_literal] = ACTIONS(836),
    [anon_sym_DQUOTE] = ACTIONS(836),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(836),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(836),
    [anon_sym_RBRACE] = ACTIONS(836),
    [sym_null_literal] = ACTIONS(836),
    [anon_sym_LPAREN] = ACTIONS(836),
    [anon_sym_AMP] = ACTIONS(836),
    [anon_sym_EQ] = ACTIONS(836),
    [anon_sym_PLUS_EQ] = ACTIONS(836),
    [anon_sym_DASH_EQ] = ACTIONS(836),
    [anon_sym_STAR_EQ] = ACTIONS(836),
    [anon_sym_SLASH_EQ] = ACTIONS(836),
    [anon_sym_AMP_EQ] = ACTIONS(836),
    [anon_sym_PIPE_EQ] = ACTIONS(836),
    [anon_sym_CARET_EQ] = ACTIONS(836),
    [anon_sym_PERCENT_EQ] = ACTIONS(836),
    [anon_sym_LT_LT_EQ] = ACTIONS(836),
    [anon_sym_GT_GT_EQ] = ACTIONS(836),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(836),
    [anon_sym_GT] = ACTIONS(836),
    [anon_sym_LT] = ACTIONS(836),
    [anon_sym_GT_EQ] = ACTIONS(836),
    [anon_sym_LT_EQ] = ACTIONS(836),
    [anon_sym_EQ_EQ] = ACTIONS(836),
    [anon_sym_BANG_EQ] = ACTIONS(836),
    [anon_sym_AMP_AMP] = ACTIONS(836),
    [anon_sym_PIPE_PIPE] = ACTIONS(836),
    [anon_sym_PLUS] = ACTIONS(836),
    [anon_sym_DASH] = ACTIONS(836),
    [anon_sym_STAR] = ACTIONS(836),
    [anon_sym_SLASH] = ACTIONS(836),
    [anon_sym_PIPE] = ACTIONS(836),
    [anon_sym_CARET] = ACTIONS(836),
    [anon_sym_PERCENT] = ACTIONS(836),
    [anon_sym_LT_LT] = ACTIONS(836),
    [anon_sym_GT_GT] = ACTIONS(836),
    [anon_sym_GT_GT_GT] = ACTIONS(836),
    [anon_sym_in] = ACTIONS(836),
    [anon_sym_STAR_STAR] = ACTIONS(836),
    [anon_sym_instanceof] = ACTIONS(836),
    [anon_sym_COMMA] = ACTIONS(836),
    [anon_sym_QMARK] = ACTIONS(836),
    [anon_sym_PLUS_PLUS] = ACTIONS(836),
    [anon_sym_DASH_DASH] = ACTIONS(836),
    [anon_sym_LBRACK] = ACTIONS(836),
    [anon_sym_DOT] = ACTIONS(836),
    [anon_sym_COLON_COLON] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(836),
    [aux_sym_expression_statement_token1] = ACTIONS(834),
    [anon_sym_NULL] = ACTIONS(836),
    [anon_sym_while] = ACTIONS(836),
    [anon_sym_else] = ACTIONS(836),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(836),
  },
  [1057] = {
    [sym_identifier] = ACTIONS(826),
    [sym_decimal_integer_literal] = ACTIONS(826),
    [sym_hex_integer_literal] = ACTIONS(826),
    [sym_octal_integer_literal] = ACTIONS(826),
    [sym_binary_integer_literal] = ACTIONS(826),
    [sym_decimal_floating_point_literal] = ACTIONS(826),
    [sym_hex_floating_point_literal] = ACTIONS(826),
    [sym_true] = ACTIONS(826),
    [sym_false] = ACTIONS(826),
    [sym_character_literal] = ACTIONS(826),
    [anon_sym_DQUOTE] = ACTIONS(826),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(826),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(826),
    [anon_sym_RBRACE] = ACTIONS(826),
    [sym_null_literal] = ACTIONS(826),
    [anon_sym_LPAREN] = ACTIONS(826),
    [anon_sym_AMP] = ACTIONS(826),
    [anon_sym_EQ] = ACTIONS(826),
    [anon_sym_PLUS_EQ] = ACTIONS(826),
    [anon_sym_DASH_EQ] = ACTIONS(826),
    [anon_sym_STAR_EQ] = ACTIONS(826),
    [anon_sym_SLASH_EQ] = ACTIONS(826),
    [anon_sym_AMP_EQ] = ACTIONS(826),
    [anon_sym_PIPE_EQ] = ACTIONS(826),
    [anon_sym_CARET_EQ] = ACTIONS(826),
    [anon_sym_PERCENT_EQ] = ACTIONS(826),
    [anon_sym_LT_LT_EQ] = ACTIONS(826),
    [anon_sym_GT_GT_EQ] = ACTIONS(826),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(826),
    [anon_sym_GT] = ACTIONS(826),
    [anon_sym_LT] = ACTIONS(826),
    [anon_sym_GT_EQ] = ACTIONS(826),
    [anon_sym_LT_EQ] = ACTIONS(826),
    [anon_sym_EQ_EQ] = ACTIONS(826),
    [anon_sym_BANG_EQ] = ACTIONS(826),
    [anon_sym_AMP_AMP] = ACTIONS(826),
    [anon_sym_PIPE_PIPE] = ACTIONS(826),
    [anon_sym_PLUS] = ACTIONS(826),
    [anon_sym_DASH] = ACTIONS(826),
    [anon_sym_STAR] = ACTIONS(826),
    [anon_sym_SLASH] = ACTIONS(826),
    [anon_sym_PIPE] = ACTIONS(826),
    [anon_sym_CARET] = ACTIONS(826),
    [anon_sym_PERCENT] = ACTIONS(826),
    [anon_sym_LT_LT] = ACTIONS(826),
    [anon_sym_GT_GT] = ACTIONS(826),
    [anon_sym_GT_GT_GT] = ACTIONS(826),
    [anon_sym_in] = ACTIONS(826),
    [anon_sym_STAR_STAR] = ACTIONS(826),
    [anon_sym_instanceof] = ACTIONS(826),
    [anon_sym_COMMA] = ACTIONS(826),
    [anon_sym_QMARK] = ACTIONS(826),
    [anon_sym_PLUS_PLUS] = ACTIONS(826),
    [anon_sym_DASH_DASH] = ACTIONS(826),
    [anon_sym_LBRACK] = ACTIONS(826),
    [anon_sym_DOT] = ACTIONS(826),
    [anon_sym_COLON_COLON] = ACTIONS(826),
    [anon_sym_SEMI] = ACTIONS(826),
    [aux_sym_expression_statement_token1] = ACTIONS(824),
    [anon_sym_NULL] = ACTIONS(826),
    [anon_sym_while] = ACTIONS(826),
    [anon_sym_else] = ACTIONS(826),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(826),
  },
  [1058] = {
    [sym_identifier] = ACTIONS(852),
    [sym_decimal_integer_literal] = ACTIONS(852),
    [sym_hex_integer_literal] = ACTIONS(852),
    [sym_octal_integer_literal] = ACTIONS(852),
    [sym_binary_integer_literal] = ACTIONS(852),
    [sym_decimal_floating_point_literal] = ACTIONS(852),
    [sym_hex_floating_point_literal] = ACTIONS(852),
    [sym_true] = ACTIONS(852),
    [sym_false] = ACTIONS(852),
    [sym_character_literal] = ACTIONS(852),
    [anon_sym_DQUOTE] = ACTIONS(852),
    [anon_sym_SQUOTE_SQUOTE_SQUOTE] = ACTIONS(852),
    [anon_sym_DQUOTE_DQUOTE_DQUOTE] = ACTIONS(852),
    [anon_sym_RBRACE] = ACTIONS(852),
    [sym_null_literal] = ACTIONS(852),
    [anon_sym_LPAREN] = ACTIONS(852),
    [anon_sym_AMP] = ACTIONS(852),
    [anon_sym_EQ] = ACTIONS(852),
    [anon_sym_PLUS_EQ] = ACTIONS(852),
    [anon_sym_DASH_EQ] = ACTIONS(852),
    [anon_sym_STAR_EQ] = ACTIONS(852),
    [anon_sym_SLASH_EQ] = ACTIONS(852),
    [anon_sym_AMP_EQ] = ACTIONS(852),
    [anon_sym_PIPE_EQ] = ACTIONS(852),
    [anon_sym_CARET_EQ] = ACTIONS(852),
    [anon_sym_PERCENT_EQ] = ACTIONS(852),
    [anon_sym_LT_LT_EQ] = ACTIONS(852),
    [anon_sym_GT_GT_EQ] = ACTIONS(852),
    [anon_sym_GT_GT_GT_EQ] = ACTIONS(852),
    [anon_sym_GT] = ACTIONS(852),
    [anon_sym_LT] = ACTIONS(852),
    [anon_sym_GT_EQ] = ACTIONS(852),
    [anon_sym_LT_EQ] = ACTIONS(852),
    [anon_sym_EQ_EQ] = ACTIONS(852),
    [anon_sym_BANG_EQ] = ACTIONS(852),
    [anon_sym_AMP_AMP] = ACTIONS(852),
    [anon_sym_PIPE_PIPE] = ACTIONS(852),
    [anon_sym_PLUS] = ACTIONS(852),
    [anon_sym_DASH] = ACTIONS(852),
    [anon_sym_STAR] = ACTIONS(852),
    [anon_sym_SLASH] = ACTIONS(852),
    [anon_sym_PIPE] = ACTIONS(852),
    [anon_sym_CARET] = ACTIONS(852),
    [anon_sym_PERCENT] = ACTIONS(852),
    [anon_sym_LT_LT] = ACTIONS(852),
    [anon_sym_GT_GT] = ACTIONS(852),
    [anon_sym_GT_GT_GT] = ACTIONS(852),
    [anon_sym_in] = ACTIONS(852),
    [anon_sym_STAR_STAR] = ACTIONS(852),
    [anon_sym_instanceof] = ACTIONS(852),
    [anon_sym_COMMA] = ACTIONS(852),
    [anon_sym_QMARK] = ACTIONS(852),
    [anon_sym_PLUS_PLUS] = ACTIONS(852),
    [anon_sym_DASH_DASH] = ACTIONS(852),
    [anon_sym_LBRACK] = ACTIONS(852),
    [anon_sym_DOT] = ACTIONS(852),
    [anon_sym_COLON_COLON] = ACTIONS(852),
    [anon_sym_SEMI] = ACTIONS(852),
    [aux_sym_expression_statement_token1] = ACTIONS(850),
    [anon_sym_NULL] = ACTIONS(852),
    [anon_sym_while] = ACTIONS(852),
    [anon_sym_else] = ACTIONS(852),
    [sym_line_comment] = ACTIONS(291),
    [sym_block_comment] = ACTIONS(291),
    [anon_sym_DOT_DOT] = ACTIONS(852),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 4,
    ACTIONS(810), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2052), 12,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 48,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      sym_identifier,
      anon_sym_DOT_DOT,
  [72] = 20,
    ACTIONS(769), 1,
      anon_sym_AMP,
    ACTIONS(779), 1,
      anon_sym_LT,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(2742), 1,
      anon_sym_EQ,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2767), 1,
      anon_sym_RPAREN,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT,
    ACTIONS(2775), 1,
      anon_sym_COMMA,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2517), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(864), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1072), 2,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1074), 9,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(810), 10,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2771), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 14,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_DOT_DOT,
  [176] = 19,
    ACTIONS(779), 1,
      anon_sym_LT,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(2742), 1,
      anon_sym_EQ,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT,
    ACTIONS(2775), 1,
      anon_sym_COMMA,
    ACTIONS(2777), 1,
      anon_sym_RPAREN,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2517), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(864), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1072), 2,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1074), 9,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_this,
      sym_identifier,
    ACTIONS(810), 10,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(2771), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 15,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_DOT_DOT,
  [278] = 28,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(37), 1,
      anon_sym_class,
    ACTIONS(71), 1,
      anon_sym_AT,
    ACTIONS(83), 1,
      anon_sym_enum,
    ACTIONS(91), 1,
      anon_sym_ATinterface,
    ACTIONS(93), 1,
      anon_sym_interface,
    ACTIONS(2780), 1,
      sym_identifier,
    ACTIONS(2782), 1,
      anon_sym_RBRACE,
    ACTIONS(2786), 1,
      anon_sym_LBRACE,
    ACTIONS(2788), 1,
      anon_sym_SEMI,
    ACTIONS(2790), 1,
      anon_sym_static,
    ACTIONS(2792), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2794), 1,
      anon_sym_record,
    STATE(1761), 1,
      sym_modifiers,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1815), 1,
      sym__unannotated_type,
    STATE(1816), 1,
      sym_type_parameters,
    STATE(2289), 1,
      sym__method_header,
    STATE(2364), 1,
      sym__constructor_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1412), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(2784), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(1074), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [397] = 28,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(37), 1,
      anon_sym_class,
    ACTIONS(71), 1,
      anon_sym_AT,
    ACTIONS(83), 1,
      anon_sym_enum,
    ACTIONS(91), 1,
      anon_sym_ATinterface,
    ACTIONS(93), 1,
      anon_sym_interface,
    ACTIONS(2780), 1,
      sym_identifier,
    ACTIONS(2786), 1,
      anon_sym_LBRACE,
    ACTIONS(2790), 1,
      anon_sym_static,
    ACTIONS(2792), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2796), 1,
      anon_sym_RBRACE,
    ACTIONS(2798), 1,
      anon_sym_SEMI,
    STATE(1761), 1,
      sym_modifiers,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1815), 1,
      sym__unannotated_type,
    STATE(1816), 1,
      sym_type_parameters,
    STATE(2289), 1,
      sym__method_header,
    STATE(2364), 1,
      sym__constructor_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1412), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(2784), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(1066), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [516] = 28,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(37), 1,
      anon_sym_class,
    ACTIONS(71), 1,
      anon_sym_AT,
    ACTIONS(83), 1,
      anon_sym_enum,
    ACTIONS(91), 1,
      anon_sym_ATinterface,
    ACTIONS(93), 1,
      anon_sym_interface,
    ACTIONS(2780), 1,
      sym_identifier,
    ACTIONS(2786), 1,
      anon_sym_LBRACE,
    ACTIONS(2790), 1,
      anon_sym_static,
    ACTIONS(2792), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2800), 1,
      anon_sym_RBRACE,
    ACTIONS(2802), 1,
      anon_sym_SEMI,
    STATE(1761), 1,
      sym_modifiers,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1815), 1,
      sym__unannotated_type,
    STATE(1816), 1,
      sym_type_parameters,
    STATE(2289), 1,
      sym__method_header,
    STATE(2364), 1,
      sym__constructor_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1412), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(2784), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(1067), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [635] = 28,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(37), 1,
      anon_sym_class,
    ACTIONS(71), 1,
      anon_sym_AT,
    ACTIONS(83), 1,
      anon_sym_enum,
    ACTIONS(91), 1,
      anon_sym_ATinterface,
    ACTIONS(93), 1,
      anon_sym_interface,
    ACTIONS(2780), 1,
      sym_identifier,
    ACTIONS(2786), 1,
      anon_sym_LBRACE,
    ACTIONS(2790), 1,
      anon_sym_static,
    ACTIONS(2792), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2804), 1,
      anon_sym_RBRACE,
    ACTIONS(2806), 1,
      anon_sym_SEMI,
    STATE(1761), 1,
      sym_modifiers,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1815), 1,
      sym__unannotated_type,
    STATE(1816), 1,
      sym_type_parameters,
    STATE(2289), 1,
      sym__method_header,
    STATE(2364), 1,
      sym__constructor_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1412), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(2784), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(1075), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [754] = 28,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(37), 1,
      anon_sym_class,
    ACTIONS(71), 1,
      anon_sym_AT,
    ACTIONS(83), 1,
      anon_sym_enum,
    ACTIONS(91), 1,
      anon_sym_ATinterface,
    ACTIONS(93), 1,
      anon_sym_interface,
    ACTIONS(2780), 1,
      sym_identifier,
    ACTIONS(2786), 1,
      anon_sym_LBRACE,
    ACTIONS(2788), 1,
      anon_sym_SEMI,
    ACTIONS(2790), 1,
      anon_sym_static,
    ACTIONS(2792), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2808), 1,
      anon_sym_RBRACE,
    STATE(1761), 1,
      sym_modifiers,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1815), 1,
      sym__unannotated_type,
    STATE(1816), 1,
      sym_type_parameters,
    STATE(2289), 1,
      sym__method_header,
    STATE(2364), 1,
      sym__constructor_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1412), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(2784), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(1074), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [873] = 28,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(37), 1,
      anon_sym_class,
    ACTIONS(71), 1,
      anon_sym_AT,
    ACTIONS(83), 1,
      anon_sym_enum,
    ACTIONS(91), 1,
      anon_sym_ATinterface,
    ACTIONS(93), 1,
      anon_sym_interface,
    ACTIONS(2780), 1,
      sym_identifier,
    ACTIONS(2786), 1,
      anon_sym_LBRACE,
    ACTIONS(2788), 1,
      anon_sym_SEMI,
    ACTIONS(2790), 1,
      anon_sym_static,
    ACTIONS(2792), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2810), 1,
      anon_sym_RBRACE,
    STATE(1761), 1,
      sym_modifiers,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1815), 1,
      sym__unannotated_type,
    STATE(1816), 1,
      sym_type_parameters,
    STATE(2289), 1,
      sym__method_header,
    STATE(2364), 1,
      sym__constructor_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1412), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(2784), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(1074), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [992] = 9,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(894), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2812), 1,
      anon_sym_LBRACK,
    STATE(1053), 1,
      aux_sym_dimensions_repeat1,
    STATE(1139), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1084), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2201), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(896), 49,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [1073] = 28,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(37), 1,
      anon_sym_class,
    ACTIONS(71), 1,
      anon_sym_AT,
    ACTIONS(83), 1,
      anon_sym_enum,
    ACTIONS(91), 1,
      anon_sym_ATinterface,
    ACTIONS(93), 1,
      anon_sym_interface,
    ACTIONS(2780), 1,
      sym_identifier,
    ACTIONS(2786), 1,
      anon_sym_LBRACE,
    ACTIONS(2788), 1,
      anon_sym_SEMI,
    ACTIONS(2790), 1,
      anon_sym_static,
    ACTIONS(2792), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2814), 1,
      anon_sym_RBRACE,
    STATE(1761), 1,
      sym_modifiers,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1815), 1,
      sym__unannotated_type,
    STATE(1816), 1,
      sym_type_parameters,
    STATE(2289), 1,
      sym__method_header,
    STATE(2364), 1,
      sym__constructor_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1412), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(2784), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(1074), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [1192] = 9,
    ACTIONS(882), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(2812), 1,
      anon_sym_LBRACK,
    STATE(1053), 1,
      aux_sym_dimensions_repeat1,
    STATE(1136), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1084), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2201), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(884), 49,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [1273] = 9,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(898), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2812), 1,
      anon_sym_LBRACK,
    STATE(1053), 1,
      aux_sym_dimensions_repeat1,
    STATE(1185), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1084), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2201), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(900), 49,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [1354] = 28,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(37), 1,
      anon_sym_class,
    ACTIONS(71), 1,
      anon_sym_AT,
    ACTIONS(83), 1,
      anon_sym_enum,
    ACTIONS(91), 1,
      anon_sym_ATinterface,
    ACTIONS(93), 1,
      anon_sym_interface,
    ACTIONS(2780), 1,
      sym_identifier,
    ACTIONS(2786), 1,
      anon_sym_LBRACE,
    ACTIONS(2790), 1,
      anon_sym_static,
    ACTIONS(2792), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2816), 1,
      anon_sym_RBRACE,
    ACTIONS(2818), 1,
      anon_sym_SEMI,
    STATE(1761), 1,
      sym_modifiers,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1815), 1,
      sym__unannotated_type,
    STATE(1816), 1,
      sym_type_parameters,
    STATE(2289), 1,
      sym__method_header,
    STATE(2364), 1,
      sym__constructor_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1412), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(2784), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(1062), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [1473] = 9,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(890), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2812), 1,
      anon_sym_LBRACK,
    STATE(1053), 1,
      aux_sym_dimensions_repeat1,
    STATE(1154), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1084), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2201), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(892), 49,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [1554] = 28,
    ACTIONS(2820), 1,
      sym_identifier,
    ACTIONS(2823), 1,
      anon_sym_RBRACE,
    ACTIONS(2825), 1,
      anon_sym_LT,
    ACTIONS(2831), 1,
      anon_sym_class,
    ACTIONS(2834), 1,
      anon_sym_LBRACE,
    ACTIONS(2837), 1,
      anon_sym_SEMI,
    ACTIONS(2840), 1,
      anon_sym_AT,
    ACTIONS(2843), 1,
      anon_sym_static,
    ACTIONS(2846), 1,
      anon_sym_enum,
    ACTIONS(2849), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2852), 1,
      anon_sym_record,
    ACTIONS(2855), 1,
      anon_sym_ATinterface,
    ACTIONS(2858), 1,
      anon_sym_interface,
    STATE(1761), 1,
      sym_modifiers,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1815), 1,
      sym__unannotated_type,
    STATE(1816), 1,
      sym_type_parameters,
    STATE(2289), 1,
      sym__method_header,
    STATE(2364), 1,
      sym__constructor_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2864), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2867), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1412), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(2861), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(2828), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(1074), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [1673] = 28,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(37), 1,
      anon_sym_class,
    ACTIONS(71), 1,
      anon_sym_AT,
    ACTIONS(83), 1,
      anon_sym_enum,
    ACTIONS(91), 1,
      anon_sym_ATinterface,
    ACTIONS(93), 1,
      anon_sym_interface,
    ACTIONS(2780), 1,
      sym_identifier,
    ACTIONS(2786), 1,
      anon_sym_LBRACE,
    ACTIONS(2788), 1,
      anon_sym_SEMI,
    ACTIONS(2790), 1,
      anon_sym_static,
    ACTIONS(2792), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2870), 1,
      anon_sym_RBRACE,
    STATE(1761), 1,
      sym_modifiers,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1815), 1,
      sym__unannotated_type,
    STATE(1816), 1,
      sym_type_parameters,
    STATE(2289), 1,
      sym__method_header,
    STATE(2364), 1,
      sym__constructor_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1412), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(2784), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(1074), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [1792] = 28,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(37), 1,
      anon_sym_class,
    ACTIONS(71), 1,
      anon_sym_AT,
    ACTIONS(83), 1,
      anon_sym_enum,
    ACTIONS(91), 1,
      anon_sym_ATinterface,
    ACTIONS(93), 1,
      anon_sym_interface,
    ACTIONS(2780), 1,
      sym_identifier,
    ACTIONS(2786), 1,
      anon_sym_LBRACE,
    ACTIONS(2790), 1,
      anon_sym_static,
    ACTIONS(2792), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2872), 1,
      anon_sym_RBRACE,
    ACTIONS(2874), 1,
      anon_sym_SEMI,
    STATE(1761), 1,
      sym_modifiers,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1815), 1,
      sym__unannotated_type,
    STATE(1816), 1,
      sym_type_parameters,
    STATE(2289), 1,
      sym__method_header,
    STATE(2364), 1,
      sym__constructor_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1412), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(2784), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    STATE(1069), 12,
      sym_block,
      sym_enum_declaration,
      sym_class_declaration,
      sym_static_initializer,
      sym_constructor_declaration,
      sym_field_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_method_declaration,
      sym_compact_constructor_declaration,
      aux_sym_enum_body_declarations_repeat1,
  [1911] = 16,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_COMMA,
    ACTIONS(803), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(814), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    ACTIONS(2734), 1,
      anon_sym_DASH_GT,
    STATE(1053), 1,
      aux_sym_dimensions_repeat1,
    STATE(1112), 1,
      sym_argument_list,
    STATE(1122), 1,
      sym_closure,
    STATE(2138), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(800), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(2221), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2732), 12,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 30,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [2005] = 17,
    ACTIONS(779), 1,
      anon_sym_LT,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(1072), 1,
      anon_sym_AT,
    ACTIONS(2742), 1,
      anon_sym_EQ,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT,
    ACTIONS(2876), 1,
      anon_sym_LPAREN,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    STATE(1438), 1,
      sym_record_pattern_body,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(864), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1074), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(2771), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(810), 12,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT_DOT,
    ACTIONS(772), 16,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
  [2101] = 3,
    ACTIONS(918), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(920), 58,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [2169] = 17,
    ACTIONS(779), 1,
      anon_sym_LT,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(1072), 1,
      anon_sym_AT,
    ACTIONS(2876), 1,
      anon_sym_LPAREN,
    ACTIONS(2878), 1,
      anon_sym_EQ,
    ACTIONS(2882), 1,
      anon_sym_DASH_GT,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    STATE(1438), 1,
      sym_record_pattern_body,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(864), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1074), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(2880), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(810), 12,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT_DOT,
    ACTIONS(772), 16,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_when,
  [2265] = 3,
    ACTIONS(1165), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1167), 58,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [2333] = 18,
    ACTIONS(779), 1,
      anon_sym_LT,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(1072), 1,
      anon_sym_AT,
    ACTIONS(2742), 1,
      anon_sym_EQ,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT,
    ACTIONS(2885), 1,
      anon_sym_LPAREN,
    ACTIONS(2887), 1,
      anon_sym_COLON,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    STATE(1438), 1,
      sym_record_pattern_body,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(864), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(1074), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(2771), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(810), 13,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT_DOT,
    ACTIONS(772), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
  [2431] = 16,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(2740), 1,
      anon_sym_LPAREN,
    ACTIONS(2744), 1,
      anon_sym_DASH_GT,
    ACTIONS(2750), 1,
      anon_sym_LBRACE,
    ACTIONS(2752), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2889), 1,
      anon_sym_LBRACK,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    STATE(1947), 1,
      aux_sym_dimensions_repeat1,
    STATE(2138), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(785), 2,
      anon_sym_COLON,
      anon_sym_NULL,
    ACTIONS(800), 3,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2212), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2742), 12,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 27,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT,
  [2524] = 7,
    ACTIONS(902), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(909), 1,
      anon_sym_AT,
    ACTIONS(2892), 1,
      anon_sym_LBRACK,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1084), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2168), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(904), 49,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [2599] = 16,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(785), 1,
      anon_sym_COMMA,
    ACTIONS(803), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(814), 1,
      anon_sym_LBRACK,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(2054), 1,
      anon_sym_DASH_GT,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    STATE(1053), 1,
      aux_sym_dimensions_repeat1,
    STATE(1112), 1,
      sym_argument_list,
    STATE(1122), 1,
      sym_closure,
    STATE(2138), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(800), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(2221), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(2052), 12,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 28,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT,
  [2691] = 15,
    ACTIONS(779), 1,
      anon_sym_LT,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(1072), 1,
      anon_sym_AT,
    ACTIONS(2742), 1,
      anon_sym_EQ,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(864), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(2771), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
    ACTIONS(810), 18,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [2779] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(273), 22,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_when,
      anon_sym_to,
      anon_sym_with,
      sym_identifier,
    ACTIONS(265), 33,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [2843] = 25,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(37), 1,
      anon_sym_class,
    ACTIONS(71), 1,
      anon_sym_AT,
    ACTIONS(83), 1,
      anon_sym_enum,
    ACTIONS(91), 1,
      anon_sym_ATinterface,
    ACTIONS(93), 1,
      anon_sym_interface,
    ACTIONS(2792), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(2897), 1,
      anon_sym_RBRACE,
    ACTIONS(2899), 1,
      anon_sym_SEMI,
    STATE(1782), 1,
      sym_modifiers,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1838), 1,
      sym_type_parameters,
    STATE(1852), 1,
      sym__unannotated_type,
    STATE(2289), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1412), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(1090), 8,
      sym_enum_declaration,
      sym_class_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      sym_method_declaration,
      aux_sym_interface_body_repeat1,
    ACTIONS(2784), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [2950] = 25,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(37), 1,
      anon_sym_class,
    ACTIONS(71), 1,
      anon_sym_AT,
    ACTIONS(83), 1,
      anon_sym_enum,
    ACTIONS(91), 1,
      anon_sym_ATinterface,
    ACTIONS(93), 1,
      anon_sym_interface,
    ACTIONS(2792), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2794), 1,
      anon_sym_record,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(2901), 1,
      anon_sym_RBRACE,
    ACTIONS(2903), 1,
      anon_sym_SEMI,
    STATE(1782), 1,
      sym_modifiers,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1838), 1,
      sym_type_parameters,
    STATE(1852), 1,
      sym__unannotated_type,
    STATE(2289), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1412), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(1088), 8,
      sym_enum_declaration,
      sym_class_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      sym_method_declaration,
      aux_sym_interface_body_repeat1,
    ACTIONS(2784), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [3057] = 25,
    ACTIONS(2905), 1,
      sym_identifier,
    ACTIONS(2908), 1,
      anon_sym_RBRACE,
    ACTIONS(2910), 1,
      anon_sym_LT,
    ACTIONS(2916), 1,
      anon_sym_class,
    ACTIONS(2919), 1,
      anon_sym_SEMI,
    ACTIONS(2922), 1,
      anon_sym_AT,
    ACTIONS(2925), 1,
      anon_sym_enum,
    ACTIONS(2928), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2931), 1,
      anon_sym_record,
    ACTIONS(2934), 1,
      anon_sym_ATinterface,
    ACTIONS(2937), 1,
      anon_sym_interface,
    STATE(1782), 1,
      sym_modifiers,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1838), 1,
      sym_type_parameters,
    STATE(1852), 1,
      sym__unannotated_type,
    STATE(2289), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2943), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(2946), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1412), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(2940), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(1090), 8,
      sym_enum_declaration,
      sym_class_declaration,
      sym_record_declaration,
      sym_annotation_type_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      sym_method_declaration,
      aux_sym_interface_body_repeat1,
    ACTIONS(2913), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [3164] = 7,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(1306), 1,
      sym_argument_list,
    STATE(1348), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(826), 17,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(824), 32,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [3234] = 5,
    ACTIONS(1032), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2949), 1,
      anon_sym_LBRACE,
    STATE(1182), 1,
      sym_class_body,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1034), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [3300] = 14,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      anon_sym_LT,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(810), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(1074), 1,
      anon_sym_AT,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    ACTIONS(2734), 1,
      anon_sym_DASH_GT,
    STATE(1112), 1,
      sym_argument_list,
    STATE(1122), 1,
      sym_closure,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(769), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(2732), 12,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 29,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [3384] = 14,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      anon_sym_LT,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(810), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(1074), 1,
      anon_sym_AT,
    ACTIONS(2054), 1,
      anon_sym_DASH_GT,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    STATE(1112), 1,
      sym_argument_list,
    STATE(1122), 1,
      sym_closure,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(769), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(2052), 12,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 29,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [3468] = 7,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(1322), 1,
      sym_argument_list,
    STATE(1335), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(836), 17,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(834), 32,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [3538] = 5,
    ACTIONS(1020), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2949), 1,
      anon_sym_LBRACE,
    STATE(1172), 1,
      sym_class_body,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1022), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [3604] = 5,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(1040), 1,
      aux_sym_expression_statement_token1,
    STATE(1157), 1,
      sym_closure,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1042), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [3670] = 5,
    ACTIONS(1064), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2949), 1,
      anon_sym_LBRACE,
    STATE(1134), 1,
      sym_class_body,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1066), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [3736] = 5,
    ACTIONS(1084), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2949), 1,
      anon_sym_LBRACE,
    STATE(1150), 1,
      sym_class_body,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1086), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [3802] = 5,
    ACTIONS(1088), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2949), 1,
      anon_sym_LBRACE,
    STATE(1151), 1,
      sym_class_body,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1090), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [3868] = 5,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(1100), 1,
      aux_sym_expression_statement_token1,
    STATE(1166), 1,
      sym_closure,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1102), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [3934] = 5,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(1026), 1,
      aux_sym_expression_statement_token1,
    STATE(1179), 1,
      sym_closure,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1028), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [4000] = 5,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(1048), 1,
      aux_sym_expression_statement_token1,
    STATE(1126), 1,
      sym_closure,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1050), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [4066] = 5,
    ACTIONS(1096), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2949), 1,
      anon_sym_LBRACE,
    STATE(1155), 1,
      sym_class_body,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1098), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [4132] = 5,
    ACTIONS(1104), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2949), 1,
      anon_sym_LBRACE,
    STATE(1170), 1,
      sym_class_body,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1106), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [4198] = 5,
    ACTIONS(1092), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2949), 1,
      anon_sym_LBRACE,
    STATE(1152), 1,
      sym_class_body,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1094), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [4264] = 5,
    ACTIONS(1108), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2949), 1,
      anon_sym_LBRACE,
    STATE(1171), 1,
      sym_class_body,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1110), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [4330] = 5,
    ACTIONS(1036), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2949), 1,
      anon_sym_LBRACE,
    STATE(1183), 1,
      sym_class_body,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1038), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [4396] = 10,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(2742), 1,
      anon_sym_EQ,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2771), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 16,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(810), 20,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [4472] = 5,
    ACTIONS(1068), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2949), 1,
      anon_sym_LBRACE,
    STATE(1137), 1,
      sym_class_body,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1070), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [4538] = 5,
    ACTIONS(1044), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2949), 1,
      anon_sym_LBRACE,
    STATE(1173), 1,
      sym_class_body,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1046), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [4604] = 5,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(1060), 1,
      aux_sym_expression_statement_token1,
    STATE(1127), 1,
      sym_closure,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1062), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [4670] = 3,
    ACTIONS(1331), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1333), 51,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [4731] = 7,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(824), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    STATE(1101), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_closure,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(826), 47,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [4800] = 3,
    ACTIONS(1227), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1229), 51,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_AT,
      sym_identifier,
      anon_sym_DOT_DOT,
  [4861] = 7,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(834), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    STATE(1097), 1,
      sym_argument_list,
    STATE(1178), 1,
      sym_closure,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(836), 47,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [4930] = 3,
    ACTIONS(1243), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1245), 51,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [4991] = 3,
    ACTIONS(1341), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1343), 51,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_AT,
      sym_identifier,
      anon_sym_DOT_DOT,
  [5052] = 16,
    ACTIONS(779), 1,
      anon_sym_LT,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(1072), 1,
      anon_sym_AT,
    ACTIONS(2742), 1,
      anon_sym_EQ,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT,
    ACTIONS(2887), 1,
      anon_sym_COLON,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(864), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(2771), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
    ACTIONS(810), 15,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT,
  [5139] = 3,
    ACTIONS(1211), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1213), 51,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [5200] = 3,
    ACTIONS(1251), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1253), 51,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [5261] = 3,
    ACTIONS(1219), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1221), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [5321] = 3,
    ACTIONS(1319), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1321), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [5381] = 3,
    ACTIONS(1349), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1351), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [5441] = 3,
    ACTIONS(1239), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1241), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [5501] = 3,
    ACTIONS(1361), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1363), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [5561] = 3,
    ACTIONS(1247), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1249), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [5621] = 3,
    ACTIONS(1255), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1257), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [5681] = 3,
    ACTIONS(1263), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1265), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [5741] = 3,
    ACTIONS(1223), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1225), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [5801] = 3,
    ACTIONS(1267), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1269), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [5861] = 3,
    ACTIONS(1161), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1163), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [5921] = 3,
    ACTIONS(1177), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1179), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [5981] = 3,
    ACTIONS(1275), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1277), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [6041] = 3,
    ACTIONS(1279), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1281), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [6101] = 3,
    ACTIONS(1283), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1285), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [6161] = 3,
    ACTIONS(1287), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1289), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [6221] = 3,
    ACTIONS(1291), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1293), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [6281] = 3,
    ACTIONS(1295), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1297), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [6341] = 3,
    ACTIONS(810), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(772), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [6401] = 3,
    ACTIONS(1153), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1155), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [6461] = 3,
    ACTIONS(1157), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1159), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [6521] = 3,
    ACTIONS(1315), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1317), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [6581] = 3,
    ACTIONS(1381), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1383), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [6641] = 3,
    ACTIONS(1196), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1198), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [6701] = 3,
    ACTIONS(1365), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1367), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [6761] = 3,
    ACTIONS(1323), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1325), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [6821] = 3,
    ACTIONS(1327), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1329), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [6881] = 3,
    ACTIONS(1345), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1347), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [6941] = 3,
    ACTIONS(1353), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1355), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [7001] = 3,
    ACTIONS(1357), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1359), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [7061] = 3,
    ACTIONS(1369), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1371), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [7121] = 3,
    ACTIONS(1373), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1375), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [7181] = 3,
    ACTIONS(1377), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1379), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [7241] = 3,
    ACTIONS(1385), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1387), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [7301] = 3,
    ACTIONS(1389), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1391), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [7361] = 3,
    ACTIONS(1307), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1309), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [7421] = 3,
    ACTIONS(1169), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1171), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [7481] = 3,
    ACTIONS(1173), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1175), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [7541] = 3,
    ACTIONS(1393), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1395), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [7601] = 3,
    ACTIONS(1397), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1399), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [7661] = 15,
    ACTIONS(779), 1,
      anon_sym_LT,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(1072), 1,
      anon_sym_AT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2878), 1,
      anon_sym_EQ,
    ACTIONS(2882), 1,
      anon_sym_DASH_GT,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(864), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(2880), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 14,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
    ACTIONS(810), 14,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_when,
      anon_sym_DOT_DOT,
  [7745] = 3,
    ACTIONS(1120), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1122), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [7805] = 3,
    ACTIONS(1124), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1126), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [7865] = 3,
    ACTIONS(1128), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1130), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [7925] = 3,
    ACTIONS(1235), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1237), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [7985] = 3,
    ACTIONS(1192), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1194), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [8045] = 3,
    ACTIONS(1215), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1217), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [8105] = 3,
    ACTIONS(1116), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1118), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [8165] = 3,
    ACTIONS(1311), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1313), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [8225] = 3,
    ACTIONS(1132), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1134), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [8285] = 3,
    ACTIONS(1181), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1183), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [8345] = 3,
    ACTIONS(1185), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1187), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [8405] = 3,
    ACTIONS(1136), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1138), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [8465] = 3,
    ACTIONS(1136), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1138), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [8525] = 3,
    ACTIONS(1140), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1142), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [8585] = 3,
    ACTIONS(1405), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1407), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [8645] = 3,
    ACTIONS(1112), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1114), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [8705] = 3,
    ACTIONS(1231), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1233), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [8765] = 9,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(810), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2054), 1,
      anon_sym_DASH_GT,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    STATE(1112), 1,
      sym_argument_list,
    STATE(1122), 1,
      sym_closure,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2052), 12,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 33,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [8837] = 3,
    ACTIONS(1259), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1261), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [8897] = 3,
    ACTIONS(1299), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1301), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [8957] = 3,
    ACTIONS(1303), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1305), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [9017] = 9,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(810), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    ACTIONS(2734), 1,
      anon_sym_DASH_GT,
    STATE(1112), 1,
      sym_argument_list,
    STATE(1122), 1,
      sym_closure,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2732), 12,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 33,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [9089] = 3,
    ACTIONS(1401), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1403), 50,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_RBRACE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      sym_identifier,
      anon_sym_DOT_DOT,
  [9149] = 7,
    ACTIONS(2951), 1,
      anon_sym_LBRACK,
    ACTIONS(2954), 1,
      anon_sym_AT,
    STATE(1186), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2231), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(920), 21,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(918), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [9216] = 11,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(2742), 1,
      anon_sym_EQ,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT,
    ACTIONS(2876), 1,
      anon_sym_LPAREN,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    STATE(1438), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2771), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 16,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(810), 16,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_DOT_DOT,
  [9291] = 11,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(2876), 1,
      anon_sym_LPAREN,
    ACTIONS(2878), 1,
      anon_sym_EQ,
    ACTIONS(2882), 1,
      anon_sym_DASH_GT,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    STATE(1438), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2880), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 16,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(810), 16,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_DOT_DOT,
  [9366] = 7,
    ACTIONS(2957), 1,
      anon_sym_LBRACK,
    ACTIONS(2959), 1,
      anon_sym_AT,
    STATE(1186), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2231), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(914), 21,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(912), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [9433] = 11,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(2742), 1,
      anon_sym_EQ,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT,
    ACTIONS(2885), 1,
      anon_sym_LPAREN,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    STATE(1438), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2771), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 15,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_DOT,
    ACTIONS(810), 16,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT,
  [9507] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(836), 17,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(834), 32,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [9565] = 8,
    ACTIONS(2957), 1,
      anon_sym_LBRACK,
    ACTIONS(2959), 1,
      anon_sym_AT,
    STATE(1189), 1,
      aux_sym_dimensions_repeat1,
    STATE(1262), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2231), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(982), 19,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(980), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [9633] = 21,
    ACTIONS(37), 1,
      anon_sym_class,
    ACTIONS(71), 1,
      anon_sym_AT,
    ACTIONS(83), 1,
      anon_sym_enum,
    ACTIONS(91), 1,
      anon_sym_ATinterface,
    ACTIONS(93), 1,
      anon_sym_interface,
    ACTIONS(2792), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(2961), 1,
      anon_sym_RBRACE,
    ACTIONS(2963), 1,
      anon_sym_SEMI,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1856), 1,
      sym__unannotated_type,
    STATE(1874), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1412), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(1197), 7,
      sym_enum_declaration,
      sym_class_declaration,
      sym_annotation_type_declaration,
      sym_annotation_type_element_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      aux_sym_annotation_type_body_repeat1,
    ACTIONS(2784), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [9727] = 7,
    ACTIONS(1200), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2967), 1,
      anon_sym_LBRACK,
    ACTIONS(2970), 1,
      anon_sym_DOT,
    ACTIONS(2972), 1,
      anon_sym_COLON_COLON,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2965), 15,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_null_literal,
      anon_sym_LPAREN,
      sym_identifier,
    ACTIONS(1202), 30,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [9793] = 15,
    ACTIONS(779), 1,
      anon_sym_LT,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(1072), 1,
      anon_sym_AT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT,
    ACTIONS(2974), 1,
      anon_sym_EQ,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(864), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(2771), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 13,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
    ACTIONS(810), 13,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT_DOT,
  [9875] = 4,
    ACTIONS(1365), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2976), 16,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_character_literal,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      sym_null_literal,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      sym_identifier,
    ACTIONS(1367), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [9935] = 21,
    ACTIONS(37), 1,
      anon_sym_class,
    ACTIONS(71), 1,
      anon_sym_AT,
    ACTIONS(83), 1,
      anon_sym_enum,
    ACTIONS(91), 1,
      anon_sym_ATinterface,
    ACTIONS(93), 1,
      anon_sym_interface,
    ACTIONS(2792), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(2979), 1,
      anon_sym_RBRACE,
    ACTIONS(2981), 1,
      anon_sym_SEMI,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1856), 1,
      sym__unannotated_type,
    STATE(1874), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1412), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(1200), 7,
      sym_enum_declaration,
      sym_class_declaration,
      sym_annotation_type_declaration,
      sym_annotation_type_element_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      aux_sym_annotation_type_body_repeat1,
    ACTIONS(2784), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [10029] = 10,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2878), 1,
      anon_sym_EQ,
    ACTIONS(2882), 1,
      anon_sym_DASH_GT,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2880), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 16,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(810), 16,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_DOT_DOT,
  [10101] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(826), 17,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(824), 32,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [10159] = 21,
    ACTIONS(2983), 1,
      sym_identifier,
    ACTIONS(2986), 1,
      anon_sym_RBRACE,
    ACTIONS(2991), 1,
      anon_sym_class,
    ACTIONS(2994), 1,
      anon_sym_SEMI,
    ACTIONS(2997), 1,
      anon_sym_AT,
    ACTIONS(3000), 1,
      anon_sym_enum,
    ACTIONS(3003), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3006), 1,
      anon_sym_ATinterface,
    ACTIONS(3009), 1,
      anon_sym_interface,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1856), 1,
      sym__unannotated_type,
    STATE(1874), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3015), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3018), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1412), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(3012), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    STATE(1200), 7,
      sym_enum_declaration,
      sym_class_declaration,
      sym_annotation_type_declaration,
      sym_annotation_type_element_declaration,
      sym_interface_declaration,
      sym_constant_declaration,
      aux_sym_annotation_type_body_repeat1,
    ACTIONS(2988), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [10253] = 13,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(2742), 1,
      anon_sym_EQ,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT,
    ACTIONS(2775), 1,
      anon_sym_COMMA,
    ACTIONS(2777), 1,
      anon_sym_RPAREN,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    STATE(2517), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2771), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(810), 14,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT,
    ACTIONS(772), 15,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_DOT,
  [10331] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(852), 17,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(850), 32,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [10389] = 8,
    ACTIONS(2957), 1,
      anon_sym_LBRACK,
    ACTIONS(2959), 1,
      anon_sym_AT,
    STATE(1189), 1,
      aux_sym_dimensions_repeat1,
    STATE(1262), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2231), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(992), 19,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(990), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [10457] = 8,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(980), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2757), 1,
      anon_sym_LBRACK,
    STATE(1053), 1,
      aux_sym_dimensions_repeat1,
    STATE(1273), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2221), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(982), 39,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [10524] = 5,
    ACTIONS(2742), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2771), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 16,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(810), 20,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [10585] = 8,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(990), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2757), 1,
      anon_sym_LBRACK,
    STATE(1053), 1,
      aux_sym_dimensions_repeat1,
    STATE(1273), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2221), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(992), 39,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [10652] = 8,
    ACTIONS(3021), 1,
      anon_sym_LPAREN,
    ACTIONS(3023), 1,
      anon_sym_LT,
    ACTIONS(3026), 1,
      anon_sym_DOT,
    STATE(1233), 1,
      sym_type_arguments,
    STATE(1438), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1074), 18,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1072), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [10718] = 8,
    ACTIONS(1072), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3028), 1,
      anon_sym_LPAREN,
    ACTIONS(3030), 1,
      anon_sym_LT,
    ACTIONS(3033), 1,
      anon_sym_DOT,
    STATE(1256), 1,
      sym_type_arguments,
    STATE(1476), 1,
      sym_record_pattern_body,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1074), 40,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [10783] = 21,
    ACTIONS(966), 1,
      anon_sym_AT,
    ACTIONS(970), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1016), 1,
      anon_sym_sealed,
    ACTIONS(3035), 1,
      sym_identifier,
    ACTIONS(3037), 1,
      sym_underscore_pattern,
    STATE(1753), 1,
      sym_modifiers,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1900), 1,
      sym__unannotated_type,
    STATE(1993), 1,
      sym__reserved_identifier,
    STATE(2053), 1,
      sym_catch_type,
    STATE(2855), 1,
      sym__variable_declarator_id,
    STATE(2906), 1,
      sym_catch_formal_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1410), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(822), 5,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_record,
    ACTIONS(946), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
  [10874] = 9,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3039), 1,
      anon_sym_LBRACK,
    STATE(1189), 1,
      aux_sym_dimensions_repeat1,
    STATE(1401), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1255), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2214), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(884), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(882), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [10941] = 21,
    ACTIONS(966), 1,
      anon_sym_AT,
    ACTIONS(970), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(1016), 1,
      anon_sym_sealed,
    ACTIONS(3035), 1,
      sym_identifier,
    ACTIONS(3037), 1,
      sym_underscore_pattern,
    STATE(1753), 1,
      sym_modifiers,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1900), 1,
      sym__unannotated_type,
    STATE(1993), 1,
      sym__reserved_identifier,
    STATE(2053), 1,
      sym_catch_type,
    STATE(2855), 1,
      sym__variable_declarator_id,
    STATE(2927), 1,
      sym_catch_formal_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1410), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(822), 5,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_record,
    ACTIONS(946), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
  [11032] = 9,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3039), 1,
      anon_sym_LBRACK,
    STATE(1189), 1,
      aux_sym_dimensions_repeat1,
    STATE(1337), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1255), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2214), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(896), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(894), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [11099] = 9,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3039), 1,
      anon_sym_LBRACK,
    STATE(1189), 1,
      aux_sym_dimensions_repeat1,
    STATE(1379), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1255), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2214), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(900), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(898), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [11166] = 9,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3039), 1,
      anon_sym_LBRACK,
    STATE(1189), 1,
      aux_sym_dimensions_repeat1,
    STATE(1376), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1255), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2214), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(892), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(890), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [11233] = 6,
    ACTIONS(3021), 1,
      anon_sym_LPAREN,
    ACTIONS(3041), 1,
      anon_sym_DOT,
    STATE(1438), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1146), 19,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1144), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [11294] = 4,
    ACTIONS(810), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2732), 12,
      anon_sym_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 33,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [11351] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2260), 15,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(2262), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [11405] = 6,
    ACTIONS(1144), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3028), 1,
      anon_sym_LPAREN,
    ACTIONS(3043), 1,
      anon_sym_DOT,
    STATE(1476), 1,
      sym_record_pattern_body,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1146), 41,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [11465] = 6,
    ACTIONS(3023), 1,
      anon_sym_LT,
    ACTIONS(3026), 1,
      anon_sym_DOT,
    STATE(1233), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1074), 18,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1072), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [11525] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2248), 15,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(2250), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [11579] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2248), 15,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(2250), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [11633] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2224), 15,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(2226), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [11687] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2224), 15,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(2226), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [11741] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2224), 15,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(2226), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [11795] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1415), 20,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_DOT,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1413), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [11849] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1419), 20,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_DOT,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1417), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [11903] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2224), 15,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(2226), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [11957] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2224), 15,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(2226), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [12011] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2224), 15,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(2226), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [12065] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2248), 15,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(2250), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [12119] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2260), 15,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(2262), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [12173] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2260), 15,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(2262), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [12227] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1411), 20,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_DOT,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1409), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [12281] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1423), 20,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_DOT,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1421), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [12335] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(920), 21,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(918), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [12389] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1167), 21,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_COLON,
      anon_sym_DOT,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1165), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [12443] = 5,
    ACTIONS(2878), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2880), 11,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_AMP_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_GT_GT_GT_EQ,
    ACTIONS(772), 16,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(810), 17,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_DOT_DOT,
  [12501] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3047), 9,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3045), 36,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_to,
      anon_sym_with,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [12555] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2471), 15,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(2473), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [12609] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2471), 15,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(2473), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [12663] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2471), 15,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(2473), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [12717] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2599), 15,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(2601), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [12771] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2599), 15,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(2601), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [12825] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2599), 15,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_LPAREN,
      anon_sym_DASH_GT,
      anon_sym_BANG,
      anon_sym_TILDE,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(2601), 30,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      anon_sym_DQUOTE,
      sym_null_literal,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_new,
      anon_sym_switch,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [12879] = 6,
    ACTIONS(3041), 1,
      anon_sym_DOT,
    ACTIONS(3049), 1,
      anon_sym_LT,
    STATE(1234), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1146), 18,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1144), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [12939] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1461), 20,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_DOT,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1459), 25,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [12993] = 3,
    ACTIONS(1413), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1415), 43,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [13046] = 3,
    ACTIONS(1417), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1419), 43,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [13099] = 6,
    ACTIONS(1144), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3043), 1,
      anon_sym_DOT,
    ACTIONS(3052), 1,
      anon_sym_LT,
    STATE(1259), 1,
      sym_type_arguments,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1146), 40,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [13158] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1453), 20,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_DOT,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1451), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [13211] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1427), 20,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_DOT,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1425), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [13264] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1435), 20,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_DOT,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1433), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [13317] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1449), 20,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_DOT,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1447), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [13370] = 4,
    ACTIONS(3041), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1146), 19,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1144), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [13425] = 7,
    ACTIONS(3055), 1,
      anon_sym_LBRACK,
    ACTIONS(3058), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1255), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2208), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(904), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(902), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [13486] = 3,
    ACTIONS(1409), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1411), 43,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [13539] = 6,
    ACTIONS(1072), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3030), 1,
      anon_sym_LT,
    ACTIONS(3033), 1,
      anon_sym_DOT,
    STATE(1256), 1,
      sym_type_arguments,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1074), 40,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [13598] = 3,
    ACTIONS(1459), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1461), 43,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [13651] = 3,
    ACTIONS(1421), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1423), 43,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [13704] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1479), 19,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1477), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [13756] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1503), 19,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1501), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [13808] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1491), 19,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1489), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [13860] = 3,
    ACTIONS(1433), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1435), 42,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [13912] = 4,
    ACTIONS(1144), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3043), 1,
      anon_sym_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1146), 41,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [13966] = 13,
    ACTIONS(779), 1,
      anon_sym_LT,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(1072), 1,
      anon_sym_AT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(864), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(772), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
    ACTIONS(810), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [14038] = 3,
    ACTIONS(1447), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1449), 42,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [14090] = 3,
    ACTIONS(1425), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1427), 42,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [14142] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1146), 19,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(1144), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [14194] = 6,
    ACTIONS(3065), 1,
      anon_sym_LPAREN,
    ACTIONS(3067), 1,
      anon_sym_DOT,
    STATE(1290), 1,
      sym_annotation_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3063), 5,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3061), 35,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_with,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [14252] = 3,
    ACTIONS(1451), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1453), 42,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [14304] = 3,
    ACTIONS(1501), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1503), 41,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [14355] = 3,
    ACTIONS(1144), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1146), 41,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [14406] = 3,
    ACTIONS(1489), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1491), 41,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [14457] = 6,
    ACTIONS(3069), 1,
      sym_identifier,
    STATE(1439), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2708), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
    ACTIONS(1442), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_when,
    ACTIONS(1437), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [14514] = 6,
    ACTIONS(3071), 1,
      sym_identifier,
    STATE(1434), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2708), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
    ACTIONS(1472), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_when,
    ACTIONS(1467), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [14571] = 3,
    ACTIONS(1477), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1479), 41,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [14622] = 7,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(1322), 1,
      sym_argument_list,
    STATE(1335), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(836), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(834), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [14680] = 8,
    ACTIONS(71), 1,
      anon_sym_AT,
    ACTIONS(3079), 1,
      anon_sym_sealed,
    ACTIONS(3082), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3075), 2,
      anon_sym_LT,
      anon_sym_ATinterface,
    STATE(1283), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(3077), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
    ACTIONS(3073), 20,
      anon_sym_class,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_enum,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [14740] = 7,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(1306), 1,
      sym_argument_list,
    STATE(1348), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(826), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(824), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [14798] = 19,
    ACTIONS(966), 1,
      anon_sym_AT,
    ACTIONS(1018), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(3084), 1,
      anon_sym_RPAREN,
    STATE(1604), 1,
      aux_sym_modifiers_repeat1,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1829), 1,
      sym__unannotated_type,
    STATE(1830), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(1917), 1,
      sym_modifiers,
    STATE(2760), 1,
      sym_receiver_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2591), 2,
      sym_formal_parameter,
      sym_spread_parameter,
    STATE(1506), 3,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(1014), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [14880] = 19,
    ACTIONS(966), 1,
      anon_sym_AT,
    ACTIONS(1012), 1,
      anon_sym_RPAREN,
    ACTIONS(1018), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2895), 1,
      sym_identifier,
    STATE(1604), 1,
      aux_sym_modifiers_repeat1,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1829), 1,
      sym__unannotated_type,
    STATE(1830), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(1917), 1,
      sym_modifiers,
    STATE(2655), 1,
      sym_receiver_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2514), 2,
      sym_formal_parameter,
      sym_spread_parameter,
    STATE(1506), 3,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(1014), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [14962] = 6,
    ACTIONS(1437), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3086), 1,
      sym_identifier,
    STATE(1477), 1,
      sym__reserved_identifier,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2724), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
    ACTIONS(1442), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [15018] = 7,
    ACTIONS(3095), 1,
      anon_sym_AT,
    ACTIONS(3098), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3090), 2,
      anon_sym_LT,
      anon_sym_ATinterface,
    STATE(1283), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(3092), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    ACTIONS(3088), 20,
      anon_sym_class,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_enum,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [15076] = 13,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      anon_sym_LT,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(810), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(1074), 1,
      anon_sym_AT,
    ACTIONS(2054), 1,
      anon_sym_DASH_GT,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    STATE(1112), 1,
      sym_argument_list,
    STATE(1122), 1,
      sym_closure,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(769), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(772), 29,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [15146] = 13,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(779), 1,
      anon_sym_LT,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(810), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(1074), 1,
      anon_sym_AT,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    ACTIONS(2734), 1,
      anon_sym_DASH_GT,
    STATE(1112), 1,
      sym_argument_list,
    STATE(1122), 1,
      sym_closure,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(769), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(772), 29,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [15216] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(982), 19,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_when,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
    ACTIONS(980), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [15266] = 6,
    ACTIONS(1467), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3101), 1,
      sym_identifier,
    STATE(1479), 1,
      sym__reserved_identifier,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2724), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
    ACTIONS(1472), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [15322] = 8,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(772), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(810), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [15382] = 20,
    ACTIONS(844), 1,
      anon_sym_module,
    ACTIONS(966), 1,
      anon_sym_AT,
    ACTIONS(1018), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(3103), 1,
      anon_sym_open,
    ACTIONS(3105), 1,
      anon_sym_package,
    ACTIONS(3107), 1,
      anon_sym_def,
    STATE(1491), 1,
      aux_sym_array_creation_expression_repeat1,
    STATE(1604), 1,
      aux_sym_modifiers_repeat1,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1910), 1,
      sym_modifiers,
    STATE(2046), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1630), 3,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(1014), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [15466] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3111), 5,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3109), 35,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_with,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [15515] = 3,
    ACTIONS(980), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(982), 39,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_yield,
      anon_sym_else,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
      anon_sym_DOT_DOT,
  [15564] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3115), 5,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3113), 35,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_with,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [15613] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3119), 5,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3117), 35,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_with,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [15662] = 7,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(824), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    STATE(1101), 1,
      sym_argument_list,
    STATE(1147), 1,
      sym_closure,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(826), 35,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [15719] = 7,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(834), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    STATE(1097), 1,
      sym_argument_list,
    STATE(1178), 1,
      sym_closure,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(836), 35,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [15776] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3123), 5,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3121), 35,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_with,
      anon_sym_package,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [15825] = 5,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    STATE(1340), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1050), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1048), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [15877] = 5,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    STATE(1397), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1066), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1064), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [15929] = 5,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    STATE(1366), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1086), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1084), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [15981] = 5,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    STATE(1369), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1090), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1088), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [16033] = 5,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    STATE(1372), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1094), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1092), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [16085] = 5,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    STATE(1377), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1098), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1096), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [16137] = 5,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    STATE(1371), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1070), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1068), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [16189] = 8,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(810), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2054), 1,
      anon_sym_DASH_GT,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    STATE(1112), 1,
      sym_argument_list,
    STATE(1122), 1,
      sym_closure,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(772), 33,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [16247] = 5,
    ACTIONS(2017), 1,
      anon_sym_LPAREN,
    STATE(2796), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2683), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(846), 34,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_with,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [16299] = 5,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    STATE(1388), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1102), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1100), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [16351] = 5,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    STATE(1387), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1062), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1060), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [16403] = 6,
    ACTIONS(3132), 1,
      anon_sym_package,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2683), 2,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3130), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3127), 13,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
    ACTIONS(846), 21,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_with,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_def,
  [16457] = 13,
    ACTIONS(779), 1,
      anon_sym_LT,
    ACTIONS(793), 1,
      anon_sym_DOT,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(1072), 1,
      anon_sym_AT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2882), 1,
      anon_sym_DASH_GT,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(864), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(772), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
    ACTIONS(810), 18,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_when,
      anon_sym_DOT_DOT,
  [16525] = 5,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    STATE(1395), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1110), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1108), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [16577] = 5,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    STATE(1396), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1022), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1020), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [16629] = 5,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    STATE(1394), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1106), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1104), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [16681] = 3,
    ACTIONS(265), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(273), 38,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [16729] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(273), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(265), 27,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [16777] = 16,
    ACTIONS(966), 1,
      anon_sym_AT,
    ACTIONS(1018), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(3134), 1,
      anon_sym_RPAREN,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1893), 1,
      sym__unannotated_type,
    STATE(1917), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2516), 2,
      sym_formal_parameter,
      sym_spread_parameter,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1604), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(1014), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [16851] = 16,
    ACTIONS(966), 1,
      anon_sym_AT,
    ACTIONS(1018), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(3136), 1,
      anon_sym_RPAREN,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1893), 1,
      sym__unannotated_type,
    STATE(1917), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2481), 2,
      sym_formal_parameter,
      sym_spread_parameter,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1604), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(1014), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [16925] = 5,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    STATE(1334), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1028), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1026), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [16977] = 5,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    STATE(1398), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1046), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1044), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [17029] = 8,
    ACTIONS(285), 1,
      anon_sym_LBRACE,
    ACTIONS(810), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2730), 1,
      anon_sym_LPAREN,
    ACTIONS(2734), 1,
      anon_sym_DASH_GT,
    STATE(1112), 1,
      sym_argument_list,
    STATE(1122), 1,
      sym_closure,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(772), 33,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [17087] = 5,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    STATE(1368), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1034), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1032), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [17139] = 5,
    ACTIONS(3125), 1,
      anon_sym_LBRACE,
    STATE(1382), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1038), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1036), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [17191] = 5,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    STATE(1400), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1042), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1040), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [17243] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1213), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1211), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [17290] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1333), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1331), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [17337] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1245), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1243), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [17384] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1253), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1251), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [17431] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1343), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1341), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [17478] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1229), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1227), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT,
  [17525] = 6,
    ACTIONS(3132), 1,
      anon_sym_package,
    ACTIONS(3138), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2683), 2,
      anon_sym_LT,
      anon_sym_ATinterface,
    ACTIONS(846), 7,
      anon_sym_class,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_with,
      anon_sym_enum,
      anon_sym_record,
      anon_sym_interface,
    ACTIONS(3127), 27,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [17578] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1507), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1505), 28,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_while,
      anon_sym_catch,
      anon_sym_finally,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [17625] = 15,
    ACTIONS(966), 1,
      anon_sym_AT,
    ACTIONS(1018), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(2895), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1893), 1,
      sym__unannotated_type,
    STATE(1917), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2702), 2,
      sym_formal_parameter,
      sym_spread_parameter,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1604), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(1014), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [17696] = 5,
    ACTIONS(2017), 1,
      anon_sym_LPAREN,
    STATE(2645), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2683), 2,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(846), 34,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_with,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [17747] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1130), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1128), 26,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [17794] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1233), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1231), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [17840] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1114), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1112), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [17886] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1293), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1291), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [17932] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1297), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1295), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [17978] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1321), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1319), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [18024] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1351), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1349), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [18070] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1363), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1361), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [18116] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1118), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1116), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [18162] = 5,
    ACTIONS(3132), 1,
      anon_sym_package,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2683), 2,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3127), 13,
      anon_sym_AT,
      anon_sym_open,
      anon_sym_module,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
    ACTIONS(846), 21,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_with,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_def,
  [18212] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1198), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1196), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [18258] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1155), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1153), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [18304] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1159), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1157), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [18350] = 6,
    ACTIONS(3141), 1,
      anon_sym_LPAREN,
    ACTIONS(3143), 1,
      anon_sym_DOT,
    STATE(1415), 1,
      sym_annotation_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3063), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(3061), 31,
      anon_sym_final,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_synchronized,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_with,
      anon_sym_package,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [18402] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1317), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1315), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [18448] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1325), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1323), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [18494] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1329), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1327), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [18540] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1138), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1136), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [18586] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1138), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1136), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [18632] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1142), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1140), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [18678] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1407), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1405), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [18724] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1367), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1365), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [18770] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1221), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1219), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [18816] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1225), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1223), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [18862] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1383), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1381), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [18908] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(772), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(810), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [18954] = 8,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2882), 1,
      anon_sym_DASH_GT,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(772), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(810), 20,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_DOT_DOT,
  [19010] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1257), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1255), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19056] = 6,
    ACTIONS(3145), 1,
      anon_sym_LBRACK,
    ACTIONS(3147), 1,
      anon_sym_DOT,
    ACTIONS(3149), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1337), 11,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
    ACTIONS(1335), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19108] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1241), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1239), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19154] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1265), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1263), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19200] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1261), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1259), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19246] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1347), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1345), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19292] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1355), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1353), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19338] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(826), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(824), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19384] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1301), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1299), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19430] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1359), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1357), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19476] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1122), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1120), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19522] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1289), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1287), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19568] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1371), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1369), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19614] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(836), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(834), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19660] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1269), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1267), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19706] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1375), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1373), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19752] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1379), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1377), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19798] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1387), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1385), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19844] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1391), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1389), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19890] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1403), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1401), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19936] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1126), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1124), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [19982] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1395), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1393), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20028] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1305), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1303), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20074] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1399), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1397), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20120] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1163), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1161), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20166] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1171), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1169), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20212] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1175), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1173), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20258] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1249), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1247), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20304] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1237), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1235), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20350] = 6,
    ACTIONS(3149), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3151), 1,
      anon_sym_LBRACK,
    ACTIONS(3153), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1273), 11,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
    ACTIONS(1271), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20402] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1194), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1192), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20448] = 6,
    ACTIONS(3149), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3151), 1,
      anon_sym_LBRACK,
    ACTIONS(3153), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1202), 11,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
    ACTIONS(1200), 23,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20500] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1217), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1215), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20546] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1179), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1177), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20592] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1313), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1311), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20638] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1134), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1132), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20684] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1183), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1181), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20730] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1277), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1275), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20776] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1187), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1185), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20822] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1281), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1279), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20868] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1309), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1307), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20914] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1285), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(1283), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [20960] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(852), 12,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_COLON,
      anon_sym_DOT,
    ACTIONS(850), 25,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [21006] = 6,
    ACTIONS(1335), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2972), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3155), 1,
      anon_sym_LBRACK,
    ACTIONS(3157), 1,
      anon_sym_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1337), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [21057] = 3,
    ACTIONS(824), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(826), 35,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [21102] = 6,
    ACTIONS(1271), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2972), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3161), 1,
      anon_sym_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1273), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [21153] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3047), 5,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(3045), 31,
      anon_sym_final,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_synchronized,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_with,
      anon_sym_package,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [21198] = 3,
    ACTIONS(850), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(852), 35,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [21243] = 3,
    ACTIONS(834), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(836), 35,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [21288] = 6,
    ACTIONS(1200), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2972), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3161), 1,
      anon_sym_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1202), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [21339] = 7,
    ACTIONS(966), 1,
      anon_sym_AT,
    ACTIONS(3165), 1,
      anon_sym_sealed,
    ACTIONS(3168), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1411), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(3163), 12,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
    ACTIONS(3073), 17,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [21392] = 6,
    ACTIONS(3173), 1,
      anon_sym_AT,
    ACTIONS(3176), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1411), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(3170), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    ACTIONS(3088), 17,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [21443] = 7,
    ACTIONS(71), 1,
      anon_sym_AT,
    ACTIONS(3082), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3075), 2,
      anon_sym_LT,
      anon_sym_ATinterface,
    STATE(1283), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(3077), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
    ACTIONS(3073), 14,
      anon_sym_class,
      anon_sym_enum,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [21495] = 24,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(43), 1,
      sym_underscore_pattern,
    ACTIONS(3179), 1,
      sym_identifier,
    ACTIONS(3181), 1,
      anon_sym_class,
    ACTIONS(3183), 1,
      anon_sym_enum,
    ACTIONS(3185), 1,
      anon_sym_record,
    ACTIONS(3187), 1,
      anon_sym_ATinterface,
    ACTIONS(3189), 1,
      anon_sym_interface,
    ACTIONS(3191), 1,
      anon_sym_def,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1838), 1,
      sym_type_parameters,
    STATE(1848), 1,
      sym__unannotated_type,
    STATE(1972), 1,
      sym__reserved_identifier,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2270), 1,
      sym__variable_declarator_id,
    STATE(2282), 1,
      sym__method_header,
    STATE(2482), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(77), 5,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [21581] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(265), 4,
      anon_sym_LPAREN,
      anon_sym_DOT,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(273), 31,
      anon_sym_final,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_synchronized,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_with,
      anon_sym_package,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [21625] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3111), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(3109), 31,
      anon_sym_final,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_synchronized,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_with,
      anon_sym_package,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [21668] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1337), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1335), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [21711] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1561), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1559), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [21754] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1459), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1461), 23,
      anon_sym_new,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [21797] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1202), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1200), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [21840] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1457), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1455), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [21883] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3119), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(3117), 31,
      anon_sym_final,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_synchronized,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_with,
      anon_sym_package,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [21926] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1417), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1419), 23,
      anon_sym_new,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [21969] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1581), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1579), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [22012] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3195), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3193), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [22055] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3199), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3197), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [22098] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3203), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3201), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [22141] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3207), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3205), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [22184] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3211), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3209), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [22227] = 5,
    ACTIONS(810), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2740), 1,
      anon_sym_LPAREN,
    STATE(2836), 1,
      sym_argument_list,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(772), 31,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [22274] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3215), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3213), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [22317] = 4,
    ACTIONS(1223), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1607), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
    ACTIONS(1225), 30,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [22362] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1413), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1415), 23,
      anon_sym_new,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_this,
      sym_super,
      sym_identifier,
  [22405] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3219), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3217), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [22448] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1549), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1547), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [22491] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1577), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1575), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [22534] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1569), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1567), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [22577] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1517), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1515), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [22620] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1585), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1583), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [22663] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1589), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1587), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [22706] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1553), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1551), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [22749] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1225), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1223), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [22792] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1431), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1429), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [22835] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1597), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1595), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [22878] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3115), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(3113), 31,
      anon_sym_final,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_synchronized,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_with,
      anon_sym_package,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [22921] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3223), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3221), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [22964] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3123), 3,
      anon_sym_LBRACK,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(3121), 31,
      anon_sym_final,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_synchronized,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_with,
      anon_sym_package,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [23007] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3227), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3225), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [23050] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3231), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3229), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [23093] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1465), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1463), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [23136] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1483), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1481), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [23179] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3235), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3233), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [23222] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1273), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1271), 24,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [23265] = 5,
    ACTIONS(3240), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3237), 2,
      anon_sym_DASH_GT,
      anon_sym_when,
    ACTIONS(1245), 11,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_DOT,
    ACTIONS(1243), 20,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT,
  [23312] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3245), 6,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3243), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [23355] = 3,
    ACTIONS(1567), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1569), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [23397] = 4,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1553), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1551), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [23441] = 4,
    ACTIONS(1223), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1607), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(1225), 30,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [23485] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(1555), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [23561] = 3,
    ACTIONS(1455), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1457), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [23603] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(1559), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [23679] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(1591), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [23755] = 3,
    ACTIONS(1200), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1202), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [23797] = 15,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1565), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(1563), 11,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [23863] = 11,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1565), 5,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_in,
    ACTIONS(1563), 16,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [23921] = 14,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1565), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(1563), 13,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [23985] = 17,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(1563), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [24055] = 18,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(1563), 9,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [24127] = 8,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1565), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1563), 18,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [24179] = 6,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1565), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1563), 19,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [24227] = 17,
    ACTIONS(1565), 1,
      anon_sym_PIPE,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(1563), 10,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [24297] = 16,
    ACTIONS(1565), 1,
      anon_sym_PIPE,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(1563), 11,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [24365] = 9,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1565), 6,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1563), 18,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [24419] = 4,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1565), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1563), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [24463] = 3,
    ACTIONS(1551), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1553), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [24505] = 3,
    ACTIONS(1579), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1581), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [24547] = 3,
    ACTIONS(1583), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1585), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [24589] = 3,
    ACTIONS(1587), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1589), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [24631] = 3,
    ACTIONS(1335), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1337), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [24673] = 3,
    ACTIONS(1547), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1549), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [24715] = 3,
    ACTIONS(1575), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1577), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [24757] = 3,
    ACTIONS(1595), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1597), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [24799] = 6,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1573), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1571), 19,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [24847] = 4,
    ACTIONS(2887), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(772), 11,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_DOT,
    ACTIONS(810), 21,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT,
  [24891] = 3,
    ACTIONS(1559), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1561), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [24933] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3285), 5,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3283), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [24975] = 3,
    ACTIONS(1271), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1273), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [25017] = 6,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1273), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1271), 19,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [25065] = 3,
    ACTIONS(1429), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1431), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [25107] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3289), 5,
      anon_sym_RBRACE,
      anon_sym_LT,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3287), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [25149] = 3,
    ACTIONS(1481), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1483), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [25191] = 5,
    ACTIONS(3293), 1,
      anon_sym_AT,
    ACTIONS(3296), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1491), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3291), 27,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_package,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [25237] = 3,
    ACTIONS(1515), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1517), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [25279] = 3,
    ACTIONS(1505), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1507), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [25321] = 4,
    ACTIONS(3298), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1130), 11,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_DOT,
    ACTIONS(1128), 21,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_COLON_COLON,
      anon_sym_DOT_DOT,
  [25365] = 4,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1511), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1509), 22,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [25409] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(1515), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
      anon_sym_SEMI,
  [25485] = 5,
    ACTIONS(2786), 1,
      anon_sym_LBRACE,
    STATE(1424), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2683), 3,
      anon_sym_LT,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(846), 28,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [25531] = 3,
    ACTIONS(1463), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1465), 32,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [25573] = 17,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3300), 1,
      sym_identifier,
    ACTIONS(3302), 1,
      anon_sym_final,
    STATE(1204), 1,
      sym__unannotated_type,
    STATE(1218), 1,
      sym_generic_type,
    STATE(1249), 1,
      sym_scoped_type_identifier,
    STATE(1282), 1,
      sym__type,
    STATE(1291), 1,
      sym_annotated_type,
    STATE(1455), 1,
      sym_record_pattern,
    STATE(2743), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3306), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3308), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1272), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1849), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3304), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25642] = 17,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3310), 1,
      sym_identifier,
    ACTIONS(3312), 1,
      anon_sym_final,
    STATE(195), 1,
      sym__unannotated_type,
    STATE(246), 1,
      sym_generic_type,
    STATE(259), 1,
      sym_scoped_type_identifier,
    STATE(327), 1,
      sym__type,
    STATE(389), 1,
      sym_record_pattern,
    STATE(393), 1,
      sym_annotated_type,
    STATE(2684), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3316), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3318), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(354), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1828), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3314), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25711] = 21,
    ACTIONS(43), 1,
      sym_underscore_pattern,
    ACTIONS(3179), 1,
      sym_identifier,
    ACTIONS(3181), 1,
      anon_sym_class,
    ACTIONS(3183), 1,
      anon_sym_enum,
    ACTIONS(3185), 1,
      anon_sym_record,
    ACTIONS(3187), 1,
      anon_sym_ATinterface,
    ACTIONS(3189), 1,
      anon_sym_interface,
    ACTIONS(3320), 1,
      anon_sym_def,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1864), 1,
      sym__unannotated_type,
    STATE(1972), 1,
      sym__reserved_identifier,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2270), 1,
      sym__variable_declarator_id,
    STATE(2482), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(77), 5,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [25788] = 6,
    ACTIONS(1200), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2972), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3159), 1,
      anon_sym_LBRACK,
    ACTIONS(3322), 1,
      anon_sym_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1202), 28,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [25835] = 17,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3324), 1,
      sym_identifier,
    ACTIONS(3326), 1,
      anon_sym_final,
    STATE(216), 1,
      sym__unannotated_type,
    STATE(413), 1,
      sym_generic_type,
    STATE(420), 1,
      sym_scoped_type_identifier,
    STATE(490), 1,
      sym__type,
    STATE(498), 1,
      sym_annotated_type,
    STATE(513), 1,
      sym_record_pattern,
    STATE(2785), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3330), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3332), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(523), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1850), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3328), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25904] = 17,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3334), 1,
      sym_identifier,
    ACTIONS(3336), 1,
      anon_sym_final,
    STATE(1192), 1,
      sym__unannotated_type,
    STATE(1215), 1,
      sym_generic_type,
    STATE(1245), 1,
      sym_scoped_type_identifier,
    STATE(1274), 1,
      sym__type,
    STATE(1286), 1,
      sym_annotated_type,
    STATE(1436), 1,
      sym_record_pattern,
    STATE(2656), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3340), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3342), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1268), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1822), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3338), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [25973] = 24,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3344), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_PERCENT,
    ACTIONS(3368), 1,
      anon_sym_GT_GT,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3374), 1,
      anon_sym_COMMA,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    ACTIONS(3378), 1,
      anon_sym_when,
    ACTIONS(3380), 1,
      anon_sym_DOT_DOT,
    STATE(2167), 1,
      aux_sym_switch_label_repeat1,
    STATE(2791), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3356), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3358), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3372), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
    ACTIONS(3346), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [26056] = 5,
    ACTIONS(2683), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3138), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3127), 10,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
    ACTIONS(846), 20,
      anon_sym_final,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_synchronized,
      anon_sym_open,
      anon_sym_module,
      anon_sym_static,
      anon_sym_with,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_record,
      anon_sym_def,
  [26101] = 21,
    ACTIONS(1626), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3382), 1,
      anon_sym_RBRACE,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3392), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3408), 1,
      anon_sym_COMMA,
    ACTIONS(3410), 1,
      anon_sym_QMARK,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    STATE(2432), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1624), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [26178] = 21,
    ACTIONS(1626), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3382), 1,
      anon_sym_RBRACE,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3392), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3410), 1,
      anon_sym_QMARK,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3416), 1,
      anon_sym_COMMA,
    STATE(2543), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1624), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [26255] = 4,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3237), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(1245), 11,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
      anon_sym_DOT,
    ACTIONS(1243), 19,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_DOT_DOT,
  [26298] = 21,
    ACTIONS(1626), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3392), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3410), 1,
      anon_sym_QMARK,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3416), 1,
      anon_sym_COMMA,
    ACTIONS(3418), 1,
      anon_sym_RBRACE,
    STATE(2543), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1624), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [26375] = 15,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3420), 1,
      anon_sym_AMP,
    ACTIONS(3430), 1,
      anon_sym_PIPE,
    ACTIONS(3432), 1,
      anon_sym_CARET,
    ACTIONS(3436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3438), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3424), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3434), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3422), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
    ACTIONS(1565), 7,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
  [26439] = 16,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3310), 1,
      sym_identifier,
    STATE(195), 1,
      sym__unannotated_type,
    STATE(246), 1,
      sym_generic_type,
    STATE(259), 1,
      sym_scoped_type_identifier,
    STATE(334), 1,
      sym__type,
    STATE(393), 1,
      sym_annotated_type,
    STATE(397), 1,
      sym_record_pattern,
    STATE(2684), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3316), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3318), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(354), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1828), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3314), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [26505] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3442), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3440), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [26545] = 6,
    ACTIONS(1271), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1273), 26,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
  [26591] = 3,
    ACTIONS(1405), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1407), 30,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [26631] = 4,
    ACTIONS(1200), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3444), 1,
      anon_sym_RBRACE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1202), 29,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [26673] = 12,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
    ACTIONS(1565), 10,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
  [26731] = 9,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(1565), 18,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
  [26783] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3448), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3446), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [26823] = 11,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
    ACTIONS(1565), 12,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
  [26879] = 15,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
    ACTIONS(1565), 7,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
  [26943] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3452), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3450), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [26983] = 16,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3324), 1,
      sym_identifier,
    STATE(216), 1,
      sym__unannotated_type,
    STATE(413), 1,
      sym_generic_type,
    STATE(420), 1,
      sym_scoped_type_identifier,
    STATE(487), 1,
      sym__type,
    STATE(498), 1,
      sym_annotated_type,
    STATE(533), 1,
      sym_record_pattern,
    STATE(2785), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3330), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3332), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(523), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1850), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3328), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [27049] = 16,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
    ACTIONS(1565), 6,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
  [27115] = 13,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
    ACTIONS(1565), 9,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
  [27175] = 16,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3300), 1,
      sym_identifier,
    STATE(1204), 1,
      sym__unannotated_type,
    STATE(1218), 1,
      sym_generic_type,
    STATE(1249), 1,
      sym_scoped_type_identifier,
    STATE(1287), 1,
      sym__type,
    STATE(1291), 1,
      sym_annotated_type,
    STATE(1475), 1,
      sym_record_pattern,
    STATE(2743), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3306), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3308), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1272), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1849), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3304), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [27241] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3456), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3454), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [27281] = 18,
    ACTIONS(1555), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3392), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3410), 1,
      anon_sym_QMARK,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(1557), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [27351] = 18,
    ACTIONS(1555), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3420), 1,
      anon_sym_AMP,
    ACTIONS(3430), 1,
      anon_sym_PIPE,
    ACTIONS(3432), 1,
      anon_sym_CARET,
    ACTIONS(3436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3438), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3462), 1,
      anon_sym_QMARK,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3424), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3434), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(1557), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(3422), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [27421] = 18,
    ACTIONS(1559), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3420), 1,
      anon_sym_AMP,
    ACTIONS(3430), 1,
      anon_sym_PIPE,
    ACTIONS(3432), 1,
      anon_sym_CARET,
    ACTIONS(3436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3438), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3462), 1,
      anon_sym_QMARK,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3424), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3434), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(1561), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(3422), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [27491] = 12,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3438), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3424), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3434), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3422), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
    ACTIONS(1565), 10,
      anon_sym_AMP,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
  [27549] = 9,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3438), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3434), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(1565), 18,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
  [27601] = 11,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3438), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3434), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3422), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
    ACTIONS(1565), 12,
      anon_sym_AMP,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
  [27657] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3466), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3464), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [27697] = 16,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3420), 1,
      anon_sym_AMP,
    ACTIONS(3430), 1,
      anon_sym_PIPE,
    ACTIONS(3432), 1,
      anon_sym_CARET,
    ACTIONS(3436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3438), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3424), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3434), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3422), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
    ACTIONS(1565), 6,
      anon_sym_PIPE_PIPE,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
  [27763] = 7,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3438), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1565), 23,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
  [27811] = 6,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3438), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1565), 26,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
  [27857] = 14,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3420), 1,
      anon_sym_AMP,
    ACTIONS(3432), 1,
      anon_sym_CARET,
    ACTIONS(3436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3438), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3424), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3434), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3422), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
    ACTIONS(1565), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
  [27919] = 18,
    ACTIONS(1591), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3392), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3410), 1,
      anon_sym_QMARK,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(1593), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [27989] = 8,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3438), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1565), 21,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
  [28039] = 4,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1565), 29,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [28081] = 6,
    ACTIONS(1571), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3438), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1573), 26,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
  [28127] = 6,
    ACTIONS(1271), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3438), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1273), 26,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
  [28173] = 6,
    ACTIONS(1571), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1573), 26,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
  [28219] = 4,
    ACTIONS(1200), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1614), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(1202), 28,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [28261] = 18,
    ACTIONS(1559), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3392), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3410), 1,
      anon_sym_QMARK,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(1561), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [28331] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3470), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3468), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [28371] = 4,
    ACTIONS(1200), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3472), 1,
      anon_sym_RBRACE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1202), 29,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [28413] = 18,
    ACTIONS(1591), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3420), 1,
      anon_sym_AMP,
    ACTIONS(3430), 1,
      anon_sym_PIPE,
    ACTIONS(3432), 1,
      anon_sym_CARET,
    ACTIONS(3436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3438), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3462), 1,
      anon_sym_QMARK,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3424), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3434), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(1593), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(3422), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [28483] = 4,
    ACTIONS(1509), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1511), 29,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [28525] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3476), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3474), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [28565] = 7,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1565), 23,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
  [28613] = 18,
    ACTIONS(1515), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3392), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3410), 1,
      anon_sym_QMARK,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(1517), 4,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [28683] = 16,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3334), 1,
      sym_identifier,
    STATE(1192), 1,
      sym__unannotated_type,
    STATE(1215), 1,
      sym_generic_type,
    STATE(1245), 1,
      sym_scoped_type_identifier,
    STATE(1275), 1,
      sym__type,
    STATE(1286), 1,
      sym_annotated_type,
    STATE(1423), 1,
      sym_record_pattern,
    STATE(2656), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3340), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3342), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1268), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1822), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3338), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [28749] = 6,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1565), 26,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
  [28795] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3480), 4,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_non_DASHsealed,
      anon_sym_ATinterface,
    ACTIONS(3478), 27,
      anon_sym_final,
      anon_sym_class,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_AT,
      anon_sym_static,
      anon_sym_enum,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_interface,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [28835] = 4,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1565), 29,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [28877] = 20,
    ACTIONS(1622), 1,
      anon_sym_while,
    ACTIONS(1626), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3420), 1,
      anon_sym_AMP,
    ACTIONS(3430), 1,
      anon_sym_PIPE,
    ACTIONS(3432), 1,
      anon_sym_CARET,
    ACTIONS(3436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3438), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3462), 1,
      anon_sym_QMARK,
    ACTIONS(3482), 1,
      anon_sym_else,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1624), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3424), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3434), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3422), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [28951] = 4,
    ACTIONS(1200), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1604), 2,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(1202), 28,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [28993] = 8,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1565), 21,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
  [29043] = 19,
    ACTIONS(1626), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3392), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3410), 1,
      anon_sym_QMARK,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1624), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3484), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [29115] = 4,
    ACTIONS(1509), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1511), 29,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [29157] = 24,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3372), 1,
      anon_sym_COLON,
    ACTIONS(3486), 1,
      anon_sym_COMMA,
    ACTIONS(3488), 1,
      anon_sym_when,
    STATE(2332), 1,
      aux_sym_switch_label_repeat1,
    STATE(2791), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [29239] = 18,
    ACTIONS(1515), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3420), 1,
      anon_sym_AMP,
    ACTIONS(3430), 1,
      anon_sym_PIPE,
    ACTIONS(3432), 1,
      anon_sym_CARET,
    ACTIONS(3436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3438), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3458), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3460), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3462), 1,
      anon_sym_QMARK,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3424), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3434), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(1517), 4,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
    ACTIONS(3422), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [29309] = 4,
    ACTIONS(1551), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1553), 29,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
      anon_sym_DOT_DOT,
  [29351] = 14,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
    ACTIONS(1565), 8,
      anon_sym_RBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
  [29413] = 4,
    ACTIONS(1551), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1553), 29,
      anon_sym_RBRACE,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [29455] = 13,
    ACTIONS(1563), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3420), 1,
      anon_sym_AMP,
    ACTIONS(3436), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3438), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3424), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3426), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3428), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3434), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3422), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
    ACTIONS(1565), 9,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_while,
      anon_sym_else,
  [29515] = 3,
    ACTIONS(1223), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1225), 29,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [29554] = 7,
    ACTIONS(2954), 1,
      anon_sym_AT,
    ACTIONS(3490), 1,
      anon_sym_LBRACK,
    STATE(1570), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(918), 10,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(920), 13,
      anon_sym_DOT,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [29601] = 20,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3344), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_PERCENT,
    ACTIONS(3368), 1,
      anon_sym_GT_GT,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    ACTIONS(3380), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3356), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3358), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3346), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(1555), 4,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_when,
  [29674] = 20,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3344), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_PERCENT,
    ACTIONS(3368), 1,
      anon_sym_GT_GT,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    ACTIONS(3380), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3356), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3358), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3346), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(1559), 4,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_when,
  [29747] = 15,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3364), 1,
      anon_sym_PERCENT,
    ACTIONS(3368), 1,
      anon_sym_GT_GT,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3380), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1565), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3356), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3358), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3346), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(1563), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [29810] = 11,
    ACTIONS(3364), 1,
      anon_sym_PERCENT,
    ACTIONS(3368), 1,
      anon_sym_GT_GT,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3380), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3356), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3358), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(1565), 5,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_in,
    ACTIONS(1563), 13,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [29865] = 14,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3364), 1,
      anon_sym_PERCENT,
    ACTIONS(3368), 1,
      anon_sym_GT_GT,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3380), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1565), 2,
      anon_sym_AMP,
      anon_sym_PIPE,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3356), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3358), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3346), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(1563), 10,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [29926] = 17,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3344), 1,
      anon_sym_AMP,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_PERCENT,
    ACTIONS(3368), 1,
      anon_sym_GT_GT,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3380), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3356), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3358), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3346), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(1563), 7,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [29993] = 18,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3344), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_PERCENT,
    ACTIONS(3368), 1,
      anon_sym_GT_GT,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3380), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3356), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3358), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3346), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(1563), 6,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [30062] = 8,
    ACTIONS(3364), 1,
      anon_sym_PERCENT,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3380), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3358), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 8,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1563), 15,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [30111] = 4,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1511), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1509), 19,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_when,
      anon_sym_DOT_DOT,
  [30152] = 20,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3344), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_PERCENT,
    ACTIONS(3368), 1,
      anon_sym_GT_GT,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    ACTIONS(3380), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3356), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3358), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3346), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(1515), 4,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_when,
  [30225] = 4,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1553), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1551), 19,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_when,
      anon_sym_DOT_DOT,
  [30266] = 6,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3380), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1565), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1563), 16,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [30311] = 19,
    ACTIONS(1626), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3392), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3410), 1,
      anon_sym_QMARK,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3493), 1,
      anon_sym_RBRACE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1624), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [30382] = 4,
    ACTIONS(1200), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3493), 1,
      anon_sym_RBRACE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1202), 28,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [30423] = 17,
    ACTIONS(1565), 1,
      anon_sym_PIPE,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3344), 1,
      anon_sym_AMP,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_PERCENT,
    ACTIONS(3368), 1,
      anon_sym_GT_GT,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3380), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3356), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3358), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3346), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(1563), 7,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [30490] = 16,
    ACTIONS(1565), 1,
      anon_sym_PIPE,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3344), 1,
      anon_sym_AMP,
    ACTIONS(3364), 1,
      anon_sym_PERCENT,
    ACTIONS(3368), 1,
      anon_sym_GT_GT,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3380), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3356), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3358), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3346), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(1563), 8,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [30555] = 9,
    ACTIONS(3364), 1,
      anon_sym_PERCENT,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3380), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3356), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3358), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(1565), 6,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1563), 15,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [30606] = 4,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1565), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1563), 19,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_when,
      anon_sym_DOT_DOT,
  [30647] = 20,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3344), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_PERCENT,
    ACTIONS(3368), 1,
      anon_sym_GT_GT,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    ACTIONS(3380), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3356), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3358), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3346), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(3495), 4,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_when,
  [30720] = 19,
    ACTIONS(1626), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3392), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3410), 1,
      anon_sym_QMARK,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3497), 1,
      anon_sym_RBRACE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1624), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [30791] = 4,
    ACTIONS(1200), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3497), 1,
      anon_sym_RBRACE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1202), 28,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [30832] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1225), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1223), 20,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [30871] = 6,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3380), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1273), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1271), 16,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [30916] = 20,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3344), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_PERCENT,
    ACTIONS(3368), 1,
      anon_sym_GT_GT,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    ACTIONS(3380), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3356), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3358), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3346), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(1591), 4,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_when,
  [30989] = 19,
    ACTIONS(1626), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3392), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3410), 1,
      anon_sym_QMARK,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3499), 1,
      anon_sym_RBRACE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1624), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [31060] = 4,
    ACTIONS(1200), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3499), 1,
      anon_sym_RBRACE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1202), 28,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [31101] = 19,
    ACTIONS(1626), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3392), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3410), 1,
      anon_sym_QMARK,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3501), 1,
      anon_sym_RBRACE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1624), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [31172] = 4,
    ACTIONS(1200), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3501), 1,
      anon_sym_RBRACE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1202), 28,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [31213] = 18,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3392), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3410), 1,
      anon_sym_QMARK,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3505), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3503), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [31282] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(3130), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [31355] = 19,
    ACTIONS(1626), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3392), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3410), 1,
      anon_sym_QMARK,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3507), 1,
      anon_sym_RBRACE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1624), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [31426] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(3495), 4,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
  [31499] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1225), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1223), 20,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [31538] = 6,
    ACTIONS(966), 1,
      anon_sym_AT,
    ACTIONS(3168), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1411), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(3073), 11,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
    ACTIONS(3163), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [31583] = 19,
    ACTIONS(1626), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3392), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3410), 1,
      anon_sym_QMARK,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3472), 1,
      anon_sym_RBRACE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1624), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [31654] = 7,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    STATE(1570), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(912), 10,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(914), 13,
      anon_sym_DOT,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [31701] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1407), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1405), 20,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [31740] = 4,
    ACTIONS(1200), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3507), 1,
      anon_sym_RBRACE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1202), 28,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [31781] = 19,
    ACTIONS(1626), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3392), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3410), 1,
      anon_sym_QMARK,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3444), 1,
      anon_sym_RBRACE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1624), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [31852] = 19,
    ACTIONS(1626), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3392), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3410), 1,
      anon_sym_QMARK,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3511), 1,
      anon_sym_RBRACE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1624), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [31923] = 4,
    ACTIONS(1200), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3511), 1,
      anon_sym_RBRACE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1202), 28,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
      anon_sym_in,
      anon_sym_STAR_STAR,
      anon_sym_instanceof,
      anon_sym_QMARK,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_DOT_DOT,
  [31964] = 6,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3380), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1573), 10,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_GT_GT,
      anon_sym_in,
    ACTIONS(1571), 16,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_CARET,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
      anon_sym_instanceof,
      anon_sym_DASH_GT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_COLON,
      anon_sym_when,
  [32009] = 18,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3392), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3410), 1,
      anon_sym_QMARK,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3515), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3513), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [32077] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3517), 1,
      anon_sym_COMMA,
    ACTIONS(3519), 1,
      anon_sym_SEMI,
    STATE(2622), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [32153] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3521), 1,
      anon_sym_RBRACE,
    ACTIONS(3523), 1,
      anon_sym_COMMA,
    STATE(2603), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [32229] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
    ACTIONS(3505), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [32301] = 18,
    ACTIONS(1626), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3392), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3410), 1,
      anon_sym_QMARK,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1624), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [32369] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3525), 1,
      anon_sym_RBRACE,
    ACTIONS(3527), 1,
      anon_sym_COMMA,
    STATE(2432), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [32445] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3529), 1,
      anon_sym_RPAREN,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    STATE(2612), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [32521] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3533), 1,
      anon_sym_RPAREN,
    STATE(2613), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [32597] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3535), 1,
      anon_sym_COMMA,
    ACTIONS(3537), 1,
      anon_sym_RBRACK,
    STATE(2444), 1,
      aux_sym_switch_label_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [32673] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3539), 1,
      anon_sym_RBRACE,
    ACTIONS(3541), 1,
      anon_sym_COMMA,
    STATE(2543), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [32749] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3543), 1,
      anon_sym_RPAREN,
    ACTIONS(3545), 1,
      anon_sym_COMMA,
    STATE(2458), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [32825] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3547), 1,
      anon_sym_RPAREN,
    STATE(2456), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [32901] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3549), 1,
      anon_sym_RPAREN,
    STATE(2563), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [32977] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3551), 1,
      anon_sym_RBRACE,
    ACTIONS(3553), 1,
      anon_sym_COMMA,
    STATE(2470), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [33053] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3555), 1,
      anon_sym_COMMA,
    ACTIONS(3557), 1,
      anon_sym_RBRACK,
    STATE(2420), 1,
      aux_sym_switch_label_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [33129] = 18,
    ACTIONS(3384), 1,
      anon_sym_AMP,
    ACTIONS(3390), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3392), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3398), 1,
      anon_sym_PIPE,
    ACTIONS(3400), 1,
      anon_sym_CARET,
    ACTIONS(3404), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3406), 1,
      anon_sym_instanceof,
    ACTIONS(3410), 1,
      anon_sym_QMARK,
    ACTIONS(3414), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3561), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3388), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3394), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3412), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3559), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(3396), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(3402), 3,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_GT_GT_GT,
    ACTIONS(3386), 5,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_in,
  [33197] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1654), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [33269] = 4,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3138), 2,
      anon_sym_AT,
      anon_sym_non_DASHsealed,
    ACTIONS(3132), 3,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
    ACTIONS(3127), 24,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      anon_sym_def,
      sym_identifier,
  [33309] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3563), 1,
      anon_sym_RPAREN,
    ACTIONS(3565), 1,
      anon_sym_COMMA,
    STATE(2474), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [33385] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(1694), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_RBRACK,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [33457] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3567), 1,
      anon_sym_RPAREN,
    STATE(2526), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [33533] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3569), 1,
      anon_sym_COMMA,
    ACTIONS(3571), 1,
      anon_sym_RBRACK,
    STATE(2518), 1,
      aux_sym_switch_label_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [33609] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3573), 1,
      anon_sym_RPAREN,
    ACTIONS(3575), 1,
      anon_sym_COMMA,
    STATE(2580), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [33685] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3577), 1,
      anon_sym_RPAREN,
    STATE(2539), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [33761] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3579), 1,
      anon_sym_RPAREN,
    STATE(2541), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [33837] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3581), 1,
      anon_sym_RPAREN,
    STATE(2542), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [33913] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3583), 1,
      anon_sym_RPAREN,
    STATE(2546), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [33989] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3585), 1,
      anon_sym_RPAREN,
    STATE(2547), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [34065] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3587), 1,
      anon_sym_RPAREN,
    STATE(2548), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [34141] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3589), 1,
      anon_sym_RPAREN,
    STATE(2550), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [34217] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3591), 1,
      anon_sym_RPAREN,
    STATE(2564), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [34293] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3593), 1,
      anon_sym_COMMA,
    ACTIONS(3595), 1,
      anon_sym_RBRACK,
    STATE(2559), 1,
      aux_sym_switch_label_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [34369] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3597), 1,
      anon_sym_RPAREN,
    STATE(2568), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [34445] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3599), 1,
      anon_sym_RPAREN,
    STATE(2569), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [34521] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3601), 1,
      anon_sym_RPAREN,
    STATE(2570), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [34597] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3603), 1,
      anon_sym_RPAREN,
    STATE(2572), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [34673] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3605), 1,
      anon_sym_RPAREN,
    STATE(2573), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [34749] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3607), 1,
      anon_sym_RPAREN,
    STATE(2574), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [34825] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3609), 1,
      anon_sym_RPAREN,
    STATE(2576), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [34901] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3517), 1,
      anon_sym_COMMA,
    ACTIONS(3611), 1,
      anon_sym_SEMI,
    STATE(2557), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [34977] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3613), 1,
      anon_sym_RPAREN,
    STATE(2422), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [35053] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3615), 1,
      anon_sym_RPAREN,
    ACTIONS(3617), 1,
      anon_sym_COMMA,
    STATE(2453), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [35129] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3619), 1,
      anon_sym_RPAREN,
    STATE(2491), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [35205] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3621), 1,
      anon_sym_RPAREN,
    STATE(2594), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [35281] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3517), 1,
      anon_sym_COMMA,
    ACTIONS(3623), 1,
      anon_sym_SEMI,
    STATE(2619), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [35357] = 22,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(3625), 1,
      anon_sym_RPAREN,
    STATE(2535), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [35433] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3627), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [35504] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3629), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [35575] = 16,
    ACTIONS(962), 1,
      sym_underscore_pattern,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3635), 1,
      anon_sym_def,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1854), 1,
      sym__unannotated_type,
    STATE(1932), 1,
      sym__reserved_identifier,
    STATE(2117), 1,
      sym__variable_declarator_id,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2611), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(3633), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [35638] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3637), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [35709] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3639), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [35780] = 20,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3344), 1,
      anon_sym_AMP,
    ACTIONS(3352), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3354), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3360), 1,
      anon_sym_PIPE,
    ACTIONS(3362), 1,
      anon_sym_CARET,
    ACTIONS(3364), 1,
      anon_sym_PERCENT,
    ACTIONS(3368), 1,
      anon_sym_GT_GT,
    ACTIONS(3370), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3376), 1,
      anon_sym_QMARK,
    ACTIONS(3380), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3348), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3350), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3356), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3358), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3366), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3641), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
    ACTIONS(3346), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [35851] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3643), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [35922] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3645), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [35993] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3130), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [36064] = 16,
    ACTIONS(962), 1,
      sym_underscore_pattern,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3635), 1,
      anon_sym_def,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1866), 1,
      sym__unannotated_type,
    STATE(1932), 1,
      sym__reserved_identifier,
    STATE(2135), 1,
      sym__variable_declarator_id,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2611), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(3633), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [36127] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3647), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [36198] = 21,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3649), 1,
      anon_sym_COLON,
    ACTIONS(3651), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [36271] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3653), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [36342] = 16,
    ACTIONS(962), 1,
      sym_underscore_pattern,
    ACTIONS(3631), 1,
      sym_identifier,
    ACTIONS(3635), 1,
      anon_sym_def,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1877), 1,
      sym__unannotated_type,
    STATE(1932), 1,
      sym__reserved_identifier,
    STATE(2146), 1,
      sym__variable_declarator_id,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2611), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(3633), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [36405] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3655), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [36475] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3657), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [36545] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3659), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [36615] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3661), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [36685] = 14,
    ACTIONS(1706), 1,
      sym_underscore_pattern,
    ACTIONS(3663), 1,
      sym_identifier,
    ACTIONS(3665), 1,
      anon_sym_RPAREN,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1913), 1,
      sym__unannotated_type,
    STATE(1999), 1,
      sym_generic_type,
    STATE(2656), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2512), 2,
      sym_record_pattern,
      sym_record_pattern_component,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [36743] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3667), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [36813] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3669), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [36883] = 14,
    ACTIONS(1706), 1,
      sym_underscore_pattern,
    ACTIONS(3663), 1,
      sym_identifier,
    ACTIONS(3671), 1,
      anon_sym_RPAREN,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1913), 1,
      sym__unannotated_type,
    STATE(1999), 1,
      sym_generic_type,
    STATE(2656), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2504), 2,
      sym_record_pattern,
      sym_record_pattern_component,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [36941] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3673), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [37011] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3675), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [37081] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3677), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [37151] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3679), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [37221] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3681), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [37291] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3683), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [37361] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3685), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [37431] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3687), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [37501] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3689), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [37571] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3691), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [37641] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3693), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [37711] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3695), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [37781] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3697), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [37851] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3699), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [37921] = 14,
    ACTIONS(1706), 1,
      sym_underscore_pattern,
    ACTIONS(3663), 1,
      sym_identifier,
    ACTIONS(3701), 1,
      anon_sym_RPAREN,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1913), 1,
      sym__unannotated_type,
    STATE(1999), 1,
      sym_generic_type,
    STATE(2656), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2467), 2,
      sym_record_pattern,
      sym_record_pattern_component,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [37979] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3703), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [38049] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3705), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [38119] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3707), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [38189] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3709), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [38259] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3711), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [38329] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3713), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [38399] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3715), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [38469] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3717), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [38539] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3719), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [38609] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3721), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [38679] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3723), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [38749] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3725), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [38819] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3727), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [38889] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3729), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [38959] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3731), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [39029] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3733), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [39099] = 14,
    ACTIONS(1706), 1,
      sym_underscore_pattern,
    ACTIONS(3663), 1,
      sym_identifier,
    ACTIONS(3735), 1,
      anon_sym_RPAREN,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1913), 1,
      sym__unannotated_type,
    STATE(1999), 1,
      sym_generic_type,
    STATE(2656), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2596), 2,
      sym_record_pattern,
      sym_record_pattern_component,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [39157] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3737), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [39227] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3739), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [39297] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3741), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [39367] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3743), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [39437] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3745), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [39507] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3747), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [39577] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3749), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [39647] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3751), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [39717] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3753), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [39787] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3755), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [39857] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3757), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [39927] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3759), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [39997] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3761), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [40067] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3763), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [40137] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3765), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [40207] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3767), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [40277] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3769), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [40347] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3771), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [40417] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3773), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [40487] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3775), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [40557] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3777), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [40627] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3779), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [40697] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3781), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [40767] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3783), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [40837] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3785), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [40907] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3787), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [40977] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3789), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [41047] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3791), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [41117] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3793), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [41187] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3795), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [41257] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3797), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [41327] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3799), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [41397] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3641), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [41467] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3801), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [41537] = 20,
    ACTIONS(3247), 1,
      anon_sym_STAR_STAR,
    ACTIONS(3249), 1,
      anon_sym_AMP,
    ACTIONS(3257), 1,
      anon_sym_AMP_AMP,
    ACTIONS(3259), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(3265), 1,
      anon_sym_PIPE,
    ACTIONS(3267), 1,
      anon_sym_CARET,
    ACTIONS(3269), 1,
      anon_sym_PERCENT,
    ACTIONS(3273), 1,
      anon_sym_GT_GT,
    ACTIONS(3275), 1,
      anon_sym_instanceof,
    ACTIONS(3277), 1,
      anon_sym_QMARK,
    ACTIONS(3281), 1,
      anon_sym_DOT_DOT,
    ACTIONS(3803), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3253), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(3255), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(3261), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(3263), 2,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(3271), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT_GT,
    ACTIONS(3279), 2,
      anon_sym_PLUS_PLUS,
      anon_sym_DASH_DASH,
    ACTIONS(3251), 3,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_in,
  [41607] = 13,
    ACTIONS(1706), 1,
      sym_underscore_pattern,
    ACTIONS(3663), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1913), 1,
      sym__unannotated_type,
    STATE(1999), 1,
      sym_generic_type,
    STATE(2656), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2670), 2,
      sym_record_pattern,
      sym_record_pattern_component,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [41662] = 12,
    ACTIONS(966), 1,
      anon_sym_AT,
    ACTIONS(1018), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3805), 1,
      sym_identifier,
    ACTIONS(3807), 1,
      anon_sym_RBRACE,
    ACTIONS(3809), 1,
      anon_sym_COMMA,
    ACTIONS(3811), 1,
      anon_sym_SEMI,
    STATE(2330), 1,
      sym_enum_constant,
    STATE(2867), 1,
      sym_enum_body_declarations,
    STATE(2874), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1604), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1014), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [41715] = 15,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(3813), 1,
      anon_sym_GT,
    ACTIONS(3815), 1,
      anon_sym_QMARK,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1919), 1,
      sym__unannotated_type,
    STATE(2101), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2506), 2,
      sym_wildcard,
      sym__type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1805), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [41774] = 15,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(3815), 1,
      anon_sym_QMARK,
    ACTIONS(3817), 1,
      anon_sym_GT,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1919), 1,
      sym__unannotated_type,
    STATE(2101), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2499), 2,
      sym_wildcard,
      sym__type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1805), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [41833] = 15,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(3815), 1,
      anon_sym_QMARK,
    ACTIONS(3819), 1,
      anon_sym_GT,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1919), 1,
      sym__unannotated_type,
    STATE(2101), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2441), 2,
      sym_wildcard,
      sym__type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1805), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [41892] = 14,
    ACTIONS(3035), 1,
      sym_identifier,
    ACTIONS(3037), 1,
      sym_underscore_pattern,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1900), 1,
      sym__unannotated_type,
    STATE(1993), 1,
      sym__reserved_identifier,
    STATE(2058), 1,
      sym_catch_type,
    STATE(2922), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [41949] = 15,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(3815), 1,
      anon_sym_QMARK,
    ACTIONS(3821), 1,
      anon_sym_GT,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1919), 1,
      sym__unannotated_type,
    STATE(2101), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2606), 2,
      sym_wildcard,
      sym__type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1805), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [42008] = 15,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(3815), 1,
      anon_sym_QMARK,
    ACTIONS(3823), 1,
      anon_sym_GT,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1919), 1,
      sym__unannotated_type,
    STATE(2101), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2477), 2,
      sym_wildcard,
      sym__type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1805), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [42067] = 15,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(3815), 1,
      anon_sym_QMARK,
    ACTIONS(3825), 1,
      anon_sym_GT,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1919), 1,
      sym__unannotated_type,
    STATE(2101), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2618), 2,
      sym_wildcard,
      sym__type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1805), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [42126] = 12,
    ACTIONS(2061), 1,
      anon_sym_AT,
    ACTIONS(2752), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3827), 1,
      anon_sym_LT,
    ACTIONS(3829), 1,
      anon_sym_LBRACK,
    ACTIONS(3832), 1,
      anon_sym_DOT,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(1947), 1,
      aux_sym_dimensions_repeat1,
    STATE(2138), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2212), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(785), 6,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
    ACTIONS(1074), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [42179] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1165), 12,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1167), 13,
      anon_sym_DOT,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [42213] = 11,
    ACTIONS(966), 1,
      anon_sym_AT,
    ACTIONS(1018), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3805), 1,
      sym_identifier,
    ACTIONS(3811), 1,
      anon_sym_SEMI,
    ACTIONS(3834), 1,
      anon_sym_RBRACE,
    STATE(2511), 1,
      sym_enum_constant,
    STATE(2823), 1,
      sym_enum_body_declarations,
    STATE(2874), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1604), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1014), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [42263] = 16,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3037), 1,
      sym_underscore_pattern,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(3836), 1,
      sym_identifier,
    ACTIONS(3838), 1,
      anon_sym_DOT,
    ACTIONS(3840), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3842), 1,
      sym_this,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1993), 1,
      sym__reserved_identifier,
    STATE(2575), 1,
      sym__variable_declarator_id,
    STATE(2589), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(980), 3,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [42323] = 18,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(3181), 1,
      anon_sym_class,
    ACTIONS(3183), 1,
      anon_sym_enum,
    ACTIONS(3187), 1,
      anon_sym_ATinterface,
    ACTIONS(3189), 1,
      anon_sym_interface,
    ACTIONS(3844), 1,
      sym_identifier,
    ACTIONS(3846), 1,
      anon_sym_record,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1816), 1,
      sym_type_parameters,
    STATE(1821), 1,
      sym__unannotated_type,
    STATE(2282), 1,
      sym__method_header,
    STATE(2405), 1,
      sym__constructor_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [42387] = 11,
    ACTIONS(966), 1,
      anon_sym_AT,
    ACTIONS(1018), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3805), 1,
      sym_identifier,
    ACTIONS(3811), 1,
      anon_sym_SEMI,
    ACTIONS(3848), 1,
      anon_sym_RBRACE,
    STATE(2511), 1,
      sym_enum_constant,
    STATE(2874), 1,
      sym_modifiers,
    STATE(2893), 1,
      sym_enum_body_declarations,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1604), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1014), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [42437] = 14,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(3815), 1,
      anon_sym_QMARK,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1919), 1,
      sym__unannotated_type,
    STATE(2101), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2772), 2,
      sym_wildcard,
      sym__type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1805), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [42493] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(918), 12,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(920), 13,
      anon_sym_DOT,
      anon_sym_default,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [42527] = 14,
    ACTIONS(1832), 1,
      anon_sym_DQUOTE,
    ACTIONS(1834), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1836), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1850), 1,
      anon_sym_LBRACK,
    ACTIONS(3850), 1,
      sym_identifier,
    ACTIONS(3852), 1,
      anon_sym_LPAREN,
    STATE(839), 1,
      sym__literal,
    STATE(934), 1,
      sym_map_item,
    STATE(1012), 1,
      sym__juxt_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(357), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(1830), 3,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
    STATE(351), 3,
      sym_string_literal,
      sym_array_literal,
      sym_map_literal,
    ACTIONS(1828), 7,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_null_literal,
  [42582] = 14,
    ACTIONS(936), 1,
      anon_sym_DQUOTE,
    ACTIONS(938), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(940), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(956), 1,
      anon_sym_LBRACK,
    ACTIONS(3854), 1,
      sym_identifier,
    ACTIONS(3856), 1,
      anon_sym_LPAREN,
    ACTIONS(3858), 1,
      anon_sym_RBRACK,
    STATE(2745), 1,
      sym_map_item,
    STATE(2809), 1,
      sym__literal,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1357), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(934), 3,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
    STATE(1354), 3,
      sym_string_literal,
      sym_array_literal,
      sym_map_literal,
    ACTIONS(932), 7,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_null_literal,
  [42637] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3832), 1,
      anon_sym_DOT,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1072), 10,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1074), 11,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [42676] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1447), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1449), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [42709] = 14,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1919), 1,
      sym__unannotated_type,
    STATE(2101), 1,
      sym_annotated_type,
    STATE(2374), 1,
      sym__type,
    STATE(2676), 1,
      sym_type_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1837), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [42764] = 12,
    ACTIONS(2061), 1,
      anon_sym_AT,
    ACTIONS(2752), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(3827), 1,
      anon_sym_LT,
    ACTIONS(3832), 1,
      anon_sym_DOT,
    ACTIONS(3860), 1,
      anon_sym_LBRACK,
    STATE(1053), 1,
      aux_sym_dimensions_repeat1,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2138), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(785), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(2221), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1074), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [42815] = 14,
    ACTIONS(936), 1,
      anon_sym_DQUOTE,
    ACTIONS(938), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(940), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(956), 1,
      anon_sym_LBRACK,
    ACTIONS(3854), 1,
      sym_identifier,
    ACTIONS(3856), 1,
      anon_sym_LPAREN,
    ACTIONS(3863), 1,
      anon_sym_RBRACK,
    STATE(2745), 1,
      sym_map_item,
    STATE(2809), 1,
      sym__literal,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1357), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(934), 3,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
    STATE(1354), 3,
      sym_string_literal,
      sym_array_literal,
      sym_map_literal,
    ACTIONS(932), 7,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_null_literal,
  [42870] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1451), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1453), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [42903] = 14,
    ACTIONS(936), 1,
      anon_sym_DQUOTE,
    ACTIONS(938), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(940), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(956), 1,
      anon_sym_LBRACK,
    ACTIONS(3854), 1,
      sym_identifier,
    ACTIONS(3856), 1,
      anon_sym_LPAREN,
    ACTIONS(3865), 1,
      anon_sym_RBRACK,
    STATE(2745), 1,
      sym_map_item,
    STATE(2809), 1,
      sym__literal,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1357), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(934), 3,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
    STATE(1354), 3,
      sym_string_literal,
      sym_array_literal,
      sym_map_literal,
    ACTIONS(932), 7,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_null_literal,
  [42958] = 14,
    ACTIONS(936), 1,
      anon_sym_DQUOTE,
    ACTIONS(938), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(940), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(956), 1,
      anon_sym_LBRACK,
    ACTIONS(3854), 1,
      sym_identifier,
    ACTIONS(3856), 1,
      anon_sym_LPAREN,
    ACTIONS(3867), 1,
      anon_sym_RBRACK,
    STATE(2745), 1,
      sym_map_item,
    STATE(2809), 1,
      sym__literal,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1357), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(934), 3,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
    STATE(1354), 3,
      sym_string_literal,
      sym_array_literal,
      sym_map_literal,
    ACTIONS(932), 7,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_null_literal,
  [43013] = 14,
    ACTIONS(936), 1,
      anon_sym_DQUOTE,
    ACTIONS(938), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(940), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(956), 1,
      anon_sym_LBRACK,
    ACTIONS(3854), 1,
      sym_identifier,
    ACTIONS(3856), 1,
      anon_sym_LPAREN,
    ACTIONS(3869), 1,
      anon_sym_RBRACK,
    STATE(2745), 1,
      sym_map_item,
    STATE(2809), 1,
      sym__literal,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1357), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(934), 3,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
    STATE(1354), 3,
      sym_string_literal,
      sym_array_literal,
      sym_map_literal,
    ACTIONS(932), 7,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_null_literal,
  [43068] = 14,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1919), 1,
      sym__unannotated_type,
    STATE(2101), 1,
      sym_annotated_type,
    STATE(2374), 1,
      sym__type,
    STATE(2646), 1,
      sym_type_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1837), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [43123] = 14,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1919), 1,
      sym__unannotated_type,
    STATE(2101), 1,
      sym_annotated_type,
    STATE(2374), 1,
      sym__type,
    STATE(2853), 1,
      sym_type_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1837), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [43178] = 14,
    ACTIONS(936), 1,
      anon_sym_DQUOTE,
    ACTIONS(938), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(940), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(956), 1,
      anon_sym_LBRACK,
    ACTIONS(3854), 1,
      sym_identifier,
    ACTIONS(3856), 1,
      anon_sym_LPAREN,
    ACTIONS(3871), 1,
      anon_sym_RBRACK,
    STATE(2745), 1,
      sym_map_item,
    STATE(2809), 1,
      sym__literal,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1357), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(934), 3,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
    STATE(1354), 3,
      sym_string_literal,
      sym_array_literal,
      sym_map_literal,
    ACTIONS(932), 7,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_null_literal,
  [43233] = 14,
    ACTIONS(936), 1,
      anon_sym_DQUOTE,
    ACTIONS(938), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(940), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(956), 1,
      anon_sym_LBRACK,
    ACTIONS(3854), 1,
      sym_identifier,
    ACTIONS(3856), 1,
      anon_sym_LPAREN,
    ACTIONS(3873), 1,
      anon_sym_RBRACK,
    STATE(2745), 1,
      sym_map_item,
    STATE(2809), 1,
      sym__literal,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1357), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(934), 3,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
    STATE(1354), 3,
      sym_string_literal,
      sym_array_literal,
      sym_map_literal,
    ACTIONS(932), 7,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_null_literal,
  [43288] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1425), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1427), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [43321] = 14,
    ACTIONS(844), 1,
      anon_sym_module,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(3103), 1,
      anon_sym_open,
    ACTIONS(3105), 1,
      anon_sym_package,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1912), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [43376] = 17,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(3181), 1,
      anon_sym_class,
    ACTIONS(3183), 1,
      anon_sym_enum,
    ACTIONS(3187), 1,
      anon_sym_ATinterface,
    ACTIONS(3189), 1,
      anon_sym_interface,
    ACTIONS(3846), 1,
      anon_sym_record,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1838), 1,
      sym_type_parameters,
    STATE(1847), 1,
      sym__unannotated_type,
    STATE(2282), 1,
      sym__method_header,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [43437] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1433), 12,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_LT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1435), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [43470] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3875), 1,
      anon_sym_DOT,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1144), 10,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1146), 11,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [43509] = 14,
    ACTIONS(936), 1,
      anon_sym_DQUOTE,
    ACTIONS(938), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(940), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(956), 1,
      anon_sym_LBRACK,
    ACTIONS(3854), 1,
      sym_identifier,
    ACTIONS(3856), 1,
      anon_sym_LPAREN,
    ACTIONS(3877), 1,
      anon_sym_RBRACK,
    STATE(2745), 1,
      sym_map_item,
    STATE(2809), 1,
      sym__literal,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1357), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(934), 3,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
    STATE(1354), 3,
      sym_string_literal,
      sym_array_literal,
      sym_map_literal,
    ACTIONS(932), 7,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_null_literal,
  [43564] = 13,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1919), 1,
      sym__unannotated_type,
    STATE(2101), 1,
      sym_annotated_type,
    STATE(2623), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1837), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [43616] = 13,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1919), 1,
      sym__unannotated_type,
    STATE(2101), 1,
      sym_annotated_type,
    STATE(2604), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1837), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [43668] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1501), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1503), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [43700] = 13,
    ACTIONS(1832), 1,
      anon_sym_DQUOTE,
    ACTIONS(1834), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1836), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(1850), 1,
      anon_sym_LBRACK,
    ACTIONS(3852), 1,
      anon_sym_LPAREN,
    ACTIONS(3879), 1,
      sym_identifier,
    STATE(911), 1,
      sym__literal,
    STATE(1008), 1,
      sym_map_item,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(357), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(1830), 3,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
    STATE(351), 3,
      sym_string_literal,
      sym_array_literal,
      sym_map_literal,
    ACTIONS(1828), 7,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_null_literal,
  [43752] = 13,
    ACTIONS(936), 1,
      anon_sym_DQUOTE,
    ACTIONS(938), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(940), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(956), 1,
      anon_sym_LBRACK,
    ACTIONS(3854), 1,
      sym_identifier,
    ACTIONS(3856), 1,
      anon_sym_LPAREN,
    STATE(2745), 1,
      sym_map_item,
    STATE(2809), 1,
      sym__literal,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1357), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(934), 3,
      sym_binary_integer_literal,
      sym_decimal_floating_point_literal,
      sym_character_literal,
    STATE(1354), 3,
      sym_string_literal,
      sym_array_literal,
      sym_map_literal,
    ACTIONS(932), 7,
      sym_decimal_integer_literal,
      sym_hex_integer_literal,
      sym_octal_integer_literal,
      sym_hex_floating_point_literal,
      sym_true,
      sym_false,
      sym_null_literal,
  [43804] = 13,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3881), 1,
      sym_identifier,
    STATE(1970), 1,
      sym__unannotated_type,
    STATE(2045), 1,
      sym_scoped_type_identifier,
    STATE(2095), 1,
      sym_generic_type,
    STATE(2255), 1,
      sym_annotated_type,
    STATE(2299), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3885), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3887), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2142), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1832), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3883), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [43856] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1409), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1411), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [43888] = 13,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1919), 1,
      sym__unannotated_type,
    STATE(2101), 1,
      sym_annotated_type,
    STATE(2687), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1837), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [43940] = 13,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1919), 1,
      sym__unannotated_type,
    STATE(2101), 1,
      sym_annotated_type,
    STATE(2370), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1837), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [43992] = 6,
    ACTIONS(3889), 1,
      anon_sym_LPAREN,
    ACTIONS(3891), 1,
      anon_sym_DOT,
    STATE(1853), 1,
      sym_annotation_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3063), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(3061), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [44030] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1477), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1479), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [44062] = 13,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1919), 1,
      sym__unannotated_type,
    STATE(2101), 1,
      sym_annotated_type,
    STATE(2502), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1837), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [44114] = 13,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1919), 1,
      sym__unannotated_type,
    STATE(2101), 1,
      sym_annotated_type,
    STATE(2764), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1837), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [44166] = 13,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1919), 1,
      sym__unannotated_type,
    STATE(2101), 1,
      sym_annotated_type,
    STATE(2468), 1,
      sym__type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1837), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [44218] = 13,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3881), 1,
      sym_identifier,
    STATE(1970), 1,
      sym__unannotated_type,
    STATE(2045), 1,
      sym_scoped_type_identifier,
    STATE(2095), 1,
      sym_generic_type,
    STATE(2162), 1,
      sym__type,
    STATE(2255), 1,
      sym_annotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3885), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3887), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2142), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1832), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3883), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [44270] = 16,
    ACTIONS(43), 1,
      sym_underscore_pattern,
    ACTIONS(980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(3893), 1,
      sym_identifier,
    ACTIONS(3895), 1,
      anon_sym_DOT,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1923), 1,
      sym__reserved_identifier,
    STATE(2174), 1,
      sym__method_declarator,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2270), 1,
      sym__variable_declarator_id,
    STATE(2429), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [44328] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1421), 11,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1423), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [44360] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3047), 9,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(3045), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [44391] = 14,
    ACTIONS(980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(3897), 1,
      anon_sym_DOT,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1932), 1,
      sym__reserved_identifier,
    STATE(2150), 1,
      sym__variable_declarator_id,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2614), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(962), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3633), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [44444] = 12,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(3899), 1,
      anon_sym_QMARK,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1912), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [44493] = 14,
    ACTIONS(980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(3895), 1,
      anon_sym_DOT,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1972), 1,
      sym__reserved_identifier,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2270), 1,
      sym__variable_declarator_id,
    STATE(2429), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(43), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [44546] = 8,
    ACTIONS(966), 1,
      anon_sym_AT,
    ACTIONS(1018), 1,
      anon_sym_non_DASHsealed,
    ACTIONS(3805), 1,
      sym_identifier,
    STATE(2511), 1,
      sym_enum_constant,
    STATE(2874), 1,
      sym_modifiers,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1604), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_modifiers_repeat1,
    ACTIONS(1014), 13,
      anon_sym_final,
      anon_sym_default,
      anon_sym_synchronized,
      anon_sym_static,
      anon_sym_public,
      anon_sym_protected,
      anon_sym_private,
      anon_sym_abstract,
      anon_sym_strictfp,
      anon_sym_native,
      anon_sym_transient,
      anon_sym_volatile,
      anon_sym_sealed,
  [44587] = 14,
    ACTIONS(980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(3897), 1,
      anon_sym_DOT,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1932), 1,
      sym__reserved_identifier,
    STATE(2136), 1,
      sym__variable_declarator_id,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2614), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(962), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3633), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [44640] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1489), 10,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1491), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [44671] = 14,
    ACTIONS(980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(3901), 1,
      anon_sym_DOT,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1972), 1,
      sym__reserved_identifier,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2270), 1,
      sym__variable_declarator_id,
    STATE(2429), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(43), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [44724] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1144), 10,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1146), 12,
      anon_sym_DOT,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [44755] = 4,
    ACTIONS(3875), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1144), 10,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1146), 11,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [44788] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(265), 9,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(273), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [44819] = 14,
    ACTIONS(980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(3897), 1,
      anon_sym_DOT,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1932), 1,
      sym__reserved_identifier,
    STATE(2147), 1,
      sym__variable_declarator_id,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2614), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(962), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3633), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [44872] = 14,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3037), 1,
      sym_underscore_pattern,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(3903), 1,
      sym_identifier,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1961), 1,
      sym__reserved_identifier,
    STATE(2174), 1,
      sym__method_declarator,
    STATE(2378), 1,
      sym__variable_declarator_id,
    STATE(2436), 1,
      sym_variable_declarator,
    STATE(2905), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [44924] = 11,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3905), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1906), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1820), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [44970] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3907), 1,
      sym_identifier,
    STATE(1890), 1,
      sym_type_arguments,
    STATE(1935), 1,
      sym_scoped_type_identifier,
    STATE(1958), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3909), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1985), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1818), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [45018] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3911), 1,
      sym_identifier,
    STATE(1889), 1,
      sym_type_arguments,
    STATE(1940), 1,
      sym_scoped_type_identifier,
    STATE(1965), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3913), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1998), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [45066] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3915), 1,
      sym_identifier,
    STATE(1896), 1,
      sym_type_arguments,
    STATE(2266), 1,
      sym_scoped_type_identifier,
    STATE(2439), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3917), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2627), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1851), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [45114] = 11,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1908), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [45160] = 14,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3037), 1,
      sym_underscore_pattern,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(3903), 1,
      sym_identifier,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1961), 1,
      sym__reserved_identifier,
    STATE(2174), 1,
      sym__method_declarator,
    STATE(2378), 1,
      sym__variable_declarator_id,
    STATE(2436), 1,
      sym_variable_declarator,
    STATE(2829), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [45212] = 11,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3919), 1,
      sym_identifier,
    STATE(1203), 1,
      sym__unannotated_type,
    STATE(1245), 1,
      sym_scoped_type_identifier,
    STATE(1254), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3340), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3342), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1268), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3338), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [45258] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1072), 1,
      anon_sym_PIPE,
    ACTIONS(2752), 1,
      anon_sym_RPAREN,
    ACTIONS(3921), 1,
      anon_sym_LBRACK,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(3926), 1,
      anon_sym_AT,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2391), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(1074), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [45306] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3929), 1,
      sym_identifier,
    STATE(1890), 1,
      sym_type_arguments,
    STATE(2304), 1,
      sym_scoped_type_identifier,
    STATE(2457), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3931), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2652), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1825), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [45354] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3933), 1,
      sym_identifier,
    STATE(1889), 1,
      sym_type_arguments,
    STATE(2323), 1,
      sym_scoped_type_identifier,
    STATE(2529), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3935), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2626), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [45402] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3937), 1,
      sym_identifier,
    STATE(1888), 1,
      sym_type_arguments,
    STATE(1928), 1,
      sym_scoped_type_identifier,
    STATE(1959), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3939), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2000), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [45450] = 11,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1948), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [45496] = 11,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3941), 1,
      sym_identifier,
    STATE(196), 1,
      sym__unannotated_type,
    STATE(259), 1,
      sym_scoped_type_identifier,
    STATE(324), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3316), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3318), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(354), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3314), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [45542] = 14,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3037), 1,
      sym_underscore_pattern,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(3836), 1,
      sym_identifier,
    ACTIONS(3840), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(3842), 1,
      sym_this,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1993), 1,
      sym__reserved_identifier,
    STATE(2575), 1,
      sym__variable_declarator_id,
    STATE(2589), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [45594] = 11,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(2022), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [45640] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3943), 1,
      sym_identifier,
    STATE(1896), 1,
      sym_type_arguments,
    STATE(1944), 1,
      sym_scoped_type_identifier,
    STATE(1973), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3945), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2002), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1826), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [45688] = 11,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3881), 1,
      sym_identifier,
    STATE(1974), 1,
      sym__unannotated_type,
    STATE(2045), 1,
      sym_scoped_type_identifier,
    STATE(2095), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3885), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3887), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2142), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3883), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [45734] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3947), 1,
      sym_identifier,
    STATE(1897), 1,
      sym_type_arguments,
    STATE(1946), 1,
      sym_scoped_type_identifier,
    STATE(1964), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3949), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1995), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1834), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [45782] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3951), 1,
      sym_identifier,
    STATE(1879), 1,
      sym_type_arguments,
    STATE(1921), 1,
      sym_scoped_type_identifier,
    STATE(1956), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3953), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2005), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [45830] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3955), 1,
      sym_identifier,
    STATE(1897), 1,
      sym_type_arguments,
    STATE(2301), 1,
      sym_scoped_type_identifier,
    STATE(2582), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3957), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2744), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1836), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [45878] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3959), 1,
      sym_identifier,
    STATE(1879), 1,
      sym_type_arguments,
    STATE(2306), 1,
      sym_scoped_type_identifier,
    STATE(2602), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3961), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2765), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [45926] = 11,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1912), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [45972] = 11,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(2895), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1906), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1820), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [46018] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3963), 1,
      sym_identifier,
    STATE(1885), 1,
      sym_type_arguments,
    STATE(1937), 1,
      sym_scoped_type_identifier,
    STATE(1960), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3965), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1987), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1840), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [46066] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3967), 1,
      sym_identifier,
    STATE(1892), 1,
      sym_type_arguments,
    STATE(1942), 1,
      sym_scoped_type_identifier,
    STATE(1971), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3969), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1997), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [46114] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3971), 1,
      sym_identifier,
    STATE(1885), 1,
      sym_type_arguments,
    STATE(2258), 1,
      sym_scoped_type_identifier,
    STATE(2460), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3973), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2674), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1842), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [46162] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3975), 1,
      sym_identifier,
    STATE(1892), 1,
      sym_type_arguments,
    STATE(2262), 1,
      sym_scoped_type_identifier,
    STATE(2469), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3977), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2700), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [46210] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3979), 1,
      sym_identifier,
    STATE(1878), 1,
      sym_type_arguments,
    STATE(1926), 1,
      sym_scoped_type_identifier,
    STATE(1963), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3981), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2004), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1844), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [46258] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3983), 1,
      sym_identifier,
    STATE(1881), 1,
      sym_type_arguments,
    STATE(1931), 1,
      sym_scoped_type_identifier,
    STATE(1969), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3985), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1980), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [46306] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3987), 1,
      sym_identifier,
    STATE(1878), 1,
      sym_type_arguments,
    STATE(2277), 1,
      sym_scoped_type_identifier,
    STATE(2492), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3989), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2762), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1846), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [46354] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3991), 1,
      sym_identifier,
    STATE(1881), 1,
      sym_type_arguments,
    STATE(2281), 1,
      sym_scoped_type_identifier,
    STATE(2494), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3993), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2771), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [46402] = 14,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3037), 1,
      sym_underscore_pattern,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(3903), 1,
      sym_identifier,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1961), 1,
      sym__reserved_identifier,
    STATE(2174), 1,
      sym__method_declarator,
    STATE(2378), 1,
      sym__variable_declarator_id,
    STATE(2436), 1,
      sym_variable_declarator,
    STATE(2862), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [46454] = 14,
    ACTIONS(43), 1,
      sym_underscore_pattern,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(3995), 1,
      sym_identifier,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1923), 1,
      sym__reserved_identifier,
    STATE(2174), 1,
      sym__method_declarator,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2270), 1,
      sym__variable_declarator_id,
    STATE(2562), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [46506] = 11,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3997), 1,
      sym_identifier,
    STATE(1206), 1,
      sym__unannotated_type,
    STATE(1249), 1,
      sym_scoped_type_identifier,
    STATE(1264), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3306), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3308), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1272), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3304), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [46552] = 11,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(3999), 1,
      sym_identifier,
    STATE(215), 1,
      sym__unannotated_type,
    STATE(420), 1,
      sym_scoped_type_identifier,
    STATE(481), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3330), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(3332), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(523), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3328), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [46598] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4001), 1,
      sym_identifier,
    STATE(1888), 1,
      sym_type_arguments,
    STATE(2335), 1,
      sym_scoped_type_identifier,
    STATE(2565), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4003), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2715), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [46646] = 14,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3037), 1,
      sym_underscore_pattern,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(3903), 1,
      sym_identifier,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1961), 1,
      sym__reserved_identifier,
    STATE(2174), 1,
      sym__method_declarator,
    STATE(2378), 1,
      sym__variable_declarator_id,
    STATE(2436), 1,
      sym_variable_declarator,
    STATE(2871), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [46698] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3111), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(3109), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [46727] = 12,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1932), 1,
      sym__reserved_identifier,
    STATE(2133), 1,
      sym__variable_declarator_id,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2478), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(962), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3633), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [46774] = 15,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(727), 1,
      anon_sym_DQUOTE,
    ACTIONS(729), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(731), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4005), 1,
      sym_identifier,
    ACTIONS(4007), 1,
      anon_sym_new,
    ACTIONS(4009), 1,
      sym_this,
    ACTIONS(4011), 1,
      sym_super,
    STATE(203), 1,
      sym__reserved_identifier,
    STATE(278), 1,
      sym_string_literal,
    STATE(280), 1,
      sym__unqualified_object_creation_expression,
    STATE(2097), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(309), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(2716), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [46827] = 13,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3037), 1,
      sym_underscore_pattern,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(4013), 1,
      sym_identifier,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(2010), 1,
      sym__reserved_identifier,
    STATE(2378), 1,
      sym__variable_declarator_id,
    STATE(2436), 1,
      sym_variable_declarator,
    STATE(2871), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [46876] = 15,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(936), 1,
      anon_sym_DQUOTE,
    ACTIONS(938), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(940), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4015), 1,
      sym_identifier,
    ACTIONS(4017), 1,
      anon_sym_new,
    ACTIONS(4019), 1,
      sym_this,
    ACTIONS(4021), 1,
      sym_super,
    STATE(1091), 1,
      sym__reserved_identifier,
    STATE(1360), 1,
      sym_string_literal,
    STATE(1363), 1,
      sym__unqualified_object_creation_expression,
    STATE(2116), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1357), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [46929] = 15,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(727), 1,
      anon_sym_DQUOTE,
    ACTIONS(729), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(731), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4007), 1,
      anon_sym_new,
    ACTIONS(4023), 1,
      sym_identifier,
    ACTIONS(4025), 1,
      sym_this,
    ACTIONS(4027), 1,
      sym_super,
    STATE(163), 1,
      sym__reserved_identifier,
    STATE(278), 1,
      sym_string_literal,
    STATE(280), 1,
      sym__unqualified_object_creation_expression,
    STATE(2097), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(309), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(755), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [46982] = 15,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(936), 1,
      anon_sym_DQUOTE,
    ACTIONS(938), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(940), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4017), 1,
      anon_sym_new,
    ACTIONS(4029), 1,
      sym_identifier,
    ACTIONS(4031), 1,
      sym_this,
    ACTIONS(4033), 1,
      sym_super,
    STATE(1279), 1,
      sym__reserved_identifier,
    STATE(1360), 1,
      sym_string_literal,
    STATE(1363), 1,
      sym__unqualified_object_creation_expression,
    STATE(2116), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1357), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(2708), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [47035] = 15,
    ACTIONS(13), 1,
      anon_sym_DQUOTE,
    ACTIONS(15), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(17), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4035), 1,
      sym_identifier,
    ACTIONS(4037), 1,
      anon_sym_new,
    ACTIONS(4039), 1,
      sym_this,
    ACTIONS(4041), 1,
      sym_super,
    STATE(1128), 1,
      sym_string_literal,
    STATE(1129), 1,
      sym__unqualified_object_creation_expression,
    STATE(1294), 1,
      sym__reserved_identifier,
    STATE(2108), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1144), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(2724), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [47088] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3115), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(3113), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [47117] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(1072), 1,
      anon_sym_AT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4045), 1,
      anon_sym_DOT,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(864), 2,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
    ACTIONS(4043), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(1074), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [47164] = 5,
    ACTIONS(4049), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3296), 2,
      anon_sym_LT,
      anon_sym_QMARK,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3291), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [47197] = 12,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1972), 1,
      sym__reserved_identifier,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2270), 1,
      sym__variable_declarator_id,
    STATE(2562), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(43), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [47244] = 15,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1832), 1,
      anon_sym_DQUOTE,
    ACTIONS(1834), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1836), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4052), 1,
      sym_identifier,
    ACTIONS(4054), 1,
      anon_sym_new,
    ACTIONS(4056), 1,
      sym_this,
    ACTIONS(4058), 1,
      sym_super,
    STATE(325), 1,
      sym__reserved_identifier,
    STATE(459), 1,
      sym_string_literal,
    STATE(461), 1,
      sym__unqualified_object_creation_expression,
    STATE(2111), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(357), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(2700), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [47297] = 12,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1932), 1,
      sym__reserved_identifier,
    STATE(2129), 1,
      sym__variable_declarator_id,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2478), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(962), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3633), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [47344] = 15,
    ACTIONS(13), 1,
      anon_sym_DQUOTE,
    ACTIONS(15), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(17), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4037), 1,
      anon_sym_new,
    ACTIONS(4060), 1,
      sym_identifier,
    ACTIONS(4062), 1,
      sym_this,
    ACTIONS(4064), 1,
      sym_super,
    STATE(1114), 1,
      sym__reserved_identifier,
    STATE(1128), 1,
      sym_string_literal,
    STATE(1129), 1,
      sym__unqualified_object_creation_expression,
    STATE(2086), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1144), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [47397] = 15,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(1832), 1,
      anon_sym_DQUOTE,
    ACTIONS(1834), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(1836), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4054), 1,
      anon_sym_new,
    ACTIONS(4066), 1,
      sym_identifier,
    ACTIONS(4068), 1,
      sym_this,
    ACTIONS(4070), 1,
      sym_super,
    STATE(175), 1,
      sym__reserved_identifier,
    STATE(459), 1,
      sym_string_literal,
    STATE(461), 1,
      sym__unqualified_object_creation_expression,
    STATE(2111), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(357), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(1856), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [47450] = 13,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3037), 1,
      sym_underscore_pattern,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(4072), 1,
      sym_identifier,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1983), 1,
      sym__reserved_identifier,
    STATE(2378), 1,
      sym__variable_declarator_id,
    STATE(2436), 1,
      sym_variable_declarator,
    STATE(2862), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [47499] = 15,
    ACTIONS(13), 1,
      anon_sym_DQUOTE,
    ACTIONS(15), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(17), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4037), 1,
      anon_sym_new,
    ACTIONS(4060), 1,
      sym_identifier,
    ACTIONS(4062), 1,
      sym_this,
    ACTIONS(4074), 1,
      sym_super,
    STATE(1114), 1,
      sym__reserved_identifier,
    STATE(1128), 1,
      sym_string_literal,
    STATE(1129), 1,
      sym__unqualified_object_creation_expression,
    STATE(2108), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1144), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [47552] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3123), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(3121), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [47581] = 12,
    ACTIONS(980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(3897), 1,
      anon_sym_DOT,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1993), 1,
      sym__reserved_identifier,
    STATE(2902), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3037), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [47628] = 15,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(936), 1,
      anon_sym_DQUOTE,
    ACTIONS(938), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(940), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4015), 1,
      sym_identifier,
    ACTIONS(4019), 1,
      sym_this,
    ACTIONS(4021), 1,
      sym_super,
    ACTIONS(4076), 1,
      anon_sym_new,
    STATE(1091), 1,
      sym__reserved_identifier,
    STATE(1360), 1,
      sym_string_literal,
    STATE(1363), 1,
      sym__unqualified_object_creation_expression,
    STATE(2116), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1357), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [47681] = 13,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(3181), 1,
      anon_sym_class,
    ACTIONS(3183), 1,
      anon_sym_enum,
    ACTIONS(3187), 1,
      anon_sym_ATinterface,
    ACTIONS(3189), 1,
      anon_sym_interface,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1869), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [47730] = 15,
    ACTIONS(13), 1,
      anon_sym_DQUOTE,
    ACTIONS(15), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(17), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4037), 1,
      anon_sym_new,
    ACTIONS(4062), 1,
      sym_this,
    ACTIONS(4078), 1,
      sym_identifier,
    ACTIONS(4080), 1,
      sym_super,
    STATE(1054), 1,
      sym__reserved_identifier,
    STATE(1128), 1,
      sym_string_literal,
    STATE(1129), 1,
      sym__unqualified_object_creation_expression,
    STATE(2108), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1144), 2,
      sym__string_literal,
      sym__multiline_string_literal,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [47783] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3119), 7,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_QMARK,
      anon_sym_SEMI,
      anon_sym_AT,
    ACTIONS(3117), 13,
      anon_sym_open,
      anon_sym_module,
      anon_sym_package,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [47812] = 12,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1932), 1,
      sym__reserved_identifier,
    STATE(2148), 1,
      sym__variable_declarator_id,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2478), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(962), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(3633), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [47859] = 10,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4082), 1,
      sym_identifier,
    STATE(2268), 1,
      sym_scoped_type_identifier,
    STATE(2480), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4084), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2736), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1880), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [47901] = 10,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4086), 1,
      sym_identifier,
    STATE(2294), 1,
      sym_scoped_type_identifier,
    STATE(2560), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4088), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2805), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1886), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [47943] = 10,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4090), 1,
      sym_identifier,
    STATE(2273), 1,
      sym_scoped_type_identifier,
    STATE(2487), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4092), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2752), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [47985] = 10,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4094), 1,
      sym_identifier,
    STATE(2275), 1,
      sym_scoped_type_identifier,
    STATE(2490), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4096), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2758), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1883), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [48027] = 10,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4098), 1,
      sym_identifier,
    STATE(2315), 1,
      sym_scoped_type_identifier,
    STATE(2488), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4100), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2732), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [48069] = 10,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4102), 1,
      sym_identifier,
    STATE(2279), 1,
      sym_scoped_type_identifier,
    STATE(2493), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4104), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2766), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [48111] = 10,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4106), 1,
      sym_identifier,
    STATE(2316), 1,
      sym_scoped_type_identifier,
    STATE(2585), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4108), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2731), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [48153] = 10,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4110), 1,
      sym_identifier,
    STATE(2246), 1,
      sym_scoped_type_identifier,
    STATE(2443), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4112), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2706), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1891), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [48195] = 10,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4114), 1,
      sym_identifier,
    STATE(2303), 1,
      sym_scoped_type_identifier,
    STATE(2592), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4116), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2757), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [48237] = 10,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4118), 1,
      sym_identifier,
    STATE(2334), 1,
      sym_scoped_type_identifier,
    STATE(2433), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4120), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2738), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [48279] = 10,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4122), 1,
      sym_identifier,
    STATE(2248), 1,
      sym_scoped_type_identifier,
    STATE(2449), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4124), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2737), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1895), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [48321] = 10,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4126), 1,
      sym_identifier,
    STATE(2254), 1,
      sym_scoped_type_identifier,
    STATE(2426), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4128), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2794), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1882), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [48363] = 10,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4130), 1,
      sym_identifier,
    STATE(2338), 1,
      sym_scoped_type_identifier,
    STATE(2624), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4132), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2799), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1884), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [48405] = 10,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4134), 1,
      sym_identifier,
    STATE(2250), 1,
      sym_scoped_type_identifier,
    STATE(2454), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4136), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2640), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [48447] = 10,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4138), 1,
      sym_identifier,
    STATE(2252), 1,
      sym_scoped_type_identifier,
    STATE(2455), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4140), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2650), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1894), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [48489] = 11,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(3840), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1993), 1,
      sym__reserved_identifier,
    STATE(2575), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3037), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [48533] = 10,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4142), 1,
      sym_identifier,
    STATE(2260), 1,
      sym_scoped_type_identifier,
    STATE(2465), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4144), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2689), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [48575] = 10,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4146), 1,
      sym_identifier,
    STATE(2325), 1,
      sym_scoped_type_identifier,
    STATE(2431), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4148), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2672), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [48617] = 10,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4150), 1,
      sym_identifier,
    STATE(2271), 1,
      sym_scoped_type_identifier,
    STATE(2498), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4152), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2775), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1887), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [48659] = 10,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4154), 1,
      sym_identifier,
    STATE(2286), 1,
      sym_scoped_type_identifier,
    STATE(2515), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4156), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2651), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1899), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [48701] = 11,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(4158), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1993), 1,
      sym__reserved_identifier,
    STATE(2437), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3037), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [48745] = 10,
    ACTIONS(1708), 1,
      anon_sym_AT,
    ACTIONS(4160), 1,
      sym_identifier,
    STATE(2339), 1,
      sym_scoped_type_identifier,
    STATE(2555), 1,
      sym_generic_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(4162), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(2713), 2,
      sym_integral_type,
      sym_floating_point_type,
    STATE(1863), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [48787] = 9,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(4166), 1,
      anon_sym_PIPE,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(2059), 1,
      aux_sym_catch_type_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(4164), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [48826] = 11,
    ACTIONS(980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(3897), 1,
      anon_sym_DOT,
    ACTIONS(4168), 1,
      sym_identifier,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(2686), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [48869] = 10,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(1993), 1,
      sym__reserved_identifier,
    STATE(2880), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3037), 2,
      sym_underscore_pattern,
      sym_identifier,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [48910] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4170), 1,
      anon_sym_DOT,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1144), 6,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1146), 9,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [48943] = 11,
    ACTIONS(980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(3897), 1,
      anon_sym_DOT,
    ACTIONS(4173), 1,
      sym_identifier,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(2620), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [48986] = 8,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(4177), 1,
      anon_sym_PIPE,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(4175), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [49022] = 10,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(4179), 1,
      sym_identifier,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(2222), 1,
      sym__method_declarator,
    STATE(2729), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [49062] = 10,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2786), 1,
      anon_sym_LBRACE,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4181), 1,
      anon_sym_LPAREN,
    STATE(1426), 1,
      sym_block,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2797), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1072), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1074), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [49102] = 10,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(4179), 1,
      sym_identifier,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(2159), 1,
      sym__method_declarator,
    STATE(2729), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [49142] = 10,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2786), 1,
      anon_sym_LBRACE,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4181), 1,
      anon_sym_LPAREN,
    STATE(1425), 1,
      sym_block,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2797), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1072), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1074), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [49182] = 10,
    ACTIONS(2895), 1,
      sym_identifier,
    ACTIONS(4183), 1,
      anon_sym_def,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(2068), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [49222] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4187), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AT,
    ACTIONS(4185), 13,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [49247] = 7,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(990), 8,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_implements,
      anon_sym_permits,
  [49280] = 9,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(4168), 1,
      sym_identifier,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(2686), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [49317] = 4,
    ACTIONS(4170), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1144), 6,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_AT,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1146), 9,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_this,
      sym_identifier,
  [49344] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4191), 3,
      anon_sym_LPAREN,
      anon_sym_LBRACE,
      anon_sym_AT,
    ACTIONS(4189), 13,
      anon_sym_extends,
      anon_sym_implements,
      anon_sym_permits,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [49369] = 9,
    ACTIONS(2895), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1905), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [49406] = 9,
    ACTIONS(2895), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1898), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [49443] = 9,
    ACTIONS(2895), 1,
      sym_identifier,
    STATE(1784), 1,
      sym_scoped_type_identifier,
    STATE(1812), 1,
      sym_generic_type,
    STATE(1902), 1,
      sym__unannotated_type,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(97), 2,
      anon_sym_float,
      anon_sym_double,
    ACTIONS(99), 2,
      sym_boolean_type,
      sym_void_type,
    STATE(1811), 3,
      sym_array_type,
      sym_integral_type,
      sym_floating_point_type,
    ACTIONS(95), 5,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
  [49480] = 7,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(980), 7,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_implements,
      anon_sym_permits,
  [49512] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2317), 1,
      sym_argument_list,
    STATE(2788), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2003), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2235), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [49554] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1802), 1,
      sym_type_arguments,
    STATE(2312), 1,
      sym_argument_list,
    STATE(2768), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2001), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2235), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [49596] = 10,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(2752), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2757), 1,
      anon_sym_LBRACK,
    ACTIONS(4197), 1,
      anon_sym_LPAREN,
    STATE(1053), 1,
      aux_sym_dimensions_repeat1,
    STATE(1953), 1,
      sym_formal_parameters,
    STATE(2138), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(785), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(2221), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [49634] = 10,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(2752), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2757), 1,
      anon_sym_LBRACK,
    ACTIONS(4197), 1,
      anon_sym_LPAREN,
    STATE(1053), 1,
      aux_sym_dimensions_repeat1,
    STATE(1955), 1,
      sym_formal_parameters,
    STATE(2138), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(785), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(2221), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [49672] = 4,
    ACTIONS(4199), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3130), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
    ACTIONS(3132), 10,
      anon_sym_byte,
      anon_sym_short,
      anon_sym_int,
      anon_sym_long,
      anon_sym_char,
      anon_sym_float,
      anon_sym_double,
      sym_boolean_type,
      sym_void_type,
      sym_identifier,
  [49698] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4203), 1,
      anon_sym_LBRACK,
    STATE(356), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2704), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(189), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2240), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [49740] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4203), 1,
      anon_sym_LBRACK,
    STATE(355), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1802), 1,
      sym_type_arguments,
    STATE(2703), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(192), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2240), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [49782] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    ACTIONS(4207), 1,
      anon_sym_LBRACK,
    STATE(1104), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2695), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1071), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2153), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [49824] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    ACTIONS(4207), 1,
      anon_sym_LBRACK,
    STATE(1106), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1802), 1,
      sym_type_arguments,
    STATE(2659), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1073), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2153), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [49866] = 10,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(2752), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2757), 1,
      anon_sym_LBRACK,
    ACTIONS(4209), 1,
      anon_sym_LPAREN,
    STATE(1053), 1,
      aux_sym_dimensions_repeat1,
    STATE(2138), 1,
      sym_dimensions,
    STATE(2724), 1,
      sym_formal_parameters,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(785), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(2221), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [49904] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4203), 1,
      anon_sym_LBRACK,
    STATE(404), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2649), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(191), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2240), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [49946] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4203), 1,
      anon_sym_LBRACK,
    STATE(403), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1802), 1,
      sym_type_arguments,
    STATE(2648), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(190), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2240), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [49988] = 8,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(2752), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(4211), 1,
      anon_sym_LBRACK,
    STATE(1947), 1,
      aux_sym_dimensions_repeat1,
    STATE(2138), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2212), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(785), 6,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
  [50022] = 10,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(2752), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2757), 1,
      anon_sym_LBRACK,
    ACTIONS(4197), 1,
      anon_sym_LPAREN,
    STATE(1053), 1,
      aux_sym_dimensions_repeat1,
    STATE(1952), 1,
      sym_formal_parameters,
    STATE(2138), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(785), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(2221), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [50060] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    STATE(1303), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2798), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1212), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2235), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [50102] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1298), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1802), 1,
      sym_type_arguments,
    STATE(2795), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1210), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2235), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [50144] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    ACTIONS(4215), 1,
      anon_sym_LBRACK,
    STATE(220), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2643), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(184), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2236), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [50186] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    ACTIONS(4215), 1,
      anon_sym_LBRACK,
    STATE(219), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1802), 1,
      sym_type_arguments,
    STATE(2642), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(182), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2236), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [50228] = 10,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(2752), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2757), 1,
      anon_sym_LBRACK,
    ACTIONS(4209), 1,
      anon_sym_LPAREN,
    STATE(1053), 1,
      aux_sym_dimensions_repeat1,
    STATE(2138), 1,
      sym_dimensions,
    STATE(2660), 1,
      sym_formal_parameters,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(785), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(2221), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [50266] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    STATE(1302), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2788), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1213), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2235), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [50308] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1301), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1802), 1,
      sym_type_arguments,
    STATE(2768), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1214), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2235), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [50350] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    ACTIONS(4215), 1,
      anon_sym_LBRACK,
    STATE(226), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2723), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(185), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2236), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [50392] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    ACTIONS(4215), 1,
      anon_sym_LBRACK,
    STATE(225), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1802), 1,
      sym_type_arguments,
    STATE(2719), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(183), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2236), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [50434] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    ACTIONS(4207), 1,
      anon_sym_LBRACK,
    STATE(1110), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2685), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1068), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2153), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [50476] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    ACTIONS(4207), 1,
      anon_sym_LBRACK,
    STATE(1098), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1802), 1,
      sym_type_arguments,
    STATE(2725), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1070), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2153), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [50518] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2287), 1,
      sym_argument_list,
    STATE(2798), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1996), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2235), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [50560] = 12,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1802), 1,
      sym_type_arguments,
    STATE(2283), 1,
      sym_argument_list,
    STATE(2795), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1988), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2235), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [50602] = 7,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(912), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(4211), 1,
      anon_sym_LBRACK,
    STATE(1950), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2212), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(914), 6,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
  [50633] = 10,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(4217), 1,
      sym_identifier,
    ACTIONS(4219), 1,
      sym_this,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(2483), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(990), 3,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_COLON_COLON,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [50670] = 8,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3021), 1,
      anon_sym_LPAREN,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    STATE(1438), 1,
      sym_record_pattern_body,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1072), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1074), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [50703] = 7,
    ACTIONS(918), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(925), 1,
      anon_sym_AT,
    ACTIONS(4221), 1,
      anon_sym_LBRACK,
    STATE(1950), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2212), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(920), 6,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
  [50734] = 8,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4181), 1,
      anon_sym_LPAREN,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2727), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1072), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1074), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [50767] = 10,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(4224), 1,
      anon_sym_LBRACK,
    ACTIONS(4226), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_LF,
    STATE(1023), 1,
      sym_closure,
    STATE(1967), 1,
      aux_sym_dimensions_repeat1,
    STATE(2284), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4229), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_throws,
    STATE(2224), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [50804] = 10,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(4224), 1,
      anon_sym_LBRACK,
    ACTIONS(4226), 1,
      anon_sym_LBRACE,
    ACTIONS(4231), 1,
      anon_sym_LF,
    STATE(1026), 1,
      sym_closure,
    STATE(1967), 1,
      aux_sym_dimensions_repeat1,
    STATE(2284), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4229), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_throws,
    STATE(2224), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [50841] = 9,
    ACTIONS(4233), 1,
      anon_sym_RBRACE,
    ACTIONS(4235), 1,
      anon_sym_requires,
    ACTIONS(4238), 1,
      anon_sym_exports,
    ACTIONS(4241), 1,
      anon_sym_opens,
    ACTIONS(4244), 1,
      anon_sym_uses,
    ACTIONS(4247), 1,
      anon_sym_provides,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1954), 2,
      sym_module_directive,
      aux_sym_module_body_repeat1,
    STATE(2228), 5,
      sym_requires_module_directive,
      sym_exports_module_directive,
      sym_opens_module_directive,
      sym_uses_module_directive,
      sym_provides_module_directive,
  [50875] = 8,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(4224), 1,
      anon_sym_LBRACK,
    ACTIONS(4231), 1,
      anon_sym_LF,
    STATE(1967), 1,
      aux_sym_dimensions_repeat1,
    STATE(2284), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4229), 4,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_throws,
    STATE(2224), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [50907] = 10,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2312), 1,
      sym_argument_list,
    STATE(2768), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2001), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2235), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [50943] = 8,
    ACTIONS(4250), 1,
      sym_identifier,
    STATE(2023), 1,
      aux_sym_requires_module_directive_repeat1,
    STATE(2069), 1,
      sym_requires_modifier,
    STATE(2632), 1,
      sym_scoped_identifier,
    STATE(2633), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4252), 2,
      anon_sym_transitive,
      anon_sym_static,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [50975] = 10,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1298), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2795), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1210), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2235), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [51011] = 10,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    ACTIONS(4207), 1,
      anon_sym_LBRACK,
    STATE(1106), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2659), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1073), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2153), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [51047] = 10,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    ACTIONS(4215), 1,
      anon_sym_LBRACK,
    STATE(219), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2642), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(182), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2236), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [51083] = 9,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(4254), 1,
      anon_sym_LPAREN,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1955), 1,
      sym_formal_parameters,
    STATE(2391), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2752), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [51117] = 6,
    ACTIONS(3021), 1,
      anon_sym_LPAREN,
    ACTIONS(4256), 1,
      anon_sym_DOT,
    STATE(1438), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1144), 3,
      anon_sym_LBRACK,
      anon_sym_COLON_COLON,
      anon_sym_AT,
    ACTIONS(1146), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [51145] = 10,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4203), 1,
      anon_sym_LBRACK,
    STATE(355), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2703), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(192), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2240), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [51181] = 10,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2283), 1,
      sym_argument_list,
    STATE(2795), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1988), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2235), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [51217] = 10,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1301), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2768), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1214), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2235), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [51253] = 7,
    ACTIONS(918), 1,
      anon_sym_LF,
    ACTIONS(925), 1,
      anon_sym_AT,
    ACTIONS(4259), 1,
      anon_sym_LBRACK,
    STATE(1966), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2224), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(920), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_throws,
  [51283] = 7,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(912), 1,
      anon_sym_LF,
    ACTIONS(4224), 1,
      anon_sym_LBRACK,
    STATE(1966), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2224), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
    ACTIONS(914), 5,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_throws,
  [51313] = 7,
    ACTIONS(4262), 1,
      sym_identifier,
    STATE(1957), 1,
      aux_sym_requires_module_directive_repeat1,
    STATE(2069), 1,
      sym_requires_modifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4252), 2,
      anon_sym_transitive,
      anon_sym_static,
    STATE(2697), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [51343] = 10,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4203), 1,
      anon_sym_LBRACK,
    STATE(403), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2648), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(190), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2240), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [51379] = 8,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(980), 1,
      anon_sym_LF,
    ACTIONS(4224), 1,
      anon_sym_LBRACK,
    STATE(1967), 1,
      aux_sym_dimensions_repeat1,
    STATE(2121), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(982), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(2224), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [51411] = 10,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    ACTIONS(4215), 1,
      anon_sym_LBRACK,
    STATE(225), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2719), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(183), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2236), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [51447] = 8,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(2752), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(2757), 1,
      anon_sym_LBRACK,
    STATE(1053), 1,
      aux_sym_dimensions_repeat1,
    STATE(2138), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(785), 4,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(2221), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [51479] = 10,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    ACTIONS(4207), 1,
      anon_sym_LBRACK,
    STATE(1098), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2725), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1070), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2153), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [51515] = 8,
    ACTIONS(888), 1,
      anon_sym_AT,
    ACTIONS(990), 1,
      anon_sym_LF,
    ACTIONS(4224), 1,
      anon_sym_LBRACK,
    STATE(1967), 1,
      aux_sym_dimensions_repeat1,
    STATE(2121), 1,
      sym_dimensions,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(992), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
    STATE(2224), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [51547] = 9,
    ACTIONS(4264), 1,
      anon_sym_RBRACE,
    ACTIONS(4266), 1,
      anon_sym_requires,
    ACTIONS(4268), 1,
      anon_sym_exports,
    ACTIONS(4270), 1,
      anon_sym_opens,
    ACTIONS(4272), 1,
      anon_sym_uses,
    ACTIONS(4274), 1,
      anon_sym_provides,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1976), 2,
      sym_module_directive,
      aux_sym_module_body_repeat1,
    STATE(2228), 5,
      sym_requires_module_directive,
      sym_exports_module_directive,
      sym_opens_module_directive,
      sym_uses_module_directive,
      sym_provides_module_directive,
  [51581] = 9,
    ACTIONS(4266), 1,
      anon_sym_requires,
    ACTIONS(4268), 1,
      anon_sym_exports,
    ACTIONS(4270), 1,
      anon_sym_opens,
    ACTIONS(4272), 1,
      anon_sym_uses,
    ACTIONS(4274), 1,
      anon_sym_provides,
    ACTIONS(4276), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1954), 2,
      sym_module_directive,
      aux_sym_module_body_repeat1,
    STATE(2228), 5,
      sym_requires_module_directive,
      sym_exports_module_directive,
      sym_opens_module_directive,
      sym_uses_module_directive,
      sym_provides_module_directive,
  [51615] = 8,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4005), 1,
      sym_identifier,
    ACTIONS(4009), 1,
      sym_this,
    ACTIONS(4011), 1,
      sym_super,
    STATE(203), 1,
      sym__reserved_identifier,
    STATE(2097), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2716), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [51646] = 8,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4035), 1,
      sym_identifier,
    ACTIONS(4039), 1,
      sym_this,
    ACTIONS(4041), 1,
      sym_super,
    STATE(1294), 1,
      sym__reserved_identifier,
    STATE(2108), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2724), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [51677] = 8,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(4278), 1,
      anon_sym_DOT,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2391), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2752), 3,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [51708] = 9,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4203), 1,
      anon_sym_LBRACK,
    STATE(403), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2648), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(190), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2240), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [51741] = 7,
    STATE(1972), 1,
      sym__reserved_identifier,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2270), 1,
      sym__variable_declarator_id,
    STATE(2540), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(43), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [51770] = 8,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4052), 1,
      sym_identifier,
    ACTIONS(4056), 1,
      sym_this,
    ACTIONS(4058), 1,
      sym_super,
    STATE(325), 1,
      sym__reserved_identifier,
    STATE(2111), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2700), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [51801] = 8,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(4280), 1,
      anon_sym_LPAREN,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2391), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2752), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [51832] = 8,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4029), 1,
      sym_identifier,
    ACTIONS(4031), 1,
      sym_this,
    ACTIONS(4033), 1,
      sym_super,
    STATE(1279), 1,
      sym__reserved_identifier,
    STATE(2116), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2708), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [51863] = 9,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    STATE(1298), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2795), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1210), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2235), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [51896] = 8,
    ACTIONS(43), 1,
      sym_underscore_pattern,
    ACTIONS(4282), 1,
      sym_identifier,
    STATE(1972), 1,
      sym__reserved_identifier,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2270), 1,
      sym__variable_declarator_id,
    STATE(2553), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [51927] = 9,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    ACTIONS(4215), 1,
      anon_sym_LBRACK,
    STATE(219), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2642), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(182), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2236), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [51960] = 8,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    STATE(1401), 1,
      sym_dimensions,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(882), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(1255), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2235), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [51991] = 7,
    STATE(1972), 1,
      sym__reserved_identifier,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2270), 1,
      sym__variable_declarator_id,
    STATE(2475), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(43), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [52020] = 8,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4023), 1,
      sym_identifier,
    ACTIONS(4025), 1,
      sym_this,
    ACTIONS(4027), 1,
      sym_super,
    STATE(163), 1,
      sym__reserved_identifier,
    STATE(2097), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(755), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [52051] = 8,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4062), 1,
      sym_this,
    ACTIONS(4078), 1,
      sym_identifier,
    ACTIONS(4080), 1,
      sym_super,
    STATE(1054), 1,
      sym__reserved_identifier,
    STATE(2108), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [52082] = 8,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4015), 1,
      sym_identifier,
    ACTIONS(4019), 1,
      sym_this,
    ACTIONS(4021), 1,
      sym_super,
    STATE(1091), 1,
      sym__reserved_identifier,
    STATE(2116), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [52113] = 7,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2391), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2752), 4,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [52142] = 8,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4060), 1,
      sym_identifier,
    ACTIONS(4062), 1,
      sym_this,
    ACTIONS(4074), 1,
      sym_super,
    STATE(1114), 1,
      sym__reserved_identifier,
    STATE(2108), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [52173] = 9,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2283), 1,
      sym_argument_list,
    STATE(2795), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1988), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2235), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [52206] = 8,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    STATE(1337), 1,
      sym_dimensions,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(894), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(1255), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2235), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [52237] = 9,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    ACTIONS(4215), 1,
      anon_sym_LBRACK,
    STATE(225), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2719), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(183), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2236), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [52270] = 9,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    STATE(1301), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2768), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1214), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2235), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [52303] = 6,
    ACTIONS(3021), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1438), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1144), 2,
      anon_sym_LBRACK,
      anon_sym_AT,
    ACTIONS(1146), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [52330] = 9,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    ACTIONS(4207), 1,
      anon_sym_LBRACK,
    STATE(1106), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2659), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1073), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2153), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [52363] = 8,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    STATE(1376), 1,
      sym_dimensions,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(890), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(1255), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2235), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [52394] = 9,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    ACTIONS(4207), 1,
      anon_sym_LBRACK,
    STATE(1098), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2725), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1070), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2153), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [52427] = 8,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    STATE(1379), 1,
      sym_dimensions,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(898), 2,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
    STATE(1255), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2235), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [52458] = 9,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    ACTIONS(4203), 1,
      anon_sym_LBRACK,
    STATE(355), 1,
      sym_argument_list,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2703), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(192), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2240), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [52491] = 9,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4193), 1,
      anon_sym_LBRACK,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2312), 1,
      sym_argument_list,
    STATE(2768), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2001), 2,
      sym_dimensions_expr,
      aux_sym_array_creation_expression_repeat2,
    STATE(2235), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [52524] = 7,
    STATE(1972), 1,
      sym__reserved_identifier,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2270), 1,
      sym__variable_declarator_id,
    STATE(2553), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(43), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [52553] = 8,
    ACTIONS(43), 1,
      sym_underscore_pattern,
    ACTIONS(4284), 1,
      sym_identifier,
    STATE(1972), 1,
      sym__reserved_identifier,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2270), 1,
      sym__variable_declarator_id,
    STATE(2540), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [52584] = 7,
    STATE(1972), 1,
      sym__reserved_identifier,
    STATE(2264), 1,
      sym_variable_declarator,
    STATE(2270), 1,
      sym__variable_declarator_id,
    STATE(2607), 1,
      sym__variable_declarator_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(43), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [52613] = 8,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4066), 1,
      sym_identifier,
    ACTIONS(4068), 1,
      sym_this,
    ACTIONS(4070), 1,
      sym_super,
    STATE(175), 1,
      sym__reserved_identifier,
    STATE(2111), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1856), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [52644] = 8,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(4286), 1,
      anon_sym_LPAREN,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2391), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2752), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [52675] = 7,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4288), 1,
      sym_identifier,
    ACTIONS(4290), 1,
      sym_this,
    STATE(1295), 1,
      sym__reserved_identifier,
    STATE(2105), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2724), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [52703] = 6,
    STATE(1972), 1,
      sym__reserved_identifier,
    STATE(2270), 1,
      sym__variable_declarator_id,
    STATE(2373), 1,
      sym_variable_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(43), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [52729] = 6,
    STATE(1993), 1,
      sym__reserved_identifier,
    STATE(2378), 1,
      sym__variable_declarator_id,
    STATE(2778), 1,
      sym_variable_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3037), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [52755] = 7,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4292), 1,
      sym_identifier,
    ACTIONS(4294), 1,
      sym_this,
    STATE(204), 1,
      sym__reserved_identifier,
    STATE(2115), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2716), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [52783] = 7,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4296), 1,
      sym_identifier,
    ACTIONS(4298), 1,
      sym_this,
    STATE(1095), 1,
      sym__reserved_identifier,
    STATE(2106), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [52811] = 7,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4300), 1,
      sym_identifier,
    ACTIONS(4302), 1,
      sym_this,
    STATE(164), 1,
      sym__reserved_identifier,
    STATE(2115), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(755), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [52839] = 9,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(4304), 1,
      anon_sym_default,
    ACTIONS(4306), 1,
      anon_sym_SEMI,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2459), 1,
      sym_dimensions,
    STATE(2850), 1,
      sym__default_value,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [52871] = 6,
    STATE(1993), 1,
      sym__reserved_identifier,
    STATE(2378), 1,
      sym__variable_declarator_id,
    STATE(2682), 1,
      sym_variable_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3037), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [52897] = 6,
    STATE(1993), 1,
      sym__reserved_identifier,
    STATE(2378), 1,
      sym__variable_declarator_id,
    STATE(2683), 1,
      sym_variable_declarator,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3037), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [52923] = 7,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4308), 1,
      sym_identifier,
    ACTIONS(4310), 1,
      sym_this,
    STATE(326), 1,
      sym__reserved_identifier,
    STATE(2102), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2700), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [52951] = 7,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4312), 1,
      sym_identifier,
    ACTIONS(4314), 1,
      sym_this,
    STATE(176), 1,
      sym__reserved_identifier,
    STATE(2102), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1856), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [52979] = 9,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(4217), 1,
      sym_identifier,
    ACTIONS(4219), 1,
      sym_this,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    STATE(2483), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [53011] = 5,
    STATE(2023), 1,
      aux_sym_requires_module_directive_repeat1,
    STATE(2069), 1,
      sym_requires_modifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4318), 2,
      anon_sym_transitive,
      anon_sym_static,
    ACTIONS(4316), 7,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [53035] = 7,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4321), 1,
      sym_identifier,
    ACTIONS(4323), 1,
      sym_this,
    STATE(1055), 1,
      sym__reserved_identifier,
    STATE(2105), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [53063] = 7,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4323), 1,
      sym_this,
    ACTIONS(4325), 1,
      sym_identifier,
    STATE(1116), 1,
      sym__reserved_identifier,
    STATE(2105), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [53091] = 7,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4327), 1,
      sym_identifier,
    ACTIONS(4329), 1,
      sym_this,
    STATE(1277), 1,
      sym__reserved_identifier,
    STATE(2106), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2708), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [53119] = 9,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(4304), 1,
      anon_sym_default,
    ACTIONS(4331), 1,
      anon_sym_SEMI,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(2584), 1,
      sym_dimensions,
    STATE(2877), 1,
      sym__default_value,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [53151] = 8,
    ACTIONS(980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(3901), 1,
      anon_sym_DOT,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [53180] = 6,
    ACTIONS(1072), 1,
      anon_sym_LF,
    ACTIONS(4333), 1,
      anon_sym_LT,
    ACTIONS(4335), 1,
      anon_sym_DOT,
    STATE(2098), 1,
      sym_type_arguments,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1074), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
  [53205] = 6,
    ACTIONS(4337), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(4339), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4341), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    ACTIONS(4343), 2,
      aux_sym__multiline_string_fragment_single_token1,
      aux_sym__multiline_string_fragment_single_token2,
    STATE(2033), 4,
      sym_string_interpolation,
      sym__escape_sequence,
      sym__multiline_string_fragment_single,
      aux_sym__multiline_string_literal_repeat1,
  [53230] = 6,
    ACTIONS(4337), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4345), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4347), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    ACTIONS(4349), 2,
      aux_sym__multiline_string_fragment_double_token1,
      aux_sym__multiline_string_fragment_double_token2,
    STATE(2034), 4,
      sym_string_interpolation,
      sym__escape_sequence,
      sym__multiline_string_fragment_double,
      aux_sym__multiline_string_literal_repeat2,
  [53255] = 6,
    ACTIONS(4345), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4351), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4349), 2,
      aux_sym__multiline_string_fragment_double_token1,
      aux_sym__multiline_string_fragment_double_token2,
    ACTIONS(4353), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(2035), 4,
      sym_string_interpolation,
      sym__escape_sequence,
      sym__multiline_string_fragment_double,
      aux_sym__multiline_string_literal_repeat2,
  [53280] = 6,
    ACTIONS(4339), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4355), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4343), 2,
      aux_sym__multiline_string_fragment_single_token1,
      aux_sym__multiline_string_fragment_single_token2,
    ACTIONS(4357), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(2049), 4,
      sym_string_interpolation,
      sym__escape_sequence,
      sym__multiline_string_fragment_single,
      aux_sym__multiline_string_literal_repeat1,
  [53305] = 6,
    ACTIONS(4345), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4355), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4349), 2,
      aux_sym__multiline_string_fragment_double_token1,
      aux_sym__multiline_string_fragment_double_token2,
    ACTIONS(4353), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(2035), 4,
      sym_string_interpolation,
      sym__escape_sequence,
      sym__multiline_string_fragment_double,
      aux_sym__multiline_string_literal_repeat2,
  [53330] = 6,
    ACTIONS(4359), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(4361), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4364), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    ACTIONS(4367), 2,
      aux_sym__multiline_string_fragment_double_token1,
      aux_sym__multiline_string_fragment_double_token2,
    STATE(2035), 4,
      sym_string_interpolation,
      sym__escape_sequence,
      sym__multiline_string_fragment_double,
      aux_sym__multiline_string_literal_repeat2,
  [53355] = 8,
    ACTIONS(980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(4370), 1,
      anon_sym_DOT,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [53384] = 5,
    ACTIONS(4372), 1,
      sym_identifier,
    ACTIONS(4374), 1,
      anon_sym_static,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2298), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [53407] = 6,
    ACTIONS(4339), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4376), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4343), 2,
      aux_sym__multiline_string_fragment_single_token1,
      aux_sym__multiline_string_fragment_single_token2,
    ACTIONS(4378), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(2042), 4,
      sym_string_interpolation,
      sym__escape_sequence,
      sym__multiline_string_fragment_single,
      aux_sym__multiline_string_literal_repeat1,
  [53432] = 6,
    ACTIONS(4345), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4376), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4349), 2,
      aux_sym__multiline_string_fragment_double_token1,
      aux_sym__multiline_string_fragment_double_token2,
    ACTIONS(4380), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(2047), 4,
      sym_string_interpolation,
      sym__escape_sequence,
      sym__multiline_string_fragment_double,
      aux_sym__multiline_string_literal_repeat2,
  [53457] = 6,
    ACTIONS(4339), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4343), 2,
      aux_sym__multiline_string_fragment_single_token1,
      aux_sym__multiline_string_fragment_single_token2,
    ACTIONS(4384), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(2043), 4,
      sym_string_interpolation,
      sym__escape_sequence,
      sym__multiline_string_fragment_single,
      aux_sym__multiline_string_literal_repeat1,
  [53482] = 6,
    ACTIONS(4345), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4382), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4349), 2,
      aux_sym__multiline_string_fragment_double_token1,
      aux_sym__multiline_string_fragment_double_token2,
    ACTIONS(4386), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(2044), 4,
      sym_string_interpolation,
      sym__escape_sequence,
      sym__multiline_string_fragment_double,
      aux_sym__multiline_string_literal_repeat2,
  [53507] = 6,
    ACTIONS(4339), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4388), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4343), 2,
      aux_sym__multiline_string_fragment_single_token1,
      aux_sym__multiline_string_fragment_single_token2,
    ACTIONS(4357), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(2049), 4,
      sym_string_interpolation,
      sym__escape_sequence,
      sym__multiline_string_fragment_single,
      aux_sym__multiline_string_literal_repeat1,
  [53532] = 6,
    ACTIONS(4339), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4390), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4343), 2,
      aux_sym__multiline_string_fragment_single_token1,
      aux_sym__multiline_string_fragment_single_token2,
    ACTIONS(4357), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(2049), 4,
      sym_string_interpolation,
      sym__escape_sequence,
      sym__multiline_string_fragment_single,
      aux_sym__multiline_string_literal_repeat1,
  [53557] = 6,
    ACTIONS(4345), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4390), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4349), 2,
      aux_sym__multiline_string_fragment_double_token1,
      aux_sym__multiline_string_fragment_double_token2,
    ACTIONS(4353), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(2035), 4,
      sym_string_interpolation,
      sym__escape_sequence,
      sym__multiline_string_fragment_double,
      aux_sym__multiline_string_literal_repeat2,
  [53582] = 6,
    ACTIONS(1144), 1,
      anon_sym_LF,
    ACTIONS(4333), 1,
      anon_sym_LT,
    ACTIONS(4392), 1,
      anon_sym_DOT,
    STATE(2094), 1,
      sym_type_arguments,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1146), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
  [53607] = 8,
    ACTIONS(990), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(4394), 1,
      sym_identifier,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [53636] = 6,
    ACTIONS(4345), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4388), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4349), 2,
      aux_sym__multiline_string_fragment_double_token1,
      aux_sym__multiline_string_fragment_double_token2,
    ACTIONS(4353), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(2035), 4,
      sym_string_interpolation,
      sym__escape_sequence,
      sym__multiline_string_fragment_double,
      aux_sym__multiline_string_literal_repeat2,
  [53661] = 6,
    ACTIONS(4339), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4351), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4343), 2,
      aux_sym__multiline_string_fragment_single_token1,
      aux_sym__multiline_string_fragment_single_token2,
    ACTIONS(4357), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(2049), 4,
      sym_string_interpolation,
      sym__escape_sequence,
      sym__multiline_string_fragment_single,
      aux_sym__multiline_string_literal_repeat1,
  [53686] = 6,
    ACTIONS(4396), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(4398), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4401), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    ACTIONS(4404), 2,
      aux_sym__multiline_string_fragment_single_token1,
      aux_sym__multiline_string_fragment_single_token2,
    STATE(2049), 4,
      sym_string_interpolation,
      sym__escape_sequence,
      sym__multiline_string_fragment_single,
      aux_sym__multiline_string_literal_repeat1,
  [53711] = 11,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(4407), 1,
      anon_sym_extends,
    ACTIONS(4409), 1,
      anon_sym_implements,
    ACTIONS(4411), 1,
      anon_sym_permits,
    STATE(941), 1,
      sym_class_body,
    STATE(2107), 1,
      sym_type_parameters,
    STATE(2155), 1,
      sym_superclass,
    STATE(2361), 1,
      sym_super_interfaces,
    STATE(2748), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [53746] = 11,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(4407), 1,
      anon_sym_extends,
    ACTIONS(4409), 1,
      anon_sym_implements,
    ACTIONS(4411), 1,
      anon_sym_permits,
    STATE(982), 1,
      sym_class_body,
    STATE(2100), 1,
      sym_type_parameters,
    STATE(2178), 1,
      sym_superclass,
    STATE(2355), 1,
      sym_super_interfaces,
    STATE(2639), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [53781] = 4,
    ACTIONS(4413), 1,
      anon_sym_PIPE,
    STATE(2052), 1,
      aux_sym_catch_type_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4175), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [53802] = 5,
    STATE(1993), 1,
      sym__reserved_identifier,
    STATE(2919), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3037), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [53825] = 6,
    ACTIONS(4345), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4416), 1,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4349), 2,
      aux_sym__multiline_string_fragment_double_token1,
      aux_sym__multiline_string_fragment_double_token2,
    ACTIONS(4418), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(2032), 4,
      sym_string_interpolation,
      sym__escape_sequence,
      sym__multiline_string_fragment_double,
      aux_sym__multiline_string_literal_repeat2,
  [53850] = 8,
    ACTIONS(980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(3897), 1,
      anon_sym_DOT,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [53879] = 6,
    ACTIONS(4339), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4416), 1,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4343), 2,
      aux_sym__multiline_string_fragment_single_token1,
      aux_sym__multiline_string_fragment_single_token2,
    ACTIONS(4420), 2,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
    STATE(2048), 4,
      sym_string_interpolation,
      sym__escape_sequence,
      sym__multiline_string_fragment_single,
      aux_sym__multiline_string_literal_repeat1,
  [53904] = 8,
    ACTIONS(980), 1,
      anon_sym_COLON_COLON,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(3895), 1,
      anon_sym_DOT,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [53933] = 5,
    STATE(1993), 1,
      sym__reserved_identifier,
    STATE(2875), 1,
      sym__variable_declarator_id,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3037), 2,
      sym_underscore_pattern,
      sym_identifier,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [53956] = 4,
    ACTIONS(4166), 1,
      anon_sym_PIPE,
    STATE(2052), 1,
      aux_sym_catch_type_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4422), 8,
      sym_underscore_pattern,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [53977] = 4,
    ACTIONS(4424), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2561), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [53997] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4426), 9,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_transitive,
      anon_sym_static,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [54013] = 4,
    ACTIONS(4428), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2398), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54033] = 4,
    ACTIONS(4430), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2521), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54053] = 8,
    ACTIONS(4432), 1,
      anon_sym_RBRACE,
    ACTIONS(4434), 1,
      anon_sym_case,
    ACTIONS(4436), 1,
      anon_sym_default,
    STATE(12), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(2678), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2134), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
    STATE(2207), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [54081] = 8,
    ACTIONS(4434), 1,
      anon_sym_case,
    ACTIONS(4436), 1,
      anon_sym_default,
    ACTIONS(4438), 1,
      anon_sym_RBRACE,
    STATE(12), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(2678), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2122), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
    STATE(2166), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [54109] = 3,
    ACTIONS(1451), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1453), 8,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
  [54127] = 3,
    ACTIONS(1165), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1167), 8,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
  [54145] = 7,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(3509), 1,
      anon_sym_LBRACK,
    ACTIONS(4440), 1,
      sym_identifier,
    STATE(1606), 1,
      aux_sym_dimensions_repeat1,
    STATE(1809), 1,
      sym_dimensions,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2198), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [54171] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4442), 9,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_transitive,
      anon_sym_static,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
      sym_identifier,
  [54187] = 4,
    ACTIONS(4444), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2392), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54207] = 4,
    ACTIONS(4446), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2722), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54227] = 3,
    ACTIONS(1447), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1449), 8,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
  [54245] = 4,
    ACTIONS(4448), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2256), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54265] = 3,
    ACTIONS(265), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(273), 8,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
  [54283] = 4,
    ACTIONS(4450), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2399), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(77), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54303] = 4,
    ACTIONS(4452), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1346), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(4454), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54323] = 3,
    ACTIONS(918), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(920), 8,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
  [54341] = 4,
    ACTIONS(4456), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2401), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54361] = 4,
    ACTIONS(4458), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2507), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54381] = 4,
    ACTIONS(4460), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1269), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(1856), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54401] = 4,
    ACTIONS(4452), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1346), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54421] = 4,
    ACTIONS(4462), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2549), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54441] = 8,
    ACTIONS(4434), 1,
      anon_sym_case,
    ACTIONS(4436), 1,
      anon_sym_default,
    ACTIONS(4464), 1,
      anon_sym_RBRACE,
    STATE(12), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(2678), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2119), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
    STATE(2204), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [54469] = 4,
    ACTIONS(4466), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1795), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54489] = 4,
    ACTIONS(4468), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2544), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54509] = 5,
    ACTIONS(4470), 1,
      sym_identifier,
    ACTIONS(4472), 1,
      sym_super,
    STATE(2404), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54531] = 4,
    ACTIONS(4474), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2551), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54551] = 3,
    ACTIONS(1425), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1427), 8,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
  [54569] = 8,
    ACTIONS(4434), 1,
      anon_sym_case,
    ACTIONS(4436), 1,
      anon_sym_default,
    ACTIONS(4476), 1,
      anon_sym_RBRACE,
    STATE(12), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(2678), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2126), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
    STATE(2152), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [54597] = 4,
    ACTIONS(4478), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2343), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54617] = 4,
    ACTIONS(4480), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2711), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54637] = 3,
    ACTIONS(1433), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1435), 8,
      anon_sym_LT,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
  [54655] = 4,
    ACTIONS(4466), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(1795), 2,
      sym_scoped_identifier,
      sym__reserved_identifier,
    ACTIONS(4482), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54675] = 3,
    ACTIONS(1421), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1423), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
  [54692] = 4,
    ACTIONS(1144), 1,
      anon_sym_LF,
    ACTIONS(4392), 1,
      anon_sym_DOT,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1146), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
  [54711] = 9,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(4411), 1,
      anon_sym_permits,
    ACTIONS(4484), 1,
      anon_sym_extends,
    ACTIONS(4486), 1,
      anon_sym_LBRACE,
    STATE(958), 1,
      sym_interface_body,
    STATE(2156), 1,
      sym_type_parameters,
    STATE(2377), 1,
      sym_extends_interfaces,
    STATE(2694), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [54740] = 4,
    ACTIONS(4488), 1,
      sym_identifier,
    STATE(2416), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54759] = 3,
    ACTIONS(1409), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1411), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
  [54776] = 9,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(4411), 1,
      anon_sym_permits,
    ACTIONS(4484), 1,
      anon_sym_extends,
    ACTIONS(4486), 1,
      anon_sym_LBRACE,
    STATE(885), 1,
      sym_interface_body,
    STATE(2219), 1,
      sym_type_parameters,
    STATE(2389), 1,
      sym_extends_interfaces,
    STATE(2767), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [54805] = 9,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(4407), 1,
      anon_sym_extends,
    ACTIONS(4409), 1,
      anon_sym_implements,
    ACTIONS(4411), 1,
      anon_sym_permits,
    STATE(912), 1,
      sym_class_body,
    STATE(2206), 1,
      sym_superclass,
    STATE(2390), 1,
      sym_super_interfaces,
    STATE(2668), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [54834] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(980), 8,
      anon_sym_RPAREN,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_LBRACE,
      anon_sym_implements,
      anon_sym_permits,
  [54849] = 4,
    ACTIONS(4490), 1,
      sym_identifier,
    STATE(2384), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54868] = 3,
    ACTIONS(1413), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1415), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
  [54885] = 4,
    ACTIONS(4492), 1,
      sym_identifier,
    STATE(2740), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54904] = 4,
    ACTIONS(4494), 1,
      sym_identifier,
    STATE(2381), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54923] = 4,
    ACTIONS(4496), 1,
      sym_identifier,
    STATE(2411), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54942] = 9,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(4407), 1,
      anon_sym_extends,
    ACTIONS(4409), 1,
      anon_sym_implements,
    ACTIONS(4411), 1,
      anon_sym_permits,
    STATE(994), 1,
      sym_class_body,
    STATE(2241), 1,
      sym_superclass,
    STATE(2409), 1,
      sym_super_interfaces,
    STATE(2742), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [54971] = 4,
    ACTIONS(4470), 1,
      sym_identifier,
    STATE(2404), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [54990] = 4,
    ACTIONS(265), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(4498), 1,
      sym_identifier,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(273), 6,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
  [55009] = 3,
    ACTIONS(1459), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1461), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
  [55026] = 4,
    ACTIONS(4500), 1,
      sym_identifier,
    STATE(2347), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [55045] = 3,
    ACTIONS(918), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(920), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
      anon_sym_throws,
  [55062] = 3,
    ACTIONS(1417), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1419), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
  [55079] = 3,
    ACTIONS(1165), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1167), 7,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
      anon_sym_throws,
  [55096] = 4,
    ACTIONS(4502), 1,
      sym_identifier,
    STATE(2362), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [55115] = 4,
    ACTIONS(4504), 1,
      sym_identifier,
    STATE(2396), 1,
      sym__reserved_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(822), 6,
      anon_sym_yield,
      anon_sym_open,
      anon_sym_module,
      anon_sym_with,
      anon_sym_sealed,
      anon_sym_record,
  [55134] = 6,
    ACTIONS(4506), 1,
      anon_sym_EQ,
    ACTIONS(4508), 1,
      anon_sym_in,
    ACTIONS(4512), 1,
      anon_sym_COLON,
    ACTIONS(4514), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4510), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55156] = 5,
    ACTIONS(4516), 1,
      sym_identifier,
    ACTIONS(4518), 1,
      anon_sym_AT,
    STATE(2774), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2213), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [55176] = 7,
    ACTIONS(4436), 1,
      anon_sym_default,
    ACTIONS(4520), 1,
      anon_sym_RBRACE,
    ACTIONS(4522), 1,
      anon_sym_case,
    STATE(12), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(2832), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2127), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
  [55200] = 3,
    ACTIONS(4526), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4524), 6,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
      anon_sym_throws,
  [55216] = 3,
    ACTIONS(1489), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1491), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
  [55232] = 7,
    ACTIONS(4436), 1,
      anon_sym_default,
    ACTIONS(4522), 1,
      anon_sym_case,
    ACTIONS(4528), 1,
      anon_sym_RBRACE,
    STATE(12), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(2832), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2127), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
  [55256] = 5,
    ACTIONS(4516), 1,
      sym_identifier,
    ACTIONS(4518), 1,
      anon_sym_AT,
    STATE(2552), 1,
      sym_type_parameter,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2213), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [55276] = 6,
    ACTIONS(4506), 1,
      anon_sym_EQ,
    ACTIONS(4514), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(4530), 1,
      anon_sym_in,
    ACTIONS(4532), 1,
      anon_sym_COLON,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4510), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55298] = 3,
    ACTIONS(4536), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4534), 6,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
      anon_sym_throws,
  [55314] = 7,
    ACTIONS(4436), 1,
      anon_sym_default,
    ACTIONS(4522), 1,
      anon_sym_case,
    ACTIONS(4538), 1,
      anon_sym_RBRACE,
    STATE(12), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(2832), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2127), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
  [55338] = 7,
    ACTIONS(4540), 1,
      anon_sym_RBRACE,
    ACTIONS(4542), 1,
      anon_sym_case,
    ACTIONS(4545), 1,
      anon_sym_default,
    STATE(12), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(2832), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2127), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
  [55362] = 3,
    ACTIONS(4550), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4548), 6,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
      anon_sym_throws,
  [55378] = 6,
    ACTIONS(4506), 1,
      anon_sym_EQ,
    ACTIONS(4514), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(4552), 1,
      anon_sym_in,
    ACTIONS(4554), 1,
      anon_sym_COLON,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4510), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55400] = 6,
    ACTIONS(4556), 1,
      anon_sym_catch,
    ACTIONS(4558), 1,
      anon_sym_finally,
    STATE(917), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1988), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(2242), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
  [55422] = 6,
    ACTIONS(4556), 1,
      anon_sym_catch,
    ACTIONS(4558), 1,
      anon_sym_finally,
    STATE(918), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1996), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(2151), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
  [55444] = 3,
    ACTIONS(4562), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4560), 6,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
      anon_sym_throws,
  [55460] = 6,
    ACTIONS(4506), 1,
      anon_sym_EQ,
    ACTIONS(4514), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(4564), 1,
      anon_sym_in,
    ACTIONS(4566), 1,
      anon_sym_COLON,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4510), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55482] = 7,
    ACTIONS(4436), 1,
      anon_sym_default,
    ACTIONS(4522), 1,
      anon_sym_case,
    ACTIONS(4568), 1,
      anon_sym_RBRACE,
    STATE(12), 1,
      aux_sym_switch_block_statement_group_repeat1,
    STATE(2832), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2127), 2,
      sym_switch_block_statement_group,
      aux_sym_switch_block_repeat1,
  [55506] = 6,
    ACTIONS(4506), 1,
      anon_sym_EQ,
    ACTIONS(4514), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(4570), 1,
      anon_sym_in,
    ACTIONS(4572), 1,
      anon_sym_COLON,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4510), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55528] = 6,
    ACTIONS(4506), 1,
      anon_sym_EQ,
    ACTIONS(4514), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(4574), 1,
      anon_sym_in,
    ACTIONS(4576), 1,
      anon_sym_COLON,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4510), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55550] = 3,
    ACTIONS(4580), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4578), 6,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
      anon_sym_throws,
  [55566] = 3,
    ACTIONS(4584), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4582), 6,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55582] = 6,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(2288), 1,
      sym_argument_list,
    STATE(2513), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4586), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [55604] = 3,
    ACTIONS(1477), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1479), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
  [55620] = 3,
    ACTIONS(1501), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1503), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
  [55636] = 3,
    ACTIONS(1144), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1146), 6,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_AT,
  [55652] = 6,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(2313), 1,
      sym_argument_list,
    STATE(2578), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4588), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [55674] = 6,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(1307), 1,
      sym_argument_list,
    STATE(1355), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(810), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [55696] = 6,
    ACTIONS(4506), 1,
      anon_sym_EQ,
    ACTIONS(4514), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(4590), 1,
      anon_sym_in,
    ACTIONS(4592), 1,
      anon_sym_COLON,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4510), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55718] = 6,
    ACTIONS(4506), 1,
      anon_sym_EQ,
    ACTIONS(4514), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(4594), 1,
      anon_sym_in,
    ACTIONS(4596), 1,
      anon_sym_COLON,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4510), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55740] = 6,
    ACTIONS(4506), 1,
      anon_sym_EQ,
    ACTIONS(4514), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(4598), 1,
      anon_sym_in,
    ACTIONS(4600), 1,
      anon_sym_COLON,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4510), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55762] = 6,
    ACTIONS(4506), 1,
      anon_sym_EQ,
    ACTIONS(4514), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(4602), 1,
      anon_sym_in,
    ACTIONS(4604), 1,
      anon_sym_COLON,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4510), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55784] = 6,
    ACTIONS(4506), 1,
      anon_sym_EQ,
    ACTIONS(4514), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(4606), 1,
      anon_sym_in,
    ACTIONS(4608), 1,
      anon_sym_COLON,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4510), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55806] = 6,
    ACTIONS(4506), 1,
      anon_sym_EQ,
    ACTIONS(4514), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(4610), 1,
      anon_sym_in,
    ACTIONS(4612), 1,
      anon_sym_COLON,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4510), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55828] = 6,
    ACTIONS(4556), 1,
      anon_sym_catch,
    ACTIONS(4558), 1,
      anon_sym_finally,
    STATE(929), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(2000), 2,
      anon_sym_while,
      anon_sym_else,
    STATE(2242), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
  [55850] = 6,
    ACTIONS(4434), 1,
      anon_sym_case,
    ACTIONS(4436), 1,
      anon_sym_default,
    ACTIONS(4538), 1,
      anon_sym_RBRACE,
    STATE(2872), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2184), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [55871] = 4,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4614), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2239), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [55888] = 5,
    ACTIONS(4616), 1,
      anon_sym_COMMA,
    ACTIONS(4620), 1,
      anon_sym_LF,
    STATE(2209), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4618), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
  [55907] = 7,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(4409), 1,
      anon_sym_implements,
    ACTIONS(4411), 1,
      anon_sym_permits,
    STATE(995), 1,
      sym_class_body,
    STATE(2410), 1,
      sym_super_interfaces,
    STATE(2759), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [55930] = 7,
    ACTIONS(4411), 1,
      anon_sym_permits,
    ACTIONS(4484), 1,
      anon_sym_extends,
    ACTIONS(4486), 1,
      anon_sym_LBRACE,
    STATE(889), 1,
      sym_interface_body,
    STATE(2356), 1,
      sym_extends_interfaces,
    STATE(2800), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [55953] = 6,
    ACTIONS(4622), 1,
      anon_sym_DQUOTE,
    ACTIONS(4624), 1,
      sym_string_fragment,
    ACTIONS(4626), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4628), 1,
      sym_escape_sequence,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2158), 2,
      sym_string_interpolation,
      aux_sym__string_literal_repeat1,
  [55974] = 6,
    ACTIONS(4626), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4630), 1,
      anon_sym_DQUOTE,
    ACTIONS(4632), 1,
      sym_string_fragment,
    ACTIONS(4634), 1,
      sym_escape_sequence,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2196), 2,
      sym_string_interpolation,
      aux_sym__string_literal_repeat1,
  [55995] = 5,
    ACTIONS(4638), 1,
      anon_sym_throws,
    ACTIONS(4640), 1,
      anon_sym_LF,
    STATE(2380), 1,
      sym_throws,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4636), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56014] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4642), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2164), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56031] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4644), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2165), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56048] = 5,
    ACTIONS(4616), 1,
      anon_sym_COMMA,
    ACTIONS(4648), 1,
      anon_sym_LF,
    STATE(2154), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4646), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56067] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4650), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2210), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56084] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4652), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2210), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56101] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4654), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2210), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56118] = 6,
    ACTIONS(4434), 1,
      anon_sym_case,
    ACTIONS(4436), 1,
      anon_sym_default,
    ACTIONS(4528), 1,
      anon_sym_RBRACE,
    STATE(2872), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2184), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [56139] = 6,
    ACTIONS(3374), 1,
      anon_sym_COMMA,
    ACTIONS(3378), 1,
      anon_sym_when,
    STATE(2296), 1,
      aux_sym_switch_label_repeat1,
    STATE(2776), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4656), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [56160] = 4,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4658), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2239), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56177] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4660), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [56190] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4662), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [56203] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4664), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [56216] = 6,
    ACTIONS(4626), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4666), 1,
      anon_sym_DQUOTE,
    ACTIONS(4668), 1,
      sym_string_fragment,
    ACTIONS(4670), 1,
      sym_escape_sequence,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2173), 2,
      sym_string_interpolation,
      aux_sym__string_literal_repeat1,
  [56237] = 6,
    ACTIONS(4626), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4632), 1,
      sym_string_fragment,
    ACTIONS(4634), 1,
      sym_escape_sequence,
    ACTIONS(4672), 1,
      anon_sym_DQUOTE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2196), 2,
      sym_string_interpolation,
      aux_sym__string_literal_repeat1,
  [56258] = 5,
    ACTIONS(4638), 1,
      anon_sym_throws,
    ACTIONS(4676), 1,
      anon_sym_LF,
    STATE(2367), 1,
      sym_throws,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4674), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56277] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4678), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2227), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56294] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4680), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2179), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56311] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4682), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2180), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56328] = 7,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(4409), 1,
      anon_sym_implements,
    ACTIONS(4411), 1,
      anon_sym_permits,
    STATE(913), 1,
      sym_class_body,
    STATE(2395), 1,
      sym_super_interfaces,
    STATE(2671), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [56351] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4684), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2210), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56368] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4686), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2210), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56385] = 6,
    ACTIONS(4626), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4632), 1,
      sym_string_fragment,
    ACTIONS(4634), 1,
      sym_escape_sequence,
    ACTIONS(4688), 1,
      anon_sym_DQUOTE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2196), 2,
      sym_string_interpolation,
      aux_sym__string_literal_repeat1,
  [56406] = 2,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4690), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_BSLASH_LBRACE,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
      aux_sym__multiline_string_fragment_single_token1,
      aux_sym__multiline_string_fragment_single_token2,
  [56419] = 2,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4692), 6,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BSLASH_LBRACE,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
      aux_sym__multiline_string_fragment_double_token1,
      aux_sym__multiline_string_fragment_double_token2,
  [56432] = 6,
    ACTIONS(4694), 1,
      anon_sym_RBRACE,
    ACTIONS(4696), 1,
      anon_sym_case,
    ACTIONS(4699), 1,
      anon_sym_default,
    STATE(2872), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2184), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [56453] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4702), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2187), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56470] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4704), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2188), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56487] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4706), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2210), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56504] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4708), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2210), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56521] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4710), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2191), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56538] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4712), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2192), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56555] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4714), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2210), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56572] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4716), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2210), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56589] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4718), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [56602] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4720), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [56615] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4722), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [56628] = 6,
    ACTIONS(4724), 1,
      anon_sym_DQUOTE,
    ACTIONS(4726), 1,
      sym_string_fragment,
    ACTIONS(4729), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4732), 1,
      sym_escape_sequence,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2196), 2,
      sym_string_interpolation,
      aux_sym__string_literal_repeat1,
  [56649] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4735), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [56662] = 4,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4737), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2239), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56679] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4739), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2210), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56696] = 2,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4741), 6,
      anon_sym_DQUOTE_DQUOTE_DQUOTE,
      anon_sym_BSLASH_LBRACE,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
      aux_sym__multiline_string_fragment_double_token1,
      aux_sym__multiline_string_fragment_double_token2,
  [56709] = 4,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4743), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2239), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56726] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4745), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [56739] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4745), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [56752] = 6,
    ACTIONS(4434), 1,
      anon_sym_case,
    ACTIONS(4436), 1,
      anon_sym_default,
    ACTIONS(4520), 1,
      anon_sym_RBRACE,
    STATE(2872), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2184), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [56773] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4747), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2210), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56790] = 7,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(4409), 1,
      anon_sym_implements,
    ACTIONS(4411), 1,
      anon_sym_permits,
    STATE(847), 1,
      sym_class_body,
    STATE(2375), 1,
      sym_super_interfaces,
    STATE(2753), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [56813] = 6,
    ACTIONS(4434), 1,
      anon_sym_case,
    ACTIONS(4436), 1,
      anon_sym_default,
    ACTIONS(4568), 1,
      anon_sym_RBRACE,
    STATE(2872), 1,
      sym_switch_label,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2184), 2,
      sym_switch_rule,
      aux_sym_switch_block_repeat2,
  [56834] = 4,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4749), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2239), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56851] = 5,
    ACTIONS(4751), 1,
      anon_sym_COMMA,
    ACTIONS(4756), 1,
      anon_sym_LF,
    STATE(2209), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4754), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
  [56870] = 4,
    ACTIONS(3296), 1,
      sym_identifier,
    ACTIONS(4758), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2210), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56887] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4761), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [56900] = 4,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4763), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2239), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56917] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4765), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2210), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56934] = 4,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4767), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2239), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56951] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4769), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [56964] = 2,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4692), 6,
      anon_sym_SQUOTE_SQUOTE_SQUOTE,
      anon_sym_BSLASH_LBRACE,
      aux_sym__escape_sequence_token1,
      sym_escape_sequence,
      aux_sym__multiline_string_fragment_single_token1,
      aux_sym__multiline_string_fragment_single_token2,
  [56977] = 4,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4771), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2239), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [56994] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4773), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2205), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [57011] = 7,
    ACTIONS(4411), 1,
      anon_sym_permits,
    ACTIONS(4484), 1,
      anon_sym_extends,
    ACTIONS(4486), 1,
      anon_sym_LBRACE,
    STATE(933), 1,
      sym_interface_body,
    STATE(2372), 1,
      sym_extends_interfaces,
    STATE(2658), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57034] = 6,
    ACTIONS(4626), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4775), 1,
      anon_sym_DQUOTE,
    ACTIONS(4777), 1,
      sym_string_fragment,
    ACTIONS(4779), 1,
      sym_escape_sequence,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2181), 2,
      sym_string_interpolation,
      aux_sym__string_literal_repeat1,
  [57055] = 4,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4781), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2239), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [57072] = 5,
    ACTIONS(4638), 1,
      anon_sym_throws,
    ACTIONS(4785), 1,
      anon_sym_LF,
    STATE(2348), 1,
      sym_throws,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4783), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57091] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4787), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [57104] = 4,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4789), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2239), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [57121] = 6,
    ACTIONS(4626), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4791), 1,
      anon_sym_DQUOTE,
    ACTIONS(4793), 1,
      sym_string_fragment,
    ACTIONS(4795), 1,
      sym_escape_sequence,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2230), 2,
      sym_string_interpolation,
      aux_sym__string_literal_repeat1,
  [57142] = 4,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4797), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2239), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [57159] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4799), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2210), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [57176] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4801), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [57189] = 4,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4803), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2239), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [57206] = 6,
    ACTIONS(4626), 1,
      anon_sym_BSLASH_LBRACE,
    ACTIONS(4632), 1,
      sym_string_fragment,
    ACTIONS(4634), 1,
      sym_escape_sequence,
    ACTIONS(4805), 1,
      anon_sym_DQUOTE,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2196), 2,
      sym_string_interpolation,
      aux_sym__string_literal_repeat1,
  [57227] = 4,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4807), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2239), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [57244] = 4,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4809), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2239), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [57261] = 4,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4811), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2239), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [57278] = 4,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4813), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2239), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [57295] = 4,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4815), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2239), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [57312] = 4,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4817), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2239), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [57329] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4819), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2199), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [57346] = 4,
    ACTIONS(4518), 1,
      anon_sym_AT,
    ACTIONS(4821), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2163), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [57363] = 4,
    ACTIONS(3296), 1,
      anon_sym_LBRACK,
    ACTIONS(4823), 1,
      anon_sym_AT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2239), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [57380] = 4,
    ACTIONS(2959), 1,
      anon_sym_AT,
    ACTIONS(4826), 1,
      anon_sym_LBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2239), 4,
      sym__annotation,
      sym_marker_annotation,
      sym_annotation,
      aux_sym_array_creation_expression_repeat1,
  [57397] = 7,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(4409), 1,
      anon_sym_implements,
    ACTIONS(4411), 1,
      anon_sym_permits,
    STATE(853), 1,
      sym_class_body,
    STATE(2341), 1,
      sym_super_interfaces,
    STATE(2690), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57420] = 4,
    ACTIONS(4828), 1,
      anon_sym_catch,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2242), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
    ACTIONS(2004), 3,
      anon_sym_while,
      anon_sym_finally,
      anon_sym_else,
  [57437] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4745), 6,
      anon_sym_RBRACE,
      anon_sym_requires,
      anon_sym_exports,
      anon_sym_opens,
      anon_sym_uses,
      anon_sym_provides,
  [57450] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(404), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57470] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(224), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57490] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(223), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57510] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1111), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57530] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1096), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57550] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(230), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57570] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(229), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57590] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(211), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57610] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(206), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57630] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1110), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57650] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1311), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57670] = 3,
    ACTIONS(980), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(982), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57684] = 5,
    ACTIONS(4831), 1,
      anon_sym_DOT,
    ACTIONS(4835), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(4837), 1,
      anon_sym_as,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4833), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57702] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(220), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57722] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(219), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57742] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(209), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57762] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(208), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57782] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(226), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57802] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(225), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57822] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1100), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57842] = 5,
    ACTIONS(4839), 1,
      anon_sym_COMMA,
    ACTIONS(4843), 1,
      aux_sym_expression_statement_token1,
    STATE(2311), 1,
      aux_sym__variable_declarator_list_repeat1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4841), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57860] = 5,
    ACTIONS(4845), 1,
      anon_sym_catch,
    ACTIONS(4847), 1,
      anon_sym_finally,
    STATE(872), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(830), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
  [57878] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1098), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57898] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(402), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57918] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(401), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57938] = 4,
    ACTIONS(4849), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_switch_label_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3495), 3,
      anon_sym_COLON,
      anon_sym_RBRACK,
      anon_sym_when,
  [57954] = 4,
    ACTIONS(4506), 1,
      anon_sym_EQ,
    ACTIONS(4514), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4510), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
  [57970] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1099), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [57990] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(339), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58010] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(338), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58030] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(341), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58050] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(340), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58070] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(356), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58090] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(355), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58110] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(347), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58130] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(346), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58150] = 5,
    ACTIONS(4852), 1,
      anon_sym_COMMA,
    ACTIONS(4857), 1,
      aux_sym_expression_statement_token1,
    STATE(2280), 1,
      aux_sym__variable_declarator_list_repeat1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4855), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58168] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(403), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58188] = 6,
    ACTIONS(4859), 1,
      anon_sym_LBRACE,
    ACTIONS(4861), 1,
      anon_sym_SEMI,
    ACTIONS(4863), 1,
      anon_sym_NULL,
    ACTIONS(4865), 1,
      anon_sym_LF,
    STATE(1013), 1,
      sym_block,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
  [58208] = 4,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(1397), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1064), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [58224] = 3,
    ACTIONS(4869), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4867), 4,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_throws,
  [58238] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2295), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58258] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1802), 1,
      sym_type_arguments,
    STATE(2290), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58278] = 4,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(1371), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1068), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [58294] = 4,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(2522), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4871), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [58310] = 6,
    ACTIONS(4859), 1,
      anon_sym_LBRACE,
    ACTIONS(4873), 1,
      anon_sym_SEMI,
    ACTIONS(4875), 1,
      anon_sym_NULL,
    ACTIONS(4877), 1,
      anon_sym_LF,
    STATE(1014), 1,
      sym_block,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
  [58330] = 4,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(1366), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1084), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [58346] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2320), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58366] = 4,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(1382), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1036), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [58382] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2327), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58402] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1802), 1,
      sym_type_arguments,
    STATE(2321), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58422] = 4,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(1369), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1088), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [58438] = 4,
    ACTIONS(4879), 1,
      anon_sym_COMMA,
    STATE(2296), 1,
      aux_sym_switch_label_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3495), 3,
      anon_sym_DASH_GT,
      anon_sym_COLON,
      anon_sym_when,
  [58454] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    STATE(1303), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58474] = 5,
    ACTIONS(4882), 1,
      anon_sym_DOT,
    ACTIONS(4886), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(4888), 1,
      anon_sym_as,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4884), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58492] = 3,
    ACTIONS(4756), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4754), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58506] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2287), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58526] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1802), 1,
      sym_type_arguments,
    STATE(2283), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58546] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2292), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58566] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1802), 1,
      sym_type_arguments,
    STATE(2331), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58586] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1298), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58606] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    STATE(1792), 1,
      sym_type_arguments,
    STATE(2317), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58626] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1802), 1,
      sym_type_arguments,
    STATE(2312), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58646] = 4,
    STATE(2782), 1,
      sym__wildcard_bounds,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4890), 2,
      anon_sym_GT,
      anon_sym_COMMA,
    ACTIONS(4892), 2,
      anon_sym_extends,
      sym_super,
  [58662] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    STATE(1310), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58682] = 3,
    ACTIONS(3047), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3045), 4,
      anon_sym_DOT,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_as,
  [58696] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    STATE(1321), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58716] = 5,
    ACTIONS(4839), 1,
      anon_sym_COMMA,
    ACTIONS(4896), 1,
      aux_sym_expression_statement_token1,
    STATE(2280), 1,
      aux_sym__variable_declarator_list_repeat1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4894), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [58734] = 4,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(1372), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1092), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [58750] = 4,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(2510), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4898), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [58766] = 6,
    ACTIONS(3811), 1,
      anon_sym_SEMI,
    ACTIONS(3834), 1,
      anon_sym_RBRACE,
    ACTIONS(4900), 1,
      anon_sym_COMMA,
    STATE(2366), 1,
      aux_sym_enum_body_repeat1,
    STATE(2823), 1,
      sym_enum_body_declarations,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58786] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1320), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58806] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1312), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58826] = 4,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(1377), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1096), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [58842] = 4,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(1394), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1104), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [58858] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    STATE(1318), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58878] = 4,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(1395), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1108), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [58894] = 4,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(1396), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1020), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [58910] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    STATE(1302), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58930] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1301), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58950] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1108), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58970] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1092), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [58990] = 5,
    ACTIONS(4556), 1,
      anon_sym_catch,
    ACTIONS(4558), 1,
      anon_sym_finally,
    STATE(872), 1,
      sym_finally_clause,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    STATE(2130), 2,
      sym_catch_clause,
      aux_sym_try_statement_repeat1,
  [59008] = 4,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(1398), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1044), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [59024] = 3,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4043), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
    ACTIONS(810), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [59038] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1104), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59058] = 6,
    ACTIONS(3811), 1,
      anon_sym_SEMI,
    ACTIONS(4902), 1,
      anon_sym_RBRACE,
    ACTIONS(4904), 1,
      anon_sym_COMMA,
    STATE(2314), 1,
      aux_sym_enum_body_repeat1,
    STATE(2916), 1,
      sym_enum_body_declarations,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59078] = 4,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(1368), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(1032), 3,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_COLON_COLON,
  [59094] = 6,
    ACTIONS(3486), 1,
      anon_sym_COMMA,
    ACTIONS(3488), 1,
      anon_sym_when,
    ACTIONS(4656), 1,
      anon_sym_COLON,
    STATE(2269), 1,
      aux_sym_switch_label_repeat1,
    STATE(2776), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59114] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1107), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59134] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1105), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59154] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1106), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59174] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(3924), 1,
      anon_sym_DOT,
    STATE(1300), 1,
      sym_argument_list,
    STATE(1792), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59194] = 4,
    STATE(2692), 1,
      sym__wildcard_bounds,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4892), 2,
      anon_sym_extends,
      sym_super,
    ACTIONS(4906), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [59210] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1299), 1,
      sym_argument_list,
    STATE(1802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59230] = 6,
    ACTIONS(335), 1,
      anon_sym_LT,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1802), 1,
      sym_type_arguments,
    STATE(2318), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59250] = 5,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(4181), 1,
      anon_sym_LPAREN,
    STATE(2417), 1,
      sym_formal_parameters,
    STATE(2746), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59267] = 5,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(4411), 1,
      anon_sym_permits,
    STATE(942), 1,
      sym_class_body,
    STATE(2628), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59284] = 5,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(4409), 1,
      anon_sym_implements,
    STATE(873), 1,
      sym_class_body,
    STATE(2790), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59301] = 5,
    ACTIONS(3067), 1,
      anon_sym_DOT,
    ACTIONS(4908), 1,
      anon_sym_COMMA,
    ACTIONS(4910), 1,
      anon_sym_SEMI,
    STATE(2427), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59318] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4580), 4,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_implements,
      anon_sym_throws,
  [59329] = 5,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4912), 1,
      anon_sym_DOT,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    STATE(2836), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59346] = 4,
    ACTIONS(4918), 1,
      anon_sym_extends,
    STATE(2804), 1,
      sym_type_bound,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4916), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [59361] = 5,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(345), 1,
      sym_argument_list,
    STATE(436), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59378] = 3,
    ACTIONS(4922), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4920), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59391] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4536), 4,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_implements,
      anon_sym_throws,
  [59402] = 4,
    ACTIONS(335), 1,
      anon_sym_LT,
    STATE(2679), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4924), 2,
      anon_sym_new,
      sym_identifier,
  [59417] = 4,
    ACTIONS(335), 1,
      anon_sym_LT,
    STATE(2802), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4926), 2,
      anon_sym_new,
      sym_identifier,
  [59432] = 5,
    ACTIONS(4928), 1,
      anon_sym_LPAREN,
    ACTIONS(4930), 1,
      anon_sym_LBRACE,
    STATE(2265), 1,
      sym_block,
    STATE(2631), 1,
      sym_resource_specification,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59449] = 4,
    ACTIONS(4932), 1,
      anon_sym_AMP,
    STATE(2403), 1,
      aux_sym_type_bound_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4934), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [59464] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4550), 4,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_implements,
      anon_sym_throws,
  [59475] = 5,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(4411), 1,
      anon_sym_permits,
    STATE(914), 1,
      sym_class_body,
    STATE(2673), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59492] = 5,
    ACTIONS(4411), 1,
      anon_sym_permits,
    ACTIONS(4486), 1,
      anon_sym_LBRACE,
    STATE(877), 1,
      sym_interface_body,
    STATE(2726), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59509] = 4,
    ACTIONS(4936), 1,
      anon_sym_COMMA,
    STATE(2357), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4756), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [59524] = 4,
    ACTIONS(3378), 1,
      anon_sym_when,
    STATE(2791), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3372), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [59539] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4939), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [59550] = 5,
    ACTIONS(21), 1,
      anon_sym_LT,
    ACTIONS(4181), 1,
      anon_sym_LPAREN,
    STATE(2342), 1,
      sym_formal_parameters,
    STATE(2666), 1,
      sym_type_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59567] = 5,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(4411), 1,
      anon_sym_permits,
    STATE(996), 1,
      sym_class_body,
    STATE(2770), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59584] = 5,
    ACTIONS(1984), 1,
      anon_sym_LBRACE,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(212), 1,
      sym_argument_list,
    STATE(294), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59601] = 4,
    ACTIONS(4943), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(4945), 1,
      anon_sym_as,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4941), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59616] = 5,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    ACTIONS(4949), 1,
      anon_sym_throws,
    STATE(1433), 1,
      sym_constructor_body,
    STATE(2733), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59633] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4562), 4,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_implements,
      anon_sym_throws,
  [59644] = 4,
    ACTIONS(4953), 1,
      anon_sym_COMMA,
    STATE(2366), 1,
      aux_sym_enum_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4951), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [59659] = 3,
    ACTIONS(4958), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4956), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59672] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4960), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [59683] = 5,
    ACTIONS(4409), 1,
      anon_sym_implements,
    ACTIONS(4962), 1,
      anon_sym_LBRACE,
    STATE(946), 1,
      sym_enum_body,
    STATE(2663), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59700] = 4,
    ACTIONS(4932), 1,
      anon_sym_AMP,
    STATE(2353), 1,
      aux_sym_type_bound_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4964), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [59715] = 4,
    ACTIONS(4966), 1,
      anon_sym_COMMA,
    STATE(2357), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4968), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [59730] = 5,
    ACTIONS(4411), 1,
      anon_sym_permits,
    ACTIONS(4486), 1,
      anon_sym_LBRACE,
    STATE(993), 1,
      sym_interface_body,
    STATE(2654), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59747] = 3,
    ACTIONS(4972), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4970), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59760] = 4,
    ACTIONS(4966), 1,
      anon_sym_COMMA,
    STATE(2371), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4974), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [59775] = 5,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(4411), 1,
      anon_sym_permits,
    STATE(984), 1,
      sym_class_body,
    STATE(2777), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59792] = 5,
    ACTIONS(3149), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4976), 1,
      anon_sym_RPAREN,
    ACTIONS(4978), 1,
      anon_sym_AMP,
    STATE(2532), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59809] = 5,
    ACTIONS(4411), 1,
      anon_sym_permits,
    ACTIONS(4486), 1,
      anon_sym_LBRACE,
    STATE(846), 1,
      sym_interface_body,
    STATE(2739), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59826] = 3,
    ACTIONS(4980), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4514), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [59839] = 4,
    ACTIONS(4918), 1,
      anon_sym_extends,
    STATE(2667), 1,
      sym_type_bound,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4982), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [59854] = 3,
    ACTIONS(4986), 1,
      anon_sym_LF,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4984), 3,
      anon_sym_LBRACE,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59867] = 5,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1103), 1,
      sym_argument_list,
    STATE(1123), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59884] = 5,
    ACTIONS(3149), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4978), 1,
      anon_sym_AMP,
    ACTIONS(4988), 1,
      anon_sym_RPAREN,
    STATE(2616), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59901] = 3,
    ACTIONS(4990), 1,
      sym_string_fragment,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4692), 3,
      anon_sym_DQUOTE,
      anon_sym_BSLASH_LBRACE,
      sym_escape_sequence,
  [59914] = 5,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(349), 1,
      sym_argument_list,
    STATE(460), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59931] = 3,
    ACTIONS(4994), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4992), 3,
      anon_sym_SEMI,
      anon_sym_NULL,
      anon_sym_as,
  [59944] = 5,
    ACTIONS(4928), 1,
      anon_sym_LPAREN,
    ACTIONS(4930), 1,
      anon_sym_LBRACE,
    STATE(2326), 1,
      sym_block,
    STATE(2647), 1,
      sym_resource_specification,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59961] = 4,
    ACTIONS(4998), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(5000), 1,
      anon_sym_as,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4996), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [59976] = 5,
    ACTIONS(3149), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4978), 1,
      anon_sym_AMP,
    ACTIONS(5002), 1,
      anon_sym_RPAREN,
    STATE(2601), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [59993] = 5,
    ACTIONS(4411), 1,
      anon_sym_permits,
    ACTIONS(4486), 1,
      anon_sym_LBRACE,
    STATE(937), 1,
      sym_interface_body,
    STATE(2728), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60010] = 5,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(4411), 1,
      anon_sym_permits,
    STATE(854), 1,
      sym_class_body,
    STATE(2769), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60027] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4584), 4,
      anon_sym_RPAREN,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [60038] = 5,
    ACTIONS(3067), 1,
      anon_sym_DOT,
    ACTIONS(5004), 1,
      anon_sym_COMMA,
    ACTIONS(5006), 1,
      anon_sym_SEMI,
    STATE(2421), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60055] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4526), 4,
      anon_sym_DASH_GT,
      anon_sym_LBRACE,
      anon_sym_implements,
      anon_sym_throws,
  [60066] = 4,
    ACTIONS(5008), 1,
      sym_identifier,
    ACTIONS(5012), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5010), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [60081] = 5,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(4411), 1,
      anon_sym_permits,
    STATE(864), 1,
      sym_class_body,
    STATE(2789), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60098] = 5,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(1317), 1,
      sym_argument_list,
    STATE(1390), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60115] = 4,
    ACTIONS(335), 1,
      anon_sym_LT,
    STATE(2714), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5014), 2,
      anon_sym_new,
      sym_identifier,
  [60130] = 4,
    ACTIONS(5016), 1,
      anon_sym_DOT,
    ACTIONS(5020), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5018), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [60145] = 4,
    ACTIONS(5016), 1,
      anon_sym_DOT,
    ACTIONS(5024), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5022), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [60160] = 5,
    ACTIONS(3149), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4978), 1,
      anon_sym_AMP,
    ACTIONS(5026), 1,
      anon_sym_RPAREN,
    STATE(2440), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60177] = 5,
    ACTIONS(3067), 1,
      anon_sym_DOT,
    ACTIONS(5004), 1,
      anon_sym_COMMA,
    ACTIONS(5028), 1,
      anon_sym_SEMI,
    STATE(2425), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60194] = 4,
    ACTIONS(5030), 1,
      sym_identifier,
    ACTIONS(5034), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5032), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [60209] = 4,
    ACTIONS(5036), 1,
      anon_sym_AMP,
    STATE(2403), 1,
      aux_sym_type_bound_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5039), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [60224] = 5,
    ACTIONS(1986), 1,
      anon_sym_LBRACE,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1102), 1,
      sym_argument_list,
    STATE(1167), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60241] = 5,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    ACTIONS(4949), 1,
      anon_sym_throws,
    STATE(1427), 1,
      sym_constructor_body,
    STATE(2707), 1,
      sym_throws,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60258] = 5,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(4409), 1,
      anon_sym_implements,
    STATE(969), 1,
      sym_class_body,
    STATE(2747), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60275] = 5,
    ACTIONS(3149), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4978), 1,
      anon_sym_AMP,
    ACTIONS(5041), 1,
      anon_sym_RPAREN,
    STATE(2505), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60292] = 4,
    ACTIONS(335), 1,
      anon_sym_LT,
    STATE(2763), 1,
      sym_type_arguments,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5043), 2,
      anon_sym_new,
      sym_identifier,
  [60307] = 5,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(4411), 1,
      anon_sym_permits,
    STATE(855), 1,
      sym_class_body,
    STATE(2696), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60324] = 5,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(4411), 1,
      anon_sym_permits,
    STATE(859), 1,
      sym_class_body,
    STATE(2708), 1,
      sym_permits,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60341] = 5,
    ACTIONS(960), 1,
      anon_sym_LBRACE,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(1297), 1,
      sym_argument_list,
    STATE(1338), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60358] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5045), 4,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [60369] = 5,
    ACTIONS(3149), 1,
      anon_sym_COLON_COLON,
    ACTIONS(4978), 1,
      anon_sym_AMP,
    ACTIONS(5047), 1,
      anon_sym_RPAREN,
    STATE(2476), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60386] = 5,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(4409), 1,
      anon_sym_implements,
    STATE(874), 1,
      sym_class_body,
    STATE(2717), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60403] = 5,
    ACTIONS(4409), 1,
      anon_sym_implements,
    ACTIONS(4962), 1,
      anon_sym_LBRACE,
    STATE(883), 1,
      sym_enum_body,
    STATE(2665), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60420] = 5,
    ACTIONS(1984), 1,
      anon_sym_LBRACE,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(207), 1,
      sym_argument_list,
    STATE(260), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60437] = 5,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    ACTIONS(4409), 1,
      anon_sym_implements,
    STATE(928), 1,
      sym_class_body,
    STATE(2793), 1,
      sym_super_interfaces,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60454] = 3,
    ACTIONS(3505), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3503), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_NULL,
  [60467] = 4,
    ACTIONS(5049), 1,
      anon_sym_COMMA,
    ACTIONS(5052), 1,
      anon_sym_RBRACK,
    STATE(2419), 1,
      aux_sym_map_literal_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60481] = 4,
    ACTIONS(1882), 1,
      anon_sym_RBRACK,
    ACTIONS(5054), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_switch_label_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60495] = 4,
    ACTIONS(5004), 1,
      anon_sym_COMMA,
    ACTIONS(5056), 1,
      anon_sym_SEMI,
    STATE(2556), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60509] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5058), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60523] = 4,
    ACTIONS(3869), 1,
      anon_sym_RBRACK,
    ACTIONS(5060), 1,
      anon_sym_COMMA,
    STATE(2419), 1,
      aux_sym_map_literal_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60537] = 3,
    ACTIONS(5064), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5062), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [60549] = 4,
    ACTIONS(5004), 1,
      anon_sym_COMMA,
    ACTIONS(5066), 1,
      anon_sym_SEMI,
    STATE(2556), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60563] = 4,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1311), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60577] = 4,
    ACTIONS(4908), 1,
      anon_sym_COMMA,
    ACTIONS(5068), 1,
      anon_sym_SEMI,
    STATE(2579), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60591] = 4,
    ACTIONS(5070), 1,
      anon_sym_RBRACE,
    ACTIONS(5072), 1,
      anon_sym_COMMA,
    STATE(2428), 1,
      aux_sym_element_value_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60605] = 4,
    ACTIONS(5075), 1,
      anon_sym_SEMI,
    ACTIONS(5077), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(5079), 1,
      anon_sym_NULL,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
  [60619] = 3,
    ACTIONS(5083), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5081), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [60631] = 4,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1092), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60645] = 4,
    ACTIONS(1818), 1,
      anon_sym_RBRACE,
    ACTIONS(5085), 1,
      anon_sym_COMMA,
    STATE(2577), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60659] = 4,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1105), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60673] = 4,
    ACTIONS(5087), 1,
      anon_sym_COMMA,
    ACTIONS(5089), 1,
      anon_sym_RBRACK,
    STATE(2446), 1,
      aux_sym_map_literal_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60687] = 4,
    ACTIONS(5091), 1,
      anon_sym_RPAREN,
    ACTIONS(5093), 1,
      anon_sym_COMMA,
    STATE(2435), 1,
      aux_sym_record_pattern_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60701] = 4,
    ACTIONS(4843), 1,
      anon_sym_SEMI,
    ACTIONS(5096), 1,
      anon_sym_COMMA,
    STATE(2497), 1,
      aux_sym__variable_declarator_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60715] = 3,
    ACTIONS(5100), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5098), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [60727] = 4,
    ACTIONS(5102), 1,
      anon_sym_GT,
    ACTIONS(5104), 1,
      anon_sym_COMMA,
    STATE(2519), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60741] = 4,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1098), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60755] = 4,
    ACTIONS(4978), 1,
      anon_sym_AMP,
    ACTIONS(5106), 1,
      anon_sym_RPAREN,
    STATE(2581), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60769] = 4,
    ACTIONS(5108), 1,
      anon_sym_GT,
    ACTIONS(5110), 1,
      anon_sym_COMMA,
    STATE(2451), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60783] = 4,
    ACTIONS(5112), 1,
      sym_identifier,
    ACTIONS(5115), 1,
      sym_this,
    STATE(2442), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60797] = 4,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(223), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60811] = 4,
    ACTIONS(1982), 1,
      anon_sym_RBRACK,
    ACTIONS(5117), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_switch_label_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60825] = 4,
    ACTIONS(3615), 1,
      anon_sym_RPAREN,
    ACTIONS(3617), 1,
      anon_sym_COMMA,
    STATE(2453), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60839] = 4,
    ACTIONS(3871), 1,
      anon_sym_RBRACK,
    ACTIONS(5119), 1,
      anon_sym_COMMA,
    STATE(2419), 1,
      aux_sym_map_literal_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60853] = 4,
    ACTIONS(5121), 1,
      anon_sym_RPAREN,
    ACTIONS(5123), 1,
      anon_sym_COMMA,
    STATE(2503), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60867] = 4,
    ACTIONS(3543), 1,
      anon_sym_RPAREN,
    ACTIONS(3545), 1,
      anon_sym_COMMA,
    STATE(2458), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60881] = 4,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1096), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60895] = 4,
    ACTIONS(3877), 1,
      anon_sym_RBRACK,
    ACTIONS(5125), 1,
      anon_sym_COMMA,
    STATE(2419), 1,
      aux_sym_map_literal_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60909] = 4,
    ACTIONS(5110), 1,
      anon_sym_COMMA,
    ACTIONS(5127), 1,
      anon_sym_GT,
    STATE(2609), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60923] = 4,
    ACTIONS(5129), 1,
      anon_sym_RPAREN,
    ACTIONS(5131), 1,
      anon_sym_COMMA,
    STATE(2452), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60937] = 4,
    ACTIONS(1798), 1,
      anon_sym_RPAREN,
    ACTIONS(5134), 1,
      anon_sym_COMMA,
    STATE(2489), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60951] = 4,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(229), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60965] = 4,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(206), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60979] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5136), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [60993] = 4,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1298), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61007] = 4,
    ACTIONS(1816), 1,
      anon_sym_RPAREN,
    ACTIONS(5138), 1,
      anon_sym_COMMA,
    STATE(2489), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61021] = 4,
    ACTIONS(4304), 1,
      anon_sym_default,
    ACTIONS(5140), 1,
      anon_sym_SEMI,
    STATE(2925), 1,
      sym__default_value,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61035] = 4,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(219), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61049] = 4,
    ACTIONS(3551), 1,
      anon_sym_RBRACE,
    ACTIONS(3553), 1,
      anon_sym_COMMA,
    STATE(2470), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61063] = 4,
    ACTIONS(3539), 1,
      anon_sym_RBRACE,
    ACTIONS(3541), 1,
      anon_sym_COMMA,
    STATE(2543), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61077] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5142), 3,
      anon_sym_DASH_GT,
      anon_sym_COLON,
      anon_sym_when,
  [61087] = 4,
    ACTIONS(5144), 1,
      anon_sym_RPAREN,
    ACTIONS(5146), 1,
      anon_sym_COMMA,
    STATE(2479), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61101] = 4,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(208), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61115] = 4,
    ACTIONS(5148), 1,
      sym_identifier,
    ACTIONS(5150), 1,
      anon_sym_STAR,
    STATE(2387), 1,
      sym_asterisk,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61129] = 4,
    ACTIONS(5152), 1,
      anon_sym_RPAREN,
    ACTIONS(5154), 1,
      anon_sym_COMMA,
    STATE(2472), 1,
      aux_sym_record_pattern_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61143] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5039), 3,
      anon_sym_AMP,
      anon_sym_GT,
      anon_sym_COMMA,
  [61153] = 4,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(225), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61167] = 4,
    ACTIONS(1794), 1,
      anon_sym_RBRACE,
    ACTIONS(5156), 1,
      anon_sym_COMMA,
    STATE(2577), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61181] = 4,
    ACTIONS(1756), 1,
      anon_sym_RBRACE,
    ACTIONS(5158), 1,
      anon_sym_COMMA,
    STATE(2428), 1,
      aux_sym_element_value_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61195] = 4,
    ACTIONS(5154), 1,
      anon_sym_COMMA,
    ACTIONS(5160), 1,
      anon_sym_RPAREN,
    STATE(2435), 1,
      aux_sym_record_pattern_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61209] = 4,
    ACTIONS(3563), 1,
      anon_sym_RPAREN,
    ACTIONS(3565), 1,
      anon_sym_COMMA,
    STATE(2474), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61223] = 4,
    ACTIONS(1800), 1,
      anon_sym_RPAREN,
    ACTIONS(5162), 1,
      anon_sym_COMMA,
    STATE(2489), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61237] = 4,
    ACTIONS(5164), 1,
      anon_sym_SEMI,
    ACTIONS(5166), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(5168), 1,
      anon_sym_NULL,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
  [61251] = 4,
    ACTIONS(4978), 1,
      anon_sym_AMP,
    ACTIONS(5170), 1,
      anon_sym_RPAREN,
    STATE(2581), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61265] = 4,
    ACTIONS(5110), 1,
      anon_sym_COMMA,
    ACTIONS(5172), 1,
      anon_sym_GT,
    STATE(2485), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61279] = 4,
    ACTIONS(5174), 1,
      anon_sym_SEMI,
    ACTIONS(5176), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(5178), 1,
      anon_sym_NULL,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
  [61293] = 4,
    ACTIONS(5180), 1,
      anon_sym_RPAREN,
    ACTIONS(5182), 1,
      anon_sym_COMMA,
    STATE(2479), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61307] = 4,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(401), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61321] = 4,
    ACTIONS(5146), 1,
      anon_sym_COMMA,
    ACTIONS(5185), 1,
      anon_sym_RPAREN,
    STATE(2587), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61335] = 4,
    ACTIONS(5187), 1,
      anon_sym_SEMI,
    ACTIONS(5189), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(5191), 1,
      anon_sym_NULL,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
  [61349] = 4,
    ACTIONS(4217), 1,
      sym_identifier,
    ACTIONS(5193), 1,
      sym_this,
    STATE(2442), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61363] = 4,
    ACTIONS(5195), 1,
      anon_sym_COMMA,
    ACTIONS(5197), 1,
      anon_sym_RBRACK,
    STATE(2423), 1,
      aux_sym_map_literal_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61377] = 4,
    ACTIONS(5110), 1,
      anon_sym_COMMA,
    ACTIONS(5199), 1,
      anon_sym_GT,
    STATE(2609), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61391] = 4,
    ACTIONS(5201), 1,
      anon_sym_COMMA,
    ACTIONS(5203), 1,
      anon_sym_RBRACK,
    STATE(2520), 1,
      aux_sym_map_literal_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61405] = 4,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(338), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61419] = 4,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1320), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61433] = 4,
    ACTIONS(3647), 1,
      anon_sym_RPAREN,
    ACTIONS(5205), 1,
      anon_sym_COMMA,
    STATE(2489), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61447] = 4,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(340), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61461] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5208), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61475] = 4,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(355), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61489] = 4,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(346), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61503] = 4,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(403), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61517] = 4,
    ACTIONS(5210), 1,
      anon_sym_RPAREN,
    ACTIONS(5212), 1,
      anon_sym_SEMI,
    STATE(2495), 1,
      aux_sym_resource_specification_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61531] = 4,
    ACTIONS(5215), 1,
      anon_sym_RPAREN,
    ACTIONS(5217), 1,
      anon_sym_COMMA,
    STATE(2496), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61545] = 4,
    ACTIONS(4896), 1,
      anon_sym_SEMI,
    ACTIONS(5096), 1,
      anon_sym_COMMA,
    STATE(2533), 1,
      aux_sym__variable_declarator_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61559] = 4,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1099), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61573] = 4,
    ACTIONS(5110), 1,
      anon_sym_COMMA,
    ACTIONS(5220), 1,
      anon_sym_GT,
    STATE(2501), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61587] = 4,
    ACTIONS(3525), 1,
      anon_sym_RBRACE,
    ACTIONS(3527), 1,
      anon_sym_COMMA,
    STATE(2432), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61601] = 4,
    ACTIONS(5110), 1,
      anon_sym_COMMA,
    ACTIONS(5222), 1,
      anon_sym_GT,
    STATE(2609), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61615] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5224), 3,
      anon_sym_LBRACE,
      anon_sym_implements,
      anon_sym_permits,
  [61625] = 4,
    ACTIONS(5123), 1,
      anon_sym_COMMA,
    ACTIONS(5226), 1,
      anon_sym_RPAREN,
    STATE(2496), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61639] = 4,
    ACTIONS(5154), 1,
      anon_sym_COMMA,
    ACTIONS(5228), 1,
      anon_sym_RPAREN,
    STATE(2528), 1,
      aux_sym_record_pattern_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61653] = 4,
    ACTIONS(4978), 1,
      anon_sym_AMP,
    ACTIONS(5230), 1,
      anon_sym_RPAREN,
    STATE(2581), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61667] = 4,
    ACTIONS(5110), 1,
      anon_sym_COMMA,
    ACTIONS(5232), 1,
      anon_sym_GT,
    STATE(2545), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61681] = 4,
    ACTIONS(3067), 1,
      anon_sym_DOT,
    ACTIONS(5234), 1,
      anon_sym_LBRACE,
    STATE(924), 1,
      sym_module_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61695] = 3,
    ACTIONS(5238), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5236), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [61707] = 4,
    ACTIONS(5240), 1,
      anon_sym_COMMA,
    ACTIONS(5243), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61721] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5245), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [61731] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4951), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [61741] = 4,
    ACTIONS(5154), 1,
      anon_sym_COMMA,
    ACTIONS(5247), 1,
      anon_sym_RPAREN,
    STATE(2590), 1,
      aux_sym_record_pattern_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61755] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5249), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [61765] = 4,
    ACTIONS(5146), 1,
      anon_sym_COMMA,
    ACTIONS(5251), 1,
      anon_sym_RPAREN,
    STATE(2608), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61779] = 4,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(2290), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61793] = 4,
    ACTIONS(5146), 1,
      anon_sym_COMMA,
    ACTIONS(5253), 1,
      anon_sym_RPAREN,
    STATE(2464), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61807] = 4,
    ACTIONS(2775), 1,
      anon_sym_COMMA,
    ACTIONS(5255), 1,
      anon_sym_RPAREN,
    STATE(2452), 1,
      aux_sym_inferred_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61821] = 4,
    ACTIONS(1906), 1,
      anon_sym_RBRACK,
    ACTIONS(5257), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_switch_label_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61835] = 4,
    ACTIONS(5259), 1,
      anon_sym_GT,
    ACTIONS(5261), 1,
      anon_sym_COMMA,
    STATE(2519), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61849] = 4,
    ACTIONS(3863), 1,
      anon_sym_RBRACK,
    ACTIONS(5264), 1,
      anon_sym_COMMA,
    STATE(2419), 1,
      aux_sym_map_literal_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61863] = 4,
    ACTIONS(3067), 1,
      anon_sym_DOT,
    ACTIONS(5234), 1,
      anon_sym_LBRACE,
    STATE(891), 1,
      sym_module_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61877] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5266), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [61887] = 4,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(5268), 1,
      anon_sym_DOT,
    STATE(2883), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61901] = 4,
    ACTIONS(4620), 1,
      anon_sym_LBRACE,
    ACTIONS(4966), 1,
      anon_sym_COMMA,
    STATE(2357), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61915] = 4,
    ACTIONS(3067), 1,
      anon_sym_DOT,
    ACTIONS(5234), 1,
      anon_sym_LBRACE,
    STATE(880), 1,
      sym_module_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61929] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5270), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61943] = 4,
    ACTIONS(3573), 1,
      anon_sym_RPAREN,
    ACTIONS(3575), 1,
      anon_sym_COMMA,
    STATE(2580), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61957] = 4,
    ACTIONS(5154), 1,
      anon_sym_COMMA,
    ACTIONS(5272), 1,
      anon_sym_RPAREN,
    STATE(2435), 1,
      aux_sym_record_pattern_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61971] = 4,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1301), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61985] = 4,
    ACTIONS(5274), 1,
      anon_sym_RBRACE,
    ACTIONS(5276), 1,
      anon_sym_COMMA,
    STATE(2471), 1,
      aux_sym_element_value_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [61999] = 3,
    ACTIONS(5280), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5278), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [62011] = 4,
    ACTIONS(4978), 1,
      anon_sym_AMP,
    ACTIONS(5282), 1,
      anon_sym_RPAREN,
    STATE(2581), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62025] = 4,
    ACTIONS(4857), 1,
      anon_sym_SEMI,
    ACTIONS(5284), 1,
      anon_sym_COMMA,
    STATE(2533), 1,
      aux_sym__variable_declarator_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62039] = 3,
    ACTIONS(5289), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5287), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [62051] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5291), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62065] = 4,
    ACTIONS(2023), 1,
      anon_sym_RPAREN,
    ACTIONS(5293), 1,
      anon_sym_SEMI,
    STATE(2495), 1,
      aux_sym_resource_specification_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62079] = 4,
    ACTIONS(5123), 1,
      anon_sym_COMMA,
    ACTIONS(5295), 1,
      anon_sym_RPAREN,
    STATE(2496), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62093] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3505), 3,
      anon_sym_RPAREN,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [62103] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5297), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62117] = 4,
    ACTIONS(5299), 1,
      anon_sym_SEMI,
    ACTIONS(5301), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(5303), 1,
      anon_sym_NULL,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
  [62131] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5305), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62145] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5307), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62159] = 4,
    ACTIONS(1822), 1,
      anon_sym_RBRACE,
    ACTIONS(5309), 1,
      anon_sym_COMMA,
    STATE(2577), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62173] = 4,
    ACTIONS(3067), 1,
      anon_sym_DOT,
    ACTIONS(5311), 1,
      anon_sym_SEMI,
    ACTIONS(5313), 1,
      anon_sym_to,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62187] = 4,
    ACTIONS(5110), 1,
      anon_sym_COMMA,
    ACTIONS(5315), 1,
      anon_sym_GT,
    STATE(2609), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62201] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5317), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62215] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5319), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62229] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5321), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62243] = 3,
    ACTIONS(3067), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5323), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [62255] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5325), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62269] = 4,
    ACTIONS(3067), 1,
      anon_sym_DOT,
    ACTIONS(5327), 1,
      anon_sym_SEMI,
    ACTIONS(5329), 1,
      anon_sym_to,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62283] = 4,
    ACTIONS(5104), 1,
      anon_sym_COMMA,
    ACTIONS(5331), 1,
      anon_sym_GT,
    STATE(2438), 1,
      aux_sym_type_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62297] = 4,
    ACTIONS(5333), 1,
      anon_sym_SEMI,
    ACTIONS(5335), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(5337), 1,
      anon_sym_NULL,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
  [62311] = 4,
    ACTIONS(5110), 1,
      anon_sym_COMMA,
    ACTIONS(5339), 1,
      anon_sym_GT,
    STATE(2609), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62325] = 4,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(2318), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62339] = 4,
    ACTIONS(5341), 1,
      anon_sym_COMMA,
    ACTIONS(5344), 1,
      anon_sym_SEMI,
    STATE(2556), 1,
      aux_sym_exports_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62353] = 4,
    ACTIONS(3517), 1,
      anon_sym_COMMA,
    ACTIONS(5346), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62367] = 4,
    ACTIONS(5348), 1,
      anon_sym_SEMI,
    ACTIONS(5350), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(5352), 1,
      anon_sym_NULL,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
  [62381] = 4,
    ACTIONS(1894), 1,
      anon_sym_RBRACK,
    ACTIONS(5354), 1,
      anon_sym_COMMA,
    STATE(2269), 1,
      aux_sym_switch_label_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62395] = 4,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(2321), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62409] = 3,
    ACTIONS(3067), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5356), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [62421] = 4,
    ACTIONS(5358), 1,
      anon_sym_SEMI,
    ACTIONS(5360), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(5362), 1,
      anon_sym_NULL,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
  [62435] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5364), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62449] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5366), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62463] = 4,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1106), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62477] = 4,
    ACTIONS(5123), 1,
      anon_sym_COMMA,
    ACTIONS(5368), 1,
      anon_sym_RPAREN,
    STATE(2537), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62491] = 3,
    ACTIONS(4943), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4941), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [62503] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5370), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62517] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5372), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62531] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5374), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62545] = 4,
    ACTIONS(5123), 1,
      anon_sym_COMMA,
    ACTIONS(5376), 1,
      anon_sym_RPAREN,
    STATE(2595), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62559] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5378), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62573] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5380), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62587] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5382), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62601] = 3,
    ACTIONS(5386), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5384), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [62613] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5388), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62627] = 4,
    ACTIONS(3639), 1,
      anon_sym_RBRACE,
    ACTIONS(5390), 1,
      anon_sym_COMMA,
    STATE(2577), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62641] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5393), 3,
      anon_sym_RBRACE,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [62651] = 4,
    ACTIONS(5395), 1,
      anon_sym_COMMA,
    ACTIONS(5398), 1,
      anon_sym_SEMI,
    STATE(2579), 1,
      aux_sym_provides_module_directive_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62665] = 4,
    ACTIONS(1812), 1,
      anon_sym_RPAREN,
    ACTIONS(5400), 1,
      anon_sym_COMMA,
    STATE(2489), 1,
      aux_sym_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62679] = 4,
    ACTIONS(5402), 1,
      anon_sym_RPAREN,
    ACTIONS(5404), 1,
      anon_sym_AMP,
    STATE(2581), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62693] = 4,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(2283), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62707] = 4,
    ACTIONS(3521), 1,
      anon_sym_RBRACE,
    ACTIONS(3523), 1,
      anon_sym_COMMA,
    STATE(2603), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62721] = 4,
    ACTIONS(4304), 1,
      anon_sym_default,
    ACTIONS(5407), 1,
      anon_sym_SEMI,
    STATE(2865), 1,
      sym__default_value,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62735] = 4,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1312), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62749] = 4,
    ACTIONS(5409), 1,
      anon_sym_SEMI,
    ACTIONS(5411), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(5413), 1,
      anon_sym_NULL,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
  [62763] = 4,
    ACTIONS(5146), 1,
      anon_sym_COMMA,
    ACTIONS(5415), 1,
      anon_sym_RPAREN,
    STATE(2479), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62777] = 4,
    ACTIONS(5148), 1,
      sym_identifier,
    ACTIONS(5150), 1,
      anon_sym_STAR,
    STATE(2363), 1,
      sym_asterisk,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62791] = 4,
    ACTIONS(4217), 1,
      sym_identifier,
    ACTIONS(4219), 1,
      sym_this,
    STATE(2442), 1,
      aux_sym_receiver_parameter_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62805] = 4,
    ACTIONS(5154), 1,
      anon_sym_COMMA,
    ACTIONS(5417), 1,
      anon_sym_RPAREN,
    STATE(2435), 1,
      aux_sym_record_pattern_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62819] = 4,
    ACTIONS(5146), 1,
      anon_sym_COMMA,
    ACTIONS(5419), 1,
      anon_sym_RPAREN,
    STATE(2617), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62833] = 4,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(2331), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62847] = 4,
    ACTIONS(5110), 1,
      anon_sym_COMMA,
    ACTIONS(5421), 1,
      anon_sym_GT,
    STATE(2609), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62861] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5423), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62875] = 4,
    ACTIONS(5123), 1,
      anon_sym_COMMA,
    ACTIONS(5425), 1,
      anon_sym_RPAREN,
    STATE(2496), 1,
      aux_sym_annotation_argument_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62889] = 4,
    ACTIONS(5154), 1,
      anon_sym_COMMA,
    ACTIONS(5427), 1,
      anon_sym_RPAREN,
    STATE(2615), 1,
      aux_sym_record_pattern_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62903] = 3,
    ACTIONS(4998), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4996), 2,
      anon_sym_SEMI,
      anon_sym_NULL,
  [62915] = 4,
    ACTIONS(3811), 1,
      anon_sym_SEMI,
    ACTIONS(4902), 1,
      anon_sym_RBRACE,
    STATE(2916), 1,
      sym_enum_body_declarations,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62929] = 4,
    ACTIONS(5429), 1,
      anon_sym_COMMA,
    ACTIONS(5431), 1,
      anon_sym_RBRACK,
    STATE(2450), 1,
      aux_sym_map_literal_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62943] = 4,
    ACTIONS(3149), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3151), 1,
      anon_sym_LBRACK,
    ACTIONS(5433), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62957] = 4,
    ACTIONS(4978), 1,
      anon_sym_AMP,
    ACTIONS(5435), 1,
      anon_sym_RPAREN,
    STATE(2581), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62971] = 4,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(2312), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62985] = 4,
    ACTIONS(1792), 1,
      anon_sym_RBRACE,
    ACTIONS(5437), 1,
      anon_sym_COMMA,
    STATE(2577), 1,
      aux_sym_array_initializer_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [62999] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4756), 3,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_permits,
  [63009] = 4,
    ACTIONS(5439), 1,
      anon_sym_RPAREN,
    ACTIONS(5441), 1,
      anon_sym_SEMI,
    STATE(2536), 1,
      aux_sym_resource_specification_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63023] = 4,
    ACTIONS(5110), 1,
      anon_sym_COMMA,
    ACTIONS(5443), 1,
      anon_sym_GT,
    STATE(2593), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63037] = 4,
    ACTIONS(5445), 1,
      anon_sym_SEMI,
    ACTIONS(5447), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(5449), 1,
      anon_sym_NULL,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
  [63051] = 4,
    ACTIONS(3136), 1,
      anon_sym_RPAREN,
    ACTIONS(5146), 1,
      anon_sym_COMMA,
    STATE(2479), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63065] = 4,
    ACTIONS(5451), 1,
      anon_sym_GT,
    ACTIONS(5453), 1,
      anon_sym_COMMA,
    STATE(2609), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63079] = 4,
    ACTIONS(5456), 1,
      anon_sym_RPAREN,
    ACTIONS(5458), 1,
      anon_sym_COMMA,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63093] = 4,
    ACTIONS(5461), 1,
      anon_sym_SEMI,
    ACTIONS(5463), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(5465), 1,
      anon_sym_NULL,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
  [63107] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5467), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63121] = 4,
    ACTIONS(3531), 1,
      anon_sym_COMMA,
    ACTIONS(5469), 1,
      anon_sym_RPAREN,
    STATE(2610), 1,
      aux_sym_for_statement_repeat2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63135] = 4,
    ACTIONS(5471), 1,
      anon_sym_SEMI,
    ACTIONS(5473), 1,
      aux_sym_expression_statement_token1,
    ACTIONS(5475), 1,
      anon_sym_NULL,
    ACTIONS(291), 2,
      sym_line_comment,
      sym_block_comment,
  [63149] = 4,
    ACTIONS(5154), 1,
      anon_sym_COMMA,
    ACTIONS(5477), 1,
      anon_sym_RPAREN,
    STATE(2435), 1,
      aux_sym_record_pattern_body_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63163] = 4,
    ACTIONS(4978), 1,
      anon_sym_AMP,
    ACTIONS(5479), 1,
      anon_sym_RPAREN,
    STATE(2581), 1,
      aux_sym_cast_expression_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63177] = 4,
    ACTIONS(3134), 1,
      anon_sym_RPAREN,
    ACTIONS(5146), 1,
      anon_sym_COMMA,
    STATE(2479), 1,
      aux_sym_formal_parameters_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63191] = 4,
    ACTIONS(5110), 1,
      anon_sym_COMMA,
    ACTIONS(5481), 1,
      anon_sym_GT,
    STATE(2554), 1,
      aux_sym_type_arguments_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63205] = 4,
    ACTIONS(3517), 1,
      anon_sym_COMMA,
    ACTIONS(5483), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63219] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5485), 3,
      anon_sym_DASH_GT,
      anon_sym_COLON,
      anon_sym_when,
  [63229] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5487), 3,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_default,
  [63239] = 4,
    ACTIONS(3517), 1,
      anon_sym_COMMA,
    ACTIONS(5489), 1,
      anon_sym_SEMI,
    STATE(2509), 1,
      aux_sym_for_statement_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63253] = 4,
    ACTIONS(4648), 1,
      anon_sym_LBRACE,
    ACTIONS(4966), 1,
      anon_sym_COMMA,
    STATE(2524), 1,
      aux_sym_type_list_repeat1,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63267] = 4,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    ACTIONS(4195), 1,
      anon_sym_DOT,
    STATE(1299), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63281] = 4,
    ACTIONS(3372), 1,
      anon_sym_COLON,
    ACTIONS(3488), 1,
      anon_sym_when,
    STATE(2791), 1,
      sym_guard,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63295] = 3,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(1301), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63306] = 3,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1098), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63317] = 3,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(977), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63328] = 3,
    ACTIONS(3067), 1,
      anon_sym_DOT,
    ACTIONS(5491), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63339] = 3,
    ACTIONS(1618), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5493), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63350] = 3,
    ACTIONS(5495), 1,
      anon_sym_LBRACE,
    STATE(831), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63361] = 3,
    ACTIONS(3067), 1,
      anon_sym_DOT,
    ACTIONS(5497), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63372] = 3,
    ACTIONS(3067), 1,
      anon_sym_DOT,
    ACTIONS(5499), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63383] = 3,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(2827), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63394] = 3,
    ACTIONS(2017), 1,
      anon_sym_LPAREN,
    STATE(2773), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63405] = 3,
    ACTIONS(5501), 1,
      anon_sym_LPAREN,
    STATE(47), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63416] = 3,
    ACTIONS(5501), 1,
      anon_sym_LPAREN,
    STATE(66), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63427] = 3,
    ACTIONS(4912), 1,
      anon_sym_DOT,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63438] = 3,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(915), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63449] = 3,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(229), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63460] = 3,
    ACTIONS(5503), 1,
      anon_sym_LBRACE,
    STATE(957), 1,
      sym_annotation_type_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63471] = 3,
    ACTIONS(5505), 1,
      anon_sym_LBRACE,
    STATE(284), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63482] = 3,
    ACTIONS(5505), 1,
      anon_sym_LBRACE,
    STATE(287), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63493] = 3,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5507), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63504] = 3,
    ACTIONS(5509), 1,
      anon_sym_LBRACE,
    STATE(868), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63515] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5511), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [63524] = 3,
    ACTIONS(4930), 1,
      anon_sym_LBRACE,
    STATE(2131), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63535] = 3,
    ACTIONS(5513), 1,
      anon_sym_LBRACE,
    STATE(421), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63546] = 3,
    ACTIONS(5513), 1,
      anon_sym_LBRACE,
    STATE(428), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63557] = 3,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(206), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63568] = 3,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(2290), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63579] = 3,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(1298), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63590] = 3,
    ACTIONS(5515), 1,
      anon_sym_LBRACE,
    STATE(518), 1,
      sym_switch_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63601] = 3,
    ACTIONS(4486), 1,
      anon_sym_LBRACE,
    STATE(852), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63612] = 3,
    ACTIONS(5251), 1,
      anon_sym_RPAREN,
    ACTIONS(5517), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63623] = 3,
    ACTIONS(3021), 1,
      anon_sym_LPAREN,
    STATE(1438), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63634] = 3,
    ACTIONS(4181), 1,
      anon_sym_LPAREN,
    STATE(2680), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63645] = 3,
    ACTIONS(4486), 1,
      anon_sym_LBRACE,
    STATE(975), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63656] = 3,
    ACTIONS(5519), 1,
      anon_sym_LBRACE,
    STATE(1153), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63667] = 3,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    STATE(1024), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63678] = 3,
    ACTIONS(5509), 1,
      anon_sym_LBRACE,
    STATE(916), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63689] = 3,
    ACTIONS(5521), 1,
      anon_sym_LBRACE,
    STATE(322), 1,
      sym_switch_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63700] = 3,
    ACTIONS(4962), 1,
      anon_sym_LBRACE,
    STATE(1000), 1,
      sym_enum_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63711] = 3,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    STATE(1027), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63722] = 3,
    ACTIONS(4962), 1,
      anon_sym_LBRACE,
    STATE(1007), 1,
      sym_enum_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63733] = 3,
    ACTIONS(4181), 1,
      anon_sym_LPAREN,
    STATE(2414), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63744] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5523), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [63753] = 3,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(863), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63764] = 3,
    ACTIONS(4181), 1,
      anon_sym_LPAREN,
    STATE(2664), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63775] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5091), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [63784] = 3,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(866), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63795] = 3,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1092), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63806] = 3,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(870), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63817] = 3,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(219), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63828] = 3,
    ACTIONS(4181), 1,
      anon_sym_LPAREN,
    STATE(2681), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63839] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5525), 2,
      anon_sym_LBRACE,
      anon_sym_permits,
  [63848] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5527), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [63857] = 3,
    ACTIONS(5529), 1,
      anon_sym_DASH_GT,
    ACTIONS(5531), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63868] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5533), 2,
      anon_sym_new,
      sym_identifier,
  [63877] = 3,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    STATE(1026), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63888] = 3,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    STATE(1022), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63899] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4972), 2,
      anon_sym_COMMA,
      anon_sym_SEMI,
  [63908] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5535), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [63917] = 3,
    ACTIONS(5537), 1,
      anon_sym_LPAREN,
    STATE(398), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63928] = 3,
    ACTIONS(5519), 1,
      anon_sym_LBRACE,
    STATE(1138), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63939] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5539), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [63948] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5541), 2,
      anon_sym_RPAREN,
      anon_sym_AMP,
  [63957] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3647), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [63966] = 3,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(208), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63977] = 3,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(944), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63988] = 3,
    ACTIONS(5543), 1,
      sym_identifier,
    STATE(2735), 1,
      sym_element_value_pair,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [63999] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4890), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [64008] = 3,
    ACTIONS(4930), 1,
      anon_sym_LBRACE,
    STATE(836), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64019] = 3,
    ACTIONS(4486), 1,
      anon_sym_LBRACE,
    STATE(923), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64030] = 3,
    ACTIONS(5519), 1,
      anon_sym_LBRACE,
    STATE(1156), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64041] = 3,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(945), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64052] = 3,
    ACTIONS(3067), 1,
      anon_sym_DOT,
    ACTIONS(5545), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64063] = 3,
    ACTIONS(1618), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5547), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64074] = 3,
    ACTIONS(5503), 1,
      anon_sym_LBRACE,
    STATE(884), 1,
      sym_annotation_type_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64085] = 3,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(225), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64096] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5549), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [64105] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5180), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [64114] = 3,
    ACTIONS(5513), 1,
      anon_sym_LBRACE,
    STATE(467), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64125] = 3,
    ACTIONS(5513), 1,
      anon_sym_LBRACE,
    STATE(470), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64136] = 3,
    ACTIONS(5551), 1,
      anon_sym_DOT,
    ACTIONS(5553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64147] = 3,
    ACTIONS(4213), 1,
      anon_sym_LPAREN,
    STATE(223), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64158] = 3,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    STATE(1447), 1,
      sym_constructor_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64169] = 3,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(947), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64180] = 3,
    ACTIONS(2017), 1,
      anon_sym_LPAREN,
    STATE(2754), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64191] = 3,
    ACTIONS(5501), 1,
      anon_sym_LPAREN,
    STATE(106), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64202] = 3,
    ACTIONS(3067), 1,
      anon_sym_DOT,
    ACTIONS(5555), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64213] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5557), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [64222] = 3,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(2318), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64233] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5559), 2,
      anon_sym_new,
      sym_identifier,
  [64242] = 3,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1106), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64253] = 3,
    ACTIONS(5561), 1,
      anon_sym_LPAREN,
    STATE(2534), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64264] = 3,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(948), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64275] = 3,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5563), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64286] = 3,
    ACTIONS(5505), 1,
      anon_sym_LBRACE,
    STATE(307), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64297] = 3,
    ACTIONS(5501), 1,
      anon_sym_LPAREN,
    STATE(145), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64308] = 3,
    ACTIONS(1641), 1,
      anon_sym_while,
    ACTIONS(5565), 1,
      anon_sym_else,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64319] = 3,
    ACTIONS(3067), 1,
      anon_sym_DOT,
    ACTIONS(5567), 1,
      anon_sym_with,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64330] = 3,
    ACTIONS(5505), 1,
      anon_sym_LBRACE,
    STATE(311), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64341] = 3,
    ACTIONS(1487), 1,
      anon_sym_LBRACE,
    STATE(1028), 1,
      sym_closure,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64352] = 3,
    ACTIONS(5519), 1,
      anon_sym_LBRACE,
    STATE(1135), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64363] = 3,
    ACTIONS(4486), 1,
      anon_sym_LBRACE,
    STATE(949), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64374] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5569), 2,
      anon_sym_LBRACE,
      anon_sym_throws,
  [64383] = 3,
    ACTIONS(4486), 1,
      anon_sym_LBRACE,
    STATE(921), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64394] = 3,
    ACTIONS(4254), 1,
      anon_sym_LPAREN,
    STATE(1955), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64405] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(3639), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [64414] = 3,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(1312), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64425] = 3,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(1320), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64436] = 3,
    ACTIONS(4947), 1,
      anon_sym_LBRACE,
    STATE(1430), 1,
      sym_constructor_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64447] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5571), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [64456] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5215), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [64465] = 3,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(401), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64476] = 3,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1096), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64487] = 3,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1105), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64498] = 3,
    ACTIONS(4486), 1,
      anon_sym_LBRACE,
    STATE(878), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64509] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5129), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [64518] = 3,
    ACTIONS(2017), 1,
      anon_sym_LPAREN,
    STATE(2653), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64529] = 3,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(858), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64540] = 3,
    ACTIONS(5573), 1,
      anon_sym_LPAREN,
    STATE(1476), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64551] = 3,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(2283), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64562] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5052), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [64571] = 3,
    ACTIONS(4181), 1,
      anon_sym_LPAREN,
    STATE(2406), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64582] = 3,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(851), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64593] = 3,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(997), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64604] = 3,
    ACTIONS(5501), 1,
      anon_sym_LPAREN,
    STATE(61), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64615] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5210), 2,
      anon_sym_RPAREN,
      anon_sym_SEMI,
  [64624] = 3,
    ACTIONS(3149), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5575), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64635] = 3,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(338), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64646] = 3,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(986), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64657] = 3,
    ACTIONS(5577), 1,
      anon_sym_LBRACE,
    STATE(1488), 1,
      sym_switch_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64668] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5579), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [64677] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5581), 2,
      sym_this,
      sym_super,
  [64686] = 3,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(2331), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64697] = 3,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(340), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64708] = 3,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(862), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64719] = 3,
    ACTIONS(5419), 1,
      anon_sym_RPAREN,
    ACTIONS(5583), 1,
      anon_sym_COMMA,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64730] = 3,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(2896), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64741] = 3,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(355), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64752] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5585), 2,
      anon_sym_new,
      sym_identifier,
  [64761] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5587), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [64770] = 3,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(2312), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64781] = 3,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(346), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64792] = 3,
    ACTIONS(4486), 1,
      anon_sym_LBRACE,
    STATE(936), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64803] = 3,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(1375), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64814] = 3,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(987), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64825] = 3,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(865), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64836] = 3,
    ACTIONS(4201), 1,
      anon_sym_LPAREN,
    STATE(403), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64847] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5451), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [64856] = 3,
    ACTIONS(5591), 1,
      anon_sym_LBRACE,
    STATE(1442), 1,
      sym_switch_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64867] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5259), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [64876] = 3,
    ACTIONS(4205), 1,
      anon_sym_LPAREN,
    STATE(1099), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64887] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5593), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [64896] = 3,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(888), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64907] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5595), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [64916] = 3,
    ACTIONS(2017), 1,
      anon_sym_LPAREN,
    STATE(2662), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64927] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5070), 2,
      anon_sym_RBRACE,
      anon_sym_COMMA,
  [64936] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5115), 2,
      sym_this,
      sym_identifier,
  [64945] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5597), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [64954] = 3,
    ACTIONS(3149), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5599), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64965] = 3,
    ACTIONS(4181), 1,
      anon_sym_LPAREN,
    STATE(2724), 1,
      sym_formal_parameters,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64976] = 3,
    ACTIONS(5601), 1,
      anon_sym_LPAREN,
    STATE(537), 1,
      sym_record_pattern_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64987] = 3,
    ACTIONS(2786), 1,
      anon_sym_LBRACE,
    STATE(916), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [64998] = 3,
    ACTIONS(5501), 1,
      anon_sym_LPAREN,
    STATE(62), 1,
      sym_parenthesized_expression,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65009] = 3,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(1378), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65020] = 3,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(990), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65031] = 3,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(875), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65042] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(4656), 2,
      anon_sym_DASH_GT,
      anon_sym_COLON,
  [65051] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5603), 2,
      anon_sym_RPAREN,
      anon_sym_COMMA,
  [65060] = 3,
    ACTIONS(1485), 1,
      anon_sym_LBRACE,
    STATE(970), 1,
      sym_class_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65071] = 3,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(1311), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65082] = 3,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(1399), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65093] = 3,
    ACTIONS(2786), 1,
      anon_sym_LBRACE,
    STATE(868), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65104] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5605), 2,
      anon_sym_LBRACE,
      anon_sym_throws,
  [65113] = 3,
    ACTIONS(5589), 1,
      anon_sym_LBRACE,
    STATE(1336), 1,
      sym_array_initializer,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65124] = 3,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(1299), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65135] = 3,
    ACTIONS(4486), 1,
      anon_sym_LBRACE,
    STATE(876), 1,
      sym_interface_body,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65146] = 3,
    ACTIONS(5553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(5607), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65157] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5609), 2,
      anon_sym_new,
      sym_identifier,
  [65166] = 3,
    ACTIONS(5495), 1,
      anon_sym_LBRACE,
    STATE(836), 1,
      sym_block,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65177] = 2,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
    ACTIONS(5611), 2,
      anon_sym_GT,
      anon_sym_COMMA,
  [65186] = 3,
    ACTIONS(2765), 1,
      anon_sym_LPAREN,
    STATE(2321), 1,
      sym_argument_list,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65197] = 2,
    ACTIONS(1880), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65205] = 2,
    ACTIONS(5613), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65213] = 2,
    ACTIONS(4914), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65221] = 2,
    ACTIONS(5615), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65229] = 2,
    ACTIONS(4278), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65237] = 2,
    ACTIONS(5617), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65245] = 2,
    ACTIONS(1618), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65253] = 2,
    ACTIONS(1896), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65261] = 2,
    ACTIONS(1908), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65269] = 2,
    ACTIONS(5619), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65277] = 2,
    ACTIONS(5621), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65285] = 2,
    ACTIONS(5274), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65293] = 2,
    ACTIONS(5623), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65301] = 2,
    ACTIONS(5625), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65309] = 2,
    ACTIONS(1912), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65317] = 2,
    ACTIONS(5627), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65325] = 2,
    ACTIONS(3521), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65333] = 2,
    ACTIONS(3848), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65341] = 2,
    ACTIONS(3573), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65349] = 2,
    ACTIONS(5629), 1,
      anon_sym_module,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65357] = 2,
    ACTIONS(5148), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65365] = 2,
    ACTIONS(5631), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65373] = 2,
    ACTIONS(5633), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65381] = 2,
    ACTIONS(5635), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65389] = 2,
    ACTIONS(2773), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65397] = 2,
    ACTIONS(5637), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65405] = 2,
    ACTIONS(5531), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65413] = 2,
    ACTIONS(3551), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65421] = 2,
    ACTIONS(5639), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65429] = 2,
    ACTIONS(5553), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65437] = 2,
    ACTIONS(5641), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65445] = 2,
    ACTIONS(5643), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65453] = 2,
    ACTIONS(5645), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65461] = 2,
    ACTIONS(5647), 1,
      anon_sym_class,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65469] = 2,
    ACTIONS(5649), 1,
      anon_sym_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65477] = 2,
    ACTIONS(5651), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65485] = 2,
    ACTIONS(5653), 1,
      anon_sym_while,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65493] = 2,
    ACTIONS(5655), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65501] = 2,
    ACTIONS(5657), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65509] = 2,
    ACTIONS(5659), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65517] = 2,
    ACTIONS(3539), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65525] = 2,
    ACTIONS(5268), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65533] = 2,
    ACTIONS(5661), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65541] = 2,
    ACTIONS(5663), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65549] = 2,
    ACTIONS(5665), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65557] = 2,
    ACTIONS(3525), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65565] = 2,
    ACTIONS(3543), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65573] = 2,
    ACTIONS(5667), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65581] = 2,
    ACTIONS(5669), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65589] = 2,
    ACTIONS(5671), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65597] = 2,
    ACTIONS(5673), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65605] = 2,
    ACTIONS(3149), 1,
      anon_sym_COLON_COLON,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65613] = 2,
    ACTIONS(5675), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65621] = 2,
    ACTIONS(5677), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65629] = 2,
    ACTIONS(5679), 1,
      ts_builtin_sym_end,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65637] = 2,
    ACTIONS(5681), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65645] = 2,
    ACTIONS(5683), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65653] = 2,
    ACTIONS(5685), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65661] = 2,
    ACTIONS(5687), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65669] = 2,
    ACTIONS(5689), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65677] = 2,
    ACTIONS(5691), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65685] = 2,
    ACTIONS(4902), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65693] = 2,
    ACTIONS(5693), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65701] = 2,
    ACTIONS(5695), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65709] = 2,
    ACTIONS(3563), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65717] = 2,
    ACTIONS(5697), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65725] = 2,
    ACTIONS(5529), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65733] = 2,
    ACTIONS(5699), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65741] = 2,
    ACTIONS(5701), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65749] = 2,
    ACTIONS(5703), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65757] = 2,
    ACTIONS(5121), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65765] = 2,
    ACTIONS(5705), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65773] = 2,
    ACTIONS(5707), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65781] = 2,
    ACTIONS(5709), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65789] = 2,
    ACTIONS(5711), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65797] = 2,
    ACTIONS(5713), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65805] = 2,
    ACTIONS(5715), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65813] = 2,
    ACTIONS(5717), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65821] = 2,
    ACTIONS(5719), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65829] = 2,
    ACTIONS(5721), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65837] = 2,
    ACTIONS(5723), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65845] = 2,
    ACTIONS(5725), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65853] = 2,
    ACTIONS(5727), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65861] = 2,
    ACTIONS(1892), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65869] = 2,
    ACTIONS(1922), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65877] = 2,
    ACTIONS(1904), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65885] = 2,
    ACTIONS(5729), 1,
      anon_sym_class,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65893] = 2,
    ACTIONS(5731), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65901] = 2,
    ACTIONS(5733), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65909] = 2,
    ACTIONS(5735), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65917] = 2,
    ACTIONS(5737), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65925] = 2,
    ACTIONS(5739), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65933] = 2,
    ACTIONS(5741), 1,
      anon_sym_class,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65941] = 2,
    ACTIONS(1926), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65949] = 2,
    ACTIONS(5743), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65957] = 2,
    ACTIONS(5745), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65965] = 2,
    ACTIONS(5747), 1,
      anon_sym_EQ,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65973] = 2,
    ACTIONS(5368), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65981] = 2,
    ACTIONS(5749), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65989] = 2,
    ACTIONS(5751), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [65997] = 2,
    ACTIONS(5753), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66005] = 2,
    ACTIONS(5755), 1,
      anon_sym_DOT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66013] = 2,
    ACTIONS(5757), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66021] = 2,
    ACTIONS(5759), 1,
      anon_sym_LBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66029] = 2,
    ACTIONS(5761), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66037] = 2,
    ACTIONS(3615), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66045] = 2,
    ACTIONS(5376), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66053] = 2,
    ACTIONS(5763), 1,
      anon_sym_class,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66061] = 2,
    ACTIONS(5765), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66069] = 2,
    ACTIONS(5767), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66077] = 2,
    ACTIONS(3834), 1,
      anon_sym_RBRACE,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66085] = 2,
    ACTIONS(5769), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66093] = 2,
    ACTIONS(5771), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66101] = 2,
    ACTIONS(5773), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66109] = 2,
    ACTIONS(1930), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66117] = 2,
    ACTIONS(5775), 1,
      sym_identifier,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66125] = 2,
    ACTIONS(5773), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66133] = 2,
    ACTIONS(5777), 1,
      anon_sym_LPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66141] = 2,
    ACTIONS(5779), 1,
      anon_sym_DASH_GT,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66149] = 2,
    ACTIONS(5781), 1,
      anon_sym_SEMI,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66157] = 2,
    ACTIONS(1932), 1,
      anon_sym_RBRACK,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
  [66165] = 2,
    ACTIONS(5783), 1,
      anon_sym_RPAREN,
    ACTIONS(3), 2,
      sym_line_comment,
      sym_block_comment,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(1059)] = 0,
  [SMALL_STATE(1060)] = 72,
  [SMALL_STATE(1061)] = 176,
  [SMALL_STATE(1062)] = 278,
  [SMALL_STATE(1063)] = 397,
  [SMALL_STATE(1064)] = 516,
  [SMALL_STATE(1065)] = 635,
  [SMALL_STATE(1066)] = 754,
  [SMALL_STATE(1067)] = 873,
  [SMALL_STATE(1068)] = 992,
  [SMALL_STATE(1069)] = 1073,
  [SMALL_STATE(1070)] = 1192,
  [SMALL_STATE(1071)] = 1273,
  [SMALL_STATE(1072)] = 1354,
  [SMALL_STATE(1073)] = 1473,
  [SMALL_STATE(1074)] = 1554,
  [SMALL_STATE(1075)] = 1673,
  [SMALL_STATE(1076)] = 1792,
  [SMALL_STATE(1077)] = 1911,
  [SMALL_STATE(1078)] = 2005,
  [SMALL_STATE(1079)] = 2101,
  [SMALL_STATE(1080)] = 2169,
  [SMALL_STATE(1081)] = 2265,
  [SMALL_STATE(1082)] = 2333,
  [SMALL_STATE(1083)] = 2431,
  [SMALL_STATE(1084)] = 2524,
  [SMALL_STATE(1085)] = 2599,
  [SMALL_STATE(1086)] = 2691,
  [SMALL_STATE(1087)] = 2779,
  [SMALL_STATE(1088)] = 2843,
  [SMALL_STATE(1089)] = 2950,
  [SMALL_STATE(1090)] = 3057,
  [SMALL_STATE(1091)] = 3164,
  [SMALL_STATE(1092)] = 3234,
  [SMALL_STATE(1093)] = 3300,
  [SMALL_STATE(1094)] = 3384,
  [SMALL_STATE(1095)] = 3468,
  [SMALL_STATE(1096)] = 3538,
  [SMALL_STATE(1097)] = 3604,
  [SMALL_STATE(1098)] = 3670,
  [SMALL_STATE(1099)] = 3736,
  [SMALL_STATE(1100)] = 3802,
  [SMALL_STATE(1101)] = 3868,
  [SMALL_STATE(1102)] = 3934,
  [SMALL_STATE(1103)] = 4000,
  [SMALL_STATE(1104)] = 4066,
  [SMALL_STATE(1105)] = 4132,
  [SMALL_STATE(1106)] = 4198,
  [SMALL_STATE(1107)] = 4264,
  [SMALL_STATE(1108)] = 4330,
  [SMALL_STATE(1109)] = 4396,
  [SMALL_STATE(1110)] = 4472,
  [SMALL_STATE(1111)] = 4538,
  [SMALL_STATE(1112)] = 4604,
  [SMALL_STATE(1113)] = 4670,
  [SMALL_STATE(1114)] = 4731,
  [SMALL_STATE(1115)] = 4800,
  [SMALL_STATE(1116)] = 4861,
  [SMALL_STATE(1117)] = 4930,
  [SMALL_STATE(1118)] = 4991,
  [SMALL_STATE(1119)] = 5052,
  [SMALL_STATE(1120)] = 5139,
  [SMALL_STATE(1121)] = 5200,
  [SMALL_STATE(1122)] = 5261,
  [SMALL_STATE(1123)] = 5321,
  [SMALL_STATE(1124)] = 5381,
  [SMALL_STATE(1125)] = 5441,
  [SMALL_STATE(1126)] = 5501,
  [SMALL_STATE(1127)] = 5561,
  [SMALL_STATE(1128)] = 5621,
  [SMALL_STATE(1129)] = 5681,
  [SMALL_STATE(1130)] = 5741,
  [SMALL_STATE(1131)] = 5801,
  [SMALL_STATE(1132)] = 5861,
  [SMALL_STATE(1133)] = 5921,
  [SMALL_STATE(1134)] = 5981,
  [SMALL_STATE(1135)] = 6041,
  [SMALL_STATE(1136)] = 6101,
  [SMALL_STATE(1137)] = 6161,
  [SMALL_STATE(1138)] = 6221,
  [SMALL_STATE(1139)] = 6281,
  [SMALL_STATE(1140)] = 6341,
  [SMALL_STATE(1141)] = 6401,
  [SMALL_STATE(1142)] = 6461,
  [SMALL_STATE(1143)] = 6521,
  [SMALL_STATE(1144)] = 6581,
  [SMALL_STATE(1145)] = 6641,
  [SMALL_STATE(1146)] = 6701,
  [SMALL_STATE(1147)] = 6761,
  [SMALL_STATE(1148)] = 6821,
  [SMALL_STATE(1149)] = 6881,
  [SMALL_STATE(1150)] = 6941,
  [SMALL_STATE(1151)] = 7001,
  [SMALL_STATE(1152)] = 7061,
  [SMALL_STATE(1153)] = 7121,
  [SMALL_STATE(1154)] = 7181,
  [SMALL_STATE(1155)] = 7241,
  [SMALL_STATE(1156)] = 7301,
  [SMALL_STATE(1157)] = 7361,
  [SMALL_STATE(1158)] = 7421,
  [SMALL_STATE(1159)] = 7481,
  [SMALL_STATE(1160)] = 7541,
  [SMALL_STATE(1161)] = 7601,
  [SMALL_STATE(1162)] = 7661,
  [SMALL_STATE(1163)] = 7745,
  [SMALL_STATE(1164)] = 7805,
  [SMALL_STATE(1165)] = 7865,
  [SMALL_STATE(1166)] = 7925,
  [SMALL_STATE(1167)] = 7985,
  [SMALL_STATE(1168)] = 8045,
  [SMALL_STATE(1169)] = 8105,
  [SMALL_STATE(1170)] = 8165,
  [SMALL_STATE(1171)] = 8225,
  [SMALL_STATE(1172)] = 8285,
  [SMALL_STATE(1173)] = 8345,
  [SMALL_STATE(1174)] = 8405,
  [SMALL_STATE(1175)] = 8465,
  [SMALL_STATE(1176)] = 8525,
  [SMALL_STATE(1177)] = 8585,
  [SMALL_STATE(1178)] = 8645,
  [SMALL_STATE(1179)] = 8705,
  [SMALL_STATE(1180)] = 8765,
  [SMALL_STATE(1181)] = 8837,
  [SMALL_STATE(1182)] = 8897,
  [SMALL_STATE(1183)] = 8957,
  [SMALL_STATE(1184)] = 9017,
  [SMALL_STATE(1185)] = 9089,
  [SMALL_STATE(1186)] = 9149,
  [SMALL_STATE(1187)] = 9216,
  [SMALL_STATE(1188)] = 9291,
  [SMALL_STATE(1189)] = 9366,
  [SMALL_STATE(1190)] = 9433,
  [SMALL_STATE(1191)] = 9507,
  [SMALL_STATE(1192)] = 9565,
  [SMALL_STATE(1193)] = 9633,
  [SMALL_STATE(1194)] = 9727,
  [SMALL_STATE(1195)] = 9793,
  [SMALL_STATE(1196)] = 9875,
  [SMALL_STATE(1197)] = 9935,
  [SMALL_STATE(1198)] = 10029,
  [SMALL_STATE(1199)] = 10101,
  [SMALL_STATE(1200)] = 10159,
  [SMALL_STATE(1201)] = 10253,
  [SMALL_STATE(1202)] = 10331,
  [SMALL_STATE(1203)] = 10389,
  [SMALL_STATE(1204)] = 10457,
  [SMALL_STATE(1205)] = 10524,
  [SMALL_STATE(1206)] = 10585,
  [SMALL_STATE(1207)] = 10652,
  [SMALL_STATE(1208)] = 10718,
  [SMALL_STATE(1209)] = 10783,
  [SMALL_STATE(1210)] = 10874,
  [SMALL_STATE(1211)] = 10941,
  [SMALL_STATE(1212)] = 11032,
  [SMALL_STATE(1213)] = 11099,
  [SMALL_STATE(1214)] = 11166,
  [SMALL_STATE(1215)] = 11233,
  [SMALL_STATE(1216)] = 11294,
  [SMALL_STATE(1217)] = 11351,
  [SMALL_STATE(1218)] = 11405,
  [SMALL_STATE(1219)] = 11465,
  [SMALL_STATE(1220)] = 11525,
  [SMALL_STATE(1221)] = 11579,
  [SMALL_STATE(1222)] = 11633,
  [SMALL_STATE(1223)] = 11687,
  [SMALL_STATE(1224)] = 11741,
  [SMALL_STATE(1225)] = 11795,
  [SMALL_STATE(1226)] = 11849,
  [SMALL_STATE(1227)] = 11903,
  [SMALL_STATE(1228)] = 11957,
  [SMALL_STATE(1229)] = 12011,
  [SMALL_STATE(1230)] = 12065,
  [SMALL_STATE(1231)] = 12119,
  [SMALL_STATE(1232)] = 12173,
  [SMALL_STATE(1233)] = 12227,
  [SMALL_STATE(1234)] = 12281,
  [SMALL_STATE(1235)] = 12335,
  [SMALL_STATE(1236)] = 12389,
  [SMALL_STATE(1237)] = 12443,
  [SMALL_STATE(1238)] = 12501,
  [SMALL_STATE(1239)] = 12555,
  [SMALL_STATE(1240)] = 12609,
  [SMALL_STATE(1241)] = 12663,
  [SMALL_STATE(1242)] = 12717,
  [SMALL_STATE(1243)] = 12771,
  [SMALL_STATE(1244)] = 12825,
  [SMALL_STATE(1245)] = 12879,
  [SMALL_STATE(1246)] = 12939,
  [SMALL_STATE(1247)] = 12993,
  [SMALL_STATE(1248)] = 13046,
  [SMALL_STATE(1249)] = 13099,
  [SMALL_STATE(1250)] = 13158,
  [SMALL_STATE(1251)] = 13211,
  [SMALL_STATE(1252)] = 13264,
  [SMALL_STATE(1253)] = 13317,
  [SMALL_STATE(1254)] = 13370,
  [SMALL_STATE(1255)] = 13425,
  [SMALL_STATE(1256)] = 13486,
  [SMALL_STATE(1257)] = 13539,
  [SMALL_STATE(1258)] = 13598,
  [SMALL_STATE(1259)] = 13651,
  [SMALL_STATE(1260)] = 13704,
  [SMALL_STATE(1261)] = 13756,
  [SMALL_STATE(1262)] = 13808,
  [SMALL_STATE(1263)] = 13860,
  [SMALL_STATE(1264)] = 13912,
  [SMALL_STATE(1265)] = 13966,
  [SMALL_STATE(1266)] = 14038,
  [SMALL_STATE(1267)] = 14090,
  [SMALL_STATE(1268)] = 14142,
  [SMALL_STATE(1269)] = 14194,
  [SMALL_STATE(1270)] = 14252,
  [SMALL_STATE(1271)] = 14304,
  [SMALL_STATE(1272)] = 14355,
  [SMALL_STATE(1273)] = 14406,
  [SMALL_STATE(1274)] = 14457,
  [SMALL_STATE(1275)] = 14514,
  [SMALL_STATE(1276)] = 14571,
  [SMALL_STATE(1277)] = 14622,
  [SMALL_STATE(1278)] = 14680,
  [SMALL_STATE(1279)] = 14740,
  [SMALL_STATE(1280)] = 14798,
  [SMALL_STATE(1281)] = 14880,
  [SMALL_STATE(1282)] = 14962,
  [SMALL_STATE(1283)] = 15018,
  [SMALL_STATE(1284)] = 15076,
  [SMALL_STATE(1285)] = 15146,
  [SMALL_STATE(1286)] = 15216,
  [SMALL_STATE(1287)] = 15266,
  [SMALL_STATE(1288)] = 15322,
  [SMALL_STATE(1289)] = 15382,
  [SMALL_STATE(1290)] = 15466,
  [SMALL_STATE(1291)] = 15515,
  [SMALL_STATE(1292)] = 15564,
  [SMALL_STATE(1293)] = 15613,
  [SMALL_STATE(1294)] = 15662,
  [SMALL_STATE(1295)] = 15719,
  [SMALL_STATE(1296)] = 15776,
  [SMALL_STATE(1297)] = 15825,
  [SMALL_STATE(1298)] = 15877,
  [SMALL_STATE(1299)] = 15929,
  [SMALL_STATE(1300)] = 15981,
  [SMALL_STATE(1301)] = 16033,
  [SMALL_STATE(1302)] = 16085,
  [SMALL_STATE(1303)] = 16137,
  [SMALL_STATE(1304)] = 16189,
  [SMALL_STATE(1305)] = 16247,
  [SMALL_STATE(1306)] = 16299,
  [SMALL_STATE(1307)] = 16351,
  [SMALL_STATE(1308)] = 16403,
  [SMALL_STATE(1309)] = 16457,
  [SMALL_STATE(1310)] = 16525,
  [SMALL_STATE(1311)] = 16577,
  [SMALL_STATE(1312)] = 16629,
  [SMALL_STATE(1313)] = 16681,
  [SMALL_STATE(1314)] = 16729,
  [SMALL_STATE(1315)] = 16777,
  [SMALL_STATE(1316)] = 16851,
  [SMALL_STATE(1317)] = 16925,
  [SMALL_STATE(1318)] = 16977,
  [SMALL_STATE(1319)] = 17029,
  [SMALL_STATE(1320)] = 17087,
  [SMALL_STATE(1321)] = 17139,
  [SMALL_STATE(1322)] = 17191,
  [SMALL_STATE(1323)] = 17243,
  [SMALL_STATE(1324)] = 17290,
  [SMALL_STATE(1325)] = 17337,
  [SMALL_STATE(1326)] = 17384,
  [SMALL_STATE(1327)] = 17431,
  [SMALL_STATE(1328)] = 17478,
  [SMALL_STATE(1329)] = 17525,
  [SMALL_STATE(1330)] = 17578,
  [SMALL_STATE(1331)] = 17625,
  [SMALL_STATE(1332)] = 17696,
  [SMALL_STATE(1333)] = 17747,
  [SMALL_STATE(1334)] = 17794,
  [SMALL_STATE(1335)] = 17840,
  [SMALL_STATE(1336)] = 17886,
  [SMALL_STATE(1337)] = 17932,
  [SMALL_STATE(1338)] = 17978,
  [SMALL_STATE(1339)] = 18024,
  [SMALL_STATE(1340)] = 18070,
  [SMALL_STATE(1341)] = 18116,
  [SMALL_STATE(1342)] = 18162,
  [SMALL_STATE(1343)] = 18212,
  [SMALL_STATE(1344)] = 18258,
  [SMALL_STATE(1345)] = 18304,
  [SMALL_STATE(1346)] = 18350,
  [SMALL_STATE(1347)] = 18402,
  [SMALL_STATE(1348)] = 18448,
  [SMALL_STATE(1349)] = 18494,
  [SMALL_STATE(1350)] = 18540,
  [SMALL_STATE(1351)] = 18586,
  [SMALL_STATE(1352)] = 18632,
  [SMALL_STATE(1353)] = 18678,
  [SMALL_STATE(1354)] = 18724,
  [SMALL_STATE(1355)] = 18770,
  [SMALL_STATE(1356)] = 18816,
  [SMALL_STATE(1357)] = 18862,
  [SMALL_STATE(1358)] = 18908,
  [SMALL_STATE(1359)] = 18954,
  [SMALL_STATE(1360)] = 19010,
  [SMALL_STATE(1361)] = 19056,
  [SMALL_STATE(1362)] = 19108,
  [SMALL_STATE(1363)] = 19154,
  [SMALL_STATE(1364)] = 19200,
  [SMALL_STATE(1365)] = 19246,
  [SMALL_STATE(1366)] = 19292,
  [SMALL_STATE(1367)] = 19338,
  [SMALL_STATE(1368)] = 19384,
  [SMALL_STATE(1369)] = 19430,
  [SMALL_STATE(1370)] = 19476,
  [SMALL_STATE(1371)] = 19522,
  [SMALL_STATE(1372)] = 19568,
  [SMALL_STATE(1373)] = 19614,
  [SMALL_STATE(1374)] = 19660,
  [SMALL_STATE(1375)] = 19706,
  [SMALL_STATE(1376)] = 19752,
  [SMALL_STATE(1377)] = 19798,
  [SMALL_STATE(1378)] = 19844,
  [SMALL_STATE(1379)] = 19890,
  [SMALL_STATE(1380)] = 19936,
  [SMALL_STATE(1381)] = 19982,
  [SMALL_STATE(1382)] = 20028,
  [SMALL_STATE(1383)] = 20074,
  [SMALL_STATE(1384)] = 20120,
  [SMALL_STATE(1385)] = 20166,
  [SMALL_STATE(1386)] = 20212,
  [SMALL_STATE(1387)] = 20258,
  [SMALL_STATE(1388)] = 20304,
  [SMALL_STATE(1389)] = 20350,
  [SMALL_STATE(1390)] = 20402,
  [SMALL_STATE(1391)] = 20448,
  [SMALL_STATE(1392)] = 20500,
  [SMALL_STATE(1393)] = 20546,
  [SMALL_STATE(1394)] = 20592,
  [SMALL_STATE(1395)] = 20638,
  [SMALL_STATE(1396)] = 20684,
  [SMALL_STATE(1397)] = 20730,
  [SMALL_STATE(1398)] = 20776,
  [SMALL_STATE(1399)] = 20822,
  [SMALL_STATE(1400)] = 20868,
  [SMALL_STATE(1401)] = 20914,
  [SMALL_STATE(1402)] = 20960,
  [SMALL_STATE(1403)] = 21006,
  [SMALL_STATE(1404)] = 21057,
  [SMALL_STATE(1405)] = 21102,
  [SMALL_STATE(1406)] = 21153,
  [SMALL_STATE(1407)] = 21198,
  [SMALL_STATE(1408)] = 21243,
  [SMALL_STATE(1409)] = 21288,
  [SMALL_STATE(1410)] = 21339,
  [SMALL_STATE(1411)] = 21392,
  [SMALL_STATE(1412)] = 21443,
  [SMALL_STATE(1413)] = 21495,
  [SMALL_STATE(1414)] = 21581,
  [SMALL_STATE(1415)] = 21625,
  [SMALL_STATE(1416)] = 21668,
  [SMALL_STATE(1417)] = 21711,
  [SMALL_STATE(1418)] = 21754,
  [SMALL_STATE(1419)] = 21797,
  [SMALL_STATE(1420)] = 21840,
  [SMALL_STATE(1421)] = 21883,
  [SMALL_STATE(1422)] = 21926,
  [SMALL_STATE(1423)] = 21969,
  [SMALL_STATE(1424)] = 22012,
  [SMALL_STATE(1425)] = 22055,
  [SMALL_STATE(1426)] = 22098,
  [SMALL_STATE(1427)] = 22141,
  [SMALL_STATE(1428)] = 22184,
  [SMALL_STATE(1429)] = 22227,
  [SMALL_STATE(1430)] = 22274,
  [SMALL_STATE(1431)] = 22317,
  [SMALL_STATE(1432)] = 22362,
  [SMALL_STATE(1433)] = 22405,
  [SMALL_STATE(1434)] = 22448,
  [SMALL_STATE(1435)] = 22491,
  [SMALL_STATE(1436)] = 22534,
  [SMALL_STATE(1437)] = 22577,
  [SMALL_STATE(1438)] = 22620,
  [SMALL_STATE(1439)] = 22663,
  [SMALL_STATE(1440)] = 22706,
  [SMALL_STATE(1441)] = 22749,
  [SMALL_STATE(1442)] = 22792,
  [SMALL_STATE(1443)] = 22835,
  [SMALL_STATE(1444)] = 22878,
  [SMALL_STATE(1445)] = 22921,
  [SMALL_STATE(1446)] = 22964,
  [SMALL_STATE(1447)] = 23007,
  [SMALL_STATE(1448)] = 23050,
  [SMALL_STATE(1449)] = 23093,
  [SMALL_STATE(1450)] = 23136,
  [SMALL_STATE(1451)] = 23179,
  [SMALL_STATE(1452)] = 23222,
  [SMALL_STATE(1453)] = 23265,
  [SMALL_STATE(1454)] = 23312,
  [SMALL_STATE(1455)] = 23355,
  [SMALL_STATE(1456)] = 23397,
  [SMALL_STATE(1457)] = 23441,
  [SMALL_STATE(1458)] = 23485,
  [SMALL_STATE(1459)] = 23561,
  [SMALL_STATE(1460)] = 23603,
  [SMALL_STATE(1461)] = 23679,
  [SMALL_STATE(1462)] = 23755,
  [SMALL_STATE(1463)] = 23797,
  [SMALL_STATE(1464)] = 23863,
  [SMALL_STATE(1465)] = 23921,
  [SMALL_STATE(1466)] = 23985,
  [SMALL_STATE(1467)] = 24055,
  [SMALL_STATE(1468)] = 24127,
  [SMALL_STATE(1469)] = 24179,
  [SMALL_STATE(1470)] = 24227,
  [SMALL_STATE(1471)] = 24297,
  [SMALL_STATE(1472)] = 24365,
  [SMALL_STATE(1473)] = 24419,
  [SMALL_STATE(1474)] = 24463,
  [SMALL_STATE(1475)] = 24505,
  [SMALL_STATE(1476)] = 24547,
  [SMALL_STATE(1477)] = 24589,
  [SMALL_STATE(1478)] = 24631,
  [SMALL_STATE(1479)] = 24673,
  [SMALL_STATE(1480)] = 24715,
  [SMALL_STATE(1481)] = 24757,
  [SMALL_STATE(1482)] = 24799,
  [SMALL_STATE(1483)] = 24847,
  [SMALL_STATE(1484)] = 24891,
  [SMALL_STATE(1485)] = 24933,
  [SMALL_STATE(1486)] = 24975,
  [SMALL_STATE(1487)] = 25017,
  [SMALL_STATE(1488)] = 25065,
  [SMALL_STATE(1489)] = 25107,
  [SMALL_STATE(1490)] = 25149,
  [SMALL_STATE(1491)] = 25191,
  [SMALL_STATE(1492)] = 25237,
  [SMALL_STATE(1493)] = 25279,
  [SMALL_STATE(1494)] = 25321,
  [SMALL_STATE(1495)] = 25365,
  [SMALL_STATE(1496)] = 25409,
  [SMALL_STATE(1497)] = 25485,
  [SMALL_STATE(1498)] = 25531,
  [SMALL_STATE(1499)] = 25573,
  [SMALL_STATE(1500)] = 25642,
  [SMALL_STATE(1501)] = 25711,
  [SMALL_STATE(1502)] = 25788,
  [SMALL_STATE(1503)] = 25835,
  [SMALL_STATE(1504)] = 25904,
  [SMALL_STATE(1505)] = 25973,
  [SMALL_STATE(1506)] = 26056,
  [SMALL_STATE(1507)] = 26101,
  [SMALL_STATE(1508)] = 26178,
  [SMALL_STATE(1509)] = 26255,
  [SMALL_STATE(1510)] = 26298,
  [SMALL_STATE(1511)] = 26375,
  [SMALL_STATE(1512)] = 26439,
  [SMALL_STATE(1513)] = 26505,
  [SMALL_STATE(1514)] = 26545,
  [SMALL_STATE(1515)] = 26591,
  [SMALL_STATE(1516)] = 26631,
  [SMALL_STATE(1517)] = 26673,
  [SMALL_STATE(1518)] = 26731,
  [SMALL_STATE(1519)] = 26783,
  [SMALL_STATE(1520)] = 26823,
  [SMALL_STATE(1521)] = 26879,
  [SMALL_STATE(1522)] = 26943,
  [SMALL_STATE(1523)] = 26983,
  [SMALL_STATE(1524)] = 27049,
  [SMALL_STATE(1525)] = 27115,
  [SMALL_STATE(1526)] = 27175,
  [SMALL_STATE(1527)] = 27241,
  [SMALL_STATE(1528)] = 27281,
  [SMALL_STATE(1529)] = 27351,
  [SMALL_STATE(1530)] = 27421,
  [SMALL_STATE(1531)] = 27491,
  [SMALL_STATE(1532)] = 27549,
  [SMALL_STATE(1533)] = 27601,
  [SMALL_STATE(1534)] = 27657,
  [SMALL_STATE(1535)] = 27697,
  [SMALL_STATE(1536)] = 27763,
  [SMALL_STATE(1537)] = 27811,
  [SMALL_STATE(1538)] = 27857,
  [SMALL_STATE(1539)] = 27919,
  [SMALL_STATE(1540)] = 27989,
  [SMALL_STATE(1541)] = 28039,
  [SMALL_STATE(1542)] = 28081,
  [SMALL_STATE(1543)] = 28127,
  [SMALL_STATE(1544)] = 28173,
  [SMALL_STATE(1545)] = 28219,
  [SMALL_STATE(1546)] = 28261,
  [SMALL_STATE(1547)] = 28331,
  [SMALL_STATE(1548)] = 28371,
  [SMALL_STATE(1549)] = 28413,
  [SMALL_STATE(1550)] = 28483,
  [SMALL_STATE(1551)] = 28525,
  [SMALL_STATE(1552)] = 28565,
  [SMALL_STATE(1553)] = 28613,
  [SMALL_STATE(1554)] = 28683,
  [SMALL_STATE(1555)] = 28749,
  [SMALL_STATE(1556)] = 28795,
  [SMALL_STATE(1557)] = 28835,
  [SMALL_STATE(1558)] = 28877,
  [SMALL_STATE(1559)] = 28951,
  [SMALL_STATE(1560)] = 28993,
  [SMALL_STATE(1561)] = 29043,
  [SMALL_STATE(1562)] = 29115,
  [SMALL_STATE(1563)] = 29157,
  [SMALL_STATE(1564)] = 29239,
  [SMALL_STATE(1565)] = 29309,
  [SMALL_STATE(1566)] = 29351,
  [SMALL_STATE(1567)] = 29413,
  [SMALL_STATE(1568)] = 29455,
  [SMALL_STATE(1569)] = 29515,
  [SMALL_STATE(1570)] = 29554,
  [SMALL_STATE(1571)] = 29601,
  [SMALL_STATE(1572)] = 29674,
  [SMALL_STATE(1573)] = 29747,
  [SMALL_STATE(1574)] = 29810,
  [SMALL_STATE(1575)] = 29865,
  [SMALL_STATE(1576)] = 29926,
  [SMALL_STATE(1577)] = 29993,
  [SMALL_STATE(1578)] = 30062,
  [SMALL_STATE(1579)] = 30111,
  [SMALL_STATE(1580)] = 30152,
  [SMALL_STATE(1581)] = 30225,
  [SMALL_STATE(1582)] = 30266,
  [SMALL_STATE(1583)] = 30311,
  [SMALL_STATE(1584)] = 30382,
  [SMALL_STATE(1585)] = 30423,
  [SMALL_STATE(1586)] = 30490,
  [SMALL_STATE(1587)] = 30555,
  [SMALL_STATE(1588)] = 30606,
  [SMALL_STATE(1589)] = 30647,
  [SMALL_STATE(1590)] = 30720,
  [SMALL_STATE(1591)] = 30791,
  [SMALL_STATE(1592)] = 30832,
  [SMALL_STATE(1593)] = 30871,
  [SMALL_STATE(1594)] = 30916,
  [SMALL_STATE(1595)] = 30989,
  [SMALL_STATE(1596)] = 31060,
  [SMALL_STATE(1597)] = 31101,
  [SMALL_STATE(1598)] = 31172,
  [SMALL_STATE(1599)] = 31213,
  [SMALL_STATE(1600)] = 31282,
  [SMALL_STATE(1601)] = 31355,
  [SMALL_STATE(1602)] = 31426,
  [SMALL_STATE(1603)] = 31499,
  [SMALL_STATE(1604)] = 31538,
  [SMALL_STATE(1605)] = 31583,
  [SMALL_STATE(1606)] = 31654,
  [SMALL_STATE(1607)] = 31701,
  [SMALL_STATE(1608)] = 31740,
  [SMALL_STATE(1609)] = 31781,
  [SMALL_STATE(1610)] = 31852,
  [SMALL_STATE(1611)] = 31923,
  [SMALL_STATE(1612)] = 31964,
  [SMALL_STATE(1613)] = 32009,
  [SMALL_STATE(1614)] = 32077,
  [SMALL_STATE(1615)] = 32153,
  [SMALL_STATE(1616)] = 32229,
  [SMALL_STATE(1617)] = 32301,
  [SMALL_STATE(1618)] = 32369,
  [SMALL_STATE(1619)] = 32445,
  [SMALL_STATE(1620)] = 32521,
  [SMALL_STATE(1621)] = 32597,
  [SMALL_STATE(1622)] = 32673,
  [SMALL_STATE(1623)] = 32749,
  [SMALL_STATE(1624)] = 32825,
  [SMALL_STATE(1625)] = 32901,
  [SMALL_STATE(1626)] = 32977,
  [SMALL_STATE(1627)] = 33053,
  [SMALL_STATE(1628)] = 33129,
  [SMALL_STATE(1629)] = 33197,
  [SMALL_STATE(1630)] = 33269,
  [SMALL_STATE(1631)] = 33309,
  [SMALL_STATE(1632)] = 33385,
  [SMALL_STATE(1633)] = 33457,
  [SMALL_STATE(1634)] = 33533,
  [SMALL_STATE(1635)] = 33609,
  [SMALL_STATE(1636)] = 33685,
  [SMALL_STATE(1637)] = 33761,
  [SMALL_STATE(1638)] = 33837,
  [SMALL_STATE(1639)] = 33913,
  [SMALL_STATE(1640)] = 33989,
  [SMALL_STATE(1641)] = 34065,
  [SMALL_STATE(1642)] = 34141,
  [SMALL_STATE(1643)] = 34217,
  [SMALL_STATE(1644)] = 34293,
  [SMALL_STATE(1645)] = 34369,
  [SMALL_STATE(1646)] = 34445,
  [SMALL_STATE(1647)] = 34521,
  [SMALL_STATE(1648)] = 34597,
  [SMALL_STATE(1649)] = 34673,
  [SMALL_STATE(1650)] = 34749,
  [SMALL_STATE(1651)] = 34825,
  [SMALL_STATE(1652)] = 34901,
  [SMALL_STATE(1653)] = 34977,
  [SMALL_STATE(1654)] = 35053,
  [SMALL_STATE(1655)] = 35129,
  [SMALL_STATE(1656)] = 35205,
  [SMALL_STATE(1657)] = 35281,
  [SMALL_STATE(1658)] = 35357,
  [SMALL_STATE(1659)] = 35433,
  [SMALL_STATE(1660)] = 35504,
  [SMALL_STATE(1661)] = 35575,
  [SMALL_STATE(1662)] = 35638,
  [SMALL_STATE(1663)] = 35709,
  [SMALL_STATE(1664)] = 35780,
  [SMALL_STATE(1665)] = 35851,
  [SMALL_STATE(1666)] = 35922,
  [SMALL_STATE(1667)] = 35993,
  [SMALL_STATE(1668)] = 36064,
  [SMALL_STATE(1669)] = 36127,
  [SMALL_STATE(1670)] = 36198,
  [SMALL_STATE(1671)] = 36271,
  [SMALL_STATE(1672)] = 36342,
  [SMALL_STATE(1673)] = 36405,
  [SMALL_STATE(1674)] = 36475,
  [SMALL_STATE(1675)] = 36545,
  [SMALL_STATE(1676)] = 36615,
  [SMALL_STATE(1677)] = 36685,
  [SMALL_STATE(1678)] = 36743,
  [SMALL_STATE(1679)] = 36813,
  [SMALL_STATE(1680)] = 36883,
  [SMALL_STATE(1681)] = 36941,
  [SMALL_STATE(1682)] = 37011,
  [SMALL_STATE(1683)] = 37081,
  [SMALL_STATE(1684)] = 37151,
  [SMALL_STATE(1685)] = 37221,
  [SMALL_STATE(1686)] = 37291,
  [SMALL_STATE(1687)] = 37361,
  [SMALL_STATE(1688)] = 37431,
  [SMALL_STATE(1689)] = 37501,
  [SMALL_STATE(1690)] = 37571,
  [SMALL_STATE(1691)] = 37641,
  [SMALL_STATE(1692)] = 37711,
  [SMALL_STATE(1693)] = 37781,
  [SMALL_STATE(1694)] = 37851,
  [SMALL_STATE(1695)] = 37921,
  [SMALL_STATE(1696)] = 37979,
  [SMALL_STATE(1697)] = 38049,
  [SMALL_STATE(1698)] = 38119,
  [SMALL_STATE(1699)] = 38189,
  [SMALL_STATE(1700)] = 38259,
  [SMALL_STATE(1701)] = 38329,
  [SMALL_STATE(1702)] = 38399,
  [SMALL_STATE(1703)] = 38469,
  [SMALL_STATE(1704)] = 38539,
  [SMALL_STATE(1705)] = 38609,
  [SMALL_STATE(1706)] = 38679,
  [SMALL_STATE(1707)] = 38749,
  [SMALL_STATE(1708)] = 38819,
  [SMALL_STATE(1709)] = 38889,
  [SMALL_STATE(1710)] = 38959,
  [SMALL_STATE(1711)] = 39029,
  [SMALL_STATE(1712)] = 39099,
  [SMALL_STATE(1713)] = 39157,
  [SMALL_STATE(1714)] = 39227,
  [SMALL_STATE(1715)] = 39297,
  [SMALL_STATE(1716)] = 39367,
  [SMALL_STATE(1717)] = 39437,
  [SMALL_STATE(1718)] = 39507,
  [SMALL_STATE(1719)] = 39577,
  [SMALL_STATE(1720)] = 39647,
  [SMALL_STATE(1721)] = 39717,
  [SMALL_STATE(1722)] = 39787,
  [SMALL_STATE(1723)] = 39857,
  [SMALL_STATE(1724)] = 39927,
  [SMALL_STATE(1725)] = 39997,
  [SMALL_STATE(1726)] = 40067,
  [SMALL_STATE(1727)] = 40137,
  [SMALL_STATE(1728)] = 40207,
  [SMALL_STATE(1729)] = 40277,
  [SMALL_STATE(1730)] = 40347,
  [SMALL_STATE(1731)] = 40417,
  [SMALL_STATE(1732)] = 40487,
  [SMALL_STATE(1733)] = 40557,
  [SMALL_STATE(1734)] = 40627,
  [SMALL_STATE(1735)] = 40697,
  [SMALL_STATE(1736)] = 40767,
  [SMALL_STATE(1737)] = 40837,
  [SMALL_STATE(1738)] = 40907,
  [SMALL_STATE(1739)] = 40977,
  [SMALL_STATE(1740)] = 41047,
  [SMALL_STATE(1741)] = 41117,
  [SMALL_STATE(1742)] = 41187,
  [SMALL_STATE(1743)] = 41257,
  [SMALL_STATE(1744)] = 41327,
  [SMALL_STATE(1745)] = 41397,
  [SMALL_STATE(1746)] = 41467,
  [SMALL_STATE(1747)] = 41537,
  [SMALL_STATE(1748)] = 41607,
  [SMALL_STATE(1749)] = 41662,
  [SMALL_STATE(1750)] = 41715,
  [SMALL_STATE(1751)] = 41774,
  [SMALL_STATE(1752)] = 41833,
  [SMALL_STATE(1753)] = 41892,
  [SMALL_STATE(1754)] = 41949,
  [SMALL_STATE(1755)] = 42008,
  [SMALL_STATE(1756)] = 42067,
  [SMALL_STATE(1757)] = 42126,
  [SMALL_STATE(1758)] = 42179,
  [SMALL_STATE(1759)] = 42213,
  [SMALL_STATE(1760)] = 42263,
  [SMALL_STATE(1761)] = 42323,
  [SMALL_STATE(1762)] = 42387,
  [SMALL_STATE(1763)] = 42437,
  [SMALL_STATE(1764)] = 42493,
  [SMALL_STATE(1765)] = 42527,
  [SMALL_STATE(1766)] = 42582,
  [SMALL_STATE(1767)] = 42637,
  [SMALL_STATE(1768)] = 42676,
  [SMALL_STATE(1769)] = 42709,
  [SMALL_STATE(1770)] = 42764,
  [SMALL_STATE(1771)] = 42815,
  [SMALL_STATE(1772)] = 42870,
  [SMALL_STATE(1773)] = 42903,
  [SMALL_STATE(1774)] = 42958,
  [SMALL_STATE(1775)] = 43013,
  [SMALL_STATE(1776)] = 43068,
  [SMALL_STATE(1777)] = 43123,
  [SMALL_STATE(1778)] = 43178,
  [SMALL_STATE(1779)] = 43233,
  [SMALL_STATE(1780)] = 43288,
  [SMALL_STATE(1781)] = 43321,
  [SMALL_STATE(1782)] = 43376,
  [SMALL_STATE(1783)] = 43437,
  [SMALL_STATE(1784)] = 43470,
  [SMALL_STATE(1785)] = 43509,
  [SMALL_STATE(1786)] = 43564,
  [SMALL_STATE(1787)] = 43616,
  [SMALL_STATE(1788)] = 43668,
  [SMALL_STATE(1789)] = 43700,
  [SMALL_STATE(1790)] = 43752,
  [SMALL_STATE(1791)] = 43804,
  [SMALL_STATE(1792)] = 43856,
  [SMALL_STATE(1793)] = 43888,
  [SMALL_STATE(1794)] = 43940,
  [SMALL_STATE(1795)] = 43992,
  [SMALL_STATE(1796)] = 44030,
  [SMALL_STATE(1797)] = 44062,
  [SMALL_STATE(1798)] = 44114,
  [SMALL_STATE(1799)] = 44166,
  [SMALL_STATE(1800)] = 44218,
  [SMALL_STATE(1801)] = 44270,
  [SMALL_STATE(1802)] = 44328,
  [SMALL_STATE(1803)] = 44360,
  [SMALL_STATE(1804)] = 44391,
  [SMALL_STATE(1805)] = 44444,
  [SMALL_STATE(1806)] = 44493,
  [SMALL_STATE(1807)] = 44546,
  [SMALL_STATE(1808)] = 44587,
  [SMALL_STATE(1809)] = 44640,
  [SMALL_STATE(1810)] = 44671,
  [SMALL_STATE(1811)] = 44724,
  [SMALL_STATE(1812)] = 44755,
  [SMALL_STATE(1813)] = 44788,
  [SMALL_STATE(1814)] = 44819,
  [SMALL_STATE(1815)] = 44872,
  [SMALL_STATE(1816)] = 44924,
  [SMALL_STATE(1817)] = 44970,
  [SMALL_STATE(1818)] = 45018,
  [SMALL_STATE(1819)] = 45066,
  [SMALL_STATE(1820)] = 45114,
  [SMALL_STATE(1821)] = 45160,
  [SMALL_STATE(1822)] = 45212,
  [SMALL_STATE(1823)] = 45258,
  [SMALL_STATE(1824)] = 45306,
  [SMALL_STATE(1825)] = 45354,
  [SMALL_STATE(1826)] = 45402,
  [SMALL_STATE(1827)] = 45450,
  [SMALL_STATE(1828)] = 45496,
  [SMALL_STATE(1829)] = 45542,
  [SMALL_STATE(1830)] = 45594,
  [SMALL_STATE(1831)] = 45640,
  [SMALL_STATE(1832)] = 45688,
  [SMALL_STATE(1833)] = 45734,
  [SMALL_STATE(1834)] = 45782,
  [SMALL_STATE(1835)] = 45830,
  [SMALL_STATE(1836)] = 45878,
  [SMALL_STATE(1837)] = 45926,
  [SMALL_STATE(1838)] = 45972,
  [SMALL_STATE(1839)] = 46018,
  [SMALL_STATE(1840)] = 46066,
  [SMALL_STATE(1841)] = 46114,
  [SMALL_STATE(1842)] = 46162,
  [SMALL_STATE(1843)] = 46210,
  [SMALL_STATE(1844)] = 46258,
  [SMALL_STATE(1845)] = 46306,
  [SMALL_STATE(1846)] = 46354,
  [SMALL_STATE(1847)] = 46402,
  [SMALL_STATE(1848)] = 46454,
  [SMALL_STATE(1849)] = 46506,
  [SMALL_STATE(1850)] = 46552,
  [SMALL_STATE(1851)] = 46598,
  [SMALL_STATE(1852)] = 46646,
  [SMALL_STATE(1853)] = 46698,
  [SMALL_STATE(1854)] = 46727,
  [SMALL_STATE(1855)] = 46774,
  [SMALL_STATE(1856)] = 46827,
  [SMALL_STATE(1857)] = 46876,
  [SMALL_STATE(1858)] = 46929,
  [SMALL_STATE(1859)] = 46982,
  [SMALL_STATE(1860)] = 47035,
  [SMALL_STATE(1861)] = 47088,
  [SMALL_STATE(1862)] = 47117,
  [SMALL_STATE(1863)] = 47164,
  [SMALL_STATE(1864)] = 47197,
  [SMALL_STATE(1865)] = 47244,
  [SMALL_STATE(1866)] = 47297,
  [SMALL_STATE(1867)] = 47344,
  [SMALL_STATE(1868)] = 47397,
  [SMALL_STATE(1869)] = 47450,
  [SMALL_STATE(1870)] = 47499,
  [SMALL_STATE(1871)] = 47552,
  [SMALL_STATE(1872)] = 47581,
  [SMALL_STATE(1873)] = 47628,
  [SMALL_STATE(1874)] = 47681,
  [SMALL_STATE(1875)] = 47730,
  [SMALL_STATE(1876)] = 47783,
  [SMALL_STATE(1877)] = 47812,
  [SMALL_STATE(1878)] = 47859,
  [SMALL_STATE(1879)] = 47901,
  [SMALL_STATE(1880)] = 47943,
  [SMALL_STATE(1881)] = 47985,
  [SMALL_STATE(1882)] = 48027,
  [SMALL_STATE(1883)] = 48069,
  [SMALL_STATE(1884)] = 48111,
  [SMALL_STATE(1885)] = 48153,
  [SMALL_STATE(1886)] = 48195,
  [SMALL_STATE(1887)] = 48237,
  [SMALL_STATE(1888)] = 48279,
  [SMALL_STATE(1889)] = 48321,
  [SMALL_STATE(1890)] = 48363,
  [SMALL_STATE(1891)] = 48405,
  [SMALL_STATE(1892)] = 48447,
  [SMALL_STATE(1893)] = 48489,
  [SMALL_STATE(1894)] = 48533,
  [SMALL_STATE(1895)] = 48575,
  [SMALL_STATE(1896)] = 48617,
  [SMALL_STATE(1897)] = 48659,
  [SMALL_STATE(1898)] = 48701,
  [SMALL_STATE(1899)] = 48745,
  [SMALL_STATE(1900)] = 48787,
  [SMALL_STATE(1901)] = 48826,
  [SMALL_STATE(1902)] = 48869,
  [SMALL_STATE(1903)] = 48910,
  [SMALL_STATE(1904)] = 48943,
  [SMALL_STATE(1905)] = 48986,
  [SMALL_STATE(1906)] = 49022,
  [SMALL_STATE(1907)] = 49062,
  [SMALL_STATE(1908)] = 49102,
  [SMALL_STATE(1909)] = 49142,
  [SMALL_STATE(1910)] = 49182,
  [SMALL_STATE(1911)] = 49222,
  [SMALL_STATE(1912)] = 49247,
  [SMALL_STATE(1913)] = 49280,
  [SMALL_STATE(1914)] = 49317,
  [SMALL_STATE(1915)] = 49344,
  [SMALL_STATE(1916)] = 49369,
  [SMALL_STATE(1917)] = 49406,
  [SMALL_STATE(1918)] = 49443,
  [SMALL_STATE(1919)] = 49480,
  [SMALL_STATE(1920)] = 49512,
  [SMALL_STATE(1921)] = 49554,
  [SMALL_STATE(1922)] = 49596,
  [SMALL_STATE(1923)] = 49634,
  [SMALL_STATE(1924)] = 49672,
  [SMALL_STATE(1925)] = 49698,
  [SMALL_STATE(1926)] = 49740,
  [SMALL_STATE(1927)] = 49782,
  [SMALL_STATE(1928)] = 49824,
  [SMALL_STATE(1929)] = 49866,
  [SMALL_STATE(1930)] = 49904,
  [SMALL_STATE(1931)] = 49946,
  [SMALL_STATE(1932)] = 49988,
  [SMALL_STATE(1933)] = 50022,
  [SMALL_STATE(1934)] = 50060,
  [SMALL_STATE(1935)] = 50102,
  [SMALL_STATE(1936)] = 50144,
  [SMALL_STATE(1937)] = 50186,
  [SMALL_STATE(1938)] = 50228,
  [SMALL_STATE(1939)] = 50266,
  [SMALL_STATE(1940)] = 50308,
  [SMALL_STATE(1941)] = 50350,
  [SMALL_STATE(1942)] = 50392,
  [SMALL_STATE(1943)] = 50434,
  [SMALL_STATE(1944)] = 50476,
  [SMALL_STATE(1945)] = 50518,
  [SMALL_STATE(1946)] = 50560,
  [SMALL_STATE(1947)] = 50602,
  [SMALL_STATE(1948)] = 50633,
  [SMALL_STATE(1949)] = 50670,
  [SMALL_STATE(1950)] = 50703,
  [SMALL_STATE(1951)] = 50734,
  [SMALL_STATE(1952)] = 50767,
  [SMALL_STATE(1953)] = 50804,
  [SMALL_STATE(1954)] = 50841,
  [SMALL_STATE(1955)] = 50875,
  [SMALL_STATE(1956)] = 50907,
  [SMALL_STATE(1957)] = 50943,
  [SMALL_STATE(1958)] = 50975,
  [SMALL_STATE(1959)] = 51011,
  [SMALL_STATE(1960)] = 51047,
  [SMALL_STATE(1961)] = 51083,
  [SMALL_STATE(1962)] = 51117,
  [SMALL_STATE(1963)] = 51145,
  [SMALL_STATE(1964)] = 51181,
  [SMALL_STATE(1965)] = 51217,
  [SMALL_STATE(1966)] = 51253,
  [SMALL_STATE(1967)] = 51283,
  [SMALL_STATE(1968)] = 51313,
  [SMALL_STATE(1969)] = 51343,
  [SMALL_STATE(1970)] = 51379,
  [SMALL_STATE(1971)] = 51411,
  [SMALL_STATE(1972)] = 51447,
  [SMALL_STATE(1973)] = 51479,
  [SMALL_STATE(1974)] = 51515,
  [SMALL_STATE(1975)] = 51547,
  [SMALL_STATE(1976)] = 51581,
  [SMALL_STATE(1977)] = 51615,
  [SMALL_STATE(1978)] = 51646,
  [SMALL_STATE(1979)] = 51677,
  [SMALL_STATE(1980)] = 51708,
  [SMALL_STATE(1981)] = 51741,
  [SMALL_STATE(1982)] = 51770,
  [SMALL_STATE(1983)] = 51801,
  [SMALL_STATE(1984)] = 51832,
  [SMALL_STATE(1985)] = 51863,
  [SMALL_STATE(1986)] = 51896,
  [SMALL_STATE(1987)] = 51927,
  [SMALL_STATE(1988)] = 51960,
  [SMALL_STATE(1989)] = 51991,
  [SMALL_STATE(1990)] = 52020,
  [SMALL_STATE(1991)] = 52051,
  [SMALL_STATE(1992)] = 52082,
  [SMALL_STATE(1993)] = 52113,
  [SMALL_STATE(1994)] = 52142,
  [SMALL_STATE(1995)] = 52173,
  [SMALL_STATE(1996)] = 52206,
  [SMALL_STATE(1997)] = 52237,
  [SMALL_STATE(1998)] = 52270,
  [SMALL_STATE(1999)] = 52303,
  [SMALL_STATE(2000)] = 52330,
  [SMALL_STATE(2001)] = 52363,
  [SMALL_STATE(2002)] = 52394,
  [SMALL_STATE(2003)] = 52427,
  [SMALL_STATE(2004)] = 52458,
  [SMALL_STATE(2005)] = 52491,
  [SMALL_STATE(2006)] = 52524,
  [SMALL_STATE(2007)] = 52553,
  [SMALL_STATE(2008)] = 52584,
  [SMALL_STATE(2009)] = 52613,
  [SMALL_STATE(2010)] = 52644,
  [SMALL_STATE(2011)] = 52675,
  [SMALL_STATE(2012)] = 52703,
  [SMALL_STATE(2013)] = 52729,
  [SMALL_STATE(2014)] = 52755,
  [SMALL_STATE(2015)] = 52783,
  [SMALL_STATE(2016)] = 52811,
  [SMALL_STATE(2017)] = 52839,
  [SMALL_STATE(2018)] = 52871,
  [SMALL_STATE(2019)] = 52897,
  [SMALL_STATE(2020)] = 52923,
  [SMALL_STATE(2021)] = 52951,
  [SMALL_STATE(2022)] = 52979,
  [SMALL_STATE(2023)] = 53011,
  [SMALL_STATE(2024)] = 53035,
  [SMALL_STATE(2025)] = 53063,
  [SMALL_STATE(2026)] = 53091,
  [SMALL_STATE(2027)] = 53119,
  [SMALL_STATE(2028)] = 53151,
  [SMALL_STATE(2029)] = 53180,
  [SMALL_STATE(2030)] = 53205,
  [SMALL_STATE(2031)] = 53230,
  [SMALL_STATE(2032)] = 53255,
  [SMALL_STATE(2033)] = 53280,
  [SMALL_STATE(2034)] = 53305,
  [SMALL_STATE(2035)] = 53330,
  [SMALL_STATE(2036)] = 53355,
  [SMALL_STATE(2037)] = 53384,
  [SMALL_STATE(2038)] = 53407,
  [SMALL_STATE(2039)] = 53432,
  [SMALL_STATE(2040)] = 53457,
  [SMALL_STATE(2041)] = 53482,
  [SMALL_STATE(2042)] = 53507,
  [SMALL_STATE(2043)] = 53532,
  [SMALL_STATE(2044)] = 53557,
  [SMALL_STATE(2045)] = 53582,
  [SMALL_STATE(2046)] = 53607,
  [SMALL_STATE(2047)] = 53636,
  [SMALL_STATE(2048)] = 53661,
  [SMALL_STATE(2049)] = 53686,
  [SMALL_STATE(2050)] = 53711,
  [SMALL_STATE(2051)] = 53746,
  [SMALL_STATE(2052)] = 53781,
  [SMALL_STATE(2053)] = 53802,
  [SMALL_STATE(2054)] = 53825,
  [SMALL_STATE(2055)] = 53850,
  [SMALL_STATE(2056)] = 53879,
  [SMALL_STATE(2057)] = 53904,
  [SMALL_STATE(2058)] = 53933,
  [SMALL_STATE(2059)] = 53956,
  [SMALL_STATE(2060)] = 53977,
  [SMALL_STATE(2061)] = 53997,
  [SMALL_STATE(2062)] = 54013,
  [SMALL_STATE(2063)] = 54033,
  [SMALL_STATE(2064)] = 54053,
  [SMALL_STATE(2065)] = 54081,
  [SMALL_STATE(2066)] = 54109,
  [SMALL_STATE(2067)] = 54127,
  [SMALL_STATE(2068)] = 54145,
  [SMALL_STATE(2069)] = 54171,
  [SMALL_STATE(2070)] = 54187,
  [SMALL_STATE(2071)] = 54207,
  [SMALL_STATE(2072)] = 54227,
  [SMALL_STATE(2073)] = 54245,
  [SMALL_STATE(2074)] = 54265,
  [SMALL_STATE(2075)] = 54283,
  [SMALL_STATE(2076)] = 54303,
  [SMALL_STATE(2077)] = 54323,
  [SMALL_STATE(2078)] = 54341,
  [SMALL_STATE(2079)] = 54361,
  [SMALL_STATE(2080)] = 54381,
  [SMALL_STATE(2081)] = 54401,
  [SMALL_STATE(2082)] = 54421,
  [SMALL_STATE(2083)] = 54441,
  [SMALL_STATE(2084)] = 54469,
  [SMALL_STATE(2085)] = 54489,
  [SMALL_STATE(2086)] = 54509,
  [SMALL_STATE(2087)] = 54531,
  [SMALL_STATE(2088)] = 54551,
  [SMALL_STATE(2089)] = 54569,
  [SMALL_STATE(2090)] = 54597,
  [SMALL_STATE(2091)] = 54617,
  [SMALL_STATE(2092)] = 54637,
  [SMALL_STATE(2093)] = 54655,
  [SMALL_STATE(2094)] = 54675,
  [SMALL_STATE(2095)] = 54692,
  [SMALL_STATE(2096)] = 54711,
  [SMALL_STATE(2097)] = 54740,
  [SMALL_STATE(2098)] = 54759,
  [SMALL_STATE(2099)] = 54776,
  [SMALL_STATE(2100)] = 54805,
  [SMALL_STATE(2101)] = 54834,
  [SMALL_STATE(2102)] = 54849,
  [SMALL_STATE(2103)] = 54868,
  [SMALL_STATE(2104)] = 54885,
  [SMALL_STATE(2105)] = 54904,
  [SMALL_STATE(2106)] = 54923,
  [SMALL_STATE(2107)] = 54942,
  [SMALL_STATE(2108)] = 54971,
  [SMALL_STATE(2109)] = 54990,
  [SMALL_STATE(2110)] = 55009,
  [SMALL_STATE(2111)] = 55026,
  [SMALL_STATE(2112)] = 55045,
  [SMALL_STATE(2113)] = 55062,
  [SMALL_STATE(2114)] = 55079,
  [SMALL_STATE(2115)] = 55096,
  [SMALL_STATE(2116)] = 55115,
  [SMALL_STATE(2117)] = 55134,
  [SMALL_STATE(2118)] = 55156,
  [SMALL_STATE(2119)] = 55176,
  [SMALL_STATE(2120)] = 55200,
  [SMALL_STATE(2121)] = 55216,
  [SMALL_STATE(2122)] = 55232,
  [SMALL_STATE(2123)] = 55256,
  [SMALL_STATE(2124)] = 55276,
  [SMALL_STATE(2125)] = 55298,
  [SMALL_STATE(2126)] = 55314,
  [SMALL_STATE(2127)] = 55338,
  [SMALL_STATE(2128)] = 55362,
  [SMALL_STATE(2129)] = 55378,
  [SMALL_STATE(2130)] = 55400,
  [SMALL_STATE(2131)] = 55422,
  [SMALL_STATE(2132)] = 55444,
  [SMALL_STATE(2133)] = 55460,
  [SMALL_STATE(2134)] = 55482,
  [SMALL_STATE(2135)] = 55506,
  [SMALL_STATE(2136)] = 55528,
  [SMALL_STATE(2137)] = 55550,
  [SMALL_STATE(2138)] = 55566,
  [SMALL_STATE(2139)] = 55582,
  [SMALL_STATE(2140)] = 55604,
  [SMALL_STATE(2141)] = 55620,
  [SMALL_STATE(2142)] = 55636,
  [SMALL_STATE(2143)] = 55652,
  [SMALL_STATE(2144)] = 55674,
  [SMALL_STATE(2145)] = 55696,
  [SMALL_STATE(2146)] = 55718,
  [SMALL_STATE(2147)] = 55740,
  [SMALL_STATE(2148)] = 55762,
  [SMALL_STATE(2149)] = 55784,
  [SMALL_STATE(2150)] = 55806,
  [SMALL_STATE(2151)] = 55828,
  [SMALL_STATE(2152)] = 55850,
  [SMALL_STATE(2153)] = 55871,
  [SMALL_STATE(2154)] = 55888,
  [SMALL_STATE(2155)] = 55907,
  [SMALL_STATE(2156)] = 55930,
  [SMALL_STATE(2157)] = 55953,
  [SMALL_STATE(2158)] = 55974,
  [SMALL_STATE(2159)] = 55995,
  [SMALL_STATE(2160)] = 56014,
  [SMALL_STATE(2161)] = 56031,
  [SMALL_STATE(2162)] = 56048,
  [SMALL_STATE(2163)] = 56067,
  [SMALL_STATE(2164)] = 56084,
  [SMALL_STATE(2165)] = 56101,
  [SMALL_STATE(2166)] = 56118,
  [SMALL_STATE(2167)] = 56139,
  [SMALL_STATE(2168)] = 56160,
  [SMALL_STATE(2169)] = 56177,
  [SMALL_STATE(2170)] = 56190,
  [SMALL_STATE(2171)] = 56203,
  [SMALL_STATE(2172)] = 56216,
  [SMALL_STATE(2173)] = 56237,
  [SMALL_STATE(2174)] = 56258,
  [SMALL_STATE(2175)] = 56277,
  [SMALL_STATE(2176)] = 56294,
  [SMALL_STATE(2177)] = 56311,
  [SMALL_STATE(2178)] = 56328,
  [SMALL_STATE(2179)] = 56351,
  [SMALL_STATE(2180)] = 56368,
  [SMALL_STATE(2181)] = 56385,
  [SMALL_STATE(2182)] = 56406,
  [SMALL_STATE(2183)] = 56419,
  [SMALL_STATE(2184)] = 56432,
  [SMALL_STATE(2185)] = 56453,
  [SMALL_STATE(2186)] = 56470,
  [SMALL_STATE(2187)] = 56487,
  [SMALL_STATE(2188)] = 56504,
  [SMALL_STATE(2189)] = 56521,
  [SMALL_STATE(2190)] = 56538,
  [SMALL_STATE(2191)] = 56555,
  [SMALL_STATE(2192)] = 56572,
  [SMALL_STATE(2193)] = 56589,
  [SMALL_STATE(2194)] = 56602,
  [SMALL_STATE(2195)] = 56615,
  [SMALL_STATE(2196)] = 56628,
  [SMALL_STATE(2197)] = 56649,
  [SMALL_STATE(2198)] = 56662,
  [SMALL_STATE(2199)] = 56679,
  [SMALL_STATE(2200)] = 56696,
  [SMALL_STATE(2201)] = 56709,
  [SMALL_STATE(2202)] = 56726,
  [SMALL_STATE(2203)] = 56739,
  [SMALL_STATE(2204)] = 56752,
  [SMALL_STATE(2205)] = 56773,
  [SMALL_STATE(2206)] = 56790,
  [SMALL_STATE(2207)] = 56813,
  [SMALL_STATE(2208)] = 56834,
  [SMALL_STATE(2209)] = 56851,
  [SMALL_STATE(2210)] = 56870,
  [SMALL_STATE(2211)] = 56887,
  [SMALL_STATE(2212)] = 56900,
  [SMALL_STATE(2213)] = 56917,
  [SMALL_STATE(2214)] = 56934,
  [SMALL_STATE(2215)] = 56951,
  [SMALL_STATE(2216)] = 56964,
  [SMALL_STATE(2217)] = 56977,
  [SMALL_STATE(2218)] = 56994,
  [SMALL_STATE(2219)] = 57011,
  [SMALL_STATE(2220)] = 57034,
  [SMALL_STATE(2221)] = 57055,
  [SMALL_STATE(2222)] = 57072,
  [SMALL_STATE(2223)] = 57091,
  [SMALL_STATE(2224)] = 57104,
  [SMALL_STATE(2225)] = 57121,
  [SMALL_STATE(2226)] = 57142,
  [SMALL_STATE(2227)] = 57159,
  [SMALL_STATE(2228)] = 57176,
  [SMALL_STATE(2229)] = 57189,
  [SMALL_STATE(2230)] = 57206,
  [SMALL_STATE(2231)] = 57227,
  [SMALL_STATE(2232)] = 57244,
  [SMALL_STATE(2233)] = 57261,
  [SMALL_STATE(2234)] = 57278,
  [SMALL_STATE(2235)] = 57295,
  [SMALL_STATE(2236)] = 57312,
  [SMALL_STATE(2237)] = 57329,
  [SMALL_STATE(2238)] = 57346,
  [SMALL_STATE(2239)] = 57363,
  [SMALL_STATE(2240)] = 57380,
  [SMALL_STATE(2241)] = 57397,
  [SMALL_STATE(2242)] = 57420,
  [SMALL_STATE(2243)] = 57437,
  [SMALL_STATE(2244)] = 57450,
  [SMALL_STATE(2245)] = 57470,
  [SMALL_STATE(2246)] = 57490,
  [SMALL_STATE(2247)] = 57510,
  [SMALL_STATE(2248)] = 57530,
  [SMALL_STATE(2249)] = 57550,
  [SMALL_STATE(2250)] = 57570,
  [SMALL_STATE(2251)] = 57590,
  [SMALL_STATE(2252)] = 57610,
  [SMALL_STATE(2253)] = 57630,
  [SMALL_STATE(2254)] = 57650,
  [SMALL_STATE(2255)] = 57670,
  [SMALL_STATE(2256)] = 57684,
  [SMALL_STATE(2257)] = 57702,
  [SMALL_STATE(2258)] = 57722,
  [SMALL_STATE(2259)] = 57742,
  [SMALL_STATE(2260)] = 57762,
  [SMALL_STATE(2261)] = 57782,
  [SMALL_STATE(2262)] = 57802,
  [SMALL_STATE(2263)] = 57822,
  [SMALL_STATE(2264)] = 57842,
  [SMALL_STATE(2265)] = 57860,
  [SMALL_STATE(2266)] = 57878,
  [SMALL_STATE(2267)] = 57898,
  [SMALL_STATE(2268)] = 57918,
  [SMALL_STATE(2269)] = 57938,
  [SMALL_STATE(2270)] = 57954,
  [SMALL_STATE(2271)] = 57970,
  [SMALL_STATE(2272)] = 57990,
  [SMALL_STATE(2273)] = 58010,
  [SMALL_STATE(2274)] = 58030,
  [SMALL_STATE(2275)] = 58050,
  [SMALL_STATE(2276)] = 58070,
  [SMALL_STATE(2277)] = 58090,
  [SMALL_STATE(2278)] = 58110,
  [SMALL_STATE(2279)] = 58130,
  [SMALL_STATE(2280)] = 58150,
  [SMALL_STATE(2281)] = 58168,
  [SMALL_STATE(2282)] = 58188,
  [SMALL_STATE(2283)] = 58208,
  [SMALL_STATE(2284)] = 58224,
  [SMALL_STATE(2285)] = 58238,
  [SMALL_STATE(2286)] = 58258,
  [SMALL_STATE(2287)] = 58278,
  [SMALL_STATE(2288)] = 58294,
  [SMALL_STATE(2289)] = 58310,
  [SMALL_STATE(2290)] = 58330,
  [SMALL_STATE(2291)] = 58346,
  [SMALL_STATE(2292)] = 58366,
  [SMALL_STATE(2293)] = 58382,
  [SMALL_STATE(2294)] = 58402,
  [SMALL_STATE(2295)] = 58422,
  [SMALL_STATE(2296)] = 58438,
  [SMALL_STATE(2297)] = 58454,
  [SMALL_STATE(2298)] = 58474,
  [SMALL_STATE(2299)] = 58492,
  [SMALL_STATE(2300)] = 58506,
  [SMALL_STATE(2301)] = 58526,
  [SMALL_STATE(2302)] = 58546,
  [SMALL_STATE(2303)] = 58566,
  [SMALL_STATE(2304)] = 58586,
  [SMALL_STATE(2305)] = 58606,
  [SMALL_STATE(2306)] = 58626,
  [SMALL_STATE(2307)] = 58646,
  [SMALL_STATE(2308)] = 58662,
  [SMALL_STATE(2309)] = 58682,
  [SMALL_STATE(2310)] = 58696,
  [SMALL_STATE(2311)] = 58716,
  [SMALL_STATE(2312)] = 58734,
  [SMALL_STATE(2313)] = 58750,
  [SMALL_STATE(2314)] = 58766,
  [SMALL_STATE(2315)] = 58786,
  [SMALL_STATE(2316)] = 58806,
  [SMALL_STATE(2317)] = 58826,
  [SMALL_STATE(2318)] = 58842,
  [SMALL_STATE(2319)] = 58858,
  [SMALL_STATE(2320)] = 58878,
  [SMALL_STATE(2321)] = 58894,
  [SMALL_STATE(2322)] = 58910,
  [SMALL_STATE(2323)] = 58930,
  [SMALL_STATE(2324)] = 58950,
  [SMALL_STATE(2325)] = 58970,
  [SMALL_STATE(2326)] = 58990,
  [SMALL_STATE(2327)] = 59008,
  [SMALL_STATE(2328)] = 59024,
  [SMALL_STATE(2329)] = 59038,
  [SMALL_STATE(2330)] = 59058,
  [SMALL_STATE(2331)] = 59078,
  [SMALL_STATE(2332)] = 59094,
  [SMALL_STATE(2333)] = 59114,
  [SMALL_STATE(2334)] = 59134,
  [SMALL_STATE(2335)] = 59154,
  [SMALL_STATE(2336)] = 59174,
  [SMALL_STATE(2337)] = 59194,
  [SMALL_STATE(2338)] = 59210,
  [SMALL_STATE(2339)] = 59230,
  [SMALL_STATE(2340)] = 59250,
  [SMALL_STATE(2341)] = 59267,
  [SMALL_STATE(2342)] = 59284,
  [SMALL_STATE(2343)] = 59301,
  [SMALL_STATE(2344)] = 59318,
  [SMALL_STATE(2345)] = 59329,
  [SMALL_STATE(2346)] = 59346,
  [SMALL_STATE(2347)] = 59361,
  [SMALL_STATE(2348)] = 59378,
  [SMALL_STATE(2349)] = 59391,
  [SMALL_STATE(2350)] = 59402,
  [SMALL_STATE(2351)] = 59417,
  [SMALL_STATE(2352)] = 59432,
  [SMALL_STATE(2353)] = 59449,
  [SMALL_STATE(2354)] = 59464,
  [SMALL_STATE(2355)] = 59475,
  [SMALL_STATE(2356)] = 59492,
  [SMALL_STATE(2357)] = 59509,
  [SMALL_STATE(2358)] = 59524,
  [SMALL_STATE(2359)] = 59539,
  [SMALL_STATE(2360)] = 59550,
  [SMALL_STATE(2361)] = 59567,
  [SMALL_STATE(2362)] = 59584,
  [SMALL_STATE(2363)] = 59601,
  [SMALL_STATE(2364)] = 59616,
  [SMALL_STATE(2365)] = 59633,
  [SMALL_STATE(2366)] = 59644,
  [SMALL_STATE(2367)] = 59659,
  [SMALL_STATE(2368)] = 59672,
  [SMALL_STATE(2369)] = 59683,
  [SMALL_STATE(2370)] = 59700,
  [SMALL_STATE(2371)] = 59715,
  [SMALL_STATE(2372)] = 59730,
  [SMALL_STATE(2373)] = 59747,
  [SMALL_STATE(2374)] = 59760,
  [SMALL_STATE(2375)] = 59775,
  [SMALL_STATE(2376)] = 59792,
  [SMALL_STATE(2377)] = 59809,
  [SMALL_STATE(2378)] = 59826,
  [SMALL_STATE(2379)] = 59839,
  [SMALL_STATE(2380)] = 59854,
  [SMALL_STATE(2381)] = 59867,
  [SMALL_STATE(2382)] = 59884,
  [SMALL_STATE(2383)] = 59901,
  [SMALL_STATE(2384)] = 59914,
  [SMALL_STATE(2385)] = 59931,
  [SMALL_STATE(2386)] = 59944,
  [SMALL_STATE(2387)] = 59961,
  [SMALL_STATE(2388)] = 59976,
  [SMALL_STATE(2389)] = 59993,
  [SMALL_STATE(2390)] = 60010,
  [SMALL_STATE(2391)] = 60027,
  [SMALL_STATE(2392)] = 60038,
  [SMALL_STATE(2393)] = 60055,
  [SMALL_STATE(2394)] = 60066,
  [SMALL_STATE(2395)] = 60081,
  [SMALL_STATE(2396)] = 60098,
  [SMALL_STATE(2397)] = 60115,
  [SMALL_STATE(2398)] = 60130,
  [SMALL_STATE(2399)] = 60145,
  [SMALL_STATE(2400)] = 60160,
  [SMALL_STATE(2401)] = 60177,
  [SMALL_STATE(2402)] = 60194,
  [SMALL_STATE(2403)] = 60209,
  [SMALL_STATE(2404)] = 60224,
  [SMALL_STATE(2405)] = 60241,
  [SMALL_STATE(2406)] = 60258,
  [SMALL_STATE(2407)] = 60275,
  [SMALL_STATE(2408)] = 60292,
  [SMALL_STATE(2409)] = 60307,
  [SMALL_STATE(2410)] = 60324,
  [SMALL_STATE(2411)] = 60341,
  [SMALL_STATE(2412)] = 60358,
  [SMALL_STATE(2413)] = 60369,
  [SMALL_STATE(2414)] = 60386,
  [SMALL_STATE(2415)] = 60403,
  [SMALL_STATE(2416)] = 60420,
  [SMALL_STATE(2417)] = 60437,
  [SMALL_STATE(2418)] = 60454,
  [SMALL_STATE(2419)] = 60467,
  [SMALL_STATE(2420)] = 60481,
  [SMALL_STATE(2421)] = 60495,
  [SMALL_STATE(2422)] = 60509,
  [SMALL_STATE(2423)] = 60523,
  [SMALL_STATE(2424)] = 60537,
  [SMALL_STATE(2425)] = 60549,
  [SMALL_STATE(2426)] = 60563,
  [SMALL_STATE(2427)] = 60577,
  [SMALL_STATE(2428)] = 60591,
  [SMALL_STATE(2429)] = 60605,
  [SMALL_STATE(2430)] = 60619,
  [SMALL_STATE(2431)] = 60631,
  [SMALL_STATE(2432)] = 60645,
  [SMALL_STATE(2433)] = 60659,
  [SMALL_STATE(2434)] = 60673,
  [SMALL_STATE(2435)] = 60687,
  [SMALL_STATE(2436)] = 60701,
  [SMALL_STATE(2437)] = 60715,
  [SMALL_STATE(2438)] = 60727,
  [SMALL_STATE(2439)] = 60741,
  [SMALL_STATE(2440)] = 60755,
  [SMALL_STATE(2441)] = 60769,
  [SMALL_STATE(2442)] = 60783,
  [SMALL_STATE(2443)] = 60797,
  [SMALL_STATE(2444)] = 60811,
  [SMALL_STATE(2445)] = 60825,
  [SMALL_STATE(2446)] = 60839,
  [SMALL_STATE(2447)] = 60853,
  [SMALL_STATE(2448)] = 60867,
  [SMALL_STATE(2449)] = 60881,
  [SMALL_STATE(2450)] = 60895,
  [SMALL_STATE(2451)] = 60909,
  [SMALL_STATE(2452)] = 60923,
  [SMALL_STATE(2453)] = 60937,
  [SMALL_STATE(2454)] = 60951,
  [SMALL_STATE(2455)] = 60965,
  [SMALL_STATE(2456)] = 60979,
  [SMALL_STATE(2457)] = 60993,
  [SMALL_STATE(2458)] = 61007,
  [SMALL_STATE(2459)] = 61021,
  [SMALL_STATE(2460)] = 61035,
  [SMALL_STATE(2461)] = 61049,
  [SMALL_STATE(2462)] = 61063,
  [SMALL_STATE(2463)] = 61077,
  [SMALL_STATE(2464)] = 61087,
  [SMALL_STATE(2465)] = 61101,
  [SMALL_STATE(2466)] = 61115,
  [SMALL_STATE(2467)] = 61129,
  [SMALL_STATE(2468)] = 61143,
  [SMALL_STATE(2469)] = 61153,
  [SMALL_STATE(2470)] = 61167,
  [SMALL_STATE(2471)] = 61181,
  [SMALL_STATE(2472)] = 61195,
  [SMALL_STATE(2473)] = 61209,
  [SMALL_STATE(2474)] = 61223,
  [SMALL_STATE(2475)] = 61237,
  [SMALL_STATE(2476)] = 61251,
  [SMALL_STATE(2477)] = 61265,
  [SMALL_STATE(2478)] = 61279,
  [SMALL_STATE(2479)] = 61293,
  [SMALL_STATE(2480)] = 61307,
  [SMALL_STATE(2481)] = 61321,
  [SMALL_STATE(2482)] = 61335,
  [SMALL_STATE(2483)] = 61349,
  [SMALL_STATE(2484)] = 61363,
  [SMALL_STATE(2485)] = 61377,
  [SMALL_STATE(2486)] = 61391,
  [SMALL_STATE(2487)] = 61405,
  [SMALL_STATE(2488)] = 61419,
  [SMALL_STATE(2489)] = 61433,
  [SMALL_STATE(2490)] = 61447,
  [SMALL_STATE(2491)] = 61461,
  [SMALL_STATE(2492)] = 61475,
  [SMALL_STATE(2493)] = 61489,
  [SMALL_STATE(2494)] = 61503,
  [SMALL_STATE(2495)] = 61517,
  [SMALL_STATE(2496)] = 61531,
  [SMALL_STATE(2497)] = 61545,
  [SMALL_STATE(2498)] = 61559,
  [SMALL_STATE(2499)] = 61573,
  [SMALL_STATE(2500)] = 61587,
  [SMALL_STATE(2501)] = 61601,
  [SMALL_STATE(2502)] = 61615,
  [SMALL_STATE(2503)] = 61625,
  [SMALL_STATE(2504)] = 61639,
  [SMALL_STATE(2505)] = 61653,
  [SMALL_STATE(2506)] = 61667,
  [SMALL_STATE(2507)] = 61681,
  [SMALL_STATE(2508)] = 61695,
  [SMALL_STATE(2509)] = 61707,
  [SMALL_STATE(2510)] = 61721,
  [SMALL_STATE(2511)] = 61731,
  [SMALL_STATE(2512)] = 61741,
  [SMALL_STATE(2513)] = 61755,
  [SMALL_STATE(2514)] = 61765,
  [SMALL_STATE(2515)] = 61779,
  [SMALL_STATE(2516)] = 61793,
  [SMALL_STATE(2517)] = 61807,
  [SMALL_STATE(2518)] = 61821,
  [SMALL_STATE(2519)] = 61835,
  [SMALL_STATE(2520)] = 61849,
  [SMALL_STATE(2521)] = 61863,
  [SMALL_STATE(2522)] = 61877,
  [SMALL_STATE(2523)] = 61887,
  [SMALL_STATE(2524)] = 61901,
  [SMALL_STATE(2525)] = 61915,
  [SMALL_STATE(2526)] = 61929,
  [SMALL_STATE(2527)] = 61943,
  [SMALL_STATE(2528)] = 61957,
  [SMALL_STATE(2529)] = 61971,
  [SMALL_STATE(2530)] = 61985,
  [SMALL_STATE(2531)] = 61999,
  [SMALL_STATE(2532)] = 62011,
  [SMALL_STATE(2533)] = 62025,
  [SMALL_STATE(2534)] = 62039,
  [SMALL_STATE(2535)] = 62051,
  [SMALL_STATE(2536)] = 62065,
  [SMALL_STATE(2537)] = 62079,
  [SMALL_STATE(2538)] = 62093,
  [SMALL_STATE(2539)] = 62103,
  [SMALL_STATE(2540)] = 62117,
  [SMALL_STATE(2541)] = 62131,
  [SMALL_STATE(2542)] = 62145,
  [SMALL_STATE(2543)] = 62159,
  [SMALL_STATE(2544)] = 62173,
  [SMALL_STATE(2545)] = 62187,
  [SMALL_STATE(2546)] = 62201,
  [SMALL_STATE(2547)] = 62215,
  [SMALL_STATE(2548)] = 62229,
  [SMALL_STATE(2549)] = 62243,
  [SMALL_STATE(2550)] = 62255,
  [SMALL_STATE(2551)] = 62269,
  [SMALL_STATE(2552)] = 62283,
  [SMALL_STATE(2553)] = 62297,
  [SMALL_STATE(2554)] = 62311,
  [SMALL_STATE(2555)] = 62325,
  [SMALL_STATE(2556)] = 62339,
  [SMALL_STATE(2557)] = 62353,
  [SMALL_STATE(2558)] = 62367,
  [SMALL_STATE(2559)] = 62381,
  [SMALL_STATE(2560)] = 62395,
  [SMALL_STATE(2561)] = 62409,
  [SMALL_STATE(2562)] = 62421,
  [SMALL_STATE(2563)] = 62435,
  [SMALL_STATE(2564)] = 62449,
  [SMALL_STATE(2565)] = 62463,
  [SMALL_STATE(2566)] = 62477,
  [SMALL_STATE(2567)] = 62491,
  [SMALL_STATE(2568)] = 62503,
  [SMALL_STATE(2569)] = 62517,
  [SMALL_STATE(2570)] = 62531,
  [SMALL_STATE(2571)] = 62545,
  [SMALL_STATE(2572)] = 62559,
  [SMALL_STATE(2573)] = 62573,
  [SMALL_STATE(2574)] = 62587,
  [SMALL_STATE(2575)] = 62601,
  [SMALL_STATE(2576)] = 62613,
  [SMALL_STATE(2577)] = 62627,
  [SMALL_STATE(2578)] = 62641,
  [SMALL_STATE(2579)] = 62651,
  [SMALL_STATE(2580)] = 62665,
  [SMALL_STATE(2581)] = 62679,
  [SMALL_STATE(2582)] = 62693,
  [SMALL_STATE(2583)] = 62707,
  [SMALL_STATE(2584)] = 62721,
  [SMALL_STATE(2585)] = 62735,
  [SMALL_STATE(2586)] = 62749,
  [SMALL_STATE(2587)] = 62763,
  [SMALL_STATE(2588)] = 62777,
  [SMALL_STATE(2589)] = 62791,
  [SMALL_STATE(2590)] = 62805,
  [SMALL_STATE(2591)] = 62819,
  [SMALL_STATE(2592)] = 62833,
  [SMALL_STATE(2593)] = 62847,
  [SMALL_STATE(2594)] = 62861,
  [SMALL_STATE(2595)] = 62875,
  [SMALL_STATE(2596)] = 62889,
  [SMALL_STATE(2597)] = 62903,
  [SMALL_STATE(2598)] = 62915,
  [SMALL_STATE(2599)] = 62929,
  [SMALL_STATE(2600)] = 62943,
  [SMALL_STATE(2601)] = 62957,
  [SMALL_STATE(2602)] = 62971,
  [SMALL_STATE(2603)] = 62985,
  [SMALL_STATE(2604)] = 62999,
  [SMALL_STATE(2605)] = 63009,
  [SMALL_STATE(2606)] = 63023,
  [SMALL_STATE(2607)] = 63037,
  [SMALL_STATE(2608)] = 63051,
  [SMALL_STATE(2609)] = 63065,
  [SMALL_STATE(2610)] = 63079,
  [SMALL_STATE(2611)] = 63093,
  [SMALL_STATE(2612)] = 63107,
  [SMALL_STATE(2613)] = 63121,
  [SMALL_STATE(2614)] = 63135,
  [SMALL_STATE(2615)] = 63149,
  [SMALL_STATE(2616)] = 63163,
  [SMALL_STATE(2617)] = 63177,
  [SMALL_STATE(2618)] = 63191,
  [SMALL_STATE(2619)] = 63205,
  [SMALL_STATE(2620)] = 63219,
  [SMALL_STATE(2621)] = 63229,
  [SMALL_STATE(2622)] = 63239,
  [SMALL_STATE(2623)] = 63253,
  [SMALL_STATE(2624)] = 63267,
  [SMALL_STATE(2625)] = 63281,
  [SMALL_STATE(2626)] = 63295,
  [SMALL_STATE(2627)] = 63306,
  [SMALL_STATE(2628)] = 63317,
  [SMALL_STATE(2629)] = 63328,
  [SMALL_STATE(2630)] = 63339,
  [SMALL_STATE(2631)] = 63350,
  [SMALL_STATE(2632)] = 63361,
  [SMALL_STATE(2633)] = 63372,
  [SMALL_STATE(2634)] = 63383,
  [SMALL_STATE(2635)] = 63394,
  [SMALL_STATE(2636)] = 63405,
  [SMALL_STATE(2637)] = 63416,
  [SMALL_STATE(2638)] = 63427,
  [SMALL_STATE(2639)] = 63438,
  [SMALL_STATE(2640)] = 63449,
  [SMALL_STATE(2641)] = 63460,
  [SMALL_STATE(2642)] = 63471,
  [SMALL_STATE(2643)] = 63482,
  [SMALL_STATE(2644)] = 63493,
  [SMALL_STATE(2645)] = 63504,
  [SMALL_STATE(2646)] = 63515,
  [SMALL_STATE(2647)] = 63524,
  [SMALL_STATE(2648)] = 63535,
  [SMALL_STATE(2649)] = 63546,
  [SMALL_STATE(2650)] = 63557,
  [SMALL_STATE(2651)] = 63568,
  [SMALL_STATE(2652)] = 63579,
  [SMALL_STATE(2653)] = 63590,
  [SMALL_STATE(2654)] = 63601,
  [SMALL_STATE(2655)] = 63612,
  [SMALL_STATE(2656)] = 63623,
  [SMALL_STATE(2657)] = 63634,
  [SMALL_STATE(2658)] = 63645,
  [SMALL_STATE(2659)] = 63656,
  [SMALL_STATE(2660)] = 63667,
  [SMALL_STATE(2661)] = 63678,
  [SMALL_STATE(2662)] = 63689,
  [SMALL_STATE(2663)] = 63700,
  [SMALL_STATE(2664)] = 63711,
  [SMALL_STATE(2665)] = 63722,
  [SMALL_STATE(2666)] = 63733,
  [SMALL_STATE(2667)] = 63744,
  [SMALL_STATE(2668)] = 63753,
  [SMALL_STATE(2669)] = 63764,
  [SMALL_STATE(2670)] = 63775,
  [SMALL_STATE(2671)] = 63784,
  [SMALL_STATE(2672)] = 63795,
  [SMALL_STATE(2673)] = 63806,
  [SMALL_STATE(2674)] = 63817,
  [SMALL_STATE(2675)] = 63828,
  [SMALL_STATE(2676)] = 63839,
  [SMALL_STATE(2677)] = 63848,
  [SMALL_STATE(2678)] = 63857,
  [SMALL_STATE(2679)] = 63868,
  [SMALL_STATE(2680)] = 63877,
  [SMALL_STATE(2681)] = 63888,
  [SMALL_STATE(2682)] = 63899,
  [SMALL_STATE(2683)] = 63908,
  [SMALL_STATE(2684)] = 63917,
  [SMALL_STATE(2685)] = 63928,
  [SMALL_STATE(2686)] = 63939,
  [SMALL_STATE(2687)] = 63948,
  [SMALL_STATE(2688)] = 63957,
  [SMALL_STATE(2689)] = 63966,
  [SMALL_STATE(2690)] = 63977,
  [SMALL_STATE(2691)] = 63988,
  [SMALL_STATE(2692)] = 63999,
  [SMALL_STATE(2693)] = 64008,
  [SMALL_STATE(2694)] = 64019,
  [SMALL_STATE(2695)] = 64030,
  [SMALL_STATE(2696)] = 64041,
  [SMALL_STATE(2697)] = 64052,
  [SMALL_STATE(2698)] = 64063,
  [SMALL_STATE(2699)] = 64074,
  [SMALL_STATE(2700)] = 64085,
  [SMALL_STATE(2701)] = 64096,
  [SMALL_STATE(2702)] = 64105,
  [SMALL_STATE(2703)] = 64114,
  [SMALL_STATE(2704)] = 64125,
  [SMALL_STATE(2705)] = 64136,
  [SMALL_STATE(2706)] = 64147,
  [SMALL_STATE(2707)] = 64158,
  [SMALL_STATE(2708)] = 64169,
  [SMALL_STATE(2709)] = 64180,
  [SMALL_STATE(2710)] = 64191,
  [SMALL_STATE(2711)] = 64202,
  [SMALL_STATE(2712)] = 64213,
  [SMALL_STATE(2713)] = 64222,
  [SMALL_STATE(2714)] = 64233,
  [SMALL_STATE(2715)] = 64242,
  [SMALL_STATE(2716)] = 64253,
  [SMALL_STATE(2717)] = 64264,
  [SMALL_STATE(2718)] = 64275,
  [SMALL_STATE(2719)] = 64286,
  [SMALL_STATE(2720)] = 64297,
  [SMALL_STATE(2721)] = 64308,
  [SMALL_STATE(2722)] = 64319,
  [SMALL_STATE(2723)] = 64330,
  [SMALL_STATE(2724)] = 64341,
  [SMALL_STATE(2725)] = 64352,
  [SMALL_STATE(2726)] = 64363,
  [SMALL_STATE(2727)] = 64374,
  [SMALL_STATE(2728)] = 64383,
  [SMALL_STATE(2729)] = 64394,
  [SMALL_STATE(2730)] = 64405,
  [SMALL_STATE(2731)] = 64414,
  [SMALL_STATE(2732)] = 64425,
  [SMALL_STATE(2733)] = 64436,
  [SMALL_STATE(2734)] = 64447,
  [SMALL_STATE(2735)] = 64456,
  [SMALL_STATE(2736)] = 64465,
  [SMALL_STATE(2737)] = 64476,
  [SMALL_STATE(2738)] = 64487,
  [SMALL_STATE(2739)] = 64498,
  [SMALL_STATE(2740)] = 64509,
  [SMALL_STATE(2741)] = 64518,
  [SMALL_STATE(2742)] = 64529,
  [SMALL_STATE(2743)] = 64540,
  [SMALL_STATE(2744)] = 64551,
  [SMALL_STATE(2745)] = 64562,
  [SMALL_STATE(2746)] = 64571,
  [SMALL_STATE(2747)] = 64582,
  [SMALL_STATE(2748)] = 64593,
  [SMALL_STATE(2749)] = 64604,
  [SMALL_STATE(2750)] = 64615,
  [SMALL_STATE(2751)] = 64624,
  [SMALL_STATE(2752)] = 64635,
  [SMALL_STATE(2753)] = 64646,
  [SMALL_STATE(2754)] = 64657,
  [SMALL_STATE(2755)] = 64668,
  [SMALL_STATE(2756)] = 64677,
  [SMALL_STATE(2757)] = 64686,
  [SMALL_STATE(2758)] = 64697,
  [SMALL_STATE(2759)] = 64708,
  [SMALL_STATE(2760)] = 64719,
  [SMALL_STATE(2761)] = 64730,
  [SMALL_STATE(2762)] = 64741,
  [SMALL_STATE(2763)] = 64752,
  [SMALL_STATE(2764)] = 64761,
  [SMALL_STATE(2765)] = 64770,
  [SMALL_STATE(2766)] = 64781,
  [SMALL_STATE(2767)] = 64792,
  [SMALL_STATE(2768)] = 64803,
  [SMALL_STATE(2769)] = 64814,
  [SMALL_STATE(2770)] = 64825,
  [SMALL_STATE(2771)] = 64836,
  [SMALL_STATE(2772)] = 64847,
  [SMALL_STATE(2773)] = 64856,
  [SMALL_STATE(2774)] = 64867,
  [SMALL_STATE(2775)] = 64876,
  [SMALL_STATE(2776)] = 64887,
  [SMALL_STATE(2777)] = 64896,
  [SMALL_STATE(2778)] = 64907,
  [SMALL_STATE(2779)] = 64916,
  [SMALL_STATE(2780)] = 64927,
  [SMALL_STATE(2781)] = 64936,
  [SMALL_STATE(2782)] = 64945,
  [SMALL_STATE(2783)] = 64954,
  [SMALL_STATE(2784)] = 64965,
  [SMALL_STATE(2785)] = 64976,
  [SMALL_STATE(2786)] = 64987,
  [SMALL_STATE(2787)] = 64998,
  [SMALL_STATE(2788)] = 65009,
  [SMALL_STATE(2789)] = 65020,
  [SMALL_STATE(2790)] = 65031,
  [SMALL_STATE(2791)] = 65042,
  [SMALL_STATE(2792)] = 65051,
  [SMALL_STATE(2793)] = 65060,
  [SMALL_STATE(2794)] = 65071,
  [SMALL_STATE(2795)] = 65082,
  [SMALL_STATE(2796)] = 65093,
  [SMALL_STATE(2797)] = 65104,
  [SMALL_STATE(2798)] = 65113,
  [SMALL_STATE(2799)] = 65124,
  [SMALL_STATE(2800)] = 65135,
  [SMALL_STATE(2801)] = 65146,
  [SMALL_STATE(2802)] = 65157,
  [SMALL_STATE(2803)] = 65166,
  [SMALL_STATE(2804)] = 65177,
  [SMALL_STATE(2805)] = 65186,
  [SMALL_STATE(2806)] = 65197,
  [SMALL_STATE(2807)] = 65205,
  [SMALL_STATE(2808)] = 65213,
  [SMALL_STATE(2809)] = 65221,
  [SMALL_STATE(2810)] = 65229,
  [SMALL_STATE(2811)] = 65237,
  [SMALL_STATE(2812)] = 65245,
  [SMALL_STATE(2813)] = 65253,
  [SMALL_STATE(2814)] = 65261,
  [SMALL_STATE(2815)] = 65269,
  [SMALL_STATE(2816)] = 65277,
  [SMALL_STATE(2817)] = 65285,
  [SMALL_STATE(2818)] = 65293,
  [SMALL_STATE(2819)] = 65301,
  [SMALL_STATE(2820)] = 65309,
  [SMALL_STATE(2821)] = 65317,
  [SMALL_STATE(2822)] = 65325,
  [SMALL_STATE(2823)] = 65333,
  [SMALL_STATE(2824)] = 65341,
  [SMALL_STATE(2825)] = 65349,
  [SMALL_STATE(2826)] = 65357,
  [SMALL_STATE(2827)] = 65365,
  [SMALL_STATE(2828)] = 65373,
  [SMALL_STATE(2829)] = 65381,
  [SMALL_STATE(2830)] = 65389,
  [SMALL_STATE(2831)] = 65397,
  [SMALL_STATE(2832)] = 65405,
  [SMALL_STATE(2833)] = 65413,
  [SMALL_STATE(2834)] = 65421,
  [SMALL_STATE(2835)] = 65429,
  [SMALL_STATE(2836)] = 65437,
  [SMALL_STATE(2837)] = 65445,
  [SMALL_STATE(2838)] = 65453,
  [SMALL_STATE(2839)] = 65461,
  [SMALL_STATE(2840)] = 65469,
  [SMALL_STATE(2841)] = 65477,
  [SMALL_STATE(2842)] = 65485,
  [SMALL_STATE(2843)] = 65493,
  [SMALL_STATE(2844)] = 65501,
  [SMALL_STATE(2845)] = 65509,
  [SMALL_STATE(2846)] = 65517,
  [SMALL_STATE(2847)] = 65525,
  [SMALL_STATE(2848)] = 65533,
  [SMALL_STATE(2849)] = 65541,
  [SMALL_STATE(2850)] = 65549,
  [SMALL_STATE(2851)] = 65557,
  [SMALL_STATE(2852)] = 65565,
  [SMALL_STATE(2853)] = 65573,
  [SMALL_STATE(2854)] = 65581,
  [SMALL_STATE(2855)] = 65589,
  [SMALL_STATE(2856)] = 65597,
  [SMALL_STATE(2857)] = 65605,
  [SMALL_STATE(2858)] = 65613,
  [SMALL_STATE(2859)] = 65621,
  [SMALL_STATE(2860)] = 65629,
  [SMALL_STATE(2861)] = 65637,
  [SMALL_STATE(2862)] = 65645,
  [SMALL_STATE(2863)] = 65653,
  [SMALL_STATE(2864)] = 65661,
  [SMALL_STATE(2865)] = 65669,
  [SMALL_STATE(2866)] = 65677,
  [SMALL_STATE(2867)] = 65685,
  [SMALL_STATE(2868)] = 65693,
  [SMALL_STATE(2869)] = 65701,
  [SMALL_STATE(2870)] = 65709,
  [SMALL_STATE(2871)] = 65717,
  [SMALL_STATE(2872)] = 65725,
  [SMALL_STATE(2873)] = 65733,
  [SMALL_STATE(2874)] = 65741,
  [SMALL_STATE(2875)] = 65749,
  [SMALL_STATE(2876)] = 65757,
  [SMALL_STATE(2877)] = 65765,
  [SMALL_STATE(2878)] = 65773,
  [SMALL_STATE(2879)] = 65781,
  [SMALL_STATE(2880)] = 65789,
  [SMALL_STATE(2881)] = 65797,
  [SMALL_STATE(2882)] = 65805,
  [SMALL_STATE(2883)] = 65813,
  [SMALL_STATE(2884)] = 65821,
  [SMALL_STATE(2885)] = 65829,
  [SMALL_STATE(2886)] = 65837,
  [SMALL_STATE(2887)] = 65845,
  [SMALL_STATE(2888)] = 65853,
  [SMALL_STATE(2889)] = 65861,
  [SMALL_STATE(2890)] = 65869,
  [SMALL_STATE(2891)] = 65877,
  [SMALL_STATE(2892)] = 65885,
  [SMALL_STATE(2893)] = 65893,
  [SMALL_STATE(2894)] = 65901,
  [SMALL_STATE(2895)] = 65909,
  [SMALL_STATE(2896)] = 65917,
  [SMALL_STATE(2897)] = 65925,
  [SMALL_STATE(2898)] = 65933,
  [SMALL_STATE(2899)] = 65941,
  [SMALL_STATE(2900)] = 65949,
  [SMALL_STATE(2901)] = 65957,
  [SMALL_STATE(2902)] = 65965,
  [SMALL_STATE(2903)] = 65973,
  [SMALL_STATE(2904)] = 65981,
  [SMALL_STATE(2905)] = 65989,
  [SMALL_STATE(2906)] = 65997,
  [SMALL_STATE(2907)] = 66005,
  [SMALL_STATE(2908)] = 66013,
  [SMALL_STATE(2909)] = 66021,
  [SMALL_STATE(2910)] = 66029,
  [SMALL_STATE(2911)] = 66037,
  [SMALL_STATE(2912)] = 66045,
  [SMALL_STATE(2913)] = 66053,
  [SMALL_STATE(2914)] = 66061,
  [SMALL_STATE(2915)] = 66069,
  [SMALL_STATE(2916)] = 66077,
  [SMALL_STATE(2917)] = 66085,
  [SMALL_STATE(2918)] = 66093,
  [SMALL_STATE(2919)] = 66101,
  [SMALL_STATE(2920)] = 66109,
  [SMALL_STATE(2921)] = 66117,
  [SMALL_STATE(2922)] = 66125,
  [SMALL_STATE(2923)] = 66133,
  [SMALL_STATE(2924)] = 66141,
  [SMALL_STATE(2925)] = 66149,
  [SMALL_STATE(2926)] = 66157,
  [SMALL_STATE(2927)] = 66165,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 0, 0, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1146),
  [11] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1146),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2220),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2056),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2054),
  [19] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2123),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(690),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1278),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1831),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2838),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2779),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1972),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2720),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2394),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2402),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1305),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(733),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2352),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2787),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2884),
  [71] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2080),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1049),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1035),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1045),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2075),
  [81] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2037),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2879),
  [85] = {.entry = {.count = 1, .reusable = false}}, SHIFT(539),
  [87] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1278),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1051),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2868),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2873),
  [95] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1796),
  [97] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1788),
  [99] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1811),
  [101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1986),
  [103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1140),
  [105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2644),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 1, 0, 0),
  [111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_program, 2, 0, 0),
  [113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0),
  [115] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1010),
  [118] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1146),
  [121] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1146),
  [124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2220),
  [127] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2056),
  [130] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2054),
  [133] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(214),
  [136] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2123),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(690),
  [142] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1278),
  [145] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(600),
  [148] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(690),
  [151] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(790),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1831),
  [157] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(546),
  [160] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2838),
  [163] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2779),
  [166] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(17),
  [169] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [172] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(939),
  [175] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(749),
  [178] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(68),
  [181] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2720),
  [184] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2394),
  [187] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2402),
  [190] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(556),
  [193] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(156),
  [196] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1305),
  [199] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(733),
  [202] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2352),
  [205] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2787),
  [208] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2884),
  [211] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2080),
  [214] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1049),
  [217] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1035),
  [220] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1045),
  [223] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2075),
  [226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2037),
  [229] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2879),
  [232] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(539),
  [235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1278),
  [238] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1051),
  [241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [244] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [247] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1796),
  [250] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1788),
  [253] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1811),
  [256] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1986),
  [259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(1140),
  [262] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_program_repeat1, 2, 0, 0), SHIFT_REPEAT(2644),
  [265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__reserved_identifier, 1, 0, 2),
  [267] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1094),
  [269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2056),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2054),
  [273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__reserved_identifier, 1, 0, 2),
  [275] = {.entry = {.count = 1, .reusable = false}}, SHIFT(214),
  [277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [279] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [281] = {.entry = {.count = 1, .reusable = false}}, SHIFT(546),
  [283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2709),
  [285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(32),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2093),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2638),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(842),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(480),
  [297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2817),
  [299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2636),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2637),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2917),
  [307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2006),
  [311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1592),
  [313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2846),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1569),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2851),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1603),
  [325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block_statement_group, 1, 0, 0),
  [329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block_statement_group, 1, 0, 0),
  [333] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1428),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1754),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1429),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2345),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(943),
  [343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1457),
  [345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1441),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1431),
  [355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(943),
  [370] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(1146),
  [373] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(1146),
  [376] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(2220),
  [379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(2056),
  [382] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(2054),
  [385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0),
  [387] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(214),
  [390] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(690),
  [393] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(1278),
  [396] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(600),
  [399] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(690),
  [402] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(790),
  [405] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(1831),
  [408] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(546),
  [411] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(2838),
  [414] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(2779),
  [417] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(18),
  [420] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(1972),
  [423] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(939),
  [426] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(749),
  [429] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(68),
  [432] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(2636),
  [435] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(2394),
  [438] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(2402),
  [441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(556),
  [444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(156),
  [447] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(1305),
  [450] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(733),
  [453] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(2352),
  [456] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(2637),
  [459] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(2917),
  [462] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(2080),
  [465] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(1049),
  [468] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(1035),
  [471] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(1045),
  [474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(2075),
  [477] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(2037),
  [480] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(2879),
  [483] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(167),
  [486] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(1278),
  [489] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(1051),
  [492] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [495] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [498] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(1796),
  [501] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(1788),
  [504] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(1811),
  [507] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(2006),
  [510] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(1140),
  [513] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_closure_repeat1, 2, 0, 0), SHIFT_REPEAT(2644),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1356),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1130),
  [522] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1050),
  [525] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1146),
  [528] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1146),
  [531] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(2220),
  [534] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(2056),
  [537] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(2054),
  [540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0),
  [542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(214),
  [545] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(690),
  [548] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1278),
  [551] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(600),
  [554] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(690),
  [557] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(790),
  [560] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1831),
  [563] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(546),
  [566] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(2838),
  [569] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(2779),
  [572] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(18),
  [575] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0),
  [577] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1972),
  [580] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(939),
  [583] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(749),
  [586] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(68),
  [589] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(2636),
  [592] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(2394),
  [595] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(2402),
  [598] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(556),
  [601] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(156),
  [604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1305),
  [607] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(733),
  [610] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(2352),
  [613] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(2637),
  [616] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(2917),
  [619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(2080),
  [622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1049),
  [625] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1035),
  [628] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1045),
  [631] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(2075),
  [634] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(2037),
  [637] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(2879),
  [640] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(167),
  [643] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1278),
  [646] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1051),
  [649] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(2868),
  [652] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(2873),
  [655] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1796),
  [658] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1788),
  [661] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1811),
  [664] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(2006),
  [667] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(1140),
  [670] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 2, 0, 0), SHIFT_REPEAT(2638),
  [673] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block_statement_group, 2, 0, 0),
  [675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block_statement_group, 2, 0, 0),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1330),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1493),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1451),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1445),
  [695] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [697] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1043),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [701] = {.entry = {.count = 1, .reusable = false}}, SHIFT(802),
  [703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2710),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1332),
  [715] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2386),
  [717] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2749),
  [719] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2923),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [727] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2172),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2040),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2041),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(659),
  [743] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1839),
  [745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [749] = {.entry = {.count = 1, .reusable = false}}, SHIFT(6),
  [751] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [753] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [755] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [761] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2705),
  [763] = {.entry = {.count = 1, .reusable = false}}, SHIFT(157),
  [765] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1046),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [769] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__unannotated_type, 1, 0, 3),
  [772] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [774] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(561),
  [777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(734),
  [779] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(1754),
  [782] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(611),
  [785] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_declarator_id, 1, 0, 1),
  [787] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [789] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__unannotated_type, 1, 0, 3), SHIFT(2889),
  [793] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__unannotated_type, 1, 0, 3), SHIFT(2218),
  [797] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(27),
  [800] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__variable_declarator_id, 1, 0, 1),
  [803] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__variable_declarator_id, 1, 0, 1),
  [806] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__unannotated_type, 1, 0, 3), SHIFT(2081),
  [810] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0),
  [812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [814] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(2889),
  [817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(2081),
  [820] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2525),
  [822] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1087),
  [824] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_access, 3, 0, 33),
  [826] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_access, 3, 0, 33),
  [828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_access, 3, 0, 33), SHIFT(561),
  [831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_access, 3, 0, 33), SHIFT(27),
  [834] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_access, 5, 0, 113),
  [836] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_access, 5, 0, 113),
  [838] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_access, 5, 0, 113), SHIFT(561),
  [841] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_access, 5, 0, 113), SHIFT(27),
  [844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2079),
  [846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2340),
  [850] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_access, 4, 0, 81),
  [852] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_access, 4, 0, 81),
  [854] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(553),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(794),
  [859] = {.entry = {.count = 1, .reusable = true}}, SHIFT(794),
  [861] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(590),
  [864] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__unannotated_type, 1, 0, 3),
  [867] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(24),
  [870] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_field_access, 3, 0, 33), SHIFT(553),
  [873] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_field_access, 3, 0, 33), SHIFT(24),
  [876] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_field_access, 5, 0, 113), SHIFT(553),
  [879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_field_access, 5, 0, 113), SHIFT(24),
  [882] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 23),
  [884] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 23),
  [886] = {.entry = {.count = 1, .reusable = false}}, SHIFT(622),
  [888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2081),
  [890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 63),
  [892] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 63),
  [894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 3, 0, 25),
  [896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 3, 0, 25),
  [898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 65),
  [900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 65),
  [902] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2, 0, 0),
  [904] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2, 0, 0),
  [906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2, 0, 0), SHIFT_REPEAT(752),
  [909] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2, 0, 0), SHIFT_REPEAT(2081),
  [912] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dimensions, 1, 0, 0),
  [914] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dimensions, 1, 0, 0),
  [916] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2890),
  [918] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0),
  [920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0),
  [922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0), SHIFT_REPEAT(2890),
  [925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0), SHIFT_REPEAT(2081),
  [928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(626),
  [930] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1048),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1354),
  [934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1354),
  [936] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2225),
  [938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2030),
  [940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2031),
  [942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [944] = {.entry = {.count = 1, .reusable = false}}, SHIFT(706),
  [946] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1410),
  [948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(601),
  [950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [954] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1817),
  [956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [958] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2635),
  [960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [962] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1932),
  [964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2076),
  [968] = {.entry = {.count = 1, .reusable = false}}, SHIFT(920),
  [970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1410),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2008),
  [974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1358),
  [976] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2751),
  [978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__type, 1, 0, 0),
  [982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__type, 1, 0, 0),
  [984] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(2890),
  [987] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__type, 1, 0, 0), SHIFT(2081),
  [990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotated_type, 2, 0, 0),
  [992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotated_type, 2, 0, 0),
  [994] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_annotated_type, 2, 0, 0), SHIFT(2890),
  [997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_annotated_type, 2, 0, 0), SHIFT(2081),
  [1000] = {.entry = {.count = 1, .reusable = true}}, SHIFT(651),
  [1002] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2, 0, 0), SHIFT_REPEAT(760),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2920),
  [1007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0), SHIFT_REPEAT(2920),
  [1010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1061),
  [1012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2354),
  [1014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1604),
  [1016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [1018] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1604),
  [1020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 95),
  [1022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 95),
  [1024] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1064),
  [1026] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 5, 0, 115),
  [1028] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 5, 0, 115),
  [1030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(27),
  [1032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 127),
  [1034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 127),
  [1036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 128),
  [1038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 128),
  [1040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 6, 0, 146),
  [1042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 6, 0, 146),
  [1044] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 96),
  [1046] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 96),
  [1048] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 7, 0, 177),
  [1050] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 7, 0, 177),
  [1052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1060),
  [1054] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_annotated_type, 2, 0, 0), SHIFT(2920),
  [1057] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__type, 1, 0, 0), SHIFT(2920),
  [1060] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 2, 0, 11),
  [1062] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 2, 0, 11),
  [1064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 3, 0, 22),
  [1066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 3, 0, 22),
  [1068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 3, 0, 24),
  [1070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 3, 0, 24),
  [1072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unannotated_type, 1, 0, 3),
  [1074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 3),
  [1076] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 3), SHIFT(1712),
  [1079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 3), SHIFT(1755),
  [1082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2185),
  [1084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 60),
  [1086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 60),
  [1088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 61),
  [1090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 61),
  [1092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 62),
  [1094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 62),
  [1096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 64),
  [1098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 64),
  [1100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 4, 0, 75),
  [1102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 4, 0, 75),
  [1104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 89),
  [1106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 89),
  [1108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 90),
  [1110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 90),
  [1112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 6, 0, 147),
  [1114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 6, 0, 147),
  [1116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 2, 0, 0),
  [1118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 2, 0, 0),
  [1120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal, 3, 0, 0),
  [1122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal, 3, 0, 0),
  [1124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiline_string_literal, 3, 0, 0),
  [1126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiline_string_literal, 3, 0, 0),
  [1128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3, 0, 0),
  [1132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 90),
  [1134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 90),
  [1136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 3, 0, 0),
  [1138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 3, 0, 0),
  [1140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_literal, 3, 0, 0),
  [1142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_literal, 3, 0, 0),
  [1144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unannotated_type, 1, 0, 0),
  [1146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 0),
  [1148] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 0), SHIFT(1712),
  [1151] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2186),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 4, 0, 0),
  [1155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 4, 0, 0),
  [1157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_literal, 4, 0, 0),
  [1159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_literal, 4, 0, 0),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 2, 0, 0),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 2, 0, 0),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 3, 0, 0),
  [1167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_dimensions_repeat1, 3, 0, 0),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_literal, 5, 0, 0),
  [1171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_literal, 5, 0, 0),
  [1173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_literal, 5, 0, 0),
  [1175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_literal, 5, 0, 0),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_body, 3, 0, 0),
  [1179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_body, 3, 0, 0),
  [1181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 95),
  [1183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 95),
  [1185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 96),
  [1187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 96),
  [1189] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 0), SHIFT(1755),
  [1192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 5, 0, 116),
  [1194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 5, 0, 116),
  [1196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 1, 0, 4),
  [1198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 1, 0, 4),
  [1200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0),
  [1202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0),
  [1204] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(793),
  [1207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1858),
  [1209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2350),
  [1211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4, 0, 0),
  [1213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4, 0, 0),
  [1215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_initializer, 3, 0, 0),
  [1217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_initializer, 3, 0, 0),
  [1219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 2, 0, 12),
  [1221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 2, 0, 12),
  [1223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_closure, 2, 0, 0),
  [1225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_closure, 2, 0, 0),
  [1227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dimensions_expr, 4, 0, 0),
  [1229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dimensions_expr, 4, 0, 0),
  [1231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 6, 0, 148),
  [1233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 6, 0, 148),
  [1235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 5, 0, 114),
  [1237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 5, 0, 114),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_reference, 3, 0, 0),
  [1241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_reference, 3, 0, 0),
  [1243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0),
  [1245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 3, 0, 37),
  [1249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 3, 0, 37),
  [1251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5, 0, 0),
  [1253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5, 0, 0),
  [1255] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_template_expression, 3, 0, 41),
  [1257] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_template_expression, 3, 0, 41),
  [1259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_initializer, 4, 0, 0),
  [1261] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_initializer, 4, 0, 0),
  [1263] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_object_creation_expression, 3, 0, 42),
  [1265] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_object_creation_expression, 3, 0, 42),
  [1267] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_literal, 3, 17, 0),
  [1269] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_literal, 3, 17, 0),
  [1271] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 4, 0, 53),
  [1273] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 4, 0, 53),
  [1275] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 22),
  [1277] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 22),
  [1279] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 56),
  [1281] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 56),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 57),
  [1285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 57),
  [1287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 24),
  [1289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 4, 0, 24),
  [1291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 58),
  [1293] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 58),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 4, 0, 59),
  [1297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 4, 0, 59),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 7, 0, 127),
  [1301] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 7, 0, 127),
  [1303] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 7, 0, 128),
  [1305] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 7, 0, 128),
  [1307] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 7, 0, 176),
  [1309] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 7, 0, 176),
  [1311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 89),
  [1313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 6, 0, 89),
  [1315] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_closure, 4, 0, 0),
  [1317] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_closure, 4, 0, 0),
  [1319] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 7, 0, 178),
  [1321] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 7, 0, 178),
  [1323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 4, 0, 76),
  [1325] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 4, 0, 76),
  [1327] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_reference, 4, 0, 0),
  [1329] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_reference, 4, 0, 0),
  [1331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3, 0, 0),
  [1333] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3, 0, 0),
  [1335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 5, 0, 88),
  [1337] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 5, 0, 88),
  [1339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1855),
  [1341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dimensions_expr, 3, 0, 0),
  [1343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dimensions_expr, 3, 0, 0),
  [1345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_initializer, 2, 0, 0),
  [1347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_initializer, 2, 0, 0),
  [1349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_initializer, 5, 0, 0),
  [1351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_initializer, 5, 0, 0),
  [1353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 60),
  [1355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 60),
  [1357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 61),
  [1359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 61),
  [1361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_invocation, 8, 0, 198),
  [1363] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_invocation, 8, 0, 198),
  [1365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__literal, 1, 0, 0),
  [1367] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__literal, 1, 0, 0),
  [1369] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 62),
  [1371] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 62),
  [1373] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 91),
  [1375] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 91),
  [1377] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 92),
  [1379] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 92),
  [1381] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_literal, 1, 0, 0),
  [1383] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_literal, 1, 0, 0),
  [1385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 64),
  [1387] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__unqualified_object_creation_expression, 5, 0, 64),
  [1389] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 93),
  [1391] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 93),
  [1393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__string_literal, 2, 0, 0),
  [1395] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__string_literal, 2, 0, 0),
  [1397] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__multiline_string_literal, 2, 0, 0),
  [1399] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiline_string_literal, 2, 0, 0),
  [1401] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_creation_expression, 5, 0, 94),
  [1403] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_creation_expression, 5, 0, 94),
  [1405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_closure, 3, 0, 0),
  [1407] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_closure, 3, 0, 0),
  [1409] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 10, 3),
  [1411] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 10, 3),
  [1413] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [1415] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, 0, 0),
  [1417] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [1419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, 0, 0),
  [1421] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, 10, 0),
  [1423] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, 10, 0),
  [1425] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 3, 0, 51),
  [1427] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 3, 0, 51),
  [1429] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expression, 3, 0, 27),
  [1431] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_expression, 3, 0, 27),
  [1433] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 4, 0, 77),
  [1435] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 4, 0, 77),
  [1437] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 3, 0, 39),
  [1439] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instanceof_expression, 3, 0, 39), SHIFT(399),
  [1442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 3, 0, 39),
  [1444] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instanceof_expression, 3, 0, 39), SHIFT(264),
  [1447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 4, 0, 87),
  [1449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 4, 0, 87),
  [1451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_type_identifier, 3, 0, 36),
  [1453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_type_identifier, 3, 0, 36),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 3, 0, 0),
  [1459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 2, 0, 0),
  [1461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 2, 0, 0),
  [1463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_block, 2, 0, 0),
  [1467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 4, 0, 79),
  [1469] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instanceof_expression, 4, 0, 79), SHIFT(365),
  [1472] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 4, 0, 79),
  [1474] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instanceof_expression, 4, 0, 79), SHIFT(264),
  [1477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_integral_type, 1, 0, 0),
  [1479] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_integral_type, 1, 0, 0),
  [1481] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_body, 3, 0, 0),
  [1483] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern_body, 3, 0, 0),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1065),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1489] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 2, 0, 15),
  [1491] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 2, 0, 15),
  [1493] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__unannotated_type, 1, 0, 3), SHIFT(1695),
  [1496] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 3), SHIFT(1751),
  [1499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2189),
  [1501] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_floating_point_type, 1, 0, 0),
  [1503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_floating_point_type, 1, 0, 0),
  [1505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3, 0, 0),
  [1507] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3, 0, 0),
  [1509] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, 0, 7),
  [1511] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, 0, 7),
  [1513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(744),
  [1515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 2, 0, 8),
  [1517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 2, 0, 8),
  [1519] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [1521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(829),
  [1523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [1525] = {.entry = {.count = 1, .reusable = false}}, SHIFT(737),
  [1527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(738),
  [1529] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [1533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(741),
  [1535] = {.entry = {.count = 1, .reusable = false}}, SHIFT(742),
  [1537] = {.entry = {.count = 1, .reusable = false}}, SHIFT(743),
  [1539] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1500),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(792),
  [1543] = {.entry = {.count = 1, .reusable = false}}, SHIFT(369),
  [1545] = {.entry = {.count = 1, .reusable = false}}, SHIFT(745),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 5, 0, 117),
  [1549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 5, 0, 117),
  [1551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_update_expression, 2, 0, 0),
  [1553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_update_expression, 2, 0, 0),
  [1555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_expression, 3, 0, 34),
  [1557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_expression, 3, 0, 34),
  [1559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_lambda_expression, 3, 0, 35),
  [1561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_lambda_expression, 3, 0, 35),
  [1563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, 0, 34),
  [1565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, 0, 34),
  [1567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 3, 0, 38),
  [1569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 3, 0, 38),
  [1571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range_expression, 3, 0, 40),
  [1573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range_expression, 3, 0, 40),
  [1575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_body, 2, 0, 0),
  [1577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern_body, 2, 0, 0),
  [1579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 4, 0, 78),
  [1581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 4, 0, 78),
  [1583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern, 2, 0, 0),
  [1585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern, 2, 0, 0),
  [1587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_instanceof_expression, 4, 0, 80),
  [1589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_instanceof_expression, 4, 0, 80),
  [1591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ternary_expression, 5, 0, 118),
  [1593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_ternary_expression, 5, 0, 118),
  [1595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_body, 4, 0, 0),
  [1597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_pattern_body, 4, 0, 0),
  [1599] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__unannotated_type, 1, 0, 0), SHIFT(1695),
  [1602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2190),
  [1604] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [1607] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2, 0, 0),
  [1609] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 0), SHIFT(1751),
  [1612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2, 0, 0),
  [1614] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_statement, 1, 0, 0),
  [1616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1865),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2408),
  [1620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1868),
  [1622] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, 0, 30),
  [1624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(879),
  [1626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(879),
  [1628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(69),
  [1630] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), SHIFT(796),
  [1633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_statement, 1, 0, 0),
  [1635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instanceof_expression, 4, 0, 79), SHIFT(525),
  [1638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instanceof_expression, 4, 0, 79), SHIFT(430),
  [1641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, 0, 30),
  [1643] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [1645] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_expression, 1, 0, 0), REDUCE(sym_statement, 1, 0, 0),
  [1648] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instanceof_expression, 3, 0, 39), SHIFT(496),
  [1651] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_instanceof_expression, 3, 0, 39), SHIFT(430),
  [1654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_item, 5, 0, 129),
  [1656] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_item, 5, 0, 129),
  [1658] = {.entry = {.count = 1, .reusable = false}}, SHIFT(797),
  [1660] = {.entry = {.count = 1, .reusable = false}}, SHIFT(798),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [1666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [1668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [1670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [1672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(815),
  [1674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(816),
  [1676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [1682] = {.entry = {.count = 1, .reusable = false}}, SHIFT(820),
  [1684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(660),
  [1686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1503),
  [1688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(795),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [1694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_item, 3, 0, 66),
  [1696] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_item, 3, 0, 66),
  [1698] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1082),
  [1700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1509),
  [1704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2911),
  [1706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2792),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2093),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1453),
  [1712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1444),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1861),
  [1722] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1119),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2848),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1169),
  [1728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1086),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2822),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2368),
  [1740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1078),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2866),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1149),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [1750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2852),
  [1752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2833),
  [1756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2412),
  [1758] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [1760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(988),
  [1762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1117),
  [1764] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2870),
  [1766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1325),
  [1768] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2854),
  [1770] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1341),
  [1772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2816),
  [1774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [1776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2824),
  [1780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1080),
  [1782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(747),
  [1786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [1790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [1792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [1794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(463),
  [1798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [1800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [1802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1326),
  [1804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [1806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1124),
  [1808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [1810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [1812] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1339),
  [1816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(439),
  [1818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1181),
  [1820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1364),
  [1824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [1826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(173),
  [1828] = {.entry = {.count = 1, .reusable = false}}, SHIFT(351),
  [1830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [1832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2157),
  [1834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2038),
  [1836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2039),
  [1838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1840] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [1842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [1844] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [1846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [1848] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1843),
  [1850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [1852] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2741),
  [1854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1856] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [1858] = {.entry = {.count = 1, .reusable = false}}, SHIFT(422),
  [1860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2698),
  [1862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1864] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1866] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [1868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(14),
  [1872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [1876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [1880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1764),
  [1882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1141),
  [1884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [1886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [1890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [1892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [1894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [1896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [1898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1385),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1235),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1236),
  [1910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [1912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1758),
  [1914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [1916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [1928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [1934] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1093),
  [1936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [1938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [1946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [1948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [1950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [1956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1964] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1968] = {.entry = {.count = 1, .reusable = true}}, SHIFT(583),
  [1970] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [1972] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [1974] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(641),
  [1978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [1980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(644),
  [1982] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1984] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [1986] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [1988] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 3, 0, 8),
  [1990] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 3, 0, 8),
  [1992] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2887),
  [1994] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2786),
  [1996] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_with_resources_statement, 3, 0, 29),
  [1998] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_with_resources_statement, 3, 0, 29),
  [2000] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_with_resources_statement, 4, 0, 29),
  [2002] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_with_resources_statement, 4, 0, 29),
  [2004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [2006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0),
  [2008] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2887),
  [2011] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_clause, 5, 0, 164),
  [2013] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_clause, 5, 0, 164),
  [2015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1862),
  [2017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [2019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2909),
  [2021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1833),
  [2023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2821),
  [2025] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__juxt_argument_list, 1, 0, 0),
  [2027] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__juxt_argument_list, 1, 0, 0),
  [2029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1789),
  [2031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [2033] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 6, 0, 0),
  [2035] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 6, 0, 0),
  [2037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 140),
  [2039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 140),
  [2041] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__unannotated_type, 1, 0, 3), REDUCE(sym__juxt_function_name, 1, 0, 0),
  [2045] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__juxt_function_name, 1, 0, 0),
  [2048] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__juxt_function_name, 1, 0, 0), SHIFT(557),
  [2052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(788),
  [2054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(589),
  [2056] = {.entry = {.count = 4, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__unannotated_type, 1, 0, 3), REDUCE(sym__juxt_function_name, 1, 0, 0), SHIFT(2889),
  [2061] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 3), SHIFT(2081),
  [2064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 3, 0, 0),
  [2066] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_statement, 3, 0, 0),
  [2068] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_while_statement, 3, 0, 27),
  [2070] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_while_statement, 3, 0, 27),
  [2072] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 3, 0, 0),
  [2074] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 3, 0, 0),
  [2076] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 124),
  [2078] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 124),
  [2080] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 98),
  [2082] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 98),
  [2084] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_declaration, 1, 0, 0),
  [2086] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_declaration, 1, 0, 0),
  [2088] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 4, 0, 0),
  [2090] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 4, 0, 0),
  [2092] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, 0, 144),
  [2094] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, 0, 144),
  [2096] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, 0, 145),
  [2098] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, 0, 145),
  [2100] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [2102] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 149),
  [2104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 99),
  [2106] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 99),
  [2108] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 150),
  [2110] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 150),
  [2112] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [2114] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 3, 0, 0),
  [2116] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 151),
  [2118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 151),
  [2120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 152),
  [2122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 152),
  [2124] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2126] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 3, 0, 0),
  [2128] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_yield_statement, 3, 0, 0),
  [2130] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_yield_statement, 3, 0, 0),
  [2132] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 153),
  [2134] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 153),
  [2136] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 100),
  [2138] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 100),
  [2140] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 101),
  [2142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 101),
  [2144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 154),
  [2146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 154),
  [2148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 102),
  [2150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 102),
  [2152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2154] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, 0, 0),
  [2156] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_synchronized_statement, 3, 0, 28),
  [2158] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_synchronized_statement, 3, 0, 28),
  [2160] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2162] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throw_statement, 3, 0, 0),
  [2164] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 103),
  [2166] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 103),
  [2168] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 11, 0, 226),
  [2170] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 11, 0, 226),
  [2172] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 123),
  [2174] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 123),
  [2176] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, 0, 155),
  [2178] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, 0, 155),
  [2180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 6, 0, 156),
  [2182] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 6, 0, 156),
  [2184] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, 0, 151),
  [2186] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, 0, 151),
  [2188] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, 0, 157),
  [2190] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, 0, 157),
  [2192] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 6, 0, 158),
  [2194] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 6, 0, 158),
  [2196] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2198] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_statement, 2, 0, 0),
  [2200] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 3, 0, 26),
  [2202] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_declaration, 3, 0, 26),
  [2204] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_declaration, 3, 0, 0),
  [2206] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_declaration, 3, 0, 0),
  [2208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 3, 0, 0),
  [2210] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 3, 0, 0),
  [2212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 3, 0, 26),
  [2214] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 3, 0, 26),
  [2216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_declaration, 3, 0, 26),
  [2218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_declaration, 3, 0, 26),
  [2220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 3, 0, 26),
  [2222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 3, 0, 26),
  [2224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_variable_declaration, 3, 0, 32),
  [2226] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_variable_declaration, 3, 0, 32),
  [2228] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 162),
  [2230] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 162),
  [2232] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 119),
  [2234] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 119),
  [2236] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 166),
  [2238] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 166),
  [2240] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 5, 0, 126),
  [2242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_declaration, 5, 0, 126),
  [2244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 169),
  [2246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 169),
  [2248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_variable_declaration, 2, 0, 13),
  [2250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_variable_declaration, 2, 0, 13),
  [2252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 170),
  [2254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 170),
  [2256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, 0, 0),
  [2258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, 0, 0),
  [2260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_variable_declaration, 3, 0, 50),
  [2262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_variable_declaration, 3, 0, 50),
  [2264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assert_statement, 5, 0, 0),
  [2266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assert_statement, 5, 0, 0),
  [2268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__juxt_argument_list, 2, 0, 0),
  [2270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__juxt_argument_list, 2, 0, 0),
  [2272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_do_statement, 5, 0, 104),
  [2274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_do_statement, 5, 0, 104),
  [2276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enhanced_for_statement, 7, 0, 171),
  [2278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enhanced_for_statement, 7, 0, 171),
  [2280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__juxt_argument_list_repeat1, 2, 0, 0),
  [2282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__juxt_argument_list_repeat1, 2, 0, 0),
  [2284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 67),
  [2286] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 67),
  [2288] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 68),
  [2290] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 68),
  [2292] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 69),
  [2294] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 69),
  [2296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 70),
  [2298] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 70),
  [2300] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [2302] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_finally_clause, 2, 0, 0),
  [2304] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_statement, 4, 0, 8),
  [2306] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_statement, 4, 0, 8),
  [2308] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 172),
  [2310] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 172),
  [2312] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 112),
  [2314] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 112),
  [2316] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 7, 0, 173),
  [2318] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 7, 0, 173),
  [2320] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 122),
  [2322] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 122),
  [2324] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_declaration, 4, 0, 72),
  [2326] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_declaration, 4, 0, 72),
  [2328] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_body, 2, 0, 0),
  [2330] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_body, 2, 0, 0),
  [2332] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 4, 0, 0),
  [2334] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 4, 0, 0),
  [2336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 2, 0, 0),
  [2338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 2, 0, 0),
  [2340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 4, 0, 73),
  [2342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 4, 0, 73),
  [2344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_try_with_resources_statement, 5, 0, 29),
  [2346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_try_with_resources_statement, 5, 0, 29),
  [2348] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, 0, 105),
  [2350] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, 0, 105),
  [2352] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_body, 2, 0, 0),
  [2354] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_body, 2, 0, 0),
  [2356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_body, 2, 0, 0),
  [2358] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_body, 2, 0, 0),
  [2360] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 67),
  [2362] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 67),
  [2364] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 7, 0, 0),
  [2366] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 7, 0, 0),
  [2368] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 70),
  [2370] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 70),
  [2372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 74),
  [2374] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 74),
  [2376] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__juxt_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1789),
  [2379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 5, 0, 0),
  [2381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 5, 0, 0),
  [2383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 4, 0, 72),
  [2385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 4, 0, 72),
  [2387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 179),
  [2389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 179),
  [2391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 180),
  [2393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 180),
  [2395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 181),
  [2397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 181),
  [2399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 72),
  [2401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 72),
  [2403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 7, 0, 182),
  [2405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 7, 0, 182),
  [2407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 7, 0, 183),
  [2409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 7, 0, 183),
  [2411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 7, 0, 184),
  [2413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 7, 0, 184),
  [2415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 186),
  [2417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 186),
  [2419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 187),
  [2421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 187),
  [2423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 188),
  [2425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 188),
  [2427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 189),
  [2429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 189),
  [2431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 190),
  [2433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 190),
  [2435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enhanced_for_statement, 8, 0, 191),
  [2437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enhanced_for_statement, 8, 0, 191),
  [2439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_declaration, 4, 0, 72),
  [2441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_declaration, 4, 0, 72),
  [2443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 4, 0, 72),
  [2445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 4, 0, 72),
  [2447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enhanced_for_statement, 8, 0, 192),
  [2449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enhanced_for_statement, 8, 0, 192),
  [2451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_declaration, 4, 0, 0),
  [2453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_declaration, 4, 0, 0),
  [2455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 193),
  [2457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 193),
  [2459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 8, 0, 194),
  [2461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 8, 0, 194),
  [2463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_body, 3, 0, 0),
  [2465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_module_body, 3, 0, 0),
  [2467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 5, 0, 0),
  [2469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 5, 0, 0),
  [2471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_variable_declaration, 4, 0, 82),
  [2473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_variable_declaration, 4, 0, 82),
  [2475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 8, 0, 0),
  [2477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 8, 0, 0),
  [2479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 3, 0, 0),
  [2481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 3, 0, 0),
  [2483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 109),
  [2485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 109),
  [2487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_declaration, 5, 0, 110),
  [2489] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_declaration, 5, 0, 110),
  [2491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_body, 3, 0, 0),
  [2493] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_body, 3, 0, 0),
  [2495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body, 6, 0, 0),
  [2497] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_body, 6, 0, 0),
  [2499] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2501] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, 0, 0),
  [2503] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_body, 3, 0, 0),
  [2505] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_body, 3, 0, 0),
  [2507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 100),
  [2509] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 100),
  [2511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 8, 0, 199),
  [2513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 8, 0, 199),
  [2515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 201),
  [2517] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 201),
  [2519] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 202),
  [2521] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 202),
  [2523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 203),
  [2525] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 203),
  [2527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 3, 0, 26),
  [2529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 3, 0, 26),
  [2531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 204),
  [2533] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 204),
  [2535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 133),
  [2537] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 133),
  [2539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 205),
  [2541] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 205),
  [2543] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 134),
  [2545] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 134),
  [2547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 135),
  [2549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 135),
  [2551] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2553] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2, 0, 0),
  [2555] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enhanced_for_statement, 9, 0, 206),
  [2557] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enhanced_for_statement, 9, 0, 206),
  [2559] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 6, 0, 136),
  [2561] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 6, 0, 136),
  [2563] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 6, 0, 139),
  [2565] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 6, 0, 139),
  [2567] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interface_declaration, 5, 0, 111),
  [2569] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interface_declaration, 5, 0, 111),
  [2571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 119),
  [2573] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 119),
  [2575] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 120),
  [2577] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 120),
  [2579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 121),
  [2581] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 121),
  [2583] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_class_declaration, 5, 0, 122),
  [2585] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_class_declaration, 5, 0, 122),
  [2587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 9, 0, 207),
  [2589] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 9, 0, 207),
  [2591] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 5, 0, 121),
  [2593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 5, 0, 121),
  [2595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 219),
  [2597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 219),
  [2599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_local_variable_declaration, 4, 0, 83),
  [2601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_local_variable_declaration, 4, 0, 83),
  [2603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 220),
  [2605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 220),
  [2607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 10, 0, 221),
  [2609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 10, 0, 221),
  [2611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, 0, 69),
  [2613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, 0, 69),
  [2615] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat1, 2, 0, 0),
  [2617] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat1, 2, 0, 0),
  [2619] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat1, 2, 0, 0), SHIFT_REPEAT(550),
  [2622] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat1, 2, 0, 0), SHIFT_REPEAT(2677),
  [2625] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 43),
  [2627] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 3, 0, 43),
  [2629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_juxt_function_call, 2, 0, 19),
  [2631] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_juxt_function_call, 2, 0, 19),
  [2633] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 3, 0, 44),
  [2635] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 3, 0, 44),
  [2637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 18),
  [2639] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 2, 0, 18),
  [2641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_method_declaration, 2, 0, 17),
  [2643] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_method_declaration, 2, 0, 17),
  [2645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 160),
  [2647] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 160),
  [2649] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 86),
  [2651] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 86),
  [2653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, 0, 73),
  [2655] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, 0, 73),
  [2657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 125),
  [2659] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 125),
  [2661] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 6, 0, 159),
  [2663] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 6, 0, 159),
  [2665] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, 0, 123),
  [2667] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, 0, 123),
  [2669] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 1, 0, 0), REDUCE(aux_sym_closure_repeat1, 1, 0, 0),
  [2672] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_statement_group_repeat2, 1, 0, 0), REDUCE(aux_sym_closure_repeat1, 1, 0, 0),
  [2675] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_constructor_invocation, 6, 0, 225),
  [2677] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_constructor_invocation, 6, 0, 225),
  [2679] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_constructor_invocation, 3, 0, 185),
  [2681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_constructor_invocation, 3, 0, 185),
  [2683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [2685] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_constructor_invocation, 5, 0, 218),
  [2687] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_constructor_invocation, 5, 0, 218),
  [2689] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_explicit_constructor_invocation, 4, 0, 200),
  [2691] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_explicit_constructor_invocation, 4, 0, 200),
  [2693] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(557),
  [2696] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [2700] = {.entry = {.count = 1, .reusable = false}}, SHIFT(430),
  [2702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2630),
  [2704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1309),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [2708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1314),
  [2710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2783),
  [2712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(199),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [2716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [2718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2801),
  [2720] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1285),
  [2722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [2724] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1313),
  [2726] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2718),
  [2728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1265),
  [2730] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [2732] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [2734] = {.entry = {.count = 1, .reusable = false}}, SHIFT(629),
  [2736] = {.entry = {.count = 1, .reusable = false}}, SHIFT(108),
  [2738] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1284),
  [2740] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [2742] = {.entry = {.count = 1, .reusable = false}}, SHIFT(710),
  [2744] = {.entry = {.count = 1, .reusable = false}}, SHIFT(602),
  [2746] = {.entry = {.count = 3, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__unannotated_type, 1, 0, 3), SHIFT(2856),
  [2750] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [2752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_id, 1, 0, 1),
  [2754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0), SHIFT_REPEAT(2889),
  [2757] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2889),
  [2759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_access, 3, 0, 33), SHIFT(557),
  [2762] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_field_access, 5, 0, 113), SHIFT(557),
  [2765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [2767] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__unannotated_type, 1, 0, 3), SHIFT(2834),
  [2771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
  [2773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [2775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2104),
  [2777] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(2834),
  [2780] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1909),
  [2782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_declarations, 2, 0, 0),
  [2784] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1412),
  [2786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1074),
  [2790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1497),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1412),
  [2794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2828),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1384),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1066),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1075),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1393),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2812] = {.entry = {.count = 1, .reusable = false}}, SHIFT(605),
  [2814] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1133),
  [2816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_body_declarations, 1, 0, 0),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1062),
  [2820] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(1909),
  [2823] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0),
  [2825] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(2123),
  [2828] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(1412),
  [2831] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(2838),
  [2834] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(36),
  [2837] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(1074),
  [2840] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(2080),
  [2843] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(1497),
  [2846] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(2879),
  [2849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(1412),
  [2852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(2828),
  [2855] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [2858] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [2861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(1796),
  [2864] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(1788),
  [2867] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_enum_body_declarations_repeat1, 2, 0, 0), SHIFT_REPEAT(1811),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1132),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1069),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [2878] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [2880] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [2882] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(599),
  [2885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(688),
  [2889] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_primary_expression, 1, 0, 0), SHIFT(2856),
  [2892] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2, 0, 0), SHIFT_REPEAT(673),
  [2895] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1767),
  [2897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(974),
  [2899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1090),
  [2901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [2903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1088),
  [2905] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1767),
  [2908] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0),
  [2910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2123),
  [2913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1412),
  [2916] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2838),
  [2919] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1090),
  [2922] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2080),
  [2925] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2879),
  [2928] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1412),
  [2931] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2828),
  [2934] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [2937] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [2940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1796),
  [2943] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1788),
  [2946] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_interface_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1811),
  [2949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [2951] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0), SHIFT_REPEAT(2891),
  [2954] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0), SHIFT_REPEAT(2081),
  [2957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2891),
  [2959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2081),
  [2961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1197),
  [2965] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__juxt_function_name, 1, 0, 0),
  [2967] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__juxt_function_name, 1, 0, 0), SHIFT(683),
  [2970] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1875),
  [2972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2351),
  [2974] = {.entry = {.count = 1, .reusable = false}}, SHIFT(571),
  [2976] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__literal, 1, 0, 0), REDUCE(sym__juxt_function_name, 1, 0, 0),
  [2979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(971),
  [2981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [2983] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1767),
  [2986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0),
  [2988] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1412),
  [2991] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2838),
  [2994] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1200),
  [2997] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2080),
  [3000] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2879),
  [3003] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1412),
  [3006] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2868),
  [3009] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2873),
  [3012] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1796),
  [3015] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1788),
  [3018] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_annotation_type_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1811),
  [3021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1677),
  [3023] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 3), SHIFT(1750),
  [3026] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2160),
  [3028] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1680),
  [3030] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 3), SHIFT(1756),
  [3033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2237),
  [3035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1823),
  [3037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1993),
  [3039] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [3041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2161),
  [3043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2238),
  [3045] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_scoped_identifier, 3, 0, 71),
  [3047] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_scoped_identifier, 3, 0, 71),
  [3049] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 0), SHIFT(1750),
  [3052] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 0), SHIFT(1756),
  [3055] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2, 0, 0), SHIFT_REPEAT(728),
  [3058] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat2, 2, 0, 0), SHIFT_REPEAT(2081),
  [3061] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_marker_annotation, 2, 0, 10),
  [3063] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_marker_annotation, 2, 0, 10),
  [3065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [3067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2819),
  [3069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1439),
  [3071] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1434),
  [3073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_modifiers, 1, 0, 0),
  [3075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_modifiers, 1, 0, 0),
  [3077] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [3079] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_modifiers, 1, 0, 0), SHIFT(1283),
  [3082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1283),
  [3084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2128),
  [3086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1477),
  [3088] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0),
  [3090] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0),
  [3092] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [3095] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2080),
  [3098] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1283),
  [3101] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1479),
  [3103] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2825),
  [3105] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2062),
  [3107] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2881),
  [3109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation, 3, 0, 31),
  [3111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation, 3, 0, 31),
  [3113] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_argument_list, 2, 0, 0),
  [3115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_argument_list, 2, 0, 0),
  [3117] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_argument_list, 3, 0, 0),
  [3119] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_argument_list, 3, 0, 0),
  [3121] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_argument_list, 4, 0, 0),
  [3123] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_argument_list, 4, 0, 0),
  [3125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [3127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat1, 1, 0, 0), REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [3130] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__element_value, 1, 0, 0),
  [3132] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat1, 1, 0, 0),
  [3134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2137),
  [3136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2344),
  [3138] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 1, 0, 0), REDUCE(aux_sym_modifiers_repeat1, 1, 0, 0),
  [3141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [3143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2908),
  [3145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [3147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1859),
  [3149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2397),
  [3151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [3153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1857),
  [3155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(800),
  [3157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1860),
  [3159] = {.entry = {.count = 1, .reusable = false}}, SHIFT(683),
  [3161] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1870),
  [3163] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1411),
  [3165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_modifiers, 1, 0, 0), SHIFT(1411),
  [3168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1411),
  [3170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1411),
  [3173] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(2076),
  [3176] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_modifiers_repeat1, 2, 0, 0), SHIFT_REPEAT(1411),
  [3179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1770),
  [3181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2894),
  [3183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2921),
  [3185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2109),
  [3187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2878),
  [3189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2895),
  [3191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2007),
  [3193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_initializer, 2, 0, 0),
  [3195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_initializer, 2, 0, 0),
  [3197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compact_constructor_declaration, 2, 0, 12),
  [3199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compact_constructor_declaration, 2, 0, 12),
  [3201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_compact_constructor_declaration, 3, 0, 26),
  [3203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_compact_constructor_declaration, 3, 0, 26),
  [3205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 130),
  [3207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 130),
  [3209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_body, 2, 0, 0),
  [3211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_body, 2, 0, 0),
  [3213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 3, 0, 132),
  [3215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 3, 0, 132),
  [3217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 2, 0, 97),
  [3219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 2, 0, 97),
  [3221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_body, 4, 0, 0),
  [3223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_body, 4, 0, 0),
  [3225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_declaration, 4, 0, 161),
  [3227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_declaration, 4, 0, 161),
  [3229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 4, 0, 83),
  [3231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, 0, 83),
  [3233] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constructor_body, 3, 0, 0),
  [3235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constructor_body, 3, 0, 0),
  [3237] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_argument_list, 2, 0, 0), REDUCE(sym_record_pattern_body, 2, 0, 0),
  [3240] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_argument_list, 2, 0, 0), REDUCE(sym_record_pattern_body, 2, 0, 0),
  [3243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration, 3, 0, 50),
  [3245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, 0, 50),
  [3247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [3249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [3251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(712),
  [3253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [3255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [3257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [3259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [3261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(716),
  [3263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(717),
  [3265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [3267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [3269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(717),
  [3271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [3273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [3275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1504),
  [3277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [3279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1440),
  [3281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [3283] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_declaration, 4, 0, 83),
  [3285] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_declaration, 4, 0, 83),
  [3287] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_constant_declaration, 3, 0, 50),
  [3289] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_constant_declaration, 3, 0, 50),
  [3291] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [3293] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2076),
  [3296] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0),
  [3298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(687),
  [3300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1208),
  [3302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1526),
  [3304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1276),
  [3306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1271),
  [3308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1272),
  [3310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(221),
  [3312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1512),
  [3314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [3316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(353),
  [3318] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [3320] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1981),
  [3322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1867),
  [3324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(352),
  [3326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1523),
  [3328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(521),
  [3330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(522),
  [3332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(523),
  [3334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [3336] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1554),
  [3338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1260),
  [3340] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1261),
  [3342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1268),
  [3344] = {.entry = {.count = 1, .reusable = false}}, SHIFT(693),
  [3346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(694),
  [3348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [3350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [3352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [3354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [3356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(698),
  [3358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [3360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [3362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [3364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [3366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(702),
  [3368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [3370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [3372] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 2, 0, 0),
  [3374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [3376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [3378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [3380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(704),
  [3382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1515),
  [3384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(664),
  [3386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(665),
  [3388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(666),
  [3390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(669),
  [3392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(671),
  [3394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(672),
  [3396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(676),
  [3398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(677),
  [3400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(678),
  [3402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(679),
  [3404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(680),
  [3406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1499),
  [3408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [3410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(681),
  [3412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1474),
  [3414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(682),
  [3416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [3418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1607),
  [3420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(770),
  [3422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(771),
  [3424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [3426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [3428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(776),
  [3430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [3432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(778),
  [3434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [3436] = {.entry = {.count = 1, .reusable = false}}, SHIFT(780),
  [3438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(782),
  [3440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 8, 0, 227),
  [3442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 8, 0, 227),
  [3444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1353),
  [3446] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 7, 0, 222),
  [3448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 7, 0, 222),
  [3450] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 5, 0, 197),
  [3452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 5, 0, 197),
  [3454] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 6, 0, 214),
  [3456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 6, 0, 214),
  [3458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [3460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [3462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(827),
  [3464] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 7, 0, 224),
  [3466] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 7, 0, 224),
  [3468] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 6, 0, 216),
  [3470] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 6, 0, 216),
  [3472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [3474] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 6, 0, 217),
  [3476] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 6, 0, 217),
  [3478] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_annotation_type_element_declaration, 7, 0, 223),
  [3480] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotation_type_element_declaration, 7, 0, 223),
  [3482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(109),
  [3484] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__element_value, 1, 0, 0),
  [3486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [3488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [3490] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0), SHIFT_REPEAT(2806),
  [3493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [3495] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_label_repeat1, 2, 0, 0),
  [3497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [3499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(431),
  [3501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [3503] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declarator, 3, 0, 48),
  [3505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 3, 0, 48),
  [3507] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1143),
  [3509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2806),
  [3511] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [3513] = {.entry = {.count = 1, .reusable = false}}, SHIFT(861),
  [3515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [3517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [3519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(657),
  [3521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [3523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [3525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1168),
  [3527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [3529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [3531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [3533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [3535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [3537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [3539] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1392),
  [3541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [3543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [3545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(578),
  [3547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [3549] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [3551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [3553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [3555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [3557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1175),
  [3559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(860),
  [3561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(860),
  [3563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1113),
  [3565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [3567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [3569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(614),
  [3571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [3573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [3575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(576),
  [3577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [3579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [3581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [3583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [3585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [3587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(93),
  [3589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [3591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [3593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [3595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1351),
  [3597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [3599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [3601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [3603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [3605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [3607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(133),
  [3609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [3611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [3613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [3615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1324),
  [3617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [3619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [3621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [3623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(653),
  [3625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [3627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameter, 4, 0, 20),
  [3629] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameter, 5, 0, 52),
  [3631] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1757),
  [3633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2074),
  [3635] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1989),
  [3637] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 106),
  [3639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_initializer_repeat1, 2, 0, 0),
  [3641] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_guard, 2, 0, 0),
  [3643] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource, 5, 0, 163),
  [3645] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat2, 2, 0, 167),
  [3647] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0),
  [3649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [3651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [3653] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource, 4, 0, 137),
  [3655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1202),
  [3657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [3659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1494),
  [3661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [3663] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1949),
  [3665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1435),
  [3667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1058),
  [3669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [3671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1480),
  [3673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1118),
  [3675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2383),
  [3677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [3679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [3681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [3683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [3685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1333),
  [3687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [3689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(458),
  [3691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [3693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [3695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [3697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [3699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [3701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [3703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [3705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [3707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [3709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [3711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [3713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [3715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [3717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2183),
  [3719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [3721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [3723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [3725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [3727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [3729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [3731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [3733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1407),
  [3735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [3737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(905),
  [3739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [3741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [3743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1402),
  [3745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [3747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [3749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2216),
  [3751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [3753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [3755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [3757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [3759] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [3761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [3763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [3765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2840),
  [3767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [3769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1115),
  [3771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(635),
  [3773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [3775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [3777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [3779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(643),
  [3781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1327),
  [3783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [3785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [3787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [3789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1328),
  [3791] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [3793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2807),
  [3795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [3797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [3799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [3801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [3803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [3805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2143),
  [3807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(927),
  [3809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2598),
  [3811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1072),
  [3813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1246),
  [3815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2337),
  [3817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [3819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2110),
  [3821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1418),
  [3823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [3825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [3827] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1754),
  [3829] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 3), SHIFT(2856),
  [3832] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2218),
  [3834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(850),
  [3836] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1979),
  [3838] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2892),
  [3840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2013),
  [3842] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2734),
  [3844] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1907),
  [3846] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2882),
  [3848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [3850] = {.entry = {.count = 1, .reusable = false}}, SHIFT(839),
  [3852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [3854] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2809),
  [3856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [3858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1386),
  [3860] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 3), SHIFT(2889),
  [3863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [3865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [3867] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1159),
  [3869] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1142),
  [3871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [3873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [3875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2175),
  [3877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1345),
  [3879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(911),
  [3881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2029),
  [3883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2140),
  [3885] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2141),
  [3887] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2142),
  [3889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(545),
  [3891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2843),
  [3893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1933),
  [3895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2839),
  [3897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2892),
  [3899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2307),
  [3901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2913),
  [3903] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1961),
  [3905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1951),
  [3907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1934),
  [3909] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1985),
  [3911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1939),
  [3913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1998),
  [3915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2253),
  [3917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2627),
  [3919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1219),
  [3921] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__unannotated_type, 1, 0, 3), SHIFT(2806),
  [3924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2218),
  [3926] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__unannotated_type, 1, 0, 3), SHIFT(2081),
  [3929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2297),
  [3931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2652),
  [3933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2322),
  [3935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2626),
  [3937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1927),
  [3939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2000),
  [3941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [3943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1943),
  [3945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2002),
  [3947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1945),
  [3949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1995),
  [3951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1920),
  [3953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2005),
  [3955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2300),
  [3957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2744),
  [3959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2305),
  [3961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2765),
  [3963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1936),
  [3965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1987),
  [3967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1941),
  [3969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1997),
  [3971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2257),
  [3973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2674),
  [3975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2261),
  [3977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2700),
  [3979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1925),
  [3981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2004),
  [3983] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1930),
  [3985] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1980),
  [3987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2276),
  [3989] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2762),
  [3991] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2244),
  [3993] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2771),
  [3995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1922),
  [3997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [3999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [4001] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2329),
  [4003] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2715),
  [4005] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [4007] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1841),
  [4009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [4011] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2869),
  [4013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2010),
  [4015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1091),
  [4017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1824),
  [4019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1199),
  [4021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2904),
  [4023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(163),
  [4025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [4027] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2811),
  [4029] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1279),
  [4031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [4033] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2900),
  [4035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1294),
  [4037] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1819),
  [4039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1404),
  [4041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2815),
  [4043] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource, 1, 0, 0),
  [4045] = {.entry = {.count = 3, .reusable = true}}, REDUCE(sym_primary_expression, 1, 0, 0), REDUCE(sym__unannotated_type, 1, 0, 3), SHIFT(2218),
  [4049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2093),
  [4052] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [4054] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1845),
  [4056] = {.entry = {.count = 1, .reusable = false}}, SHIFT(423),
  [4058] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2907),
  [4060] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1114),
  [4062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1057),
  [4064] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2523),
  [4066] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [4068] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [4070] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2845),
  [4072] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1983),
  [4074] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2847),
  [4076] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1835),
  [4078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1054),
  [4080] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2886),
  [4082] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2267),
  [4084] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2736),
  [4086] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2293),
  [4088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2805),
  [4090] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2272),
  [4092] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2752),
  [4094] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2274),
  [4096] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2758),
  [4098] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2310),
  [4100] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2732),
  [4102] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2278),
  [4104] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2766),
  [4106] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2308),
  [4108] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2731),
  [4110] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2245),
  [4112] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2706),
  [4114] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2302),
  [4116] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2757),
  [4118] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2333),
  [4120] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2738),
  [4122] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2247),
  [4124] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2737),
  [4126] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2319),
  [4128] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2794),
  [4130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2336),
  [4132] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2799),
  [4134] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2249),
  [4136] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2640),
  [4138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2251),
  [4140] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2650),
  [4142] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2259),
  [4144] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2689),
  [4146] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2324),
  [4148] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2672),
  [4150] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2263),
  [4152] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2775),
  [4154] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2285),
  [4156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2651),
  [4158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2019),
  [4160] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2291),
  [4162] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2713),
  [4164] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_type, 1, 0, 0),
  [4166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1916),
  [4168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2686),
  [4170] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__unannotated_type, 1, 0, 0), SHIFT(2175),
  [4173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2620),
  [4175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_catch_type_repeat1, 2, 0, 0),
  [4177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_catch_type_repeat1, 2, 0, 0),
  [4179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2729),
  [4181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1281),
  [4183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2888),
  [4185] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [4187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 3, 0, 0),
  [4189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [4191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameters, 4, 0, 0),
  [4193] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [4195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2175),
  [4197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1280),
  [4199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 1, 0, 0),
  [4201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(553),
  [4203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [4205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(557),
  [4207] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [4209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [4211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2856),
  [4213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [4215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(639),
  [4217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2810),
  [4219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2701),
  [4221] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0), SHIFT_REPEAT(2856),
  [4224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2831),
  [4226] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__method_declarator, 2, 0, 49), SHIFT(24),
  [4229] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__method_declarator, 2, 0, 49),
  [4231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_declarator, 2, 0, 49),
  [4233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2, 0, 0),
  [4235] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1968),
  [4238] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2085),
  [4241] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2087),
  [4244] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2091),
  [4247] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_module_body_repeat1, 2, 0, 0), SHIFT_REPEAT(2071),
  [4250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2629),
  [4252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2061),
  [4254] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [4256] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__unannotated_type, 1, 0, 0), SHIFT(2175),
  [4259] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_dimensions_repeat1, 2, 0, 0), SHIFT_REPEAT(2831),
  [4262] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2697),
  [4264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(925),
  [4266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1968),
  [4268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2085),
  [4270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2087),
  [4272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2091),
  [4274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2071),
  [4276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(964),
  [4278] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2781),
  [4280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2818),
  [4282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1938),
  [4284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1929),
  [4286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2863),
  [4288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1295),
  [4290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1408),
  [4292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(204),
  [4294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [4296] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1095),
  [4298] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1191),
  [4300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(164),
  [4302] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [4304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [4306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1522),
  [4308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [4310] = {.entry = {.count = 1, .reusable = false}}, SHIFT(426),
  [4312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [4314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [4316] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_requires_module_directive_repeat1, 2, 0, 142),
  [4318] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_requires_module_directive_repeat1, 2, 0, 142), SHIFT_REPEAT(2061),
  [4321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1055),
  [4323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1056),
  [4325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1116),
  [4327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1277),
  [4329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1373),
  [4331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1527),
  [4333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1752),
  [4335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2176),
  [4337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1383),
  [4339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [4341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2033),
  [4343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2182),
  [4345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [4347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2034),
  [4349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2200),
  [4351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1164),
  [4353] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2035),
  [4355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1380),
  [4357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2049),
  [4359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat2, 2, 0, 0),
  [4361] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat2, 2, 0, 0), SHIFT_REPEAT(791),
  [4364] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat2, 2, 0, 0), SHIFT_REPEAT(2035),
  [4367] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat2, 2, 0, 0), SHIFT_REPEAT(2200),
  [4370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2898),
  [4372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2298),
  [4374] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2073),
  [4376] = {.entry = {.count = 1, .reusable = false}}, SHIFT(361),
  [4378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2042),
  [4380] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2047),
  [4382] = {.entry = {.count = 1, .reusable = false}}, SHIFT(313),
  [4384] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2043),
  [4386] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2044),
  [4388] = {.entry = {.count = 1, .reusable = false}}, SHIFT(371),
  [4390] = {.entry = {.count = 1, .reusable = false}}, SHIFT(239),
  [4392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2177),
  [4394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2657),
  [4396] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2, 0, 0),
  [4398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(766),
  [4401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(2049),
  [4404] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__multiline_string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(2182),
  [4407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1797),
  [4409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1776),
  [4411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1777),
  [4413] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_catch_type_repeat1, 2, 0, 0), SHIFT_REPEAT(1916),
  [4416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1161),
  [4418] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2032),
  [4420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2048),
  [4422] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_catch_type, 2, 0, 0),
  [4424] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2561),
  [4426] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_requires_modifier, 1, 0, 0),
  [4428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2398),
  [4430] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2521),
  [4432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [4434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [4436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2677),
  [4438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1498),
  [4440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2675),
  [4442] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_requires_module_directive_repeat1, 1, 0, 108),
  [4444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2392),
  [4446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2722),
  [4448] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2256),
  [4450] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2399),
  [4452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1346),
  [4454] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1414),
  [4456] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2401),
  [4458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2507),
  [4460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1269),
  [4462] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2549),
  [4464] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1449),
  [4466] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1795),
  [4468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2544),
  [4470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2404),
  [4472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2634),
  [4474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2551),
  [4476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(536),
  [4478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2343),
  [4480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2711),
  [4482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1813),
  [4484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1769),
  [4486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1089),
  [4488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2416),
  [4490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2384),
  [4492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2740),
  [4494] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2381),
  [4496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2411),
  [4498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2360),
  [4500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2347),
  [4502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2362),
  [4504] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2396),
  [4506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(594),
  [4508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(821),
  [4510] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declarator, 1, 0, 6),
  [4512] = {.entry = {.count = 1, .reusable = false}}, SHIFT(822),
  [4514] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declarator, 1, 0, 6),
  [4516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2346),
  [4518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2084),
  [4520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1420),
  [4522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [4524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [4526] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 3, 0, 0),
  [4528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1459),
  [4530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [4532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [4534] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [4536] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 5, 0, 0),
  [4538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [4540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0),
  [4542] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(550),
  [4545] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat1, 2, 0, 0), SHIFT_REPEAT(2677),
  [4548] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [4550] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 2, 0, 0),
  [4552] = {.entry = {.count = 1, .reusable = false}}, SHIFT(674),
  [4554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(675),
  [4556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2918),
  [4558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2661),
  [4560] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_formal_parameters, 6, 0, 0),
  [4562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 6, 0, 0),
  [4564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(825),
  [4566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [4568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [4570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(764),
  [4572] = {.entry = {.count = 1, .reusable = false}}, SHIFT(769),
  [4574] = {.entry = {.count = 1, .reusable = false}}, SHIFT(785),
  [4576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [4578] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [4580] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameters, 4, 0, 0),
  [4582] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_declarator_id, 2, 0, 9),
  [4584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_id, 2, 0, 9),
  [4586] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 2, 0, 10),
  [4588] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 1, 0, 1),
  [4590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(806),
  [4592] = {.entry = {.count = 1, .reusable = false}}, SHIFT(807),
  [4594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(809),
  [4596] = {.entry = {.count = 1, .reusable = false}}, SHIFT(810),
  [4598] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [4600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(812),
  [4602] = {.entry = {.count = 1, .reusable = false}}, SHIFT(813),
  [4604] = {.entry = {.count = 1, .reusable = false}}, SHIFT(814),
  [4606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [4608] = {.entry = {.count = 1, .reusable = false}}, SHIFT(819),
  [4610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(823),
  [4612] = {.entry = {.count = 1, .reusable = false}}, SHIFT(824),
  [4614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [4616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1791),
  [4618] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throws, 3, 0, 0),
  [4620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throws, 3, 0, 0),
  [4622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [4624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2158),
  [4626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(691),
  [4628] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2158),
  [4630] = {.entry = {.count = 1, .reusable = false}}, SHIFT(370),
  [4632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2196),
  [4634] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2196),
  [4636] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__method_header, 4, 0, 84),
  [4638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1800),
  [4640] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 4, 0, 84),
  [4642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1250),
  [4644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1251),
  [4646] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_throws, 2, 0, 0),
  [4648] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_throws, 2, 0, 0),
  [4650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1266),
  [4652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1252),
  [4654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [4656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 3, 0, 0),
  [4658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [4660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 5, 0, 195),
  [4662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 5, 0, 195),
  [4664] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_provides_module_directive, 5, 0, 196),
  [4666] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [4668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2173),
  [4670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2173),
  [4672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [4674] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__method_header, 2, 0, 16),
  [4676] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 2, 0, 16),
  [4678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1780),
  [4680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2066),
  [4682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2088),
  [4684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2092),
  [4686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2072),
  [4688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1163),
  [4690] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiline_string_fragment_single, 1, 0, 0),
  [4692] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string_interpolation, 3, 0, 0),
  [4694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat2, 2, 0, 0),
  [4696] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat2, 2, 0, 0), SHIFT_REPEAT(562),
  [4699] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_block_repeat2, 2, 0, 0), SHIFT_REPEAT(2677),
  [4702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [4704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [4706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [4708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [4710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [4712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(493),
  [4714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [4716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [4718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_module_directive, 3, 0, 141),
  [4720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 3, 0, 143),
  [4722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 3, 0, 143),
  [4724] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__string_literal_repeat1, 2, 0, 0),
  [4726] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(2196),
  [4729] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(691),
  [4732] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__string_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(2196),
  [4735] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uses_module_directive, 3, 0, 54),
  [4737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2820),
  [4739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1263),
  [4741] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__multiline_string_fragment_double, 1, 0, 0),
  [4743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [4745] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_requires_module_directive, 4, 0, 174),
  [4747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1783),
  [4749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [4751] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1791),
  [4754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [4756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0),
  [4758] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2084),
  [4761] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_exports_module_directive, 6, 0, 209),
  [4763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2864),
  [4765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2379),
  [4767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [4769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_opens_module_directive, 6, 0, 209),
  [4771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [4773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1772),
  [4775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1160),
  [4777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2181),
  [4779] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2181),
  [4781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2813),
  [4783] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__method_header, 3, 0, 45),
  [4785] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 3, 0, 45),
  [4787] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_provides_module_directive, 6, 0, 212),
  [4789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2841),
  [4791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1381),
  [4793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2230),
  [4795] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2230),
  [4797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(624),
  [4799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1768),
  [4801] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_module_directive, 1, 0, 0),
  [4803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [4805] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [4807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2814),
  [4809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [4811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2899),
  [4813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2926),
  [4815] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [4817] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [4819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [4821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1267),
  [4823] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_creation_expression_repeat1, 2, 0, 0), SHIFT_REPEAT(2081),
  [4826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [4828] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_try_statement_repeat1, 2, 0, 0), SHIFT_REPEAT(2918),
  [4831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2588),
  [4833] = {.entry = {.count = 1, .reusable = false}}, SHIFT(926),
  [4835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(926),
  [4837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2844),
  [4839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2012),
  [4841] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_declarator_list, 1, 0, 5),
  [4843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_list, 1, 0, 5),
  [4845] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2887),
  [4847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2786),
  [4849] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_label_repeat1, 2, 0, 0), SHIFT_REPEAT(689),
  [4852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__variable_declarator_list_repeat1, 2, 0, 47), SHIFT_REPEAT(2012),
  [4855] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__variable_declarator_list_repeat1, 2, 0, 47),
  [4857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__variable_declarator_list_repeat1, 2, 0, 47),
  [4859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(36),
  [4861] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1020),
  [4863] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1021),
  [4865] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1011),
  [4867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__method_declarator, 3, 0, 85),
  [4869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_declarator, 3, 0, 85),
  [4871] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 3, 0, 31),
  [4873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1016),
  [4875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [4877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [4879] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_label_repeat1, 2, 0, 0), SHIFT_REPEAT(730),
  [4882] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2466),
  [4884] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [4886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(882),
  [4888] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2859),
  [4890] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 2, 0, 0),
  [4892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1798),
  [4894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__variable_declarator_list, 2, 0, 14),
  [4896] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__variable_declarator_list, 2, 0, 14),
  [4898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 2, 0, 11),
  [4900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1762),
  [4902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(968),
  [4904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1759),
  [4906] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 1, 0, 0),
  [4908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2060),
  [4910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2171),
  [4912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1994),
  [4914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2351),
  [4916] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 1, 0, 3),
  [4918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1794),
  [4920] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__method_header, 4, 0, 45),
  [4922] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 4, 0, 45),
  [4924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [4926] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1125),
  [4928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [4930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [4932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1799),
  [4934] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_bound, 3, 0, 0),
  [4936] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_list_repeat1, 2, 0, 0), SHIFT_REPEAT(1787),
  [4939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_array_initializer, 3, 0, 0),
  [4941] = {.entry = {.count = 1, .reusable = false}}, SHIFT(840),
  [4943] = {.entry = {.count = 1, .reusable = true}}, SHIFT(840),
  [4945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2901),
  [4947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [4949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1786),
  [4951] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 0),
  [4953] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1807),
  [4956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__method_header, 3, 0, 16),
  [4958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 3, 0, 16),
  [4960] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_array_initializer, 5, 0, 0),
  [4962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1749),
  [4964] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_bound, 2, 0, 0),
  [4966] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1787),
  [4968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 2, 0, 0),
  [4970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__variable_declarator_list_repeat1, 2, 0, 46),
  [4972] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__variable_declarator_list_repeat1, 2, 0, 46),
  [4974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_list, 1, 0, 0),
  [4976] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [4978] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1793),
  [4980] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [4982] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 21),
  [4984] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__method_header, 5, 0, 84),
  [4986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__method_header, 5, 0, 84),
  [4988] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [4990] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string_interpolation, 3, 0, 0),
  [4992] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_asterisk, 1, 0, 0),
  [4994] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_asterisk, 1, 0, 0),
  [4996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(965),
  [4998] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [5000] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2914),
  [5002] = {.entry = {.count = 1, .reusable = true}}, SHIFT(784),
  [5004] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2082),
  [5006] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2169),
  [5008] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2430),
  [5010] = {.entry = {.count = 1, .reusable = false}}, SHIFT(867),
  [5012] = {.entry = {.count = 1, .reusable = true}}, SHIFT(867),
  [5014] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [5016] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2826),
  [5018] = {.entry = {.count = 1, .reusable = false}}, SHIFT(961),
  [5020] = {.entry = {.count = 1, .reusable = true}}, SHIFT(961),
  [5022] = {.entry = {.count = 1, .reusable = false}}, SHIFT(881),
  [5024] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [5026] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [5028] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2170),
  [5030] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2424),
  [5032] = {.entry = {.count = 1, .reusable = false}}, SHIFT(973),
  [5034] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [5036] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_bound_repeat1, 2, 0, 0), SHIFT_REPEAT(1799),
  [5039] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_bound_repeat1, 2, 0, 0),
  [5041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [5043] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [5045] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_array_initializer, 4, 0, 0),
  [5047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(705),
  [5049] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_map_literal_repeat1, 2, 0, 0), SHIFT_REPEAT(1790),
  [5052] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_map_literal_repeat1, 2, 0, 0),
  [5054] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [5056] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2211),
  [5058] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [5060] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1774),
  [5062] = {.entry = {.count = 1, .reusable = false}}, SHIFT(857),
  [5064] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [5066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2215),
  [5068] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2223),
  [5070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_element_value_array_initializer_repeat1, 2, 0, 0),
  [5072] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_element_value_array_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(574),
  [5075] = {.entry = {.count = 1, .reusable = false}}, SHIFT(903),
  [5077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [5079] = {.entry = {.count = 1, .reusable = false}}, SHIFT(906),
  [5081] = {.entry = {.count = 1, .reusable = false}}, SHIFT(845),
  [5083] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [5085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [5087] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1778),
  [5089] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [5091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_record_pattern_body_repeat1, 2, 0, 0),
  [5093] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_record_pattern_body_repeat1, 2, 0, 0), SHIFT_REPEAT(1748),
  [5096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2018),
  [5098] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameter, 3, 0, 52),
  [5100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [5102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1915),
  [5104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2118),
  [5106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1038),
  [5108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2103),
  [5110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1763),
  [5112] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_receiver_parameter_repeat1, 2, 0, 0), SHIFT_REPEAT(2810),
  [5115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_receiver_parameter_repeat1, 2, 0, 0),
  [5117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(625),
  [5119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1779),
  [5121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1421),
  [5123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2691),
  [5125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1766),
  [5127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2113),
  [5129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_inferred_parameters_repeat1, 2, 0, 0),
  [5131] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_inferred_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(2104),
  [5134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [5136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [5138] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [5140] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1547),
  [5142] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, 0, 0),
  [5144] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2132),
  [5146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1331),
  [5148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2309),
  [5150] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2385),
  [5152] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [5154] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1748),
  [5156] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [5158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [5160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(517),
  [5162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [5164] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1239),
  [5166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1240),
  [5168] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1241),
  [5170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [5172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [5174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1242),
  [5176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [5178] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1244),
  [5180] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0),
  [5182] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_formal_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(1331),
  [5185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2349),
  [5187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(899),
  [5189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [5191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(902),
  [5193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(2755),
  [5195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1775),
  [5197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1176),
  [5199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [5201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1771),
  [5203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [5205] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(593),
  [5208] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [5210] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_resource_specification_repeat1, 2, 0, 0),
  [5212] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_resource_specification_repeat1, 2, 0, 0), SHIFT_REPEAT(991),
  [5215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annotation_argument_list_repeat1, 2, 0, 0),
  [5217] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annotation_argument_list_repeat1, 2, 0, 0), SHIFT_REPEAT(2691),
  [5220] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [5222] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [5224] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_superclass, 2, 0, 0),
  [5226] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1446),
  [5228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1490),
  [5230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1040),
  [5232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1225),
  [5234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1975),
  [5236] = {.entry = {.count = 1, .reusable = false}}, SHIFT(935),
  [5238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(935),
  [5240] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 107), SHIFT_REPEAT(756),
  [5243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat1, 2, 0, 107),
  [5245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 3, 0, 37),
  [5247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1450),
  [5249] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 3, 0, 26),
  [5251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2393),
  [5253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2125),
  [5255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2924),
  [5257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [5259] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0),
  [5261] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_parameters_repeat1, 2, 0, 0), SHIFT_REPEAT(2118),
  [5264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1773),
  [5266] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 4, 0, 175),
  [5268] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2025),
  [5270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [5272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1481),
  [5274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2359),
  [5276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [5278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(967),
  [5280] = {.entry = {.count = 1, .reusable = true}}, SHIFT(967),
  [5282] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1044),
  [5284] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__variable_declarator_list_repeat1, 2, 0, 47), SHIFT_REPEAT(2018),
  [5287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [5289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(908),
  [5291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [5293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [5295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1296),
  [5297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [5299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(966),
  [5301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [5303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(979),
  [5305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [5307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [5309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [5311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2194),
  [5313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2070),
  [5315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [5317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [5319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [5321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [5323] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_exports_module_directive_repeat1, 2, 0, 208),
  [5325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [5327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2195),
  [5329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2078),
  [5331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1911),
  [5333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(886),
  [5335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(894),
  [5337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(896),
  [5339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1248),
  [5341] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_exports_module_directive_repeat1, 2, 0, 210), SHIFT_REPEAT(2082),
  [5344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_exports_module_directive_repeat1, 2, 0, 210),
  [5346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [5348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(893),
  [5350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [5352] = {.entry = {.count = 1, .reusable = false}}, SHIFT(900),
  [5354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [5356] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_provides_module_directive_repeat1, 2, 0, 211),
  [5358] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1002),
  [5360] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [5362] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1006),
  [5364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [5366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [5368] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [5370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [5372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [5374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [5376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1876),
  [5378] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [5380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [5382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [5384] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_formal_parameter, 2, 0, 20),
  [5386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [5388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [5390] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_initializer_repeat1, 2, 0, 0), SHIFT_REPEAT(596),
  [5393] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_constant, 2, 0, 12),
  [5395] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_provides_module_directive_repeat1, 2, 0, 213), SHIFT_REPEAT(2060),
  [5398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_provides_module_directive_repeat1, 2, 0, 213),
  [5400] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [5402] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cast_expression_repeat1, 2, 0, 55),
  [5404] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_cast_expression_repeat1, 2, 0, 55), SHIFT_REPEAT(1793),
  [5407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1519),
  [5409] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1220),
  [5411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1221),
  [5413] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [5415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2365),
  [5417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1443),
  [5419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2120),
  [5421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1422),
  [5423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [5425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1871),
  [5427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [5429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1785),
  [5431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1352),
  [5433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1873),
  [5435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1041),
  [5437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
  [5439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2861),
  [5441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [5443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1432),
  [5445] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1222),
  [5447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1223),
  [5449] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1224),
  [5451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 0),
  [5453] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2, 0, 0), SHIFT_REPEAT(1763),
  [5456] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat2, 2, 0, 168),
  [5458] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_for_statement_repeat2, 2, 0, 168), SHIFT_REPEAT(670),
  [5461] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1227),
  [5463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1228),
  [5465] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1229),
  [5467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [5469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [5471] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1231),
  [5473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1217),
  [5475] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1232),
  [5477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [5479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1042),
  [5481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1247),
  [5483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [5485] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_pattern, 2, 0, 0),
  [5487] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_rule, 3, 0, 0),
  [5489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [5491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2243),
  [5493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1982),
  [5495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [5497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2202),
  [5499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2203),
  [5501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [5503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1193),
  [5505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [5507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1991),
  [5509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [5511] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_super_interfaces, 2, 0, 0),
  [5513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [5515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2089),
  [5517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1316),
  [5519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [5521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2064),
  [5523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 3, 0, 21),
  [5525] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_extends_interfaces, 2, 0, 0),
  [5527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 1, 0, 0),
  [5529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [5531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [5533] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [5535] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_parameter, 4, 0, 0),
  [5537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1712),
  [5539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_component, 2, 0, 0),
  [5541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_cast_expression_repeat1, 2, 0, 54),
  [5543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2885),
  [5545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2193),
  [5547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2009),
  [5549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receiver_parameter, 3, 0, 0),
  [5551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1990),
  [5553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2350),
  [5555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2197),
  [5557] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_element_value_pair, 3, 0, 66),
  [5559] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1349),
  [5561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [5563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1978),
  [5565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [5567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2090),
  [5569] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_declarator, 3, 0, 131),
  [5571] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receiver_parameter, 2, 0, 0),
  [5573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1680),
  [5575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1992),
  [5577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2065),
  [5579] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_receiver_parameter, 4, 0, 0),
  [5581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2761),
  [5583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1315),
  [5585] = {.entry = {.count = 1, .reusable = false}}, SHIFT(447),
  [5587] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__wildcard_bounds, 2, 0, 0),
  [5589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [5591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2083),
  [5593] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_label, 4, 0, 0),
  [5595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_spread_parameter, 3, 0, 0),
  [5597] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_wildcard, 3, 0, 0),
  [5599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1984),
  [5601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1695),
  [5603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_pattern_component, 1, 0, 0),
  [5605] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__constructor_declarator, 2, 0, 49),
  [5607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1977),
  [5609] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [5611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_parameter, 2, 0, 3),
  [5613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [5615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [5617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2016),
  [5619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2011),
  [5621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [5623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2027),
  [5625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1238),
  [5627] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_specification, 4, 0, 0),
  [5629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2063),
  [5631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1030),
  [5633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2340),
  [5635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1448),
  [5637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2112),
  [5639] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inferred_parameters, 3, 0, 0),
  [5641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1031),
  [5643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [5645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2051),
  [5647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1131),
  [5649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [5651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2114),
  [5653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2716),
  [5655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1803),
  [5657] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2567),
  [5659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2021),
  [5661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1174),
  [5663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(629),
  [5665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1551),
  [5667] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_permits, 2, 0, 0),
  [5669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [5671] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_formal_parameter, 1, 0, 6),
  [5673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2077),
  [5675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [5677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2597),
  [5679] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [5681] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_specification, 3, 0, 0),
  [5683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1485),
  [5685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2017),
  [5687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2067),
  [5689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1513),
  [5691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [5693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2699),
  [5695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2014),
  [5697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1489),
  [5699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2099),
  [5701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2139),
  [5703] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_formal_parameter, 3, 0, 165),
  [5705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1556),
  [5707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2641),
  [5709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2415),
  [5711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(668),
  [5713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2784),
  [5715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2360),
  [5717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [5719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [5721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [5723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2024),
  [5725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1209),
  [5727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2669),
  [5729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1374),
  [5731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(972),
  [5733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2050),
  [5735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2096),
  [5737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1034),
  [5739] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__default_value, 2, 0, 215),
  [5741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [5743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2026),
  [5745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2531),
  [5747] = {.entry = {.count = 1, .reusable = true}}, SHIFT(759),
  [5749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2015),
  [5751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1454),
  [5753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2803),
  [5755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2020),
  [5757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1406),
  [5759] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_resource_specification, 5, 0, 0),
  [5761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [5763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [5765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2508),
  [5767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [5769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [5771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1211),
  [5773] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_catch_formal_parameter, 2, 0, 138),
  [5775] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2369),
  [5777] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [5779] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_inferred_parameters, 4, 0, 0),
  [5781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1534),
  [5783] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2693),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef TREE_SITTER_HIDE_SYMBOLS
#define TS_PUBLIC
#elif defined(_WIN32)
#define TS_PUBLIC __declspec(dllexport)
#else
#define TS_PUBLIC __attribute__((visibility("default")))
#endif

TS_PUBLIC const TSLanguage *tree_sitter_groovy(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
